%% Simuleringsmodell for  teste Aktivitetsplan samt generere scenarioer til optimeringsmodellen
clc;
clear all;

%delete('utskriftKjoring.xlsx');

%% Antall kjringer, og modellering
kjoringer=1;
lognorm=0;                      %Om vi bruker lognormalfordelte stuetider eller trekker fra historiske data
LOS_fordeling=0;                %Om vi bruker kernel p LOS (0) eller egendefinerte fordelinger(1)
deterministisk13og14=1;         %Om vi setter liggetid for 13 og 14 som deterministisk
deterministiskLOS=2;            %Antall dgn for 13 og 14 dersom deterministisk
guleOgRodeFor=1;                %Anslag p antall dager rde og gule venter fr operasjon (i NIMES), dette trekkes fra i utregning av postoperativ ligggetid
gronneFor=4;                    %Anslag p antall dager grnne venter fr operasjon (i NIMES), dette trekkes fra i utregning av postoperativ ligggetid

%% Skeduleringsregimer
alternativSkedulering=1;        %Dersom 1 s vil vi frst legge de grnne inneliggende til k i AHL
gulForGronn=3;                  %Gul kommer foran dersom randi(gulForGronn)>1, hyere gulForGronn - hyere ssh for gul fr grnn
rodNatt=0.55;                   %SSh for  f tilgang til akuttstue p natt/helg (kan vre opptatt) 
maksGronneAHL=2;                %Maks antall grnne som kan vre i k til AHL fr vi begynner  finne slots p BVS
grenseStrykEl=2;                %Grense for antall dager fram i tid vi ikke kan stryke elektive
grenseGronneForStrykeEl=8;      %Maks antall dager vi tillater at grnne venter fr vi begynner  sende grnne til AHL eller stryke elektive
venteElFlex=10;                 %Min antall dager fram i tid vi legger elektive som er strket
gronneDK_AHL=0;                 %Om vi tillater  sende grnne DK i k til AHL (Vi mler ikke hvor mange av disse som m sendes hjem)
maksGronneDKAHL=1;              %Maks k av grnne DK til AHL fr vi begynner  stryke elektive
limitAHL=70;                    %Grense for hvor lang tid fr stengetid vi ikke gjennomfrer gule eller grnne p AHL, men rde tas uansett
limitStrykPrDag=1;              %Antall vi maks kan stryke nr vi skedulerer grnne inneliggende 
limitStrykPrDagDK=2;            %Antall vi maks kan stryke nr vi skedulerer grnne DK
gulPlassBVS=4;                  %1 av "gulPlassBVS" ssh. for at gul blir vurdert inn p stue

%% Hvor lenge vi kjrer
Uker=76;
Dager=7;
DAGER=Dager*Uker;
UkerWarmUp=50;
warmUp=UkerWarmUp*Dager;        % Dager fr vi samler data

%% Fjerner haler p fordelingene for  unng ekstremsituasjoner
fjernHaleLiggetidEl=100;
fjernHaleLiggetidAkutt=15;
fjernHaleStuetid=6;
fjernHaleStuetidNedre=10;
fjernHaleStuetidGul=20;
fjernHaleStuetidNedreGul=30;

vask=20; %Vask av stuer 
ventetidPasientFraPost=30; %Forventet ventetid for  kjre ned ny pasient AHL
stdVentetid=10;


%% Generering av scenarier
antallScen=1;
ukeScen=zeros(1,antallScen);
for i=1:1:antallScen
    if i==1
        ukeScen(1,1)=UkerWarmUp+randi(5);
    else
        ukeScen(1,i)=ukeScen(1,i-1)+randi(5);
    end
end

excessDemand=zeros(2,antallScen*kjoringer);
sengepostManScen=zeros(5,antallScen*kjoringer);
sengepostTirScen=zeros(5,antallScen*kjoringer);
sengepostOnsScen=zeros(5,antallScen*kjoringer);
sengepostTorScen=zeros(5,antallScen*kjoringer);
sengepostFreScen=zeros(5,antallScen*kjoringer);
sengepostLorScen=zeros(5,antallScen*kjoringer);
sengepostSonScen=zeros(5,antallScen*kjoringer);

%% Utskrift
printTotalSengebelastning=1;
sengepostTid=12; %Klokkelsett vi nsker  hente totalbelastning p sengeposter
velgDag=2; %Dag vi vil se p en sengepost
velgPost=1; %Sengepost vi nsker  se dagsaktivitet p

printVentetider=1;
tidKo=[8 16]; %Tidspunkt vi nsker  se p ken

printStueUtnyttelse=1;
velgOR=2; %OR vi nsker  finne data for (utnyttelsesgrad etc)

printScenarier=1;

%% Data av interesse for oppsummering
antallStryk=zeros(kjoringer,1);
ankomsterAkutte=zeros(kjoringer,4);
snittVentetid=zeros(kjoringer,3);
stdAvvikVentetid=zeros(kjoringer,3);
fordelingVentetidRode=zeros(kjoringer,24);
fordelingVentetidGule=zeros(kjoringer,100);
fordelingVentetidGronne=zeros(kjoringer,10);
maaloppnaaelse=zeros(kjoringer,3);
overtidBVSWarmUp=zeros(DAGER-warmUp,8,kjoringer);
utnyttelseStuer=zeros(kjoringer,10);
sshOvertidBVS=zeros(kjoringer,8);
fordelingOvertid=zeros(kjoringer,8,DAGER-warmUp);
%% Inndata fra optimeringsmodell - frstestegsvariable

% Skedulering av elektive til operasjonsstuer BVS
MSS=[2 2 2 2 2 2 2 2; %Antall slots skedulert pr stue pr dag
    2 2 1 2 2 2 2 2;
    2 2 2 2 2 2 2 2;
    2 2 2 2 2 2 1 1;
    2 2 1 2 2 0 0 0];

xMan=[0 0 0 0 0 0 0 0;
    0 0 0 2 0 0 0 0 ;
    0 0 0 3 0 0 0 0 ;
    0 2 3 0 0 0 0 0 ;
    0 2 0 0 0 0 0 0 ;
    0 1 0 0 0 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 0 2 0 0 0 0 0 ;
    0 0 0 0 2 0 0 0 ;
    0 0 0 0 1 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 0 0 0 0 0 2 2 ;
    0 0 0 0 0 2 0 0 ];
xTir=[0 1 0 0 0 0 0 0;
    0 0 0 1 0 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 2 1 0 0 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 0 1 0 0 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 0 0 0 2 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 0 0 1 1 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 0 0 0 0 0 2 0 ;
    0 0 0 0 0 0 0 2 ;
    0 0 0 0 0 0 0 0 ];
xOns=[0 3 0 0 0 0 0 0;
    0 0 0 0 0 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 0 3 0 0 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 0 0 2 0 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 0 0 1 0 0 0 0 ;
    0 0 0 0 0 1 0 0 ;
    0 0 0 0 0 0 2 0 ;
    0 0 0 0 0 0 0 2 ;
    0 0 0 0 0 0 0 0 ];
xTor=[0 0 0 0 0 0 0 0;
    0 0 0 0 0 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 5 2 0 0 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 0 4 0 0 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 0 0 0 2 0 0 0 ;
    0 0 0 0 1 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 0 0 0 0 1 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 0 0 0 0 0 1 1 ;
    0 0 0 0 0 0 0 0 ];
xFre=[0 0 0 0 0 0 0 0;
    0 0 0 5 0 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 0 0 0 0 0 0 0 ;
    0 0 0 0 0 0 0 0 ];


%Fleksible slots BVS (inkluderer ogs OR-1 BVS som er akuttstue)
nMan=[2 0 0 0 0 0 0 0;
    0 0 0 0 0 0 0 0;
    0 0 0 0 0 0 0 0;
    0 0 0 0 0 0 0 0;
    0 0 0 0 0 0 0 0;
    0 0 0 0 0 0 0 0;
    0 0 0 0 0 1 0 0];
nTir=[2 0 0 0 0 0 0 0;
    0 0 0 0 0 0 0 0;
    0 0 0 0 0 0 0 0;
    0 0 0 0 0 0 0 0;
    0 0 0 0 0 2 0 0;
    0 0 0 0 0 0 0 0;
    0 0 0 0 0 0 0 0];
nOns=[2 0 0 0 0 0 0 0;
    0 0 0 0 0 0 0 0;
    0 0 0 0 0 0 0 0;
    0 0 0 0 2 0 0 0;
    0 0 0 0 0 0 0 0;
    0 0 0 0 0 0 0 0;
    0 0 0 0 0 0 0 0];
nTor=[2 0 0 0 0 0 0 0;
    0 0 0 2 0 0 0 0;
    0 0 0 0 0 0 0 0;
    0 0 0 0 0 0 0 0;
    0 0 0 0 0 0 0 0;
    0 0 0 0 0 0 0 0;
    0 0 0 0 0 0 0 0];
nFre=[2 2 0 0 0 0 0 0;
    0 0 0 0 0 0 0 0;
    0 0 1 0 0 0 0 0;
    0 0 0 0 2 0 0 0;
    0 0 0 0 0 0 0 0;
    0 0 0 0 0 0 0 0;
    0 0 0 0 0 0 0 0];

%% Ankomstparametere for akuttpasienter
%Tidsintervall*dag --> hentet fra 'ankomsterAkutte.m'

ankParameterRod=     [2394.4 2106.7 2310.4 1590.3 2413.9 1620.3 1328.7;
                     734.3 694.5 743.7 758.8 786.8 953.6 891.2;
                     687.2 548.7 722 671.8 634.9 544.6 480.7];

ankParameterGul=     [838.8 838.2 969.9 869.2 1128.2 883.7 925.6;
                     158.2 193.7 215.7 204.5 196 395.6 397.9;
                     230.7 301.3 293.2 317.5 305.6 390.9 407.6];

ankParameterGronn=   [2734.3 7187.4 6222.1 4751.1 1136.3 4205.4 9611;
                     129.2 167.1 164.8 199.5 186 896 727.8;
                     427.5 561.1 638.1 544.1 556.6 1003.8 957];
ankParameterGronn=ankParameterGronn.*[1;0.8;1]*1;
                 
grenseDK=0.6;

%% Data for de ulike pasientgruppene
elektiveDiagnoser=15;
%Stuetid
inndataStuetid=xlsread('inputSimulering.xlsx',1);
stuetid1=inndataStuetid(:,1);
stuetid2=inndataStuetid(:,2);
stuetid3=inndataStuetid(:,3);
stuetid4=inndataStuetid(:,4);
stuetid5=inndataStuetid(:,5);
stuetid6=inndataStuetid(:,6);
stuetid7=inndataStuetid(:,7);
stuetid8=inndataStuetid(:,8);
stuetid9=inndataStuetid(:,9);
stuetid10=inndataStuetid(:,10);
stuetid11=inndataStuetid(:,11);
stuetid12=inndataStuetid(:,12);
stuetid13=inndataStuetid(:,13);
stuetid14=inndataStuetid(:,14);
stuetid15=inndataStuetid(:,15);
stuetidRod=inndataStuetid(:,16);
stuetidGul=inndataStuetid(:,17);
stuetidGronnDK=inndataStuetid(:,18);
stuetidGronn=inndataStuetid(:,19);

stuetid1(isnan(stuetid1))=[];
stuetid2(isnan(stuetid2))=[];
stuetid3(isnan(stuetid3))=[];
stuetid4(isnan(stuetid4))=[];
stuetid5(isnan(stuetid5))=[];
stuetid6(isnan(stuetid6))=[];
stuetid7(isnan(stuetid7))=[];
stuetid8(isnan(stuetid8))=[];
stuetid9(isnan(stuetid9))=[];
stuetid10(isnan(stuetid10))=[];
stuetid11(isnan(stuetid11))=[];
stuetid12(isnan(stuetid12))=[];
stuetid13(isnan(stuetid13))=[];
stuetid14(isnan(stuetid14))=[];
stuetid15(isnan(stuetid15))=[];
stuetidRod(isnan(stuetidRod))=[];
stuetidGul(isnan(stuetidGul))=[];
stuetidGronnDK(isnan(stuetidGronnDK))=[];
stuetidGronn(isnan(stuetidGronn))=[];

stuetid1=sort(stuetid1);
stuetid2=sort(stuetid2);
stuetid3=sort(stuetid3);
stuetid4=sort(stuetid4);
stuetid5=sort(stuetid5);
stuetid6=sort(stuetid6);
stuetid7=sort(stuetid7);
stuetid8=sort(stuetid8);
stuetid9=sort(stuetid9);
stuetid10=sort(stuetid10);
stuetid11=sort(stuetid11);
stuetid12=sort(stuetid12);
stuetid13=sort(stuetid13);
stuetid14=sort(stuetid14);
stuetid15=sort(stuetid15);
stuetidRod=sort(stuetidRod);
stuetidGul=sort(stuetidGul);
stuetidGronn=sort(stuetidGronn);
stuetidGronnDK=sort(stuetidGronnDK);

for i=length(stuetid1):-1:length(stuetid1)-ceil(length(stuetid1)/fjernHaleStuetid)
        stuetid1(end)=[];
end

for i=length(stuetid2):-1:length(stuetid2)-ceil(length(stuetid2)/fjernHaleStuetid)
        stuetid2(end)=[];
end

for i=length(stuetid3):-1:length(stuetid3)-ceil(length(stuetid3)/fjernHaleStuetid)
        stuetid3(end)=[];
end

for i=length(stuetid4):-1:length(stuetid4)-ceil(length(stuetid4)/fjernHaleStuetid)
        stuetid4(end)=[];
end

for i=length(stuetid5):-1:length(stuetid5)-ceil(length(stuetid5)/fjernHaleStuetid)
        stuetid5(end)=[];
end

for i=length(stuetid6):-1:length(stuetid6)-ceil(length(stuetid6)/fjernHaleStuetid)
        stuetid6(end)=[];
end

for i=length(stuetid7):-1:length(stuetid7)-ceil(length(stuetid7)/fjernHaleStuetid)
        stuetid7(end)=[];
end

for i=length(stuetid8):-1:length(stuetid8)-ceil(length(stuetid8)/fjernHaleStuetid)
        stuetid8(end)=[];
end

for i=length(stuetid9):-1:length(stuetid9)-ceil(length(stuetid9)/fjernHaleStuetid)
        stuetid9(end)=[];
end

for i=length(stuetid10):-1:length(stuetid10)-ceil(length(stuetid10)/fjernHaleStuetid)
        stuetid10(end)=[];
end

for i=length(stuetid11):-1:length(stuetid11)-ceil(length(stuetid11)/fjernHaleStuetid)
        stuetid11(end)=[];
end

for i=length(stuetid12):-1:length(stuetid12)-ceil(length(stuetid12)/fjernHaleStuetid)
        stuetid12(end)=[];
end

for i=length(stuetid13):-1:length(stuetid13)-ceil(length(stuetid13)/fjernHaleStuetid)
        stuetid13(end)=[];
end

for i=length(stuetid14):-1:length(stuetid14)-ceil(length(stuetid14)/fjernHaleStuetid)
        stuetid14(end)=[];
end

for i=length(stuetid15):-1:length(stuetid15)-ceil(length(stuetid15)/fjernHaleStuetid)
        stuetid15(end)=[];
end

for i=length(stuetidGul):-1:length(stuetidGul)-ceil(length(stuetidGul)/fjernHaleStuetidGul)
        stuetidGul(end)=[];
end
%         
% for i=length(stuetidGronn):-1:length(stuetidGronn)-ceil(length(stuetidGronn)/fjernHaleStuetid)
%     stuetidGronn(i)=[];
% end
% 
% for i=length(stuetidGronnDK):-1:length(stuetidGronnDK)-ceil(length(stuetidGronnDK)/fjernHaleStuetid)
%         stuetidGronnDK(i)=[];
% end
% 
% for i=1:1:ceil(length(stuetidGronn)/fjernHaleStuetidNedre)
%         stuetidGronn(i)=[];
% end
% for i=1:1:ceil(length(stuetidGronnDK)/fjernHaleStuetidNedre)
%         stuetidGronnDK(i)=[];
% end


for i=1:1:ceil(length(stuetid1)/fjernHaleStuetidNedre)
        stuetid1(1)=[];
end

for i=1:1:ceil(length(stuetid2)/fjernHaleStuetidNedre)
        stuetid2(1)=[];
end

for i=1:1:ceil(length(stuetid3)/fjernHaleStuetidNedre)
        stuetid3(1)=[];
end

for i=1:1:ceil(length(stuetid4)/fjernHaleStuetidNedre)
        stuetid4(1)=[];
end

for i=1:1:ceil(length(stuetid5)/fjernHaleStuetidNedre)
        stuetid5(1)=[];
end

for i=1:1:ceil(length(stuetid6)/fjernHaleStuetidNedre)
        stuetid6(1)=[];
end

for i=1:1:ceil(length(stuetid7)/fjernHaleStuetidNedre)
        stuetid7(1)=[];
end

for i=1:1:ceil(length(stuetid8)/fjernHaleStuetidNedre)
        stuetid8(1)=[];
end

for i=1:1:ceil(length(stuetid9)/fjernHaleStuetidNedre)
        stuetid9(1)=[];
end

for i=1:1:ceil(length(stuetid10)/fjernHaleStuetidNedre)
        stuetid10(1)=[];
end

for i=1:1:ceil(length(stuetid11)/fjernHaleStuetidNedre)
        stuetid11(1)=[];
end

for i=1:1:ceil(length(stuetid12)/fjernHaleStuetidNedre)
        stuetid12(1)=[];
end

for i=1:1:ceil(length(stuetid13)/fjernHaleStuetidNedre)
        stuetid13(1)=[];
end

for i=1:1:ceil(length(stuetid14)/fjernHaleStuetidNedre)
        stuetid14(1)=[];
end

for i=1:1:ceil(length(stuetid15)/fjernHaleStuetidNedre)
        stuetid15(1)=[];
end

for i=1:1:ceil(length(stuetidGul)/fjernHaleStuetidNedreGul)
        stuetidGul(1)=[];
end



%Liggetid p sengepost etter operasjon
inndataLiggetid=xlsread('inputSimulering.xlsx',2);
liggetid1=inndataLiggetid(:,1)+0.1;
liggetid2=inndataLiggetid(:,2)+0.1;
liggetid3=inndataLiggetid(:,3)+0.1;
liggetid4=inndataLiggetid(:,4)+0.1;
liggetid5=inndataLiggetid(:,5)+0.1;
liggetid6=inndataLiggetid(:,6)+0.1;
liggetid7=inndataLiggetid(:,7)+0.1;
liggetid8=inndataLiggetid(:,8)+0.1;
liggetid9=inndataLiggetid(:,9)+0.1;
liggetid10=inndataLiggetid(:,10)+0.1;
liggetid11=inndataLiggetid(:,11)+0.1;
liggetid12=inndataLiggetid(:,12)+0.1;
liggetid13=inndataLiggetid(:,13)+0.1;
liggetid14=inndataLiggetid(:,14)+0.1;
liggetid15=inndataLiggetid(:,15)+0.1;
liggetidAkutte=inndataLiggetid(:,16)+0.1;

liggetidAkutte(isnan(liggetidAkutte))=[];
liggetidAkutte=sort(liggetidAkutte);
for i=length(liggetidAkutte):-1:length(liggetidAkutte)-ceil(length(liggetidAkutte)/fjernHaleLiggetidAkutt)
    liggetidAkutte(end)=[];
end
pdAkutte=fitdist(liggetidAkutte,'Kernel');

%Ssh for at pasient er dagkirurgisk
inndataSshDK=xlsread('inputSimulering.xlsx',3);
sshDK=inndataSshDK(:,1);

%% Angende operasjoner
slotTid=240;
surgeryDurEl=[nanmean(stuetid1) nanmean(stuetid2) nanmean(stuetid3) nanmean(stuetid4) nanmean(stuetid5) nanmean(stuetid6) nanmean(stuetid7) nanmean(stuetid8) nanmean(stuetid9) nanmean(stuetid10) nanmean(stuetid11) nanmean(stuetid12) nanmean(stuetid13) nanmean(stuetid14) nanmean(stuetid15)]; 
stdSurgeryDurEl=[nanstd(stuetid1) nanstd(stuetid2) nanstd(stuetid3) nanstd(stuetid4) nanstd(stuetid5) nanstd(stuetid6) nanstd(stuetid7) nanstd(stuetid8) nanstd(stuetid9) nanstd(stuetid10) nanstd(stuetid11) nanstd(stuetid12) nanstd(stuetid13) nanstd(stuetid14) nanstd(stuetid15)]; 
muEl=[];
sigmaEl=[];
mestPlass=zeros(1,8); %For  finne stuen med best plass p BVS for  motta gule

for i=1:1:length(surgeryDurEl)
    muEl(1,i)=log(surgeryDurEl(1,i)^2/sqrt(stdSurgeryDurEl(1,i)+surgeryDurEl(1,i)^2));
    sigmaEl(1,i)=sqrt(log(stdSurgeryDurEl(1,i)/surgeryDurEl(1,i)^2+1));
end

surgeryDurGr=[nanmean(stuetidGronnDK) nanmean(stuetidGronn)]; % DK, inne
stdSurgeryDurGr=[nanstd(stuetidGronnDK) nanstd(stuetidGronn)];
muGronn=log(surgeryDurGr(1,2)^2/sqrt(stdSurgeryDurGr(1,2)+surgeryDurGr(1,2)^2));
sigmaGronn=sqrt(log(stdSurgeryDurGr(1,2)+surgeryDurGr(1,2)^2+1));
muGronnDK=log(surgeryDurGr(1,1)^2/sqrt(stdSurgeryDurGr(1,1)+surgeryDurGr(1,1)^2));
sigmaGronnDK=sqrt(log(stdSurgeryDurGr(1,1)/surgeryDurGr(1,1)^2+1));
LOS_Gr=[0 2];

surgeryDurGul=nanmean(stuetidGul);
stdSurgeryDurGul=nanstd(stuetidGul);
muGul=log(surgeryDurGul^2/sqrt(stdSurgeryDurGul+surgeryDurGul^2));
sigmaGul=sqrt(log(stdSurgeryDurGul/surgeryDurGul^2+1));
LOS_Gul=2;

surgeryDurRod=nanmean(stuetidRod);
stdSurgeryDurRod=nanstd(stuetidRod);
muRod=log(surgeryDurRod^2/sqrt(stdSurgeryDurRod+surgeryDurRod^2));
sigmaRod=sqrt(log(stdSurgeryDurRod/surgeryDurRod^2+1));
LOS_Rod=4;

surgeryDurKirPas=120;
stdSurgeryDurKirPas=40;
muKir=log(surgeryDurKirPas^2/sqrt(stdSurgeryDurKirPas+surgeryDurKirPas^2));
stdKir=sqrt(log(stdSurgeryDurKirPas/surgeryDurKirPas^2+1));

kjoreNed=0;

%Trafikklyssystemet
limitRod=360; %6 timer
limitGul=1440; %24 timer
limitGronn=5; %5 dgn

%% Sengeposter
if LOS_fordeling==1
    LOS_El=[round(nanmean(liggetid1)) round(nanmean(liggetid2)) round(nanmean(liggetid3)) round(nanmean(liggetid4)) round(nanmean(liggetid5)) round(nanmean(liggetid6)) round(nanmean(liggetid7)) round(nanmean(liggetid8)) round(nanmean(liggetid9)) round(nanmean(liggetid10)) round(nanmean(liggetid11)) round(nanmean(liggetid12)) round(nanmean(liggetid13)) round(nanmean(liggetid14)) round(nanmean(liggetid15))]; 
else
    liggetid1(isnan(liggetid1))=[];
    liggetid2(isnan(liggetid2))=[];
    liggetid3(isnan(liggetid3))=[];
    liggetid4(isnan(liggetid4))=[];
    liggetid5(isnan(liggetid5))=[];
    liggetid6(isnan(liggetid6))=[];
    liggetid7(isnan(liggetid7))=[];
    liggetid8(isnan(liggetid8))=[];
    liggetid9(isnan(liggetid9))=[];
    liggetid10(isnan(liggetid10))=[];
    liggetid11(isnan(liggetid11))=[];
    liggetid12(isnan(liggetid12))=[];
    liggetid13(isnan(liggetid13))=[];
    liggetid14(isnan(liggetid14))=[];
    liggetid15(isnan(liggetid15))=[];
    
    liggetid1=sort(liggetid1);
    liggetid2=sort(liggetid2);
    liggetid3=sort(liggetid3);
    liggetid4=sort(liggetid4);
    liggetid5=sort(liggetid5);
    liggetid6=sort(liggetid6);
    liggetid7=sort(liggetid7);
    liggetid8=sort(liggetid8);
    liggetid9=sort(liggetid9);
    liggetid10=sort(liggetid10);
    liggetid11=sort(liggetid11);
    liggetid12=sort(liggetid12);
    liggetid13=sort(liggetid13);
    liggetid14=sort(liggetid14);
    liggetid15=sort(liggetid15);
    
    for i=length(liggetid1):-1:length(liggetid1)-ceil(length(liggetid1)/fjernHaleLiggetidEl)
        liggetid1(end)=[];
    end
    for i=length(liggetid2):-1:length(liggetid2)-ceil(length(liggetid2)/fjernHaleLiggetidEl)
        liggetid2(end)=[];
    end
    for i=length(liggetid3):-1:length(liggetid3)-ceil(length(liggetid3)/fjernHaleLiggetidEl)
        liggetid3(end)=[];
    end
    for i=length(liggetid4):-1:length(liggetid4)-ceil(length(liggetid4)/fjernHaleLiggetidEl)
        liggetid4(end)=[];
    end
    for i=length(liggetid5):-1:length(liggetid5)-ceil(length(liggetid5)/fjernHaleLiggetidEl)
        liggetid5(end)=[];
    end
    for i=length(liggetid6):-1:length(liggetid6)-ceil(length(liggetid6)/fjernHaleLiggetidEl)
        liggetid1(end)=[];
    end
    for i=length(liggetid7):-1:length(liggetid7)-ceil(length(liggetid7)/fjernHaleLiggetidEl)
        liggetid7(end)=[];
    end
    for i=length(liggetid8):-1:length(liggetid8)-ceil(length(liggetid8)/fjernHaleLiggetidEl)
        liggetid8(end)=[];
    end
    for i=length(liggetid9):-1:length(liggetid9)-ceil(length(liggetid9)/fjernHaleLiggetidEl)
        liggetid9(end)=[];
    end
    for i=length(liggetid10):-1:length(liggetid10)-ceil(length(liggetid10)/fjernHaleLiggetidEl)
        liggetid10(end)=[];
    end
    for i=length(liggetid11):-1:length(liggetid11)-ceil(length(liggetid11)/fjernHaleLiggetidEl)
        liggetid11(end)=[];
    end
    for i=length(liggetid12):-1:length(liggetid12)-ceil(length(liggetid12)/fjernHaleLiggetidEl)
        liggetid12(end)=[];
    end
    for i=length(liggetid13):-1:length(liggetid13)-ceil(length(liggetid13)/fjernHaleLiggetidEl)
        liggetid13(end)=[];
    end
    for i=length(liggetid14):-1:length(liggetid14)-ceil(length(liggetid14)/fjernHaleLiggetidEl)
        liggetid14(end)=[];
    end
    for i=length(liggetid15):-1:length(liggetid15)-ceil(length(liggetid15)/fjernHaleLiggetidEl)
        liggetid15(end)=[];
    end
    pd1=fitdist(liggetid1,'Kernel');
    pd2=fitdist(liggetid2,'Kernel');
    pd3=fitdist(liggetid3,'Kernel');
    pd4=fitdist(liggetid4,'Kernel');
    pd5=fitdist(liggetid5,'Kernel');
    pd6=fitdist(liggetid6,'Kernel');
    pd7=fitdist(liggetid7,'Kernel');
    pd8=fitdist(liggetid8,'Kernel');
    pd9=fitdist(liggetid9,'Kernel');
    pd10=fitdist(liggetid10,'Kernel');
    pd11=fitdist(liggetid11,'Kernel');
    pd12=fitdist(liggetid12,'Kernel');
    pd13=fitdist(liggetid13,'Kernel');
    pd14=fitdist(liggetid14,'Kernel');
    pd15=fitdist(liggetid15,'Kernel');
    LOS_El=[pd1 pd2 pd3 pd4 pd5 pd6 pd7 pd8 pd9 pd10 pd11 pd12 pd13 pd14 pd15];
end
%Fordeling av elektive kategorier til ulike sengeposter
sengepost_EL=[1 0 0 0 0; 
             0 0 0 0 0; 
             1 0 0 0 0; 
             0 1 0 0 0; 
             0 1 0 0 0; 
             0 1 0 0 0; 
             0 0 0 0 0;
             0 1 0 0 0; 
             0 0 1 0 0;
             0 0 1 0 0;
             0 0 0 0 0;
             0 0 1 0 0;
             0 0 0 1 0;
             0 0 0 1 0;
             0 1 0 0 0];  

kapasitetSengepost=[20 16 10 16 5;16 16 12 0 0];
sengeKapasitetUke=sum(kapasitetSengepost(1,:));
sengeKapasitetHelg=sum(kapasitetSengepost(2,:));

%Parametre for  fordele akutte til sengepost
akutteSeng=[32 32 32 32 32 30 30];
akutteOTS=15;
akutteORS=24;
akutteOES=30;
akutteOFT=31;
akutteOHS=32;

% For scenarier
gronnePrUke=zeros(kjoringer,Uker);
gulPrUke=zeros(kjoringer,Uker);
rodPrUke=zeros(kjoringer,Uker);
akuttePrUke=zeros(kjoringer,Uker);
gronnTilFlexHverUke=zeros(kjoringer,Uker-UkerWarmUp);
gronnTilElSlotHverUke=zeros(kjoringer,Uker-UkerWarmUp);
akutteSengepostHverDag=zeros(kjoringer,DAGER-warmUp,5);
akutteSengepostHverUke=zeros(kjoringer,Uker-UkerWarmUp,5);

grenseOR=zeros(10,DAGER);
for s=1:1:10
   for i=1:1:DAGER
       if s==10 &&((mod(i,7)==1 || mod(i,7)== 2 || mod(i,7)==3 || mod(i,7)==4))
           grenseOR(s,i)=960;
       elseif s==10 && mod(i,7)==5
           grenseOR(s,i)=480;
       elseif (mod(i,7)==1 || mod(i,7)== 2 || mod(i,7)==3 || mod(i,7)==4 || mod(i,7)==5)
           if s<=8
               grenseOR(s,i)=240*MSS(mod(i,7),s);
           else
               grenseOR(s,i)=480;
           end
       end
   end
end

for kj=1:1:kjoringer

    %% Genererer ankomst av akutte gjennom uken
    ankRod=[];
    ankGul=[];
    ankGronn=[];
    ankGronnDK=[];
    bryt=0;
    tid1=0; 
    tid2=0; 
    tellerRod=0;
    tellerGul=0;
    tellerGronn=0;
    tellerGronnDK=0;
    
    
    xManDag=zeros(15,8,DAGER+50);
    xTirDag=zeros(15,8,DAGER+50);
    xOnsDag=zeros(15,8,DAGER+50);
    xTorDag=zeros(15,8,DAGER+50);
    xFreDag=zeros(15,8,DAGER+50);

for d=1:1:DAGER+50
    if mod(d,7)==1 || mod(d,7)==2 || mod(d,7)==3 || mod(d,7)==4 || mod(d,7)==5
        xManDag(:,:,d)=xMan;
        xTirDag(:,:,d)=xTir;
        xOnsDag(:,:,d)=xOns;
        xTorDag(:,:,d)=xTor;
        xFreDag(:,:,d)=xFre;
    end
end
    
d=1;    
    while d<=DAGER
        dag=mod(d,7);
        if dag==0
            dag=7;
        end
        while tid1<=480
            a=exprnd(ankParameterRod(1,dag));
            tid1=tid1+a;
            tid2=tid2+a;
            if tid1>480
                overgang1=randi(50);
                overgang2=randi(50);
                b=481-(tid1-a);
                tid2=tid2-a+b+overgang1-overgang2;
                tid1=481+overgang1-overgang2;
                bryt=1;
            end
            if bryt==0
                ankRod(1,end+1)=tid2;
                if d>warmUp
                    tellerRod=tellerRod+1;
                end
                rodPrUke(kj,ceil(d/7))=rodPrUke(kj,ceil(d/7))+1;
            end

        end
        bryt=0;
        while tid1<=960
            a=exprnd(ankParameterRod(2,dag));
            tid1=tid1+a;
            tid2=tid2+a;
            if tid1>960
                overgang1=randi(50);
                overgang2=randi(50);
                b=961-(tid1-a);
                tid2=tid2-a+b+overgang1-overgang2;
                tid1=961+overgang1-overgang2;
                bryt=1;
            end
            if bryt==0
                ankRod(1,end+1)=tid2;
                if d>warmUp
                    tellerRod=tellerRod+1;
                end
                rodPrUke(kj,ceil(d/7))=rodPrUke(kj,ceil(d/7))+1;
            end
        end
        bryt=0;
        while tid1<=1440
            a=exprnd(ankParameterRod(3,dag));
            tid1=tid1+a;
            tid2=tid2+a;
            if tid1>1440 
                overgang1=randi(50);
                overgang2=randi(50);
                b=1441-(tid1-a);
                tid2=tid2-a+b;
                tid1=1441;
                bryt=1;
            end
            if bryt==0
                ankRod(1,end+1)=tid2;
                if d>warmUp
                    tellerRod=tellerRod+1;
                end
                rodPrUke(kj,ceil(d/7))=rodPrUke(kj,ceil(d/7))+1;
            end
        end
        d=d+1;
        bryt=0;
        tid1=0+overgang1-overgang2;
        tid2=(1440*d)+overgang1;
    end

    d=1;
    tid1=0;
    tid2=0;
    bryt=0;

    while d<=DAGER
        dag=mod(d,7);
        if dag==0
            dag=7;
        end
        while tid1<=480
            a=exprnd(ankParameterGul(1,dag));
            tid1=tid1+a;
            tid2=tid2+a;
            if tid1>480
                overgang1=randi(50);
                overgang2=randi(50);
                b=481-(tid1-a);
                tid2=tid2-a+b+overgang1-overgang2;
                tid1=481+overgang1-overgang2;
                bryt=1;
            end
            if bryt==0
                ankGul(1,end+1)=tid2;
                if d>warmUp
                    tellerGul=tellerGul+1;
                end
                gulPrUke(kj,ceil(d/7))=gulPrUke(kj,ceil(d/7))+1;
            end    
        end
        bryt=0;
        while tid1<=960
            a=exprnd(ankParameterGul(2,dag));
            tid1=tid1+a;
            tid2=tid2+a;
            if tid1>960
                overgang1=randi(50);
                overgang2=randi(50);
                b=961-(tid1-a);
                tid2=tid2-a+b+overgang1-overgang2;
                tid1=961+overgang1-overgang2;
                bryt=1;
            end
            if bryt==0
                ankGul(1,end+1)=tid2;
                if d>warmUp
                    tellerGul=tellerGul+1;
                end
                gulPrUke(kj,ceil(d/7))=gulPrUke(kj,ceil(d/7))+1;
            end
        end
        bryt=0;

        while tid1<=1440
            a=exprnd(ankParameterGul(3,dag));
            tid1=tid1+a;
            tid2=tid2+a;
            if tid1>1440
                b=1441-(tid1-a);
                tid2=tid2-a+b;
                tid1=1441;
                bryt=1;
            end
            if bryt==0
                ankGul(1,end+1)=tid2;
                if d>warmUp
                    tellerGul=tellerGul+1;
                end
                gulPrUke(kj,ceil(d/7))=gulPrUke(kj,ceil(d/7))+1;
            end
        end
        overgang1=randi(50);
        overgang2=randi(50);
        bryt=0;
        tid1=0+overgang1;
        tid2=(1440*d)+overgang1;
        d=d+1;
    end

    d=1;
    tid1=0;
    tid2=0;
    bryt=0;
    DK_ok=1;

    while d<=DAGER
        dag=mod(d,7);
        if dag==0
            dag=7;
        end
        bryt=0;
        while tid1<=480 && bryt==0
            a=exprnd(ankParameterGronn(1,dag));
            tid1=tid1+a;
            tid2=tid2+a;
            DK=rand;
            if DK<=grenseDK
                DK_ok=1;
            else
                DK_ok=0;
            end
            if tid1>480
                overgang1=randi(50);
                overgang2=randi(50);
                b=481-(tid1-a);
                tid2=tid2-a+b+overgang1-overgang2;
                tid1=481+overgang1-overgang2;
                bryt=1;
            end
            if bryt==0
                if DK_ok==1
                    ankGronnDK(1,end+1)=tid2;
                    if d>warmUp
                        tellerGronnDK=tellerGronnDK+1;
                    end
                else
                    ankGronn(1,end+1)=tid2;
                    if d>warmUp
                        tellerGronn=tellerGronn+1;
                    end
                end
                gronnePrUke(kj,ceil(d/7))=gronnePrUke(kj,ceil(d/7))+1;
            end  
        end
        bryt=0;
        while tid1<=960 && bryt==0
            a=exprnd(ankParameterGronn(2,dag));
            tid1=tid1+a;
            tid2=tid2+a;
            DK=rand;
            if DK<=grenseDK
                DK_ok=1;
            else
                DK_ok=0;
            end
            if tid1>960
                overgang1=randi(50);
                overgang2=randi(50);
                b=961-(tid1-a);
                tid2=tid2-a+b+overgang1-overgang2;
                tid1=961+overgang1-overgang2;
                bryt=1;
            end
            if bryt==0
                if DK_ok==1
                    ankGronnDK(1,end+1)=tid2;
                    if d>warmUp
                        tellerGronnDK=tellerGronnDK+1;
                    end
                else
                    ankGronn(1,end+1)=tid2;
                    if d>warmUp
                        tellerGronn=tellerGronn+1;
                    end
                end
                gronnePrUke(kj,ceil(d/7))=gronnePrUke(kj,ceil(d/7))+1;
            end
        end
        bryt=0;
        while tid1<=1440 && bryt==0
            a=exprnd(ankParameterGronn(3,dag));
            tid1=tid1+a;
            tid2=tid2+a;
             DK=rand;
            if DK<=grenseDK
                DK_ok=1;
            else
                DK_ok=0;
            end
            if tid1>1440
                b=1441-(tid1-a);
                tid2=tid2-a+b;
                tid1=1441;
                bryt=1;
            end
            if bryt==0
                if DK_ok==1
                    ankGronnDK(1,end+1)=tid2;
                    if d>warmUp
                        tellerGronnDK=tellerGronnDK+1;
                    end
                else
                    ankGronn(1,end+1)=tid2;
                    if d>warmUp
                        tellerGronn=tellerGronn+1;
                    end
                end
                gronnePrUke(kj,ceil(d/7))=gronnePrUke(kj,ceil(d/7))+1;
            end
        end
        bryt=0;
        tid1=0;
        tid2=1440*d;
        d=d+1;
    end

    %Teller antall av de ulike akutte pasientene
    antallRode=length(ankRod);
    antallGule=length(ankGul);
    antallGronne=length(ankGronn);
    antallGronneDK=length(ankGronnDK);

    dognGronn=zeros(1,24);
    dognGul=zeros(1,24);
    dognRod=zeros(1,24);

    for x=1:1:length(ankGul)
        nummer=ceil(mod(ankGul(1,x),1440)/60);
        dognGul(1,nummer)=dognGul(1,nummer)+1;
    end

    for x=1:1:length(ankGronnDK)
        nummer=ceil(mod(ankGronnDK(1,x),1440)/60);
        dognGronn(1,nummer)=dognGronn(1,nummer)+1;
    end

    for x=1:1:length(ankGronn)
        nummer=ceil(mod(ankGronn(1,x),1440)/60);
        dognGronn(1,nummer)=dognGronn(1,nummer)+1;
    end


    for x=1:1:length(ankRod)
        nummer=ceil(mod(ankRod(1,x),1440)/60);
        dognRod(1,nummer)=dognRod(1,nummer)+1;
    end

    figure;
    plot(dognRod/DAGER,'r');hold on;
    plot(dognGul/DAGER);
    plot(dognGronn/DAGER,'g');hold off;
    legend('Red','Yellow','Green');
    xlabel('Time of day [hr]');
    ylabel('Number of arrivals');
    title('Mean number of emergency patients entering every day (Simulated)');
    axis([1 24 0 0.45])

 %% Diverse matriser som trengs i modellen

    %Matriser for  fordele pasienter til BVS
    flexStue=zeros(DAGER+100,8); %Denne har rader med DAGER og kolonner med 8 stuer. 0 for ingen slot, 240 (min) for n slot, 480 (min) for to slots 
    gronnFlexStue=zeros(DAGER+10,8,10); %dager, op-stuer, sengepost
    gronnDKFlexStue=zeros(DAGER+10,8);
    elFlexStue=zeros(DAGER+60,8,10);
    gronneElektivStue=zeros(DAGER+10,8,10);
    gronneDKElektivStue=zeros(DAGER+50,8);
    stuetidBVS=zeros(DAGER,8);
    
    guleBVS=zeros(DAGER,8);

    

    %Samler fleksible slots i en matrise
    for d=1:1:DAGER+100 %itererer over dager
        for h=1:1:8 %itererer over stuer
            if mod(d,7)==1
                flexStue(d,h)=slotTid*sum(nMan(:,h));
            elseif mod (d,7)==2
                flexStue(d,h)=slotTid*sum(nTir(:,h));
            elseif mod (d,7)==3
                flexStue(d,h)=slotTid*sum(nOns(:,h));
            elseif mod (d,7)==4
                flexStue(d,h)=slotTid*sum(nTor(:,h));
            elseif mod (d,7)==5
                flexStue(d,h)=slotTid*sum(nFre(:,h));
            else
                flexStue(d,h)=0;
            end
        end
    end

 
    tid1AHL=0;
    tid1BVS=480;
    tid2=0;
    d=1;
    


    %Sengeposter
    gronnePreW1=[0;0];
    gronnePreW2=[0;0];
    gronnePreW3=[0;0];
    gronnePreW4=[0;0];
    gronnePreW5=[0;0];

    gulePreW1=[0;0];
    gulePreW2=[0;0];
    gulePreW3=[0;0];
    gulePreW4=[0;0];
    gulePreW5=[0;0];

    rodePreW1=[0;0];
    rodePreW2=[0;0];
    rodePreW3=[0;0];
    rodePreW4=[0;0];
    rodePreW5=[0;0];

    totalW1=[0;0];
    totalW2=[0;0];
    totalW3=[0;0];
    totalW4=[0;0];
    totalW5=[0;0];

    totalAkuttW1=[0;0];
    totalAkuttW2=[0;0];
    totalAkuttW3=[0;0];
    totalAkuttW4=[0;0];
    totalAkuttW5=[0;0];

    totalElW1=[0;0];
    totalElW2=[0;0];
    totalElW3=[0;0];
    totalElW4=[0;0];
    totalElW5=[0;0];

    gronneDKHjemme=[0;0];


    utW1=[10000000000000]; 
    utW2=[10000000000000];
    utW3=[10000000000000];
    utW4=[10000000000000];
    utW5=[10000000000000];
    utAkuttW1=[10000000000001];
    utAkuttW2=[10000000000001];
    utAkuttW3=[10000000000001];
    utAkuttW4=[10000000000001];
    utAkuttW5=[10000000000001];

    OR1Klar=0;
    OR2Klar=482;

    rodeVenter=[];
    guleVenter=[];
    gronneVenter=[];
    gronneDKVenter=[];
    koStrykEl=[];

    ventetiderRode=[];
    ventetiderGule=[];
    ventetiderGronne=[];

    tellerAntallAHL1=0;
    tellerAntallAHL2=0;
    tellerAntallGronneAHL=0;
    tellerAntallGronneBVS=0;
    tellerAntallGuleBVS=0;

    gronnListeBVS=[];
    gronnListeAHL=[]; %Dette vil vre de inneliggende, ingen DK
    gronnDKListeAHL=[];
    strykEl=0;
    listeStrykEl=zeros(10,DAGER+50); %Antall stryk pr dag, og hvilken type
    diagnoseStrykEl=[];
    gronnListeSkedulering=[]; %Denne vil fordeles til de to andre grnne listene
    gronnDKListeSkedulering=[];
    gronnListeSkeduleringSeng=[];
    

    ledigStuetidAHL=zeros(2,DAGER); %For  finne stueutnyttelse AHL
    ledigStuetidFlex=zeros(8,DAGER); %For  finne stueutnyttelse BVS


    %% Dagene

    while d<=DAGER
        antallStrykPrDag=0;
        antallStrykPrDagDK=0;
        while (length(gronnListeSkedulering)>0 && antallStrykPrDag<limitStrykPrDag) || (length(gronnDKListeSkedulering)>0 && antallStrykPrDag<limitStrykPrDag) || strykEl>0
            %Vi skedulerer etter forventet stuetid, skeduelerer frst de
            %akutte

            if length(gronnListeSkedulering)>0 && antallStrykPrDag<limitStrykPrDag 
                % FIFO
                a=d;
                b=1; 
                if alternativSkedulering==1
                    while length(gronnListeSkedulering)>0 && length(gronnListeAHL)<maksGronneAHL
                        gronnListeAHL(1,end+1)=gronnListeSkedulering(1,1); %Legges p liste til AHL
                        gronnListeSkedulering(1)=[]; %stryker fra overordnet liste
                        gronnListeSkeduleringSeng(1)=[];
                    end
                end
                
                while length(gronnListeSkedulering)>0 && antallStrykPrDag<limitStrykPrDag
                    if flexStue(a,b)>surgeryDurGr(1,2) %dersom plass p stuen
                        flexStue(a,b)=flexStue(a,b)-surgeryDurGr(1,2); %Fjerner plass p stuen
                        gronnFlexStue(a,b,1)=gronnFlexStue(a,b,1)+1; 
                        gronnFlexStue(a,b,gronnFlexStue(a,b,1)+1)=gronnListeSkeduleringSeng(1,1); %legger ved hvilken sengepost pasientn hrer til
                        ventetiderGronne(1,end+1)=a-d+1;
                        ventetiderGronne(2,end)=a; %Beregner ventetid ved operasjonsdag
                        gronnListeSkedulering(1)=[]; %stryker pasienten fra ventelisten
                        gronnListeSkeduleringSeng(1)=[];

                    else
                        b=b+1; %Ser neste stue
                        if b==9
                            b=1;
                            a=a+1;
                            if a-d>=grenseGronneForStrykeEl %Dersom vi bryter fristen s legger vi pasienter p vent til AHL i hp om  rekke de innen fristen der (kun de inneliggende)
                                a=d+grenseStrykEl; %Kan ikke stryke paseinter i dag eller i morgen, men deretter raskt
                                while length(gronnListeSkedulering)>0 && antallStrykPrDag<limitStrykPrDag
                                    b=randi(7)+1; %Velger random elektiv stue for  se etter pasient  stryke
                                    if length(gronnListeAHL)<maksGronneAHL %Legges til AHL
                                        gronnListeAHL(1,end+1)=gronnListeSkedulering(1,1); %Legges p liste til AHL
                                        gronnListeSkedulering(1)=[]; %stryker fra overordnet liste
                                        gronnListeSkeduleringSeng(1)=[];
                                    else %Stryker elektive fram i tid for  f inn grnn pasient
                                        
                                        if mod(a,7)==1
                                            if sum(sum(xManDag(:,:,a)))>0 %Dersom det fins pasienter  stryke
                                                for i=1:1:length(xManDag(:,b,a)) %itererer over alle pasienter
                                                    if i>14 || i<13 %%Stryker ikke FT
                                                        funnet=0;
                                                        if antallStrykPrDag>=limitStrykPrDag
                                                            break; %ut fra for-loop
                                                        end
                                                        if xManDag(i,b,a)>0  %Stryker ikke DK
                                                            funnet=1;
                                                            antallStrykPrDag=antallStrykPrDag+1;
                                                            xManDag(i,b,a)=xManDag(i,b,a)-1; %Elektiv pasient strykes
                                                            listeStrykEl(1,a)=listeStrykEl(1,a)+1;
                                                            listeStrykEl(listeStrykEl(1,a)+1,a)=i;
                                                            diagnoseStrykEl(1,end+1)=i;
                                                            strykEl=strykEl+1;
                                                            gronneElektivStue(a,b,1)=gronneElektivStue(a,b,1)+1; %Grnn legges til
                                                            gronneElektivStue(a,b,gronneElektivStue(a,b,1)+1)=gronnListeSkeduleringSeng(1,1); %legger ved hvilken sengepost pasientn hrer til;
                                                            for q=length(ventetiderGronne(1,:)):-1:1
                                                                if q==length(ventetiderGronne(1,:))
                                                                    if a>=ventetiderGronne(2,q)
                                                                        break;
                                                                    end
                                                                else
                                                                    if a>=ventetiderGronne(2,q) && a<ventetiderGronne(2,q+1)
                                                                        break;
                                                                    end
                                                                end
                                                            end
                                                            if q==length(ventetiderGronne(1,:))            
                                                                ventetiderGronne(1,end+1)=a-d+1;
                                                                ventetiderGronne(2,end)=a;
                                                            else
                                                                q=q+1;
                                                                ventetiderKopi=zeros(2,length(ventetiderGronne(1,:))); %Lager en kopi
                                                                for z=q:1:length(ventetiderGronne(1,:))
                                                                    ventetiderKopi(1,z)=ventetiderGronne(1,z);
                                                                    ventetiderKopi(2,z)=ventetiderGronne(2,z);
                                                                end
                                                                for z=q:1:length(ventetiderGronne(1,:))+1
                                                                    if z==q
                                                                        ventetiderGronne(1,z)=a-d+1;
                                                                        ventetiderGronne(2,z)=a;
                                                                    elseif z<=length(ventetiderGronne(1,:))
                                                                        ventetiderGronne(1,z)=a-d+1;
                                                                        ventetiderGronne(2,z)=ventetiderKopi(2,z-1);
                                                                    else
                                                                        ventetiderGronne(1,end+1)=a-d+1;
                                                                        ventetiderGronne(2,end)=ventetiderKopi(2,z-1);
                                                                    end
                                                                end
                                                            end
                                                            gronnListeSkedulering(1)=[]; %stryker pasienten fra ventelisten
                                                            gronnListeSkeduleringSeng(1)=[];
                                                            if isempty(gronnListeSkedulering)
                                                                break;
                                                            end
                                                        end
                                                    end
                                                    if i==15 && funnet==0
                                                        a=a+1;
                                                    end
                                                end
                                            else %eller s leter vi p neste dag
                                                a=a+1;
                                            end
                                        elseif mod(a,7)==2
                                            if sum(sum(xTirDag(:,:,a)))>0 %Dersom det fins pasienter  stryke
                                                for i=1:1:length(xTirDag(:,b,a))
                                                    if i>14 || i<13 %%Stryker ikke FT
                                                        funnet=0;
                                                        if antallStrykPrDag>=limitStrykPrDag
                                                            break; %ut fra for-loop
                                                        end
                                                        if xTirDag(i,b,a)>0 
                                                            funnet=1;
                                                            antallStrykPrDag=antallStrykPrDag+1;
                                                            xTirDag(i,b,a)=xTirDag(i,b,a)-1; %Elektiv pasient strykes
                                                            listeStrykEl(1,a)=listeStrykEl(1,a)+1;
                                                            listeStrykEl(listeStrykEl(1,a)+1,a)=i;
                                                            diagnoseStrykEl(1,end+1)=i;
                                                            strykEl=strykEl+1;
                                                            gronneElektivStue(a,b,1)=gronneElektivStue(a,b,1)+1; %Grnn legges til
                                                            gronneElektivStue(a,b,gronneElektivStue(a,b,1)+1)=gronnListeSkeduleringSeng(1,1); %legger ved hvilken sengepost pasientn hrer til;
                                                            for q=length(ventetiderGronne(1,:)):-1:1
                                                                if q==length(ventetiderGronne(1,:))
                                                                    if a>=ventetiderGronne(2,q)
                                                                        break;
                                                                    end
                                                                else
                                                                    if a>=ventetiderGronne(2,q) && a<ventetiderGronne(2,q+1)
                                                                        break;
                                                                    end
                                                                end
                                                            end
                                                            if q==length(ventetiderGronne(1,:))            
                                                                ventetiderGronne(1,end+1)=a-d+1;
                                                                ventetiderGronne(2,end)=a;
                                                            else
                                                                q=q+1;
                                                                ventetiderKopi=zeros(2,length(ventetiderGronne(1,:))); %Lager en kopi
                                                                for z=q:1:length(ventetiderGronne(1,:))
                                                                    ventetiderKopi(1,z)=ventetiderGronne(1,z);
                                                                    ventetiderKopi(2,z)=ventetiderGronne(2,z);
                                                                end
                                                                for z=q:1:length(ventetiderGronne(1,:))+1
                                                                    if z==q
                                                                        ventetiderGronne(1,z)=a-d+1;
                                                                        ventetiderGronne(2,z)=a;
                                                                    elseif z<=length(ventetiderGronne(1,:))
                                                                        ventetiderGronne(1,z)=a-d+1;
                                                                        ventetiderGronne(2,z)=ventetiderKopi(2,z-1);
                                                                    else
                                                                        ventetiderGronne(1,end+1)=a-d+1;
                                                                        ventetiderGronne(2,end)=ventetiderKopi(2,z-1);
                                                                    end
                                                                end
                                                            end
                                                            gronnListeSkedulering(1)=[]; %stryker pasienten fra ventelisten
                                                            gronnListeSkeduleringSeng(1)=[];
                                                            if isempty(gronnListeSkedulering)
                                                                break;
                                                            end
                                                        end
                                                    end
                                                    if i==15 && funnet==0
                                                        a=a+1;
                                                    end
                                                end
                                            else %eller s leter vi p neste dag
                                                a=a+1;
                                            end
                                        elseif mod(a,7)==3
                                            if sum(sum(xOnsDag(:,:,a)))>0 %Dersom det fins pasienter  stryke
                                                for i=1:1:length(xOns(:,b))
                                                    if i>14 || i<13 %%Stryker ikke FT
                                                        funnet=0;
                                                        if antallStrykPrDag>=limitStrykPrDag
                                                            break; %ut fra for-loop
                                                        end
                                                        if xOnsDag(i,b,a)>0 
                                                            funnet=1;
                                                            antallStrykPrDag=antallStrykPrDag+1;
                                                            xOnsDag(i,b,a)=xOnsDag(i,b,a)-1; %Elektiv pasient strykes
                                                            listeStrykEl(1,a)=listeStrykEl(1,a)+1;
                                                            listeStrykEl(listeStrykEl(1,a)+1,a)=i;
                                                            diagnoseStrykEl(1,end+1)=i;
                                                            strykEl=strykEl+1;
                                                            gronneElektivStue(a,b,1)=gronneElektivStue(a,b,1)+1; %Grnn legges til
                                                            gronneElektivStue(a,b,gronneElektivStue(a,b,1)+1)=gronnListeSkeduleringSeng(1,1); %legger ved hvilken sengepost pasientn hrer til;
                                                            for q=length(ventetiderGronne(1,:)):-1:1
                                                                if q==length(ventetiderGronne(1,:))
                                                                    if a>=ventetiderGronne(2,q)
                                                                        break;
                                                                    end
                                                                else
                                                                    if a>=ventetiderGronne(2,q) && a<ventetiderGronne(2,q+1)
                                                                        break;
                                                                    end
                                                                end
                                                            end
                                                            if q==length(ventetiderGronne(1,:))            
                                                                ventetiderGronne(1,end+1)=a-d+1;
                                                                ventetiderGronne(2,end)=a;
                                                            else
                                                                q=q+1;
                                                                ventetiderKopi=zeros(2,length(ventetiderGronne(1,:))); %Lager en kopi
                                                                for z=q:1:length(ventetiderGronne(1,:))
                                                                    ventetiderKopi(1,z)=ventetiderGronne(1,z);
                                                                    ventetiderKopi(2,z)=ventetiderGronne(2,z);
                                                                end
                                                                for z=q:1:length(ventetiderGronne(1,:))+1
                                                                    if z==q
                                                                        ventetiderGronne(1,z)=a-d+1;
                                                                        ventetiderGronne(2,z)=a;
                                                                    elseif z<=length(ventetiderGronne(1,:))
                                                                        ventetiderGronne(1,z)=a-d+1;
                                                                        ventetiderGronne(2,z)=ventetiderKopi(2,z-1);
                                                                    else
                                                                        ventetiderGronne(1,end+1)=a-d+1;
                                                                        ventetiderGronne(2,end)=ventetiderKopi(2,z-1);
                                                                    end
                                                                end
                                                            end
                                                            gronnListeSkedulering(1)=[]; %stryker pasienten fra ventelisten
                                                            gronnListeSkeduleringSeng(1)=[];
                                                            if isempty(gronnListeSkedulering)
                                                                break;
                                                            end
                                                        end
                                                    end
                                                    if i==15 && funnet==0
                                                        a=a+1;
                                                    end
                                                end
                                            else %eller s leter vi p neste dag
                                                a=a+1;
                                            end
                                        elseif mod(a,7)==4
                                            if sum(sum(xTorDag(:,:,a)))>0 %Dersom det fins pasienter  stryke
                                                for i=1:1:length(xTor(:,b))
                                                    if i>14 || i<13 %%Stryker ikke FT
                                                        funnet=0;
                                                        if antallStrykPrDag>=limitStrykPrDag
                                                            break; %ut fra for-loop
                                                        end
                                                        if xTorDag(i,b,a)>0 
                                                            funnet=1;
                                                            antallStrykPrDag=antallStrykPrDag+1;
                                                            xTorDag(i,b,a)=xTorDag(i,b,a)-1; %Elektiv pasient strykes
                                                            listeStrykEl(1,a)=listeStrykEl(1,a)+1;
                                                            listeStrykEl(listeStrykEl(1,a)+1,a)=i;
                                                            diagnoseStrykEl(1,end+1)=i;
                                                            strykEl=strykEl+1;
                                                            gronneElektivStue(a,b,1)=gronneElektivStue(a,b,1)+1; %Grnn legges til
                                                            gronneElektivStue(a,b,gronneElektivStue(a,b,1)+1)=gronnListeSkeduleringSeng(1,1); %legger ved hvilken sengepost pasientn hrer til;
                                                            for q=length(ventetiderGronne(1,:)):-1:1
                                                                if q==length(ventetiderGronne(1,:))
                                                                    if a>=ventetiderGronne(2,q)
                                                                        break;
                                                                    end
                                                                else
                                                                    if a>=ventetiderGronne(2,q) && a<ventetiderGronne(2,q+1)
                                                                        break;
                                                                    end
                                                                end
                                                            end
                                                            if q==length(ventetiderGronne(1,:))            
                                                                ventetiderGronne(1,end+1)=a-d+1;
                                                                ventetiderGronne(2,end)=a;
                                                            else
                                                                q=q+1;
                                                                ventetiderKopi=zeros(2,length(ventetiderGronne(1,:))); %Lager en kopi
                                                                for z=q:1:length(ventetiderGronne(1,:))
                                                                    ventetiderKopi(1,z)=ventetiderGronne(1,z);
                                                                    ventetiderKopi(2,z)=ventetiderGronne(2,z);
                                                                end
                                                                for z=q:1:length(ventetiderGronne(1,:))+1
                                                                    if z==q
                                                                        ventetiderGronne(1,z)=a-d+1;
                                                                        ventetiderGronne(2,z)=a;
                                                                    elseif z<=length(ventetiderGronne(1,:))
                                                                        ventetiderGronne(1,z)=a-d+1;
                                                                        ventetiderGronne(2,z)=ventetiderKopi(2,z-1);
                                                                    else
                                                                        ventetiderGronne(1,end+1)=a-d+1;
                                                                        ventetiderGronne(2,end)=ventetiderKopi(2,z-1);
                                                                    end
                                                                end
                                                            end
                                                            gronnListeSkedulering(1)=[]; %stryker pasienten fra ventelisten
                                                            gronnListeSkeduleringSeng(1)=[];
                                                            if isempty(gronnListeSkedulering)
                                                                break;
                                                            end
                                                        end
                                                    end
                                                    if i==15 && funnet==0
                                                        a=a+1;
                                                    end
                                                end
                                            else %eller s leter vi p neste dag
                                                a=a+1;
                                            end
                                        elseif mod(a,7)==5
                                            if sum(sum(xFreDag(:,:,a)))>0 %Dersom det fins pasienter  stryke
                                                if i>14 || i<13 %%Stryker ikke FT
                                                    for i=1:1:length(xFre(:,b))
                                                        funnet=0;
                                                        if antallStrykPrDag>=limitStrykPrDag
                                                            break; %ut fra for-loop
                                                        end
                                                        if xFreDag(i,b,a)>0 
                                                            funnet=1;
                                                            antallStrukPrDag=antallStrykPrDag+1;
                                                            xFreDag(i,b,a)=xFreDag(i,b,a)-1; %Elektiv pasient strykes
                                                            listeStrykEl(1,a)=listeStrykEl(1,a)+1;
                                                            listeStrykEl(listeStrykEl(1,a)+1,a)=i;
                                                            diagnoseStrykEl(1,end+1)=i;
                                                            strykEl=strykEl+1;
                                                            gronneElektivStue(a,b,1)=gronneElektivStue(a,b,1)+1; %Grnn legges til
                                                            gronneElektivStue(a,b,gronneElektivStue(a,b,1)+1)=gronnListeSkeduleringSeng(1,1); %legger ved hvilken sengepost pasientn hrer til;
                                                            for q=length(ventetiderGronne(1,:)):-1:1
                                                                if q==length(ventetiderGronne(1,:))
                                                                    if a>=ventetiderGronne(2,q)
                                                                        break;
                                                                    end
                                                                else
                                                                    if a>=ventetiderGronne(2,q) && a<ventetiderGronne(2,q+1)
                                                                        break;
                                                                    end
                                                                end
                                                            end
                                                            if q==length(ventetiderGronne(1,:))            
                                                                ventetiderGronne(1,end+1)=a-d+1;
                                                                ventetiderGronne(2,end)=a;
                                                            else
                                                                q=q+1;
                                                                ventetiderKopi=zeros(2,length(ventetiderGronne(1,:))); %Lager en kopi
                                                                for z=q:1:length(ventetiderGronne(1,:))
                                                                    ventetiderKopi(1,z)=ventetiderGronne(1,z);
                                                                    ventetiderKopi(2,z)=ventetiderGronne(2,z);
                                                                end
                                                                for z=q:1:length(ventetiderGronne(1,:))+1
                                                                    if z==q
                                                                        ventetiderGronne(1,z)=a-d+1;
                                                                        ventetiderGronne(2,z)=a;
                                                                    elseif z<=length(ventetiderGronne(1,:))
                                                                        ventetiderGronne(1,z)=a-d+1;
                                                                        ventetiderGronne(2,z)=ventetiderKopi(2,z-1);
                                                                    else
                                                                        ventetiderGronne(1,end+1)=a-d+1;
                                                                        ventetiderGronne(2,end)=ventetiderKopi(2,z-1);
                                                                    end
                                                                end
                                                            end
                                                            gronnListeSkedulering(1)=[]; %stryker pasienten fra ventelisten
                                                            gronnListeSkeduleringSeng(1)=[];
                                                            if isempty(gronnListeSkedulering)
                                                                break;
                                                            end
                                                        end
                                                    end
                                                    if i==15 && funnet==0
                                                        a=a+1;
                                                    end
                                                end
                                            else %eller s leter vi p neste dag
                                                a=a+1;
                                            end
                                        elseif mod(a,7)==6
                                            a=a+2;
                                        elseif mod(a,7)==0
                                            a=a+1;

                                        end

                                    end
                                end
                            end
                        end
                    end
                end

            elseif length(gronnDKListeSkedulering)>0 && antallStrykPrDagDK<limitStrykPrDagDK
                % FIFO
                a=d;
                b=1; 
                while length(gronnDKListeSkedulering)>0 && antallStrykPrDagDK<limitStrykPrDagDK
                    if flexStue(a,b)>surgeryDurGr(1,1) %dersom plass p stuen
                        flexStue(a,b)=flexStue(a,b)-surgeryDurGr(1,1); %Fjerner plass p stuen
                        gronnDKFlexStue(a,b)=gronnDKFlexStue(a,b)+1;
                        ventetiderGronne(1,end+1)=a-d+1;
                        ventetiderGronne(2,end)=a; %Beregner ventetid ved operasjonsdag
                        gronnDKListeSkedulering(1)=[]; %stryker pasienten fra ventelisten
                    else
                        b=b+1; %Ser neste stue
                        if b==9
                            b=1;
                            a=a+1;
                            if a-d>=grenseGronneForStrykeEl %M stryke elektive dersom over frist for de grnne
                                a=d+grenseStrykEl; %Kan ikke stryke paseinter i dag eller i morgen, men deretter raskt
                                if gronneDK_AHL==1
                                    while length(gronnDKListeSkedulering)>0 && length(gronnDKListeAHL)<maksGronneDKAHL %Legges til AHL
                                        gronnDKListeAHL(1,end+1)=gronnDKListeSkedulering(1,1); %Legges p liste til AHL
                                        gronnDKListeSkedulering(1)=[]; %stryker fra overordnet liste
                                    end
                                end
                                while length(gronnDKListeSkedulering)>0 && antallStrykPrDagDK<limitStrykPrDagDK
                                    b=randi(7)+1; %Velger random stue for  se etter pasient  stryke
                                    if mod(a,7)==1
                                        if sum(sum(xManDag(:,:,a)))>0 %Dersom det fins pasienter  stryke
                                            
                                            for i=1:1:length(xMan(:,b))
                                                if i>14 || i<13 %%Stryker ikke FT
                                                    funnet=0;
                                                    if antallStrykPrDagDK>=limitStrykPrDagDK
                                                        break;
                                                    end
                                                    if xManDag(i,b,a)>0 
                                                        funnet=1;
                                                        antallStrykPrDagDK=antallStrykPrDagDK+1;
                                                        xManDag(i,b,a)=xManDag(i,b,a)-1; %Elektiv pasient strykes
                                                        listeStrykEl(1,a)=listeStrykEl(1,a)+1;
                                                        listeStrykEl(listeStrykEl(1,a)+1,a)=i;
                                                        diagnoseStrykEl(1,end+1)=i;
                                                        strykEl=strykEl+1;
                                                        gronneDKElektivStue(a,b)=gronneDKElektivStue(a,b)+1; %Grnn legges til
                                                        for q=length(ventetiderGronne(1,:)):-1:1
                                                            if q==length(ventetiderGronne(1,:))
                                                                if a>=ventetiderGronne(2,q)
                                                                    break;
                                                                end
                                                            else
                                                                if a>=ventetiderGronne(2,q) && a<ventetiderGronne(2,q+1)
                                                                    break;
                                                                end
                                                            end
                                                        end
                                                        if q==length(ventetiderGronne(1,:))            
                                                            ventetiderGronne(1,end+1)=a-d+1;
                                                            ventetiderGronne(2,end)=a;
                                                        else
                                                            q=q+1;
                                                            ventetiderKopi=zeros(2,length(ventetiderGronne(1,:))); %Lager en kopi
                                                            for z=q:1:length(ventetiderGronne(1,:))
                                                                ventetiderKopi(1,z)=ventetiderGronne(1,z);
                                                                ventetiderKopi(2,z)=ventetiderGronne(2,z);
                                                            end
                                                            for z=q:1:length(ventetiderGronne(1,:))+1
                                                                if z==q
                                                                    ventetiderGronne(1,z)=a-d+1;
                                                                    ventetiderGronne(2,z)=a;
                                                                elseif z<=length(ventetiderGronne(1,:))
                                                                    ventetiderGronne(1,z)=a-d+1;
                                                                    ventetiderGronne(2,z)=ventetiderKopi(2,z-1);
                                                                else
                                                                    ventetiderGronne(1,end+1)=a-d+1;
                                                                    ventetiderGronne(2,end)=ventetiderKopi(2,z-1);
                                                                end
                                                            end
                                                        end
                                                        gronnDKListeSkedulering(1)=[]; %stryker pasienten fra ventelisten
                                                        if isempty(gronnDKListeSkedulering)
                                                            break;
                                                        end
                                                    end
                                                    if i==length(xManDag(:,b,a)) && funnet==0
                                                        a=a+1;
                                                    end
                                                end
                                            end
                                        else %eller s leter vi p neste dag
                                            a=a+1;
                                        end
                                    elseif mod(a,7)==2
                                        if sum(sum(xTirDag(:,:,a)))>0 %Dersom det fins pasienter  stryke
                                            
                                            for i=1:1:length(xTir(:,b))
                                                if i>14 || i<13 %%Stryker ikke FT
                                                    funnet=0;
                                                    if antallStrykPrDagDK>=limitStrykPrDagDK
                                                        break;
                                                    end
                                                    if xTirDag(i,b,a)>0 
                                                        funnet=1;
                                                        antallStrykPrDagDK=antallStrykPrDagDK+1;
                                                        xTirDag(i,b,a)=xTirDag(i,b,a)-1; %Elektiv pasient strykes
                                                        listeStrykEl(1,a)=listeStrykEl(1,a)+1;
                                                        listeStrykEl(listeStrykEl(1,a)+1,a)=i;
                                                        diagnoseStrykEl(1,end+1)=i;
                                                        strykEl=strykEl+1;
                                                        gronneDKElektivStue(a,b)=gronneDKElektivStue(a,b)+1; %Grnn legges til
                                                        for q=length(ventetiderGronne(1,:)):-1:1
                                                            if q==length(ventetiderGronne(1,:))
                                                                if a>=ventetiderGronne(2,q)
                                                                    break;
                                                                end
                                                            else
                                                                if a>=ventetiderGronne(2,q) && a<ventetiderGronne(2,q+1)
                                                                    break;
                                                                end
                                                            end
                                                        end
                                                        if q==length(ventetiderGronne(1,:))            
                                                            ventetiderGronne(1,end+1)=a-d+1;
                                                            ventetiderGronne(2,end)=a;
                                                        else
                                                            q=q+1;
                                                            ventetiderKopi=zeros(2,length(ventetiderGronne(1,:))); %Lager en kopi
                                                            for z=q:1:length(ventetiderGronne(1,:))
                                                                ventetiderKopi(1,z)=ventetiderGronne(1,z);
                                                                ventetiderKopi(2,z)=ventetiderGronne(2,z);
                                                            end
                                                            for z=q:1:length(ventetiderGronne(1,:))+1
                                                                if z==q
                                                                    ventetiderGronne(1,z)=a-d+1;
                                                                    ventetiderGronne(2,z)=a;
                                                                elseif z<=length(ventetiderGronne(1,:))
                                                                    ventetiderGronne(1,z)=a-d+1;
                                                                    ventetiderGronne(2,z)=ventetiderKopi(2,z-1);
                                                                else
                                                                    ventetiderGronne(1,end+1)=a-d+1;
                                                                    ventetiderGronne(2,end)=ventetiderKopi(2,z-1);
                                                                end
                                                            end
                                                        end
                                                        gronnDKListeSkedulering(1)=[]; %stryker pasienten fra ventelisten
                                                        if isempty(gronnDKListeSkedulering)
                                                            break;
                                                        end
                                                    end
                                                    if i==length(xTir(:,b)) && funnet==0
                                                        a=a+1;
                                                    end
                                                end
                                            end
                                        else %eller s leter vi p neste dag
                                            a=a+1;
                                        end
                                    elseif mod(a,7)==3
                                        if sum(sum(xOnsDag(:,:,a)))>0 %Dersom det fins pasienter  stryke
                                            
                                            for i=1:1:length(xOns(:,b))
                                                if i>14 || i<13 %%Stryker ikke FT
                                                    funnet=0;
                                                    if antallStrykPrDagDK>=limitStrykPrDagDK
                                                        break;
                                                    end
                                                    if xOnsDag(i,b,a)>0 
                                                        funnet=1;
                                                        antallStrykPrDagDK=antallStrykPrDagDK+1;
                                                        xOnsDag(i,b,a)=xOnsDag(i,b,a)-1; %Elektiv pasient strykes
                                                        listeStrykEl(1,a)=listeStrykEl(1,a)+1;
                                                        listeStrykEl(listeStrykEl(1,a)+1,a)=i;
                                                        diagnoseStrykEl(1,end+1)=i;
                                                        strykEl=strykEl+1;
                                                        gronneDKElektivStue(a,b)=gronneDKElektivStue(a,b)+1; %Grnn legges til
                                                        for q=length(ventetiderGronne(1,:)):-1:1
                                                            if q==length(ventetiderGronne(1,:))
                                                                if a>=ventetiderGronne(2,q)
                                                                    break;
                                                                end
                                                            else
                                                                if a>=ventetiderGronne(2,q) && a<ventetiderGronne(2,q+1)
                                                                    break;
                                                                end
                                                            end
                                                        end
                                                        if q==length(ventetiderGronne(1,:))            
                                                            ventetiderGronne(1,end+1)=a-d+1;
                                                            ventetiderGronne(2,end)=a;
                                                        else
                                                            q=q+1;
                                                            ventetiderKopi=zeros(2,length(ventetiderGronne(1,:))); %Lager en kopi
                                                            for z=q:1:length(ventetiderGronne(1,:))
                                                                ventetiderKopi(1,z)=ventetiderGronne(1,z);
                                                                ventetiderKopi(2,z)=ventetiderGronne(2,z);
                                                            end
                                                            for z=q:1:length(ventetiderGronne(1,:))+1
                                                                if z==q
                                                                    ventetiderGronne(1,z)=a-d+1;
                                                                    ventetiderGronne(2,z)=a;
                                                                elseif z<=length(ventetiderGronne(1,:))
                                                                    ventetiderGronne(1,z)=a-d+1;
                                                                    ventetiderGronne(2,z)=ventetiderKopi(2,z-1);
                                                                else
                                                                    ventetiderGronne(1,end+1)=a-d+1;
                                                                    ventetiderGronne(2,end)=ventetiderKopi(2,z-1);
                                                                end
                                                            end
                                                        end
                                                        gronnDKListeSkedulering(1)=[]; %stryker pasienten fra ventelisten
                                                        if isempty(gronnDKListeSkedulering)
                                                            break;
                                                        end
                                                    end
                                                    if i==length(xOns(:,b)) && funnet==0
                                                        a=a+1;
                                                    end
                                                end
                                            end
                                        else %eller s leter vi p neste dag
                                            a=a+1;
                                        end
                                    elseif mod(a,7)==4

                                        if sum(sum(xTorDag(:,:,a)))>0 %Dersom det fins pasienter  stryke
                                            
                                            for i=1:1:length(xTor(:,b))
                                                if i>14 || i<13 %%Stryker ikke FT
                                                    funnet=0;
                                                    if antallStrykPrDagDK>=limitStrykPrDagDK
                                                        break;
                                                    end
                                                    if xTorDag(i,b,a)>0 
                                                        funnet=1;
                                                        antallStrykPrDagDK=antallStrykPrDagDK+1;
                                                        xTorDag(i,b,a)=xTorDag(i,b,a)-1; %Elektiv pasient strykes
                                                        listeStrykEl(1,a)=listeStrykEl(1,a)+1;
                                                        listeStrykEl(listeStrykEl(1,a)+1,a)=i;
                                                        diagnoseStrykEl(1,end+1)=i;
                                                        strykEl=strykEl+1;
                                                        gronneDKElektivStue(a,b)=gronneDKElektivStue(a,b)+1; %Grnn legges til
                                                        for q=length(ventetiderGronne(1,:)):-1:1
                                                            if q==length(ventetiderGronne(1,:))
                                                                if a>=ventetiderGronne(2,q)
                                                                    break;
                                                                end
                                                            else
                                                                if a>=ventetiderGronne(2,q) && a<ventetiderGronne(2,q+1)
                                                                    break;
                                                                end
                                                            end
                                                        end
                                                        if q==length(ventetiderGronne(1,:))            
                                                            ventetiderGronne(1,end+1)=a-d+1;
                                                            ventetiderGronne(2,end)=a;
                                                        else
                                                            q=q+1;
                                                            ventetiderKopi=zeros(2,length(ventetiderGronne(1,:))); %Lager en kopi
                                                            for z=q:1:length(ventetiderGronne(1,:))
                                                                ventetiderKopi(1,z)=ventetiderGronne(1,z);
                                                                ventetiderKopi(2,z)=ventetiderGronne(2,z);
                                                            end
                                                            for z=q:1:length(ventetiderGronne(1,:))+1
                                                                if z==q
                                                                    ventetiderGronne(1,z)=a-d+1;
                                                                    ventetiderGronne(2,z)=a;
                                                                elseif z<=length(ventetiderGronne(1,:))
                                                                    ventetiderGronne(1,z)=a-d+1;
                                                                    ventetiderGronne(2,z)=ventetiderKopi(2,z-1);
                                                                else
                                                                    ventetiderGronne(1,end+1)=a-d+1;
                                                                    ventetiderGronne(2,end)=ventetiderKopi(2,z-1);
                                                                end
                                                            end
                                                        end
                                                        gronnDKListeSkedulering(1)=[]; %stryker pasienten fra ventelisten
                                                        if isempty(gronnDKListeSkedulering)
                                                            break;
                                                        end
                                                    end
                                                    if i==length(xTor(:,b)) && funnet==0
                                                        a=a+1;
                                                    end
                                                end
                                            end
                                        else %eller s leter vi p neste dag
                                            a=a+1;
                                        end
                                    elseif mod(a,7)==5

                                        if sum(sum(xFreDag(:,:,a)))>0 %Dersom det fins pasienter  stryke
                                            
                                            for i=1:1:length(xFre(:,b))
                                                if i>14 || i<13 %%Stryker ikke FT
                                                    funnet=0;
                                                    if antallStrykPrDagDK>=limitStrykPrDagDK
                                                        break;
                                                    end
                                                    if xFreDag(i,b,a)>0 
                                                        funnet=1;
                                                        antallStrykPrDagDK=antallStrykPrDagDK+1;
                                                        xFreDag(i,b,a)=xFreDag(i,b,a)-1; %Elektiv pasient strykes
                                                        listeStrykEl(1,a)=listeStrykEl(1,a)+1;
                                                        listeStrykEl(listeStrykEl(1,a)+1,a)=i;
                                                        diagnoseStrykEl(1,end+1)=i;
                                                        strykEl=strykEl+1;
                                                        gronneDKElektivStue(a,b)=gronneDKElektivStue(a,b)+1; %Grnn legges til
                                                        for q=length(ventetiderGronne(1,:)):-1:1
                                                            if q==length(ventetiderGronne(1,:))
                                                                if a>=ventetiderGronne(2,q)
                                                                    break;
                                                                end
                                                            else
                                                                if a>=ventetiderGronne(2,q) && a<ventetiderGronne(2,q+1)
                                                                    break;
                                                                end
                                                            end
                                                        end
                                                        if q==length(ventetiderGronne(1,:))            
                                                            ventetiderGronne(1,end+1)=a-d+1;
                                                            ventetiderGronne(2,end)=a;
                                                        else
                                                            q=q+1;
                                                            ventetiderKopi=zeros(2,length(ventetiderGronne(1,:))); %Lager en kopi
                                                            for z=q:1:length(ventetiderGronne(1,:))
                                                                ventetiderKopi(1,z)=ventetiderGronne(1,z);
                                                                ventetiderKopi(2,z)=ventetiderGronne(2,z);
                                                            end
                                                            for z=q:1:length(ventetiderGronne(1,:))+1
                                                                if z==q
                                                                    ventetiderGronne(1,z)=a-d+1;
                                                                    ventetiderGronne(2,z)=a;
                                                                elseif z<=length(ventetiderGronne(1,:))
                                                                    ventetiderGronne(1,z)=a-d+1;
                                                                    ventetiderGronne(2,z)=ventetiderKopi(2,z-1);
                                                                else
                                                                    ventetiderGronne(1,end+1)=a-d+1;
                                                                    ventetiderGronne(2,end)=ventetiderKopi(2,z-1);
                                                                end
                                                            end
                                                        end
                                                        gronnDKListeSkedulering(1)=[]; %stryker pasienten fra ventelisten
                                                        if isempty(gronnDKListeSkedulering)
                                                            break;
                                                        end
                                                    end
                                                    if i==length(xFre(:,b)) && funnet==0
                                                        a=a+1;
                                                    end
                                                end
                                            end
                                        else %eller s leter vi p neste dag
                                            a=a+1;
                                        end
                                    elseif mod(a,7)==6
                                        a=a+2;
                                    elseif mod(a,7)==0
                                        a=a+1;

                                    end                                
                                end
                               
                            end
                        end
                    end
                end
            elseif length(gronnListeSkedulering)>0
                gronnListeAHL(1,end+1)=gronnListeSkedulering(1,1); %Legges p liste til AHL
                gronnListeSkedulering(1)=[]; %stryker fra overordnet liste
                gronnListeSkeduleringSeng(1)=[];
            elseif length(gronnDKListeSkedulering)>0
                gronnDKListeAHL(1,end+1)=gronnDKListeSkedulering(1,1); %Legges p liste til AHL
                gronnDKListeSkedulering(1)=[]; %stryker fra overordnet liste
            elseif strykEl>0
                a=d+venteElFlex; %Vi skedulerer disse tidligst en uke fram i tid
                b=1;
                while strykEl>0
                    if flexStue(a,b)>surgeryDurEl(1,diagnoseStrykEl(1,1)) %dersom plass p stuen
                        flexStue(a,b)=flexStue(a,b)-surgeryDurEl(1,diagnoseStrykEl(1,1)); %Fjerne plass p stuen
                        elFlexStue(a,b,1)=elFlexStue(a,b,1)+1;
                        elFlexStue(a,b,elFlexStue(a,b,1)+1)=diagnoseStrykEl(1,1);
                        strykEl=strykEl-1; %stryker pasienten fra ventelisten
                        diagnoseStrykEl(1)=[];
                    else
                        b=b+1; %Ser neste stue
                        if b==9
                            b=1;
                            a=a+1;
                            if mod(a,7)==6
                                a=a+2;
                            end
                            if mod(a,7)==0
                                a=a+1;
                            end
                        end
                    end
                end
            end
        end
       antallStrykPrDag=0;
       antallStrykPrDagDK=0;



        tid1AHL=max(0,tid1AHL-1440);
        while tid1AHL<=480 %Alle dager er lik - kun rde opereres p natt, men alle som ankommer legges p sengepost


            utW1=sort(utW1);
            utW2=sort(utW2);
            utW3=sort(utW3);
            utW4=sort(utW4);
            utW5=sort(utW5);
            utAkuttW1=sort(utAkuttW1);
            utAkuttW2=sort(utAkuttW2);
            utAkuttW3=sort(utAkuttW3);
            utAkuttW4=sort(utAkuttW4);
            utAkuttW5=sort(utAkuttW5);
            OR2Klar=482+1440*(d-1); %OR2 brukes ikke fr neste morgen

            if OR1Klar==OR2Klar
                OR2Klar=OR2Klar+1;
            end

            if isempty(ankRod)
                ankRod(1,end+1)=10000000;
            end

            if isempty(ankGul)
                ankGul(1,end+1)=10000000;
            end

            if isempty(ankGronn)
                ankGronn(1,end+1)=10000000;
            end

            if isempty(ankGronnDK)
                ankGronnDK(1,end+1)=10000000;
            end

            tidOppdatering=[ankRod(1,1),ankGul(1,1),ankGronn(1,1), ankGronnDK(1,1), OR1Klar, OR2Klar, utW1(1,1), utW2(1,1), utW3(1,1), utW4(1,1), utW5(1,1)];
            tidOppdatering=sort(tidOppdatering);

            tid2=tidOppdatering(1,1);
            if tid2>1440*(d-1)+480
                break;
            end
            tid1AHL=mod(tidOppdatering(1,1),1440);


            if tid2==ankRod(1,1) %Rd legges inn pre, velg sengepost, oppdater bde pre og sengepost
                % Velger sengepost
                ukedagSeng=mod(d,7);
                if ukedagSeng==0
                    ukedagSeng=7;
                end
                sengepost=randi(akutteSeng(ukedagSeng),1,1);
                if sengepost<=akutteOTS
                    rodePreW1(1,end+1)=rodePreW1(1,end)+1;
                    rodePreW1(2,end)=tid2;
                    for b=length(totalW1(1,:)):-1:1
                        if b==length(totalW1(1,:))
                            if tid2>=totalW1(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW1(2,b) && tid2<totalW1(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW1(1,:))            
                        totalW1(1,end+1)=totalW1(1,end)+1;
                        totalW1(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW1(1,:))); %Lager en kopi
                        for z=b:1:length(totalW1(1,:))
                            total(1,z)=totalW1(1,z);
                            total(2,z)=totalW1(2,z);
                        end
                        for z=b:1:length(totalW1(1,:))+1
                            if z==b
                                totalW1(1,z)=totalW1(1,z-1)+1;
                                totalW1(2,z)=tid2;
                            elseif z<=length(totalW1(1,:))
                                totalW1(1,z)=total(1,z-1)+1;
                                totalW1(2,z)=total(2,z-1);
                            else
                                totalW1(1,end+1)=total(1,z-1)+1;
                                totalW1(2,end)=total(2,z-1);
                            end
                        end
                    end
                    for b=length(totalAkuttW1(1,:)):-1:1
                        if b==length(totalAkuttW1(1,:))
                            if tid2>=totalAkuttW1(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW1(2,b) && tid2<totalAkuttW1(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW1(1,:))            
                        totalAkuttW1(1,end+1)=totalAkuttW1(1,end)+1;
                        totalAkuttW1(2,end)=tid2;
                    else
                        b=b+1;
                        totalAkutt=zeros(2,length(totalAkuttW1(1,:))); %Lager en kopi
                        for z=b:1:length(totalAkuttW1(1,:))
                            totalAkutt(1,z)=totalAkuttW1(1,z);
                            totalAkutt(2,z)=totalAkuttW1(2,z);
                        end
                        for z=b:1:length(totalAkuttW1(1,:))+1
                            if z==b
                                totalAkuttW1(1,z)=totalAkuttW1(1,z-1)+1;
                                totalAkuttW1(2,z)=tid2;
                            elseif z<=length(totalAkuttW1(1,:))
                                totalAkuttW1(1,z)=totalAkutt(1,z-1)+1;
                                totalAkuttW1(2,z)=totalAkutt(2,z-1);
                            else
                                totalAkuttW1(1,end+1)=totalAkutt(1,z-1)+1;
                                totalAkuttW1(2,end)=totalAkutt(2,z-1);
                            end
                        end
                    end
                elseif sengepost<=akutteORS
                    rodePreW2(1,end+1)=rodePreW2(1,end)+1;
                    rodePreW2(2,end)=tid2;
                    for b=length(totalW2(1,:)):-1:1
                        if b==length(totalW2(1,:))
                            if tid2>=totalW2(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW2(2,b) && tid2<totalW2(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW2(1,:))            
                        totalW2(1,end+1)=totalW2(1,end)+1;
                        totalW2(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW2(1,:))); %Lager en kopi
                        for z=b:1:length(totalW2(1,:))
                            total(1,z)=totalW2(1,z);
                            total(2,z)=totalW2(2,z);
                        end
                        for z=b:1:length(totalW2(1,:))+1
                            if z==b
                                totalW2(1,z)=totalW2(1,z-1)+1;
                                totalW2(2,z)=tid2;
                            elseif z<=length(totalW2(1,:))
                                totalW2(1,z)=total(1,z-1)+1;
                                totalW2(2,z)=total(2,z-1);
                            else
                                totalW2(1,end+1)=total(1,z-1)+1;
                                totalW2(2,end)=total(2,z-1);
                            end
                        end
                    end
                    for b=length(totalAkuttW2(1,:)):-1:1
                        if b==length(totalAkuttW2(1,:))
                            if tid2>=totalAkuttW2(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW2(2,b) && tid2<totalAkuttW2(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW2(1,:))            
                        totalAkuttW2(1,end+1)=totalAkuttW2(1,end)+1;
                        totalAkuttW2(2,end)=tid2;
                    else
                        b=b+1;
                        totalAkutt=zeros(2,length(totalAkuttW2(1,:))); %Lager en kopi
                        for z=b:1:length(totalAkuttW2(1,:))
                            totalAkutt(1,z)=totalAkuttW2(1,z);
                            totalAkutt(2,z)=totalAkuttW2(2,z);
                        end
                        for z=b:1:length(totalAkuttW2(1,:))+1
                            if z==b
                                totalAkuttW2(1,z)=totalAkuttW2(1,z-1)+1;
                                totalAkuttW2(2,z)=tid2;
                            elseif z<=length(totalAkuttW2(1,:))
                                totalAkuttW2(1,z)=totalAkutt(1,z-1)+1;
                                totalAkuttW2(2,z)=totalAkutt(2,z-1);
                            else
                                totalAkuttW2(1,end+1)=totalAkutt(1,z-1)+1;
                                totalAkuttW2(2,end)=totalAkutt(2,z-1);
                            end
                        end
                    end
                elseif sengepost<=akutteOES
                    rodePreW3(1,end+1)=rodePreW3(1,end)+1;
                    rodePreW3(2,end)=tid2;
                    for b=length(totalW3(1,:)):-1:1
                        if b==length(totalW3(1,:))
                            if tid2>=totalW3(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW3(2,b) && tid2<totalW3(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW3(1,:))            
                        totalW3(1,end+1)=totalW3(1,end)+1;
                        totalW3(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW3(1,:))); %Lager en kopi
                        for z=b:1:length(totalW3(1,:))
                            total(1,z)=totalW3(1,z);
                            total(2,z)=totalW3(2,z);
                        end
                        for z=b:1:length(totalW3(1,:))+1
                            if z==b
                                totalW3(1,z)=totalW3(1,z-1)+1;
                                totalW3(2,z)=tid2;
                            elseif z<=length(totalW3(1,:))
                                totalW3(1,z)=total(1,z-1)+1;
                                totalW3(2,z)=total(2,z-1);
                            else
                                totalW3(1,end+1)=total(1,z-1)+1;
                                totalW3(2,end)=total(2,z-1);
                            end
                        end
                    end
                    for b=length(totalAkuttW3(1,:)):-1:1
                        if b==length(totalAkuttW3(1,:))
                            if tid2>=totalAkuttW3(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW3(2,b) && tid2<totalAkuttW3(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW3(1,:))            
                        totalAkuttW3(1,end+1)=totalAkuttW3(1,end)+1;
                        totalAkuttW3(2,end)=tid2;
                    else
                        b=b+1;
                        totalAkutt=zeros(2,length(totalAkuttW3(1,:))); %Lager en kopi
                        for z=b:1:length(totalAkuttW3(1,:))
                            totalAkutt(1,z)=totalAkuttW3(1,z);
                            totalAkutt(2,z)=totalAkuttW3(2,z);
                        end
                        for z=b:1:length(totalAkuttW3(1,:))+1
                            if z==b
                                totalAkuttW3(1,z)=totalAkuttW3(1,z-1)+1;
                                totalAkuttW3(2,z)=tid2;
                            elseif z<=length(totalAkuttW3(1,:))
                                totalAkuttW3(1,z)=totalAkutt(1,z-1)+1;
                                totalAkuttW3(2,z)=totalAkutt(2,z-1);
                            else
                                totalAkuttW3(1,end+1)=totalAkutt(1,z-1)+1;
                                totalAkuttW3(2,end)=totalAkutt(2,z-1);
                            end
                        end
                    end
                elseif sengepost<=akutteOFT
                    rodePreW4(1,end+1)=rodePreW4(1,end)+1;
                    rodePreW4(2,end)=tid2;
                    for b=length(totalW4(1,:)):-1:1
                        if b==length(totalW4(1,:))
                            if tid2>=totalW4(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW4(2,b) && tid2<totalW4(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW4(1,:))            
                        totalW4(1,end+1)=totalW4(1,end)+1;
                        totalW4(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW4)); %Lager en kopi
                        for z=b:1:length(totalW4)
                            total(1,z)=totalW4(1,z);
                            total(2,z)=totalW4(2,z);
                        end
                        for z=b:1:length(totalW4)+1
                            if z==b
                                totalW4(1,z)=totalW4(1,z-1)+1;
                                totalW4(2,z)=tid2;
                            elseif z<=length(totalW4)
                                totalW4(1,z)=total(1,z-1)+1;
                                totalW4(2,z)=total(2,z-1);
                            else
                                totalW4(1,end+1)=total(1,z-1)+1;
                                totalW4(2,end)=total(2,z-1);
                            end
                        end
                    end
                    for b=length(totalAkuttW4(1,:)):-1:1
                        if b==length(totalAkuttW4(1,:))
                            if tid2>=totalAkuttW4(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW4(2,b) && tid2<totalAkuttW4(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW4(1,:))            
                        totalAkuttW4(1,end+1)=totalAkuttW4(1,end)+1;
                        totalAkuttW4(2,end)=tid2;
                    else
                        b=b+1;
                        totalAkutt=zeros(2,length(totalAkuttW4(1,:))); %Lager en kopi
                        for z=b:1:length(totalAkuttW4(1,:))
                            totalAkutt(1,z)=totalAkuttW4(1,z);
                            totalAkutt(2,z)=totalAkuttW4(2,z);
                        end
                        for z=b:1:length(totalAkuttW4(1,:))+1
                            if z==b
                                totalAkuttW4(1,z)=totalAkuttW4(1,z-1)+1;
                                totalAkuttW4(2,z)=tid2;
                            elseif z<=length(totalAkuttW4(1,:))
                                totalAkuttW4(1,z)=totalAkutt(1,z-1)+1;
                                totalAkuttW4(2,z)=totalAkutt(2,z-1);
                            else
                                totalAkuttW4(1,end+1)=totalAkutt(1,z-1)+1;
                                totalAkuttW4(2,end)=totalAkutt(2,z-1);
                            end
                        end
                    end
                else
                    rodePreW5(1,end+1)=rodePreW5(1,end)+1;
                    rodePreW5(2,end)=tid2;
                    for b=length(totalW5(1,:)):-1:1
                        if b==length(totalW5(1,:))
                            if tid2>=totalW5(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW5(2,b) && tid2<totalW5(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW5(1,:))            
                        totalW5(1,end+1)=totalW5(1,end)+1;
                        totalW5(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW5)); %Lager en kopi
                        for z=b:1:length(totalW5)
                            total(1,z)=totalW5(1,z);
                            total(2,z)=totalW5(2,z);
                        end
                        for z=b:1:length(totalW5)+1
                            if z==b
                                totalW5(1,z)=totalW5(1,z-1)+1;
                                totalW5(2,z)=tid2;
                            elseif z<=length(totalW5)
                                totalW5(1,z)=total(1,z-1)+1;
                                totalW5(2,z)=total(2,z-1);
                            else
                                totalW5(1,end+1)=total(1,z-1)+1;
                                totalW5(2,end)=total(2,z-1);
                            end
                        end
                    end
                    for b=length(totalAkuttW5(1,:)):-1:1
                        if b==length(totalAkuttW5(1,:))
                            if tid2>=totalAkuttW5(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW5(2,b) && tid2<totalAkuttW5(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW5(1,:))            
                        totalAkuttW5(1,end+1)=totalAkuttW5(1,end)+1;
                        totalAkuttW5(2,end)=tid2;
                    else
                        b=b+1;
                        totalAkutt=zeros(2,length(totalAkuttW5(1,:))); %Lager en kopi
                        for z=b:1:length(totalAkuttW5(1,:))
                            totalAkutt(1,z)=totalAkuttW5(1,z);
                            totalAkutt(2,z)=totalAkuttW5(2,z);
                        end
                        for z=b:1:length(totalAkuttW5(1,:))+1
                            if z==b
                                totalAkuttW5(1,z)=totalAkuttW5(1,z-1)+1;
                                totalAkuttW5(2,z)=tid2;
                            elseif z<=length(totalAkuttW5(1,:))
                                totalAkuttW5(1,z)=totalAkutt(1,z-1)+1;
                                totalAkuttW5(2,z)=totalAkutt(2,z-1);
                            else
                                totalAkuttW5(1,end+1)=totalAkutt(1,z-1)+1;
                                totalAkuttW5(2,end)=totalAkutt(2,z-1);
                            end
                        end


                    end
                end

                %Sletter ankomsten
                ankRod(1)=[];
            elseif tid2==ankGul(1,1) %Gul legges inn pre, velg sengepost, oppdater bde pre og sengepost
                % Velger sengepost
                ukedagSeng=mod(d,7);
                if ukedagSeng==0
                    ukedagSeng=7;
                end
                sengepost=randi(akutteSeng(ukedagSeng),1,1);
                if sengepost<=akutteOTS
                    %Vi legger pasienten ventelisten, vi m passe p  legge
                    %til rett tidspunkt
                    for b=length(gulePreW1(1,:)):-1:1
                        if b==length(gulePreW1(1,:))
                            if tid2>=gulePreW1(2,b)
                                break;
                            end
                        else
                            if tid2>=gulePreW1(2,b) && tid2<gulePreW1(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(gulePreW1(1,:))            
                        gulePreW1(1,end+1)=gulePreW1(1,end)+1;
                        gulePreW1(2,end)=tid2;
                    else
                        b=b+1;
                        gulePreKopi=zeros(2,length(gulePreW1(1,:))); %Lager en kopi
                        for z=b:1:length(gulePreW1(1,:))
                            gulePreKopi(1,z)=gulePreW1(1,z);
                            gulePreKopi(2,z)=gulePreW1(2,z);
                        end
                        for z=b:1:length(gulePreW1(1,:))+1
                            if z==b
                                gulePreW1(1,z)=gulePreW1(1,z-1)+1;
                                gulePreW1(2,z)=tid2;
                            elseif z<=length(gulePreW1(1,:))
                                gulePreW1(1,z)=gulePreKopi(1,z-1)+1;
                                gulePreW1(2,z)=gulePreKopi(2,z-1);
                            else
                                gulePreW1(1,end+1)=gulePreKopi(1,z-1)+1;
                                gulePreW1(2,end)=gulePreKopi(2,z-1);
                            end
                        end
                    end
                    for b=length(totalW1(1,:)):-1:1
                        if b==length(totalW1(1,:))
                            if tid2>=totalW1(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW1(2,b) && tid2<totalW1(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW1(1,:))            
                        totalW1(1,end+1)=totalW1(1,end)+1;
                        totalW1(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW1(1,:))); %Lager en kopi
                        for z=b:1:length(totalW1(1,:))
                            total(1,z)=totalW1(1,z);
                            total(2,z)=totalW1(2,z);
                        end
                        for z=b:1:length(totalW1(1,:))+1
                            if z==b
                                totalW1(1,z)=totalW1(1,z-1)+1;
                                totalW1(2,z)=tid2;
                            elseif z<=length(totalW1(1,:))
                                totalW1(1,z)=total(1,z-1)+1;
                                totalW1(2,z)=total(2,z-1);
                            else
                                totalW1(1,end+1)=total(1,z-1)+1;
                                totalW1(2,end)=total(2,z-1);
                            end
                        end
                    end
                    for b=length(totalAkuttW1(1,:)):-1:1
                        if b==length(totalAkuttW1(1,:))
                            if tid2>=totalAkuttW1(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW1(2,b) && tid2<totalAkuttW1(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW1(1,:))            
                        totalAkuttW1(1,end+1)=totalAkuttW1(1,end)+1;
                        totalAkuttW1(2,end)=tid2;
                    else
                        b=b+1;
                        totalAkutt=zeros(2,length(totalAkuttW1(1,:))); %Lager en kopi
                        for z=b:1:length(totalAkuttW1(1,:))
                            totalAkutt(1,z)=totalAkuttW1(1,z);
                            totalAkutt(2,z)=totalAkuttW1(2,z);
                        end
                        for z=b:1:length(totalAkuttW1(1,:))+1
                            if z==b
                                totalAkuttW1(1,z)=totalAkuttW1(1,z-1)+1;
                                totalAkuttW1(2,z)=tid2;
                            elseif z<=length(totalAkuttW1(1,:))
                                totalAkuttW1(1,z)=totalAkutt(1,z-1)+1;
                                totalAkuttW1(2,z)=totalAkutt(2,z-1);
                            else
                                totalAkuttW1(1,end+1)=totalAkutt(1,z-1)+1;
                                totalAkuttW1(2,end)=totalAkutt(2,z-1);
                            end
                        end
                    end

                elseif sengepost<=akutteORS
                    %Vi legger pasienten ventelisten, vi m passe p  legge
                    %til rett tidspunkt
                    for b=length(gulePreW2(1,:)):-1:1
                        if b==length(gulePreW2(1,:))
                            if tid2>=gulePreW2(2,b)
                                break;
                            end
                        else
                            if tid2>=gulePreW2(2,b) && tid2<gulePreW2(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(gulePreW2(1,:))            
                        gulePreW2(1,end+1)=gulePreW2(1,end)+1;
                        gulePreW2(2,end)=tid2;
                    else
                        b=b+1;
                        gulePreKopi=zeros(2,length(gulePreW2(1,:))); %Lager en kopi
                        for z=b:1:length(gulePreW2(1,:))
                            gulePreKopi(1,z)=gulePreW2(1,z);
                            gulePreKopi(2,z)=gulePreW2(2,z);
                        end
                        for z=b:1:length(gulePreW2(1,:))+1
                            if z==b
                                gulePreW2(1,z)=gulePreW2(1,z-1)+1;
                                gulePreW2(2,z)=tid2;
                            elseif z<=length(gulePreW2(1,:))
                                gulePreW2(1,z)=gulePreKopi(1,z-1)+1;
                                gulePreW2(2,z)=gulePreKopi(2,z-1);
                            else
                                gulePreW2(1,end+1)=gulePreKopi(1,z-1)+1;
                                gulePreW2(2,end)=gulePreKopi(2,z-1);
                            end
                        end
                    end
                    for b=length(totalW2(1,:)):-1:1
                        if b==length(totalW2(1,:))
                            if tid2>=totalW2(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW2(2,b) && tid2<totalW2(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW2(1,:))            
                        totalW2(1,end+1)=totalW2(1,end)+1;
                        totalW2(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW2(1,:))); %Lager en kopi
                        for z=b:1:length(totalW2(1,:))
                            total(1,z)=totalW2(1,z);
                            total(2,z)=totalW2(2,z);
                        end
                        for z=b:1:length(totalW2(1,:))+1
                            if z==b
                                totalW2(1,z)=totalW2(1,z-1)+1;
                                totalW2(2,z)=tid2;
                            elseif z<=length(totalW2(1,:))
                                totalW2(1,z)=total(1,z-1)+1;
                                totalW2(2,z)=total(2,z-1);
                            else
                                totalW2(1,end+1)=total(1,z-1)+1;
                                totalW2(2,end)=total(2,z-1);
                            end
                        end
                    end
                    for b=length(totalAkuttW2(1,:)):-1:1
                        if b==length(totalAkuttW2(1,:))
                            if tid2>=totalAkuttW2(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW2(2,b) && tid2<totalAkuttW2(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW2(1,:))            
                        totalAkuttW2(1,end+1)=totalAkuttW2(1,end)+1;
                        totalAkuttW2(2,end)=tid2;
                    else
                        b=b+1;
                        totalAkutt=zeros(2,length(totalAkuttW2(1,:))); %Lager en kopi
                        for z=b:1:length(totalAkuttW2(1,:))
                            totalAkutt(1,z)=totalAkuttW2(1,z);
                            totalAkutt(2,z)=totalAkuttW2(2,z);
                        end
                        for z=b:1:length(totalAkuttW2(1,:))+1
                            if z==b
                                totalAkuttW2(1,z)=totalAkuttW2(1,z-1)+1;
                                totalAkuttW2(2,z)=tid2;
                            elseif z<=length(totalAkuttW2(1,:))
                                totalAkuttW2(1,z)=totalAkutt(1,z-1)+1;
                                totalAkuttW2(2,z)=totalAkutt(2,z-1);
                            else
                                totalAkuttW2(1,end+1)=totalAkutt(1,z-1)+1;
                                totalAkuttW2(2,end)=totalAkutt(2,z-1);
                            end
                        end
                    end

                elseif sengepost<=akutteOES
                    %Vi legger pasienten ventelisten, vi m passe p  legge
                    %til rett tidspunkt
                    for b=length(gulePreW3(1,:)):-1:1
                        if b==length(gulePreW3(1,:))
                            if tid2>=gulePreW3(2,b)
                                break;
                            end
                        else
                            if tid2>=gulePreW3(2,b) && tid2<gulePreW3(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(gulePreW3(1,:))            
                        gulePreW3(1,end+1)=gulePreW3(1,end)+1;
                        gulePreW3(2,end)=tid2;
                    else
                        b=b+1;
                        gulePreKopi=zeros(2,length(gulePreW3(1,:))); %Lager en kopi
                        for z=b:1:length(gulePreW3(1,:))
                            gulePreKopi(1,z)=gulePreW3(1,z);
                            gulePreKopi(2,z)=gulePreW3(2,z);
                        end
                        for z=b:1:length(gulePreW3(1,:))+1
                            if z==b
                                gulePreW3(1,z)=gulePreW3(1,z-1)+1;
                                gulePreW3(2,z)=tid2;
                            elseif z<=length(gulePreW3(1,:))
                                gulePreW3(1,z)=gulePreKopi(1,z-1)+1;
                                gulePreW3(2,z)=gulePreKopi(2,z-1);
                            else
                                gulePreW3(1,end+1)=gulePreKopi(1,z-1)+1;
                                gulePreW3(2,end)=gulePreKopi(2,z-1);
                            end
                        end
                    end
                    for b=length(totalW3(1,:)):-1:1
                        if b==length(totalW3(1,:))
                            if tid2>=totalW3(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW3(2,b) && tid2<totalW3(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW3(1,:))            
                        totalW3(1,end+1)=totalW3(1,end)+1;
                        totalW3(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW3(1,:))); %Lager en kopi
                        for z=b:1:length(totalW3(1,:))
                            total(1,z)=totalW3(1,z);
                            total(2,z)=totalW3(2,z);
                        end
                        for z=b:1:length(totalW3(1,:))+1
                            if z==b
                                totalW3(1,z)=totalW3(1,z-1)+1;
                                totalW3(2,z)=tid2;
                            elseif z<=length(totalW3(1,:))
                                totalW3(1,z)=total(1,z-1)+1;
                                totalW3(2,z)=total(2,z-1);
                            else
                                totalW3(1,end+1)=total(1,z-1)+1;
                                totalW3(2,end)=total(2,z-1);
                            end
                        end
                    end
                    for b=length(totalAkuttW3(1,:)):-1:1
                        if b==length(totalAkuttW3(1,:))
                            if tid2>=totalAkuttW3(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW3(2,b) && tid2<totalAkuttW3(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW3(1,:))            
                        totalAkuttW3(1,end+1)=totalAkuttW3(1,end)+1;
                        totalAkuttW3(2,end)=tid2;
                    else
                        b=b+1;
                        totalAkutt=zeros(2,length(totalAkuttW3(1,:))); %Lager en kopi
                        for z=b:1:length(totalAkuttW3(1,:))
                            totalAkutt(1,z)=totalAkuttW3(1,z);
                            totalAkutt(2,z)=totalAkuttW3(2,z);
                        end
                        for z=b:1:length(totalAkuttW3(1,:))+1
                            if z==b
                                totalAkuttW3(1,z)=totalAkuttW3(1,z-1)+1;
                                totalAkuttW3(2,z)=tid2;
                            elseif z<=length(totalAkuttW3(1,:))
                                totalAkuttW3(1,z)=totalAkutt(1,z-1)+1;
                                totalAkuttW3(2,z)=totalAkutt(2,z-1);
                            else
                                totalAkuttW3(1,end+1)=totalAkutt(1,z-1)+1;
                                totalAkuttW3(2,end)=totalAkutt(2,z-1);
                            end
                        end
                    end

                elseif sengepost<=akutteOFT
                    %Vi legger pasienten ventelisten, vi m passe p  legge
                    %til rett tidspunkt
                    for b=length(gulePreW4(1,:)):-1:1
                        if b==length(gulePreW4(1,:))
                            if tid2>=gulePreW4(2,b)
                                break;
                            end
                        else
                            if tid2>=gulePreW4(2,b) && tid2<gulePreW4(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(gulePreW4(1,:))            
                        gulePreW4(1,end+1)=gulePreW4(1,end)+1;
                        gulePreW4(2,end)=tid2;
                    else
                        b=b+1;
                        gulePreKopi=zeros(2,length(gulePreW4(1,:))); %Lager en kopi
                        for z=b:1:length(gulePreW4(1,:))
                            gulePreKopi(1,z)=gulePreW4(1,z);
                            gulePreKopi(2,z)=gulePreW4(2,z);
                        end
                        for z=b:1:length(gulePreW4(1,:))+1
                            if z==b
                                gulePreW4(1,z)=gulePreW4(1,z-1)+1;
                                gulePreW4(2,z)=tid2;
                            elseif z<=length(gulePreW4(1,:))
                                gulePreW4(1,z)=gulePreKopi(1,z-1)+1;
                                gulePreW4(2,z)=gulePreKopi(2,z-1);
                            else
                                gulePreW4(1,end+1)=gulePreKopi(1,z-1)+1;
                                gulePreW4(2,end)=gulePreKopi(2,z-1);
                            end
                        end
                    end
                    for b=length(totalW4(1,:)):-1:1
                        if b==length(totalW4(1,:))
                            if tid2>=totalW4(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW4(2,b) && tid2<totalW4(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW4(1,:))            
                        totalW4(1,end+1)=totalW4(1,end)+1;
                        totalW4(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW4)); %Lager en kopi
                        for z=b:1:length(totalW4)
                            total(1,z)=totalW4(1,z);
                            total(2,z)=totalW4(2,z);
                        end
                        for z=b:1:length(totalW4)+1
                            if z==b
                                totalW4(1,z)=totalW4(1,z-1)+1;
                                totalW4(2,z)=tid2;
                            elseif z<=length(totalW4)
                                totalW4(1,z)=total(1,z-1)+1;
                                totalW4(2,z)=total(2,z-1);
                            else
                                totalW4(1,end+1)=total(1,z-1)+1;
                                totalW4(2,end)=total(2,z-1);
                            end
                        end
                    end
                    for b=length(totalAkuttW4(1,:)):-1:1
                        if b==length(totalAkuttW4(1,:))
                            if tid2>=totalAkuttW4(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW4(2,b) && tid2<totalAkuttW4(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW4(1,:))            
                        totalAkuttW4(1,end+1)=totalAkuttW4(1,end)+1;
                        totalAkuttW4(2,end)=tid2;
                    else
                        b=b+1;
                        totalAkutt=zeros(2,length(totalAkuttW4(1,:))); %Lager en kopi
                        for z=b:1:length(totalAkuttW4(1,:))
                            totalAkutt(1,z)=totalAkuttW4(1,z);
                            totalAkutt(2,z)=totalAkuttW4(2,z);
                        end
                        for z=b:1:length(totalAkuttW4(1,:))+1
                            if z==b
                                totalAkuttW4(1,z)=totalAkuttW4(1,z-1)+1;
                                totalAkuttW4(2,z)=tid2;
                            elseif z<=length(totalAkuttW4(1,:))
                                totalAkuttW4(1,z)=totalAkutt(1,z-1)+1;
                                totalAkuttW4(2,z)=totalAkutt(2,z-1);
                            else
                                totalAkuttW4(1,end+1)=totalAkutt(1,z-1)+1;
                                totalAkuttW4(2,end)=totalAkutt(2,z-1);
                            end
                        end
                    end

                else
                    %Vi legger pasienten ventelisten, vi m passe p  legge
                    %til rett tidspunkt
                    for b=length(gulePreW5(1,:)):-1:1
                        if b==length(gulePreW5(1,:))
                            if tid2>=gulePreW5(2,b)
                                break;
                            end
                        else
                            if tid2>=gulePreW5(2,b) && tid2<gulePreW5(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(gulePreW5(1,:))            
                        gulePreW5(1,end+1)=gulePreW5(1,end)+1;
                        gulePreW5(2,end)=tid2;
                    else
                        b=b+1;
                        gulePreKopi=zeros(2,length(gulePreW5(1,:))); %Lager en kopi
                        for z=b:1:length(gulePreW5(1,:))
                            gulePreKopi(1,z)=gulePreW5(1,z);
                            gulePreKopi(2,z)=gulePreW5(2,z);
                        end
                        for z=b:1:length(gulePreW5(1,:))+1
                            if z==b
                                gulePreW5(1,z)=gulePreW5(1,z-1)+1;
                                gulePreW5(2,z)=tid2;
                            elseif z<=length(gulePreW5(1,:))
                                gulePreW5(1,z)=gulePreKopi(1,z-1)+1;
                                gulePreW5(2,z)=gulePreKopi(2,z-1);
                            else
                                gulePreW5(1,end+1)=gulePreKopi(1,z-1)+1;
                                gulePreW5(2,end)=gulePreKopi(2,z-1);
                            end
                        end
                    end
                    for b=length(totalW5(1,:)):-1:1
                        if b==length(totalW5(1,:))
                            if tid2>=totalW5(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW5(2,b) && tid2<totalW5(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW5(1,:))            
                        totalW5(1,end+1)=totalW5(1,end)+1;
                        totalW5(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW5)); %Lager en kopi
                        for z=b:1:length(totalW5)
                            total(1,z)=totalW5(1,z);
                            total(2,z)=totalW5(2,z);
                        end
                        for z=b:1:length(totalW5)+1
                            if z==b
                                totalW5(1,z)=totalW5(1,z-1)+1;
                                totalW5(2,z)=tid2;
                            elseif z<=length(totalW5)
                                totalW5(1,z)=total(1,z-1)+1;
                                totalW5(2,z)=total(2,z-1);
                            else
                                totalW5(1,end+1)=total(1,z-1)+1;
                                totalW5(2,end)=total(2,z-1);
                            end
                        end
                    end
                    for b=length(totalAkuttW5(1,:)):-1:1
                        if b==length(totalAkuttW5(1,:))
                            if tid2>=totalAkuttW5(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW5(2,b) && tid2<totalAkuttW5(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW5(1,:))            
                        totalAkuttW5(1,end+1)=totalAkuttW5(1,end)+1;
                        totalAkuttW5(2,end)=tid2;
                    else
                        b=b+1;
                        totalAkutt=zeros(2,length(totalAkuttW5(1,:))); %Lager en kopi
                        for z=b:1:length(totalAkuttW5(1,:))
                            totalAkutt(1,z)=totalAkuttW5(1,z);
                            totalAkutt(2,z)=totalAkuttW5(2,z);
                        end
                        for z=b:1:length(totalAkuttW5(1,:))+1
                            if z==b
                                totalAkuttW5(1,z)=totalAkuttW5(1,z-1)+1;
                                totalAkuttW5(2,z)=tid2;
                            elseif z<=length(totalAkuttW5(1,:))
                                totalAkuttW5(1,z)=totalAkutt(1,z-1)+1;
                                totalAkuttW5(2,z)=totalAkutt(2,z-1);
                            else
                                totalAkuttW5(1,end+1)=totalAkutt(1,z-1)+1;
                                totalAkuttW5(2,end)=totalAkutt(2,z-1);
                            end
                        end


                    end
                end

                %Sletter ankomsten
                ankGul(1)=[];
            elseif tid2==ankGronn(1,1) %Grnn legges inn eller sendes hjem - leggges uansett p liste for skedulering til BVS (skeduleres neste dag), evt til AHL
                % Velger sengepost
                ukedagSeng=mod(d,7);
                if ukedagSeng==0
                    ukedagSeng=7;
                end
                sengepost=randi(akutteSeng(ukedagSeng),1,1);
                if sengepost<=akutteOTS
                    %Vi legger pasienten ventelisten, vi m passe p  legge
                    %til rett tidspunkt
                    for b=length(gronnePreW1(1,:)):-1:1
                        if b==length(gronnePreW1(1,:))
                            if tid2>=gronnePreW1(2,b)
                                break;
                            end
                        else
                            if tid2>=gronnePreW1(2,b) && tid2<gronnePreW1(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(gronnePreW1(1,:))            
                        gronnePreW1(1,end+1)=gronnePreW1(1,end)+1;
                        gronnePreW1(2,end)=tid2;
                    else
                        b=b+1;
                        gronnePreKopi=zeros(2,length(gronnePreW1(1,:))); %Lager en kopi
                        for z=b:1:length(gronnePreW1(1,:))
                            gronnePreKopi(1,z)=gronnePreW1(1,z);
                            gronnePreKopi(2,z)=gronnePreW1(2,z);
                        end
                        for z=b:1:length(gronnePreW1(1,:))+1
                            if z==b
                                gronnePreW1(1,z)=gronnePreW1(1,z-1)+1;
                                gronnePreW1(2,z)=tid2;
                            elseif z<=length(gronnePreW1(1,:))
                                gronnePreW1(1,z)=gronnePreKopi(1,z-1)+1;
                                gronnePreW1(2,z)=gronnePreKopi(2,z-1);
                            else
                                gronnePreW1(1,end+1)=gronnePreKopi(1,z-1)+1;
                                gronnePreW1(2,end)=gronnePreKopi(2,z-1);
                            end
                        end
                    end
                    for b=length(totalW1(1,:)):-1:1
                        if b==length(totalW1(1,:))
                            if tid2>=totalW1(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW1(2,b) && tid2<totalW1(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW1(1,:))            
                        totalW1(1,end+1)=totalW1(1,end)+1;
                        totalW1(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW1(1,:))); %Lager en kopi
                        for z=b:1:length(totalW1(1,:))
                            total(1,z)=totalW1(1,z);
                            total(2,z)=totalW1(2,z);
                        end
                        for z=b:1:length(totalW1(1,:))+1
                            if z==b
                                totalW1(1,z)=totalW1(1,z-1)+1;
                                totalW1(2,z)=tid2;
                            elseif z<=length(totalW1(1,:))
                                totalW1(1,z)=total(1,z-1)+1;
                                totalW1(2,z)=total(2,z-1);
                            else
                                totalW1(1,end+1)=total(1,z-1)+1;
                                totalW1(2,end)=total(2,z-1);
                            end
                        end
                    end
                    for b=length(totalAkuttW1(1,:)):-1:1
                        if b==length(totalAkuttW1(1,:))
                            if tid2>=totalAkuttW1(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW1(2,b) && tid2<totalAkuttW1(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW1(1,:))            
                        totalAkuttW1(1,end+1)=totalAkuttW1(1,end)+1;
                        totalAkuttW1(2,end)=tid2;
                    else
                        b=b+1;
                        totalAkutt=zeros(2,length(totalAkuttW1(1,:))); %Lager en kopi
                        for z=b:1:length(totalAkuttW1(1,:))
                            totalAkutt(1,z)=totalAkuttW1(1,z);
                            totalAkutt(2,z)=totalAkuttW1(2,z);
                        end
                        for z=b:1:length(totalAkuttW1(1,:))+1
                            if z==b
                                totalAkuttW1(1,z)=totalAkuttW1(1,z-1)+1;
                                totalAkuttW1(2,z)=tid2;
                            elseif z<=length(totalAkuttW1(1,:))
                                totalAkuttW1(1,z)=totalAkutt(1,z-1)+1;
                                totalAkuttW1(2,z)=totalAkutt(2,z-1);
                            else
                                totalAkuttW1(1,end+1)=totalAkutt(1,z-1)+1;
                                totalAkuttW1(2,end)=totalAkutt(2,z-1);
                            end
                        end
                    end
                    post=1;
                elseif sengepost<=akutteORS
                    %Vi legger pasienten ventelisten, vi m passe p  legge
                    %til rett tidspunkt
                    for b=length(gronnePreW2(1,:)):-1:1
                        if b==length(gronnePreW2(1,:))
                            if tid2>=gronnePreW2(2,b)
                                break;
                            end
                        else
                            if tid2>=gronnePreW2(2,b) && tid2<gronnePreW2(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(gronnePreW2(1,:))            
                        gronnePreW2(1,end+1)=gronnePreW2(1,end)+1;
                        gronnePreW2(2,end)=tid2;
                    else
                        b=b+1;
                        gronnePreKopi=zeros(2,length(gronnePreW2(1,:))); %Lager en kopi
                        for z=b:1:length(gronnePreW2(1,:))
                            gronnePreKopi(1,z)=gronnePreW2(1,z);
                            gronnePreKopi(2,z)=gronnePreW2(2,z);
                        end
                        for z=b:1:length(gronnePreW2(1,:))+1
                            if z==b
                                gronnePreW2(1,z)=gronnePreW2(1,z-1)+1;
                                gronnePreW2(2,z)=tid2;
                            elseif z<=length(gronnePreW2(1,:))
                                gronnePreW2(1,z)=gronnePreKopi(1,z-1)+1;
                                gronnePreW2(2,z)=gronnePreKopi(2,z-1);
                            else
                                gronnePreW2(1,end+1)=gronnePreKopi(1,z-1)+1;
                                gronnePreW2(2,end)=gronnePreKopi(2,z-1);
                            end
                        end
                    end
                    for b=length(totalW2(1,:)):-1:1
                        if b==length(totalW2(1,:))
                            if tid2>=totalW2(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW2(2,b) && tid2<totalW2(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW2(1,:))            
                        totalW2(1,end+1)=totalW2(1,end)+1;
                        totalW2(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW2(1,:))); %Lager en kopi
                        for z=b:1:length(totalW2(1,:))
                            total(1,z)=totalW2(1,z);
                            total(2,z)=totalW2(2,z);
                        end
                        for z=b:1:length(totalW2(1,:))+1
                            if z==b
                                totalW2(1,z)=totalW2(1,z-1)+1;
                                totalW2(2,z)=tid2;
                            elseif z<=length(totalW2(1,:))
                                totalW2(1,z)=total(1,z-1)+1;
                                totalW2(2,z)=total(2,z-1);
                            else
                                totalW2(1,end+1)=total(1,z-1)+1;
                                totalW2(2,end)=total(2,z-1);
                            end
                        end
                    end
                    for b=length(totalAkuttW2(1,:)):-1:1
                        if b==length(totalAkuttW2(1,:))
                            if tid2>=totalAkuttW2(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW2(2,b) && tid2<totalAkuttW2(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW2(1,:))            
                        totalAkuttW2(1,end+1)=totalAkuttW2(1,end)+1;
                        totalAkuttW2(2,end)=tid2;
                    else
                        b=b+1;
                        totalAkutt=zeros(2,length(totalAkuttW2(1,:))); %Lager en kopi
                        for z=b:1:length(totalAkuttW2(1,:))
                            totalAkutt(1,z)=totalAkuttW2(1,z);
                            totalAkutt(2,z)=totalAkuttW2(2,z);
                        end
                        for z=b:1:length(totalAkuttW2(1,:))+1
                            if z==b
                                totalAkuttW2(1,z)=totalAkuttW2(1,z-1)+1;
                                totalAkuttW2(2,z)=tid2;
                            elseif z<=length(totalAkuttW2(1,:))
                                totalAkuttW2(1,z)=totalAkutt(1,z-1)+1;
                                totalAkuttW2(2,z)=totalAkutt(2,z-1);
                            else
                                totalAkuttW2(1,end+1)=totalAkutt(1,z-1)+1;
                                totalAkuttW2(2,end)=totalAkutt(2,z-1);
                            end
                        end
                    end
                    post=2;
                elseif sengepost<=akutteOES
                    %Vi legger pasienten ventelisten, vi m passe p  legge
                    %til rett tidspunkt
                    for b=length(gronnePreW3(1,:)):-1:1
                        if b==length(gronnePreW3(1,:))
                            if tid2>=gronnePreW3(2,b)
                                break;
                            end
                        else
                            if tid2>=gronnePreW3(2,b) && tid2<gronnePreW3(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(gronnePreW3(1,:))            
                        gronnePreW3(1,end+1)=gronnePreW3(1,end)+1;
                        gronnePreW3(2,end)=tid2;
                    else
                        b=b+1;
                        gronnePreKopi=zeros(2,length(gronnePreW3(1,:))); %Lager en kopi
                        for z=b:1:length(gronnePreW3(1,:))
                            gronnePreKopi(1,z)=gronnePreW3(1,z);
                            gronnePreKopi(2,z)=gronnePreW3(2,z);
                        end
                        for z=b:1:length(gronnePreW3(1,:))+1
                            if z==b
                                gronnePreW3(1,z)=gronnePreW3(1,z-1)+1;
                                gronnePreW3(2,z)=tid2;
                            elseif z<=length(gronnePreW3(1,:))
                                gronnePreW3(1,z)=gronnePreKopi(1,z-1)+1;
                                gronnePreW3(2,z)=gronnePreKopi(2,z-1);
                            else
                                gronnePreW3(1,end+1)=gronnePreKopi(1,z-1)+1;
                                gronnePreW3(2,end)=gronnePreKopi(2,z-1);
                            end
                        end
                    end
                    for b=length(totalW3(1,:)):-1:1
                        if b==length(totalW3(1,:))
                            if tid2>=totalW3(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW3(2,b) && tid2<totalW3(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW3(1,:))            
                        totalW3(1,end+1)=totalW3(1,end)+1;
                        totalW3(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW3(1,:))); %Lager en kopi
                        for z=b:1:length(totalW3(1,:))
                            total(1,z)=totalW3(1,z);
                            total(2,z)=totalW3(2,z);
                        end
                        for z=b:1:length(totalW3(1,:))+1
                            if z==b
                                totalW3(1,z)=totalW3(1,z-1)+1;
                                totalW3(2,z)=tid2;
                            elseif z<=length(totalW3(1,:))
                                totalW3(1,z)=total(1,z-1)+1;
                                totalW3(2,z)=total(2,z-1);
                            else
                                totalW3(1,end+1)=total(1,z-1)+1;
                                totalW3(2,end)=total(2,z-1);
                            end
                        end
                    end
                    for b=length(totalAkuttW3(1,:)):-1:1
                        if b==length(totalAkuttW3(1,:))
                            if tid2>=totalAkuttW3(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW3(2,b) && tid2<totalAkuttW3(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW3(1,:))            
                        totalAkuttW3(1,end+1)=totalAkuttW3(1,end)+1;
                        totalAkuttW3(2,end)=tid2;
                    else
                        b=b+1;
                        totalAkutt=zeros(2,length(totalAkuttW3(1,:))); %Lager en kopi
                        for z=b:1:length(totalAkuttW3(1,:))
                            totalAkutt(1,z)=totalAkuttW3(1,z);
                            totalAkutt(2,z)=totalAkuttW3(2,z);
                        end
                        for z=b:1:length(totalAkuttW3(1,:))+1
                            if z==b
                                totalAkuttW3(1,z)=totalAkuttW3(1,z-1)+1;
                                totalAkuttW3(2,z)=tid2;
                            elseif z<=length(totalAkuttW3(1,:))
                                totalAkuttW3(1,z)=totalAkutt(1,z-1)+1;
                                totalAkuttW3(2,z)=totalAkutt(2,z-1);
                            else
                                totalAkuttW3(1,end+1)=totalAkutt(1,z-1)+1;
                                totalAkuttW3(2,end)=totalAkutt(2,z-1);
                            end
                        end
                    end
                    post=3;
                elseif sengepost<=akutteOFT
                    %Vi legger pasienten ventelisten, vi m passe p  legge
                    %til rett tidspunkt
                    for b=length(gronnePreW4(1,:)):-1:1
                        if b==length(gronnePreW4(1,:))
                            if tid2>=gronnePreW4(2,b)
                                break;
                            end
                        else
                            if tid2>=gronnePreW4(2,b) && tid2<gronnePreW4(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(gronnePreW4(1,:))            
                        gronnePreW4(1,end+1)=gronnePreW4(1,end)+1;
                        gronnePreW4(2,end)=tid2;
                    else
                        b=b+1;
                        gronnePreKopi=zeros(2,length(gronnePreW4(1,:))); %Lager en kopi
                        for z=b:1:length(gronnePreW4(1,:))
                            gronnePreKopi(1,z)=gronnePreW4(1,z);
                            gronnePreKopi(2,z)=gronnePreW4(2,z);
                        end
                        for z=b:1:length(gronnePreW4(1,:))+1
                            if z==b
                                gronnePreW4(1,z)=gronnePreW4(1,z-1)+1;
                                gronnePreW4(2,z)=tid2;
                            elseif z<=length(gronnePreW4(1,:))
                                gronnePreW4(1,z)=gronnePreKopi(1,z-1)+1;
                                gronnePreW4(2,z)=gronnePreKopi(2,z-1);
                            else
                                gronnePreW4(1,end+1)=gronnePreKopi(1,z-1)+1;
                                gronnePreW4(2,end)=gronnePreKopi(2,z-1);
                            end
                        end
                    end
                    for b=length(totalW4(1,:)):-1:1
                        if b==length(totalW4(1,:))
                            if tid2>=totalW4(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW4(2,b) && tid2<totalW4(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW4(1,:))            
                        totalW4(1,end+1)=totalW4(1,end)+1;
                        totalW4(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW4)); %Lager en kopi
                        for z=b:1:length(totalW4)
                            total(1,z)=totalW4(1,z);
                            total(2,z)=totalW4(2,z);
                        end
                        for z=b:1:length(totalW4)+1
                            if z==b
                                totalW4(1,z)=totalW4(1,z-1)+1;
                                totalW4(2,z)=tid2;
                            elseif z<=length(totalW4)
                                totalW4(1,z)=total(1,z-1)+1;
                                totalW4(2,z)=total(2,z-1);
                            else
                                totalW4(1,end+1)=total(1,z-1)+1;
                                totalW4(2,end)=total(2,z-1);
                            end
                        end
                    end
                    for b=length(totalAkuttW4(1,:)):-1:1
                        if b==length(totalAkuttW4(1,:))
                            if tid2>=totalAkuttW4(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW4(2,b) && tid2<totalAkuttW4(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW4(1,:))            
                        totalAkuttW4(1,end+1)=totalAkuttW4(1,end)+1;
                        totalAkuttW4(2,end)=tid2;
                    else
                        b=b+1;
                        totalAkutt=zeros(2,length(totalAkuttW4(1,:))); %Lager en kopi
                        for z=b:1:length(totalAkuttW4(1,:))
                            totalAkutt(1,z)=totalAkuttW4(1,z);
                            totalAkutt(2,z)=totalAkuttW4(2,z);
                        end
                        for z=b:1:length(totalAkuttW4(1,:))+1
                            if z==b
                                totalAkuttW4(1,z)=totalAkuttW4(1,z-1)+1;
                                totalAkuttW4(2,z)=tid2;
                            elseif z<=length(totalAkuttW4(1,:))
                                totalAkuttW4(1,z)=totalAkutt(1,z-1)+1;
                                totalAkuttW4(2,z)=totalAkutt(2,z-1);
                            else
                                totalAkuttW4(1,end+1)=totalAkutt(1,z-1)+1;
                                totalAkuttW4(2,end)=totalAkutt(2,z-1);
                            end
                        end
                    end
                    post=4;
                else
                    %Vi legger pasienten ventelisten, vi m passe p  legge
                    %til rett tidspunkt
                    for b=length(gronnePreW5(1,:)):-1:1
                        if b==length(gronnePreW5(1,:))
                            if tid2>=gronnePreW5(2,b)
                                break;
                            end
                        else
                            if tid2>=gronnePreW5(2,b) && tid2<gronnePreW5(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(gronnePreW5(1,:))            
                        gronnePreW5(1,end+1)=gronnePreW5(1,end)+1;
                        gronnePreW5(2,end)=tid2;
                    else
                        b=b+1;
                        gronnePreKopi=zeros(2,length(gronnePreW5(1,:))); %Lager en kopi
                        for z=b:1:length(gronnePreW5(1,:))
                            gronnePreKopi(1,z)=gronnePreW5(1,z);
                            gronnePreKopi(2,z)=gronnePreW5(2,z);
                        end
                        for z=b:1:length(gronnePreW5(1,:))+1
                            if z==b
                                gronnePreW5(1,z)=gronnePreW5(1,z-1)+1;
                                gronnePreW5(2,z)=tid2;
                            elseif z<=length(gronnePreW5(1,:))
                                gronnePreW5(1,z)=gronnePreKopi(1,z-1)+1;
                                gronnePreW5(2,z)=gronnePreKopi(2,z-1);
                            else
                                gronnePreW5(1,end+1)=gronnePreKopi(1,z-1)+1;
                                gronnePreW5(2,end)=gronnePreKopi(2,z-1);
                            end
                        end
                    end
                    for b=length(totalW5(1,:)):-1:1
                        if b==length(totalW5(1,:))
                            if tid2>=totalW5(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW5(2,b) && tid2<totalW5(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW5(1,:))            
                        totalW5(1,end+1)=totalW5(1,end)+1;
                        totalW5(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW5)); %Lager en kopi
                        for z=b:1:length(totalW5)
                            total(1,z)=totalW5(1,z);
                            total(2,z)=totalW5(2,z);
                        end
                        for z=b:1:length(totalW5)+1
                            if z==b
                                totalW5(1,z)=totalW5(1,z-1)+1;
                                totalW5(2,z)=tid2;
                            elseif z<=length(totalW5)
                                totalW5(1,z)=total(1,z-1)+1;
                                totalW5(2,z)=total(2,z-1);
                            else
                                totalW5(1,end+1)=total(1,z-1)+1;
                                totalW5(2,end)=total(2,z-1);
                            end
                        end
                    end
                    for b=length(totalAkuttW5(1,:)):-1:1
                        if b==length(totalAkuttW5(1,:))
                            if tid2>=totalAkuttW5(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW5(2,b) && tid2<totalAkuttW5(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW5(1,:))            
                        totalAkuttW5(1,end+1)=totalAkuttW5(1,end)+1;
                        totalAkuttW5(2,end)=tid2;
                    else
                        b=b+1;
                        totalAkutt=zeros(2,length(totalAkuttW5(1,:))); %Lager en kopi
                        for z=b:1:length(totalAkuttW5(1,:))
                            totalAkutt(1,z)=totalAkuttW5(1,z);
                            totalAkutt(2,z)=totalAkuttW5(2,z);
                        end
                        for z=b:1:length(totalAkuttW5(1,:))+1
                            if z==b
                                totalAkuttW5(1,z)=totalAkuttW5(1,z-1)+1;
                                totalAkuttW5(2,z)=tid2;
                            elseif z<=length(totalAkuttW5(1,:))
                                totalAkuttW5(1,z)=totalAkutt(1,z-1)+1;
                                totalAkuttW5(2,z)=totalAkutt(2,z-1);
                            else
                                totalAkuttW5(1,end+1)=totalAkutt(1,z-1)+1;
                                totalAkuttW5(2,end)=totalAkutt(2,z-1);
                            end
                        end

                    end
                    post=5;
                end


                %Pasientent legges p liste for  bli skedulert
                gronnListeSkedulering(1,end+1)=ankGronn(1);
                gronnListeSkeduleringSeng(1,end+1)=post;
                %Sletter ankomsten
                ankGronn(1)=[];

            elseif tid2==ankGronnDK(1,1) %Grnne DK-pasienter - pasienten sendes hjem, ikke sengepost
                %Pasientent legges p liste for  bli skedulert
                gronnDKListeSkedulering(1,end+1)=ankGronnDK(1);

                % Legger pasienten i k (hjemme)
                for b=length(gronneDKHjemme(1,:)):-1:1
                    if b==length(gronneDKHjemme(1,:))
                        if tid2>=gronneDKHjemme(2,b)
                            break;
                        end
                    else
                        if tid2>=gronneDKHjemme(2,b) && tid2<gronneDKHjemme(2,b+1)
                            break;
                        end
                    end
                end

                if b==length(gronneDKHjemme(1,:))            
                    gronneDKHjemme(1,end+1)=gronneDKHjemme(1,end)+1;
                    gronneDKHjemme(2,end)=tid2;
                else
                    b=b+1;
                    total=zeros(2,length(gronneDKHjemme)); %Lager en kopi
                    for z=b:1:length(gronneDKHjemme)
                        total(1,z)=gronneDKHjemme(1,z);
                        total(2,z)=gronneDKHjemme(2,z);
                    end
                    for z=b:1:length(gronneDKHjemme)+1
                        if z==b
                            gronneDKHjemme(1,z)=gronneDKHjemme(1,z-1)+1;
                            gronneDKHjemme(2,z)=tid2;
                        elseif z<=length(gronneDKHjemme)
                            gronneDKHjemme(1,z)=total(1,z-1)+1;
                            gronneDKHjemme(2,z)=total(2,z-1);
                        else
                            gronneDKHjemme(1,end+1)=total(1,z-1)+1;
                            gronneDKHjemme(2,end)=total(2,z-1);
                        end
                    end
                end
                %Sletter ankomsten
                ankGronnDK(1)=[];
            elseif tid2==OR1Klar %Se etter ledige pasienter, ta pasient ut fra pre, trekk tid for OP, trekk tid for sengepost

                %Se om rd til stede p sengeposter
                tellerSeng=0;
                indeksW1=0;
                indeksW2=0;
                indeksW3=0;
                indeksW4=0;
                indeksW5=0;
                rodeVenter=[];

                if rodePreW1(1,end)>0
                    while tellerSeng<rodePreW1(1,end)
                        if rodePreW1(1,end-indeksW1)>rodePreW1(1,end-indeksW1-1) %vi ser en ankomst
                            tellerSeng=tellerSeng+1;
                        end
                        if tellerSeng==rodePreW1(1,end)
                            indeksW1=indeksW1;
                        else
                        indeksW1=indeksW1+1;
                        end
                    end
                    rodeVenter(1,end+1)=rodePreW1(2,end-indeksW1);
                    tellerSeng=0;
                end

                if rodePreW2(1,end)>0
                    while tellerSeng<rodePreW2(1,end)
                        if rodePreW2(1,end-indeksW2)>rodePreW2(1,end-indeksW2-1) %vi ser en ankomst
                            tellerSeng=tellerSeng+1;
                        end
                        if tellerSeng==rodePreW2(1,end)
                            indeksW2=indeksW2;
                        else
                        indeksW2=indeksW2+1;
                        end
                    end
                    rodeVenter(1,end+1)=rodePreW2(2,end-indeksW2);
                    tellerSeng=0;
                end

                if rodePreW3(1,end)>0
                    while tellerSeng<rodePreW3(1,end)
                        if rodePreW3(1,end-indeksW3)>rodePreW3(1,end-indeksW3-1) %vi ser en ankomst
                            tellerSeng=tellerSeng+1;
                        end
                        if tellerSeng==rodePreW3(1,end)
                            indeksW3=indeksW3;
                        else
                        indeksW3=indeksW3+1;
                        end
                    end
                    rodeVenter(1,end+1)=rodePreW3(2,end-indeksW3);
                    tellerSeng=0;
                end

                if rodePreW4(1,end)>0
                    while tellerSeng<rodePreW4(1,end)
                        if rodePreW4(1,end-indeksW4)>rodePreW4(1,end-indeksW4-1) %vi ser en ankomst
                            tellerSeng=tellerSeng+1;
                        end
                        if tellerSeng==rodePreW4(1,end)
                            indeksW4=indeksW4;
                        else
                        indeksW4=indeksW4+1;
                        end
                    end
                    rodeVenter(1,end+1)=rodePreW4(2,end-indeksW4);
                    tellerSeng=0;
                end

                if rodePreW5(1,end)>0
                    while tellerSeng<rodePreW5(1,end)
                        if rodePreW5(1,end-indeksW5)>rodePreW5(1,end-indeksW5-1) %vi ser en ankomst
                            tellerSeng=tellerSeng+1;
                        end
                        if tellerSeng==rodePreW5(1,end)
                            indeksW5=indeksW5;
                        else
                        indeksW5=indeksW5+1;
                        end
                    end
                    rodeVenter(1,end+1)=rodePreW5(2,end-indeksW5);
                    tellerSeng=0;
                end

                if length(rodeVenter)>0 %Det ligger rde og venter
                    rodAdgang=rand;
                    if rodAdgang<=rodNatt %Vi fr tilgang til operasjonsrommet
                    rodeVenter=sort(rodeVenter);
                    tellerAntallAHL1=tellerAntallAHL1+1;
                        if rodeVenter(1,1)==rodePreW1(2,end-indeksW1)

                            %Vi fjerner pasienten fra ventelisten 
                            rodePreW1(1,end+1)=rodePreW1(1,end)-1;
                            rodePreW1(2,end)=tid2;

                            %Finner ventetid til operasjon, legger til den
                            %tiden det tar  trille ned pasienten
                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                            ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                            ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                            ventetiderRode(2,end)=tid2;

                            %Trekker operasjonstid og oppdaterer tid for ferdig
                            if lognorm==1
                                stuetid=min(400,lognrnd(muRod,sigmaRod));
                            else
                                trekkStue=randi(length(stuetidRod(~isnan(stuetidRod)))); 
                                stuetid=min(400,stuetidRod(trekkStue));
                            end

                            OR1Klar=tid2+kjoreNed+stuetid;

                            %Trekker liggetid p sengepost
                            if LOS_fordeling==1
                                liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                            else
                                liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                            end
                            utW1(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                            utAkuttW1(1,end+1)=utW1(1,end);


                        elseif rodeVenter(1,1)==rodePreW2(2,end-indeksW2)
                            %Vi fjerner pasienten fra ventelisten 
                            rodePreW2(1,end+1)=rodePreW2(1,end)-1;
                            rodePreW2(2,end)=tid2;

                            %Finner ventetid til operasjon, legger til den
                            %tiden det tar  trille ned pasienten
                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                            ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                            ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                            ventetiderRode(2,end)=tid2;

                            %Trekker operasjonstid og oppdaterer tid for ferdig
                            if lognorm==1
                                stuetid=min(400,lognrnd(muRod,sigmaRod));
                            else
                                trekkStue=randi(length(stuetidRod(~isnan(stuetidRod)))); 
                                stuetid=min(400,stuetidRod(trekkStue));
                            end
                            OR1Klar=tid2+kjoreNed+stuetid;

                            %Trekker liggetid p sengepost
                            if LOS_fordeling==1
                                liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                            else
                                liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                            end
                            utW2(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                            utAkuttW2(1,end+1)=utW2(1,end);


                        elseif rodeVenter(1,1)==rodePreW3(2,end-indeksW3)
                            %Vi fjerner pasienten fra ventelisten 
                            rodePreW3(1,end+1)=rodePreW3(1,end)-1;
                            rodePreW3(2,end)=tid2;

                            %Finner ventetid til operasjon, legger til den
                            %tiden det tar  trille ned pasienten
                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                            ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                            ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                            ventetiderRode(2,end)=tid2;

                            %Trekker operasjonstid og oppdaterer tid for ferdig
                            if lognorm==1
                                stuetid=min(400,lognrnd(muRod,sigmaRod));
                            else
                                trekkStue=randi(length(stuetidRod(~isnan(stuetidRod)))); 
                                stuetid=min(400,stuetidRod(trekkStue));
                            end
                            OR1Klar=tid2+kjoreNed+stuetid;

                            %Trekker liggetid p sengepost
                            if LOS_fordeling==1
                                liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                            else
                                liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                            end
                            utW3(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                            utAkuttW3(1,end+1)=utW3(1,end);


                        elseif rodeVenter(1,1)==rodePreW4(2,end-indeksW4)
                            %Vi fjerner pasienten fra ventelisten 
                            rodePreW4(1,end+1)=rodePreW4(1,end)-1;
                            rodePreW4(2,end)=tid2;

                            %Finner ventetid til operasjon, legger til den
                            %tiden det tar  trille ned pasienten
                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                            ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                            ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                            ventetiderRode(2,end)=tid2;

                            %Trekker operasjonstid og oppdaterer tid for ferdig
                            if lognorm==1
                                stuetid=min(400,lognrnd(muRod,sigmaRod));
                            else
                                trekkStue=randi(length(stuetidRod(~isnan(stuetidRod)))); 
                                stuetid=min(400,stuetidRod(trekkStue));
                            end
                            OR1Klar=tid2+kjoreNed+stuetid;

                            %Trekker liggetid p sengepost
                            if LOS_fordeling==1
                                liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                            else
                                liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                            end
                            utW4(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                            utAkuttW4(1,end+1)=utW4(1,end);


                        elseif rodeVenter(1,1)==rodePreW5(2,end-indeksW5)
                            %Vi fjerner pasienten fra ventelisten 
                            rodePreW5(1,end+1)=rodePreW5(1,end)-1;
                            rodePreW5(2,end)=tid2;

                            %Finner ventetid til operasjon, legger til den
                            %tiden det tar  trille ned pasienten
                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                            ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                            ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                            ventetiderRode(2,end)=tid2;

                            %Trekker operasjonstid og oppdaterer tid for ferdig
                            if lognorm==1
                                stuetid=min(400,lognrnd(muRod,sigmaRod));
                            else
                                trekkStue=randi(length(stuetidRod(~isnan(stuetidRod)))); 
                                stuetid=min(400,stuetidRod(trekkStue));
                            end
                            OR1Klar=tid2+kjoreNed+stuetid;

                            %Trekker liggetid p sengepost
                            if LOS_fordeling==1
                                liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                            else
                                liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                            end
                            utW5(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                            utAkuttW5(1,end+1)=utW5(1,end);

                        end
                    else % Vi fr ikke tilgang til operasjonsrommet
                        if lognorm==1
                            OR1Klar=tid2+lognrnd(muKir,stdKir); 
                        else
                            trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn)))); 
                            stuetid=min(400,stuetidGronn(trekkStue));
                            OR1Klar=tid2 + stuetid;
                        end 
                    end
                else %Ingen rde til stede
                    OR1Klar=min(481+1440*(d-1),ankRod(1,1)+1);
                end
            elseif tid2==utW1(1,1) %Oppdaterer antall p sengepost
                for b=length(totalW1(1,:)):-1:1
                    if b==length(totalW1(1,:))
                        if tid2>=totalW1(2,b)
                            break;
                        end
                    else
                        if tid2>=totalW1(2,b) && tid2<totalW1(2,b+1)
                            break;
                        end
                    end
                end

                if b==length(totalW1(1,:))            
                    totalW1(1,end+1)=totalW1(1,end)-1;
                    totalW1(2,end)=tid2;
                else
                    b=b+1;
                    total=zeros(2,length(totalW1)); %Lager en kopi
                    for z=b:1:length(totalW1)
                        total(1,z)=totalW1(1,z);
                        total(2,z)=totalW1(2,z);
                    end
                    for z=b:1:length(totalW1)+1
                        if z==b
                            totalW1(1,z)=totalW1(1,z-1)-1;
                            totalW1(2,z)=tid2;
                        elseif z<=length(totalW1)
                            totalW1(1,z)=total(1,z-1)-1;
                            totalW1(2,z)=total(2,z-1);
                        else
                            totalW1(1,end+1)=total(1,z-1)-1;
                            totalW1(2,end)=total(2,z-1);
                        end
                    end
                end
                if utAkuttW1(1,1)==utW1(1,1)
                    for b=length(totalAkuttW1(1,:)):-1:1
                        if b==length(totalAkuttW1(1,:))
                            if tid2>=totalAkuttW1(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW1(2,b) && tid2<totalAkuttW1(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW1(1,:))            
                        totalAkuttW1(1,end+1)=totalAkuttW1(1,end)-1;
                        totalAkuttW1(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalAkuttW1)); %Lager en kopi
                        for z=b:1:length(totalAkuttW1)
                            total(1,z)=totalAkuttW1(1,z);
                            total(2,z)=totalAkuttW1(2,z);
                        end
                        for z=b:1:length(totalAkuttW1)+1
                            if z==b
                                totalAkuttW1(1,z)=totalAkuttW1(1,z-1)-1;
                                totalAkuttW1(2,z)=tid2;
                            elseif z<=length(totalAkuttW1)
                                totalAkuttW1(1,z)=total(1,z-1)-1;
                                totalAkuttW1(2,z)=total(2,z-1);
                            else
                                totalAkuttW1(1,end+1)=total(1,z-1)-1;
                                totalAkuttW1(2,end)=total(2,z-1);
                            end
                        end
                    end
                    utAkuttW1(1)=[];
                end
                utW1(1)=[];
            elseif tid2==utW2(1,1) %Oppdaterer antall p sengepost
                for b=length(totalW2(1,:)):-1:1
                    if b==length(totalW2(1,:))
                        if tid2>=totalW2(2,b)
                            break;
                        end
                    else
                        if tid2>=totalW2(2,b) && tid2<totalW2(2,b+1)
                            break;
                        end
                    end
                end

                if b==length(totalW2(1,:))            
                    totalW2(1,end+1)=totalW2(1,end)-1;
                    totalW2(2,end)=tid2;
                else
                    b=b+1;
                    total=zeros(2,length(totalW2)); %Lager en kopi
                    for z=b:1:length(totalW2)
                        total(1,z)=totalW2(1,z);
                        total(2,z)=totalW2(2,z);
                    end
                    for z=b:1:length(totalW2)+1
                        if z==b
                            totalW2(1,z)=totalW2(1,z-1)-1;
                            totalW2(2,z)=tid2;
                        elseif z<=length(totalW2)
                            totalW2(1,z)=total(1,z-1)-1;
                            totalW2(2,z)=total(2,z-1);
                        else
                            totalW2(1,end+1)=total(1,z-1)-1;
                            totalW2(2,end)=total(2,z-1);
                        end
                    end
                end
                if utAkuttW2(1,1)==utW2(1,1)
                    for b=length(totalAkuttW2(1,:)):-1:1
                        if b==length(totalAkuttW2(1,:))
                            if tid2>=totalAkuttW2(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW2(2,b) && tid2<totalAkuttW2(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW2(1,:))            
                        totalAkuttW2(1,end+1)=totalAkuttW2(1,end)-1;
                        totalAkuttW2(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalAkuttW2)); %Lager en kopi
                        for z=b:1:length(totalAkuttW2)
                            total(1,z)=totalAkuttW2(1,z);
                            total(2,z)=totalAkuttW2(2,z);
                        end
                        for z=b:1:length(totalAkuttW2)+1
                            if z==b
                                totalAkuttW2(1,z)=totalAkuttW2(1,z-1)-1;
                                totalAkuttW2(2,z)=tid2;
                            elseif z<=length(totalAkuttW2)
                                totalAkuttW2(1,z)=total(1,z-1)-1;
                                totalAkuttW2(2,z)=total(2,z-1);
                            else
                                totalAkuttW2(1,end+1)=total(1,z-1)-1;
                                totalAkuttW2(2,end)=total(2,z-1);
                            end
                        end
                    end
                    utAkuttW2(1)=[];
                end
                utW2(1)=[];
            elseif tid2==utW3(1,1) %Oppdaterer antall p sengepost
                for b=length(totalW3(1,:)):-1:1
                    if b==length(totalW3(1,:))
                        if tid2>=totalW3(2,b)
                            break;
                        end
                    else
                        if tid2>=totalW3(2,b) && tid2<totalW3(2,b+1)
                            break;
                        end
                    end
                end

                if b==length(totalW3(1,:))            
                    totalW3(1,end+1)=totalW3(1,end)-1;
                    totalW3(2,end)=tid2;
                else
                    b=b+1;
                    total=zeros(2,length(totalW3)); %Lager en kopi
                    for z=b:1:length(totalW3)
                        total(1,z)=totalW3(1,z);
                        total(2,z)=totalW3(2,z);
                    end
                    for z=b:1:length(totalW3)+1
                        if z==b
                            totalW3(1,z)=totalW3(1,z-1)-1;
                            totalW3(2,z)=tid2;
                        elseif z<=length(totalW3)
                            totalW3(1,z)=total(1,z-1)-1;
                            totalW3(2,z)=total(2,z-1);
                        else
                            totalW3(1,end+1)=total(1,z-1)-1;
                            totalW3(2,end)=total(2,z-1);
                        end
                    end
                end
                if utAkuttW3(1,1)==utW3(1,1)
                    for b=length(totalAkuttW3(1,:)):-1:1
                        if b==length(totalAkuttW3(1,:))
                            if tid2>=totalAkuttW3(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW3(2,b) && tid2<totalAkuttW3(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW3(1,:))            
                        totalAkuttW3(1,end+1)=totalAkuttW3(1,end)-1;
                        totalAkuttW3(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalAkuttW3)); %Lager en kopi
                        for z=b:1:length(totalAkuttW3)
                            total(1,z)=totalAkuttW3(1,z);
                            total(2,z)=totalAkuttW3(2,z);
                        end
                        for z=b:1:length(totalAkuttW3)+1
                            if z==b
                                totalAkuttW3(1,z)=totalAkuttW3(1,z-1)-1;
                                totalAkuttW3(2,z)=tid2;
                            elseif z<=length(totalAkuttW3)
                                totalAkuttW3(1,z)=total(1,z-1)-1;
                                totalAkuttW3(2,z)=total(2,z-1);
                            else
                                totalAkuttW3(1,end+1)=total(1,z-1)-1;
                                totalAkuttW3(2,end)=total(2,z-1);
                            end
                        end
                    end
                    utAkuttW3(1)=[];
                end
                utW3(1)=[];
            elseif tid2==utW4(1,1) %Oppdaterer antall p sengepost

                for b=length(totalW4(1,:)):-1:1
                    if b==length(totalW4(1,:))
                        if tid2>=totalW4(2,b)
                            break;
                        end
                    else
                        if tid2>=totalW4(2,b) && tid2<totalW4(2,b+1)
                            break;
                        end
                    end
                end

                if b==length(totalW4(1,:))            
                    totalW4(1,end+1)=totalW4(1,end)-1;
                    totalW4(2,end)=tid2;
                else
                    b=b+1;
                    total=zeros(2,length(totalW4)); %Lager en kopi
                    for z=b:1:length(totalW4)
                        total(1,z)=totalW4(1,z);
                        total(2,z)=totalW4(2,z);
                    end
                    for z=b:1:length(totalW4)+1
                        if z==b
                            totalW4(1,z)=totalW4(1,z-1)-1;
                            totalW4(2,z)=tid2;
                        elseif z<=length(totalW4)
                            totalW4(1,z)=total(1,z-1)-1;
                            totalW4(2,z)=total(2,z-1);
                        else
                            totalW4(1,end+1)=total(1,z-1)-1;
                            totalW4(2,end)=total(2,z-1);
                        end
                    end
                end
                if utAkuttW4(1,1)==utW4(1,1)
                    for b=length(totalAkuttW4(1,:)):-1:1
                        if b==length(totalAkuttW4(1,:))
                            if tid2>=totalAkuttW4(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW4(2,b) && tid2<totalAkuttW4(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW4(1,:))            
                        totalAkuttW4(1,end+1)=totalAkuttW4(1,end)-1;
                        totalAkuttW4(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalAkuttW4)); %Lager en kopi
                        for z=b:1:length(totalAkuttW4)
                            total(1,z)=totalAkuttW4(1,z);
                            total(2,z)=totalAkuttW4(2,z);
                        end
                        for z=b:1:length(totalAkuttW4)+1
                            if z==b
                                totalAkuttW4(1,z)=totalAkuttW4(1,z-1)-1;
                                totalAkuttW4(2,z)=tid2;
                            elseif z<=length(totalAkuttW4)
                                totalAkuttW4(1,z)=total(1,z-1)-1;
                                totalAkuttW4(2,z)=total(2,z-1);
                            else
                                totalAkuttW4(1,end+1)=total(1,z-1)-1;
                                totalAkuttW4(2,end)=total(2,z-1);
                            end
                        end
                    end
                    utAkuttW4(1)=[];
                end
                utW4(1)=[];
            elseif tid2==utW5(1,1) %Oppdaterer antall p sengepost
                for b=length(totalW5(1,:)):-1:1
                    if b==length(totalW5(1,:))
                        if tid2>=totalW5(2,b)
                            break;
                        end
                    else
                        if tid2>=totalW5(2,b) && tid2<totalW5(2,b+1)
                            break;
                        end
                    end
                end

                if b==length(totalW5(1,:))            
                    totalW5(1,end+1)=totalW5(1,end)-1;
                    totalW5(2,end)=tid2;
                else
                    b=b+1;
                    total=zeros(2,length(totalW5)); %Lager en kopi
                    for z=b:1:length(totalW5)
                        total(1,z)=totalW5(1,z);
                        total(2,z)=totalW5(2,z);
                    end
                    for z=b:1:length(totalW5)+1
                        if z==b
                            totalW5(1,z)=totalW5(1,z-1)-1;
                            totalW5(2,z)=tid2;
                        elseif z<=length(totalW5)
                            totalW5(1,z)=total(1,z-1)-1;
                            totalW5(2,z)=total(2,z-1);
                        else
                            totalW5(1,end+1)=total(1,z-1)-1;
                            totalW5(2,end)=total(2,z-1);
                        end
                    end
                end
                if utAkuttW5(1,1)==utW5(1,1)
                    for b=length(totalAkuttW5(1,:)):-1:1
                        if b==length(totalAkuttW5(1,:))
                            if tid2>=totalAkuttW5(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW5(2,b) && tid2<totalAkuttW5(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW5(1,:))            
                        totalAkuttW5(1,end+1)=totalAkuttW5(1,end)-1;
                        totalAkuttW5(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalAkuttW5)); %Lager en kopi
                        for z=b:1:length(totalAkuttW5)
                            total(1,z)=totalAkuttW5(1,z);
                            total(2,z)=totalAkuttW5(2,z);
                        end
                        for z=b:1:length(totalAkuttW5)+1
                            if z==b
                                totalAkuttW5(1,z)=totalAkutt51(1,z-1)-1;
                                totalAkuttW5(2,z)=tid2;
                            elseif z<=length(totalAkuttW5)
                                totalAkuttW5(1,z)=total(1,z-1)-1;
                                totalAkuttW5(2,z)=total(2,z-1);
                            else
                                totalAkuttW5(1,end+1)=total(1,z-1)-1;
                                totalAkuttW5(2,end)=total(2,z-1);
                            end
                        end
                    end
                    utAkuttW5(1)=[];
                end
                utW5(1)=[];
            end
        end



        while tid1AHL<=960 %Alle hverdager er like
            if mod(d,7)==1 || mod(d,7)==2 || mod(d,7)==3 || mod(d,7)==4 || mod(d,7)==5 

                utW1=sort(utW1);
                utW2=sort(utW2);
                utW3=sort(utW3);
                utW4=sort(utW4);
                utW5=sort(utW5);
                utAkuttW1=sort(utAkuttW1);
                utAkuttW2=sort(utAkuttW2);
                utAkuttW3=sort(utAkuttW3);
                utAkuttW4=sort(utAkuttW4);
                utAkuttW5=sort(utAkuttW5);

                if OR1Klar==OR2Klar
                    OR2Klar=OR2Klar+1;
                end

                if isempty(ankRod)
                    ankRod(1,end+1)=10000000;
                end

                if isempty(ankGul)
                    ankGul(1,end+1)=10000000;
                end

                if isempty(ankGronn)
                    ankGronn(1,end+1)=10000000;
                end

                if isempty(ankGronnDK)
                    ankGronnDK(1,end+1)=10000000;
                end

                tidOppdatering=[ankRod(1,1),ankGul(1,1),ankGronn(1,1), ankGronnDK(1,1), OR1Klar, OR2Klar, utW1(1,1), utW2(1,1), utW3(1,1), utW4(1,1), utW5(1,1)];
                tidOppdatering=sort(tidOppdatering);

                tid2=tidOppdatering(1,1);
                if tid2>1440*(d-1)+960
                    break;
                end
                tid1AHL=mod(tidOppdatering(1,1),1440);

                if tid2==ankRod(1,1) %Rd legges inn pre, velg sengepost, oppdater bde pre og sengepost
                    % Velger sengepost
                    ukedagSeng=mod(d,7);
                    if ukedagSeng==0
                        ukedagSeng=7;
                    end
                    sengepost=randi(akutteSeng(ukedagSeng),1,1);
                    if sengepost<=akutteOTS
                        rodePreW1(1,end+1)=rodePreW1(1,end)+1;
                        rodePreW1(2,end)=tid2;
                        for b=length(totalW1(1,:)):-1:1
                            if b==length(totalW1(1,:))
                                if tid2>=totalW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW1(2,b) && tid2<totalW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW1(1,:))            
                            totalW1(1,end+1)=totalW1(1,end)+1;
                            totalW1(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW1(1,:))); %Lager en kopi
                            for z=b:1:length(totalW1(1,:))
                                total(1,z)=totalW1(1,z);
                                total(2,z)=totalW1(2,z);
                            end
                            for z=b:1:length(totalW1(1,:))+1
                                if z==b
                                    totalW1(1,z)=totalW1(1,z-1)+1;
                                    totalW1(2,z)=tid2;
                                elseif z<=length(totalW1(1,:))
                                    totalW1(1,z)=total(1,z-1)+1;
                                    totalW1(2,z)=total(2,z-1);
                                else
                                    totalW1(1,end+1)=total(1,z-1)+1;
                                    totalW1(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW1(1,:)):-1:1
                            if b==length(totalAkuttW1(1,:))
                                if tid2>=totalAkuttW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW1(2,b) && tid2<totalAkuttW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW1(1,:))            
                            totalAkuttW1(1,end+1)=totalAkuttW1(1,end)+1;
                            totalAkuttW1(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW1(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW1(1,:))
                                totalAkutt(1,z)=totalAkuttW1(1,z);
                                totalAkutt(2,z)=totalAkuttW1(2,z);
                            end
                            for z=b:1:length(totalAkuttW1(1,:))+1
                                if z==b
                                    totalAkuttW1(1,z)=totalAkuttW1(1,z-1)+1;
                                    totalAkuttW1(2,z)=tid2;
                                elseif z<=length(totalAkuttW1(1,:))
                                    totalAkuttW1(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW1(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW1(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW1(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end
                    elseif sengepost<=akutteORS
                        rodePreW2(1,end+1)=rodePreW2(1,end)+1;
                        rodePreW2(2,end)=tid2;
                        for b=length(totalW2(1,:)):-1:1
                            if b==length(totalW2(1,:))
                                if tid2>=totalW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW2(2,b) && tid2<totalW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW2(1,:))            
                            totalW2(1,end+1)=totalW2(1,end)+1;
                            totalW2(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW2(1,:))); %Lager en kopi
                            for z=b:1:length(totalW2(1,:))
                                total(1,z)=totalW2(1,z);
                                total(2,z)=totalW2(2,z);
                            end
                            for z=b:1:length(totalW2(1,:))+1
                                if z==b
                                    totalW2(1,z)=totalW2(1,z-1)+1;
                                    totalW2(2,z)=tid2;
                                elseif z<=length(totalW2(1,:))
                                    totalW2(1,z)=total(1,z-1)+1;
                                    totalW2(2,z)=total(2,z-1);
                                else
                                    totalW2(1,end+1)=total(1,z-1)+1;
                                    totalW2(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW2(1,:)):-1:1
                            if b==length(totalAkuttW2(1,:))
                                if tid2>=totalAkuttW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW2(2,b) && tid2<totalAkuttW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW2(1,:))            
                            totalAkuttW2(1,end+1)=totalAkuttW2(1,end)+1;
                            totalAkuttW2(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW2(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW2(1,:))
                                totalAkutt(1,z)=totalAkuttW2(1,z);
                                totalAkutt(2,z)=totalAkuttW2(2,z);
                            end
                            for z=b:1:length(totalAkuttW2(1,:))+1
                                if z==b
                                    totalAkuttW2(1,z)=totalAkuttW2(1,z-1)+1;
                                    totalAkuttW2(2,z)=tid2;
                                elseif z<=length(totalAkuttW2(1,:))
                                    totalAkuttW2(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW2(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW2(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW2(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end
                    elseif sengepost<=akutteOES
                        rodePreW3(1,end+1)=rodePreW3(1,end)+1;
                        rodePreW3(2,end)=tid2;
                        for b=length(totalW3(1,:)):-1:1
                            if b==length(totalW3(1,:))
                                if tid2>=totalW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW3(2,b) && tid2<totalW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW3(1,:))            
                            totalW3(1,end+1)=totalW3(1,end)+1;
                            totalW3(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW3(1,:))); %Lager en kopi
                            for z=b:1:length(totalW3(1,:))
                                total(1,z)=totalW3(1,z);
                                total(2,z)=totalW3(2,z);
                            end
                            for z=b:1:length(totalW3(1,:))+1
                                if z==b
                                    totalW3(1,z)=totalW3(1,z-1)+1;
                                    totalW3(2,z)=tid2;
                                elseif z<=length(totalW3(1,:))
                                    totalW3(1,z)=total(1,z-1)+1;
                                    totalW3(2,z)=total(2,z-1);
                                else
                                    totalW3(1,end+1)=total(1,z-1)+1;
                                    totalW3(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW3(1,:)):-1:1
                            if b==length(totalAkuttW3(1,:))
                                if tid2>=totalAkuttW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW3(2,b) && tid2<totalAkuttW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW3(1,:))            
                            totalAkuttW3(1,end+1)=totalAkuttW3(1,end)+1;
                            totalAkuttW3(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW3(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW3(1,:))
                                totalAkutt(1,z)=totalAkuttW3(1,z);
                                totalAkutt(2,z)=totalAkuttW3(2,z);
                            end
                            for z=b:1:length(totalAkuttW3(1,:))+1
                                if z==b
                                    totalAkuttW3(1,z)=totalAkuttW3(1,z-1)+1;
                                    totalAkuttW3(2,z)=tid2;
                                elseif z<=length(totalAkuttW3(1,:))
                                    totalAkuttW3(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW3(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW3(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW3(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end
                    elseif sengepost<=akutteOFT
                        rodePreW4(1,end+1)=rodePreW4(1,end)+1;
                        rodePreW4(2,end)=tid2;
                        for b=length(totalW4(1,:)):-1:1
                            if b==length(totalW4(1,:))
                                if tid2>=totalW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW4(2,b) && tid2<totalW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW4(1,:))            
                            totalW4(1,end+1)=totalW4(1,end)+1;
                            totalW4(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW4)); %Lager en kopi
                            for z=b:1:length(totalW4)
                                total(1,z)=totalW4(1,z);
                                total(2,z)=totalW4(2,z);
                            end
                            for z=b:1:length(totalW4)+1
                                if z==b
                                    totalW4(1,z)=totalW4(1,z-1)+1;
                                    totalW4(2,z)=tid2;
                                elseif z<=length(totalW4)
                                    totalW4(1,z)=total(1,z-1)+1;
                                    totalW4(2,z)=total(2,z-1);
                                else
                                    totalW4(1,end+1)=total(1,z-1)+1;
                                    totalW4(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW4(1,:)):-1:1
                            if b==length(totalAkuttW4(1,:))
                                if tid2>=totalAkuttW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW4(2,b) && tid2<totalAkuttW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW4(1,:))            
                            totalAkuttW4(1,end+1)=totalAkuttW4(1,end)+1;
                            totalAkuttW4(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW4(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW4(1,:))
                                totalAkutt(1,z)=totalAkuttW4(1,z);
                                totalAkutt(2,z)=totalAkuttW4(2,z);
                            end
                            for z=b:1:length(totalAkuttW4(1,:))+1
                                if z==b
                                    totalAkuttW4(1,z)=totalAkuttW4(1,z-1)+1;
                                    totalAkuttW4(2,z)=tid2;
                                elseif z<=length(totalAkuttW4(1,:))
                                    totalAkuttW4(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW4(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW4(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW4(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end
                    else
                        rodePreW5(1,end+1)=rodePreW5(1,end)+1;
                        rodePreW5(2,end)=tid2;
                        for b=length(totalW5(1,:)):-1:1
                            if b==length(totalW5(1,:))
                                if tid2>=totalW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW5(2,b) && tid2<totalW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW5(1,:))            
                            totalW5(1,end+1)=totalW5(1,end)+1;
                            totalW5(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW5)); %Lager en kopi
                            for z=b:1:length(totalW5)
                                total(1,z)=totalW5(1,z);
                                total(2,z)=totalW5(2,z);
                            end
                            for z=b:1:length(totalW5)+1
                                if z==b
                                    totalW5(1,z)=totalW5(1,z-1)+1;
                                    totalW5(2,z)=tid2;
                                elseif z<=length(totalW5)
                                    totalW5(1,z)=total(1,z-1)+1;
                                    totalW5(2,z)=total(2,z-1);
                                else
                                    totalW5(1,end+1)=total(1,z-1)+1;
                                    totalW5(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW5(1,:)):-1:1
                            if b==length(totalAkuttW5(1,:))
                                if tid2>=totalAkuttW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW5(2,b) && tid2<totalAkuttW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW5(1,:))            
                            totalAkuttW5(1,end+1)=totalAkuttW5(1,end)+1;
                            totalAkuttW5(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW5(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW5(1,:))
                                totalAkutt(1,z)=totalAkuttW5(1,z);
                                totalAkutt(2,z)=totalAkuttW5(2,z);
                            end
                            for z=b:1:length(totalAkuttW5(1,:))+1
                                if z==b
                                    totalAkuttW5(1,z)=totalAkuttW5(1,z-1)+1;
                                    totalAkuttW5(2,z)=tid2;
                                elseif z<=length(totalAkuttW5(1,:))
                                    totalAkuttW5(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW5(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW5(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW5(2,end)=totalAkutt(2,z-1);
                                end
                            end


                        end
                    end

                    %Sletter ankomsten
                    ankRod(1)=[];
                elseif tid2==ankGul(1,1) %Gul legges inn pre, velg sengepost, oppdater bde pre og sengepost
                    % Velger sengepost
                    ukedagSeng=mod(d,7);
                    if ukedagSeng==0
                        ukedagSeng=7;
                    end
                    sengepost=randi(akutteSeng(ukedagSeng),1,1);
                    if sengepost<=akutteOTS
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gulePreW1(1,:)):-1:1
                            if b==length(gulePreW1(1,:))
                                if tid2>=gulePreW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=gulePreW1(2,b) && tid2<gulePreW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gulePreW1(1,:))            
                            gulePreW1(1,end+1)=gulePreW1(1,end)+1;
                            gulePreW1(2,end)=tid2;
                        else
                            b=b+1;
                            gulePreKopi=zeros(2,length(gulePreW1(1,:))); %Lager en kopi
                            for z=b:1:length(gulePreW1(1,:))
                                gulePreKopi(1,z)=gulePreW1(1,z);
                                gulePreKopi(2,z)=gulePreW1(2,z);
                            end
                            for z=b:1:length(gulePreW1(1,:))+1
                                if z==b
                                    gulePreW1(1,z)=gulePreW1(1,z-1)+1;
                                    gulePreW1(2,z)=tid2;
                                elseif z<=length(gulePreW1(1,:))
                                    gulePreW1(1,z)=gulePreKopi(1,z-1)+1;
                                    gulePreW1(2,z)=gulePreKopi(2,z-1);
                                else
                                    gulePreW1(1,end+1)=gulePreKopi(1,z-1)+1;
                                    gulePreW1(2,end)=gulePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW1(1,:)):-1:1
                            if b==length(totalW1(1,:))
                                if tid2>=totalW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW1(2,b) && tid2<totalW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW1(1,:))            
                            totalW1(1,end+1)=totalW1(1,end)+1;
                            totalW1(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW1(1,:))); %Lager en kopi
                            for z=b:1:length(totalW1(1,:))
                                total(1,z)=totalW1(1,z);
                                total(2,z)=totalW1(2,z);
                            end
                            for z=b:1:length(totalW1(1,:))+1
                                if z==b
                                    totalW1(1,z)=totalW1(1,z-1)+1;
                                    totalW1(2,z)=tid2;
                                elseif z<=length(totalW1(1,:))
                                    totalW1(1,z)=total(1,z-1)+1;
                                    totalW1(2,z)=total(2,z-1);
                                else
                                    totalW1(1,end+1)=total(1,z-1)+1;
                                    totalW1(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW1(1,:)):-1:1
                            if b==length(totalAkuttW1(1,:))
                                if tid2>=totalAkuttW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW1(2,b) && tid2<totalAkuttW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW1(1,:))            
                            totalAkuttW1(1,end+1)=totalAkuttW1(1,end)+1;
                            totalAkuttW1(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW1(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW1(1,:))
                                totalAkutt(1,z)=totalAkuttW1(1,z);
                                totalAkutt(2,z)=totalAkuttW1(2,z);
                            end
                            for z=b:1:length(totalAkuttW1(1,:))+1
                                if z==b
                                    totalAkuttW1(1,z)=totalAkuttW1(1,z-1)+1;
                                    totalAkuttW1(2,z)=tid2;
                                elseif z<=length(totalAkuttW1(1,:))
                                    totalAkuttW1(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW1(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW1(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW1(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end

                    elseif sengepost<=akutteORS
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gulePreW2(1,:)):-1:1
                            if b==length(gulePreW2(1,:))
                                if tid2>=gulePreW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=gulePreW2(2,b) && tid2<gulePreW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gulePreW2(1,:))            
                            gulePreW2(1,end+1)=gulePreW2(1,end)+1;
                            gulePreW2(2,end)=tid2;
                        else
                            b=b+1;
                            gulePreKopi=zeros(2,length(gulePreW2(1,:))); %Lager en kopi
                            for z=b:1:length(gulePreW2(1,:))
                                gulePreKopi(1,z)=gulePreW2(1,z);
                                gulePreKopi(2,z)=gulePreW2(2,z);
                            end
                            for z=b:1:length(gulePreW2(1,:))+1
                                if z==b
                                    gulePreW2(1,z)=gulePreW2(1,z-1)+1;
                                    gulePreW2(2,z)=tid2;
                                elseif z<=length(gulePreW2(1,:))
                                    gulePreW2(1,z)=gulePreKopi(1,z-1)+1;
                                    gulePreW2(2,z)=gulePreKopi(2,z-1);
                                else
                                    gulePreW2(1,end+1)=gulePreKopi(1,z-1)+1;
                                    gulePreW2(2,end)=gulePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW2(1,:)):-1:1
                            if b==length(totalW2(1,:))
                                if tid2>=totalW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW2(2,b) && tid2<totalW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW2(1,:))            
                            totalW2(1,end+1)=totalW2(1,end)+1;
                            totalW2(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW2(1,:))); %Lager en kopi
                            for z=b:1:length(totalW2(1,:))
                                total(1,z)=totalW2(1,z);
                                total(2,z)=totalW2(2,z);
                            end
                            for z=b:1:length(totalW2(1,:))+1
                                if z==b
                                    totalW2(1,z)=totalW2(1,z-1)+1;
                                    totalW2(2,z)=tid2;
                                elseif z<=length(totalW2(1,:))
                                    totalW2(1,z)=total(1,z-1)+1;
                                    totalW2(2,z)=total(2,z-1);
                                else
                                    totalW2(1,end+1)=total(1,z-1)+1;
                                    totalW2(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW2(1,:)):-1:1
                            if b==length(totalAkuttW2(1,:))
                                if tid2>=totalAkuttW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW2(2,b) && tid2<totalAkuttW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW2(1,:))            
                            totalAkuttW2(1,end+1)=totalAkuttW2(1,end)+1;
                            totalAkuttW2(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW2(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW2(1,:))
                                totalAkutt(1,z)=totalAkuttW2(1,z);
                                totalAkutt(2,z)=totalAkuttW2(2,z);
                            end
                            for z=b:1:length(totalAkuttW2(1,:))+1
                                if z==b
                                    totalAkuttW2(1,z)=totalAkuttW2(1,z-1)+1;
                                    totalAkuttW2(2,z)=tid2;
                                elseif z<=length(totalAkuttW2(1,:))
                                    totalAkuttW2(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW2(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW2(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW2(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end

                    elseif sengepost<=akutteOES
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gulePreW3(1,:)):-1:1
                            if b==length(gulePreW3(1,:))
                                if tid2>=gulePreW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=gulePreW3(2,b) && tid2<gulePreW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gulePreW3(1,:))            
                            gulePreW3(1,end+1)=gulePreW3(1,end)+1;
                            gulePreW3(2,end)=tid2;
                        else
                            b=b+1;
                            gulePreKopi=zeros(2,length(gulePreW3(1,:))); %Lager en kopi
                            for z=b:1:length(gulePreW3(1,:))
                                gulePreKopi(1,z)=gulePreW3(1,z);
                                gulePreKopi(2,z)=gulePreW3(2,z);
                            end
                            for z=b:1:length(gulePreW3(1,:))+1
                                if z==b
                                    gulePreW3(1,z)=gulePreW3(1,z-1)+1;
                                    gulePreW3(2,z)=tid2;
                                elseif z<=length(gulePreW3(1,:))
                                    gulePreW3(1,z)=gulePreKopi(1,z-1)+1;
                                    gulePreW3(2,z)=gulePreKopi(2,z-1);
                                else
                                    gulePreW3(1,end+1)=gulePreKopi(1,z-1)+1;
                                    gulePreW3(2,end)=gulePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW3(1,:)):-1:1
                            if b==length(totalW3(1,:))
                                if tid2>=totalW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW3(2,b) && tid2<totalW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW3(1,:))            
                            totalW3(1,end+1)=totalW3(1,end)+1;
                            totalW3(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW3(1,:))); %Lager en kopi
                            for z=b:1:length(totalW3(1,:))
                                total(1,z)=totalW3(1,z);
                                total(2,z)=totalW3(2,z);
                            end
                            for z=b:1:length(totalW3(1,:))+1
                                if z==b
                                    totalW3(1,z)=totalW3(1,z-1)+1;
                                    totalW3(2,z)=tid2;
                                elseif z<=length(totalW3(1,:))
                                    totalW3(1,z)=total(1,z-1)+1;
                                    totalW3(2,z)=total(2,z-1);
                                else
                                    totalW3(1,end+1)=total(1,z-1)+1;
                                    totalW3(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW3(1,:)):-1:1
                            if b==length(totalAkuttW3(1,:))
                                if tid2>=totalAkuttW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW3(2,b) && tid2<totalAkuttW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW3(1,:))            
                            totalAkuttW3(1,end+1)=totalAkuttW3(1,end)+1;
                            totalAkuttW3(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW3(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW3(1,:))
                                totalAkutt(1,z)=totalAkuttW3(1,z);
                                totalAkutt(2,z)=totalAkuttW3(2,z);
                            end
                            for z=b:1:length(totalAkuttW3(1,:))+1
                                if z==b
                                    totalAkuttW3(1,z)=totalAkuttW3(1,z-1)+1;
                                    totalAkuttW3(2,z)=tid2;
                                elseif z<=length(totalAkuttW3(1,:))
                                    totalAkuttW3(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW3(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW3(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW3(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end

                    elseif sengepost<=akutteOFT
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gulePreW4(1,:)):-1:1
                            if b==length(gulePreW4(1,:))
                                if tid2>=gulePreW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=gulePreW4(2,b) && tid2<gulePreW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gulePreW4(1,:))            
                            gulePreW4(1,end+1)=gulePreW4(1,end)+1;
                            gulePreW4(2,end)=tid2;
                        else
                            b=b+1;
                            gulePreKopi=zeros(2,length(gulePreW4(1,:))); %Lager en kopi
                            for z=b:1:length(gulePreW4(1,:))
                                gulePreKopi(1,z)=gulePreW4(1,z);
                                gulePreKopi(2,z)=gulePreW4(2,z);
                            end
                            for z=b:1:length(gulePreW4(1,:))+1
                                if z==b
                                    gulePreW4(1,z)=gulePreW4(1,z-1)+1;
                                    gulePreW4(2,z)=tid2;
                                elseif z<=length(gulePreW4(1,:))
                                    gulePreW4(1,z)=gulePreKopi(1,z-1)+1;
                                    gulePreW4(2,z)=gulePreKopi(2,z-1);
                                else
                                    gulePreW4(1,end+1)=gulePreKopi(1,z-1)+1;
                                    gulePreW4(2,end)=gulePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW4(1,:)):-1:1
                            if b==length(totalW4(1,:))
                                if tid2>=totalW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW4(2,b) && tid2<totalW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW4(1,:))            
                            totalW4(1,end+1)=totalW4(1,end)+1;
                            totalW4(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW4)); %Lager en kopi
                            for z=b:1:length(totalW4)
                                total(1,z)=totalW4(1,z);
                                total(2,z)=totalW4(2,z);
                            end
                            for z=b:1:length(totalW4)+1
                                if z==b
                                    totalW4(1,z)=totalW4(1,z-1)+1;
                                    totalW4(2,z)=tid2;
                                elseif z<=length(totalW4)
                                    totalW4(1,z)=total(1,z-1)+1;
                                    totalW4(2,z)=total(2,z-1);
                                else
                                    totalW4(1,end+1)=total(1,z-1)+1;
                                    totalW4(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW4(1,:)):-1:1
                            if b==length(totalAkuttW4(1,:))
                                if tid2>=totalAkuttW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW4(2,b) && tid2<totalAkuttW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW4(1,:))            
                            totalAkuttW4(1,end+1)=totalAkuttW4(1,end)+1;
                            totalAkuttW4(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW4(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW4(1,:))
                                totalAkutt(1,z)=totalAkuttW4(1,z);
                                totalAkutt(2,z)=totalAkuttW4(2,z);
                            end
                            for z=b:1:length(totalAkuttW4(1,:))+1
                                if z==b
                                    totalAkuttW4(1,z)=totalAkuttW4(1,z-1)+1;
                                    totalAkuttW4(2,z)=tid2;
                                elseif z<=length(totalAkuttW4(1,:))
                                    totalAkuttW4(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW4(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW4(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW4(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end

                    else
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gulePreW5(1,:)):-1:1
                            if b==length(gulePreW5(1,:))
                                if tid2>=gulePreW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=gulePreW5(2,b) && tid2<gulePreW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gulePreW5(1,:))            
                            gulePreW5(1,end+1)=gulePreW5(1,end)+1;
                            gulePreW5(2,end)=tid2;
                        else
                            b=b+1;
                            gulePreKopi=zeros(2,length(gulePreW5(1,:))); %Lager en kopi
                            for z=b:1:length(gulePreW5(1,:))
                                gulePreKopi(1,z)=gulePreW5(1,z);
                                gulePreKopi(2,z)=gulePreW5(2,z);
                            end
                            for z=b:1:length(gulePreW5(1,:))+1
                                if z==b
                                    gulePreW5(1,z)=gulePreW5(1,z-1)+1;
                                    gulePreW5(2,z)=tid2;
                                elseif z<=length(gulePreW5(1,:))
                                    gulePreW5(1,z)=gulePreKopi(1,z-1)+1;
                                    gulePreW5(2,z)=gulePreKopi(2,z-1);
                                else
                                    gulePreW5(1,end+1)=gulePreKopi(1,z-1)+1;
                                    gulePreW5(2,end)=gulePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW5(1,:)):-1:1
                            if b==length(totalW5(1,:))
                                if tid2>=totalW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW5(2,b) && tid2<totalW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW5(1,:))            
                            totalW5(1,end+1)=totalW5(1,end)+1;
                            totalW5(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW5)); %Lager en kopi
                            for z=b:1:length(totalW5)
                                total(1,z)=totalW5(1,z);
                                total(2,z)=totalW5(2,z);
                            end
                            for z=b:1:length(totalW5)+1
                                if z==b
                                    totalW5(1,z)=totalW5(1,z-1)+1;
                                    totalW5(2,z)=tid2;
                                elseif z<=length(totalW5)
                                    totalW5(1,z)=total(1,z-1)+1;
                                    totalW5(2,z)=total(2,z-1);
                                else
                                    totalW5(1,end+1)=total(1,z-1)+1;
                                    totalW5(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW5(1,:)):-1:1
                            if b==length(totalAkuttW5(1,:))
                                if tid2>=totalAkuttW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW5(2,b) && tid2<totalAkuttW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW5(1,:))            
                            totalAkuttW5(1,end+1)=totalAkuttW5(1,end)+1;
                            totalAkuttW5(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW5(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW5(1,:))
                                totalAkutt(1,z)=totalAkuttW5(1,z);
                                totalAkutt(2,z)=totalAkuttW5(2,z);
                            end
                            for z=b:1:length(totalAkuttW5(1,:))+1
                                if z==b
                                    totalAkuttW5(1,z)=totalAkuttW5(1,z-1)+1;
                                    totalAkuttW5(2,z)=tid2;
                                elseif z<=length(totalAkuttW5(1,:))
                                    totalAkuttW5(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW5(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW5(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW5(2,end)=totalAkutt(2,z-1);
                                end
                            end


                        end
                    end

                    %Sletter ankomsten
                    ankGul(1)=[];
                elseif tid2==ankGronn(1,1) %Grnn legges inn eller sendes hjem - leggges uansett p liste for skedulering til BVS (skeduleres neste dag), evt til AHL
                    % Velger sengepost
                    ukedagSeng=mod(d,7);
                    if ukedagSeng==0
                        ukedagSeng=7;
                    end
                    sengepost=randi(akutteSeng(ukedagSeng),1,1);
                    if sengepost<=akutteOTS
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gronnePreW1(1,:)):-1:1
                            if b==length(gronnePreW1(1,:))
                                if tid2>=gronnePreW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=gronnePreW1(2,b) && tid2<gronnePreW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gronnePreW1(1,:))            
                            gronnePreW1(1,end+1)=gronnePreW1(1,end)+1;
                            gronnePreW1(2,end)=tid2;
                        else
                            b=b+1;
                            gronnePreKopi=zeros(2,length(gronnePreW1(1,:))); %Lager en kopi
                            for z=b:1:length(gronnePreW1(1,:))
                                gronnePreKopi(1,z)=gronnePreW1(1,z);
                                gronnePreKopi(2,z)=gronnePreW1(2,z);
                            end
                            for z=b:1:length(gronnePreW1(1,:))+1
                                if z==b
                                    gronnePreW1(1,z)=gronnePreW1(1,z-1)+1;
                                    gronnePreW1(2,z)=tid2;
                                elseif z<=length(gronnePreW1(1,:))
                                    gronnePreW1(1,z)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW1(2,z)=gronnePreKopi(2,z-1);
                                else
                                    gronnePreW1(1,end+1)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW1(2,end)=gronnePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW1(1,:)):-1:1
                            if b==length(totalW1(1,:))
                                if tid2>=totalW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW1(2,b) && tid2<totalW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW1(1,:))            
                            totalW1(1,end+1)=totalW1(1,end)+1;
                            totalW1(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW1(1,:))); %Lager en kopi
                            for z=b:1:length(totalW1(1,:))
                                total(1,z)=totalW1(1,z);
                                total(2,z)=totalW1(2,z);
                            end
                            for z=b:1:length(totalW1(1,:))+1
                                if z==b
                                    totalW1(1,z)=totalW1(1,z-1)+1;
                                    totalW1(2,z)=tid2;
                                elseif z<=length(totalW1(1,:))
                                    totalW1(1,z)=total(1,z-1)+1;
                                    totalW1(2,z)=total(2,z-1);
                                else
                                    totalW1(1,end+1)=total(1,z-1)+1;
                                    totalW1(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW1(1,:)):-1:1
                            if b==length(totalAkuttW1(1,:))
                                if tid2>=totalAkuttW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW1(2,b) && tid2<totalAkuttW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW1(1,:))            
                            totalAkuttW1(1,end+1)=totalAkuttW1(1,end)+1;
                            totalAkuttW1(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW1(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW1(1,:))
                                totalAkutt(1,z)=totalAkuttW1(1,z);
                                totalAkutt(2,z)=totalAkuttW1(2,z);
                            end
                            for z=b:1:length(totalAkuttW1(1,:))+1
                                if z==b
                                    totalAkuttW1(1,z)=totalAkuttW1(1,z-1)+1;
                                    totalAkuttW1(2,z)=tid2;
                                elseif z<=length(totalAkuttW1(1,:))
                                    totalAkuttW1(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW1(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW1(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW1(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end
                        post=1;
                    elseif sengepost<=akutteORS
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gronnePreW2(1,:)):-1:1
                            if b==length(gronnePreW2(1,:))
                                if tid2>=gronnePreW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=gronnePreW2(2,b) && tid2<gronnePreW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gronnePreW2(1,:))            
                            gronnePreW2(1,end+1)=gronnePreW2(1,end)+1;
                            gronnePreW2(2,end)=tid2;
                        else
                            b=b+1;
                            gronnePreKopi=zeros(2,length(gronnePreW2(1,:))); %Lager en kopi
                            for z=b:1:length(gronnePreW2(1,:))
                                gronnePreKopi(1,z)=gronnePreW2(1,z);
                                gronnePreKopi(2,z)=gronnePreW2(2,z);
                            end
                            for z=b:1:length(gronnePreW2(1,:))+1
                                if z==b
                                    gronnePreW2(1,z)=gronnePreW2(1,z-1)+1;
                                    gronnePreW2(2,z)=tid2;
                                elseif z<=length(gronnePreW2(1,:))
                                    gronnePreW2(1,z)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW2(2,z)=gronnePreKopi(2,z-1);
                                else
                                    gronnePreW2(1,end+1)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW2(2,end)=gronnePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW2(1,:)):-1:1
                            if b==length(totalW2(1,:))
                                if tid2>=totalW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW2(2,b) && tid2<totalW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW2(1,:))            
                            totalW2(1,end+1)=totalW2(1,end)+1;
                            totalW2(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW2(1,:))); %Lager en kopi
                            for z=b:1:length(totalW2(1,:))
                                total(1,z)=totalW2(1,z);
                                total(2,z)=totalW2(2,z);
                            end
                            for z=b:1:length(totalW2(1,:))+1
                                if z==b
                                    totalW2(1,z)=totalW2(1,z-1)+1;
                                    totalW2(2,z)=tid2;
                                elseif z<=length(totalW2(1,:))
                                    totalW2(1,z)=total(1,z-1)+1;
                                    totalW2(2,z)=total(2,z-1);
                                else
                                    totalW2(1,end+1)=total(1,z-1)+1;
                                    totalW2(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW2(1,:)):-1:1
                            if b==length(totalAkuttW2(1,:))
                                if tid2>=totalAkuttW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW2(2,b) && tid2<totalAkuttW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW2(1,:))            
                            totalAkuttW2(1,end+1)=totalAkuttW2(1,end)+1;
                            totalAkuttW2(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW2(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW2(1,:))
                                totalAkutt(1,z)=totalAkuttW2(1,z);
                                totalAkutt(2,z)=totalAkuttW2(2,z);
                            end
                            for z=b:1:length(totalAkuttW2(1,:))+1
                                if z==b
                                    totalAkuttW2(1,z)=totalAkuttW2(1,z-1)+1;
                                    totalAkuttW2(2,z)=tid2;
                                elseif z<=length(totalAkuttW2(1,:))
                                    totalAkuttW2(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW2(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW2(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW2(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end
                        post=2;
                    elseif sengepost<=akutteOES
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gronnePreW3(1,:)):-1:1
                            if b==length(gronnePreW3(1,:))
                                if tid2>=gronnePreW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=gronnePreW3(2,b) && tid2<gronnePreW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gronnePreW3(1,:))            
                            gronnePreW3(1,end+1)=gronnePreW3(1,end)+1;
                            gronnePreW3(2,end)=tid2;
                        else
                            b=b+1;
                            gronnePreKopi=zeros(2,length(gronnePreW3(1,:))); %Lager en kopi
                            for z=b:1:length(gronnePreW3(1,:))
                                gronnePreKopi(1,z)=gronnePreW3(1,z);
                                gronnePreKopi(2,z)=gronnePreW3(2,z);
                            end
                            for z=b:1:length(gronnePreW3(1,:))+1
                                if z==b
                                    gronnePreW3(1,z)=gronnePreW3(1,z-1)+1;
                                    gronnePreW3(2,z)=tid2;
                                elseif z<=length(gronnePreW3(1,:))
                                    gronnePreW3(1,z)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW3(2,z)=gronnePreKopi(2,z-1);
                                else
                                    gronnePreW3(1,end+1)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW3(2,end)=gronnePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW3(1,:)):-1:1
                            if b==length(totalW3(1,:))
                                if tid2>=totalW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW3(2,b) && tid2<totalW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW3(1,:))            
                            totalW3(1,end+1)=totalW3(1,end)+1;
                            totalW3(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW3(1,:))); %Lager en kopi
                            for z=b:1:length(totalW3(1,:))
                                total(1,z)=totalW3(1,z);
                                total(2,z)=totalW3(2,z);
                            end
                            for z=b:1:length(totalW3(1,:))+1
                                if z==b
                                    totalW3(1,z)=totalW3(1,z-1)+1;
                                    totalW3(2,z)=tid2;
                                elseif z<=length(totalW3(1,:))
                                    totalW3(1,z)=total(1,z-1)+1;
                                    totalW3(2,z)=total(2,z-1);
                                else
                                    totalW3(1,end+1)=total(1,z-1)+1;
                                    totalW3(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW3(1,:)):-1:1
                            if b==length(totalAkuttW3(1,:))
                                if tid2>=totalAkuttW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW3(2,b) && tid2<totalAkuttW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW3(1,:))            
                            totalAkuttW3(1,end+1)=totalAkuttW3(1,end)+1;
                            totalAkuttW3(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW3(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW3(1,:))
                                totalAkutt(1,z)=totalAkuttW3(1,z);
                                totalAkutt(2,z)=totalAkuttW3(2,z);
                            end
                            for z=b:1:length(totalAkuttW3(1,:))+1
                                if z==b
                                    totalAkuttW3(1,z)=totalAkuttW3(1,z-1)+1;
                                    totalAkuttW3(2,z)=tid2;
                                elseif z<=length(totalAkuttW3(1,:))
                                    totalAkuttW3(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW3(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW3(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW3(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end
                        post=3;
                    elseif sengepost<=akutteOFT
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gronnePreW4(1,:)):-1:1
                            if b==length(gronnePreW4(1,:))
                                if tid2>=gronnePreW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=gronnePreW4(2,b) && tid2<gronnePreW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gronnePreW4(1,:))            
                            gronnePreW4(1,end+1)=gronnePreW4(1,end)+1;
                            gronnePreW4(2,end)=tid2;
                        else
                            b=b+1;
                            gronnePreKopi=zeros(2,length(gronnePreW4(1,:))); %Lager en kopi
                            for z=b:1:length(gronnePreW4(1,:))
                                gronnePreKopi(1,z)=gronnePreW4(1,z);
                                gronnePreKopi(2,z)=gronnePreW4(2,z);
                            end
                            for z=b:1:length(gronnePreW4(1,:))+1
                                if z==b
                                    gronnePreW4(1,z)=gronnePreW4(1,z-1)+1;
                                    gronnePreW4(2,z)=tid2;
                                elseif z<=length(gronnePreW4(1,:))
                                    gronnePreW4(1,z)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW4(2,z)=gronnePreKopi(2,z-1);
                                else
                                    gronnePreW4(1,end+1)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW4(2,end)=gronnePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW4(1,:)):-1:1
                            if b==length(totalW4(1,:))
                                if tid2>=totalW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW4(2,b) && tid2<totalW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW4(1,:))            
                            totalW4(1,end+1)=totalW4(1,end)+1;
                            totalW4(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW4)); %Lager en kopi
                            for z=b:1:length(totalW4)
                                total(1,z)=totalW4(1,z);
                                total(2,z)=totalW4(2,z);
                            end
                            for z=b:1:length(totalW4)+1
                                if z==b
                                    totalW4(1,z)=totalW4(1,z-1)+1;
                                    totalW4(2,z)=tid2;
                                elseif z<=length(totalW4)
                                    totalW4(1,z)=total(1,z-1)+1;
                                    totalW4(2,z)=total(2,z-1);
                                else
                                    totalW4(1,end+1)=total(1,z-1)+1;
                                    totalW4(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW4(1,:)):-1:1
                            if b==length(totalAkuttW4(1,:))
                                if tid2>=totalAkuttW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW4(2,b) && tid2<totalAkuttW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW4(1,:))            
                            totalAkuttW4(1,end+1)=totalAkuttW4(1,end)+1;
                            totalAkuttW4(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW4(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW4(1,:))
                                totalAkutt(1,z)=totalAkuttW4(1,z);
                                totalAkutt(2,z)=totalAkuttW4(2,z);
                            end
                            for z=b:1:length(totalAkuttW4(1,:))+1
                                if z==b
                                    totalAkuttW4(1,z)=totalAkuttW4(1,z-1)+1;
                                    totalAkuttW4(2,z)=tid2;
                                elseif z<=length(totalAkuttW4(1,:))
                                    totalAkuttW4(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW4(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW4(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW4(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end
                        post=4;
                    else
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gronnePreW5(1,:)):-1:1
                            if b==length(gronnePreW5(1,:))
                                if tid2>=gronnePreW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=gronnePreW5(2,b) && tid2<gronnePreW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gronnePreW5(1,:))            
                            gronnePreW5(1,end+1)=gronnePreW5(1,end)+1;
                            gronnePreW5(2,end)=tid2;
                        else
                            b=b+1;
                            gronnePreKopi=zeros(2,length(gronnePreW5(1,:))); %Lager en kopi
                            for z=b:1:length(gronnePreW5(1,:))
                                gronnePreKopi(1,z)=gronnePreW5(1,z);
                                gronnePreKopi(2,z)=gronnePreW5(2,z);
                            end
                            for z=b:1:length(gronnePreW5(1,:))+1
                                if z==b
                                    gronnePreW5(1,z)=gronnePreW5(1,z-1)+1;
                                    gronnePreW5(2,z)=tid2;
                                elseif z<=length(gronnePreW5(1,:))
                                    gronnePreW5(1,z)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW5(2,z)=gronnePreKopi(2,z-1);
                                else
                                    gronnePreW5(1,end+1)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW5(2,end)=gronnePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW5(1,:)):-1:1
                            if b==length(totalW5(1,:))
                                if tid2>=totalW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW5(2,b) && tid2<totalW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW5(1,:))            
                            totalW5(1,end+1)=totalW5(1,end)+1;
                            totalW5(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW5)); %Lager en kopi
                            for z=b:1:length(totalW5)
                                total(1,z)=totalW5(1,z);
                                total(2,z)=totalW5(2,z);
                            end
                            for z=b:1:length(totalW5)+1
                                if z==b
                                    totalW5(1,z)=totalW5(1,z-1)+1;
                                    totalW5(2,z)=tid2;
                                elseif z<=length(totalW5)
                                    totalW5(1,z)=total(1,z-1)+1;
                                    totalW5(2,z)=total(2,z-1);
                                else
                                    totalW5(1,end+1)=total(1,z-1)+1;
                                    totalW5(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW5(1,:)):-1:1
                            if b==length(totalAkuttW5(1,:))
                                if tid2>=totalAkuttW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW5(2,b) && tid2<totalAkuttW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW5(1,:))            
                            totalAkuttW5(1,end+1)=totalAkuttW5(1,end)+1;
                            totalAkuttW5(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW5(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW5(1,:))
                                totalAkutt(1,z)=totalAkuttW5(1,z);
                                totalAkutt(2,z)=totalAkuttW5(2,z);
                            end
                            for z=b:1:length(totalAkuttW5(1,:))+1
                                if z==b
                                    totalAkuttW5(1,z)=totalAkuttW5(1,z-1)+1;
                                    totalAkuttW5(2,z)=tid2;
                                elseif z<=length(totalAkuttW5(1,:))
                                    totalAkuttW5(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW5(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW5(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW5(2,end)=totalAkutt(2,z-1);
                                end
                            end


                        end
                        post=5;
                    end


                    %Pasientent legges p liste for  bli skedulert
                    gronnListeSkedulering(1,end+1)=ankGronn(1);
                    gronnListeSkeduleringSeng(1,end+1)=post;
                    %Sletter ankomsten
                    ankGronn(1)=[];

                elseif tid2==ankGronnDK(1,1) %Grnne DK-pasienter - pasienten sendes hjem, ikke sengepost
                    %Pasientent legges p liste for  bli skedulert
                    gronnDKListeSkedulering(1,end+1)=ankGronnDK(1);

                    % Legger pasienten i k (hjemme)
                    for b=length(gronneDKHjemme(1,:)):-1:1
                        if b==length(gronneDKHjemme(1,:))
                            if tid2>=gronneDKHjemme(2,b)
                                break;
                            end
                        else
                            if tid2>=gronneDKHjemme(2,b) && tid2<gronneDKHjemme(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(gronneDKHjemme(1,:))            
                        gronneDKHjemme(1,end+1)=gronneDKHjemme(1,end)+1;
                        gronneDKHjemme(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(gronneDKHjemme)); %Lager en kopi
                        for z=b:1:length(gronneDKHjemme)
                            total(1,z)=gronneDKHjemme(1,z);
                            total(2,z)=gronneDKHjemme(2,z);
                        end
                        for z=b:1:length(gronneDKHjemme)+1
                            if z==b
                                gronneDKHjemme(1,z)=gronneDKHjemme(1,z-1)+1;
                                gronneDKHjemme(2,z)=tid2;
                            elseif z<=length(gronneDKHjemme)
                                gronneDKHjemme(1,z)=total(1,z-1)+1;
                                gronneDKHjemme(2,z)=total(2,z-1);
                            else
                                gronneDKHjemme(1,end+1)=total(1,z-1)+1;
                                gronneDKHjemme(2,end)=total(2,z-1);
                            end
                        end
                    end
                    %Sletter ankomsten
                    ankGronnDK(1)=[];


                elseif tid2==OR1Klar %Se etter ledige pasienter, ta pasient ut fra pre, trekk tid for OP, trekk tid for sengepost

                    %Dersom rd til stede s opereres rd
                    tellerSeng=0;
                    indeksW1=0;
                    indeksW2=0;
                    indeksW3=0;
                    indeksW4=0;
                    indeksW5=0;
                    rodeVenter=[];

                    if rodePreW1(1,end)>0
                        while tellerSeng<rodePreW1(1,end)
                            if rodePreW1(1,end-indeksW1)>rodePreW1(1,end-indeksW1-1) %vi ser en ankomst
                                tellerSeng=tellerSeng+1;
                            end
                            if tellerSeng==rodePreW1(1,end)
                                indeksW1=indeksW1;
                            else
                            indeksW1=indeksW1+1;
                            end
                        end
                        rodeVenter(1,end+1)=rodePreW1(2,end-indeksW1);
                        tellerSeng=0;
                    end

                    if rodePreW2(1,end)>0
                        while tellerSeng<rodePreW2(1,end)
                            if rodePreW2(1,end-indeksW2)>rodePreW2(1,end-indeksW2-1) %vi ser en ankomst
                                tellerSeng=tellerSeng+1;
                            end
                            if tellerSeng==rodePreW2(1,end)
                                indeksW2=indeksW2;
                            else
                            indeksW2=indeksW2+1;
                            end
                        end
                        rodeVenter(1,end+1)=rodePreW2(2,end-indeksW2);
                        tellerSeng=0;
                    end

                    if rodePreW3(1,end)>0
                        while tellerSeng<rodePreW3(1,end)
                            if rodePreW3(1,end-indeksW3)>rodePreW3(1,end-indeksW3-1) %vi ser en ankomst
                                tellerSeng=tellerSeng+1;
                            end
                            if tellerSeng==rodePreW3(1,end)
                                indeksW3=indeksW3;
                            else
                            indeksW3=indeksW3+1;
                            end
                        end
                        rodeVenter(1,end+1)=rodePreW3(2,end-indeksW3);
                        tellerSeng=0;
                    end

                    if rodePreW4(1,end)>0
                        while tellerSeng<rodePreW4(1,end)
                            if rodePreW4(1,end-indeksW4)>rodePreW4(1,end-indeksW4-1) %vi ser en ankomst
                                tellerSeng=tellerSeng+1;
                            end
                            if tellerSeng==rodePreW4(1,end)
                                indeksW4=indeksW4;
                            else
                            indeksW4=indeksW4+1;
                            end
                        end
                        rodeVenter(1,end+1)=rodePreW4(2,end-indeksW4);
                        tellerSeng=0;
                    end

                    if rodePreW5(1,end)>0
                        while tellerSeng<rodePreW5(1,end)
                            if rodePreW5(1,end-indeksW5)>rodePreW5(1,end-indeksW5-1) %vi ser en ankomst
                                tellerSeng=tellerSeng+1;
                            end
                            if tellerSeng==rodePreW5(1,end)
                                indeksW5=indeksW5;
                            else
                            indeksW5=indeksW5+1;
                            end
                        end
                        rodeVenter(1,end+1)=rodePreW5(2,end-indeksW5);
                        tellerSeng=0;
                    end

                    if length(rodeVenter)>0 %Det ligger rde og venter
                        rodeVenter=sort(rodeVenter);
                        if rodeVenter(1,1)==rodePreW1(2,end-indeksW1)

                            %Vi fjerner pasienten fra ventelisten 
                            rodePreW1(1,end+1)=rodePreW1(1,end)-1;
                            rodePreW1(2,end)=tid2;

                            %Finner ventetid til operasjon, legger til den
                            %tiden det tar  trille ned pasienten
                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                            ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                            ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                            ventetiderRode(2,end)=tid2;

                            %Trekker operasjonstid og oppdaterer tid for ferdig
                            if lognorm==1
                                stuetid=min(400,lognrnd(muRod,sigmaRod));
                            else
                                trekkStue=randi(length(stuetidRod(~isnan(stuetidRod)))); 
                                stuetid=min(400,stuetidRod(trekkStue));
                            end
                            OR1Klar=tid2+kjoreNed+stuetid;

                            %Trekker liggetid p sengepost
                            if LOS_fordeling==1
                                liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                            else
                                liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                            end
                            utW1(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                            utAkuttW1(1,end+1)=utW1(1,end);

                        elseif rodeVenter(1,1)==rodePreW2(2,end-indeksW2)
                            %Vi fjerner pasienten fra ventelisten 
                            rodePreW2(1,end+1)=rodePreW2(1,end)-1;
                            rodePreW2(2,end)=tid2;

                            %Finner ventetid til operasjon, legger til den
                            %tiden det tar  trille ned pasienten
                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                            ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                            ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                            ventetiderRode(2,end)=tid2;

                            %Trekker operasjonstid og oppdaterer tid for ferdig
                            if lognorm==1
                                stuetid=min(400,lognrnd(muRod,sigmaRod));
                            else
                                trekkStue=randi(length(stuetidRod(~isnan(stuetidRod)))); 
                                stuetid=min(400,stuetidRod(trekkStue));
                            end
                            OR1Klar=tid2+kjoreNed+stuetid;

                            %Trekker liggetid p sengepost
                            if LOS_fordeling==1
                                liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                            else
                                liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                            end
                            utW2(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                            utAkuttW2(1,end+1)=utW2(1,end);

                        elseif rodeVenter(1,1)==rodePreW3(2,end-indeksW3)
                            %Vi fjerner pasienten fra ventelisten 
                            rodePreW3(1,end+1)=rodePreW3(1,end)-1;
                            rodePreW3(2,end)=tid2;

                            %Finner ventetid til operasjon, legger til den
                            %tiden det tar  trille ned pasienten
                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                            ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                            ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                            ventetiderRode(2,end)=tid2;

                            %Trekker operasjonstid og oppdaterer tid for ferdig
                            if lognorm==1
                                stuetid=min(400,lognrnd(muRod,sigmaRod));
                            else
                                trekkStue=randi(length(stuetidRod(~isnan(stuetidRod)))); 
                                stuetid=min(400,stuetidRod(trekkStue));
                            end
                            OR1Klar=tid2+kjoreNed+stuetid;

                            %Trekker liggetid p sengepost
                            if LOS_fordeling==1
                                liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                            else
                                liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                            end
                            utW3(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                            utAkuttW3(1,end+1)=utW3(1,end);

                        elseif rodeVenter(1,1)==rodePreW4(2,end-indeksW4)
                            %Vi fjerner pasienten fra ventelisten 
                            rodePreW4(1,end+1)=rodePreW4(1,end)-1;
                            rodePreW4(2,end)=tid2;

                            %Finner ventetid til operasjon, legger til den
                            %tiden det tar  trille ned pasienten
                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                            ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                            ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                            ventetiderRode(2,end)=tid2;

                            %Trekker operasjonstid og oppdaterer tid for ferdig
                            if lognorm==1
                                stuetid=min(400,lognrnd(muRod,sigmaRod));
                            else
                                trekkStue=randi(length(stuetidRod(~isnan(stuetidRod)))); 
                                stuetid=min(400,stuetidRod(trekkStue));
                            end
                            OR1Klar=tid2+kjoreNed+stuetid;

                            %Trekker liggetid p sengepost
                            if LOS_fordeling==1
                                liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                            else
                                liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                            end
                            utW4(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                            utAkuttW4(1,end+1)=utW4(1,end);

                        elseif rodeVenter(1,1)==rodePreW5(2,end-indeksW5)
                            %Vi fjerner pasienten fra ventelisten 
                            rodePreW5(1,end+1)=rodePreW5(1,end)-1;
                            rodePreW5(2,end)=tid2;

                            %Finner ventetid til operasjon, legger til den
                            %tiden det tar  trille ned pasienten
                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                            ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                            ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                            ventetiderRode(2,end)=tid2;

                            %Trekker operasjonstid og oppdaterer tid for ferdig
                            if lognorm==1
                                stuetid=min(400,lognrnd(muRod,sigmaRod));
                            else
                                trekkStue=randi(length(stuetidRod(~isnan(stuetidRod)))); 
                                stuetid=min(400,stuetidRod(trekkStue));
                            end
                            OR1Klar=tid2+kjoreNed+stuetid;

                            %Trekker liggetid p sengepost
                            if LOS_fordeling==1
                                liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                            else
                                liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                            end
                            utW5(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                            utAkuttW5(1,end+1)=utW5(1,end);

                        end
                    else %Det ligger ingen rde, s vi ser etter gule og grnne
                        %Vi stopper arbeidet dersom vi er for nrme
                        %stengetid
                        if tid1AHL<=960-limitAHL

                            %Ser frst etter gule
                            tellerSeng=0;
                            indeksW1=0;
                            indeksW2=0;
                            indeksW3=0;
                            indeksW4=0;
                            indeksW5=0;
                            guleVenter=[];

                            if gulePreW1(1,end)>0
                                while tellerSeng<gulePreW1(1,end)
                                    if gulePreW1(1,end-indeksW1)>gulePreW1(1,end-indeksW1-1) %vi ser en ankomst
                                        tellerSeng=tellerSeng+1;
                                    end
                                    if tellerSeng==gulePreW1(1,end)
                                        indeksW1=indeksW1;
                                    else
                                    indeksW1=indeksW1+1;
                                    end
                                end
                                guleVenter(1,end+1)=gulePreW1(2,end-indeksW1);
                                tellerSeng=0;
                            end

                            if gulePreW2(1,end)>0
                                while tellerSeng<gulePreW2(1,end)
                                    if gulePreW2(1,end-indeksW2)>gulePreW2(1,end-indeksW2-1) %vi ser en ankomst
                                        tellerSeng=tellerSeng+1;
                                    end
                                    if tellerSeng==gulePreW2(1,end)
                                        indeksW2=indeksW2;
                                    else
                                    indeksW2=indeksW2+1;
                                    end
                                end
                                guleVenter(1,end+1)=gulePreW2(2,end-indeksW2);
                                tellerSeng=0;
                            end

                            if gulePreW3(1,end)>0
                                while tellerSeng<gulePreW3(1,end)
                                    if gulePreW3(1,end-indeksW3)>gulePreW3(1,end-indeksW3-1) %vi ser en ankomst
                                        tellerSeng=tellerSeng+1;
                                    end
                                    if tellerSeng==gulePreW3(1,end)
                                        indeksW3=indeksW3;
                                    else
                                    indeksW3=indeksW3+1;
                                    end
                                end
                                guleVenter(1,end+1)=gulePreW3(2,end-indeksW3);
                                tellerSeng=0;
                            end

                            if gulePreW4(1,end)>0
                                while tellerSeng<gulePreW4(1,end)
                                    if gulePreW4(1,end-indeksW4)>gulePreW4(1,end-indeksW4-1) %vi ser en ankomst
                                        tellerSeng=tellerSeng+1;
                                    end
                                    if tellerSeng==gulePreW4(1,end)
                                        indeksW4=indeksW4;
                                    else
                                    indeksW4=indeksW4+1;
                                    end
                                end
                                guleVenter(1,end+1)=gulePreW4(2,end-indeksW4);
                                tellerSeng=0;
                            end

                            if gulePreW5(1,end)>0
                                while tellerSeng<gulePreW5(1,end)
                                    if gulePreW5(1,end-indeksW5)>gulePreW5(1,end-indeksW5-1) %vi ser en ankomst
                                        tellerSeng=tellerSeng+1;
                                    end
                                    if tellerSeng==gulePreW5(1,end)
                                        indeksW5=indeksW5;
                                    else
                                    indeksW5=indeksW5+1;
                                    end
                                end
                                guleVenter(1,end+1)=gulePreW5(2,end-indeksW5);
                                tellerSeng=0;
                            end

                            %Ser s etter grnne
                            if length(gronnListeAHL)>0 || length(gronnDKListeAHL)>=1
                                grInne=0;
                                grDK=0;
                                if length(gronnListeAHL)>0
                                    grInne=1;
                                    gronnListeAHL=sort(gronnListeAHL);
                                end
                                if length(gronnDKListeAHL)>0
                                    grDK=1;
                                    gronnDKListeAHL=sort(gronnDKListeAHL);
                                end
                                guleVenter=sort(guleVenter);


                                %Vi m velge mellom grnn og gul, velger p
                                %bakgrunn av tidslimit
                                if  length(guleVenter)>0
                                    if grDK==1 && grInne==1
                                        tidsgrenseGronn=tid2-gronnListeAHL(1,1);
                                        tidsgrenseGronnDK=tid2-gronnDKListeAHL(1,1);
                                        limitGr=max(0,tidsgrenseGronn-limitGronn);
                                        limitGrDK=max(0,tidsgrenseGronnDK-limitGronn);
                                        limitGr=max(limitGr,limitGrDK);
                                    elseif grDK==1
                                        tidsgrenseGronnDK=tid2-gronnDKListeAHL(1,1);
                                        limitGr=max(0,tidsgrenseGronnDK-limitGronn);
                                    else
                                        tidsgrenseGronn=tid2-gronnListeAHL(1,1);
                                        limitGr=max(0,tidsgrenseGronn-limitGronn);

                                    end
                                        tidsgrenseGul=tid2-guleVenter(1,1);
                                        limitGu=max(0,tidsgrenseGul-limitGul);
                                        velgGronn=0;
                                        guleFordel=randi(gulForGronn);
                                else
                                    velgGronn=1;
                                end

                                if velgGronn==0 && ((limitGr==0 && limitGu==0) || (limitGu>limitGr)) %Velger gul
                                    if guleVenter(1,1)==gulePreW1(2,end-indeksW1)

                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gulePreW1(1,:)):-1:1
                                            if b==length(gulePreW1(1,:))
                                                if tid2>=gulePreW1(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gulePreW1(2,b) && tid2<gulePreW1(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gulePreW1(1,:))            
                                            gulePreW1(1,end+1)=gulePreW1(1,end)-1;
                                            gulePreW1(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gulePreKopi=zeros(2,length(gulePreW1(1,:))); %Lager en kopi
                                            for z=b:1:length(gulePreW1(1,:))
                                                gulePreKopi(1,z)=gulePreW1(1,z);
                                                gulePreKopi(2,z)=gulePreW1(2,z);
                                            end
                                            for z=b:1:length(gulePreW1(1,:))+1
                                                if z==b
                                                    gulePreW1(1,z)=gulePreW1(1,z-1)-1;
                                                    gulePreW1(2,z)=tid2;
                                                elseif z<=length(gulePreW1(1,:))
                                                    gulePreW1(1,z)=gulePreKopi(1,z-1)-1;
                                                    gulePreW1(2,z)=gulePreKopi(2,z-1);
                                                else
                                                    gulePreW1(1,end+1)=gulePreKopi(1,z-1)-1;
                                                    gulePreW1(2,end)=gulePreKopi(2,z-1);
                                                end
                                            end
                                        end

                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                        ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                        ventetiderGule(2,end)=tid2;

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1
                                            stuetid=min(400,lognrnd(muGul,sigmaGul));
                                        else
                                            trekkStue=randi(length(stuetidGul(~isnan(stuetidGul)))); 
                                            stuetid=min(400,stuetidGul(trekkStue));
                                        end
                                        OR1Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                        end
                                        utW1(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                        utAkuttW1(1,end+1)=utW1(1,end);

                                    elseif guleVenter(1,1)==gulePreW2(2,end-indeksW2)
                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gulePreW2(1,:)):-1:1
                                            if b==length(gulePreW2(1,:))
                                                if tid2>=gulePreW2(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gulePreW2(2,b) && tid2<gulePreW2(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gulePreW2(1,:))            
                                            gulePreW2(1,end+1)=gulePreW2(1,end)-1;
                                            gulePreW2(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gulePreKopi=zeros(2,length(gulePreW2(1,:))); %Lager en kopi
                                            for z=b:1:length(gulePreW2(1,:))
                                                gulePreKopi(1,z)=gulePreW2(1,z);
                                                gulePreKopi(2,z)=gulePreW2(2,z);
                                            end
                                            for z=b:1:length(gulePreW2(1,:))+1
                                                if z==b
                                                    gulePreW2(1,z)=gulePreW2(1,z-1)-1;
                                                    gulePreW2(2,z)=tid2;
                                                elseif z<=length(gulePreW2(1,:))
                                                    gulePreW2(1,z)=gulePreKopi(1,z-1)-1;
                                                    gulePreW2(2,z)=gulePreKopi(2,z-1);
                                                else
                                                    gulePreW2(1,end+1)=gulePreKopi(1,z-1)-1;
                                                    gulePreW2(2,end)=gulePreKopi(2,z-1);
                                                end
                                            end
                                        end
                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                        ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                        ventetiderGule(2,end)=tid2;

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1
                                            stuetid=min(400,lognrnd(muGul,sigmaGul));
                                        else
                                            trekkStue=randi(length(stuetidGul(~isnan(stuetidGul)))); 
                                            stuetid=min(400,stuetidGul(trekkStue));
                                        end
                                        OR1Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                        end
                                        utW2(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                        utAkuttW2(1,end+1)=utW2(1,end);

                                    elseif guleVenter(1,1)==gulePreW3(2,end-indeksW3)
                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gulePreW3(1,:)):-1:1
                                            if b==length(gulePreW3(1,:))
                                                if tid2>=gulePreW3(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gulePreW3(2,b) && tid2<gulePreW3(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gulePreW3(1,:))            
                                            gulePreW3(1,end+1)=gulePreW3(1,end)-1;
                                            gulePreW3(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gulePreKopi=zeros(2,length(gulePreW3(1,:))); %Lager en kopi
                                            for z=b:1:length(gulePreW3(1,:))
                                                gulePreKopi(1,z)=gulePreW3(1,z);
                                                gulePreKopi(2,z)=gulePreW3(2,z);
                                            end
                                            for z=b:1:length(gulePreW3(1,:))+1
                                                if z==b
                                                    gulePreW3(1,z)=gulePreW3(1,z-1)-1;
                                                    gulePreW3(2,z)=tid2;
                                                elseif z<=length(gulePreW3(1,:))
                                                    gulePreW3(1,z)=gulePreKopi(1,z-1)-1;
                                                    gulePreW3(2,z)=gulePreKopi(2,z-1);
                                                else
                                                    gulePreW3(1,end+1)=gulePreKopi(1,z-1)-1;
                                                    gulePreW3(2,end)=gulePreKopi(2,z-1);
                                                end
                                            end
                                        end

                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                        ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                        ventetiderGule(2,end)=tid2;

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1
                                            stuetid=min(400,lognrnd(muGul,sigmaGul));
                                        else
                                            trekkStue=randi(length(stuetidGul(~isnan(stuetidGul)))); 
                                            stuetid=min(400,stuetidGul(trekkStue));
                                        end
                                        OR1Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                        end
                                        utW3(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                        utAkuttW3(1,end+1)=utW3(1,end);

                                    elseif guleVenter(1,1)==gulePreW4(2,end-indeksW4)
                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gulePreW4(1,:)):-1:1
                                            if b==length(gulePreW4(1,:))
                                                if tid2>=gulePreW4(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gulePreW4(2,b) && tid2<gulePreW4(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gulePreW4(1,:))            
                                            gulePreW4(1,end+1)=gulePreW4(1,end)-1;
                                            gulePreW4(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gulePreKopi=zeros(2,length(gulePreW4(1,:))); %Lager en kopi
                                            for z=b:1:length(gulePreW4(1,:))
                                                gulePreKopi(1,z)=gulePreW4(1,z);
                                                gulePreKopi(2,z)=gulePreW4(2,z);
                                            end
                                            for z=b:1:length(gulePreW4(1,:))+1
                                                if z==b
                                                    gulePreW4(1,z)=gulePreW4(1,z-1)-1;
                                                    gulePreW4(2,z)=tid2;
                                                elseif z<=length(gulePreW4(1,:))
                                                    gulePreW4(1,z)=gulePreKopi(1,z-1)-1;
                                                    gulePreW4(2,z)=gulePreKopi(2,z-1);
                                                else
                                                    gulePreW4(1,end+1)=gulePreKopi(1,z-1)-1;
                                                    gulePreW4(2,end)=gulePreKopi(2,z-1);
                                                end
                                            end
                                        end

                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                        ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                        ventetiderGule(2,end)=tid2;

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1
                                            stuetid=min(400,lognrnd(muGul,sigmaGul));
                                        else
                                            trekkStue=randi(length(stuetidGul(~isnan(stuetidGul)))); 
                                            stuetid=min(400,stuetidGul(trekkStue));
                                        end
                                        OR1Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                        end
                                        utW4(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                        utAkuttW4(1,end+1)=utW4(1,end);

                                    elseif guleVenter(1,1)==gulePreW5(2,end-indeksW5)
                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gulePreW5(1,:)):-1:1
                                            if b==length(gulePreW5(1,:))
                                                if tid2>=gulePreW5(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gulePreW5(2,b) && tid2<gulePreW5(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gulePreW5(1,:))            
                                            gulePreW5(1,end+1)=gulePreW5(1,end)-1;
                                            gulePreW5(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gulePreKopi=zeros(2,length(gulePreW5(1,:))); %Lager en kopi
                                            for z=b:1:length(gulePreW5(1,:))
                                                gulePreKopi(1,z)=gulePreW5(1,z);
                                                gulePreKopi(2,z)=gulePreW5(2,z);
                                            end
                                            for z=b:1:length(gulePreW5(1,:))+1
                                                if z==b
                                                    gulePreW5(1,z)=gulePreW5(1,z-1)-1;
                                                    gulePreW5(2,z)=tid2;
                                                elseif z<=length(gulePreW5(1,:))
                                                    gulePreW5(1,z)=gulePreKopi(1,z-1)-1;
                                                    gulePreW5(2,z)=gulePreKopi(2,z-1);
                                                else
                                                    gulePreW5(1,end+1)=gulePreKopi(1,z-1)-1;
                                                    gulePreW5(2,end)=gulePreKopi(2,z-1);
                                                end
                                            end
                                        end

                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                        ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                        ventetiderGule(2,end)=tid2;

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1
                                            stuetid=min(400,lognrnd(muGul,sigmaGul));
                                        else
                                            trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));
                                            stuetid=min(400,stuetidGul(trekkStue));
                                        end
                                        OR1Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                        end
                                        utW5(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); 
                                        utAkuttW5(1,end+1)=utW5(1,end);

                                    end

                                elseif velgGronn==0 && guleFordel>1 %Vi velger gul selv om grnn er mer forsinket
                                    if guleVenter(1,1)==gulePreW1(2,end-indeksW1)

                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gulePreW1(1,:)):-1:1
                                            if b==length(gulePreW1(1,:))
                                                if tid2>=gulePreW1(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gulePreW1(2,b) && tid2<gulePreW1(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gulePreW1(1,:))            
                                            gulePreW1(1,end+1)=gulePreW1(1,end)-1;
                                            gulePreW1(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gulePreKopi=zeros(2,length(gulePreW1(1,:))); %Lager en kopi
                                            for z=b:1:length(gulePreW1(1,:))
                                                gulePreKopi(1,z)=gulePreW1(1,z);
                                                gulePreKopi(2,z)=gulePreW1(2,z);
                                            end
                                            for z=b:1:length(gulePreW1(1,:))+1
                                                if z==b
                                                    gulePreW1(1,z)=gulePreW1(1,z-1)-1;
                                                    gulePreW1(2,z)=tid2;
                                                elseif z<=length(gulePreW1(1,:))
                                                    gulePreW1(1,z)=gulePreKopi(1,z-1)-1;
                                                    gulePreW1(2,z)=gulePreKopi(2,z-1);
                                                else
                                                    gulePreW1(1,end+1)=gulePreKopi(1,z-1)-1;
                                                    gulePreW1(2,end)=gulePreKopi(2,z-1);
                                                end
                                            end
                                        end

                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                        ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                        ventetiderGule(2,end)=tid2;

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1
                                            stuetid=min(400,lognrnd(muGul,sigmaGul));
                                        else
                                            trekkStue=randi(length(stuetidGul(~isnan(stuetidGul)))); 
                                            stuetid=min(400,stuetidGul(trekkStue));
                                        end
                                        OR1Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                        end
                                        utW1(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                        utAkuttW1(1,end+1)=utW1(1,end);

                                    elseif guleVenter(1,1)==gulePreW2(2,end-indeksW2)
                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gulePreW2(1,:)):-1:1
                                            if b==length(gulePreW2(1,:))
                                                if tid2>=gulePreW2(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gulePreW2(2,b) && tid2<gulePreW2(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gulePreW2(1,:))            
                                            gulePreW2(1,end+1)=gulePreW2(1,end)-1;
                                            gulePreW2(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gulePreKopi=zeros(2,length(gulePreW2(1,:))); %Lager en kopi
                                            for z=b:1:length(gulePreW2(1,:))
                                                gulePreKopi(1,z)=gulePreW2(1,z);
                                                gulePreKopi(2,z)=gulePreW2(2,z);
                                            end
                                            for z=b:1:length(gulePreW2(1,:))+1
                                                if z==b
                                                    gulePreW2(1,z)=gulePreW2(1,z-1)-1;
                                                    gulePreW2(2,z)=tid2;
                                                elseif z<=length(gulePreW2(1,:))
                                                    gulePreW2(1,z)=gulePreKopi(1,z-1)-1;
                                                    gulePreW2(2,z)=gulePreKopi(2,z-1);
                                                else
                                                    gulePreW2(1,end+1)=gulePreKopi(1,z-1)-1;
                                                    gulePreW2(2,end)=gulePreKopi(2,z-1);
                                                end
                                            end
                                        end
                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                        ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                        ventetiderGule(2,end)=tid2;

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1
                                            stuetid=min(400,lognrnd(muGul,sigmaGul));
                                        else
                                            trekkStue=randi(length(stuetidGul(~isnan(stuetidGul)))); 
                                            stuetid=min(400,stuetidGul(trekkStue));
                                        end
                                        OR1Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                        end
                                        utW2(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                        utAkuttW2(1,end+1)=utW2(1,end);

                                    elseif guleVenter(1,1)==gulePreW3(2,end-indeksW3)
                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gulePreW3(1,:)):-1:1
                                            if b==length(gulePreW3(1,:))
                                                if tid2>=gulePreW3(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gulePreW3(2,b) && tid2<gulePreW3(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gulePreW3(1,:))            
                                            gulePreW3(1,end+1)=gulePreW3(1,end)-1;
                                            gulePreW3(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gulePreKopi=zeros(2,length(gulePreW3(1,:))); %Lager en kopi
                                            for z=b:1:length(gulePreW3(1,:))
                                                gulePreKopi(1,z)=gulePreW3(1,z);
                                                gulePreKopi(2,z)=gulePreW3(2,z);
                                            end
                                            for z=b:1:length(gulePreW3(1,:))+1
                                                if z==b
                                                    gulePreW3(1,z)=gulePreW3(1,z-1)-1;
                                                    gulePreW3(2,z)=tid2;
                                                elseif z<=length(gulePreW3(1,:))
                                                    gulePreW3(1,z)=gulePreKopi(1,z-1)-1;
                                                    gulePreW3(2,z)=gulePreKopi(2,z-1);
                                                else
                                                    gulePreW3(1,end+1)=gulePreKopi(1,z-1)-1;
                                                    gulePreW3(2,end)=gulePreKopi(2,z-1);
                                                end
                                            end
                                        end

                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                        ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                        ventetiderGule(2,end)=tid2;

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1
                                            stuetid=min(400,lognrnd(muGul,sigmaGul));
                                        else
                                            trekkStue=randi(length(stuetidGul(~isnan(stuetidGul)))); 
                                            stuetid=min(400,stuetidGul(trekkStue));
                                        end
                                        OR1Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                        end
                                        utW3(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                        utAkuttW3(1,end+1)=utW3(1,end);

                                    elseif guleVenter(1,1)==gulePreW4(2,end-indeksW4)
                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gulePreW4(1,:)):-1:1
                                            if b==length(gulePreW4(1,:))
                                                if tid2>=gulePreW4(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gulePreW4(2,b) && tid2<gulePreW4(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gulePreW4(1,:))            
                                            gulePreW4(1,end+1)=gulePreW4(1,end)-1;
                                            gulePreW4(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gulePreKopi=zeros(2,length(gulePreW4(1,:))); %Lager en kopi
                                            for z=b:1:length(gulePreW4(1,:))
                                                gulePreKopi(1,z)=gulePreW4(1,z);
                                                gulePreKopi(2,z)=gulePreW4(2,z);
                                            end
                                            for z=b:1:length(gulePreW4(1,:))+1
                                                if z==b
                                                    gulePreW4(1,z)=gulePreW4(1,z-1)-1;
                                                    gulePreW4(2,z)=tid2;
                                                elseif z<=length(gulePreW4(1,:))
                                                    gulePreW4(1,z)=gulePreKopi(1,z-1)-1;
                                                    gulePreW4(2,z)=gulePreKopi(2,z-1);
                                                else
                                                    gulePreW4(1,end+1)=gulePreKopi(1,z-1)-1;
                                                    gulePreW4(2,end)=gulePreKopi(2,z-1);
                                                end
                                            end
                                        end

                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                        ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                        ventetiderGule(2,end)=tid2;

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1
                                            stuetid=min(400,lognrnd(muGul,sigmaGul));
                                        else
                                            trekkStue=randi(length(stuetidGul(~isnan(stuetidGul)))); 
                                            stuetid=min(400,stuetidGul(trekkStue));
                                        end
                                        OR1Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                        end
                                        utW4(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                        utAkuttW4(1,end+1)=utW4(1,end);

                                    elseif guleVenter(1,1)==gulePreW5(2,end-indeksW5)
                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gulePreW5(1,:)):-1:1
                                            if b==length(gulePreW5(1,:))
                                                if tid2>=gulePreW5(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gulePreW5(2,b) && tid2<gulePreW5(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gulePreW5(1,:))            
                                            gulePreW5(1,end+1)=gulePreW5(1,end)-1;
                                            gulePreW5(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gulePreKopi=zeros(2,length(gulePreW5(1,:))); %Lager en kopi
                                            for z=b:1:length(gulePreW5(1,:))
                                                gulePreKopi(1,z)=gulePreW5(1,z);
                                                gulePreKopi(2,z)=gulePreW5(2,z);
                                            end
                                            for z=b:1:length(gulePreW5(1,:))+1
                                                if z==b
                                                    gulePreW5(1,z)=gulePreW5(1,z-1)-1;
                                                    gulePreW5(2,z)=tid2;
                                                elseif z<=length(gulePreW5(1,:))
                                                    gulePreW5(1,z)=gulePreKopi(1,z-1)-1;
                                                    gulePreW5(2,z)=gulePreKopi(2,z-1);
                                                else
                                                    gulePreW5(1,end+1)=gulePreKopi(1,z-1)-1;
                                                    gulePreW5(2,end)=gulePreKopi(2,z-1);
                                                end
                                            end
                                        end

                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                        ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                        ventetiderGule(2,end)=tid2;

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1
                                            stuetid=min(400,lognrnd(muGul,sigmaGul));
                                        else
                                            trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));
                                            stuetid=min(400,stuetidGul(trekkStue));
                                        end
                                        OR1Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                        end
                                        utW5(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); 
                                        utAkuttW5(1,end+1)=utW5(1,end);

                                    end

                                else %Velger grnn 
                                    % Vi m finne den grnne p en sengepost
                                    if grDK==0 || (grDK==1 && grInne==1 && gronnListeAHL(1,1)<gronnDKListeAHL(1,1)) % Vi tar fra listen med inneliggende
                                        funnet=0;
                                        while funnet==0
                                            for s=1:1:length(gronnePreW1(1,:))
                                                if gronnListeAHL(1,1)==gronnePreW1(2,s)
                                                    funnet=1;
                                                    break;
                                                end
                                            end
                                            if funnet==1
                                                break;
                                            end
                                            for s=1:1:length(gronnePreW2(1,:))
                                                if gronnListeAHL(1,1)==gronnePreW2(2,s)
                                                    funnet=2;
                                                    break;
                                                end
                                            end
                                            if funnet==2
                                                break;
                                            end
                                            for s=1:1:length(gronnePreW3(1,:))
                                                if gronnListeAHL(1,1)==gronnePreW3(2,s)
                                                    funnet=3;
                                                    break;
                                                end
                                            end
                                            if funnet==3
                                                break;
                                            end
                                            for s=1:1:length(gronnePreW4(1,:))
                                                if gronnListeAHL(1,1)==gronnePreW4(2,s)
                                                    funnet=4;
                                                    break;
                                                end
                                            end
                                            if funnet==4
                                                break;
                                            end
                                            for s=1:1:length(gronnePreW5(1,:))
                                                if gronnListeAHL(1,1)==gronnePreW5(2,s)
                                                    funnet=5;
                                                    break;
                                                end
                                            end
                                        end
                                        if funnet==1
                                            %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                            for b=length(gronnePreW1(1,:)):-1:1
                                                if b==length(gronnePreW1(1,:))
                                                    if tid2>=gronnePreW1(2,b)
                                                        break;
                                                    end
                                                else
                                                    if tid2>=gronnePreW1(2,b) && tid2<gronnePreW1(2,b+1)
                                                        break;
                                                    end
                                                end
                                            end

                                            if b==length(gronnePreW1(1,:))            
                                                gronnePreW1(1,end+1)=gronnePreW1(1,end)-1;
                                                gronnePreW1(2,end)=tid2;
                                            else
                                                b=b+1;
                                                gronnePreKopi=zeros(2,length(gronnePreW1(1,:))); %Lager en kopi
                                                for z=b:1:length(gronnePreW1(1,:))
                                                    gronnePreKopi(1,z)=gronnePreW1(1,z);
                                                    gronnePreKopi(2,z)=gronnePreW1(2,z);
                                                end
                                                for z=b:1:length(gronnePreW1(1,:))+1
                                                    if z==b
                                                        gronnePreW1(1,z)=gronnePreW1(1,z-1)-1;
                                                        gronnePreW1(2,z)=tid2;
                                                    elseif z<=length(gronnePreW1(1,:))
                                                        gronnePreW1(1,z)=gronnePreKopi(1,z-1)-1;
                                                        gronnePreW1(2,z)=gronnePreKopi(2,z-1);
                                                    else
                                                        gronnePreW1(1,end+1)=gronnePreKopi(1,z-1)-1;
                                                        gronnePreW1(2,end)=gronnePreKopi(2,z-1);
                                                    end
                                                end
                                            end


                                            %Finner ventetid til operasjon, legger til den
                                            %tiden det tar  trille ned pasienten
                                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                            ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                            if length(ventetiderGronne)>0
                                                for b=length(ventetiderGronne(1,:)):-1:1
                                                    if b==length(ventetiderGronne(1,:))
                                                        if d>=ventetiderGronne(2,b)
                                                            break;
                                                        end
                                                    else
                                                        if d>=ventetiderGronne(2,b) && d<ventetiderGronne(2,b+1)
                                                            break;
                                                        end
                                                    end
                                                end

                                                if b==length(ventetiderGronne(1,:))            
                                                    ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                    ventetiderGronne(2,end)=d;
                                                else
                                                    b=b+1;
                                                    ventetiderKopi=zeros(2,length(ventetiderGronne(1,:))); %Lager en kopi
                                                    for z=b:1:length(ventetiderGronne(1,:))
                                                        ventetiderKopi(1,z)=ventetiderGronne(1,z);
                                                        ventetiderKopi(2,z)=ventetiderGronne(2,z);
                                                    end
                                                    for z=b:1:length(ventetiderGronne(1,:))+1
                                                        if z==b
                                                            ventetiderGronne(1,z)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                            ventetiderGronne(2,z)=d;
                                                        elseif z<=length(ventetiderGronne(1,:))
                                                            ventetiderGronne(1,z)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                            ventetiderGronne(2,z)=ventetiderKopi(2,z-1);
                                                        else
                                                            ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                            ventetiderGronne(2,end)=ventetiderKopi(2,z-1);
                                                        end
                                                    end
                                                end
                                            else
                                                ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                ventetiderGronne(2,end)=d;
                                            end

                                            %Trekker operasjonstid og oppdaterer tid for ferdig
                                            if lognorm==1
                                                stuetid=min(400,lognrnd(muGronn,sigmaGronn));
                                            else
                                                trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn)))); 
                                                stuetid=min(400,stuetidGronn(trekkStue));
                                            end
                                            OR1Klar=tid2+kjoreNed+stuetid;

                                            %Trekker liggetid p sengepost, HER M VI
                                            %FINNE RETT PASIENT
                                            if LOS_fordeling==1
                                                liggetid=1440*max(1,randi([LOS_Gr(1,2)-2,LOS_Gr(1,2)+2],1,1));
                                            else
                                                liggetid=1440*max(1,round(random(pdAkutte)-gronneFor));
                                            end

                                            utW1(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                            utAkuttW1(1,end+1)=utW1(1,end);

                                            % Fjerner pasienten fra ventelisten p AHL
                                            gronnListeAHL(1)=[];

                                        elseif funnet==2
                                            %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                            for b=length(gronnePreW2(1,:)):-1:1
                                                if b==length(gronnePreW2(1,:))
                                                    if tid2>=gronnePreW2(2,b)
                                                        break;
                                                    end
                                                else
                                                    if tid2>=gronnePreW2(2,b) && tid2<gronnePreW2(2,b+1)
                                                        break;
                                                    end
                                                end
                                            end

                                            if b==length(gronnePreW2(1,:))            
                                                gronnePreW2(1,end+1)=gronnePreW2(1,end)-1;
                                                gronnePreW2(2,end)=tid2;
                                            else
                                                b=b+1;
                                                gronnePreKopi=zeros(2,length(gronnePreW2(1,:))); %Lager en kopi
                                                for z=b:1:length(gronnePreW2(1,:))
                                                    gronnePreKopi(1,z)=gronnePreW2(1,z);
                                                    gronnePreKopi(2,z)=gronnePreW2(2,z);
                                                end
                                                for z=b:1:length(gronnePreW2(1,:))+1
                                                    if z==b
                                                        gronnePreW2(1,z)=gronnePreW2(1,z-1)-1;
                                                        gronnePreW2(2,z)=tid2;
                                                    elseif z<=length(gronnePreW2(1,:))
                                                        gronnePreW2(1,z)=gronnePreKopi(1,z-1)-1;
                                                        gronnePreW2(2,z)=gronnePreKopi(2,z-1);
                                                    else
                                                        gronnePreW2(1,end+1)=gronnePreKopi(1,z-1)-1;
                                                        gronnePreW2(2,end)=gronnePreKopi(2,z-1);
                                                    end
                                                end
                                            end

                                            %Finner ventetid til operasjon, legger til den
                                            %tiden det tar  trille ned pasienten
                                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                            ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                            if length(ventetiderGronne)>0
                                                for b=length(ventetiderGronne(1,:)):-1:1
                                                    if b==length(ventetiderGronne(1,:))
                                                        if d>=ventetiderGronne(2,b)
                                                            break;
                                                        end
                                                    else
                                                        if d>=ventetiderGronne(2,b) && d<ventetiderGronne(2,b+1)
                                                            break;
                                                        end
                                                    end
                                                end

                                                if b==length(ventetiderGronne(1,:))            
                                                    ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                    ventetiderGronne(2,end)=d;
                                                else
                                                    b=b+1;
                                                    ventetiderKopi=zeros(2,length(ventetiderGronne(1,:))); %Lager en kopi
                                                    for z=b:1:length(ventetiderGronne(1,:))
                                                        ventetiderKopi(1,z)=ventetiderGronne(1,z);
                                                        ventetiderKopi(2,z)=ventetiderGronne(2,z);
                                                    end
                                                    for z=b:1:length(ventetiderGronne(1,:))+1
                                                        if z==b
                                                            ventetiderGronne(1,z)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                            ventetiderGronne(2,z)=d;
                                                        elseif z<=length(ventetiderGronne(1,:))
                                                            ventetiderGronne(1,z)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                            ventetiderGronne(2,z)=ventetiderKopi(2,z-1);
                                                        else
                                                            ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                            ventetiderGronne(2,end)=ventetiderKopi(2,z-1);
                                                        end
                                                    end
                                                end
                                            else
                                                ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                ventetiderGronne(2,end)=d;
                                            end

                                            %Trekker operasjonstid og oppdaterer tid for ferdig
                                            if lognorm==1
                                                stuetid=min(400,lognrnd(muGronn,sigmaGronn));
                                            else
                                                trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn)))); 
                                                stuetid=min(400,stuetidGronn(trekkStue));
                                            end
                                            OR1Klar=tid2+kjoreNed+stuetid;

                                            %Trekker liggetid p sengepost
                                            if LOS_fordeling==1
                                                liggetid=1440*max(1,randi([LOS_Gr(1,2)-2,LOS_Gr(1,2)+2],1,1));
                                            else
                                                liggetid=1440*max(1,round(random(pdAkutte)-gronneFor));
                                            end
                                            utW2(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                            utAkuttW2(1,end+1)=utW2(1,end);

                                            % Fjerner pasienten fra ventelisten p AHL
                                            gronnListeAHL(1)=[];
                                        elseif funnet==3
                                            %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                            for b=length(gronnePreW3(1,:)):-1:1
                                                if b==length(gronnePreW3(1,:))
                                                    if tid2>=gronnePreW3(2,b)
                                                        break;
                                                    end
                                                else
                                                    if tid2>=gronnePreW3(2,b) && tid2<gronnePreW3(2,b+1)
                                                        break;
                                                    end
                                                end
                                            end

                                            if b==length(gronnePreW3(1,:))            
                                                gronnePreW3(1,end+1)=gronnePreW3(1,end)-1;
                                                gronnePreW3(2,end)=tid2;
                                            else
                                                b=b+1;
                                                gronnePreKopi=zeros(2,length(gronnePreW3(1,:))); %Lager en kopi
                                                for z=b:1:length(gronnePreW3(1,:))
                                                    gronnePreKopi(1,z)=gronnePreW3(1,z);
                                                    gronnePreKopi(2,z)=gronnePreW3(2,z);
                                                end
                                                for z=b:1:length(gronnePreW3(1,:))+1
                                                    if z==b
                                                        gronnePreW3(1,z)=gronnePreW3(1,z-1)-1;
                                                        gronnePreW3(2,z)=tid2;
                                                    elseif z<=length(gronnePreW3(1,:))
                                                        gronnePreW3(1,z)=gronnePreKopi(1,z-1)-1;
                                                        gronnePreW3(2,z)=gronnePreKopi(2,z-1);
                                                    else
                                                        gronnePreW3(1,end+1)=gronnePreKopi(1,z-1)-1;
                                                        gronnePreW3(2,end)=gronnePreKopi(2,z-1);
                                                    end
                                                end
                                            end

                                            %Finner ventetid til operasjon, legger til den
                                            %tiden det tar  trille ned pasienten
                                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                            ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                            if length(ventetiderGronne)>0
                                                for b=length(ventetiderGronne(1,:)):-1:1
                                                    if b==length(ventetiderGronne(1,:))
                                                        if d>=ventetiderGronne(2,b)
                                                            break;
                                                        end
                                                    else
                                                        if d>=ventetiderGronne(2,b) && d<ventetiderGronne(2,b+1)
                                                            break;
                                                        end
                                                    end
                                                end

                                                if b==length(ventetiderGronne(1,:))            
                                                    ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                    ventetiderGronne(2,end)=d;
                                                else
                                                    b=b+1;
                                                    ventetiderKopi=zeros(2,length(ventetiderGronne(1,:))); %Lager en kopi
                                                    for z=b:1:length(ventetiderGronne(1,:))
                                                        ventetiderKopi(1,z)=ventetiderGronne(1,z);
                                                        ventetiderKopi(2,z)=ventetiderGronne(2,z);
                                                    end
                                                    for z=b:1:length(ventetiderGronne(1,:))+1
                                                        if z==b
                                                            ventetiderGronne(1,z)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                            ventetiderGronne(2,z)=d;
                                                        elseif z<=length(ventetiderGronne(1,:))
                                                            ventetiderGronne(1,z)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                            ventetiderGronne(2,z)=ventetiderKopi(2,z-1);
                                                        else
                                                            ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                            ventetiderGronne(2,end)=ventetiderKopi(2,z-1);
                                                        end
                                                    end
                                                end
                                            else
                                                ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                ventetiderGronne(2,end)=d;
                                            end

                                            %Trekker operasjonstid og oppdaterer tid for ferdig
                                            if lognorm==1
                                                stuetid=min(400,lognrnd(muGronn,sigmaGronn));
                                            else
                                                trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn)))); 
                                                stuetid=min(400,stuetidGronn(trekkStue));
                                            end
                                            OR1Klar=tid2+kjoreNed+stuetid;

                                            %Trekker liggetid p sengepost
                                            if LOS_fordeling==1
                                                liggetid=1440*max(1,randi([LOS_Gr(1,2)-2,LOS_Gr(1,2)+2],1,1));
                                            else
                                                liggetid=1440*max(1,round(random(pdAkutte)-gronneFor));
                                            end
                                            utW3(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                            utAkuttW3(1,end+1)=utW3(1,end);

                                            % Fjerner pasienten fra ventelisten p AHL
                                            gronnListeAHL(1)=[];
                                        elseif funnet==4
                                            %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                            for b=length(gronnePreW4(1,:)):-1:1
                                                if b==length(gronnePreW4(1,:))
                                                    if tid2>=gronnePreW4(2,b)
                                                        break;
                                                    end
                                                else
                                                    if tid2>=gronnePreW4(2,b) && tid2<gronnePreW4(2,b+1)
                                                        break;
                                                    end
                                                end
                                            end

                                            if b==length(gronnePreW4(1,:))            
                                                gronnePreW4(1,end+1)=gronnePreW4(1,end)-1;
                                                gronnePreW4(2,end)=tid2;
                                            else
                                                b=b+1;
                                                gronnePreKopi=zeros(2,length(gronnePreW4(1,:))); %Lager en kopi
                                                for z=b:1:length(gronnePreW4(1,:))
                                                    gronnePreKopi(1,z)=gronnePreW4(1,z);
                                                    gronnePreKopi(2,z)=gronnePreW4(2,z);
                                                end
                                                for z=b:1:length(gronnePreW4(1,:))+1
                                                    if z==b
                                                        gronnePreW4(1,z)=gronnePreW4(1,z-1)-1;
                                                        gronnePreW4(2,z)=tid2;
                                                    elseif z<=length(gronnePreW4(1,:))
                                                        gronnePreW4(1,z)=gronnePreKopi(1,z-1)-1;
                                                        gronnePreW4(2,z)=gronnePreKopi(2,z-1);
                                                    else
                                                        gronnePreW4(1,end+1)=gronnePreKopi(1,z-1)-1;
                                                        gronnePreW4(2,end)=gronnePreKopi(2,z-1);
                                                    end
                                                end
                                            end

                                            %Finner ventetid til operasjon, legger til den
                                            %tiden det tar  trille ned pasienten
                                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                            ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                            if length(ventetiderGronne)>0
                                                for b=length(ventetiderGronne(1,:)):-1:1
                                                    if b==length(ventetiderGronne(1,:))
                                                        if d>=ventetiderGronne(2,b)
                                                            break;
                                                        end
                                                    else
                                                        if d>=ventetiderGronne(2,b) && d<ventetiderGronne(2,b+1)
                                                            break;
                                                        end
                                                    end
                                                end

                                                if b==length(ventetiderGronne(1,:))            
                                                    ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                    ventetiderGronne(2,end)=d;
                                                else
                                                    b=b+1;
                                                    ventetiderKopi=zeros(2,length(ventetiderGronne(1,:))); %Lager en kopi
                                                    for z=b:1:length(ventetiderGronne(1,:))
                                                        ventetiderKopi(1,z)=ventetiderGronne(1,z);
                                                        ventetiderKopi(2,z)=ventetiderGronne(2,z);
                                                    end
                                                    for z=b:1:length(ventetiderGronne(1,:))+1
                                                        if z==b
                                                            ventetiderGronne(1,z)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                            ventetiderGronne(2,z)=d;
                                                        elseif z<=length(ventetiderGronne(1,:))
                                                            ventetiderGronne(1,z)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                            ventetiderGronne(2,z)=ventetiderKopi(2,z-1);
                                                        else
                                                            ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                            ventetiderGronne(2,end)=ventetiderKopi(2,z-1);
                                                        end
                                                    end
                                                end
                                            else
                                                ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                ventetiderGronne(2,end)=d;
                                            end

                                            %Trekker operasjonstid og oppdaterer tid for ferdig
                                            if lognorm==1                                     
                                                stuetid=min(400,lognrnd(muGronn,sigmaGronn));                                 
                                            else
                                                trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn))));                                     
                                                stuetid=min(400,stuetidGronn(trekkStue));                                 
                                            end
                                            OR1Klar=tid2+kjoreNed+stuetid;

                                            %Trekker liggetid p sengepost
                                            if LOS_fordeling==1
                                                liggetid=1440*max(1,randi([LOS_Gr(1,2)-2,LOS_Gr(1,2)+2],1,1));
                                            else
                                                liggetid=1440*max(1,round(random(pdAkutte)-gronneFor));
                                            end
                                            utW4(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                            utAkuttW4(1,end+1)=utW4(1,end);

                                            % Fjerner pasienten fra ventelisten p AHL
                                            gronnListeAHL(1)=[];
                                        elseif funnet==5
                                            %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                            for b=length(gronnePreW5(1,:)):-1:1
                                                if b==length(gronnePreW5(1,:))
                                                    if tid2>=gronnePreW5(2,b)
                                                        break;
                                                    end
                                                else
                                                    if tid2>=gronnePreW5(2,b) && tid2<gronnePreW5(2,b+1)
                                                        break;
                                                    end
                                                end
                                            end

                                            if b==length(gronnePreW5(1,:))            
                                                gronnePreW5(1,end+1)=gronnePreW5(1,end)-1;
                                                gronnePreW5(2,end)=tid2;
                                            else
                                                b=b+1;
                                                gronnePreKopi=zeros(2,length(gronnePreW5(1,:))); %Lager en kopi
                                                for z=b:1:length(gronnePreW5(1,:))
                                                    gronnePreKopi(1,z)=gronnePreW5(1,z);
                                                    gronnePreKopi(2,z)=gronnePreW5(2,z);
                                                end
                                                for z=b:1:length(gronnePreW5(1,:))+1
                                                    if z==b
                                                        gronnePreW5(1,z)=gronnePreW5(1,z-1)-1;
                                                        gronnePreW5(2,z)=tid2;
                                                    elseif z<=length(gronnePreW5(1,:))
                                                        gronnePreW5(1,z)=gronnePreKopi(1,z-1)-1;
                                                        gronnePreW5(2,z)=gronnePreKopi(2,z-1);
                                                    else
                                                        gronnePreW5(1,end+1)=gronnePreKopi(1,z-1)-1;
                                                        gronnePreW5(2,end)=gronnePreKopi(2,z-1);
                                                    end
                                                end
                                            end

                                            %Finner ventetid til operasjon, legger til den
                                            %tiden det tar  trille ned pasienten
                                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                            ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                            if length(ventetiderGronne)>0
                                                for b=length(ventetiderGronne(1,:)):-1:1
                                                    if b==length(ventetiderGronne(1,:))
                                                        if d>=ventetiderGronne(2,b)
                                                            break;
                                                        end
                                                    else
                                                        if d>=ventetiderGronne(2,b) && d<ventetiderGronne(2,b+1)
                                                            break;
                                                        end
                                                    end
                                                end

                                                if b==length(ventetiderGronne(1,:))            
                                                    ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                    ventetiderGronne(2,end)=d;
                                                else
                                                    b=b+1;
                                                    ventetiderKopi=zeros(2,length(ventetiderGronne(1,:))); %Lager en kopi
                                                    for z=b:1:length(ventetiderGronne(1,:))
                                                        ventetiderKopi(1,z)=ventetiderGronne(1,z);
                                                        ventetiderKopi(2,z)=ventetiderGronne(2,z);
                                                    end
                                                    for z=b:1:length(ventetiderGronne(1,:))+1
                                                        if z==b
                                                            ventetiderGronne(1,z)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                            ventetiderGronne(2,z)=d;
                                                        elseif z<=length(ventetiderGronne(1,:))
                                                            ventetiderGronne(1,z)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                            ventetiderGronne(2,z)=ventetiderKopi(2,z-1);
                                                        else
                                                            ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                            ventetiderGronne(2,end)=ventetiderKopi(2,z-1);
                                                        end
                                                    end
                                                end
                                            else
                                                ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                ventetiderGronne(2,end)=d;
                                            end
                                            %Trekker operasjonstid og oppdaterer tid for ferdig
                                            if lognorm==1                                     
                                                stuetid=min(400,lognrnd(muGronn,sigmaGronn));                                 
                                            else
                                                trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn))));                                     
                                                stuetid=min(400,stuetidGronn(trekkStue));                                 
                                            end
                                            OR1Klar=tid2+kjoreNed+stuetid;

                                            %Trekker liggetid p sengepost
                                            if LOS_fordeling==1
                                                liggetid=1440*max(1,randi([LOS_Gr(1,2)-2,LOS_Gr(1,2)+2],1,1));
                                            else
                                                liggetid=1440*max(1,round(random(pdAkutte)-gronneFor));
                                            end
                                            utW5(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); 
                                            utAkuttW5(1,end+1)=utW5(1,end);

                                            % Fjerner pasienten fra ventelisten p AHL
                                            gronnListeAHL(1)=[];

                                        end
                                    else %Vi opererer DK

                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                        if length(ventetiderGronne)>0
                                            for b=length(ventetiderGronne(1,:)):-1:1
                                                if b==length(ventetiderGronne(1,:))
                                                    if d>=ventetiderGronne(2,b)
                                                        break;
                                                    end
                                                else
                                                    if d>=ventetiderGronne(2,b) && d<ventetiderGronne(2,b+1)
                                                        break;
                                                    end
                                                end
                                            end

                                            if b==length(ventetiderGronne(1,:))            
                                                ventetiderGronne(1,end+1)=ceil((tid2-gronnDKListeAHL(1,1)+kjoreNed)/1440);
                                                ventetiderGronne(2,end)=d;
                                            else
                                                b=b+1;
                                                ventetiderKopi=zeros(2,length(ventetiderGronne(1,:))); %Lager en kopi
                                                for z=b:1:length(ventetiderGronne(1,:))
                                                    ventetiderKopi(1,z)=ventetiderGronne(1,z);
                                                    ventetiderKopi(2,z)=ventetiderGronne(2,z);
                                                end
                                                for z=b:1:length(ventetiderGronne(1,:))+1
                                                    if z==b
                                                        ventetiderGronne(1,z)=ceil((tid2-gronnDKListeAHL(1,1)+kjoreNed)/1440);
                                                        ventetiderGronne(2,z)=d;
                                                    elseif z<=length(ventetiderGronne(1,:))
                                                        ventetiderGronne(1,z)=ceil((tid2-gronnDKListeAHL(1,1)+kjoreNed)/1440);
                                                        ventetiderGronne(2,z)=ventetiderKopi(2,z-1);
                                                    else
                                                        ventetiderGronne(1,end+1)=ceil((tid2-gronnDKListeAHL(1,1)+kjoreNed)/1440);
                                                        ventetiderGronne(2,end)=ventetiderKopi(2,z-1);
                                                    end
                                                end
                                            end
                                        else
                                            ventetiderGronne(1,end+1)=ceil((tid2-gronnDKListeAHL(1,1)+kjoreNed)/1440);
                                            ventetiderGronne(2,end)=d;
                                        end
                                        % Fjerner pasienten fra ken(hjemme)
                                        for b=length(gronneDKHjemme(1,:)):-1:1
                                            if b==length(gronneDKHjemme(1,:))
                                                if tid2>=gronneDKHjemme(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gronneDKHjemme(2,b) && tid2<gronneDKHjemme(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gronneDKHjemme(1,:))            
                                            gronneDKHjemme(1,end+1)=gronneDKHjemme(1,end)-1;
                                            gronneDKHjemme(2,end)=tid2;
                                        else
                                            b=b+1;
                                            total=zeros(2,length(gronneDKHjemme)); %Lager en kopi
                                            for z=b:1:length(gronneDKHjemme)
                                                total(1,z)=gronneDKHjemme(1,z);
                                                total(2,z)=gronneDKHjemme(2,z);
                                            end
                                            for z=b:1:length(gronneDKHjemme)+1
                                                if z==b
                                                    gronneDKHjemme(1,z)=gronneDKHjemme(1,z-1)-1;
                                                    gronneDKHjemme(2,z)=tid2;
                                                elseif z<=length(gronneDKHjemme)
                                                    gronneDKHjemme(1,z)=total(1,z-1)-1;
                                                    gronneDKHjemme(2,z)=total(2,z-1);
                                                else
                                                    gronneDKHjemme(1,end+1)=total(1,z-1)-1;
                                                    gronneDKHjemme(2,end)=total(2,z-1);
                                                end
                                            end
                                        end

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1
                                            stuetid=min(400,lognrnd(muGronnDK,sigmaGronnDK));
                                        else
                                            trekkStue=randi(length(stuetidGronnDK(~isnan(stuetidGronnDK)))); 
                                            stuetid=min(400,stuetidGronnDK(trekkStue));
                                        end
                                        OR1Klar=tid2+kjoreNed+stuetid;
                                        gronnDKListeAHL(1)=[];
                                    end
                                end
                            else %Ingen grnne, vi opererer gul dersom gul er til stede

                                guleVenter=sort(guleVenter);
                                if length(guleVenter)>0
                                    if guleVenter(1,1)==gulePreW1(2,end-indeksW1)

                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gulePreW1(1,:)):-1:1
                                            if b==length(gulePreW1(1,:))
                                                if tid2>=gulePreW1(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gulePreW1(2,b) && tid2<gulePreW1(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gulePreW1(1,:))            
                                            gulePreW1(1,end+1)=gulePreW1(1,end)-1;
                                            gulePreW1(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gulePreKopi=zeros(2,length(gulePreW1(1,:))); %Lager en kopi
                                            for z=b:1:length(gulePreW1(1,:))
                                                gulePreKopi(1,z)=gulePreW1(1,z);
                                                gulePreKopi(2,z)=gulePreW1(2,z);
                                            end
                                            for z=b:1:length(gulePreW1(1,:))+1
                                                if z==b
                                                    gulePreW1(1,z)=gulePreW1(1,z-1)-1;
                                                    gulePreW1(2,z)=tid2;
                                                elseif z<=length(gulePreW1(1,:))
                                                    gulePreW1(1,z)=gulePreKopi(1,z-1)-1;
                                                    gulePreW1(2,z)=gulePreKopi(2,z-1);
                                                else
                                                    gulePreW1(1,end+1)=gulePreKopi(1,z-1)-1;
                                                    gulePreW1(2,end)=gulePreKopi(2,z-1);
                                                end
                                            end
                                        end

                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                        ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                        ventetiderGule(2,end)=tid2;

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1                                     
                                            stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                        else
                                            trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                            stuetid=min(400,stuetidGul(trekkStue));                                 
                                        end
                                        OR1Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                        end
                                        utW1(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                        utAkuttW1(1,end+1)=utW1(1,end);

                                    elseif guleVenter(1,1)==gulePreW2(2,end-indeksW2)
                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gulePreW2(1,:)):-1:1
                                            if b==length(gulePreW2(1,:))
                                                if tid2>=gulePreW2(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gulePreW2(2,b) && tid2<gulePreW2(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gulePreW2(1,:))            
                                            gulePreW2(1,end+1)=gulePreW2(1,end)-1;
                                            gulePreW2(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gulePreKopi=zeros(2,length(gulePreW2(1,:))); %Lager en kopi
                                            for z=b:1:length(gulePreW2(1,:))
                                                gulePreKopi(1,z)=gulePreW2(1,z);
                                                gulePreKopi(2,z)=gulePreW2(2,z);
                                            end
                                            for z=b:1:length(gulePreW2(1,:))+1
                                                if z==b
                                                    gulePreW2(1,z)=gulePreW2(1,z-1)-1;
                                                    gulePreW2(2,z)=tid2;
                                                elseif z<=length(gulePreW2(1,:))
                                                    gulePreW2(1,z)=gulePreKopi(1,z-1)-1;
                                                    gulePreW2(2,z)=gulePreKopi(2,z-1);
                                                else
                                                    gulePreW2(1,end+1)=gulePreKopi(1,z-1)-1;
                                                    gulePreW2(2,end)=gulePreKopi(2,z-1);
                                                end
                                            end
                                        end
                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                        ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                        ventetiderGule(2,end)=tid2;

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1                                     
                                            stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                        else
                                            trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                            stuetid=min(400,stuetidGul(trekkStue));                                 
                                        end
                                        OR1Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                        end
                                        utW2(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                        utAkuttW2(1,end+1)=utW2(1,end);

                                    elseif guleVenter(1,1)==gulePreW3(2,end-indeksW3)
                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gulePreW3(1,:)):-1:1
                                            if b==length(gulePreW3(1,:))
                                                if tid2>=gulePreW3(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gulePreW3(2,b) && tid2<gulePreW3(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gulePreW3(1,:))            
                                            gulePreW3(1,end+1)=gulePreW3(1,end)-1;
                                            gulePreW3(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gulePreKopi=zeros(2,length(gulePreW3(1,:))); %Lager en kopi
                                            for z=b:1:length(gulePreW3(1,:))
                                                gulePreKopi(1,z)=gulePreW3(1,z);
                                                gulePreKopi(2,z)=gulePreW3(2,z);
                                            end
                                            for z=b:1:length(gulePreW3(1,:))+1
                                                if z==b
                                                    gulePreW3(1,z)=gulePreW3(1,z-1)-1;
                                                    gulePreW3(2,z)=tid2;
                                                elseif z<=length(gulePreW3(1,:))
                                                    gulePreW3(1,z)=gulePreKopi(1,z-1)-1;
                                                    gulePreW3(2,z)=gulePreKopi(2,z-1);
                                                else
                                                    gulePreW3(1,end+1)=gulePreKopi(1,z-1)-1;
                                                    gulePreW3(2,end)=gulePreKopi(2,z-1);
                                                end
                                            end
                                        end

                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                        ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                        ventetiderGule(2,end)=tid2;

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1                                     
                                            stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                        else
                                            trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                            stuetid=min(400,stuetidGul(trekkStue));                                 
                                        end
                                        OR1Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                        end
                                        utW3(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                        utAkuttW3(1,end+1)=utW3(1,end);

                                    elseif guleVenter(1,1)==gulePreW4(2,end-indeksW4)
                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gulePreW4(1,:)):-1:1
                                            if b==length(gulePreW4(1,:))
                                                if tid2>=gulePreW4(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gulePreW4(2,b) && tid2<gulePreW4(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gulePreW4(1,:))            
                                            gulePreW4(1,end+1)=gulePreW4(1,end)-1;
                                            gulePreW4(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gulePreKopi=zeros(2,length(gulePreW4(1,:))); %Lager en kopi
                                            for z=b:1:length(gulePreW4(1,:))
                                                gulePreKopi(1,z)=gulePreW4(1,z);
                                                gulePreKopi(2,z)=gulePreW4(2,z);
                                            end
                                            for z=b:1:length(gulePreW4(1,:))+1
                                                if z==b
                                                    gulePreW4(1,z)=gulePreW4(1,z-1)-1;
                                                    gulePreW4(2,z)=tid2;
                                                elseif z<=length(gulePreW4(1,:))
                                                    gulePreW4(1,z)=gulePreKopi(1,z-1)-1;
                                                    gulePreW4(2,z)=gulePreKopi(2,z-1);
                                                else
                                                    gulePreW4(1,end+1)=gulePreKopi(1,z-1)-1;
                                                    gulePreW4(2,end)=gulePreKopi(2,z-1);
                                                end
                                            end
                                        end

                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                        ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                        ventetiderGule(2,end)=tid2;

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1                                     
                                            stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                        else
                                            trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                            stuetid=min(400,stuetidGul(trekkStue));                                 
                                        end
                                        OR1Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                        end
                                        utW4(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                        utAkuttW4(1,end+1)=utW4(1,end);

                                    elseif guleVenter(1,1)==gulePreW5(2,end-indeksW5)
                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gulePreW5(1,:)):-1:1
                                            if b==length(gulePreW5(1,:))
                                                if tid2>=gulePreW5(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gulePreW5(2,b) && tid2<gulePreW5(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gulePreW5(1,:))            
                                            gulePreW5(1,end+1)=gulePreW5(1,end)-1;
                                            gulePreW5(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gulePreKopi=zeros(2,length(gulePreW5(1,:))); %Lager en kopi
                                            for z=b:1:length(gulePreW5(1,:))
                                                gulePreKopi(1,z)=gulePreW5(1,z);
                                                gulePreKopi(2,z)=gulePreW5(2,z);
                                            end
                                            for z=b:1:length(gulePreW5(1,:))+1
                                                if z==b
                                                    gulePreW5(1,z)=gulePreW5(1,z-1)-1;
                                                    gulePreW5(2,z)=tid2;
                                                elseif z<=length(gulePreW5(1,:))
                                                    gulePreW5(1,z)=gulePreKopi(1,z-1)-1;
                                                    gulePreW5(2,z)=gulePreKopi(2,z-1);
                                                else
                                                    gulePreW5(1,end+1)=gulePreKopi(1,z-1)-1;
                                                    gulePreW5(2,end)=gulePreKopi(2,z-1);
                                                end
                                            end
                                        end

                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                        ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                        ventetiderGule(2,end)=tid2;

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1                                     
                                            stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                        else
                                            trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                            stuetid=min(400,stuetidGul(trekkStue));                                 
                                        end
                                        OR1Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                        end
                                        utW5(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); 
                                        utAkuttW5(1,end+1)=utW5(1,end);

                                    end
                                else %Vi oppdaterer tiden for OR1, da ingen pasienter var til stede
                                    oppdater=[ankRod(1,1)+1,ankGul(1,1)+1]; %Grnne opereres ikke med en gang de kommer inn, de skeduleres neste dag
                                    ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+min(min(961+1440*(d-1),min(oppdater))-OR1Klar,480);
                                    OR1Klar=min(961+1440*(d-1),min(oppdater));
                                end
                            end
                        else
                            ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+961-tid1AHL;
                            OR1Klar=961+1440*(d-1);
                        end
                    end

                elseif tid2==OR2Klar %Se etter ledige pasienter, ta pasient ut fra pre, trekk tid for OP, trekk tid for sengepost
                    %Dersom rd til stede s opereres rd
                    tellerSeng=0;
                    indeksW1=0;
                    indeksW2=0;
                    indeksW3=0;
                    indeksW4=0;
                    indeksW5=0;
                    rodeVenter=[];

                    if rodePreW1(1,end)>0
                        while tellerSeng<rodePreW1(1,end)
                            if rodePreW1(1,end-indeksW1)>rodePreW1(1,end-indeksW1-1) %vi ser en ankomst
                                tellerSeng=tellerSeng+1;
                            end
                            if tellerSeng==rodePreW1(1,end)
                                indeksW1=indeksW1;
                            else
                            indeksW1=indeksW1+1;
                            end
                        end
                        rodeVenter(1,end+1)=rodePreW1(2,end-indeksW1);
                        tellerSeng=0;
                    end

                    if rodePreW2(1,end)>0
                        while tellerSeng<rodePreW2(1,end)
                            if rodePreW2(1,end-indeksW2)>rodePreW2(1,end-indeksW2-1) %vi ser en ankomst
                                tellerSeng=tellerSeng+1;
                            end
                            if tellerSeng==rodePreW2(1,end)
                                indeksW2=indeksW2;
                            else
                            indeksW2=indeksW2+1;
                            end
                        end
                        rodeVenter(1,end+1)=rodePreW2(2,end-indeksW2);
                        tellerSeng=0;
                    end

                    if rodePreW3(1,end)>0
                        while tellerSeng<rodePreW3(1,end)
                            if rodePreW3(1,end-indeksW3)>rodePreW3(1,end-indeksW3-1) %vi ser en ankomst
                                tellerSeng=tellerSeng+1;
                            end
                            if tellerSeng==rodePreW3(1,end)
                                indeksW3=indeksW3;
                            else
                            indeksW3=indeksW3+1;
                            end
                        end
                        rodeVenter(1,end+1)=rodePreW3(2,end-indeksW3);
                        tellerSeng=0;
                    end

                    if rodePreW4(1,end)>0
                        while tellerSeng<rodePreW4(1,end)
                            if rodePreW4(1,end-indeksW4)>rodePreW4(1,end-indeksW4-1) %vi ser en ankomst
                                tellerSeng=tellerSeng+1;
                            end
                            if tellerSeng==rodePreW4(1,end)
                                indeksW4=indeksW4;
                            else
                            indeksW4=indeksW4+1;
                            end
                        end
                        rodeVenter(1,end+1)=rodePreW4(2,end-indeksW4);
                        tellerSeng=0;
                    end

                    if rodePreW5(1,end)>0
                        while tellerSeng<rodePreW5(1,end)
                            if rodePreW5(1,end-indeksW5)>rodePreW5(1,end-indeksW5-1) %vi ser en ankomst
                                tellerSeng=tellerSeng+1;
                            end
                            if tellerSeng==rodePreW5(1,end)
                                indeksW5=indeksW5;
                            else
                            indeksW5=indeksW5+1;
                            end
                        end
                        rodeVenter(1,end+1)=rodePreW5(2,end-indeksW5);
                        tellerSeng=0;
                    end

                    if length(rodeVenter)~=0 %Det ligger rde og venter
                        rodeVenter=sort(rodeVenter);
                        if rodeVenter(1,1)==rodePreW1(2,end-indeksW1)

                            %Vi fjerner pasienten fra ventelisten 
                            rodePreW1(1,end+1)=rodePreW1(1,end)-1;
                            rodePreW1(2,end)=tid2;

                            %Finner ventetid til operasjon, legger til den
                            %tiden det tar  trille ned pasienten
                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                            ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                            ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                            ventetiderRode(2,end)=tid2;

                            %Trekker operasjonstid og oppdaterer tid for ferdig
                            if lognorm==1                                     
                                stuetid=min(400,lognrnd(muRod,sigmaRod));                                 
                            else
                                trekkStue=randi(length(stuetidRod(~isnan(stuetidRod))));                                     
                                stuetid=min(400,stuetidRod(trekkStue));                                 
                            end
                            OR2Klar=tid2+kjoreNed+stuetid;

                            %Trekker liggetid p sengepost
                            if LOS_fordeling==1
                                liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                            else
                                liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                            end
                            utW1(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                            utAkuttW1(1,end+1)=utW1(1,end);

                        elseif rodeVenter(1,1)==rodePreW2(2,end-indeksW2)
                            %Vi fjerner pasienten fra ventelisten 
                            rodePreW2(1,end+1)=rodePreW2(1,end)-1;
                            rodePreW2(2,end)=tid2;

                            %Finner ventetid til operasjon, legger til den
                            %tiden det tar  trille ned pasienten
                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                            ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                            ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                            ventetiderRode(2,end)=tid2;

                            %Trekker operasjonstid og oppdaterer tid for ferdig
                            if lognorm==1                                     
                                stuetid=min(400,lognrnd(muRod,sigmaRod));                                 
                            else
                                trekkStue=randi(length(stuetidRod(~isnan(stuetidRod))));                                     
                                stuetid=min(400,stuetidRod(trekkStue));                                 
                            end
                            OR2Klar=tid2+kjoreNed+stuetid;

                            %Trekker liggetid p sengepost
                            if LOS_fordeling==1
                                liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                            else
                                liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                            end
                            utW2(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                            utAkuttW2(1,end+1)=utW2(1,end);

                        elseif rodeVenter(1,1)==rodePreW3(2,end-indeksW3)
                            %Vi fjerner pasienten fra ventelisten 
                            rodePreW3(1,end+1)=rodePreW3(1,end)-1;
                            rodePreW3(2,end)=tid2;

                            %Finner ventetid til operasjon, legger til den
                            %tiden det tar  trille ned pasienten
                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                            ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                            ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                            ventetiderRode(2,end)=tid2;

                            %Trekker operasjonstid og oppdaterer tid for ferdig
                            if lognorm==1                                     
                                stuetid=min(400,lognrnd(muRod,sigmaRod));                                 
                            else
                                trekkStue=randi(length(stuetidRod(~isnan(stuetidRod))));                                     
                                stuetid=min(400,stuetidRod(trekkStue));                                 
                            end
                            OR2Klar=tid2+kjoreNed+stuetid;

                            %Trekker liggetid p sengepost
                            if LOS_fordeling==1
                                liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                            else
                                liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                            end
                            utW3(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                            utAkuttW3(1,end+1)=utW3(1,end);

                        elseif rodeVenter(1,1)==rodePreW4(2,end-indeksW4)
                            %Vi fjerner pasienten fra ventelisten 
                            rodePreW4(1,end+1)=rodePreW4(1,end)-1;
                            rodePreW4(2,end)=tid2;

                            %Finner ventetid til operasjon, legger til den
                            %tiden det tar  trille ned pasienten
                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                            ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                            ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                            ventetiderRode(2,end)=tid2;

                            %Trekker operasjonstid og oppdaterer tid for ferdig
                            if lognorm==1                                     
                                stuetid=min(400,lognrnd(muRod,sigmaRod));                                 
                            else
                                trekkStue=randi(length(stuetidRod(~isnan(stuetidRod))));                                     
                                stuetid=min(400,stuetidRod(trekkStue));                                 
                            end
                            OR2Klar=tid2+kjoreNed+stuetid;

                            %Trekker liggetid p sengepost
                            if LOS_fordeling==1
                                liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                            else
                                liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                            end
                            utW4(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                            utAkuttW4(1,end+1)=utW4(1,end);

                        elseif rodeVenter(1,1)==rodePreW5(2,end-indeksW5)
                            %Vi fjerner pasienten fra ventelisten 
                            rodePreW5(1,end+1)=rodePreW5(1,end)-1;
                            rodePreW5(2,end)=tid2;

                            %Finner ventetid til operasjon, legger til den
                            %tiden det tar  trille ned pasienten
                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                            ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                            ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                            ventetiderRode(2,end)=tid2;

                            %Trekker operasjonstid og oppdaterer tid for ferdig
                            if lognorm==1                                     
                                stuetid=min(400,lognrnd(muRod,sigmaRod));                                 
                            else
                                trekkStue=randi(length(stuetidRod(~isnan(stuetidRod))));                                     
                                stuetid=min(400,stuetidRod(trekkStue));                                 
                            end
                            OR2Klar=tid2+kjoreNed+stuetid;

                            %Trekker liggetid p sengepost
                            if LOS_fordeling==1
                                liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                            else
                                liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                            end
                            utW5(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); 
                            utAkuttW5(1,end+1)=utW5(1,end);

                        end
                    else %Det ligger ingen rde, s vi ser etter gule og grnne
                        %Ser frst etter gule
                        tellerSeng=0;
                        indeksW1=0;
                        indeksW2=0;
                        indeksW3=0;
                        indeksW4=0;
                        indeksW5=0;
                        guleVenter=[];

                        if gulePreW1(1,end)>0
                            while tellerSeng<gulePreW1(1,end)
                                if gulePreW1(1,end-indeksW1)>gulePreW1(1,end-indeksW1-1) %vi ser en ankomst
                                    tellerSeng=tellerSeng+1;
                                end
                                if tellerSeng==gulePreW1(1,end)
                                    indeksW1=indeksW1;
                                else
                                indeksW1=indeksW1+1;
                                end
                            end
                            guleVenter(1,end+1)=gulePreW1(2,end-indeksW1);
                            tellerSeng=0;
                        end

                        if gulePreW2(1,end)>0
                            while tellerSeng<gulePreW2(1,end)
                                if gulePreW2(1,end-indeksW2)>gulePreW2(1,end-indeksW2-1) %vi ser en ankomst
                                    tellerSeng=tellerSeng+1;
                                end
                                if tellerSeng==gulePreW2(1,end)
                                    indeksW2=indeksW2;
                                else
                                indeksW2=indeksW2+1;
                                end
                            end
                            guleVenter(1,end+1)=gulePreW2(2,end-indeksW2);
                            tellerSeng=0;
                        end

                        if gulePreW3(1,end)>0
                            while tellerSeng<gulePreW3(1,end)
                                if gulePreW3(1,end-indeksW3)>gulePreW3(1,end-indeksW3-1) %vi ser en ankomst
                                    tellerSeng=tellerSeng+1;
                                end
                                if tellerSeng==gulePreW3(1,end)
                                    indeksW3=indeksW3;
                                else
                                indeksW3=indeksW3+1;
                                end
                            end
                            guleVenter(1,end+1)=gulePreW3(2,end-indeksW3);
                            tellerSeng=0;
                        end

                        if gulePreW4(1,end)>0
                            while tellerSeng<gulePreW4(1,end)
                                if gulePreW4(1,end-indeksW4)>gulePreW4(1,end-indeksW4-1) %vi ser en ankomst
                                    tellerSeng=tellerSeng+1;
                                end
                                if tellerSeng==gulePreW4(1,end)
                                    indeksW4=indeksW4;
                                else
                                indeksW4=indeksW4+1;
                                end
                            end
                            guleVenter(1,end+1)=gulePreW4(2,end-indeksW4);
                            tellerSeng=0;
                        end

                        if gulePreW5(1,end)>0
                            while tellerSeng<gulePreW5(1,end)
                                if gulePreW5(1,end-indeksW5)>gulePreW5(1,end-indeksW5-1) %vi ser en ankomst
                                    tellerSeng=tellerSeng+1;
                                end
                                if tellerSeng==gulePreW5(1,end)
                                    indeksW5=indeksW5;
                                else
                                indeksW5=indeksW5+1;
                                end
                            end
                            guleVenter(1,end+1)=gulePreW5(2,end-indeksW5);
                            tellerSeng=0;
                        end

                        %Ser s etter grnne
                        if length(gronnListeAHL)>0 || length(gronnDKListeAHL)>=1
                            grInne=0;
                            grDK=0;
                            if length(gronnListeAHL)>0
                                grInne=1;
                                gronnListeAHL=sort(gronnListeAHL);
                            end
                            if length(gronnDKListeAHL)>0
                                grDK=1;
                                gronnDKListeAHL=sort(gronnDKListeAHL);
                            end
                            guleVenter=sort(guleVenter);

                            %Vi m velge mellom grnn og gul, velger p
                            %bakgrunn av tidslimit
                            if  length(guleVenter)>0
                                if grDK==1 && grInne==1
                                    tidsgrenseGronn=tid2-gronnListeAHL(1,1);
                                    tidsgrenseGronnDK=tid2-gronnDKListeAHL(1,1);
                                    limitGr=max(0,tidsgrenseGronn-limitGronn);
                                    limitGrDK=max(0,tidsgrenseGronnDK-limitGronn);
                                    limitGr=max(limitGr,limitGrDK);
                                elseif grDK==1
                                    tidsgrenseGronnDK=tid2-gronnDKListeAHL(1,1);
                                    limitGr=max(0,tidsgrenseGronnDK-limitGronn);
                                else
                                    tidsgrenseGronn=tid2-gronnListeAHL(1,1);
                                    limitGr=max(0,tidsgrenseGronn-limitGronn);

                                end
                                    tidsgrenseGul=tid2-guleVenter(1,1);
                                    limitGu=max(0,tidsgrenseGul-limitGul);
                                    velgGronn=0;
                                    guleFordel=randi(gulForGronn);
                            else
                                velgGronn=1;
                            end

                            if velgGronn==0 && ((limitGr==0 && limitGu==0) || (limitGu>limitGr)) %Velger gul
                                if guleVenter(1,1)==gulePreW1(2,end-indeksW1)

                                    %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                    for b=length(gulePreW1(1,:)):-1:1
                                        if b==length(gulePreW1(1,:))
                                            if tid2>=gulePreW1(2,b)
                                                break;
                                            end
                                        else
                                            if tid2>=gulePreW1(2,b) && tid2<gulePreW1(2,b+1)
                                                break;
                                            end
                                        end
                                    end

                                    if b==length(gulePreW1(1,:))            
                                        gulePreW1(1,end+1)=gulePreW1(1,end)-1;
                                        gulePreW1(2,end)=tid2;
                                    else
                                        b=b+1;
                                        gulePreKopi=zeros(2,length(gulePreW1(1,:))); %Lager en kopi
                                        for z=b:1:length(gulePreW1(1,:))
                                            gulePreKopi(1,z)=gulePreW1(1,z);
                                            gulePreKopi(2,z)=gulePreW1(2,z);
                                        end
                                        for z=b:1:length(gulePreW1(1,:))+1
                                            if z==b
                                                gulePreW1(1,z)=gulePreW1(1,z-1)-1;
                                                gulePreW1(2,z)=tid2;
                                            elseif z<=length(gulePreW1(1,:))
                                                gulePreW1(1,z)=gulePreKopi(1,z-1)-1;
                                                gulePreW1(2,z)=gulePreKopi(2,z-1);
                                            else
                                                gulePreW1(1,end+1)=gulePreKopi(1,z-1)-1;
                                                gulePreW1(2,end)=gulePreKopi(2,z-1);
                                            end
                                        end
                                    end

                                    %Finner ventetid til operasjon, legger til den
                                    %tiden det tar  trille ned pasienten
                                    kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                    ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                    ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                    ventetiderGule(2,end)=tid2;

                                    %Trekker operasjonstid og oppdaterer tid for ferdig
                                    if lognorm==1
                                        stuetid=min(400,lognrnd(muGul,sigmaGul));
                                    else
                                        trekkStue=randi(length(stuetidGul(~isnan(stuetidGul)))); 
                                        stuetid=min(400,stuetidGul(trekkStue));
                                    end
                                    OR2Klar=tid2+kjoreNed+stuetid;

                                    %Trekker liggetid p sengepost
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                    else
                                        liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                    end
                                    utW1(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                    utAkuttW1(1,end+1)=utW1(1,end);

                                elseif guleVenter(1,1)==gulePreW2(2,end-indeksW2)
                                    %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                    for b=length(gulePreW2(1,:)):-1:1
                                        if b==length(gulePreW2(1,:))
                                            if tid2>=gulePreW2(2,b)
                                                break;
                                            end
                                        else
                                            if tid2>=gulePreW2(2,b) && tid2<gulePreW2(2,b+1)
                                                break;
                                            end
                                        end
                                    end

                                    if b==length(gulePreW2(1,:))            
                                        gulePreW2(1,end+1)=gulePreW2(1,end)-1;
                                        gulePreW2(2,end)=tid2;
                                    else
                                        b=b+1;
                                        gulePreKopi=zeros(2,length(gulePreW2(1,:))); %Lager en kopi
                                        for z=b:1:length(gulePreW2(1,:))
                                            gulePreKopi(1,z)=gulePreW2(1,z);
                                            gulePreKopi(2,z)=gulePreW2(2,z);
                                        end
                                        for z=b:1:length(gulePreW2(1,:))+1
                                            if z==b
                                                gulePreW2(1,z)=gulePreW2(1,z-1)-1;
                                                gulePreW2(2,z)=tid2;
                                            elseif z<=length(gulePreW2(1,:))
                                                gulePreW2(1,z)=gulePreKopi(1,z-1)-1;
                                                gulePreW2(2,z)=gulePreKopi(2,z-1);
                                            else
                                                gulePreW2(1,end+1)=gulePreKopi(1,z-1)-1;
                                                gulePreW2(2,end)=gulePreKopi(2,z-1);
                                            end
                                        end
                                    end
                                    %Finner ventetid til operasjon, legger til den
                                    %tiden det tar  trille ned pasienten
                                    kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                    ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                    ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                    ventetiderGule(2,end)=tid2;

                                    %Trekker operasjonstid og oppdaterer tid for ferdig
                                    if lognorm==1
                                        stuetid=min(400,lognrnd(muGul,sigmaGul));
                                    else
                                        trekkStue=randi(length(stuetidGul(~isnan(stuetidGul)))); 
                                        stuetid=min(400,stuetidGul(trekkStue));
                                    end
                                    OR2Klar=tid2+kjoreNed+stuetid;

                                    %Trekker liggetid p sengepost
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                    else
                                        liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                    end
                                    utW2(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                    utAkuttW2(1,end+1)=utW2(1,end);

                                elseif guleVenter(1,1)==gulePreW3(2,end-indeksW3)
                                    %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                    for b=length(gulePreW3(1,:)):-1:1
                                        if b==length(gulePreW3(1,:))
                                            if tid2>=gulePreW3(2,b)
                                                break;
                                            end
                                        else
                                            if tid2>=gulePreW3(2,b) && tid2<gulePreW3(2,b+1)
                                                break;
                                            end
                                        end
                                    end

                                    if b==length(gulePreW3(1,:))            
                                        gulePreW3(1,end+1)=gulePreW3(1,end)-1;
                                        gulePreW3(2,end)=tid2;
                                    else
                                        b=b+1;
                                        gulePreKopi=zeros(2,length(gulePreW3(1,:))); %Lager en kopi
                                        for z=b:1:length(gulePreW3(1,:))
                                            gulePreKopi(1,z)=gulePreW3(1,z);
                                            gulePreKopi(2,z)=gulePreW3(2,z);
                                        end
                                        for z=b:1:length(gulePreW3(1,:))+1
                                            if z==b
                                                gulePreW3(1,z)=gulePreW3(1,z-1)-1;
                                                gulePreW3(2,z)=tid2;
                                            elseif z<=length(gulePreW3(1,:))
                                                gulePreW3(1,z)=gulePreKopi(1,z-1)-1;
                                                gulePreW3(2,z)=gulePreKopi(2,z-1);
                                            else
                                                gulePreW3(1,end+1)=gulePreKopi(1,z-1)-1;
                                                gulePreW3(2,end)=gulePreKopi(2,z-1);
                                            end
                                        end
                                    end

                                    %Finner ventetid til operasjon, legger til den
                                    %tiden det tar  trille ned pasienten
                                    kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                    ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                    ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                    ventetiderGule(2,end)=tid2;

                                    %Trekker operasjonstid og oppdaterer tid for ferdig
                                    if lognorm==1
                                        stuetid=min(400,lognrnd(muGul,sigmaGul));
                                    else
                                        trekkStue=randi(length(stuetidGul(~isnan(stuetidGul)))); 
                                        stuetid=min(400,stuetidGul(trekkStue));
                                    end
                                    OR2Klar=tid2+kjoreNed+stuetid;

                                    %Trekker liggetid p sengepost
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                    else
                                        liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                    end
                                    utW3(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                    utAkuttW3(1,end+1)=utW3(1,end);

                                elseif guleVenter(1,1)==gulePreW4(2,end-indeksW4)
                                    %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                    for b=length(gulePreW4(1,:)):-1:1
                                        if b==length(gulePreW4(1,:))
                                            if tid2>=gulePreW4(2,b)
                                                break;
                                            end
                                        else
                                            if tid2>=gulePreW4(2,b) && tid2<gulePreW4(2,b+1)
                                                break;
                                            end
                                        end
                                    end

                                    if b==length(gulePreW4(1,:))            
                                        gulePreW4(1,end+1)=gulePreW4(1,end)-1;
                                        gulePreW4(2,end)=tid2;
                                    else
                                        b=b+1;
                                        gulePreKopi=zeros(2,length(gulePreW4(1,:))); %Lager en kopi
                                        for z=b:1:length(gulePreW4(1,:))
                                            gulePreKopi(1,z)=gulePreW4(1,z);
                                            gulePreKopi(2,z)=gulePreW4(2,z);
                                        end
                                        for z=b:1:length(gulePreW4(1,:))+1
                                            if z==b
                                                gulePreW4(1,z)=gulePreW4(1,z-1)-1;
                                                gulePreW4(2,z)=tid2;
                                            elseif z<=length(gulePreW4(1,:))
                                                gulePreW4(1,z)=gulePreKopi(1,z-1)-1;
                                                gulePreW4(2,z)=gulePreKopi(2,z-1);
                                            else
                                                gulePreW4(1,end+1)=gulePreKopi(1,z-1)-1;
                                                gulePreW4(2,end)=gulePreKopi(2,z-1);
                                            end
                                        end
                                    end

                                    %Finner ventetid til operasjon, legger til den
                                    %tiden det tar  trille ned pasienten
                                    kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                    ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                    ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                    ventetiderGule(2,end)=tid2;

                                    %Trekker operasjonstid og oppdaterer tid for ferdig
                                    if lognorm==1
                                        stuetid=min(400,lognrnd(muGul,sigmaGul));
                                    else
                                        trekkStue=randi(length(stuetidGul(~isnan(stuetidGul)))); 
                                        stuetid=min(400,stuetidGul(trekkStue));
                                    end
                                    OR2Klar=tid2+kjoreNed+stuetid;

                                    %Trekker liggetid p sengepost
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                    else
                                        liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                    end
                                    utW4(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                    utAkuttW4(1,end+1)=utW4(1,end);

                                elseif guleVenter(1,1)==gulePreW5(2,end-indeksW5)
                                    %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                    for b=length(gulePreW5(1,:)):-1:1
                                        if b==length(gulePreW5(1,:))
                                            if tid2>=gulePreW5(2,b)
                                                break;
                                            end
                                        else
                                            if tid2>=gulePreW5(2,b) && tid2<gulePreW5(2,b+1)
                                                break;
                                            end
                                        end
                                    end

                                    if b==length(gulePreW5(1,:))            
                                        gulePreW5(1,end+1)=gulePreW5(1,end)-1;
                                        gulePreW5(2,end)=tid2;
                                    else
                                        b=b+1;
                                        gulePreKopi=zeros(2,length(gulePreW5(1,:))); %Lager en kopi
                                        for z=b:1:length(gulePreW5(1,:))
                                            gulePreKopi(1,z)=gulePreW5(1,z);
                                            gulePreKopi(2,z)=gulePreW5(2,z);
                                        end
                                        for z=b:1:length(gulePreW5(1,:))+1
                                            if z==b
                                                gulePreW5(1,z)=gulePreW5(1,z-1)-1;
                                                gulePreW5(2,z)=tid2;
                                            elseif z<=length(gulePreW5(1,:))
                                                gulePreW5(1,z)=gulePreKopi(1,z-1)-1;
                                                gulePreW5(2,z)=gulePreKopi(2,z-1);
                                            else
                                                gulePreW5(1,end+1)=gulePreKopi(1,z-1)-1;
                                                gulePreW5(2,end)=gulePreKopi(2,z-1);
                                            end
                                        end
                                    end

                                    %Finner ventetid til operasjon, legger til den
                                    %tiden det tar  trille ned pasienten
                                    kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                    ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                    ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                    ventetiderGule(2,end)=tid2;

                                    %Trekker operasjonstid og oppdaterer tid for ferdig
                                    if lognorm==1
                                        stuetid=min(400,lognrnd(muGul,sigmaGul));
                                    else
                                        trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));
                                        stuetid=min(400,stuetidGul(trekkStue));
                                    end
                                    OR2Klar=tid2+kjoreNed+stuetid;

                                    %Trekker liggetid p sengepost
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                    else
                                        liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                    end
                                    utW5(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); 
                                    utAkuttW5(1,end+1)=utW5(1,end);

                                end

                            elseif velgGronn==0 && guleFordel>1 %Vi velger gul selv om grnn er mer forsinket
                                if guleVenter(1,1)==gulePreW1(2,end-indeksW1)

                                    %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                    for b=length(gulePreW1(1,:)):-1:1
                                        if b==length(gulePreW1(1,:))
                                            if tid2>=gulePreW1(2,b)
                                                break;
                                            end
                                        else
                                            if tid2>=gulePreW1(2,b) && tid2<gulePreW1(2,b+1)
                                                break;
                                            end
                                        end
                                    end

                                    if b==length(gulePreW1(1,:))            
                                        gulePreW1(1,end+1)=gulePreW1(1,end)-1;
                                        gulePreW1(2,end)=tid2;
                                    else
                                        b=b+1;
                                        gulePreKopi=zeros(2,length(gulePreW1(1,:))); %Lager en kopi
                                        for z=b:1:length(gulePreW1(1,:))
                                            gulePreKopi(1,z)=gulePreW1(1,z);
                                            gulePreKopi(2,z)=gulePreW1(2,z);
                                        end
                                        for z=b:1:length(gulePreW1(1,:))+1
                                            if z==b
                                                gulePreW1(1,z)=gulePreW1(1,z-1)-1;
                                                gulePreW1(2,z)=tid2;
                                            elseif z<=length(gulePreW1(1,:))
                                                gulePreW1(1,z)=gulePreKopi(1,z-1)-1;
                                                gulePreW1(2,z)=gulePreKopi(2,z-1);
                                            else
                                                gulePreW1(1,end+1)=gulePreKopi(1,z-1)-1;
                                                gulePreW1(2,end)=gulePreKopi(2,z-1);
                                            end
                                        end
                                    end

                                    %Finner ventetid til operasjon, legger til den
                                    %tiden det tar  trille ned pasienten
                                    kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                    ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                    ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                    ventetiderGule(2,end)=tid2;

                                    %Trekker operasjonstid og oppdaterer tid for ferdig
                                    if lognorm==1
                                        stuetid=min(400,lognrnd(muGul,sigmaGul));
                                    else
                                        trekkStue=randi(length(stuetidGul(~isnan(stuetidGul)))); 
                                        stuetid=min(400,stuetidGul(trekkStue));
                                    end
                                    OR2Klar=tid2+kjoreNed+stuetid;

                                    %Trekker liggetid p sengepost
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                    else
                                        liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                    end
                                    utW1(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                    utAkuttW1(1,end+1)=utW1(1,end);

                                elseif guleVenter(1,1)==gulePreW2(2,end-indeksW2)
                                    %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                    for b=length(gulePreW2(1,:)):-1:1
                                        if b==length(gulePreW2(1,:))
                                            if tid2>=gulePreW2(2,b)
                                                break;
                                            end
                                        else
                                            if tid2>=gulePreW2(2,b) && tid2<gulePreW2(2,b+1)
                                                break;
                                            end
                                        end
                                    end

                                    if b==length(gulePreW2(1,:))            
                                        gulePreW2(1,end+1)=gulePreW2(1,end)-1;
                                        gulePreW2(2,end)=tid2;
                                    else
                                        b=b+1;
                                        gulePreKopi=zeros(2,length(gulePreW2(1,:))); %Lager en kopi
                                        for z=b:1:length(gulePreW2(1,:))
                                            gulePreKopi(1,z)=gulePreW2(1,z);
                                            gulePreKopi(2,z)=gulePreW2(2,z);
                                        end
                                        for z=b:1:length(gulePreW2(1,:))+1
                                            if z==b
                                                gulePreW2(1,z)=gulePreW2(1,z-1)-1;
                                                gulePreW2(2,z)=tid2;
                                            elseif z<=length(gulePreW2(1,:))
                                                gulePreW2(1,z)=gulePreKopi(1,z-1)-1;
                                                gulePreW2(2,z)=gulePreKopi(2,z-1);
                                            else
                                                gulePreW2(1,end+1)=gulePreKopi(1,z-1)-1;
                                                gulePreW2(2,end)=gulePreKopi(2,z-1);
                                            end
                                        end
                                    end
                                    %Finner ventetid til operasjon, legger til den
                                    %tiden det tar  trille ned pasienten
                                    kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                    ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                    ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                    ventetiderGule(2,end)=tid2;

                                    %Trekker operasjonstid og oppdaterer tid for ferdig
                                    if lognorm==1
                                        stuetid=min(400,lognrnd(muGul,sigmaGul));
                                    else
                                        trekkStue=randi(length(stuetidGul(~isnan(stuetidGul)))); 
                                        stuetid=min(400,stuetidGul(trekkStue));
                                    end
                                    OR2Klar=tid2+kjoreNed+stuetid;

                                    %Trekker liggetid p sengepost
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                    else
                                        liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                    end
                                    utW2(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                    utAkuttW2(1,end+1)=utW2(1,end);

                                elseif guleVenter(1,1)==gulePreW3(2,end-indeksW3)
                                    %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                    for b=length(gulePreW3(1,:)):-1:1
                                        if b==length(gulePreW3(1,:))
                                            if tid2>=gulePreW3(2,b)
                                                break;
                                            end
                                        else
                                            if tid2>=gulePreW3(2,b) && tid2<gulePreW3(2,b+1)
                                                break;
                                            end
                                        end
                                    end

                                    if b==length(gulePreW3(1,:))            
                                        gulePreW3(1,end+1)=gulePreW3(1,end)-1;
                                        gulePreW3(2,end)=tid2;
                                    else
                                        b=b+1;
                                        gulePreKopi=zeros(2,length(gulePreW3(1,:))); %Lager en kopi
                                        for z=b:1:length(gulePreW3(1,:))
                                            gulePreKopi(1,z)=gulePreW3(1,z);
                                            gulePreKopi(2,z)=gulePreW3(2,z);
                                        end
                                        for z=b:1:length(gulePreW3(1,:))+1
                                            if z==b
                                                gulePreW3(1,z)=gulePreW3(1,z-1)-1;
                                                gulePreW3(2,z)=tid2;
                                            elseif z<=length(gulePreW3(1,:))
                                                gulePreW3(1,z)=gulePreKopi(1,z-1)-1;
                                                gulePreW3(2,z)=gulePreKopi(2,z-1);
                                            else
                                                gulePreW3(1,end+1)=gulePreKopi(1,z-1)-1;
                                                gulePreW3(2,end)=gulePreKopi(2,z-1);
                                            end
                                        end
                                    end

                                    %Finner ventetid til operasjon, legger til den
                                    %tiden det tar  trille ned pasienten
                                    kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                    ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                    ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                    ventetiderGule(2,end)=tid2;

                                    %Trekker operasjonstid og oppdaterer tid for ferdig
                                    if lognorm==1
                                        stuetid=min(400,lognrnd(muGul,sigmaGul));
                                    else
                                        trekkStue=randi(length(stuetidGul(~isnan(stuetidGul)))); 
                                        stuetid=min(400,stuetidGul(trekkStue));
                                    end
                                    OR2Klar=tid2+kjoreNed+stuetid;

                                    %Trekker liggetid p sengepost
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                    else
                                        liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                    end
                                    utW3(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                    utAkuttW3(1,end+1)=utW3(1,end);

                                elseif guleVenter(1,1)==gulePreW4(2,end-indeksW4)
                                    %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                    for b=length(gulePreW4(1,:)):-1:1
                                        if b==length(gulePreW4(1,:))
                                            if tid2>=gulePreW4(2,b)
                                                break;
                                            end
                                        else
                                            if tid2>=gulePreW4(2,b) && tid2<gulePreW4(2,b+1)
                                                break;
                                            end
                                        end
                                    end

                                    if b==length(gulePreW4(1,:))            
                                        gulePreW4(1,end+1)=gulePreW4(1,end)-1;
                                        gulePreW4(2,end)=tid2;
                                    else
                                        b=b+1;
                                        gulePreKopi=zeros(2,length(gulePreW4(1,:))); %Lager en kopi
                                        for z=b:1:length(gulePreW4(1,:))
                                            gulePreKopi(1,z)=gulePreW4(1,z);
                                            gulePreKopi(2,z)=gulePreW4(2,z);
                                        end
                                        for z=b:1:length(gulePreW4(1,:))+1
                                            if z==b
                                                gulePreW4(1,z)=gulePreW4(1,z-1)-1;
                                                gulePreW4(2,z)=tid2;
                                            elseif z<=length(gulePreW4(1,:))
                                                gulePreW4(1,z)=gulePreKopi(1,z-1)-1;
                                                gulePreW4(2,z)=gulePreKopi(2,z-1);
                                            else
                                                gulePreW4(1,end+1)=gulePreKopi(1,z-1)-1;
                                                gulePreW4(2,end)=gulePreKopi(2,z-1);
                                            end
                                        end
                                    end

                                    %Finner ventetid til operasjon, legger til den
                                    %tiden det tar  trille ned pasienten
                                    kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                    ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                    ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                    ventetiderGule(2,end)=tid2;

                                    %Trekker operasjonstid og oppdaterer tid for ferdig
                                    if lognorm==1
                                        stuetid=min(400,lognrnd(muGul,sigmaGul));
                                    else
                                        trekkStue=randi(length(stuetidGul(~isnan(stuetidGul)))); 
                                        stuetid=min(400,stuetidGul(trekkStue));
                                    end
                                    OR2Klar=tid2+kjoreNed+stuetid;

                                    %Trekker liggetid p sengepost
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                    else
                                        liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                    end
                                    utW4(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                    utAkuttW4(1,end+1)=utW4(1,end);

                                elseif guleVenter(1,1)==gulePreW5(2,end-indeksW5)
                                    %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                    for b=length(gulePreW5(1,:)):-1:1
                                        if b==length(gulePreW5(1,:))
                                            if tid2>=gulePreW5(2,b)
                                                break;
                                            end
                                        else
                                            if tid2>=gulePreW5(2,b) && tid2<gulePreW5(2,b+1)
                                                break;
                                            end
                                        end
                                    end

                                    if b==length(gulePreW5(1,:))            
                                        gulePreW5(1,end+1)=gulePreW5(1,end)-1;
                                        gulePreW5(2,end)=tid2;
                                    else
                                        b=b+1;
                                        gulePreKopi=zeros(2,length(gulePreW5(1,:))); %Lager en kopi
                                        for z=b:1:length(gulePreW5(1,:))
                                            gulePreKopi(1,z)=gulePreW5(1,z);
                                            gulePreKopi(2,z)=gulePreW5(2,z);
                                        end
                                        for z=b:1:length(gulePreW5(1,:))+1
                                            if z==b
                                                gulePreW5(1,z)=gulePreW5(1,z-1)-1;
                                                gulePreW5(2,z)=tid2;
                                            elseif z<=length(gulePreW5(1,:))
                                                gulePreW5(1,z)=gulePreKopi(1,z-1)-1;
                                                gulePreW5(2,z)=gulePreKopi(2,z-1);
                                            else
                                                gulePreW5(1,end+1)=gulePreKopi(1,z-1)-1;
                                                gulePreW5(2,end)=gulePreKopi(2,z-1);
                                            end
                                        end
                                    end

                                    %Finner ventetid til operasjon, legger til den
                                    %tiden det tar  trille ned pasienten
                                    kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                    ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                    ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                    ventetiderGule(2,end)=tid2;

                                    %Trekker operasjonstid og oppdaterer tid for ferdig
                                    if lognorm==1
                                        stuetid=min(400,lognrnd(muGul,sigmaGul));
                                    else
                                        trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));
                                        stuetid=min(400,stuetidGul(trekkStue));
                                    end
                                    OR2Klar=tid2+kjoreNed+stuetid;

                                    %Trekker liggetid p sengepost
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                    else
                                        liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                    end
                                    utW5(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); 
                                    utAkuttW5(1,end+1)=utW5(1,end);

                                end

                            else %Velger grnn 
                                % Vi m finne den grnne p en sengepost
                                if grDK==0 || (grDK==1 && grInne==1 && gronnListeAHL(1,1)<gronnDKListeAHL(1,1)) % Vi tar fra listen med inneliggende
                                    funnet=0;
                                    while funnet==0
                                        for s=1:1:length(gronnePreW1(1,:))
                                            if gronnListeAHL(1,1)==gronnePreW1(2,s)
                                                funnet=1;
                                                break;
                                            end
                                        end
                                        if funnet==1
                                            break;
                                        end
                                        for s=1:1:length(gronnePreW2(1,:))
                                            if gronnListeAHL(1,1)==gronnePreW2(2,s)
                                                funnet=2;
                                                break;
                                            end
                                        end
                                        if funnet==2
                                            break;
                                        end
                                        for s=1:1:length(gronnePreW3(1,:))
                                            if gronnListeAHL(1,1)==gronnePreW3(2,s)
                                                funnet=3;
                                                break;
                                            end
                                        end
                                        if funnet==3
                                            break;
                                        end
                                        for s=1:1:length(gronnePreW4(1,:))
                                            if gronnListeAHL(1,1)==gronnePreW4(2,s)
                                                funnet=4;
                                                break;
                                            end
                                        end
                                        if funnet==4
                                            break;
                                        end
                                        for s=1:1:length(gronnePreW5(1,:))
                                            if gronnListeAHL(1,1)==gronnePreW5(2,s)
                                                funnet=5;
                                                break;
                                            end
                                        end
                                    end
                                    if funnet==1
                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gronnePreW1(1,:)):-1:1
                                            if b==length(gronnePreW1(1,:))
                                                if tid2>=gronnePreW1(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gronnePreW1(2,b) && tid2<gronnePreW1(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gronnePreW1(1,:))            
                                            gronnePreW1(1,end+1)=gronnePreW1(1,end)-1;
                                            gronnePreW1(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gronnePreKopi=zeros(2,length(gronnePreW1(1,:))); %Lager en kopi
                                            for z=b:1:length(gronnePreW1(1,:))
                                                gronnePreKopi(1,z)=gronnePreW1(1,z);
                                                gronnePreKopi(2,z)=gronnePreW1(2,z);
                                            end
                                            for z=b:1:length(gronnePreW1(1,:))+1
                                                if z==b
                                                    gronnePreW1(1,z)=gronnePreW1(1,z-1)-1;
                                                    gronnePreW1(2,z)=tid2;
                                                elseif z<=length(gronnePreW1(1,:))
                                                    gronnePreW1(1,z)=gronnePreKopi(1,z-1)-1;
                                                    gronnePreW1(2,z)=gronnePreKopi(2,z-1);
                                                else
                                                    gronnePreW1(1,end+1)=gronnePreKopi(1,z-1)-1;
                                                    gronnePreW1(2,end)=gronnePreKopi(2,z-1);
                                                end
                                            end
                                        end


                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                        if length(ventetiderGronne)>0
                                            for b=length(ventetiderGronne(1,:)):-1:1
                                                if b==length(ventetiderGronne(1,:))
                                                    if d>=ventetiderGronne(2,b)
                                                        break;
                                                    end
                                                else
                                                    if d>=ventetiderGronne(2,b) && d<ventetiderGronne(2,b+1)
                                                        break;
                                                    end
                                                end
                                            end

                                            if b==length(ventetiderGronne(1,:))            
                                                ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                ventetiderGronne(2,end)=d;
                                            else
                                                b=b+1;
                                                ventetiderKopi=zeros(2,length(ventetiderGronne(1,:))); %Lager en kopi
                                                for z=b:1:length(ventetiderGronne(1,:))
                                                    ventetiderKopi(1,z)=ventetiderGronne(1,z);
                                                    ventetiderKopi(2,z)=ventetiderGronne(2,z);
                                                end
                                                for z=b:1:length(ventetiderGronne(1,:))+1
                                                    if z==b
                                                        ventetiderGronne(1,z)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                        ventetiderGronne(2,z)=d;
                                                    elseif z<=length(ventetiderGronne(1,:))
                                                        ventetiderGronne(1,z)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                        ventetiderGronne(2,z)=ventetiderKopi(2,z-1);
                                                    else
                                                        ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                        ventetiderGronne(2,end)=ventetiderKopi(2,z-1);
                                                    end
                                                end
                                            end
                                        else
                                            ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                            ventetiderGronne(2,end)=d;
                                        end

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1
                                            stuetid=min(400,lognrnd(muGronn,sigmaGronn));
                                        else
                                            trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn)))); 
                                            stuetid=min(400,stuetidGronn(trekkStue));
                                        end
                                        OR2Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost, HER M VI
                                        %FINNE RETT PASIENT
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gr(1,2)-2,LOS_Gr(1,2)+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-gronneFor));
                                        end

                                        utW1(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                        utAkuttW1(1,end+1)=utW1(1,end);

                                        % Fjerner pasienten fra ventelisten p AHL
                                        gronnListeAHL(1)=[];

                                    elseif funnet==2
                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gronnePreW2(1,:)):-1:1
                                            if b==length(gronnePreW2(1,:))
                                                if tid2>=gronnePreW2(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gronnePreW2(2,b) && tid2<gronnePreW2(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gronnePreW2(1,:))            
                                            gronnePreW2(1,end+1)=gronnePreW2(1,end)-1;
                                            gronnePreW2(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gronnePreKopi=zeros(2,length(gronnePreW2(1,:))); %Lager en kopi
                                            for z=b:1:length(gronnePreW2(1,:))
                                                gronnePreKopi(1,z)=gronnePreW2(1,z);
                                                gronnePreKopi(2,z)=gronnePreW2(2,z);
                                            end
                                            for z=b:1:length(gronnePreW2(1,:))+1
                                                if z==b
                                                    gronnePreW2(1,z)=gronnePreW2(1,z-1)-1;
                                                    gronnePreW2(2,z)=tid2;
                                                elseif z<=length(gronnePreW2(1,:))
                                                    gronnePreW2(1,z)=gronnePreKopi(1,z-1)-1;
                                                    gronnePreW2(2,z)=gronnePreKopi(2,z-1);
                                                else
                                                    gronnePreW2(1,end+1)=gronnePreKopi(1,z-1)-1;
                                                    gronnePreW2(2,end)=gronnePreKopi(2,z-1);
                                                end
                                            end
                                        end

                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                        if length(ventetiderGronne)>0
                                            for b=length(ventetiderGronne(1,:)):-1:1
                                                if b==length(ventetiderGronne(1,:))
                                                    if d>=ventetiderGronne(2,b)
                                                        break;
                                                    end
                                                else
                                                    if d>=ventetiderGronne(2,b) && d<ventetiderGronne(2,b+1)
                                                        break;
                                                    end
                                                end
                                            end

                                            if b==length(ventetiderGronne(1,:))            
                                                ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                ventetiderGronne(2,end)=d;
                                            else
                                                b=b+1;
                                                ventetiderKopi=zeros(2,length(ventetiderGronne(1,:))); %Lager en kopi
                                                for z=b:1:length(ventetiderGronne(1,:))
                                                    ventetiderKopi(1,z)=ventetiderGronne(1,z);
                                                    ventetiderKopi(2,z)=ventetiderGronne(2,z);
                                                end
                                                for z=b:1:length(ventetiderGronne(1,:))+1
                                                    if z==b
                                                        ventetiderGronne(1,z)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                        ventetiderGronne(2,z)=d;
                                                    elseif z<=length(ventetiderGronne(1,:))
                                                        ventetiderGronne(1,z)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                        ventetiderGronne(2,z)=ventetiderKopi(2,z-1);
                                                    else
                                                        ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                        ventetiderGronne(2,end)=ventetiderKopi(2,z-1);
                                                    end
                                                end
                                            end
                                        else
                                            ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                            ventetiderGronne(2,end)=d;
                                        end

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1
                                            stuetid=min(400,lognrnd(muGronn,sigmaGronn));
                                        else
                                            trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn)))); 
                                            stuetid=min(400,stuetidGronn(trekkStue));
                                        end
                                        OR2Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gr(1,2)-2,LOS_Gr(1,2)+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-gronneFor));
                                        end
                                        utW2(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                        utAkuttW2(1,end+1)=utW2(1,end);

                                        % Fjerner pasienten fra ventelisten p AHL
                                        gronnListeAHL(1)=[];
                                    elseif funnet==3
                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gronnePreW3(1,:)):-1:1
                                            if b==length(gronnePreW3(1,:))
                                                if tid2>=gronnePreW3(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gronnePreW3(2,b) && tid2<gronnePreW3(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gronnePreW3(1,:))            
                                            gronnePreW3(1,end+1)=gronnePreW3(1,end)-1;
                                            gronnePreW3(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gronnePreKopi=zeros(2,length(gronnePreW3(1,:))); %Lager en kopi
                                            for z=b:1:length(gronnePreW3(1,:))
                                                gronnePreKopi(1,z)=gronnePreW3(1,z);
                                                gronnePreKopi(2,z)=gronnePreW3(2,z);
                                            end
                                            for z=b:1:length(gronnePreW3(1,:))+1
                                                if z==b
                                                    gronnePreW3(1,z)=gronnePreW3(1,z-1)-1;
                                                    gronnePreW3(2,z)=tid2;
                                                elseif z<=length(gronnePreW3(1,:))
                                                    gronnePreW3(1,z)=gronnePreKopi(1,z-1)-1;
                                                    gronnePreW3(2,z)=gronnePreKopi(2,z-1);
                                                else
                                                    gronnePreW3(1,end+1)=gronnePreKopi(1,z-1)-1;
                                                    gronnePreW3(2,end)=gronnePreKopi(2,z-1);
                                                end
                                            end
                                        end

                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                        if length(ventetiderGronne)>0
                                            for b=length(ventetiderGronne(1,:)):-1:1
                                                if b==length(ventetiderGronne(1,:))
                                                    if d>=ventetiderGronne(2,b)
                                                        break;
                                                    end
                                                else
                                                    if d>=ventetiderGronne(2,b) && d<ventetiderGronne(2,b+1)
                                                        break;
                                                    end
                                                end
                                            end

                                            if b==length(ventetiderGronne(1,:))            
                                                ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                ventetiderGronne(2,end)=d;
                                            else
                                                b=b+1;
                                                ventetiderKopi=zeros(2,length(ventetiderGronne(1,:))); %Lager en kopi
                                                for z=b:1:length(ventetiderGronne(1,:))
                                                    ventetiderKopi(1,z)=ventetiderGronne(1,z);
                                                    ventetiderKopi(2,z)=ventetiderGronne(2,z);
                                                end
                                                for z=b:1:length(ventetiderGronne(1,:))+1
                                                    if z==b
                                                        ventetiderGronne(1,z)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                        ventetiderGronne(2,z)=d;
                                                    elseif z<=length(ventetiderGronne(1,:))
                                                        ventetiderGronne(1,z)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                        ventetiderGronne(2,z)=ventetiderKopi(2,z-1);
                                                    else
                                                        ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                        ventetiderGronne(2,end)=ventetiderKopi(2,z-1);
                                                    end
                                                end
                                            end
                                        else
                                            ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                            ventetiderGronne(2,end)=d;
                                        end

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1
                                            stuetid=min(400,lognrnd(muGronn,sigmaGronn));
                                        else
                                            trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn)))); 
                                            stuetid=min(400,stuetidGronn(trekkStue));
                                        end
                                        OR2Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gr(1,2)-2,LOS_Gr(1,2)+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-gronneFor));
                                        end
                                        utW3(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                        utAkuttW3(1,end+1)=utW3(1,end);

                                        % Fjerner pasienten fra ventelisten p AHL
                                        gronnListeAHL(1)=[];
                                    elseif funnet==4
                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gronnePreW4(1,:)):-1:1
                                            if b==length(gronnePreW4(1,:))
                                                if tid2>=gronnePreW4(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gronnePreW4(2,b) && tid2<gronnePreW4(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gronnePreW4(1,:))            
                                            gronnePreW4(1,end+1)=gronnePreW4(1,end)-1;
                                            gronnePreW4(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gronnePreKopi=zeros(2,length(gronnePreW4(1,:))); %Lager en kopi
                                            for z=b:1:length(gronnePreW4(1,:))
                                                gronnePreKopi(1,z)=gronnePreW4(1,z);
                                                gronnePreKopi(2,z)=gronnePreW4(2,z);
                                            end
                                            for z=b:1:length(gronnePreW4(1,:))+1
                                                if z==b
                                                    gronnePreW4(1,z)=gronnePreW4(1,z-1)-1;
                                                    gronnePreW4(2,z)=tid2;
                                                elseif z<=length(gronnePreW4(1,:))
                                                    gronnePreW4(1,z)=gronnePreKopi(1,z-1)-1;
                                                    gronnePreW4(2,z)=gronnePreKopi(2,z-1);
                                                else
                                                    gronnePreW4(1,end+1)=gronnePreKopi(1,z-1)-1;
                                                    gronnePreW4(2,end)=gronnePreKopi(2,z-1);
                                                end
                                            end
                                        end

                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                        if length(ventetiderGronne)>0
                                            for b=length(ventetiderGronne(1,:)):-1:1
                                                if b==length(ventetiderGronne(1,:))
                                                    if d>=ventetiderGronne(2,b)
                                                        break;
                                                    end
                                                else
                                                    if d>=ventetiderGronne(2,b) && d<ventetiderGronne(2,b+1)
                                                        break;
                                                    end
                                                end
                                            end

                                            if b==length(ventetiderGronne(1,:))            
                                                ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                ventetiderGronne(2,end)=d;
                                            else
                                                b=b+1;
                                                ventetiderKopi=zeros(2,length(ventetiderGronne(1,:))); %Lager en kopi
                                                for z=b:1:length(ventetiderGronne(1,:))
                                                    ventetiderKopi(1,z)=ventetiderGronne(1,z);
                                                    ventetiderKopi(2,z)=ventetiderGronne(2,z);
                                                end
                                                for z=b:1:length(ventetiderGronne(1,:))+1
                                                    if z==b
                                                        ventetiderGronne(1,z)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                        ventetiderGronne(2,z)=d;
                                                    elseif z<=length(ventetiderGronne(1,:))
                                                        ventetiderGronne(1,z)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                        ventetiderGronne(2,z)=ventetiderKopi(2,z-1);
                                                    else
                                                        ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                        ventetiderGronne(2,end)=ventetiderKopi(2,z-1);
                                                    end
                                                end
                                            end
                                        else
                                            ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                            ventetiderGronne(2,end)=d;
                                        end

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1                                     
                                            stuetid=min(400,lognrnd(muGronn,sigmaGronn));                                 
                                        else
                                            trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn))));                                     
                                            stuetid=min(400,stuetidGronn(trekkStue));                                 
                                        end
                                        OR2Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gr(1,2)-2,LOS_Gr(1,2)+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-gronneFor));
                                        end
                                        utW4(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                        utAkuttW4(1,end+1)=utW4(1,end);

                                        % Fjerner pasienten fra ventelisten p AHL
                                        gronnListeAHL(1)=[];
                                    elseif funnet==5
                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gronnePreW5(1,:)):-1:1
                                            if b==length(gronnePreW5(1,:))
                                                if tid2>=gronnePreW5(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gronnePreW5(2,b) && tid2<gronnePreW5(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gronnePreW5(1,:))            
                                            gronnePreW5(1,end+1)=gronnePreW5(1,end)-1;
                                            gronnePreW5(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gronnePreKopi=zeros(2,length(gronnePreW5(1,:))); %Lager en kopi
                                            for z=b:1:length(gronnePreW5(1,:))
                                                gronnePreKopi(1,z)=gronnePreW5(1,z);
                                                gronnePreKopi(2,z)=gronnePreW5(2,z);
                                            end
                                            for z=b:1:length(gronnePreW5(1,:))+1
                                                if z==b
                                                    gronnePreW5(1,z)=gronnePreW5(1,z-1)-1;
                                                    gronnePreW5(2,z)=tid2;
                                                elseif z<=length(gronnePreW5(1,:))
                                                    gronnePreW5(1,z)=gronnePreKopi(1,z-1)-1;
                                                    gronnePreW5(2,z)=gronnePreKopi(2,z-1);
                                                else
                                                    gronnePreW5(1,end+1)=gronnePreKopi(1,z-1)-1;
                                                    gronnePreW5(2,end)=gronnePreKopi(2,z-1);
                                                end
                                            end
                                        end

                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                        if length(ventetiderGronne)>0
                                            for b=length(ventetiderGronne(1,:)):-1:1
                                                if b==length(ventetiderGronne(1,:))
                                                    if d>=ventetiderGronne(2,b)
                                                        break;
                                                    end
                                                else
                                                    if d>=ventetiderGronne(2,b) && d<ventetiderGronne(2,b+1)
                                                        break;
                                                    end
                                                end
                                            end

                                            if b==length(ventetiderGronne(1,:))            
                                                ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                ventetiderGronne(2,end)=d;
                                            else
                                                b=b+1;
                                                ventetiderKopi=zeros(2,length(ventetiderGronne(1,:))); %Lager en kopi
                                                for z=b:1:length(ventetiderGronne(1,:))
                                                    ventetiderKopi(1,z)=ventetiderGronne(1,z);
                                                    ventetiderKopi(2,z)=ventetiderGronne(2,z);
                                                end
                                                for z=b:1:length(ventetiderGronne(1,:))+1
                                                    if z==b
                                                        ventetiderGronne(1,z)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                        ventetiderGronne(2,z)=d;
                                                    elseif z<=length(ventetiderGronne(1,:))
                                                        ventetiderGronne(1,z)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                        ventetiderGronne(2,z)=ventetiderKopi(2,z-1);
                                                    else
                                                        ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                        ventetiderGronne(2,end)=ventetiderKopi(2,z-1);
                                                    end
                                                end
                                            end
                                        else
                                            ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                            ventetiderGronne(2,end)=d;
                                        end
                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1                                     
                                            stuetid=min(400,lognrnd(muGronn,sigmaGronn));                                 
                                        else
                                            trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn))));                                     
                                            stuetid=min(400,stuetidGronn(trekkStue));                                 
                                        end
                                        OR2Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gr(1,2)-2,LOS_Gr(1,2)+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-gronneFor));
                                        end
                                        utW5(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); 
                                        utAkuttW5(1,end+1)=utW5(1,end);

                                        % Fjerner pasienten fra ventelisten p AHL
                                        gronnListeAHL(1)=[];

                                    end
                                else %Vi opererer DK

                                    kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                    ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                    if length(ventetiderGronne)>0
                                        for b=length(ventetiderGronne(1,:)):-1:1
                                            if b==length(ventetiderGronne(1,:))
                                                if d>=ventetiderGronne(2,b)
                                                    break;
                                                end
                                            else
                                                if d>=ventetiderGronne(2,b) && d<ventetiderGronne(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(ventetiderGronne(1,:))            
                                            ventetiderGronne(1,end+1)=ceil((tid2-gronnDKListeAHL(1,1)+kjoreNed)/1440);
                                            ventetiderGronne(2,end)=d;
                                        else
                                            b=b+1;
                                            ventetiderKopi=zeros(2,length(ventetiderGronne(1,:))); %Lager en kopi
                                            for z=b:1:length(ventetiderGronne(1,:))
                                                ventetiderKopi(1,z)=ventetiderGronne(1,z);
                                                ventetiderKopi(2,z)=ventetiderGronne(2,z);
                                            end
                                            for z=b:1:length(ventetiderGronne(1,:))+1
                                                if z==b
                                                    ventetiderGronne(1,z)=ceil((tid2-gronnDKListeAHL(1,1)+kjoreNed)/1440);
                                                    ventetiderGronne(2,z)=d;
                                                elseif z<=length(ventetiderGronne(1,:))
                                                    ventetiderGronne(1,z)=ceil((tid2-gronnDKListeAHL(1,1)+kjoreNed)/1440);
                                                    ventetiderGronne(2,z)=ventetiderKopi(2,z-1);
                                                else
                                                    ventetiderGronne(1,end+1)=ceil((tid2-gronnDKListeAHL(1,1)+kjoreNed)/1440);
                                                    ventetiderGronne(2,end)=ventetiderKopi(2,z-1);
                                                end
                                            end
                                        end
                                    else
                                        ventetiderGronne(1,end+1)=ceil((tid2-gronnDKListeAHL(1,1)+kjoreNed)/1440);
                                        ventetiderGronne(2,end)=d;
                                    end
                                    % Fjerner pasienten fra ken(hjemme)
                                    for b=length(gronneDKHjemme(1,:)):-1:1
                                        if b==length(gronneDKHjemme(1,:))
                                            if tid2>=gronneDKHjemme(2,b)
                                                break;
                                            end
                                        else
                                            if tid2>=gronneDKHjemme(2,b) && tid2<gronneDKHjemme(2,b+1)
                                                break;
                                            end
                                        end
                                    end

                                    if b==length(gronneDKHjemme(1,:))            
                                        gronneDKHjemme(1,end+1)=gronneDKHjemme(1,end)-1;
                                        gronneDKHjemme(2,end)=tid2;
                                    else
                                        b=b+1;
                                        total=zeros(2,length(gronneDKHjemme)); %Lager en kopi
                                        for z=b:1:length(gronneDKHjemme)
                                            total(1,z)=gronneDKHjemme(1,z);
                                            total(2,z)=gronneDKHjemme(2,z);
                                        end
                                        for z=b:1:length(gronneDKHjemme)+1
                                            if z==b
                                                gronneDKHjemme(1,z)=gronneDKHjemme(1,z-1)-1;
                                                gronneDKHjemme(2,z)=tid2;
                                            elseif z<=length(gronneDKHjemme)
                                                gronneDKHjemme(1,z)=total(1,z-1)-1;
                                                gronneDKHjemme(2,z)=total(2,z-1);
                                            else
                                                gronneDKHjemme(1,end+1)=total(1,z-1)-1;
                                                gronneDKHjemme(2,end)=total(2,z-1);
                                            end
                                        end
                                    end

                                    %Trekker operasjonstid og oppdaterer tid for ferdig
                                    if lognorm==1
                                        stuetid=min(400,lognrnd(muGronnDK,sigmaGronnDK));
                                    else
                                        trekkStue=randi(length(stuetidGronnDK(~isnan(stuetidGronnDK)))); 
                                        stuetid=min(400,stuetidGronnDK(trekkStue));
                                    end
                                    OR2Klar=tid2+kjoreNed+stuetid;
                                    gronnDKListeAHL(1)=[];
                                end
                            end
                        else %Ingen grnne, vi opererer gul dersom gul er til stede

                            guleVenter=sort(guleVenter);
                            if length(guleVenter)>0
                                if guleVenter(1,1)==gulePreW1(2,end-indeksW1)

                                    %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                    for b=length(gulePreW1(1,:)):-1:1
                                        if b==length(gulePreW1(1,:))
                                            if tid2>=gulePreW1(2,b)
                                                break;
                                            end
                                        else
                                            if tid2>=gulePreW1(2,b) && tid2<gulePreW1(2,b+1)
                                                break;
                                            end
                                        end
                                    end

                                    if b==length(gulePreW1(1,:))            
                                        gulePreW1(1,end+1)=gulePreW1(1,end)-1;
                                        gulePreW1(2,end)=tid2;
                                    else
                                        b=b+1;
                                        gulePreKopi=zeros(2,length(gulePreW1(1,:))); %Lager en kopi
                                        for z=b:1:length(gulePreW1(1,:))
                                            gulePreKopi(1,z)=gulePreW1(1,z);
                                            gulePreKopi(2,z)=gulePreW1(2,z);
                                        end
                                        for z=b:1:length(gulePreW1(1,:))+1
                                            if z==b
                                                gulePreW1(1,z)=gulePreW1(1,z-1)-1;
                                                gulePreW1(2,z)=tid2;
                                            elseif z<=length(gulePreW1(1,:))
                                                gulePreW1(1,z)=gulePreKopi(1,z-1)-1;
                                                gulePreW1(2,z)=gulePreKopi(2,z-1);
                                            else
                                                gulePreW1(1,end+1)=gulePreKopi(1,z-1)-1;
                                                gulePreW1(2,end)=gulePreKopi(2,z-1);
                                            end
                                        end
                                    end

                                    %Finner ventetid til operasjon, legger til den
                                    %tiden det tar  trille ned pasienten
                                    kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                    ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                    ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                    ventetiderGule(2,end)=tid2;

                                    %Trekker operasjonstid og oppdaterer tid for ferdig
                                    if lognorm==1                                     
                                        stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                    else
                                        trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                        stuetid=min(400,stuetidGul(trekkStue));                                 
                                    end
                                    OR2Klar=tid2+kjoreNed+stuetid;

                                    %Trekker liggetid p sengepost
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                    else
                                        liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                    end
                                    utW1(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                    utAkuttW1(1,end+1)=utW1(1,end);

                                elseif guleVenter(1,1)==gulePreW2(2,end-indeksW2)
                                    %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                    for b=length(gulePreW2(1,:)):-1:1
                                        if b==length(gulePreW2(1,:))
                                            if tid2>=gulePreW2(2,b)
                                                break;
                                            end
                                        else
                                            if tid2>=gulePreW2(2,b) && tid2<gulePreW2(2,b+1)
                                                break;
                                            end
                                        end
                                    end

                                    if b==length(gulePreW2(1,:))            
                                        gulePreW2(1,end+1)=gulePreW2(1,end)-1;
                                        gulePreW2(2,end)=tid2;
                                    else
                                        b=b+1;
                                        gulePreKopi=zeros(2,length(gulePreW2(1,:))); %Lager en kopi
                                        for z=b:1:length(gulePreW2(1,:))
                                            gulePreKopi(1,z)=gulePreW2(1,z);
                                            gulePreKopi(2,z)=gulePreW2(2,z);
                                        end
                                        for z=b:1:length(gulePreW2(1,:))+1
                                            if z==b
                                                gulePreW2(1,z)=gulePreW2(1,z-1)-1;
                                                gulePreW2(2,z)=tid2;
                                            elseif z<=length(gulePreW2(1,:))
                                                gulePreW2(1,z)=gulePreKopi(1,z-1)-1;
                                                gulePreW2(2,z)=gulePreKopi(2,z-1);
                                            else
                                                gulePreW2(1,end+1)=gulePreKopi(1,z-1)-1;
                                                gulePreW2(2,end)=gulePreKopi(2,z-1);
                                            end
                                        end
                                    end
                                    %Finner ventetid til operasjon, legger til den
                                    %tiden det tar  trille ned pasienten
                                    kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                    ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                    ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                    ventetiderGule(2,end)=tid2;

                                    %Trekker operasjonstid og oppdaterer tid for ferdig
                                    if lognorm==1                                     
                                        stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                    else
                                        trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                        stuetid=min(400,stuetidGul(trekkStue));                                 
                                    end
                                    OR2Klar=tid2+kjoreNed+stuetid;

                                    %Trekker liggetid p sengepost
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                    else
                                        liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                    end
                                    utW2(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                    utAkuttW2(1,end+1)=utW2(1,end);

                                elseif guleVenter(1,1)==gulePreW3(2,end-indeksW3)
                                    %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                    for b=length(gulePreW3(1,:)):-1:1
                                        if b==length(gulePreW3(1,:))
                                            if tid2>=gulePreW3(2,b)
                                                break;
                                            end
                                        else
                                            if tid2>=gulePreW3(2,b) && tid2<gulePreW3(2,b+1)
                                                break;
                                            end
                                        end
                                    end

                                    if b==length(gulePreW3(1,:))            
                                        gulePreW3(1,end+1)=gulePreW3(1,end)-1;
                                        gulePreW3(2,end)=tid2;
                                    else
                                        b=b+1;
                                        gulePreKopi=zeros(2,length(gulePreW3(1,:))); %Lager en kopi
                                        for z=b:1:length(gulePreW3(1,:))
                                            gulePreKopi(1,z)=gulePreW3(1,z);
                                            gulePreKopi(2,z)=gulePreW3(2,z);
                                        end
                                        for z=b:1:length(gulePreW3(1,:))+1
                                            if z==b
                                                gulePreW3(1,z)=gulePreW3(1,z-1)-1;
                                                gulePreW3(2,z)=tid2;
                                            elseif z<=length(gulePreW3(1,:))
                                                gulePreW3(1,z)=gulePreKopi(1,z-1)-1;
                                                gulePreW3(2,z)=gulePreKopi(2,z-1);
                                            else
                                                gulePreW3(1,end+1)=gulePreKopi(1,z-1)-1;
                                                gulePreW3(2,end)=gulePreKopi(2,z-1);
                                            end
                                        end
                                    end

                                    %Finner ventetid til operasjon, legger til den
                                    %tiden det tar  trille ned pasienten
                                    kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                    ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                    ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                    ventetiderGule(2,end)=tid2;

                                    %Trekker operasjonstid og oppdaterer tid for ferdig
                                    if lognorm==1                                     
                                        stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                    else
                                        trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                        stuetid=min(400,stuetidGul(trekkStue));                                 
                                    end
                                    OR2Klar=tid2+kjoreNed+stuetid;

                                    %Trekker liggetid p sengepost
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                    else
                                        liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                    end
                                    utW3(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                    utAkuttW3(1,end+1)=utW3(1,end);

                                elseif guleVenter(1,1)==gulePreW4(2,end-indeksW4)
                                    %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                    for b=length(gulePreW4(1,:)):-1:1
                                        if b==length(gulePreW4(1,:))
                                            if tid2>=gulePreW4(2,b)
                                                break;
                                            end
                                        else
                                            if tid2>=gulePreW4(2,b) && tid2<gulePreW4(2,b+1)
                                                break;
                                            end
                                        end
                                    end

                                    if b==length(gulePreW4(1,:))            
                                        gulePreW4(1,end+1)=gulePreW4(1,end)-1;
                                        gulePreW4(2,end)=tid2;
                                    else
                                        b=b+1;
                                        gulePreKopi=zeros(2,length(gulePreW4(1,:))); %Lager en kopi
                                        for z=b:1:length(gulePreW4(1,:))
                                            gulePreKopi(1,z)=gulePreW4(1,z);
                                            gulePreKopi(2,z)=gulePreW4(2,z);
                                        end
                                        for z=b:1:length(gulePreW4(1,:))+1
                                            if z==b
                                                gulePreW4(1,z)=gulePreW4(1,z-1)-1;
                                                gulePreW4(2,z)=tid2;
                                            elseif z<=length(gulePreW4(1,:))
                                                gulePreW4(1,z)=gulePreKopi(1,z-1)-1;
                                                gulePreW4(2,z)=gulePreKopi(2,z-1);
                                            else
                                                gulePreW4(1,end+1)=gulePreKopi(1,z-1)-1;
                                                gulePreW4(2,end)=gulePreKopi(2,z-1);
                                            end
                                        end
                                    end

                                    %Finner ventetid til operasjon, legger til den
                                    %tiden det tar  trille ned pasienten
                                    kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                    ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                    ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                    ventetiderGule(2,end)=tid2;

                                    %Trekker operasjonstid og oppdaterer tid for ferdig
                                    if lognorm==1                                     
                                        stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                    else
                                        trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                        stuetid=min(400,stuetidGul(trekkStue));                                 
                                    end
                                    OR2Klar=tid2+kjoreNed+stuetid;

                                    %Trekker liggetid p sengepost
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                    else
                                        liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                    end
                                    utW4(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                    utAkuttW4(1,end+1)=utW4(1,end);

                                elseif guleVenter(1,1)==gulePreW5(2,end-indeksW5)
                                    %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                    for b=length(gulePreW5(1,:)):-1:1
                                        if b==length(gulePreW5(1,:))
                                            if tid2>=gulePreW5(2,b)
                                                break;
                                            end
                                        else
                                            if tid2>=gulePreW5(2,b) && tid2<gulePreW5(2,b+1)
                                                break;
                                            end
                                        end
                                    end

                                    if b==length(gulePreW5(1,:))            
                                        gulePreW5(1,end+1)=gulePreW5(1,end)-1;
                                        gulePreW5(2,end)=tid2;
                                    else
                                        b=b+1;
                                        gulePreKopi=zeros(2,length(gulePreW5(1,:))); %Lager en kopi
                                        for z=b:1:length(gulePreW5(1,:))
                                            gulePreKopi(1,z)=gulePreW5(1,z);
                                            gulePreKopi(2,z)=gulePreW5(2,z);
                                        end
                                        for z=b:1:length(gulePreW5(1,:))+1
                                            if z==b
                                                gulePreW5(1,z)=gulePreW5(1,z-1)-1;
                                                gulePreW5(2,z)=tid2;
                                            elseif z<=length(gulePreW5(1,:))
                                                gulePreW5(1,z)=gulePreKopi(1,z-1)-1;
                                                gulePreW5(2,z)=gulePreKopi(2,z-1);
                                            else
                                                gulePreW5(1,end+1)=gulePreKopi(1,z-1)-1;
                                                gulePreW5(2,end)=gulePreKopi(2,z-1);
                                            end
                                        end
                                    end

                                    %Finner ventetid til operasjon, legger til den
                                    %tiden det tar  trille ned pasienten
                                    kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                    ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                    ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                    ventetiderGule(2,end)=tid2;

                                    %Trekker operasjonstid og oppdaterer tid for ferdig
                                    if lognorm==1                                     
                                        stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                    else
                                        trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                        stuetid=min(400,stuetidGul(trekkStue));                                 
                                    end
                                    OR2Klar=tid2+kjoreNed+stuetid;

                                    %Trekker liggetid p sengepost
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                    else
                                        liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                    end
                                    utW5(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); 
                                    utAkuttW5(1,end+1)=utW5(1,end);;

                                end
                            else %Vi oppdateter tiden for at operasjonsstuen er klar da ingen pasienter var tilstede
                                oppdater=[ankRod(1,1)+1,ankGul(1,1)+1]; %Grnne opereres ikke med en gang de kommer inn, de skeduleres neste dag
                                ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+min(min(962+1440*(d-1),min(oppdater))-OR2Klar,480);
                                OR2Klar=min(962+1440*(d-1),min(oppdater));
                            end
                        end
                    end
                elseif tid2==utW1(1,1) %Oppdaterer antall p sengepost
                    for b=length(totalW1(1,:)):-1:1
                        if b==length(totalW1(1,:))
                            if tid2>=totalW1(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW1(2,b) && tid2<totalW1(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW1(1,:))            
                        totalW1(1,end+1)=totalW1(1,end)-1;
                        totalW1(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW1)); %Lager en kopi
                        for z=b:1:length(totalW1)
                            total(1,z)=totalW1(1,z);
                            total(2,z)=totalW1(2,z);
                        end
                        for z=b:1:length(totalW1)+1
                            if z==b
                                totalW1(1,z)=totalW1(1,z-1)-1;
                                totalW1(2,z)=tid2;
                            elseif z<=length(totalW1)
                                totalW1(1,z)=total(1,z-1)-1;
                                totalW1(2,z)=total(2,z-1);
                            else
                                totalW1(1,end+1)=total(1,z-1)-1;
                                totalW1(2,end)=total(2,z-1);
                            end
                        end
                    end
                    if utAkuttW1(1,1)==utW1(1,1)
                        for b=length(totalAkuttW1(1,:)):-1:1
                            if b==length(totalAkuttW1(1,:))
                                if tid2>=totalAkuttW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW1(2,b) && tid2<totalAkuttW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW1(1,:))            
                            totalAkuttW1(1,end+1)=totalAkuttW1(1,end)-1;
                            totalAkuttW1(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalAkuttW1)); %Lager en kopi
                            for z=b:1:length(totalAkuttW1)
                                total(1,z)=totalAkuttW1(1,z);
                                total(2,z)=totalAkuttW1(2,z);
                            end
                            for z=b:1:length(totalAkuttW1)+1
                                if z==b
                                    totalAkuttW1(1,z)=totalAkuttW1(1,z-1)-1;
                                    totalAkuttW1(2,z)=tid2;
                                elseif z<=length(totalAkuttW1)
                                    totalAkuttW1(1,z)=total(1,z-1)-1;
                                    totalAkuttW1(2,z)=total(2,z-1);
                                else
                                    totalAkuttW1(1,end+1)=total(1,z-1)-1;
                                    totalAkuttW1(2,end)=total(2,z-1);
                                end
                            end
                        end
                        utAkuttW1(1)=[];
                    end
                    utW1(1)=[];
                elseif tid2==utW2(1,1) %Oppdaterer antall p sengepost
                    for b=length(totalW2(1,:)):-1:1
                        if b==length(totalW2(1,:))
                            if tid2>=totalW2(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW2(2,b) && tid2<totalW2(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW2(1,:))            
                        totalW2(1,end+1)=totalW2(1,end)-1;
                        totalW2(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW2)); %Lager en kopi
                        for z=b:1:length(totalW2)
                            total(1,z)=totalW2(1,z);
                            total(2,z)=totalW2(2,z);
                        end
                        for z=b:1:length(totalW2)+1
                            if z==b
                                totalW2(1,z)=totalW2(1,z-1)-1;
                                totalW2(2,z)=tid2;
                            elseif z<=length(totalW2)
                                totalW2(1,z)=total(1,z-1)-1;
                                totalW2(2,z)=total(2,z-1);
                            else
                                totalW2(1,end+1)=total(1,z-1)-1;
                                totalW2(2,end)=total(2,z-1);
                            end
                        end
                    end
                    if utAkuttW2(1,1)==utW2(1,1)
                        for b=length(totalAkuttW2(1,:)):-1:1
                            if b==length(totalAkuttW2(1,:))
                                if tid2>=totalAkuttW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW2(2,b) && tid2<totalAkuttW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW2(1,:))            
                            totalAkuttW2(1,end+1)=totalAkuttW2(1,end)-1;
                            totalAkuttW2(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalAkuttW2)); %Lager en kopi
                            for z=b:1:length(totalAkuttW2)
                                total(1,z)=totalAkuttW2(1,z);
                                total(2,z)=totalAkuttW2(2,z);
                            end
                            for z=b:1:length(totalAkuttW2)+1
                                if z==b
                                    totalAkuttW2(1,z)=totalAkuttW2(1,z-1)-1;
                                    totalAkuttW2(2,z)=tid2;
                                elseif z<=length(totalAkuttW2)
                                    totalAkuttW2(1,z)=total(1,z-1)-1;
                                    totalAkuttW2(2,z)=total(2,z-1);
                                else
                                    totalAkuttW2(1,end+1)=total(1,z-1)-1;
                                    totalAkuttW2(2,end)=total(2,z-1);
                                end
                            end
                        end
                        utAkuttW2(1)=[];
                    end
                    utW2(1)=[];
                elseif tid2==utW3(1,1) %Oppdaterer antall p sengepost
                    for b=length(totalW3(1,:)):-1:1
                        if b==length(totalW3(1,:))
                            if tid2>=totalW3(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW3(2,b) && tid2<totalW3(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW3(1,:))            
                        totalW3(1,end+1)=totalW3(1,end)-1;
                        totalW3(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW3)); %Lager en kopi
                        for z=b:1:length(totalW3)
                            total(1,z)=totalW3(1,z);
                            total(2,z)=totalW3(2,z);
                        end
                        for z=b:1:length(totalW3)+1
                            if z==b
                                totalW3(1,z)=totalW3(1,z-1)-1;
                                totalW3(2,z)=tid2;
                            elseif z<=length(totalW3)
                                totalW3(1,z)=total(1,z-1)-1;
                                totalW3(2,z)=total(2,z-1);
                            else
                                totalW3(1,end+1)=total(1,z-1)-1;
                                totalW3(2,end)=total(2,z-1);
                            end
                        end
                    end
                    if utAkuttW3(1,1)==utW3(1,1)
                        for b=length(totalAkuttW3(1,:)):-1:1
                            if b==length(totalAkuttW3(1,:))
                                if tid2>=totalAkuttW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW3(2,b) && tid2<totalAkuttW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW3(1,:))            
                            totalAkuttW3(1,end+1)=totalAkuttW3(1,end)-1;
                            totalAkuttW3(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalAkuttW3)); %Lager en kopi
                            for z=b:1:length(totalAkuttW3)
                                total(1,z)=totalAkuttW3(1,z);
                                total(2,z)=totalAkuttW3(2,z);
                            end
                            for z=b:1:length(totalAkuttW3)+1
                                if z==b
                                    totalAkuttW3(1,z)=totalAkuttW3(1,z-1)-1;
                                    totalAkuttW3(2,z)=tid2;
                                elseif z<=length(totalAkuttW3)
                                    totalAkuttW3(1,z)=total(1,z-1)-1;
                                    totalAkuttW3(2,z)=total(2,z-1);
                                else
                                    totalAkuttW3(1,end+1)=total(1,z-1)-1;
                                    totalAkuttW3(2,end)=total(2,z-1);
                                end
                            end
                        end
                        utAkuttW3(1)=[];
                    end
                    utW3(1)=[];
                elseif tid2==utW4(1,1) %Oppdaterer antall p sengepost

                    for b=length(totalW4(1,:)):-1:1
                        if b==length(totalW4(1,:))
                            if tid2>=totalW4(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW4(2,b) && tid2<totalW4(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW4(1,:))            
                        totalW4(1,end+1)=totalW4(1,end)-1;
                        totalW4(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW4)); %Lager en kopi
                        for z=b:1:length(totalW4)
                            total(1,z)=totalW4(1,z);
                            total(2,z)=totalW4(2,z);
                        end
                        for z=b:1:length(totalW4)+1
                            if z==b
                                totalW4(1,z)=totalW4(1,z-1)-1;
                                totalW4(2,z)=tid2;
                            elseif z<=length(totalW4)
                                totalW4(1,z)=total(1,z-1)-1;
                                totalW4(2,z)=total(2,z-1);
                            else
                                totalW4(1,end+1)=total(1,z-1)-1;
                                totalW4(2,end)=total(2,z-1);
                            end
                        end
                    end
                    if utAkuttW4(1,1)==utW4(1,1)
                        for b=length(totalAkuttW4(1,:)):-1:1
                            if b==length(totalAkuttW4(1,:))
                                if tid2>=totalAkuttW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW4(2,b) && tid2<totalAkuttW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW4(1,:))            
                            totalAkuttW4(1,end+1)=totalAkuttW4(1,end)-1;
                            totalAkuttW4(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalAkuttW4)); %Lager en kopi
                            for z=b:1:length(totalAkuttW4)
                                total(1,z)=totalAkuttW4(1,z);
                                total(2,z)=totalAkuttW4(2,z);
                            end
                            for z=b:1:length(totalAkuttW4)+1
                                if z==b
                                    totalAkuttW4(1,z)=totalAkuttW4(1,z-1)-1;
                                    totalAkuttW4(2,z)=tid2;
                                elseif z<=length(totalAkuttW4)
                                    totalAkuttW4(1,z)=total(1,z-1)-1;
                                    totalAkuttW4(2,z)=total(2,z-1);
                                else
                                    totalAkuttW4(1,end+1)=total(1,z-1)-1;
                                    totalAkuttW4(2,end)=total(2,z-1);
                                end
                            end
                        end
                        utAkuttW4(1)=[];
                    end
                    utW4(1)=[];
                elseif tid2==utW5(1,1) %Oppdaterer antall p sengepost
                    for b=length(totalW5(1,:)):-1:1
                        if b==length(totalW5(1,:))
                            if tid2>=totalW5(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW5(2,b) && tid2<totalW5(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW5(1,:))            
                        totalW5(1,end+1)=totalW5(1,end)-1;
                        totalW5(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW5)); %Lager en kopi
                        for z=b:1:length(totalW5)
                            total(1,z)=totalW5(1,z);
                            total(2,z)=totalW5(2,z);
                        end
                        for z=b:1:length(totalW5)+1
                            if z==b
                                totalW5(1,z)=totalW5(1,z-1)-1;
                                totalW5(2,z)=tid2;
                            elseif z<=length(totalW5)
                                totalW5(1,z)=total(1,z-1)-1;
                                totalW5(2,z)=total(2,z-1);
                            else
                                totalW5(1,end+1)=total(1,z-1)-1;
                                totalW5(2,end)=total(2,z-1);
                            end
                        end
                    end
                    if utAkuttW5(1,1)==utW5(1,1)
                        for b=length(totalAkuttW5(1,:)):-1:1
                            if b==length(totalAkuttW5(1,:))
                                if tid2>=totalAkuttW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW5(2,b) && tid2<totalAkuttW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW5(1,:))            
                            totalAkuttW5(1,end+1)=totalAkuttW5(1,end)-1;
                            totalAkuttW5(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalAkuttW5)); %Lager en kopi
                            for z=b:1:length(totalAkuttW5)
                                total(1,z)=totalAkuttW5(1,z);
                                total(2,z)=totalAkuttW5(2,z);
                            end
                            for z=b:1:length(totalAkuttW5)+1
                                if z==b
                                    totalAkuttW5(1,z)=totalAkutt51(1,z-1)-1;
                                    totalAkuttW5(2,z)=tid2;
                                elseif z<=length(totalAkuttW5)
                                    totalAkuttW5(1,z)=total(1,z-1)-1;
                                    totalAkuttW5(2,z)=total(2,z-1);
                                else
                                    totalAkuttW5(1,end+1)=total(1,z-1)-1;
                                    totalAkuttW5(2,end)=total(2,z-1);
                                end
                            end
                        end
                        utAkuttW5(1)=[];
                    end
                    utW5(1)=[];
                end

            else %Ikke likt i helg - behandler bare rde og gule, kun en stue tilgjengelig, ikke alltid sikkert man fr tilgang

                utW1=sort(utW1);
                utW2=sort(utW2);
                utW3=sort(utW3);
                utW4=sort(utW4);
                utW5=sort(utW5);
                utAkuttW1=sort(utAkuttW1);
                utAkuttW2=sort(utAkuttW2);
                utAkuttW3=sort(utAkuttW3);
                utAkuttW4=sort(utAkuttW4);
                utAkuttW5=sort(utAkuttW5);

                OR2Klar=1442+(d-1)*1440; %Brukes ikke p natt
                if OR1Klar==OR2Klar
                    OR2Klar=OR2Klar+1;
                end

                if isempty(ankRod)
                    ankRod(1,end+1)=10000000;
                end

                if isempty(ankGul)
                    ankGul(1,end+1)=10000000;
                end

                if isempty(ankGronn)
                    ankGronn(1,end+1)=10000000;
                end

                if isempty(ankGronnDK)
                    ankGronnDK(1,end+1)=10000000;
                end

                tidOppdatering=[ankRod(1,1),ankGul(1,1),ankGronn(1,1), ankGronnDK(1,1), OR1Klar, OR2Klar, utW1(1,1), utW2(1,1), utW3(1,1), utW4(1,1), utW5(1,1)];
                tidOppdatering=sort(tidOppdatering);

                tid2=tidOppdatering(1,1);
                if tid2>1440*(d-1)+960
                    break;
                end
                tid1AHL=mod(tidOppdatering(1,1),1440);

                if tid2==ankRod(1,1) %Rd legges inn pre, velg sengepost, oppdater bde pre og sengepost
                    % Velger sengepost
                    ukedagSeng=mod(d,7);
                    if ukedagSeng==0
                        ukedagSeng=7;
                    end
                    sengepost=randi(akutteSeng(ukedagSeng),1,1);
                    if sengepost<=akutteOTS
                        rodePreW1(1,end+1)=rodePreW1(1,end)+1;
                        rodePreW1(2,end)=tid2;
                        for b=length(totalW1(1,:)):-1:1
                            if b==length(totalW1(1,:))
                                if tid2>=totalW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW1(2,b) && tid2<totalW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW1(1,:))            
                            totalW1(1,end+1)=totalW1(1,end)+1;
                            totalW1(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW1(1,:))); %Lager en kopi
                            for z=b:1:length(totalW1(1,:))
                                total(1,z)=totalW1(1,z);
                                total(2,z)=totalW1(2,z);
                            end
                            for z=b:1:length(totalW1(1,:))+1
                                if z==b
                                    totalW1(1,z)=totalW1(1,z-1)+1;
                                    totalW1(2,z)=tid2;
                                elseif z<=length(totalW1(1,:))
                                    totalW1(1,z)=total(1,z-1)+1;
                                    totalW1(2,z)=total(2,z-1);
                                else
                                    totalW1(1,end+1)=total(1,z-1)+1;
                                    totalW1(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW1(1,:)):-1:1
                            if b==length(totalAkuttW1(1,:))
                                if tid2>=totalAkuttW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW1(2,b) && tid2<totalAkuttW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW1(1,:))            
                            totalAkuttW1(1,end+1)=totalAkuttW1(1,end)+1;
                            totalAkuttW1(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW1(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW1(1,:))
                                totalAkutt(1,z)=totalAkuttW1(1,z);
                                totalAkutt(2,z)=totalAkuttW1(2,z);
                            end
                            for z=b:1:length(totalAkuttW1(1,:))+1
                                if z==b
                                    totalAkuttW1(1,z)=totalAkuttW1(1,z-1)+1;
                                    totalAkuttW1(2,z)=tid2;
                                elseif z<=length(totalAkuttW1(1,:))
                                    totalAkuttW1(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW1(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW1(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW1(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end
                    elseif sengepost<=akutteORS
                        rodePreW2(1,end+1)=rodePreW2(1,end)+1;
                        rodePreW2(2,end)=tid2;
                        for b=length(totalW2(1,:)):-1:1
                            if b==length(totalW2(1,:))
                                if tid2>=totalW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW2(2,b) && tid2<totalW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW2(1,:))            
                            totalW2(1,end+1)=totalW2(1,end)+1;
                            totalW2(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW2(1,:))); %Lager en kopi
                            for z=b:1:length(totalW2(1,:))
                                total(1,z)=totalW2(1,z);
                                total(2,z)=totalW2(2,z);
                            end
                            for z=b:1:length(totalW2(1,:))+1
                                if z==b
                                    totalW2(1,z)=totalW2(1,z-1)+1;
                                    totalW2(2,z)=tid2;
                                elseif z<=length(totalW2(1,:))
                                    totalW2(1,z)=total(1,z-1)+1;
                                    totalW2(2,z)=total(2,z-1);
                                else
                                    totalW2(1,end+1)=total(1,z-1)+1;
                                    totalW2(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW2(1,:)):-1:1
                            if b==length(totalAkuttW2(1,:))
                                if tid2>=totalAkuttW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW2(2,b) && tid2<totalAkuttW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW2(1,:))            
                            totalAkuttW2(1,end+1)=totalAkuttW2(1,end)+1;
                            totalAkuttW2(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW2(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW2(1,:))
                                totalAkutt(1,z)=totalAkuttW2(1,z);
                                totalAkutt(2,z)=totalAkuttW2(2,z);
                            end
                            for z=b:1:length(totalAkuttW2(1,:))+1
                                if z==b
                                    totalAkuttW2(1,z)=totalAkuttW2(1,z-1)+1;
                                    totalAkuttW2(2,z)=tid2;
                                elseif z<=length(totalAkuttW2(1,:))
                                    totalAkuttW2(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW2(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW2(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW2(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end
                    elseif sengepost<=akutteOES
                        rodePreW3(1,end+1)=rodePreW3(1,end)+1;
                        rodePreW3(2,end)=tid2;
                        for b=length(totalW3(1,:)):-1:1
                            if b==length(totalW3(1,:))
                                if tid2>=totalW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW3(2,b) && tid2<totalW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW3(1,:))            
                            totalW3(1,end+1)=totalW3(1,end)+1;
                            totalW3(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW3(1,:))); %Lager en kopi
                            for z=b:1:length(totalW3(1,:))
                                total(1,z)=totalW3(1,z);
                                total(2,z)=totalW3(2,z);
                            end
                            for z=b:1:length(totalW3(1,:))+1
                                if z==b
                                    totalW3(1,z)=totalW3(1,z-1)+1;
                                    totalW3(2,z)=tid2;
                                elseif z<=length(totalW3(1,:))
                                    totalW3(1,z)=total(1,z-1)+1;
                                    totalW3(2,z)=total(2,z-1);
                                else
                                    totalW3(1,end+1)=total(1,z-1)+1;
                                    totalW3(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW3(1,:)):-1:1
                            if b==length(totalAkuttW3(1,:))
                                if tid2>=totalAkuttW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW3(2,b) && tid2<totalAkuttW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW3(1,:))            
                            totalAkuttW3(1,end+1)=totalAkuttW3(1,end)+1;
                            totalAkuttW3(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW3(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW3(1,:))
                                totalAkutt(1,z)=totalAkuttW3(1,z);
                                totalAkutt(2,z)=totalAkuttW3(2,z);
                            end
                            for z=b:1:length(totalAkuttW3(1,:))+1
                                if z==b
                                    totalAkuttW3(1,z)=totalAkuttW3(1,z-1)+1;
                                    totalAkuttW3(2,z)=tid2;
                                elseif z<=length(totalAkuttW3(1,:))
                                    totalAkuttW3(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW3(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW3(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW3(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end
                    elseif sengepost<=akutteOFT
                        rodePreW4(1,end+1)=rodePreW4(1,end)+1;
                        rodePreW4(2,end)=tid2;
                        for b=length(totalW4(1,:)):-1:1
                            if b==length(totalW4(1,:))
                                if tid2>=totalW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW4(2,b) && tid2<totalW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW4(1,:))            
                            totalW4(1,end+1)=totalW4(1,end)+1;
                            totalW4(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW4)); %Lager en kopi
                            for z=b:1:length(totalW4)
                                total(1,z)=totalW4(1,z);
                                total(2,z)=totalW4(2,z);
                            end
                            for z=b:1:length(totalW4)+1
                                if z==b
                                    totalW4(1,z)=totalW4(1,z-1)+1;
                                    totalW4(2,z)=tid2;
                                elseif z<=length(totalW4)
                                    totalW4(1,z)=total(1,z-1)+1;
                                    totalW4(2,z)=total(2,z-1);
                                else
                                    totalW4(1,end+1)=total(1,z-1)+1;
                                    totalW4(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW4(1,:)):-1:1
                            if b==length(totalAkuttW4(1,:))
                                if tid2>=totalAkuttW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW4(2,b) && tid2<totalAkuttW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW4(1,:))            
                            totalAkuttW4(1,end+1)=totalAkuttW4(1,end)+1;
                            totalAkuttW4(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW4(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW4(1,:))
                                totalAkutt(1,z)=totalAkuttW4(1,z);
                                totalAkutt(2,z)=totalAkuttW4(2,z);
                            end
                            for z=b:1:length(totalAkuttW4(1,:))+1
                                if z==b
                                    totalAkuttW4(1,z)=totalAkuttW4(1,z-1)+1;
                                    totalAkuttW4(2,z)=tid2;
                                elseif z<=length(totalAkuttW4(1,:))
                                    totalAkuttW4(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW4(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW4(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW4(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end
                    else
                        rodePreW5(1,end+1)=rodePreW5(1,end)+1;
                        rodePreW5(2,end)=tid2;
                        for b=length(totalW5(1,:)):-1:1
                            if b==length(totalW5(1,:))
                                if tid2>=totalW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW5(2,b) && tid2<totalW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW5(1,:))            
                            totalW5(1,end+1)=totalW5(1,end)+1;
                            totalW5(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW5)); %Lager en kopi
                            for z=b:1:length(totalW5)
                                total(1,z)=totalW5(1,z);
                                total(2,z)=totalW5(2,z);
                            end
                            for z=b:1:length(totalW5)+1
                                if z==b
                                    totalW5(1,z)=totalW5(1,z-1)+1;
                                    totalW5(2,z)=tid2;
                                elseif z<=length(totalW5)
                                    totalW5(1,z)=total(1,z-1)+1;
                                    totalW5(2,z)=total(2,z-1);
                                else
                                    totalW5(1,end+1)=total(1,z-1)+1;
                                    totalW5(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW5(1,:)):-1:1
                            if b==length(totalAkuttW5(1,:))
                                if tid2>=totalAkuttW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW5(2,b) && tid2<totalAkuttW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW5(1,:))            
                            totalAkuttW5(1,end+1)=totalAkuttW5(1,end)+1;
                            totalAkuttW5(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW5(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW5(1,:))
                                totalAkutt(1,z)=totalAkuttW5(1,z);
                                totalAkutt(2,z)=totalAkuttW5(2,z);
                            end
                            for z=b:1:length(totalAkuttW5(1,:))+1
                                if z==b
                                    totalAkuttW5(1,z)=totalAkuttW5(1,z-1)+1;
                                    totalAkuttW5(2,z)=tid2;
                                elseif z<=length(totalAkuttW5(1,:))
                                    totalAkuttW5(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW5(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW5(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW5(2,end)=totalAkutt(2,z-1);
                                end
                            end


                        end
                    end

                    %Sletter ankomsten
                    ankRod(1)=[];
                elseif tid2==ankGul(1,1) %Gul legges inn pre, velg sengepost, oppdater bde pre og sengepost
                    % Velger sengepost
                    ukedagSeng=mod(d,7);
                    if ukedagSeng==0
                        ukedagSeng=7;
                    end
                    sengepost=randi(akutteSeng(ukedagSeng),1,1);
                    if sengepost<=akutteOTS
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gulePreW1(1,:)):-1:1
                            if b==length(gulePreW1(1,:))
                                if tid2>=gulePreW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=gulePreW1(2,b) && tid2<gulePreW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gulePreW1(1,:))            
                            gulePreW1(1,end+1)=gulePreW1(1,end)+1;
                            gulePreW1(2,end)=tid2;
                        else
                            b=b+1;
                            gulePreKopi=zeros(2,length(gulePreW1(1,:))); %Lager en kopi
                            for z=b:1:length(gulePreW1(1,:))
                                gulePreKopi(1,z)=gulePreW1(1,z);
                                gulePreKopi(2,z)=gulePreW1(2,z);
                            end
                            for z=b:1:length(gulePreW1(1,:))+1
                                if z==b
                                    gulePreW1(1,z)=gulePreW1(1,z-1)+1;
                                    gulePreW1(2,z)=tid2;
                                elseif z<=length(gulePreW1(1,:))
                                    gulePreW1(1,z)=gulePreKopi(1,z-1)+1;
                                    gulePreW1(2,z)=gulePreKopi(2,z-1);
                                else
                                    gulePreW1(1,end+1)=gulePreKopi(1,z-1)+1;
                                    gulePreW1(2,end)=gulePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW1(1,:)):-1:1
                            if b==length(totalW1(1,:))
                                if tid2>=totalW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW1(2,b) && tid2<totalW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW1(1,:))            
                            totalW1(1,end+1)=totalW1(1,end)+1;
                            totalW1(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW1(1,:))); %Lager en kopi
                            for z=b:1:length(totalW1(1,:))
                                total(1,z)=totalW1(1,z);
                                total(2,z)=totalW1(2,z);
                            end
                            for z=b:1:length(totalW1(1,:))+1
                                if z==b
                                    totalW1(1,z)=totalW1(1,z-1)+1;
                                    totalW1(2,z)=tid2;
                                elseif z<=length(totalW1(1,:))
                                    totalW1(1,z)=total(1,z-1)+1;
                                    totalW1(2,z)=total(2,z-1);
                                else
                                    totalW1(1,end+1)=total(1,z-1)+1;
                                    totalW1(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW1(1,:)):-1:1
                            if b==length(totalAkuttW1(1,:))
                                if tid2>=totalAkuttW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW1(2,b) && tid2<totalAkuttW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW1(1,:))            
                            totalAkuttW1(1,end+1)=totalAkuttW1(1,end)+1;
                            totalAkuttW1(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW1(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW1(1,:))
                                totalAkutt(1,z)=totalAkuttW1(1,z);
                                totalAkutt(2,z)=totalAkuttW1(2,z);
                            end
                            for z=b:1:length(totalAkuttW1(1,:))+1
                                if z==b
                                    totalAkuttW1(1,z)=totalAkuttW1(1,z-1)+1;
                                    totalAkuttW1(2,z)=tid2;
                                elseif z<=length(totalAkuttW1(1,:))
                                    totalAkuttW1(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW1(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW1(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW1(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end

                    elseif sengepost<=akutteORS
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gulePreW2(1,:)):-1:1
                            if b==length(gulePreW2(1,:))
                                if tid2>=gulePreW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=gulePreW2(2,b) && tid2<gulePreW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gulePreW2(1,:))            
                            gulePreW2(1,end+1)=gulePreW2(1,end)+1;
                            gulePreW2(2,end)=tid2;
                        else
                            b=b+1;
                            gulePreKopi=zeros(2,length(gulePreW2(1,:))); %Lager en kopi
                            for z=b:1:length(gulePreW2(1,:))
                                gulePreKopi(1,z)=gulePreW2(1,z);
                                gulePreKopi(2,z)=gulePreW2(2,z);
                            end
                            for z=b:1:length(gulePreW2(1,:))+1
                                if z==b
                                    gulePreW2(1,z)=gulePreW2(1,z-1)+1;
                                    gulePreW2(2,z)=tid2;
                                elseif z<=length(gulePreW2(1,:))
                                    gulePreW2(1,z)=gulePreKopi(1,z-1)+1;
                                    gulePreW2(2,z)=gulePreKopi(2,z-1);
                                else
                                    gulePreW2(1,end+1)=gulePreKopi(1,z-1)+1;
                                    gulePreW2(2,end)=gulePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW2(1,:)):-1:1
                            if b==length(totalW2(1,:))
                                if tid2>=totalW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW2(2,b) && tid2<totalW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW2(1,:))            
                            totalW2(1,end+1)=totalW2(1,end)+1;
                            totalW2(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW2(1,:))); %Lager en kopi
                            for z=b:1:length(totalW2(1,:))
                                total(1,z)=totalW2(1,z);
                                total(2,z)=totalW2(2,z);
                            end
                            for z=b:1:length(totalW2(1,:))+1
                                if z==b
                                    totalW2(1,z)=totalW2(1,z-1)+1;
                                    totalW2(2,z)=tid2;
                                elseif z<=length(totalW2(1,:))
                                    totalW2(1,z)=total(1,z-1)+1;
                                    totalW2(2,z)=total(2,z-1);
                                else
                                    totalW2(1,end+1)=total(1,z-1)+1;
                                    totalW2(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW2(1,:)):-1:1
                            if b==length(totalAkuttW2(1,:))
                                if tid2>=totalAkuttW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW2(2,b) && tid2<totalAkuttW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW2(1,:))            
                            totalAkuttW2(1,end+1)=totalAkuttW2(1,end)+1;
                            totalAkuttW2(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW2(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW2(1,:))
                                totalAkutt(1,z)=totalAkuttW2(1,z);
                                totalAkutt(2,z)=totalAkuttW2(2,z);
                            end
                            for z=b:1:length(totalAkuttW2(1,:))+1
                                if z==b
                                    totalAkuttW2(1,z)=totalAkuttW2(1,z-1)+1;
                                    totalAkuttW2(2,z)=tid2;
                                elseif z<=length(totalAkuttW2(1,:))
                                    totalAkuttW2(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW2(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW2(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW2(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end

                    elseif sengepost<=akutteOES
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gulePreW3(1,:)):-1:1
                            if b==length(gulePreW3(1,:))
                                if tid2>=gulePreW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=gulePreW3(2,b) && tid2<gulePreW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gulePreW3(1,:))            
                            gulePreW3(1,end+1)=gulePreW3(1,end)+1;
                            gulePreW3(2,end)=tid2;
                        else
                            b=b+1;
                            gulePreKopi=zeros(2,length(gulePreW3(1,:))); %Lager en kopi
                            for z=b:1:length(gulePreW3(1,:))
                                gulePreKopi(1,z)=gulePreW3(1,z);
                                gulePreKopi(2,z)=gulePreW3(2,z);
                            end
                            for z=b:1:length(gulePreW3(1,:))+1
                                if z==b
                                    gulePreW3(1,z)=gulePreW3(1,z-1)+1;
                                    gulePreW3(2,z)=tid2;
                                elseif z<=length(gulePreW3(1,:))
                                    gulePreW3(1,z)=gulePreKopi(1,z-1)+1;
                                    gulePreW3(2,z)=gulePreKopi(2,z-1);
                                else
                                    gulePreW3(1,end+1)=gulePreKopi(1,z-1)+1;
                                    gulePreW3(2,end)=gulePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW3(1,:)):-1:1
                            if b==length(totalW3(1,:))
                                if tid2>=totalW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW3(2,b) && tid2<totalW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW3(1,:))            
                            totalW3(1,end+1)=totalW3(1,end)+1;
                            totalW3(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW3(1,:))); %Lager en kopi
                            for z=b:1:length(totalW3(1,:))
                                total(1,z)=totalW3(1,z);
                                total(2,z)=totalW3(2,z);
                            end
                            for z=b:1:length(totalW3(1,:))+1
                                if z==b
                                    totalW3(1,z)=totalW3(1,z-1)+1;
                                    totalW3(2,z)=tid2;
                                elseif z<=length(totalW3(1,:))
                                    totalW3(1,z)=total(1,z-1)+1;
                                    totalW3(2,z)=total(2,z-1);
                                else
                                    totalW3(1,end+1)=total(1,z-1)+1;
                                    totalW3(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW3(1,:)):-1:1
                            if b==length(totalAkuttW3(1,:))
                                if tid2>=totalAkuttW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW3(2,b) && tid2<totalAkuttW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW3(1,:))            
                            totalAkuttW3(1,end+1)=totalAkuttW3(1,end)+1;
                            totalAkuttW3(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW3(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW3(1,:))
                                totalAkutt(1,z)=totalAkuttW3(1,z);
                                totalAkutt(2,z)=totalAkuttW3(2,z);
                            end
                            for z=b:1:length(totalAkuttW3(1,:))+1
                                if z==b
                                    totalAkuttW3(1,z)=totalAkuttW3(1,z-1)+1;
                                    totalAkuttW3(2,z)=tid2;
                                elseif z<=length(totalAkuttW3(1,:))
                                    totalAkuttW3(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW3(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW3(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW3(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end

                    elseif sengepost<=akutteOFT
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gulePreW4(1,:)):-1:1
                            if b==length(gulePreW4(1,:))
                                if tid2>=gulePreW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=gulePreW4(2,b) && tid2<gulePreW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gulePreW4(1,:))            
                            gulePreW4(1,end+1)=gulePreW4(1,end)+1;
                            gulePreW4(2,end)=tid2;
                        else
                            b=b+1;
                            gulePreKopi=zeros(2,length(gulePreW4(1,:))); %Lager en kopi
                            for z=b:1:length(gulePreW4(1,:))
                                gulePreKopi(1,z)=gulePreW4(1,z);
                                gulePreKopi(2,z)=gulePreW4(2,z);
                            end
                            for z=b:1:length(gulePreW4(1,:))+1
                                if z==b
                                    gulePreW4(1,z)=gulePreW4(1,z-1)+1;
                                    gulePreW4(2,z)=tid2;
                                elseif z<=length(gulePreW4(1,:))
                                    gulePreW4(1,z)=gulePreKopi(1,z-1)+1;
                                    gulePreW4(2,z)=gulePreKopi(2,z-1);
                                else
                                    gulePreW4(1,end+1)=gulePreKopi(1,z-1)+1;
                                    gulePreW4(2,end)=gulePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW4(1,:)):-1:1
                            if b==length(totalW4(1,:))
                                if tid2>=totalW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW4(2,b) && tid2<totalW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW4(1,:))            
                            totalW4(1,end+1)=totalW4(1,end)+1;
                            totalW4(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW4)); %Lager en kopi
                            for z=b:1:length(totalW4)
                                total(1,z)=totalW4(1,z);
                                total(2,z)=totalW4(2,z);
                            end
                            for z=b:1:length(totalW4)+1
                                if z==b
                                    totalW4(1,z)=totalW4(1,z-1)+1;
                                    totalW4(2,z)=tid2;
                                elseif z<=length(totalW4)
                                    totalW4(1,z)=total(1,z-1)+1;
                                    totalW4(2,z)=total(2,z-1);
                                else
                                    totalW4(1,end+1)=total(1,z-1)+1;
                                    totalW4(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW4(1,:)):-1:1
                            if b==length(totalAkuttW4(1,:))
                                if tid2>=totalAkuttW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW4(2,b) && tid2<totalAkuttW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW4(1,:))            
                            totalAkuttW4(1,end+1)=totalAkuttW4(1,end)+1;
                            totalAkuttW4(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW4(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW4(1,:))
                                totalAkutt(1,z)=totalAkuttW4(1,z);
                                totalAkutt(2,z)=totalAkuttW4(2,z);
                            end
                            for z=b:1:length(totalAkuttW4(1,:))+1
                                if z==b
                                    totalAkuttW4(1,z)=totalAkuttW4(1,z-1)+1;
                                    totalAkuttW4(2,z)=tid2;
                                elseif z<=length(totalAkuttW4(1,:))
                                    totalAkuttW4(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW4(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW4(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW4(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end

                    else
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gulePreW5(1,:)):-1:1
                            if b==length(gulePreW5(1,:))
                                if tid2>=gulePreW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=gulePreW5(2,b) && tid2<gulePreW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gulePreW5(1,:))            
                            gulePreW5(1,end+1)=gulePreW5(1,end)+1;
                            gulePreW5(2,end)=tid2;
                        else
                            b=b+1;
                            gulePreKopi=zeros(2,length(gulePreW5(1,:))); %Lager en kopi
                            for z=b:1:length(gulePreW5(1,:))
                                gulePreKopi(1,z)=gulePreW5(1,z);
                                gulePreKopi(2,z)=gulePreW5(2,z);
                            end
                            for z=b:1:length(gulePreW5(1,:))+1
                                if z==b
                                    gulePreW5(1,z)=gulePreW5(1,z-1)+1;
                                    gulePreW5(2,z)=tid2;
                                elseif z<=length(gulePreW5(1,:))
                                    gulePreW5(1,z)=gulePreKopi(1,z-1)+1;
                                    gulePreW5(2,z)=gulePreKopi(2,z-1);
                                else
                                    gulePreW5(1,end+1)=gulePreKopi(1,z-1)+1;
                                    gulePreW5(2,end)=gulePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW5(1,:)):-1:1
                            if b==length(totalW5(1,:))
                                if tid2>=totalW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW5(2,b) && tid2<totalW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW5(1,:))            
                            totalW5(1,end+1)=totalW5(1,end)+1;
                            totalW5(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW5)); %Lager en kopi
                            for z=b:1:length(totalW5)
                                total(1,z)=totalW5(1,z);
                                total(2,z)=totalW5(2,z);
                            end
                            for z=b:1:length(totalW5)+1
                                if z==b
                                    totalW5(1,z)=totalW5(1,z-1)+1;
                                    totalW5(2,z)=tid2;
                                elseif z<=length(totalW5)
                                    totalW5(1,z)=total(1,z-1)+1;
                                    totalW5(2,z)=total(2,z-1);
                                else
                                    totalW5(1,end+1)=total(1,z-1)+1;
                                    totalW5(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW5(1,:)):-1:1
                            if b==length(totalAkuttW5(1,:))
                                if tid2>=totalAkuttW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW5(2,b) && tid2<totalAkuttW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW5(1,:))            
                            totalAkuttW5(1,end+1)=totalAkuttW5(1,end)+1;
                            totalAkuttW5(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW5(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW5(1,:))
                                totalAkutt(1,z)=totalAkuttW5(1,z);
                                totalAkutt(2,z)=totalAkuttW5(2,z);
                            end
                            for z=b:1:length(totalAkuttW5(1,:))+1
                                if z==b
                                    totalAkuttW5(1,z)=totalAkuttW5(1,z-1)+1;
                                    totalAkuttW5(2,z)=tid2;
                                elseif z<=length(totalAkuttW5(1,:))
                                    totalAkuttW5(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW5(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW5(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW5(2,end)=totalAkutt(2,z-1);
                                end
                            end


                        end
                    end

                    %Sletter ankomsten
                    ankGul(1)=[];
                elseif tid2==ankGronn(1,1) %Grnn legges inn eller sendes hjem - leggges uansett p liste for skedulering til BVS (skeduleres neste dag), evt til AHL
                    % Velger sengepost
                    ukedagSeng=mod(d,7);
                    if ukedagSeng==0
                        ukedagSeng=7;
                    end
                    sengepost=randi(akutteSeng(ukedagSeng),1,1);
                    if sengepost<=akutteOTS
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gronnePreW1(1,:)):-1:1
                            if b==length(gronnePreW1(1,:))
                                if tid2>=gronnePreW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=gronnePreW1(2,b) && tid2<gronnePreW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gronnePreW1(1,:))            
                            gronnePreW1(1,end+1)=gronnePreW1(1,end)+1;
                            gronnePreW1(2,end)=tid2;
                        else
                            b=b+1;
                            gronnePreKopi=zeros(2,length(gronnePreW1(1,:))); %Lager en kopi
                            for z=b:1:length(gronnePreW1(1,:))
                                gronnePreKopi(1,z)=gronnePreW1(1,z);
                                gronnePreKopi(2,z)=gronnePreW1(2,z);
                            end
                            for z=b:1:length(gronnePreW1(1,:))+1
                                if z==b
                                    gronnePreW1(1,z)=gronnePreW1(1,z-1)+1;
                                    gronnePreW1(2,z)=tid2;
                                elseif z<=length(gronnePreW1(1,:))
                                    gronnePreW1(1,z)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW1(2,z)=gronnePreKopi(2,z-1);
                                else
                                    gronnePreW1(1,end+1)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW1(2,end)=gronnePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW1(1,:)):-1:1
                            if b==length(totalW1(1,:))
                                if tid2>=totalW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW1(2,b) && tid2<totalW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW1(1,:))            
                            totalW1(1,end+1)=totalW1(1,end)+1;
                            totalW1(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW1(1,:))); %Lager en kopi
                            for z=b:1:length(totalW1(1,:))
                                total(1,z)=totalW1(1,z);
                                total(2,z)=totalW1(2,z);
                            end
                            for z=b:1:length(totalW1(1,:))+1
                                if z==b
                                    totalW1(1,z)=totalW1(1,z-1)+1;
                                    totalW1(2,z)=tid2;
                                elseif z<=length(totalW1(1,:))
                                    totalW1(1,z)=total(1,z-1)+1;
                                    totalW1(2,z)=total(2,z-1);
                                else
                                    totalW1(1,end+1)=total(1,z-1)+1;
                                    totalW1(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW1(1,:)):-1:1
                            if b==length(totalAkuttW1(1,:))
                                if tid2>=totalAkuttW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW1(2,b) && tid2<totalAkuttW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW1(1,:))            
                            totalAkuttW1(1,end+1)=totalAkuttW1(1,end)+1;
                            totalAkuttW1(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW1(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW1(1,:))
                                totalAkutt(1,z)=totalAkuttW1(1,z);
                                totalAkutt(2,z)=totalAkuttW1(2,z);
                            end
                            for z=b:1:length(totalAkuttW1(1,:))+1
                                if z==b
                                    totalAkuttW1(1,z)=totalAkuttW1(1,z-1)+1;
                                    totalAkuttW1(2,z)=tid2;
                                elseif z<=length(totalAkuttW1(1,:))
                                    totalAkuttW1(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW1(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW1(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW1(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end
                        post=1;
                    elseif sengepost<=akutteORS
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gronnePreW2(1,:)):-1:1
                            if b==length(gronnePreW2(1,:))
                                if tid2>=gronnePreW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=gronnePreW2(2,b) && tid2<gronnePreW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gronnePreW2(1,:))            
                            gronnePreW2(1,end+1)=gronnePreW2(1,end)+1;
                            gronnePreW2(2,end)=tid2;
                        else
                            b=b+1;
                            gronnePreKopi=zeros(2,length(gronnePreW2(1,:))); %Lager en kopi
                            for z=b:1:length(gronnePreW2(1,:))
                                gronnePreKopi(1,z)=gronnePreW2(1,z);
                                gronnePreKopi(2,z)=gronnePreW2(2,z);
                            end
                            for z=b:1:length(gronnePreW2(1,:))+1
                                if z==b
                                    gronnePreW2(1,z)=gronnePreW2(1,z-1)+1;
                                    gronnePreW2(2,z)=tid2;
                                elseif z<=length(gronnePreW2(1,:))
                                    gronnePreW2(1,z)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW2(2,z)=gronnePreKopi(2,z-1);
                                else
                                    gronnePreW2(1,end+1)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW2(2,end)=gronnePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW2(1,:)):-1:1
                            if b==length(totalW2(1,:))
                                if tid2>=totalW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW2(2,b) && tid2<totalW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW2(1,:))            
                            totalW2(1,end+1)=totalW2(1,end)+1;
                            totalW2(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW2(1,:))); %Lager en kopi
                            for z=b:1:length(totalW2(1,:))
                                total(1,z)=totalW2(1,z);
                                total(2,z)=totalW2(2,z);
                            end
                            for z=b:1:length(totalW2(1,:))+1
                                if z==b
                                    totalW2(1,z)=totalW2(1,z-1)+1;
                                    totalW2(2,z)=tid2;
                                elseif z<=length(totalW2(1,:))
                                    totalW2(1,z)=total(1,z-1)+1;
                                    totalW2(2,z)=total(2,z-1);
                                else
                                    totalW2(1,end+1)=total(1,z-1)+1;
                                    totalW2(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW2(1,:)):-1:1
                            if b==length(totalAkuttW2(1,:))
                                if tid2>=totalAkuttW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW2(2,b) && tid2<totalAkuttW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW2(1,:))            
                            totalAkuttW2(1,end+1)=totalAkuttW2(1,end)+1;
                            totalAkuttW2(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW2(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW2(1,:))
                                totalAkutt(1,z)=totalAkuttW2(1,z);
                                totalAkutt(2,z)=totalAkuttW2(2,z);
                            end
                            for z=b:1:length(totalAkuttW2(1,:))+1
                                if z==b
                                    totalAkuttW2(1,z)=totalAkuttW2(1,z-1)+1;
                                    totalAkuttW2(2,z)=tid2;
                                elseif z<=length(totalAkuttW2(1,:))
                                    totalAkuttW2(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW2(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW2(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW2(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end
                        post=2;
                    elseif sengepost<=akutteOES
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gronnePreW3(1,:)):-1:1
                            if b==length(gronnePreW3(1,:))
                                if tid2>=gronnePreW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=gronnePreW3(2,b) && tid2<gronnePreW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gronnePreW3(1,:))            
                            gronnePreW3(1,end+1)=gronnePreW3(1,end)+1;
                            gronnePreW3(2,end)=tid2;
                        else
                            b=b+1;
                            gronnePreKopi=zeros(2,length(gronnePreW3(1,:))); %Lager en kopi
                            for z=b:1:length(gronnePreW3(1,:))
                                gronnePreKopi(1,z)=gronnePreW3(1,z);
                                gronnePreKopi(2,z)=gronnePreW3(2,z);
                            end
                            for z=b:1:length(gronnePreW3(1,:))+1
                                if z==b
                                    gronnePreW3(1,z)=gronnePreW3(1,z-1)+1;
                                    gronnePreW3(2,z)=tid2;
                                elseif z<=length(gronnePreW3(1,:))
                                    gronnePreW3(1,z)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW3(2,z)=gronnePreKopi(2,z-1);
                                else
                                    gronnePreW3(1,end+1)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW3(2,end)=gronnePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW3(1,:)):-1:1
                            if b==length(totalW3(1,:))
                                if tid2>=totalW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW3(2,b) && tid2<totalW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW3(1,:))            
                            totalW3(1,end+1)=totalW3(1,end)+1;
                            totalW3(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW3(1,:))); %Lager en kopi
                            for z=b:1:length(totalW3(1,:))
                                total(1,z)=totalW3(1,z);
                                total(2,z)=totalW3(2,z);
                            end
                            for z=b:1:length(totalW3(1,:))+1
                                if z==b
                                    totalW3(1,z)=totalW3(1,z-1)+1;
                                    totalW3(2,z)=tid2;
                                elseif z<=length(totalW3(1,:))
                                    totalW3(1,z)=total(1,z-1)+1;
                                    totalW3(2,z)=total(2,z-1);
                                else
                                    totalW3(1,end+1)=total(1,z-1)+1;
                                    totalW3(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW3(1,:)):-1:1
                            if b==length(totalAkuttW3(1,:))
                                if tid2>=totalAkuttW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW3(2,b) && tid2<totalAkuttW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW3(1,:))            
                            totalAkuttW3(1,end+1)=totalAkuttW3(1,end)+1;
                            totalAkuttW3(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW3(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW3(1,:))
                                totalAkutt(1,z)=totalAkuttW3(1,z);
                                totalAkutt(2,z)=totalAkuttW3(2,z);
                            end
                            for z=b:1:length(totalAkuttW3(1,:))+1
                                if z==b
                                    totalAkuttW3(1,z)=totalAkuttW3(1,z-1)+1;
                                    totalAkuttW3(2,z)=tid2;
                                elseif z<=length(totalAkuttW3(1,:))
                                    totalAkuttW3(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW3(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW3(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW3(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end
                        post=3;
                    elseif sengepost<=akutteOFT
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gronnePreW4(1,:)):-1:1
                            if b==length(gronnePreW4(1,:))
                                if tid2>=gronnePreW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=gronnePreW4(2,b) && tid2<gronnePreW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gronnePreW4(1,:))            
                            gronnePreW4(1,end+1)=gronnePreW4(1,end)+1;
                            gronnePreW4(2,end)=tid2;
                        else
                            b=b+1;
                            gronnePreKopi=zeros(2,length(gronnePreW4(1,:))); %Lager en kopi
                            for z=b:1:length(gronnePreW4(1,:))
                                gronnePreKopi(1,z)=gronnePreW4(1,z);
                                gronnePreKopi(2,z)=gronnePreW4(2,z);
                            end
                            for z=b:1:length(gronnePreW4(1,:))+1
                                if z==b
                                    gronnePreW4(1,z)=gronnePreW4(1,z-1)+1;
                                    gronnePreW4(2,z)=tid2;
                                elseif z<=length(gronnePreW4(1,:))
                                    gronnePreW4(1,z)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW4(2,z)=gronnePreKopi(2,z-1);
                                else
                                    gronnePreW4(1,end+1)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW4(2,end)=gronnePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW4(1,:)):-1:1
                            if b==length(totalW4(1,:))
                                if tid2>=totalW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW4(2,b) && tid2<totalW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW4(1,:))            
                            totalW4(1,end+1)=totalW4(1,end)+1;
                            totalW4(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW4)); %Lager en kopi
                            for z=b:1:length(totalW4)
                                total(1,z)=totalW4(1,z);
                                total(2,z)=totalW4(2,z);
                            end
                            for z=b:1:length(totalW4)+1
                                if z==b
                                    totalW4(1,z)=totalW4(1,z-1)+1;
                                    totalW4(2,z)=tid2;
                                elseif z<=length(totalW4)
                                    totalW4(1,z)=total(1,z-1)+1;
                                    totalW4(2,z)=total(2,z-1);
                                else
                                    totalW4(1,end+1)=total(1,z-1)+1;
                                    totalW4(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW4(1,:)):-1:1
                            if b==length(totalAkuttW4(1,:))
                                if tid2>=totalAkuttW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW4(2,b) && tid2<totalAkuttW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW4(1,:))            
                            totalAkuttW4(1,end+1)=totalAkuttW4(1,end)+1;
                            totalAkuttW4(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW4(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW4(1,:))
                                totalAkutt(1,z)=totalAkuttW4(1,z);
                                totalAkutt(2,z)=totalAkuttW4(2,z);
                            end
                            for z=b:1:length(totalAkuttW4(1,:))+1
                                if z==b
                                    totalAkuttW4(1,z)=totalAkuttW4(1,z-1)+1;
                                    totalAkuttW4(2,z)=tid2;
                                elseif z<=length(totalAkuttW4(1,:))
                                    totalAkuttW4(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW4(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW4(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW4(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end
                        post=4;
                    else
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gronnePreW5(1,:)):-1:1
                            if b==length(gronnePreW5(1,:))
                                if tid2>=gronnePreW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=gronnePreW5(2,b) && tid2<gronnePreW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gronnePreW5(1,:))            
                            gronnePreW5(1,end+1)=gronnePreW5(1,end)+1;
                            gronnePreW5(2,end)=tid2;
                        else
                            b=b+1;
                            gronnePreKopi=zeros(2,length(gronnePreW5(1,:))); %Lager en kopi
                            for z=b:1:length(gronnePreW5(1,:))
                                gronnePreKopi(1,z)=gronnePreW5(1,z);
                                gronnePreKopi(2,z)=gronnePreW5(2,z);
                            end
                            for z=b:1:length(gronnePreW5(1,:))+1
                                if z==b
                                    gronnePreW5(1,z)=gronnePreW5(1,z-1)+1;
                                    gronnePreW5(2,z)=tid2;
                                elseif z<=length(gronnePreW5(1,:))
                                    gronnePreW5(1,z)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW5(2,z)=gronnePreKopi(2,z-1);
                                else
                                    gronnePreW5(1,end+1)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW5(2,end)=gronnePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW5(1,:)):-1:1
                            if b==length(totalW5(1,:))
                                if tid2>=totalW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW5(2,b) && tid2<totalW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW5(1,:))            
                            totalW5(1,end+1)=totalW5(1,end)+1;
                            totalW5(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW5)); %Lager en kopi
                            for z=b:1:length(totalW5)
                                total(1,z)=totalW5(1,z);
                                total(2,z)=totalW5(2,z);
                            end
                            for z=b:1:length(totalW5)+1
                                if z==b
                                    totalW5(1,z)=totalW5(1,z-1)+1;
                                    totalW5(2,z)=tid2;
                                elseif z<=length(totalW5)
                                    totalW5(1,z)=total(1,z-1)+1;
                                    totalW5(2,z)=total(2,z-1);
                                else
                                    totalW5(1,end+1)=total(1,z-1)+1;
                                    totalW5(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW5(1,:)):-1:1
                            if b==length(totalAkuttW5(1,:))
                                if tid2>=totalAkuttW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW5(2,b) && tid2<totalAkuttW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW5(1,:))            
                            totalAkuttW5(1,end+1)=totalAkuttW5(1,end)+1;
                            totalAkuttW5(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW5(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW5(1,:))
                                totalAkutt(1,z)=totalAkuttW5(1,z);
                                totalAkutt(2,z)=totalAkuttW5(2,z);
                            end
                            for z=b:1:length(totalAkuttW5(1,:))+1
                                if z==b
                                    totalAkuttW5(1,z)=totalAkuttW5(1,z-1)+1;
                                    totalAkuttW5(2,z)=tid2;
                                elseif z<=length(totalAkuttW5(1,:))
                                    totalAkuttW5(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW5(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW5(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW5(2,end)=totalAkutt(2,z-1);
                                end
                            end


                        end
                        post=5;
                    end


                    %Pasientent legges p liste for  bli skedulert
                    gronnListeSkedulering(1,end+1)=ankGronn(1);
                    gronnListeSkeduleringSeng(1,end+1)=post;
                    %Sletter ankomsten
                    ankGronn(1)=[];

                elseif tid2==ankGronnDK(1,1) %Grnne DK-pasienter - pasienten sendes hjem, ikke sengepost
                    %Pasientent legges p liste for  bli skedulert
                    gronnDKListeSkedulering(1,end+1)=ankGronnDK(1);

                    % Legger pasienten i k (hjemme)
                    for b=length(gronneDKHjemme(1,:)):-1:1
                        if b==length(gronneDKHjemme(1,:))
                            if tid2>=gronneDKHjemme(2,b)
                                break;
                            end
                        else
                            if tid2>=gronneDKHjemme(2,b) && tid2<gronneDKHjemme(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(gronneDKHjemme(1,:))            
                        gronneDKHjemme(1,end+1)=gronneDKHjemme(1,end)+1;
                        gronneDKHjemme(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(gronneDKHjemme)); %Lager en kopi
                        for z=b:1:length(gronneDKHjemme)
                            total(1,z)=gronneDKHjemme(1,z);
                            total(2,z)=gronneDKHjemme(2,z);
                        end
                        for z=b:1:length(gronneDKHjemme)+1
                            if z==b
                                gronneDKHjemme(1,z)=gronneDKHjemme(1,z-1)+1;
                                gronneDKHjemme(2,z)=tid2;
                            elseif z<=length(gronneDKHjemme)
                                gronneDKHjemme(1,z)=total(1,z-1)+1;
                                gronneDKHjemme(2,z)=total(2,z-1);
                            else
                                gronneDKHjemme(1,end+1)=total(1,z-1)+1;
                                gronneDKHjemme(2,end)=total(2,z-1);
                            end
                        end
                    end
                    %Sletter ankomsten
                    ankGronnDK(1)=[];


                elseif tid2==OR1Klar %Se etter ledige pasienter, ta pasient ut fra pre, trekk tid for OP, trekk tid for sengepost

                    %Se om rd til stede p sengeposter
                    tellerSeng=0;
                    indeksW1=0;
                    indeksW2=0;
                    indeksW3=0;
                    indeksW4=0;
                    indeksW5=0;
                    rodeVenter=[];

                    if rodePreW1(1,end)>0
                        while tellerSeng<rodePreW1(1,end)
                            if rodePreW1(1,end-indeksW1)>rodePreW1(1,end-indeksW1-1) %vi ser en ankomst
                                tellerSeng=tellerSeng+1;
                            end
                            if tellerSeng==rodePreW1(1,end)
                                indeksW1=indeksW1;
                            else
                            indeksW1=indeksW1+1;
                            end
                        end
                        rodeVenter(1,end+1)=rodePreW1(2,end-indeksW1);
                        tellerSeng=0;
                    end

                    if rodePreW2(1,end)>0
                        while tellerSeng<rodePreW2(1,end)
                            if rodePreW2(1,end-indeksW2)>rodePreW2(1,end-indeksW2-1) %vi ser en ankomst
                                tellerSeng=tellerSeng+1;
                            end
                            if tellerSeng==rodePreW2(1,end)
                                indeksW2=indeksW2;
                            else
                            indeksW2=indeksW2+1;
                            end
                        end
                        rodeVenter(1,end+1)=rodePreW2(2,end-indeksW2);
                        tellerSeng=0;
                    end

                    if rodePreW3(1,end)>0
                        while tellerSeng<rodePreW3(1,end)
                            if rodePreW3(1,end-indeksW3)>rodePreW3(1,end-indeksW3-1) %vi ser en ankomst
                                tellerSeng=tellerSeng+1;
                            end
                            if tellerSeng==rodePreW3(1,end)
                                indeksW3=indeksW3;
                            else
                            indeksW3=indeksW3+1;
                            end
                        end
                        rodeVenter(1,end+1)=rodePreW3(2,end-indeksW3);
                        tellerSeng=0;
                    end

                    if rodePreW4(1,end)>0
                        while tellerSeng<rodePreW4(1,end)
                            if rodePreW4(1,end-indeksW4)>rodePreW4(1,end-indeksW4-1) %vi ser en ankomst
                                tellerSeng=tellerSeng+1;
                            end
                            if tellerSeng==rodePreW4(1,end)
                                indeksW4=indeksW4;
                            else
                            indeksW4=indeksW4+1;
                            end
                        end
                        rodeVenter(1,end+1)=rodePreW4(2,end-indeksW4);
                        tellerSeng=0;
                    end

                    if rodePreW5(1,end)>0
                        while tellerSeng<rodePreW5(1,end)
                            if rodePreW5(1,end-indeksW5)>rodePreW5(1,end-indeksW5-1) %vi ser en ankomst
                                tellerSeng=tellerSeng+1;
                            end
                            if tellerSeng==rodePreW5(1,end)
                                indeksW5=indeksW5;
                            else
                            indeksW5=indeksW5+1;
                            end
                        end
                        rodeVenter(1,end+1)=rodePreW5(2,end-indeksW5);
                        tellerSeng=0;
                    end

                    if length(rodeVenter)>0 %Det ligger rde og venter
                        rodAdgang=rand;


                        if rodAdgang<=rodNatt %Vi fr tilgang til operasjonsrommet
                        rodeVenter=sort(rodeVenter);
                        tellerAntallAHL1=tellerAntallAHL1+1;
                            if rodeVenter(1,1)==rodePreW1(2,end-indeksW1)

                                %Vi fjerner pasienten fra ventelisten 
                                rodePreW1(1,end+1)=rodePreW1(1,end)-1;
                                rodePreW1(2,end)=tid2;

                                %Finner ventetid til operasjon, legger til den
                                %tiden det tar  trille ned pasienten
                                kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                                ventetiderRode(2,end)=tid2;

                                %Trekker operasjonstid og oppdaterer tid for ferdig
                                if lognorm==1                                     
                                    stuetid=min(400,lognrnd(muRod,sigmaRod));                                 
                                else
                                    trekkStue=randi(length(stuetidRod(~isnan(stuetidRod))));                                     
                                    stuetid=min(400,stuetidRod(trekkStue));                                 
                                end
                                OR1Klar=tid2+kjoreNed+stuetid;

                                %Trekker liggetid p sengepost
                                if LOS_fordeling==1
                                    liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                                else
                                    liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                end
                                utW1(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100);
                                utAkuttW1(1,end+1)=utW1(1,end);

                            elseif rodeVenter(1,1)==rodePreW2(2,end-indeksW2)
                                %Vi fjerner pasienten fra ventelisten 
                                rodePreW2(1,end+1)=rodePreW2(1,end)-1;
                                rodePreW2(2,end)=tid2;

                                %Finner ventetid til operasjon, legger til den
                                %tiden det tar  trille ned pasienten
                                kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                                ventetiderRode(2,end)=tid2;

                                %Trekker operasjonstid og oppdaterer tid for ferdig
                                if lognorm==1                                     
                                    stuetid=min(400,lognrnd(muRod,sigmaRod));                                 
                                else
                                    trekkStue=randi(length(stuetidRod(~isnan(stuetidRod))));                                     
                                    stuetid=min(400,stuetidRod(trekkStue));                                 
                                end
                                OR1Klar=tid2+kjoreNed+stuetid;

                                %Trekker liggetid p sengepost
                                if LOS_fordeling==1
                                    liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                                else
                                    liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                end
                                utW2(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); 
                                utAkuttW2(1,end+1)=utW2(1,end);

                            elseif rodeVenter(1,1)==rodePreW3(2,end-indeksW3)
                                %Vi fjerner pasienten fra ventelisten 
                                rodePreW3(1,end+1)=rodePreW3(1,end)-1;
                                rodePreW3(2,end)=tid2;

                                %Finner ventetid til operasjon, legger til den
                                %tiden det tar  trille ned pasienten
                                kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                                ventetiderRode(2,end)=tid2;

                                %Trekker operasjonstid og oppdaterer tid for ferdig
                                if lognorm==1                                     
                                    stuetid=min(400,lognrnd(muRod,sigmaRod));                                 
                                else
                                    trekkStue=randi(length(stuetidRod(~isnan(stuetidRod))));                                     
                                    stuetid=min(400,stuetidRod(trekkStue));                                 
                                end
                                OR1Klar=tid2+kjoreNed+stuetid;

                                %Trekker liggetid p sengepost
                                if LOS_fordeling==1
                                    liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                                else
                                    liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                end
                                utW3(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); 
                                utAkuttW3(1,end+1)=utW3(1,end);

                            elseif rodeVenter(1,1)==rodePreW4(2,end-indeksW4)
                                %Vi fjerner pasienten fra ventelisten 
                                rodePreW4(1,end+1)=rodePreW4(1,end)-1;
                                rodePreW4(2,end)=tid2;

                                %Finner ventetid til operasjon, legger til den
                                %tiden det tar  trille ned pasienten
                                kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                                ventetiderRode(2,end)=tid2;

                                %Trekker operasjonstid og oppdaterer tid for ferdig
                                if lognorm==1                                     
                                    stuetid=min(400,lognrnd(muRod,sigmaRod));                                 
                                else
                                    trekkStue=randi(length(stuetidRod(~isnan(stuetidRod))));                                     
                                    stuetid=min(400,stuetidRod(trekkStue));                                 
                                end
                                OR1Klar=tid2+kjoreNed+stuetid;

                                %Trekker liggetid p sengepost
                                if LOS_fordeling==1
                                    liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                                else
                                    liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                end
                                utW4(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); 
                                utAkuttW4(1,end+1)=utW4(1,end);

                            elseif rodeVenter(1,1)==rodePreW5(2,end-indeksW5)
                                %Vi fjerner pasienten fra ventelisten 
                                rodePreW5(1,end+1)=rodePreW5(1,end)-1;
                                rodePreW5(2,end)=tid2;

                                %Finner ventetid til operasjon, legger til den
                                %tiden det tar  trille ned pasienten
                                kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                                ventetiderRode(2,end)=tid2;

                                %Trekker operasjonstid og oppdaterer tid for ferdig
                                if lognorm==1                                     
                                    stuetid=min(400,lognrnd(muRod,sigmaRod));                                 
                                else
                                    trekkStue=randi(length(stuetidRod(~isnan(stuetidRod))));                                     
                                    stuetid=min(400,stuetidRod(trekkStue));                                 
                                end
                                OR1Klar=tid2+kjoreNed+stuetid;

                                %Trekker liggetid p sengepost
                                if LOS_fordeling==1
                                    liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                                else
                                    liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                end
                                utW5(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100);
                                utAkuttW5(1,end+1)=utW5(1,end);
                            end
                        else % Vi fr ikke tilgang til operasjonsrommet
                            if lognorm==1
                                OR1Klar=tid2+lognrnd(muKir,stdKir); 
                            else
                                trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn)))); 
                                stuetid=min(400,stuetidGronn(trekkStue));
                                OR1Klar=tid2 + stuetid;
                            end
                        end
                    else %Ingen rde til stede, ser etter gule

                        tellerSeng=0;
                        indeksW1=0;
                        indeksW2=0;
                        indeksW3=0;
                        indeksW4=0;
                        indeksW5=0;
                        guleVenter=[];

                        if gulePreW1(1,end)>0
                            while tellerSeng<gulePreW1(1,end)
                                if gulePreW1(1,end-indeksW1)>gulePreW1(1,end-indeksW1-1) %vi ser en ankomst
                                    tellerSeng=tellerSeng+1;
                                end
                                if tellerSeng==gulePreW1(1,end)
                                    indeksW1=indeksW1;
                                else
                                indeksW1=indeksW1+1;
                                end
                            end
                            guleVenter(1,end+1)=gulePreW1(2,end-indeksW1);
                            tellerSeng=0;
                        end

                        if gulePreW2(1,end)>0
                            while tellerSeng<gulePreW2(1,end)
                                if gulePreW2(1,end-indeksW2)>gulePreW2(1,end-indeksW2-1) %vi ser en ankomst
                                    tellerSeng=tellerSeng+1;
                                end
                                if tellerSeng==gulePreW2(1,end)
                                    indeksW2=indeksW2;
                                else
                                indeksW2=indeksW2+1;
                                end
                            end
                            guleVenter(1,end+1)=gulePreW2(2,end-indeksW2);
                            tellerSeng=0;
                        end

                        if gulePreW3(1,end)>0
                            while tellerSeng<gulePreW3(1,end)
                                if gulePreW3(1,end-indeksW3)>gulePreW3(1,end-indeksW3-1) %vi ser en ankomst
                                    tellerSeng=tellerSeng+1;
                                end
                                if tellerSeng==gulePreW3(1,end)
                                    indeksW3=indeksW3;
                                else
                                indeksW3=indeksW3+1;
                                end
                            end
                            guleVenter(1,end+1)=gulePreW3(2,end-indeksW3);
                            tellerSeng=0;
                        end

                        if gulePreW4(1,end)>0
                            while tellerSeng<gulePreW4(1,end)
                                if gulePreW4(1,end-indeksW4)>gulePreW4(1,end-indeksW4-1) %vi ser en ankomst
                                    tellerSeng=tellerSeng+1;
                                end
                                if tellerSeng==gulePreW4(1,end)
                                    indeksW4=indeksW4;
                                else
                                indeksW4=indeksW4+1;
                                end
                            end
                            guleVenter(1,end+1)=gulePreW4(2,end-indeksW4);
                            tellerSeng=0;
                        end

                        if gulePreW5(1,end)>0
                            while tellerSeng<gulePreW5(1,end)
                                if gulePreW5(1,end-indeksW5)>gulePreW5(1,end-indeksW5-1) %vi ser en ankomst
                                    tellerSeng=tellerSeng+1;
                                end
                                if tellerSeng==gulePreW5(1,end)
                                    indeksW5=indeksW5;
                                else
                                indeksW5=indeksW5+1;
                                end
                            end
                            guleVenter(1,end+1)=gulePreW5(2,end-indeksW5);
                            tellerSeng=0;
                        end

                        guleVenter=sort(guleVenter);                    

                        if length(guleVenter)>0 %Gule til stede
                            rodAdgang=rand;
                            if rodAdgang<=rodNatt %Vi fr tilgang til operasjonsrommet

                                if guleVenter(1,1)==gulePreW1(2,end-indeksW1)

                                    %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                    for b=length(gulePreW1(1,:)):-1:1
                                        if b==length(gulePreW1(1,:))
                                            if tid2>=gulePreW1(2,b)
                                                break;
                                            end
                                        else
                                            if tid2>=gulePreW1(2,b) && tid2<gulePreW1(2,b+1)
                                                break;
                                            end
                                        end
                                    end

                                    if b==length(gulePreW1(1,:))            
                                        gulePreW1(1,end+1)=gulePreW1(1,end)-1;
                                        gulePreW1(2,end)=tid2;
                                    else
                                        b=b+1;
                                        gulePreKopi=zeros(2,length(gulePreW1(1,:))); %Lager en kopi
                                        for z=b:1:length(gulePreW1(1,:))
                                            gulePreKopi(1,z)=gulePreW1(1,z);
                                            gulePreKopi(2,z)=gulePreW1(2,z);
                                        end
                                        for z=b:1:length(gulePreW1(1,:))+1
                                            if z==b
                                                gulePreW1(1,z)=gulePreW1(1,z-1)-1;
                                                gulePreW1(2,z)=tid2;
                                            elseif z<=length(gulePreW1(1,:))
                                                gulePreW1(1,z)=gulePreKopi(1,z-1)-1;
                                                gulePreW1(2,z)=gulePreKopi(2,z-1);
                                            else
                                                gulePreW1(1,end+1)=gulePreKopi(1,z-1)-1;
                                                gulePreW1(2,end)=gulePreKopi(2,z-1);
                                            end
                                        end
                                    end

                                    %Finner ventetid til operasjon, legger til den
                                    %tiden det tar  trille ned pasienten
                                    kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                    ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                    ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                    ventetiderGule(2,end)=tid2;

                                    %Trekker operasjonstid og oppdaterer tid for ferdig
                                    if lognorm==1                                     
                                        stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                    else
                                        trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                        stuetid=min(400,stuetidGul(trekkStue));                                 
                                    end
                                    OR1Klar=tid2+kjoreNed+stuetid;

                                    %Trekker liggetid p sengepost
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                    else
                                        liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                    end
                                    utW1(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                    utAkuttW1(1,end+1)=utW1(1,end);

                                elseif guleVenter(1,1)==gulePreW2(2,end-indeksW2)
                                    %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                    for b=length(gulePreW2(1,:)):-1:1
                                        if b==length(gulePreW2(1,:))
                                            if tid2>=gulePreW2(2,b)
                                                break;
                                            end
                                        else
                                            if tid2>=gulePreW2(2,b) && tid2<gulePreW2(2,b+1)
                                                break;
                                            end
                                        end
                                    end

                                    if b==length(gulePreW2(1,:))            
                                        gulePreW2(1,end+1)=gulePreW2(1,end)-1;
                                        gulePreW2(2,end)=tid2;
                                    else
                                        b=b+1;
                                        gulePreKopi=zeros(2,length(gulePreW2(1,:))); %Lager en kopi
                                        for z=b:1:length(gulePreW2(1,:))
                                            gulePreKopi(1,z)=gulePreW2(1,z);
                                            gulePreKopi(2,z)=gulePreW2(2,z);
                                        end
                                        for z=b:1:length(gulePreW2(1,:))+1
                                            if z==b
                                                gulePreW2(1,z)=gulePreW2(1,z-1)-1;
                                                gulePreW2(2,z)=tid2;
                                            elseif z<=length(gulePreW2(1,:))
                                                gulePreW2(1,z)=gulePreKopi(1,z-1)-1;
                                                gulePreW2(2,z)=gulePreKopi(2,z-1);
                                            else
                                                gulePreW2(1,end+1)=gulePreKopi(1,z-1)-1;
                                                gulePreW2(2,end)=gulePreKopi(2,z-1);
                                            end
                                        end
                                    end
                                    %Finner ventetid til operasjon, legger til den
                                    %tiden det tar  trille ned pasienten
                                    kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                    ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                    ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                    ventetiderGule(2,end)=tid2;

                                    %Trekker operasjonstid og oppdaterer tid for ferdig
                                   if lognorm==1                                     
                                        stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                    else
                                        trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                        stuetid=min(400,stuetidGul(trekkStue));                                 
                                    end
                                    OR1Klar=tid2+kjoreNed+stuetid;

                                    %Trekker liggetid p sengepost
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                    else
                                        liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                    end
                                    utW2(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                    utAkuttW2(1,end+1)=utW2(1,end);

                                elseif guleVenter(1,1)==gulePreW3(2,end-indeksW3)
                                    %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                    for b=length(gulePreW3(1,:)):-1:1
                                        if b==length(gulePreW3(1,:))
                                            if tid2>=gulePreW3(2,b)
                                                break;
                                            end
                                        else
                                            if tid2>=gulePreW3(2,b) && tid2<gulePreW3(2,b+1)
                                                break;
                                            end
                                        end
                                    end

                                    if b==length(gulePreW3(1,:))            
                                        gulePreW3(1,end+1)=gulePreW3(1,end)-1;
                                        gulePreW3(2,end)=tid2;
                                    else
                                        b=b+1;
                                        gulePreKopi=zeros(2,length(gulePreW3(1,:))); %Lager en kopi
                                        for z=b:1:length(gulePreW3(1,:))
                                            gulePreKopi(1,z)=gulePreW3(1,z);
                                            gulePreKopi(2,z)=gulePreW3(2,z);
                                        end
                                        for z=b:1:length(gulePreW3(1,:))+1
                                            if z==b
                                                gulePreW3(1,z)=gulePreW3(1,z-1)-1;
                                                gulePreW3(2,z)=tid2;
                                            elseif z<=length(gulePreW3(1,:))
                                                gulePreW3(1,z)=gulePreKopi(1,z-1)-1;
                                                gulePreW3(2,z)=gulePreKopi(2,z-1);
                                            else
                                                gulePreW3(1,end+1)=gulePreKopi(1,z-1)-1;
                                                gulePreW3(2,end)=gulePreKopi(2,z-1);
                                            end
                                        end
                                    end

                                    %Finner ventetid til operasjon, legger til den
                                    %tiden det tar  trille ned pasienten
                                    kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                    ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                    ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                    ventetiderGule(2,end)=tid2;

                                    %Trekker operasjonstid og oppdaterer tid for ferdig
                                    if lognorm==1                                     
                                        stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                    else
                                        trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                        stuetid=min(400,stuetidGul(trekkStue));                                 
                                    end
                                    OR1Klar=tid2+kjoreNed+stuetid;

                                    %Trekker liggetid p sengepost
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                    else
                                        liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                    end
                                    utW3(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                    utAkuttW3(1,end+1)=utW3(1,end);

                                elseif guleVenter(1,1)==gulePreW4(2,end-indeksW4)
                                    %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                    for b=length(gulePreW4(1,:)):-1:1
                                        if b==length(gulePreW4(1,:))
                                            if tid2>=gulePreW4(2,b)
                                                break;
                                            end
                                        else
                                            if tid2>=gulePreW4(2,b) && tid2<gulePreW4(2,b+1)
                                                break;
                                            end
                                        end
                                    end

                                    if b==length(gulePreW4(1,:))            
                                        gulePreW4(1,end+1)=gulePreW4(1,end)-1;
                                        gulePreW4(2,end)=tid2;
                                    else
                                        b=b+1;
                                        gulePreKopi=zeros(2,length(gulePreW4(1,:))); %Lager en kopi
                                        for z=b:1:length(gulePreW4(1,:))
                                            gulePreKopi(1,z)=gulePreW4(1,z);
                                            gulePreKopi(2,z)=gulePreW4(2,z);
                                        end
                                        for z=b:1:length(gulePreW4(1,:))+1
                                            if z==b
                                                gulePreW4(1,z)=gulePreW4(1,z-1)-1;
                                                gulePreW4(2,z)=tid2;
                                            elseif z<=length(gulePreW4(1,:))
                                                gulePreW4(1,z)=gulePreKopi(1,z-1)-1;
                                                gulePreW4(2,z)=gulePreKopi(2,z-1);
                                            else
                                                gulePreW4(1,end+1)=gulePreKopi(1,z-1)-1;
                                                gulePreW4(2,end)=gulePreKopi(2,z-1);
                                            end
                                        end
                                    end

                                    %Finner ventetid til operasjon, legger til den
                                    %tiden det tar  trille ned pasienten
                                    kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                    ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                    ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                    ventetiderGule(2,end)=tid2;

                                    %Trekker operasjonstid og oppdaterer tid for ferdig
                                    if lognorm==1                                     
                                        stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                    else
                                        trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                        stuetid=min(400,stuetidGul(trekkStue));                                 
                                    end
                                    OR1Klar=tid2+kjoreNed+stuetid;

                                    %Trekker liggetid p sengepost
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                    else
                                        liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                    end
                                    utW4(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                    utAkuttW4(1,end+1)=utW4(1,end);

                                elseif guleVenter(1,1)==gulePreW5(2,end-indeksW5)
                                    %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                    for b=length(gulePreW5(1,:)):-1:1
                                        if b==length(gulePreW5(1,:))
                                            if tid2>=gulePreW5(2,b)
                                                break;
                                            end
                                        else
                                            if tid2>=gulePreW5(2,b) && tid2<gulePreW5(2,b+1)
                                                break;
                                            end
                                        end
                                    end

                                    if b==length(gulePreW5(1,:))            
                                        gulePreW5(1,end+1)=gulePreW5(1,end)-1;
                                        gulePreW5(2,end)=tid2;
                                    else
                                        b=b+1;
                                        gulePreKopi=zeros(2,length(gulePreW5(1,:))); %Lager en kopi
                                        for z=b:1:length(gulePreW5(1,:))
                                            gulePreKopi(1,z)=gulePreW5(1,z);
                                            gulePreKopi(2,z)=gulePreW5(2,z);
                                        end
                                        for z=b:1:length(gulePreW5(1,:))+1
                                            if z==b
                                                gulePreW5(1,z)=gulePreW5(1,z-1)-1;
                                                gulePreW5(2,z)=tid2;
                                            elseif z<=length(gulePreW5(1,:))
                                                gulePreW5(1,z)=gulePreKopi(1,z-1)-1;
                                                gulePreW5(2,z)=gulePreKopi(2,z-1);
                                            else
                                                gulePreW5(1,end+1)=gulePreKopi(1,z-1)-1;
                                                gulePreW5(2,end)=gulePreKopi(2,z-1);
                                            end
                                        end
                                    end

                                    %Finner ventetid til operasjon, legger til den
                                    %tiden det tar  trille ned pasienten
                                    kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                    ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                    ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                    ventetiderGule(2,end)=tid2;

                                    %Trekker operasjonstid og oppdaterer tid for ferdig
                                    if lognorm==1                                     
                                        stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                    else
                                        trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                        stuetid=min(400,stuetidGul(trekkStue));                                 
                                    end
                                    OR1Klar=tid2+kjoreNed+stuetid;

                                    %Trekker liggetid p sengepost
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                    else
                                        liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                    end
                                    utW5(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100);
                                    utAkuttW5(1,end+1)=utW5(1,end);

                                end
                             else
                                 if lognorm==1
                                    OR1Klar=tid2+lognrnd(muKir,stdKir); 
                                else
                                    trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn)))); 
                                    stuetid=min(400,stuetidGronn(trekkStue));
                                    OR1Klar=tid2 + stuetid;
                                end
                             end
                        else %Vi oppdaterer tiden for OR1, da ingen pasienter var til stede
                            oppdater=[ankRod(1,1)+1,ankGul(1,1)+1]; %Grnne opereres ikke med en gang de kommer inn, de skeduleres neste dag
                            OR1Klar=min(961+1440*(d-1),min(oppdater));
                        end


                    end


                elseif tid2==utW1(1,1) %Oppdaterer antall p sengepost
                    for b=length(totalW1(1,:)):-1:1
                        if b==length(totalW1(1,:))
                            if tid2>=totalW1(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW1(2,b) && tid2<totalW1(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW1(1,:))            
                        totalW1(1,end+1)=totalW1(1,end)-1;
                        totalW1(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW1)); %Lager en kopi
                        for z=b:1:length(totalW1)
                            total(1,z)=totalW1(1,z);
                            total(2,z)=totalW1(2,z);
                        end
                        for z=b:1:length(totalW1)+1
                            if z==b
                                totalW1(1,z)=totalW1(1,z-1)-1;
                                totalW1(2,z)=tid2;
                            elseif z<=length(totalW1)
                                totalW1(1,z)=total(1,z-1)-1;
                                totalW1(2,z)=total(2,z-1);
                            else
                                totalW1(1,end+1)=total(1,z-1)-1;
                                totalW1(2,end)=total(2,z-1);
                            end
                        end
                    end
                    if utAkuttW1(1,1)==utW1(1,1)
                        for b=length(totalAkuttW1(1,:)):-1:1
                            if b==length(totalAkuttW1(1,:))
                                if tid2>=totalAkuttW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW1(2,b) && tid2<totalAkuttW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW1(1,:))            
                            totalAkuttW1(1,end+1)=totalAkuttW1(1,end)-1;
                            totalAkuttW1(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalAkuttW1)); %Lager en kopi
                            for z=b:1:length(totalAkuttW1)
                                total(1,z)=totalAkuttW1(1,z);
                                total(2,z)=totalAkuttW1(2,z);
                            end
                            for z=b:1:length(totalAkuttW1)+1
                                if z==b
                                    totalAkuttW1(1,z)=totalAkuttW1(1,z-1)-1;
                                    totalAkuttW1(2,z)=tid2;
                                elseif z<=length(totalAkuttW1)
                                    totalAkuttW1(1,z)=total(1,z-1)-1;
                                    totalAkuttW1(2,z)=total(2,z-1);
                                else
                                    totalAkuttW1(1,end+1)=total(1,z-1)-1;
                                    totalAkuttW1(2,end)=total(2,z-1);
                                end
                            end
                        end
                        utAkuttW1(1)=[];
                    end
                    utW1(1)=[];
                elseif tid2==utW2(1,1) %Oppdaterer antall p sengepost
                    for b=length(totalW2(1,:)):-1:1
                        if b==length(totalW2(1,:))
                            if tid2>=totalW2(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW2(2,b) && tid2<totalW2(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW2(1,:))            
                        totalW2(1,end+1)=totalW2(1,end)-1;
                        totalW2(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW2)); %Lager en kopi
                        for z=b:1:length(totalW2)
                            total(1,z)=totalW2(1,z);
                            total(2,z)=totalW2(2,z);
                        end
                        for z=b:1:length(totalW2)+1
                            if z==b
                                totalW2(1,z)=totalW2(1,z-1)-1;
                                totalW2(2,z)=tid2;
                            elseif z<=length(totalW2)
                                totalW2(1,z)=total(1,z-1)-1;
                                totalW2(2,z)=total(2,z-1);
                            else
                                totalW2(1,end+1)=total(1,z-1)-1;
                                totalW2(2,end)=total(2,z-1);
                            end
                        end
                    end
                    if utAkuttW2(1,1)==utW2(1,1)
                        for b=length(totalAkuttW2(1,:)):-1:1
                            if b==length(totalAkuttW2(1,:))
                                if tid2>=totalAkuttW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW2(2,b) && tid2<totalAkuttW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW2(1,:))            
                            totalAkuttW2(1,end+1)=totalAkuttW2(1,end)-1;
                            totalAkuttW2(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalAkuttW2)); %Lager en kopi
                            for z=b:1:length(totalAkuttW2)
                                total(1,z)=totalAkuttW2(1,z);
                                total(2,z)=totalAkuttW2(2,z);
                            end
                            for z=b:1:length(totalAkuttW2)+1
                                if z==b
                                    totalAkuttW2(1,z)=totalAkuttW2(1,z-1)-1;
                                    totalAkuttW2(2,z)=tid2;
                                elseif z<=length(totalAkuttW2)
                                    totalAkuttW2(1,z)=total(1,z-1)-1;
                                    totalAkuttW2(2,z)=total(2,z-1);
                                else
                                    totalAkuttW2(1,end+1)=total(1,z-1)-1;
                                    totalAkuttW2(2,end)=total(2,z-1);
                                end
                            end
                        end
                        utAkuttW2(1)=[];
                    end
                    utW2(1)=[];
                elseif tid2==utW3(1,1) %Oppdaterer antall p sengepost
                    for b=length(totalW3(1,:)):-1:1
                        if b==length(totalW3(1,:))
                            if tid2>=totalW3(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW3(2,b) && tid2<totalW3(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW3(1,:))            
                        totalW3(1,end+1)=totalW3(1,end)-1;
                        totalW3(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW3)); %Lager en kopi
                        for z=b:1:length(totalW3)
                            total(1,z)=totalW3(1,z);
                            total(2,z)=totalW3(2,z);
                        end
                        for z=b:1:length(totalW3)+1
                            if z==b
                                totalW3(1,z)=totalW3(1,z-1)-1;
                                totalW3(2,z)=tid2;
                            elseif z<=length(totalW3)
                                totalW3(1,z)=total(1,z-1)-1;
                                totalW3(2,z)=total(2,z-1);
                            else
                                totalW3(1,end+1)=total(1,z-1)-1;
                                totalW3(2,end)=total(2,z-1);
                            end
                        end
                    end
                    if utAkuttW3(1,1)==utW3(1,1)
                        for b=length(totalAkuttW3(1,:)):-1:1
                            if b==length(totalAkuttW3(1,:))
                                if tid2>=totalAkuttW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW3(2,b) && tid2<totalAkuttW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW3(1,:))            
                            totalAkuttW3(1,end+1)=totalAkuttW3(1,end)-1;
                            totalAkuttW3(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalAkuttW3)); %Lager en kopi
                            for z=b:1:length(totalAkuttW3)
                                total(1,z)=totalAkuttW3(1,z);
                                total(2,z)=totalAkuttW3(2,z);
                            end
                            for z=b:1:length(totalAkuttW3)+1
                                if z==b
                                    totalAkuttW3(1,z)=totalAkuttW3(1,z-1)-1;
                                    totalAkuttW3(2,z)=tid2;
                                elseif z<=length(totalAkuttW3)
                                    totalAkuttW3(1,z)=total(1,z-1)-1;
                                    totalAkuttW3(2,z)=total(2,z-1);
                                else
                                    totalAkuttW3(1,end+1)=total(1,z-1)-1;
                                    totalAkuttW3(2,end)=total(2,z-1);
                                end
                            end
                        end
                        utAkuttW3(1)=[];
                    end
                    utW3(1)=[];
                elseif tid2==utW4(1,1) %Oppdaterer antall p sengepost

                    for b=length(totalW4(1,:)):-1:1
                        if b==length(totalW4(1,:))
                            if tid2>=totalW4(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW4(2,b) && tid2<totalW4(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW4(1,:))            
                        totalW4(1,end+1)=totalW4(1,end)-1;
                        totalW4(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW4)); %Lager en kopi
                        for z=b:1:length(totalW4)
                            total(1,z)=totalW4(1,z);
                            total(2,z)=totalW4(2,z);
                        end
                        for z=b:1:length(totalW4)+1
                            if z==b
                                totalW4(1,z)=totalW4(1,z-1)-1;
                                totalW4(2,z)=tid2;
                            elseif z<=length(totalW4)
                                totalW4(1,z)=total(1,z-1)-1;
                                totalW4(2,z)=total(2,z-1);
                            else
                                totalW4(1,end+1)=total(1,z-1)-1;
                                totalW4(2,end)=total(2,z-1);
                            end
                        end
                    end
                    if utAkuttW4(1,1)==utW4(1,1)
                        for b=length(totalAkuttW4(1,:)):-1:1
                            if b==length(totalAkuttW4(1,:))
                                if tid2>=totalAkuttW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW4(2,b) && tid2<totalAkuttW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW4(1,:))            
                            totalAkuttW4(1,end+1)=totalAkuttW4(1,end)-1;
                            totalAkuttW4(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalAkuttW4)); %Lager en kopi
                            for z=b:1:length(totalAkuttW4)
                                total(1,z)=totalAkuttW4(1,z);
                                total(2,z)=totalAkuttW4(2,z);
                            end
                            for z=b:1:length(totalAkuttW4)+1
                                if z==b
                                    totalAkuttW4(1,z)=totalAkuttW4(1,z-1)-1;
                                    totalAkuttW4(2,z)=tid2;
                                elseif z<=length(totalAkuttW4)
                                    totalAkuttW4(1,z)=total(1,z-1)-1;
                                    totalAkuttW4(2,z)=total(2,z-1);
                                else
                                    totalAkuttW4(1,end+1)=total(1,z-1)-1;
                                    totalAkuttW4(2,end)=total(2,z-1);
                                end
                            end
                        end
                        utAkuttW4(1)=[];
                    end
                    utW4(1)=[];
                elseif tid2==utW5(1,1) %Oppdaterer antall p sengepost
                    for b=length(totalW5(1,:)):-1:1
                        if b==length(totalW5(1,:))
                            if tid2>=totalW5(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW5(2,b) && tid2<totalW5(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW5(1,:))            
                        totalW5(1,end+1)=totalW5(1,end)-1;
                        totalW5(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW5)); %Lager en kopi
                        for z=b:1:length(totalW5)
                            total(1,z)=totalW5(1,z);
                            total(2,z)=totalW5(2,z);
                        end
                        for z=b:1:length(totalW5)+1
                            if z==b
                                totalW5(1,z)=totalW5(1,z-1)-1;
                                totalW5(2,z)=tid2;
                            elseif z<=length(totalW5)
                                totalW5(1,z)=total(1,z-1)-1;
                                totalW5(2,z)=total(2,z-1);
                            else
                                totalW5(1,end+1)=total(1,z-1)-1;
                                totalW5(2,end)=total(2,z-1);
                            end
                        end
                    end
                    if utAkuttW5(1,1)==utW5(1,1)
                        for b=length(totalAkuttW5(1,:)):-1:1
                            if b==length(totalAkuttW5(1,:))
                                if tid2>=totalAkuttW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW5(2,b) && tid2<totalAkuttW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW5(1,:))            
                            totalAkuttW5(1,end+1)=totalAkuttW5(1,end)-1;
                            totalAkuttW5(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalAkuttW5)); %Lager en kopi
                            for z=b:1:length(totalAkuttW5)
                                total(1,z)=totalAkuttW5(1,z);
                                total(2,z)=totalAkuttW5(2,z);
                            end
                            for z=b:1:length(totalAkuttW5)+1
                                if z==b
                                    totalAkuttW5(1,z)=totalAkutt51(1,z-1)-1;
                                    totalAkuttW5(2,z)=tid2;
                                elseif z<=length(totalAkuttW5)
                                    totalAkuttW5(1,z)=total(1,z-1)-1;
                                    totalAkuttW5(2,z)=total(2,z-1);
                                else
                                    totalAkuttW5(1,end+1)=total(1,z-1)-1;
                                    totalAkuttW5(2,end)=total(2,z-1);
                                end
                            end
                        end
                        utAkuttW5(1)=[];
                    end
                    utW5(1)=[];
                end
            end
        end

        % BVS
        if mod(d,7)==1 || mod(d,7)==2 || mod(d,7)==3 || mod(d,7)==4 || mod(d,7)==5 %Kun hverdager

            tid1BVS=480;
            tid2BVS=1440*(d-1)+480;
            utW1=sort(utW1);
            utW2=sort(utW2);
            utW3=sort(utW3);
            utW4=sort(utW4);
            utW5=sort(utW5);
            utAkuttW1=sort(utAkuttW1);
            utAkuttW2=sort(utAkuttW2);
            utAkuttW3=sort(utAkuttW3);
            utAkuttW4=sort(utAkuttW4);
            utAkuttW5=sort(utAkuttW5);

            if mod(d,7)==1
                % Vi gjennomfrer frst alle elektive operasjoner
                for i=1:1:length(xMan(1,:)) %Itererer over alle stuer
                    for j=1:1:length(xMan(:,1)) %Itererer over alle pasienter i hver stue
                        if xManDag(j,i,d)>0
                            for y=1:1:xManDag(j,i,d)
                                if lognorm==1
                                    stuetidBVS(d,i)=stuetidBVS(d,i) + vask + lognrnd(muEl(1,j),sigmaEl(1,j));
                                else
                                    if j==1
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid1(randi(length(stuetid1(~isnan(stuetid1)))),1);
                                    elseif j==2
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid2(randi(length(stuetid2(~isnan(stuetid2)))),1);
                                    elseif j==3
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid3(randi(length(stuetid3(~isnan(stuetid3)))),1);
                                    elseif j==4
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid4(randi(length(stuetid4(~isnan(stuetid4)))),1);
                                    elseif j==5
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid5(randi(length(stuetid5(~isnan(stuetid5)))),1);
                                    elseif j==6
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid6(randi(length(stuetid6(~isnan(stuetid6)))),1);
                                    elseif j==7
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid7(randi(length(stuetid7(~isnan(stuetid7)))),1);
                                    elseif j==8
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid8(randi(length(stuetid8(~isnan(stuetid8)))),1);
                                    elseif j==9
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid9(randi(length(stuetid9(~isnan(stuetid9)))),1);
                                    elseif j==10
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid10(randi(length(stuetid10(~isnan(stuetid10)))),1);
                                    elseif j==11
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid11(randi(length(stuetid11(~isnan(stuetid11)))),1);
                                    elseif j==12
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid12(randi(length(stuetid12(~isnan(stuetid12)))),1);
                                    elseif j==13
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid13(randi(length(stuetid13(~isnan(stuetid13)))),1);
                                    elseif j==14
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid14(randi(length(stuetid14(~isnan(stuetid14)))),1);
                                    elseif j==15
                                    stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid15(randi(length(stuetid15(~isnan(stuetid15)))),1);
                                    end
                                end

                                funnetSeng=0; %Finner seng
                                k=0;
                                if rand<=sshDK(j,1)
                                    k=0;
                                else
                                    while funnetSeng==0 && k<=4
                                        k=k+1;
                                        if sengepost_EL(j,k)==1 
                                            funnetSeng=1;
                                        end
                                    end
                                end

                                if k==0 % DK legges ikke inn
                                    liggetid=0;
                                elseif k==1 % Vi registrerer alle til egen sengepost, kan i ettertid se p overbelegg. Merk: vi stryker ikke elektive pga sengemangel her, men lenger oppe..(to dager fr?)
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_El(1,j)-1,LOS_El(1,j)+1],1,1)); 
                                    else
                                        if (j==13 || j==14) && deterministisk13og14==1
                                            liggetid=1440*deterministiskLOS;
                                        else
                                            liggetid=1440*max(1,round(random(LOS_El(1,j))));
                                        end
                                    end
                                    if liggetid>0
                                        leggesInn=tid2BVS+randi(200);
                                        for b=length(totalW1(1,:)):-1:1
                                            if b==length(totalW1(1,:))
                                                if leggesInn>=totalW1(2,b)
                                                    break;
                                                end
                                            else
                                                if leggesInn>=totalW1(2,b) && leggesInn<totalW1(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(totalW1(1,:))            
                                            totalW1(1,end+1)=totalW1(1,end)+1;
                                            totalW1(2,end)=leggesInn;
                                        else
                                            b=b+1;
                                            total=zeros(2,length(totalW1(1,:))); %Lager en kopi
                                            for z=b:1:length(totalW1(1,:))
                                                total(1,z)=totalW1(1,z);
                                                total(2,z)=totalW1(2,z);
                                            end
                                            for z=b:1:length(totalW1(1,:))+1
                                                if z==b
                                                    totalW1(1,z)=totalW1(1,z-1)+1;
                                                    totalW1(2,z)=leggesInn;
                                                elseif z<=length(totalW1(1,:))
                                                    totalW1(1,z)=total(1,z-1)+1;
                                                    totalW1(2,z)=total(2,z-1);
                                                else
                                                    totalW1(1,end+1)=total(1,z-1)+1;
                                                    totalW1(2,end)=total(2,z-1);
                                                end
                                            end
                                        end
                                        totalElW1(1,end+1)=totalElW1(1,end)+1;
                                        totalElW1(2,end)=totalW1(2,end);
                                        utW1(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240 %Noe dagsvariasjon p utskrivelse
                                    end
                                elseif k==2
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_El(1,j)-1,LOS_El(1,j)+1],1,1)); 
                                    else
                                        if (j==13 || j==14) && deterministisk13og14==1
                                            liggetid=1440*deterministiskLOS;
                                        else
                                            liggetid=1440*max(1,round(random(LOS_El(1,j))));
                                        end
                                    end
                                    if liggetid>0
                                        leggesInn=tid2BVS+randi(200);
                                        for b=length(totalW2(1,:)):-1:1
                                            if b==length(totalW2(1,:))
                                                if leggesInn>=totalW2(2,b)
                                                    break;
                                                end
                                            else
                                                if leggesInn>=totalW2(2,b) && leggesInn<totalW2(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(totalW2(1,:))            
                                            totalW2(1,end+1)=totalW2(1,end)+1;
                                            totalW2(2,end)=leggesInn;
                                        else
                                            b=b+1;
                                            total=zeros(2,length(totalW2(1,:))); %Lager en kopi
                                            for z=b:1:length(totalW2(1,:))
                                                total(1,z)=totalW2(1,z);
                                                total(2,z)=totalW2(2,z);
                                            end
                                            for z=b:1:length(totalW2(1,:))+1
                                                if z==b
                                                    totalW2(1,z)=totalW2(1,z-1)+1;
                                                    totalW2(2,z)=leggesInn;
                                                elseif z<=length(totalW2(1,:))
                                                    totalW2(1,z)=total(1,z-1)+1;
                                                    totalW2(2,z)=total(2,z-1);
                                                else
                                                    totalW2(1,end+1)=total(1,z-1)+1;
                                                    totalW2(2,end)=total(2,z-1);
                                                end
                                            end
                                        end
                                        totalElW2(1,end+1)=totalElW2(1,end)+1;
                                        totalElW2(2,end)=totalW2(2,end);
                                        utW2(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                                    end
                                elseif k==3
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_El(1,j)-1,LOS_El(1,j)+1],1,1)); 
                                    else
                                        if (j==13 || j==14) && deterministisk13og14==1
                                            liggetid=1440*deterministiskLOS;
                                        else
                                            liggetid=1440*max(1,round(random(LOS_El(1,j))));
                                        end
                                    end
                                    if liggetid>0
                                        leggesInn=tid2BVS+randi(200);
                                        for b=length(totalW3(1,:)):-1:1
                                            if b==length(totalW3(1,:))
                                                if leggesInn>=totalW3(2,b)
                                                    break;
                                                end
                                            else
                                                if leggesInn>=totalW3(2,b) && leggesInn<totalW3(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(totalW3(1,:))            
                                            totalW3(1,end+1)=totalW3(1,end)+1;
                                            totalW3(2,end)=leggesInn;
                                        else
                                            b=b+1;
                                            total=zeros(2,length(totalW3(1,:))); %Lager en kopi
                                            for z=b:1:length(totalW3(1,:))
                                                total(1,z)=totalW3(1,z);
                                                total(2,z)=totalW3(2,z);
                                            end
                                            for z=b:1:length(totalW3(1,:))+1
                                                if z==b
                                                    totalW3(1,z)=totalW3(1,z-1)+1;
                                                    totalW3(2,z)=leggesInn;
                                                elseif z<=length(totalW3(1,:))
                                                    totalW3(1,z)=total(1,z-1)+1;
                                                    totalW3(2,z)=total(2,z-1);
                                                else
                                                    totalW3(1,end+1)=total(1,z-1)+1;
                                                    totalW3(2,end)=total(2,z-1);
                                                end
                                            end
                                        end
                                        totalElW3(1,end+1)=totalElW3(1,end)+1;
                                        totalElW3(2,end)=totalW3(2,end);
                                        utW3(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                                    end
                                elseif k==4
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_El(1,j)-1,LOS_El(1,j)+1],1,1)); 
                                    else
                                        if (j==13 || j==14) && deterministisk13og14==1
                                            liggetid=1440*deterministiskLOS;
                                        else
                                            liggetid=1440*max(1,round(random(LOS_El(1,j))));
                                        end
                                    end
                                    if liggetid>0
                                        leggesInn=tid2BVS+randi(200);
                                        for b=length(totalW4(1,:)):-1:1
                                            if b==length(totalW4(1,:))
                                                if leggesInn>=totalW4(2,b)
                                                    break;
                                                end
                                            else
                                                if leggesInn>=totalW4(2,b) && leggesInn<totalW4(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(totalW4(1,:))            
                                            totalW4(1,end+1)=totalW4(1,end)+1;
                                            totalW4(2,end)=leggesInn;
                                        else
                                            b=b+1;
                                            total=zeros(2,length(totalW4(1,:))); %Lager en kopi
                                            for z=b:1:length(totalW4(1,:))
                                                total(1,z)=totalW4(1,z);
                                                total(2,z)=totalW4(2,z);
                                            end
                                            for z=b:1:length(totalW4(1,:))+1
                                                if z==b
                                                    totalW4(1,z)=totalW4(1,z-1)+1;
                                                    totalW4(2,z)=leggesInn;
                                                elseif z<=length(totalW4(1,:))
                                                    totalW4(1,z)=total(1,z-1)+1;
                                                    totalW4(2,z)=total(2,z-1);
                                                else
                                                    totalW4(1,end+1)=total(1,z-1)+1;
                                                    totalW4(2,end)=total(2,z-1);
                                                end
                                            end
                                        end
                                        totalElW4(1,end+1)=totalElW4(1,end)+1;
                                        totalElW4(2,end)=totalW4(2,end);
                                        utW4(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                                    end
                                else
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_El(1,j)-1,LOS_El(1,j)+1],1,1)); 
                                    else
                                        if (j==13 || j==14) && deterministisk13og14==1
                                            liggetid=1440*deterministiskLOS;
                                        else
                                            liggetid=1440*max(1,round(random(LOS_El(1,j))));
                                        end
                                    end
                                    if liggetid>0
                                        leggesInn=tid2BVS+randi(200);
                                        for b=length(totalW5(1,:)):-1:1
                                            if b==length(totalW5(1,:))
                                                if leggesInn>=totalW5(2,b)
                                                    break;
                                                end
                                            else
                                                if leggesInn>=totalW5(2,b) && leggesInn<totalW5(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(totalW5(1,:))            
                                            totalW5(1,end+1)=totalW5(1,end)+1;
                                            totalW5(2,end)=leggesInn;
                                        else
                                            b=b+1;
                                            total=zeros(2,length(totalW5(1,:))); %Lager en kopi
                                            for z=b:1:length(totalW5(1,:))
                                                total(1,z)=totalW5(1,z);
                                                total(2,z)=totalW5(2,z);
                                            end
                                            for z=b:1:length(totalW5(1,:))+1
                                                if z==b
                                                    totalW5(1,z)=totalW5(1,z-1)+1;
                                                    totalW5(2,z)=leggesInn;
                                                elseif z<=length(totalW5(1,:))
                                                    totalW5(1,z)=total(1,z-1)+1;
                                                    totalW5(2,z)=total(2,z-1);
                                                else
                                                    totalW5(1,end+1)=total(1,z-1)+1;
                                                    totalW5(2,end)=total(2,z-1);
                                                end
                                            end
                                        end
                                        totalElW5(1,end+1)=totalElW5(1,end)+1;
                                        totalElW5(2,end)=totalW5(2,end);
                                        utW5(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                                    end
                                end
                            end
                        end    
                    end
                end

            elseif mod(d,7)==2
                % Vi gjennomfrer frst alle elektive operasjoner
                for i=1:1:length(xTir(1,:)) %Itererer over alle stuer
                    for j=1:1:length(xTir(:,1)) %Itererer over alle pasienter i hver stue
                        if xTirDag(j,i,d)>0
                            for y=1:1:xTirDag(j,i,d)
                                if lognorm==1
                                    stuetidBVS(d,i)=stuetidBVS(d,i) + vask + lognrnd(muEl(1,j),sigmaEl(1,j));
                                else
                                    if j==1
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid1(randi(length(stuetid1(~isnan(stuetid1)))),1);
                                    elseif j==2
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid2(randi(length(stuetid2(~isnan(stuetid2)))),1);
                                    elseif j==3
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid3(randi(length(stuetid3(~isnan(stuetid3)))),1);
                                    elseif j==4
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid4(randi(length(stuetid4(~isnan(stuetid4)))),1);
                                    elseif j==5
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid5(randi(length(stuetid5(~isnan(stuetid5)))),1);
                                    elseif j==6
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid6(randi(length(stuetid6(~isnan(stuetid6)))),1);
                                    elseif j==7
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid7(randi(length(stuetid7(~isnan(stuetid7)))),1);
                                    elseif j==8
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid8(randi(length(stuetid8(~isnan(stuetid8)))),1);
                                    elseif j==9
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid9(randi(length(stuetid9(~isnan(stuetid9)))),1);
                                    elseif j==10
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid10(randi(length(stuetid10(~isnan(stuetid10)))),1);
                                    elseif j==11
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid11(randi(length(stuetid11(~isnan(stuetid11)))),1);
                                    elseif j==12
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid12(randi(length(stuetid12(~isnan(stuetid12)))),1);
                                    elseif j==13
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid13(randi(length(stuetid13(~isnan(stuetid13)))),1);
                                    elseif j==14
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid14(randi(length(stuetid14(~isnan(stuetid14)))),1);
                                    elseif j==15
                                    stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid15(randi(length(stuetid15(~isnan(stuetid15)))),1);
                                    end
                                end

                                funnetSeng=0; %Finner seng
                                k=0;
                                if rand<=sshDK(j,1)
                                    k=0;
                                else
                                    while funnetSeng==0 && k<=4
                                        k=k+1;
                                        if sengepost_EL(j,k)==1 
                                            funnetSeng=1;
                                        end
                                    end
                                end

                                if k==0 % DK legges ikke inn
                                    liggetid=0;
                                elseif k==1 % Vi registrerer alle til egen sengepost, kan i ettertid se p overbelegg. Merk: vi stryker ikke elektive pga sengemangel her, men lenger oppe..(to dager fr?)
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_El(1,j)-1,LOS_El(1,j)+1],1,1)); 
                                    else
                                        if (j==13 || j==14) && deterministisk13og14==1
                                            liggetid=1440*deterministiskLOS;
                                        else
                                            liggetid=1440*max(1,round(random(LOS_El(1,j))));
                                        end
                                    end
                                    if liggetid>0
                                        leggesInn=tid2BVS+randi(200);
                                        for b=length(totalW1(1,:)):-1:1
                                            if b==length(totalW1(1,:))
                                                if leggesInn>=totalW1(2,b)
                                                    break;
                                                end
                                            else
                                                if leggesInn>=totalW1(2,b) && leggesInn<totalW1(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(totalW1(1,:))            
                                            totalW1(1,end+1)=totalW1(1,end)+1;
                                            totalW1(2,end)=leggesInn;
                                        else
                                            b=b+1;
                                            total=zeros(2,length(totalW1(1,:))); %Lager en kopi
                                            for z=b:1:length(totalW1(1,:))
                                                total(1,z)=totalW1(1,z);
                                                total(2,z)=totalW1(2,z);
                                            end
                                            for z=b:1:length(totalW1(1,:))+1
                                                if z==b
                                                    totalW1(1,z)=totalW1(1,z-1)+1;
                                                    totalW1(2,z)=leggesInn;
                                                elseif z<=length(totalW1(1,:))
                                                    totalW1(1,z)=total(1,z-1)+1;
                                                    totalW1(2,z)=total(2,z-1);
                                                else
                                                    totalW1(1,end+1)=total(1,z-1)+1;
                                                    totalW1(2,end)=total(2,z-1);
                                                end
                                            end
                                        end
                                        totalElW1(1,end+1)=totalElW1(1,end)+1;
                                        totalElW1(2,end)=totalW1(2,end);
                                        utW1(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                                    end
                                elseif k==2
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_El(1,j)-1,LOS_El(1,j)+1],1,1)); 
                                    else
                                        if (j==13 || j==14) && deterministisk13og14==1
                                            liggetid=1440*deterministiskLOS;
                                        else
                                            liggetid=1440*max(1,round(random(LOS_El(1,j))));
                                        end
                                    end 
                                    if liggetid>0
                                        leggesInn=tid2BVS+randi(200);
                                        for b=length(totalW2(1,:)):-1:1
                                            if b==length(totalW2(1,:))
                                                if leggesInn>=totalW2(2,b)
                                                    break;
                                                end
                                            else
                                                if leggesInn>=totalW2(2,b) && leggesInn<totalW2(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(totalW2(1,:))            
                                            totalW2(1,end+1)=totalW2(1,end)+1;
                                            totalW2(2,end)=leggesInn;
                                        else
                                            b=b+1;
                                            total=zeros(2,length(totalW2(1,:))); %Lager en kopi
                                            for z=b:1:length(totalW2(1,:))
                                                total(1,z)=totalW2(1,z);
                                                total(2,z)=totalW2(2,z);
                                            end
                                            for z=b:1:length(totalW2(1,:))+1
                                                if z==b
                                                    totalW2(1,z)=totalW2(1,z-1)+1;
                                                    totalW2(2,z)=leggesInn;
                                                elseif z<=length(totalW2(1,:))
                                                    totalW2(1,z)=total(1,z-1)+1;
                                                    totalW2(2,z)=total(2,z-1);
                                                else
                                                    totalW2(1,end+1)=total(1,z-1)+1;
                                                    totalW2(2,end)=total(2,z-1);
                                                end
                                            end
                                        end
                                        totalElW2(1,end+1)=totalElW2(1,end)+1;
                                        totalElW2(2,end)=totalW2(2,end);
                                        utW2(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                                    end
                                elseif k==3
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_El(1,j)-1,LOS_El(1,j)+1],1,1)); 
                                    else
                                        if (j==13 || j==14) && deterministisk13og14==1
                                            liggetid=1440*deterministiskLOS;
                                        else
                                            liggetid=1440*max(1,round(random(LOS_El(1,j))));
                                        end
                                    end
                                    if liggetid>0
                                        leggesInn=tid2BVS+randi(200);
                                        for b=length(totalW3(1,:)):-1:1
                                            if b==length(totalW3(1,:))
                                                if leggesInn>=totalW3(2,b)
                                                    break;
                                                end
                                            else
                                                if leggesInn>=totalW3(2,b) && leggesInn<totalW3(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(totalW3(1,:))            
                                            totalW3(1,end+1)=totalW3(1,end)+1;
                                            totalW3(2,end)=leggesInn;
                                        else
                                            b=b+1;
                                            total=zeros(2,length(totalW3(1,:))); %Lager en kopi
                                            for z=b:1:length(totalW3(1,:))
                                                total(1,z)=totalW3(1,z);
                                                total(2,z)=totalW3(2,z);
                                            end
                                            for z=b:1:length(totalW3(1,:))+1
                                                if z==b
                                                    totalW3(1,z)=totalW3(1,z-1)+1;
                                                    totalW3(2,z)=leggesInn;
                                                elseif z<=length(totalW3(1,:))
                                                    totalW3(1,z)=total(1,z-1)+1;
                                                    totalW3(2,z)=total(2,z-1);
                                                else
                                                    totalW3(1,end+1)=total(1,z-1)+1;
                                                    totalW3(2,end)=total(2,z-1);
                                                end
                                            end
                                        end
                                        totalElW3(1,end+1)=totalElW3(1,end)+1;
                                        totalElW3(2,end)=totalW3(2,end);
                                        utW3(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                                    end
                                elseif k==4
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_El(1,j)-1,LOS_El(1,j)+1],1,1)); 
                                    else
                                        if (j==13 || j==14) && deterministisk13og14==1
                                            liggetid=1440*deterministiskLOS;
                                        else
                                            liggetid=1440*max(1,round(random(LOS_El(1,j))));
                                        end
                                    end
                                    if liggetid>0
                                        leggesInn=tid2BVS+randi(200);
                                        for b=length(totalW4(1,:)):-1:1
                                            if b==length(totalW4(1,:))
                                                if leggesInn>=totalW4(2,b)
                                                    break;
                                                end
                                            else
                                                if leggesInn>=totalW4(2,b) && leggesInn<totalW4(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(totalW4(1,:))            
                                            totalW4(1,end+1)=totalW4(1,end)+1;
                                            totalW4(2,end)=leggesInn;
                                        else
                                            b=b+1;
                                            total=zeros(2,length(totalW4(1,:))); %Lager en kopi
                                            for z=b:1:length(totalW4(1,:))
                                                total(1,z)=totalW4(1,z);
                                                total(2,z)=totalW4(2,z);
                                            end
                                            for z=b:1:length(totalW4(1,:))+1
                                                if z==b
                                                    totalW4(1,z)=totalW4(1,z-1)+1;
                                                    totalW4(2,z)=leggesInn;
                                                elseif z<=length(totalW4(1,:))
                                                    totalW4(1,z)=total(1,z-1)+1;
                                                    totalW4(2,z)=total(2,z-1);
                                                else
                                                    totalW4(1,end+1)=total(1,z-1)+1;
                                                    totalW4(2,end)=total(2,z-1);
                                                end
                                            end
                                        end
                                        totalElW4(1,end+1)=totalElW4(1,end)+1;
                                        totalElW4(2,end)=totalW4(2,end);
                                        utW4(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                                    end
                                else
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_El(1,j)-1,LOS_El(1,j)+1],1,1)); 
                                    else
                                        if (j==13 || j==14) && deterministisk13og14==1
                                            liggetid=1440*deterministiskLOS;
                                        else
                                            liggetid=1440*max(1,round(random(LOS_El(1,j))));
                                        end
                                    end
                                    if liggetid>0
                                        leggesInn=tid2BVS+randi(200);
                                        for b=length(totalW5(1,:)):-1:1
                                            if b==length(totalW5(1,:))
                                                if leggesInn>=totalW5(2,b)
                                                    break;
                                                end
                                            else
                                                if leggesInn>=totalW5(2,b) && leggesInn<totalW5(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(totalW5(1,:))            
                                            totalW5(1,end+1)=totalW5(1,end)+1;
                                            totalW5(2,end)=leggesInn;
                                        else
                                            b=b+1;
                                            total=zeros(2,length(totalW5(1,:))); %Lager en kopi
                                            for z=b:1:length(totalW5(1,:))
                                                total(1,z)=totalW5(1,z);
                                                total(2,z)=totalW5(2,z);
                                            end
                                            for z=b:1:length(totalW5(1,:))+1
                                                if z==b
                                                    totalW5(1,z)=totalW5(1,z-1)+1;
                                                    totalW5(2,z)=leggesInn;
                                                elseif z<=length(totalW5(1,:))
                                                    totalW5(1,z)=total(1,z-1)+1;
                                                    totalW5(2,z)=total(2,z-1);
                                                else
                                                    totalW5(1,end+1)=total(1,z-1)+1;
                                                    totalW5(2,end)=total(2,z-1);
                                                end
                                            end
                                        end
                                        totalElW5(1,end+1)=totalElW5(1,end)+1;
                                        totalElW5(2,end)=totalW5(2,end);
                                        utW5(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                                    end
                                end
                            end
                        end    
                    end
                end
            elseif mod(d,7)==3
                % Vi gjennomfrer frst alle elektive operasjoner
                for i=1:1:length(xOns(1,:)) %Itererer over alle stuer
                    for j=1:1:length(xOns(:,1)) %Itererer over alle pasienter i hver stue
                        if xOnsDag(j,i,d)>0
                            for y=1:1:xOnsDag(j,i,d)
                                if lognorm==1
                                    stuetidBVS(d,i)=stuetidBVS(d,i) + vask + lognrnd(muEl(1,j),sigmaEl(1,j));
                                else
                                    if j==1
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid1(randi(length(stuetid1(~isnan(stuetid1)))),1);
                                    elseif j==2
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid2(randi(length(stuetid2(~isnan(stuetid2)))),1);
                                    elseif j==3
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid3(randi(length(stuetid3(~isnan(stuetid3)))),1);
                                    elseif j==4
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid4(randi(length(stuetid4(~isnan(stuetid4)))),1);
                                    elseif j==5
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid5(randi(length(stuetid5(~isnan(stuetid5)))),1);
                                    elseif j==6
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid6(randi(length(stuetid6(~isnan(stuetid6)))),1);
                                    elseif j==7
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid7(randi(length(stuetid7(~isnan(stuetid7)))),1);
                                    elseif j==8
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid8(randi(length(stuetid8(~isnan(stuetid8)))),1);
                                    elseif j==9
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid9(randi(length(stuetid9(~isnan(stuetid9)))),1);
                                    elseif j==10
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid10(randi(length(stuetid10(~isnan(stuetid10)))),1);
                                    elseif j==11
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid11(randi(length(stuetid11(~isnan(stuetid11)))),1);
                                    elseif j==12
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid12(randi(length(stuetid12(~isnan(stuetid12)))),1);
                                    elseif j==13
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid13(randi(length(stuetid13(~isnan(stuetid13)))),1);
                                    elseif j==14
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid14(randi(length(stuetid14(~isnan(stuetid14)))),1);
                                    elseif j==15
                                    stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid15(randi(length(stuetid15(~isnan(stuetid15)))),1);
                                    end
                                end

                                funnetSeng=0; %Finner seng
                                k=0;
                                if rand<=sshDK(j,1)
                                    k=0;
                                else
                                    while funnetSeng==0 && k<=4
                                        k=k+1;
                                        if sengepost_EL(j,k)==1 
                                            funnetSeng=1;
                                        end
                                    end
                                end

                               if k==0 % DK legges ikke inn
                                    liggetid=0;
                                elseif k==1 % Vi registrerer alle til egen sengepost, kan i ettertid se p overbelegg. Merk: vi stryker ikke elektive pga sengemangel her, men lenger oppe..(to dager fr?)
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_El(1,j)-1,LOS_El(1,j)+1],1,1)); 
                                    else
                                        if (j==13 || j==14) && deterministisk13og14==1
                                            liggetid=1440*deterministiskLOS;
                                        else
                                            liggetid=1440*max(1,round(random(LOS_El(1,j))));
                                        end
                                    end 
                                    if liggetid>0
                                        leggesInn=tid2BVS+randi(200);
                                        for b=length(totalW1(1,:)):-1:1
                                            if b==length(totalW1(1,:))
                                                if leggesInn>=totalW1(2,b)
                                                    break;
                                                end
                                            else
                                                if leggesInn>=totalW1(2,b) && leggesInn<totalW1(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(totalW1(1,:))            
                                            totalW1(1,end+1)=totalW1(1,end)+1;
                                            totalW1(2,end)=leggesInn;
                                        else
                                            b=b+1;
                                            total=zeros(2,length(totalW1(1,:))); %Lager en kopi
                                            for z=b:1:length(totalW1(1,:))
                                                total(1,z)=totalW1(1,z);
                                                total(2,z)=totalW1(2,z);
                                            end
                                            for z=b:1:length(totalW1(1,:))+1
                                                if z==b
                                                    totalW1(1,z)=totalW1(1,z-1)+1;
                                                    totalW1(2,z)=leggesInn;
                                                elseif z<=length(totalW1(1,:))
                                                    totalW1(1,z)=total(1,z-1)+1;
                                                    totalW1(2,z)=total(2,z-1);
                                                else
                                                    totalW1(1,end+1)=total(1,z-1)+1;
                                                    totalW1(2,end)=total(2,z-1);
                                                end
                                            end
                                        end
                                        totalElW1(1,end+1)=totalElW1(1,end)+1;
                                        totalElW1(2,end)=totalW1(2,end);
                                        utW1(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                                    end
                                elseif k==2
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_El(1,j)-1,LOS_El(1,j)+1],1,1)); 
                                    else
                                        if (j==13 || j==14) && deterministisk13og14==1
                                            liggetid=1440*deterministiskLOS;
                                        else
                                            liggetid=1440*max(1,round(random(LOS_El(1,j))));
                                        end
                                    end
                                    if liggetid>0
                                        leggesInn=tid2BVS+randi(200);
                                        for b=length(totalW2(1,:)):-1:1
                                            if b==length(totalW2(1,:))
                                                if leggesInn>=totalW2(2,b)
                                                    break;
                                                end
                                            else
                                                if leggesInn>=totalW2(2,b) && leggesInn<totalW2(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(totalW2(1,:))            
                                            totalW2(1,end+1)=totalW2(1,end)+1;
                                            totalW2(2,end)=leggesInn;
                                        else
                                            b=b+1;
                                            total=zeros(2,length(totalW2(1,:))); %Lager en kopi
                                            for z=b:1:length(totalW2(1,:))
                                                total(1,z)=totalW2(1,z);
                                                total(2,z)=totalW2(2,z);
                                            end
                                            for z=b:1:length(totalW2(1,:))+1
                                                if z==b
                                                    totalW2(1,z)=totalW2(1,z-1)+1;
                                                    totalW2(2,z)=leggesInn;
                                                elseif z<=length(totalW2(1,:))
                                                    totalW2(1,z)=total(1,z-1)+1;
                                                    totalW2(2,z)=total(2,z-1);
                                                else
                                                    totalW2(1,end+1)=total(1,z-1)+1;
                                                    totalW2(2,end)=total(2,z-1);
                                                end
                                            end
                                        end
                                        totalElW2(1,end+1)=totalElW2(1,end)+1;
                                        totalElW2(2,end)=totalW2(2,end);
                                        utW2(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                                    end
                                elseif k==3
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_El(1,j)-1,LOS_El(1,j)+1],1,1)); 
                                    else
                                        if (j==13 || j==14) && deterministisk13og14==1
                                            liggetid=1440*deterministiskLOS;
                                        else
                                            liggetid=1440*max(1,round(random(LOS_El(1,j))));
                                        end
                                    end 
                                    if liggetid>0
                                        leggesInn=tid2BVS+randi(200);
                                        for b=length(totalW3(1,:)):-1:1
                                            if b==length(totalW3(1,:))
                                                if leggesInn>=totalW3(2,b)
                                                    break;
                                                end
                                            else
                                                if leggesInn>=totalW3(2,b) && leggesInn<totalW3(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(totalW3(1,:))            
                                            totalW3(1,end+1)=totalW3(1,end)+1;
                                            totalW3(2,end)=leggesInn;
                                        else
                                            b=b+1;
                                            total=zeros(2,length(totalW3(1,:))); %Lager en kopi
                                            for z=b:1:length(totalW3(1,:))
                                                total(1,z)=totalW3(1,z);
                                                total(2,z)=totalW3(2,z);
                                            end
                                            for z=b:1:length(totalW3(1,:))+1
                                                if z==b
                                                    totalW3(1,z)=totalW3(1,z-1)+1;
                                                    totalW3(2,z)=leggesInn;
                                                elseif z<=length(totalW3(1,:))
                                                    totalW3(1,z)=total(1,z-1)+1;
                                                    totalW3(2,z)=total(2,z-1);
                                                else
                                                    totalW3(1,end+1)=total(1,z-1)+1;
                                                    totalW3(2,end)=total(2,z-1);
                                                end
                                            end
                                        end
                                        totalElW3(1,end+1)=totalElW3(1,end)+1;
                                        totalElW3(2,end)=totalW3(2,end);
                                        utW3(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                                    end
                                elseif k==4
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_El(1,j)-1,LOS_El(1,j)+1],1,1)); 
                                    else
                                       if (j==13 || j==14) && deterministisk13og14==1
                                            liggetid=1440*deterministiskLOS;
                                        else
                                            liggetid=1440*max(1,round(random(LOS_El(1,j))));
                                        end
                                    end
                                    if liggetid>0
                                        leggesInn=tid2BVS+randi(200);
                                        for b=length(totalW4(1,:)):-1:1
                                            if b==length(totalW4(1,:))
                                                if leggesInn>=totalW4(2,b)
                                                    break;
                                                end
                                            else
                                                if leggesInn>=totalW4(2,b) && leggesInn<totalW4(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(totalW4(1,:))            
                                            totalW4(1,end+1)=totalW4(1,end)+1;
                                            totalW4(2,end)=leggesInn;
                                        else
                                            b=b+1;
                                            total=zeros(2,length(totalW4(1,:))); %Lager en kopi
                                            for z=b:1:length(totalW4(1,:))
                                                total(1,z)=totalW4(1,z);
                                                total(2,z)=totalW4(2,z);
                                            end
                                            for z=b:1:length(totalW4(1,:))+1
                                                if z==b
                                                    totalW4(1,z)=totalW4(1,z-1)+1;
                                                    totalW4(2,z)=leggesInn;
                                                elseif z<=length(totalW4(1,:))
                                                    totalW4(1,z)=total(1,z-1)+1;
                                                    totalW4(2,z)=total(2,z-1);
                                                else
                                                    totalW4(1,end+1)=total(1,z-1)+1;
                                                    totalW4(2,end)=total(2,z-1);
                                                end
                                            end
                                        end
                                        totalElW4(1,end+1)=totalElW4(1,end)+1;
                                        totalElW4(2,end)=totalW4(2,end);
                                        utW4(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                                    end
                                else
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_El(1,j)-1,LOS_El(1,j)+1],1,1)); 
                                    else
                                        if (j==13 || j==14) && deterministisk13og14==1
                                            liggetid=1440*deterministiskLOS;
                                        else
                                            liggetid=1440*max(1,round(random(LOS_El(1,j))));
                                        end
                                    end
                                    if liggetid>0
                                        leggesInn=tid2BVS+randi(200);
                                        for b=length(totalW5(1,:)):-1:1
                                            if b==length(totalW5(1,:))
                                                if leggesInn>=totalW5(2,b)
                                                    break;
                                                end
                                            else
                                                if leggesInn>=totalW5(2,b) && leggesInn<totalW5(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(totalW5(1,:))            
                                            totalW5(1,end+1)=totalW5(1,end)+1;
                                            totalW5(2,end)=leggesInn;
                                        else
                                            b=b+1;
                                            total=zeros(2,length(totalW5(1,:))); %Lager en kopi
                                            for z=b:1:length(totalW5(1,:))
                                                total(1,z)=totalW5(1,z);
                                                total(2,z)=totalW5(2,z);
                                            end
                                            for z=b:1:length(totalW5(1,:))+1
                                                if z==b
                                                    totalW5(1,z)=totalW5(1,z-1)+1;
                                                    totalW5(2,z)=leggesInn;
                                                elseif z<=length(totalW5(1,:))
                                                    totalW5(1,z)=total(1,z-1)+1;
                                                    totalW5(2,z)=total(2,z-1);
                                                else
                                                    totalW5(1,end+1)=total(1,z-1)+1;
                                                    totalW5(2,end)=total(2,z-1);
                                                end
                                            end
                                        end
                                        totalElW5(1,end+1)=totalElW5(1,end)+1;
                                        totalElW5(2,end)=totalW5(2,end);
                                        utW5(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                                    end
                                end
                            end
                        end    
                    end
                end
            elseif mod(d,7)==4
                % Vi gjennomfrer frst alle elektive operasjoner
                for i=1:1:length(xTor(1,:)) %Itererer over alle stuer
                    for j=1:1:length(xTor(:,1)) %Itererer over alle pasienter i hver stue
                        if xTorDag(j,i,d)>0
                            for y=1:1:xTorDag(j,i,d)
                                if lognorm==1
                                    stuetidBVS(d,i)=stuetidBVS(d,i) + vask + lognrnd(muEl(1,j),sigmaEl(1,j));
                                else
                                    if j==1
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid1(randi(length(stuetid1(~isnan(stuetid1)))),1);
                                    elseif j==2
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid2(randi(length(stuetid2(~isnan(stuetid2)))),1);
                                    elseif j==3
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid3(randi(length(stuetid3(~isnan(stuetid3)))),1);
                                    elseif j==4
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid4(randi(length(stuetid4(~isnan(stuetid4)))),1);
                                    elseif j==5
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid5(randi(length(stuetid5(~isnan(stuetid5)))),1);
                                    elseif j==6
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid6(randi(length(stuetid6(~isnan(stuetid6)))),1);
                                    elseif j==7
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid7(randi(length(stuetid7(~isnan(stuetid7)))),1);
                                    elseif j==8
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid8(randi(length(stuetid8(~isnan(stuetid8)))),1);
                                    elseif j==9
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid9(randi(length(stuetid9(~isnan(stuetid9)))),1);
                                    elseif j==10
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid10(randi(length(stuetid10(~isnan(stuetid10)))),1);
                                    elseif j==11
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid11(randi(length(stuetid11(~isnan(stuetid11)))),1);
                                    elseif j==12
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid12(randi(length(stuetid12(~isnan(stuetid12)))),1);
                                    elseif j==13
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid13(randi(length(stuetid13(~isnan(stuetid13)))),1);
                                    elseif j==14
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid14(randi(length(stuetid14(~isnan(stuetid14)))),1);
                                    elseif j==15
                                    stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid15(randi(length(stuetid15(~isnan(stuetid15)))),1);
                                    end
                                end

                                funnetSeng=0; %Finner seng
                                k=0;
                                if rand<=sshDK(j,1)
                                    k=0;
                                else
                                    while funnetSeng==0 && k<=4
                                        k=k+1;
                                        if sengepost_EL(j,k)==1 
                                            funnetSeng=1;
                                        end
                                    end
                                end

                                if k==0 % DK legges ikke inn
                                    liggetid=0;
                                elseif k==1 % Vi registrerer alle til egen sengepost, kan i ettertid se p overbelegg. Merk: vi stryker ikke elektive pga sengemangel her, men lenger oppe..(to dager fr?)
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_El(1,j)-1,LOS_El(1,j)+1],1,1)); 
                                    else
                                        if (j==13 || j==14) && deterministisk13og14==1
                                            liggetid=1440*deterministiskLOS;
                                        else
                                            liggetid=1440*max(1,round(random(LOS_El(1,j))));
                                        end
                                    end
                                    if liggetid>0
                                        leggesInn=tid2BVS+randi(200);
                                        for b=length(totalW1(1,:)):-1:1
                                            if b==length(totalW1(1,:))
                                                if leggesInn>=totalW1(2,b)
                                                    break;
                                                end
                                            else
                                                if leggesInn>=totalW1(2,b) && leggesInn<totalW1(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(totalW1(1,:))            
                                            totalW1(1,end+1)=totalW1(1,end)+1;
                                            totalW1(2,end)=leggesInn;
                                        else
                                            b=b+1;
                                            total=zeros(2,length(totalW1(1,:))); %Lager en kopi
                                            for z=b:1:length(totalW1(1,:))
                                                total(1,z)=totalW1(1,z);
                                                total(2,z)=totalW1(2,z);
                                            end
                                            for z=b:1:length(totalW1(1,:))+1
                                                if z==b
                                                    totalW1(1,z)=totalW1(1,z-1)+1;
                                                    totalW1(2,z)=leggesInn;
                                                elseif z<=length(totalW1(1,:))
                                                    totalW1(1,z)=total(1,z-1)+1;
                                                    totalW1(2,z)=total(2,z-1);
                                                else
                                                    totalW1(1,end+1)=total(1,z-1)+1;
                                                    totalW1(2,end)=total(2,z-1);
                                                end
                                            end
                                        end
                                        totalElW1(1,end+1)=totalElW1(1,end)+1;
                                        totalElW1(2,end)=totalW1(2,end);
                                        utW1(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                                    end
                                elseif k==2
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_El(1,j)-1,LOS_El(1,j)+1],1,1)); 
                                    else
                                        if (j==13 || j==14) && deterministisk13og14==1
                                            liggetid=1440*deterministiskLOS;
                                        else
                                            liggetid=1440*max(1,round(random(LOS_El(1,j))));
                                        end
                                    end
                                    if liggetid>0
                                        leggesInn=tid2BVS+randi(200);
                                        for b=length(totalW2(1,:)):-1:1
                                            if b==length(totalW2(1,:))
                                                if leggesInn>=totalW2(2,b)
                                                    break;
                                                end
                                            else
                                                if leggesInn>=totalW2(2,b) && leggesInn<totalW2(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(totalW2(1,:))            
                                            totalW2(1,end+1)=totalW2(1,end)+1;
                                            totalW2(2,end)=leggesInn;
                                        else
                                            b=b+1;
                                            total=zeros(2,length(totalW2(1,:))); %Lager en kopi
                                            for z=b:1:length(totalW2(1,:))
                                                total(1,z)=totalW2(1,z);
                                                total(2,z)=totalW2(2,z);
                                            end
                                            for z=b:1:length(totalW2(1,:))+1
                                                if z==b
                                                    totalW2(1,z)=totalW2(1,z-1)+1;
                                                    totalW2(2,z)=leggesInn;
                                                elseif z<=length(totalW2(1,:))
                                                    totalW2(1,z)=total(1,z-1)+1;
                                                    totalW2(2,z)=total(2,z-1);
                                                else
                                                    totalW2(1,end+1)=total(1,z-1)+1;
                                                    totalW2(2,end)=total(2,z-1);
                                                end
                                            end
                                        end
                                        totalElW2(1,end+1)=totalElW2(1,end)+1;
                                        totalElW2(2,end)=totalW2(2,end);
                                        utW2(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                                    end
                                elseif k==3
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_El(1,j)-1,LOS_El(1,j)+1],1,1)); 
                                    else
                                        if (j==13 || j==14) && deterministisk13og14==1
                                            liggetid=1440*deterministiskLOS;
                                        else
                                            liggetid=1440*max(1,round(random(LOS_El(1,j))));
                                        end
                                    end
                                    if liggetid>0
                                        leggesInn=tid2BVS+randi(200);
                                        for b=length(totalW3(1,:)):-1:1
                                            if b==length(totalW3(1,:))
                                                if leggesInn>=totalW3(2,b)
                                                    break;
                                                end
                                            else
                                                if leggesInn>=totalW3(2,b) && leggesInn<totalW3(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(totalW3(1,:))            
                                            totalW3(1,end+1)=totalW3(1,end)+1;
                                            totalW3(2,end)=leggesInn;
                                        else
                                            b=b+1;
                                            total=zeros(2,length(totalW3(1,:))); %Lager en kopi
                                            for z=b:1:length(totalW3(1,:))
                                                total(1,z)=totalW3(1,z);
                                                total(2,z)=totalW3(2,z);
                                            end
                                            for z=b:1:length(totalW3(1,:))+1
                                                if z==b
                                                    totalW3(1,z)=totalW3(1,z-1)+1;
                                                    totalW3(2,z)=leggesInn;
                                                elseif z<=length(totalW3(1,:))
                                                    totalW3(1,z)=total(1,z-1)+1;
                                                    totalW3(2,z)=total(2,z-1);
                                                else
                                                    totalW3(1,end+1)=total(1,z-1)+1;
                                                    totalW3(2,end)=total(2,z-1);
                                                end
                                            end
                                        end
                                        totalElW3(1,end+1)=totalElW3(1,end)+1;
                                        totalElW3(2,end)=totalW3(2,end);
                                        utW3(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                                    end
                                elseif k==4
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_El(1,j)-1,LOS_El(1,j)+1],1,1)); 
                                    else
                                        if (j==13 || j==14) && deterministisk13og14==1
                                            liggetid=1440*deterministiskLOS;
                                        else
                                            liggetid=1440*max(1,round(random(LOS_El(1,j))));
                                        end
                                    end 
                                    if liggetid>0
                                        leggesInn=tid2BVS+randi(200);
                                        for b=length(totalW4(1,:)):-1:1
                                            if b==length(totalW4(1,:))
                                                if leggesInn>=totalW4(2,b)
                                                    break;
                                                end
                                            else
                                                if leggesInn>=totalW4(2,b) && leggesInn<totalW4(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(totalW4(1,:))            
                                            totalW4(1,end+1)=totalW4(1,end)+1;
                                            totalW4(2,end)=leggesInn;
                                        else
                                            b=b+1;
                                            total=zeros(2,length(totalW4(1,:))); %Lager en kopi
                                            for z=b:1:length(totalW4(1,:))
                                                total(1,z)=totalW4(1,z);
                                                total(2,z)=totalW4(2,z);
                                            end
                                            for z=b:1:length(totalW4(1,:))+1
                                                if z==b
                                                    totalW4(1,z)=totalW4(1,z-1)+1;
                                                    totalW4(2,z)=leggesInn;
                                                elseif z<=length(totalW4(1,:))
                                                    totalW4(1,z)=total(1,z-1)+1;
                                                    totalW4(2,z)=total(2,z-1);
                                                else
                                                    totalW4(1,end+1)=total(1,z-1)+1;
                                                    totalW4(2,end)=total(2,z-1);
                                                end
                                            end
                                        end
                                        totalElW4(1,end+1)=totalElW4(1,end)+1;
                                        totalElW4(2,end)=totalW4(2,end);
                                        utW4(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                                    end
                                else
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_El(1,j)-1,LOS_El(1,j)+1],1,1)); 
                                    else
                                        if (j==13 || j==14) && deterministisk13og14==1
                                            liggetid=1440*deterministiskLOS;
                                        else
                                            liggetid=1440*max(1,round(random(LOS_El(1,j))));
                                        end
                                    end 
                                    if liggetid>0
                                        leggesInn=tid2BVS+randi(200);
                                        for b=length(totalW5(1,:)):-1:1
                                            if b==length(totalW5(1,:))
                                                if leggesInn>=totalW5(2,b)
                                                    break;
                                                end
                                            else
                                                if leggesInn>=totalW5(2,b) && leggesInn<totalW5(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(totalW5(1,:))            
                                            totalW5(1,end+1)=totalW5(1,end)+1;
                                            totalW5(2,end)=leggesInn;
                                        else
                                            b=b+1;
                                            total=zeros(2,length(totalW5(1,:))); %Lager en kopi
                                            for z=b:1:length(totalW5(1,:))
                                                total(1,z)=totalW5(1,z);
                                                total(2,z)=totalW5(2,z);
                                            end
                                            for z=b:1:length(totalW5(1,:))+1
                                                if z==b
                                                    totalW5(1,z)=totalW5(1,z-1)+1;
                                                    totalW5(2,z)=leggesInn;
                                                elseif z<=length(totalW5(1,:))
                                                    totalW5(1,z)=total(1,z-1)+1;
                                                    totalW5(2,z)=total(2,z-1);
                                                else
                                                    totalW5(1,end+1)=total(1,z-1)+1;
                                                    totalW5(2,end)=total(2,z-1);
                                                end
                                            end
                                        end
                                        totalElW5(1,end+1)=totalElW5(1,end)+1;
                                        totalElW5(2,end)=totalW5(2,end);
                                        utW5(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                                    end
                                end
                            end
                        end    
                    end
                end
            elseif mod(d,7)==5
                % Vi gjennomfrer frst alle elektive operasjoner
                for i=1:1:length(xFre(1,:)) %Itererer over alle stuer
                    for j=1:1:length(xFre(:,1)) %Itererer over alle pasienter i hver stue
                        if xFreDag(j,i,d)>0
                            for y=1:1:xFreDag(j,i,d)
                                if lognorm==1
                                    stuetidBVS(d,i)=stuetidBVS(d,i) + vask + lognrnd(muEl(1,j),sigmaEl(1,j));
                                else
                                    if j==1
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid1(randi(length(stuetid1(~isnan(stuetid1)))),1);
                                    elseif j==2
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid2(randi(length(stuetid2(~isnan(stuetid2)))),1);
                                    elseif j==3
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid3(randi(length(stuetid3(~isnan(stuetid3)))),1);
                                    elseif j==4
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid4(randi(length(stuetid4(~isnan(stuetid4)))),1);
                                    elseif j==5
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid5(randi(length(stuetid5(~isnan(stuetid5)))),1);
                                    elseif j==6
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid6(randi(length(stuetid6(~isnan(stuetid6)))),1);
                                    elseif j==7
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid7(randi(length(stuetid7(~isnan(stuetid7)))),1);
                                    elseif j==8
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid8(randi(length(stuetid8(~isnan(stuetid8)))),1);
                                    elseif j==9
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid9(randi(length(stuetid9(~isnan(stuetid9)))),1);
                                    elseif j==10
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid10(randi(length(stuetid10(~isnan(stuetid10)))),1);
                                    elseif j==11
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid11(randi(length(stuetid11(~isnan(stuetid11)))),1);
                                    elseif j==12
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid12(randi(length(stuetid12(~isnan(stuetid12)))),1);
                                    elseif j==13
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid13(randi(length(stuetid13(~isnan(stuetid13)))),1);
                                    elseif j==14
                                        stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid14(randi(length(stuetid14(~isnan(stuetid14)))),1);
                                    elseif j==15
                                    stuetidBVS(d,i)=stuetidBVS(d,i) + vask + stuetid15(randi(length(stuetid15(~isnan(stuetid15)))),1);
                                    end
                                end

                                if rand<=sshDK(j,1)
                                    k=0;
                                else
                                    while funnetSeng==0 && k<=4
                                        k=k+1;
                                        if sengepost_EL(j,k)==1 
                                            funnetSeng=1;
                                        end
                                    end
                                end

                                if k==0 % DK legges ikke inn
                                    liggetid=0;
                                elseif k==1 % Vi registrerer alle til egen sengepost, kan i ettertid se p overbelegg. Merk: vi stryker ikke elektive pga sengemangel her, men lenger oppe..(to dager fr?)
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_El(1,j)-1,LOS_El(1,j)+1],1,1)); 
                                    else
                                        if (j==13 || j==14) && deterministisk13og14==1
                                            liggetid=1440*deterministiskLOS;
                                        else
                                            liggetid=1440*max(1,round(random(LOS_El(1,j))));
                                        end
                                    end
                                    if liggetid>0
                                        leggesInn=tid2BVS+randi(200);
                                        for b=length(totalW1(1,:)):-1:1
                                            if b==length(totalW1(1,:))
                                                if leggesInn>=totalW1(2,b)
                                                    break;
                                                end
                                            else
                                                if leggesInn>=totalW1(2,b) && leggesInn<totalW1(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(totalW1(1,:))            
                                            totalW1(1,end+1)=totalW1(1,end)+1;
                                            totalW1(2,end)=leggesInn;
                                        else
                                            b=b+1;
                                            total=zeros(2,length(totalW1(1,:))); %Lager en kopi
                                            for z=b:1:length(totalW1(1,:))
                                                total(1,z)=totalW1(1,z);
                                                total(2,z)=totalW1(2,z);
                                            end
                                            for z=b:1:length(totalW1(1,:))+1
                                                if z==b
                                                    totalW1(1,z)=totalW1(1,z-1)+1;
                                                    totalW1(2,z)=leggesInn;
                                                elseif z<=length(totalW1(1,:))
                                                    totalW1(1,z)=total(1,z-1)+1;
                                                    totalW1(2,z)=total(2,z-1);
                                                else
                                                    totalW1(1,end+1)=total(1,z-1)+1;
                                                    totalW1(2,end)=total(2,z-1);
                                                end
                                            end
                                        end

                                        totalElW1(1,end+1)=totalElW1(1,end)+1;
                                        totalElW1(2,end)=totalW1(2,end);
                                        utW1(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                                    end
                                elseif k==2
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_El(1,j)-1,LOS_El(1,j)+1],1,1)); 
                                    else
                                        if (j==13 || j==14) && deterministisk13og14==1
                                            liggetid=1440*deterministiskLOS;
                                        else
                                            liggetid=1440*max(1,round(random(LOS_El(1,j))));
                                        end
                                    end 
                                    if liggetid>0
                                        leggesInn=tid2BVS+randi(200);
                                        for b=length(totalW2(1,:)):-1:1
                                            if b==length(totalW2(1,:))
                                                if leggesInn>=totalW2(2,b)
                                                    break;
                                                end
                                            else
                                                if leggesInn>=totalW2(2,b) && leggesInn<totalW2(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(totalW2(1,:))            
                                            totalW2(1,end+1)=totalW2(1,end)+1;
                                            totalW2(2,end)=leggesInn;
                                        else
                                            b=b+1;
                                            total=zeros(2,length(totalW2(1,:))); %Lager en kopi
                                            for z=b:1:length(totalW2(1,:))
                                                total(1,z)=totalW2(1,z);
                                                total(2,z)=totalW2(2,z);
                                            end
                                            for z=b:1:length(totalW2(1,:))+1
                                                if z==b
                                                    totalW2(1,z)=totalW2(1,z-1)+1;
                                                    totalW2(2,z)=leggesInn;
                                                elseif z<=length(totalW2(1,:))
                                                    totalW2(1,z)=total(1,z-1)+1;
                                                    totalW2(2,z)=total(2,z-1);
                                                else
                                                    totalW2(1,end+1)=total(1,z-1)+1;
                                                    totalW2(2,end)=total(2,z-1);
                                                end
                                            end
                                        end
                                        totalElW2(1,end+1)=totalElW2(1,end)+1;
                                        totalElW2(2,end)=totalW2(2,end);
                                        utW2(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                                    end
                                elseif k==3
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_El(1,j)-1,LOS_El(1,j)+1],1,1)); 
                                    else
                                        if (j==13 || j==14) && deterministisk13og14==1
                                            liggetid=1440*deterministiskLOS;
                                        else
                                            liggetid=1440*max(1,round(random(LOS_El(1,j))));
                                        end
                                    end
                                    if liggetid>0
                                        leggesInn=tid2BVS+randi(200);
                                        for b=length(totalW3(1,:)):-1:1
                                            if b==length(totalW3(1,:))
                                                if leggesInn>=totalW3(2,b)
                                                    break;
                                                end
                                            else
                                                if leggesInn>=totalW3(2,b) && leggesInn<totalW3(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(totalW3(1,:))            
                                            totalW3(1,end+1)=totalW3(1,end)+1;
                                            totalW3(2,end)=leggesInn;
                                        else
                                            b=b+1;
                                            total=zeros(2,length(totalW3(1,:))); %Lager en kopi
                                            for z=b:1:length(totalW3(1,:))
                                                total(1,z)=totalW3(1,z);
                                                total(2,z)=totalW3(2,z);
                                            end
                                            for z=b:1:length(totalW3(1,:))+1
                                                if z==b
                                                    totalW3(1,z)=totalW3(1,z-1)+1;
                                                    totalW3(2,z)=leggesInn;
                                                elseif z<=length(totalW3(1,:))
                                                    totalW3(1,z)=total(1,z-1)+1;
                                                    totalW3(2,z)=total(2,z-1);
                                                else
                                                    totalW3(1,end+1)=total(1,z-1)+1;
                                                    totalW3(2,end)=total(2,z-1);
                                                end
                                            end
                                        end
                                        totalElW3(1,end+1)=totalElW3(1,end)+1;
                                        totalElW3(2,end)=totalW3(2,end);
                                        utW3(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                                    end
                                elseif k==4
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_El(1,j)-1,LOS_El(1,j)+1],1,1)); 
                                    else
                                        if (j==13 || j==14) && deterministisk13og14==1
                                            liggetid=1440*deterministiskLOS;
                                        else
                                            liggetid=1440*max(1,round(random(LOS_El(1,j))));
                                        end
                                    end 
                                    if liggetid>0
                                        leggesInn=tid2BVS+randi(200);
                                        for b=length(totalW4(1,:)):-1:1
                                            if b==length(totalW4(1,:))
                                                if leggesInn>=totalW4(2,b)
                                                    break;
                                                end
                                            else
                                                if leggesInn>=totalW4(2,b) && leggesInn<totalW4(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(totalW4(1,:))            
                                            totalW4(1,end+1)=totalW4(1,end)+1;
                                            totalW4(2,end)=leggesInn;
                                        else
                                            b=b+1;
                                            total=zeros(2,length(totalW4(1,:))); %Lager en kopi
                                            for z=b:1:length(totalW4(1,:))
                                                total(1,z)=totalW4(1,z);
                                                total(2,z)=totalW4(2,z);
                                            end
                                            for z=b:1:length(totalW4(1,:))+1
                                                if z==b
                                                    totalW4(1,z)=totalW4(1,z-1)+1;
                                                    totalW4(2,z)=leggesInn;
                                                elseif z<=length(totalW4(1,:))
                                                    totalW4(1,z)=total(1,z-1)+1;
                                                    totalW4(2,z)=total(2,z-1);
                                                else
                                                    totalW4(1,end+1)=total(1,z-1)+1;
                                                    totalW4(2,end)=total(2,z-1);
                                                end
                                            end
                                        end
                                        totalElW4(1,end+1)=totalElW4(1,end)+1;
                                        totalElW4(2,end)=totalW4(2,end);
                                        utW4(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                                    end
                                else
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_El(1,j)-1,LOS_El(1,j)+1],1,1)); 
                                    else
                                        if (j==13 || j==14) && deterministisk13og14==1
                                            liggetid=1440*deterministiskLOS;
                                        else
                                            liggetid=1440*max(1,round(random(LOS_El(1,j))));
                                        end
                                    end
                                    if liggetid>0
                                        leggesInn=tid2BVS+randi(200);
                                        for b=length(totalW5(1,:)):-1:1
                                            if b==length(totalW5(1,:))
                                                if leggesInn>=totalW5(2,b)
                                                    break;
                                                end
                                            else
                                                if leggesInn>=totalW5(2,b) && leggesInn<totalW5(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(totalW5(1,:))            
                                            totalW5(1,end+1)=totalW5(1,end)+1;
                                            totalW5(2,end)=leggesInn;
                                        else
                                            b=b+1;
                                            total=zeros(2,length(totalW5(1,:))); %Lager en kopi
                                            for z=b:1:length(totalW5(1,:))
                                                total(1,z)=totalW5(1,z);
                                                total(2,z)=totalW5(2,z);
                                            end
                                            for z=b:1:length(totalW5(1,:))+1
                                                if z==b
                                                    totalW5(1,z)=totalW5(1,z-1)+1;
                                                    totalW5(2,z)=leggesInn;
                                                elseif z<=length(totalW5(1,:))
                                                    totalW5(1,z)=total(1,z-1)+1;
                                                    totalW5(2,z)=total(2,z-1);
                                                else
                                                    totalW5(1,end+1)=total(1,z-1)+1;
                                                    totalW5(2,end)=total(2,z-1);
                                                end
                                            end
                                        end
                                        totalElW5(1,end+1)=totalElW5(1,end)+1;
                                        totalElW5(2,end)=totalW5(2,end);
                                        utW5(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                                    end
                                end
                            end
                        end    
                    end
                end
            end

            % Deretter kommer alle grnne som er lagt til elektive stuer
            for f=1:1:length(gronneElektivStue(d,:,1)) %Itererer over alle stuer
                if gronneElektivStue(d,f,1)>0 %Dersom det er grnne pasienter der
                    for y=1:1:gronneElektivStue(d,f,1) %itererer over alle grnne pasienter p en stue
                        if gronneElektivStue(d,f,y+1)==1

                            %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                            for b=length(gronnePreW1(1,:)):-1:1
                                if b==length(gronnePreW1(1,:))
                                    if tid2BVS+stuetidBVS(d,f)>=gronnePreW1(2,b)
                                        break;
                                    end
                                else
                                    if tid2BVS+stuetidBVS(d,f)>=gronnePreW1(2,b) && tid2BVS+stuetidBVS(d,f)<gronnePreW1(2,b+1)
                                        break;
                                    end
                                end
                            end

                            if b==length(gronnePreW1(1,:))            
                                gronnePreW1(1,end+1)=gronnePreW1(1,end)-1;
                                gronnePreW1(2,end)=tid2BVS+stuetidBVS(d,f);
                            else
                                b=b+1;
                                gronnePreKopi=zeros(2,length(gronnePreW1(1,:))); %Lager en kopi
                                for z=b:1:length(gronnePreW1(1,:))
                                    gronnePreKopi(1,z)=gronnePreW1(1,z);
                                    gronnePreKopi(2,z)=gronnePreW1(2,z);
                                end
                                for z=b:1:length(gronnePreW1(1,:))+1
                                    if z==b
                                        gronnePreW1(1,z)=gronnePreW1(1,z-1)-1;
                                        gronnePreW1(2,z)=tid2BVS+stuetidBVS(d,f);
                                    elseif z<=length(gronnePreW1(1,:))
                                        gronnePreW1(1,z)=gronnePreKopi(1,z-1)-1;
                                        gronnePreW1(2,z)=gronnePreKopi(2,z-1);
                                    else
                                        gronnePreW1(1,end+1)=gronnePreKopi(1,z-1)-1;
                                        gronnePreW1(2,end)=gronnePreKopi(2,z-1);
                                    end
                                end
                            end

                            %Opererer pasienten og finner liggetid
                            if lognorm==1
                                stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ lognrnd(muGronn,sigmaGronn);
                            else
                                trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn)))); 
                                stuetid=min(400,stuetidGronn(trekkStue));
                                stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ stuetid;
                            end

                            if LOS_fordeling==1
                                liggetid=1440*max(1,randi([LOS_Gr(1,2)-2,LOS_Gr(1,2)+2],1,1));
                            else
                                liggetid=1440*max(1,round(random(pdAkutte)-gronneFor));
                            end
                            utW1(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                            utAkuttW1(1,end+1)=utW1(1,end);

                        elseif gronneElektivStue(d,f,y+1)==2
                            %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                            for b=length(gronnePreW2(1,:)):-1:1
                                if b==length(gronnePreW2(1,:))
                                    if tid2BVS+stuetidBVS(d,f)>=gronnePreW2(2,b)
                                        break;
                                    end
                                else
                                    if tid2BVS+stuetidBVS(d,f)>=gronnePreW2(2,b) && tid2BVS+stuetidBVS(d,f)<gronnePreW2(2,b+1)
                                        break;
                                    end
                                end
                            end

                            if b==length(gronnePreW2(1,:))            
                                gronnePreW2(1,end+1)=gronnePreW2(1,end)-1;
                                gronnePreW2(2,end)=tid2BVS+stuetidBVS(d,f);
                            else
                                b=b+1;
                                gronnePreKopi=zeros(2,length(gronnePreW2(1,:))); %Lager en kopi
                                for z=b:1:length(gronnePreW2(1,:))
                                    gronnePreKopi(1,z)=gronnePreW2(1,z);
                                    gronnePreKopi(2,z)=gronnePreW2(2,z);
                                end
                                for z=b:1:length(gronnePreW2(1,:))+1
                                    if z==b
                                        gronnePreW2(1,z)=gronnePreW2(1,z-1)-1;
                                        gronnePreW2(2,z)=tid2BVS+stuetidBVS(d,f);
                                    elseif z<=length(gronnePreW2(1,:))
                                        gronnePreW2(1,z)=gronnePreKopi(1,z-1)-1;
                                        gronnePreW2(2,z)=gronnePreKopi(2,z-1);
                                    else
                                        gronnePreW2(1,end+1)=gronnePreKopi(1,z-1)-1;
                                        gronnePreW2(2,end)=gronnePreKopi(2,z-1);
                                    end
                                end
                            end

                            %Opererer pasienten og finner liggetid
                            if lognorm==1
                                stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ lognrnd(muGronn,sigmaGronn);
                            else
                                trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn)))); 
                                stuetid=min(400,stuetidGronn(trekkStue));
                                stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ stuetid;
                            end
                            if LOS_fordeling==1
                                liggetid=1440*max(1,randi([LOS_Gr(1,2)-2,LOS_Gr(1,2)+2],1,1));
                            else
                                liggetid=1440*max(1,round(random(pdAkutte)-gronneFor));
                            end
                            utW2(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                            utAkuttW2(1,end+1)=utW2(1,end);

                        elseif gronneElektivStue(d,f,y+1)==3
                            %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                            for b=length(gronnePreW3(1,:)):-1:1
                                if b==length(gronnePreW3(1,:))
                                    if tid2BVS+stuetidBVS(d,f)>=gronnePreW3(2,b)
                                        break;
                                    end
                                else
                                    if tid2BVS+stuetidBVS(d,f)>=gronnePreW3(2,b) && tid2BVS+stuetidBVS(d,f)<gronnePreW3(2,b+1)
                                        break;
                                    end
                                end
                            end

                            if b==length(gronnePreW3(1,:))            
                                gronnePreW3(1,end+1)=gronnePreW3(1,end)-1;
                                gronnePreW3(2,end)=tid2BVS+stuetidBVS(d,f);
                            else
                                b=b+1;
                                gronnePreKopi=zeros(2,length(gronnePreW3(1,:))); %Lager en kopi
                                for z=b:1:length(gronnePreW3(1,:))
                                    gronnePreKopi(1,z)=gronnePreW3(1,z);
                                    gronnePreKopi(2,z)=gronnePreW3(2,z);
                                end
                                for z=b:1:length(gronnePreW3(1,:))+1
                                    if z==b
                                        gronnePreW3(1,z)=gronnePreW3(1,z-1)-1;
                                        gronnePreW3(2,z)=tid2BVS+stuetidBVS(d,f);
                                    elseif z<=length(gronnePreW3(1,:))
                                        gronnePreW3(1,z)=gronnePreKopi(1,z-1)-1;
                                        gronnePreW3(2,z)=gronnePreKopi(2,z-1);
                                    else
                                        gronnePreW3(1,end+1)=gronnePreKopi(1,z-1)-1;
                                        gronnePreW3(2,end)=gronnePreKopi(2,z-1);
                                    end
                                end
                            end

                            %Opererer pasienten og finner liggetid
                            if lognorm==1
                                stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ lognrnd(muGronn,sigmaGronn);
                            else
                                trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn)))); 
                                stuetid=min(400,stuetidGronn(trekkStue));
                                stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ stuetid;
                            end
                            if LOS_fordeling==1
                                liggetid=1440*max(1,randi([LOS_Gr(1,2)-2,LOS_Gr(1,2)+2],1,1));
                            else
                                liggetid=1440*max(1,round(random(pdAkutte)-gronneFor));
                            end
                            utW3(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                            utAkuttW3(1,end+1)=utW3(1,end);

                        elseif gronneElektivStue(d,f,y+1)==4
                            %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                            for b=length(gronnePreW4(1,:)):-1:1
                                if b==length(gronnePreW4(1,:))
                                    if tid2BVS+stuetidBVS(d,f)>=gronnePreW4(2,b)
                                        break;
                                    end
                                else
                                    if tid2BVS+stuetidBVS(d,f)>=gronnePreW4(2,b) && tid2BVS+stuetidBVS(d,f)<gronnePreW4(2,b+1)
                                        break;
                                    end
                                end
                            end

                            if b==length(gronnePreW4(1,:))            
                                gronnePreW4(1,end+1)=gronnePreW4(1,end)-1;
                                gronnePreW4(2,end)=tid2BVS+stuetidBVS(d,f);
                            else
                                b=b+1;
                                gronnePreKopi=zeros(2,length(gronnePreW4(1,:))); %Lager en kopi
                                for z=b:1:length(gronnePreW4(1,:))
                                    gronnePreKopi(1,z)=gronnePreW4(1,z);
                                    gronnePreKopi(2,z)=gronnePreW4(2,z);
                                end
                                for z=b:1:length(gronnePreW4(1,:))+1
                                    if z==b
                                        gronnePreW4(1,z)=gronnePreW4(1,z-1)-1;
                                        gronnePreW4(2,z)=tid2BVS+stuetidBVS(d,f);
                                    elseif z<=length(gronnePreW4(1,:))
                                        gronnePreW4(1,z)=gronnePreKopi(1,z-1)-1;
                                        gronnePreW4(2,z)=gronnePreKopi(2,z-1);
                                    else
                                        gronnePreW4(1,end+1)=gronnePreKopi(1,z-1)-1;
                                        gronnePreW4(2,end)=gronnePreKopi(2,z-1);
                                    end
                                end
                            end

                            %Opererer pasienten og finner liggetid
                            if lognorm==1
                                stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ lognrnd(muGronn,sigmaGronn);
                            else
                                trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn)))); 
                                stuetid=min(400,stuetidGronn(trekkStue));
                                stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ stuetid;
                            end
                            if LOS_fordeling==1
                                liggetid=1440*max(1,randi([LOS_Gr(1,2)-2,LOS_Gr(1,2)+2],1,1));
                            else
                                liggetid=1440*max(1,round(random(pdAkutte)-gronneFor));
                            end
                            utW4(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                            utAkuttW4(1,end+1)=utW4(1,end);

                        elseif gronneElektivStue(d,f,y+1)==5
                            %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                            for b=length(gronnePreW5(1,:)):-1:1
                                if b==length(gronnePreW5(1,:))
                                    if tid2BVS+stuetidBVS(d,f)>=gronnePreW5(2,b)
                                        break;
                                    end
                                else
                                    if tid2BVS+stuetidBVS(d,f)>=gronnePreW5(2,b) && tid2BVS+stuetidBVS(d,f)<gronnePreW5(2,b+1)
                                        break;
                                    end
                                end
                            end

                            if b==length(gronnePreW5(1,:))            
                                gronnePreW5(1,end+1)=gronnePreW5(1,end)-1;
                                gronnePreW5(2,end)=tid2BVS+stuetidBVS(d,f);
                            else
                                b=b+1;
                                gronnePreKopi=zeros(2,length(gronnePreW5(1,:))); %Lager en kopi
                                for z=b:1:length(gronnePreW5(1,:))
                                    gronnePreKopi(1,z)=gronnePreW5(1,z);
                                    gronnePreKopi(2,z)=gronnePreW5(2,z);
                                end
                                for z=b:1:length(gronnePreW5(1,:))+1
                                    if z==b
                                        gronnePreW5(1,z)=gronnePreW5(1,z-1)-1;
                                        gronnePreW5(2,z)=tid2BVS+stuetidBVS(d,f);
                                    elseif z<=length(gronnePreW5(1,:))
                                        gronnePreW5(1,z)=gronnePreKopi(1,z-1)-1;
                                        gronnePreW5(2,z)=gronnePreKopi(2,z-1);
                                    else
                                        gronnePreW5(1,end+1)=gronnePreKopi(1,z-1)-1;
                                        gronnePreW5(2,end)=gronnePreKopi(2,z-1);
                                    end
                                end
                            end

                            %Opererer pasienten og finner liggetid
                            if lognorm==1
                                stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ lognrnd(muGronn,sigmaGronn);
                            else
                                trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn)))); 
                                stuetid=min(400,stuetidGronn(trekkStue));
                                stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ stuetid;
                            end
                            if LOS_fordeling==1
                                liggetid=1440*max(1,randi([LOS_Gr(1,2)-2,LOS_Gr(1,2)+2],1,1));
                            else
                                liggetid=1440*max(1,round(random(pdAkutte)-gronneFor));
                            end
                            utW5(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                            utAkuttW5(1,end+1)=utW5(1,end);
                        end
                    end
                end
            end


            %Alle grnne DK til elektive stuer
            for f=1:1:length(gronneDKElektivStue(d,:)) %Itererer over alle stuer
                if gronneDKElektivStue(d,f)>0 %Dersom det er grnne pasienter der
                    for y=1:1:gronneDKElektivStue(d,f) %itererer over alle grnne pasienter p en stue
                        % Fjerner pasienten fra ken(hjemme)
                        for b=length(gronneDKHjemme(1,:)):-1:1
                            if b==length(gronneDKHjemme(1,:))
                                if tid2BVS+stuetidBVS(d,f)>=gronneDKHjemme(2,b)
                                    break;
                                end
                            else
                                if tid2BVS+stuetidBVS(d,f)>=gronneDKHjemme(2,b) && tid2BVS+stuetidBVS(d,f)<gronneDKHjemme(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gronneDKHjemme(1,:))            
                            gronneDKHjemme(1,end+1)=gronneDKHjemme(1,end)-1;
                            gronneDKHjemme(2,end)=tid2BVS+stuetidBVS(d,f);
                        else
                            b=b+1;
                            total=zeros(2,length(gronneDKHjemme)); %Lager en kopi
                            for z=b:1:length(gronneDKHjemme)
                                total(1,z)=gronneDKHjemme(1,z);
                                total(2,z)=gronneDKHjemme(2,z);
                            end
                            for z=b:1:length(gronneDKHjemme)+1
                                if z==b
                                    gronneDKHjemme(1,z)=gronneDKHjemme(1,z-1)-1;
                                    gronneDKHjemme(2,z)=tid2BVS+stuetidBVS(d,f);
                                elseif z<=length(gronneDKHjemme)
                                    gronneDKHjemme(1,z)=total(1,z-1)-1;
                                    gronneDKHjemme(2,z)=total(2,z-1);
                                else
                                    gronneDKHjemme(1,end+1)=total(1,z-1)-1;
                                    gronneDKHjemme(2,end)=total(2,z-1);
                                end
                            end
                        end
                        if lognorm==1
                            stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ lognrnd(muGronnDK,sigmaGronnDK);
                        else
                            trekkStue=randi(length(stuetidGronnDK(~isnan(stuetidGronnDK)))); 
                            stuetid=min(400,stuetidGronnDK(trekkStue));
                            stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ stuetid;
                        end

                    end
                end
            end

            %Alle grnne DK til fleksible slots
            if sum(gronnDKFlexStue(d,:))>0
                for f=1:1:length(gronnDKFlexStue(d,:)) %Itererer over alle stuer
                    if gronnDKFlexStue(d,f)>0
                        for y=1:1:gronnDKFlexStue(d,f) %itererer over alle grnne pasienter p en stue
                            % Fjerner pasienten fra ken(hjemme)
                            for b=length(gronneDKHjemme(1,:)):-1:1
                                if b==length(gronneDKHjemme(1,:))
                                    if tid2BVS+stuetidBVS(d,f)>=gronneDKHjemme(2,b)
                                        break;
                                    end
                                else
                                    if tid2BVS+stuetidBVS(d,f)>=gronneDKHjemme(2,b) && tid2BVS+stuetidBVS(d,f)<gronneDKHjemme(2,b+1)
                                        break;
                                    end
                                end
                            end

                            if b==length(gronneDKHjemme(1,:))            
                                gronneDKHjemme(1,end+1)=gronneDKHjemme(1,end)-1;
                                gronneDKHjemme(2,end)=tid2BVS+stuetidBVS(d,f);
                            else
                                b=b+1;
                                total=zeros(2,length(gronneDKHjemme)); %Lager en kopi
                                for z=b:1:length(gronneDKHjemme)
                                    total(1,z)=gronneDKHjemme(1,z);
                                    total(2,z)=gronneDKHjemme(2,z);
                                end
                                for z=b:1:length(gronneDKHjemme)+1
                                    if z==b
                                        gronneDKHjemme(1,z)=gronneDKHjemme(1,z-1)-1;
                                        gronneDKHjemme(2,z)=tid2BVS+stuetidBVS(d,f);
                                    elseif z<=length(gronneDKHjemme)
                                        gronneDKHjemme(1,z)=total(1,z-1)-1;
                                        gronneDKHjemme(2,z)=total(2,z-1);
                                    else
                                        gronneDKHjemme(1,end+1)=total(1,z-1)-1;
                                        gronneDKHjemme(2,end)=total(2,z-1);
                                    end
                                end
                            end
                            %Opererer pasienten og finner liggetid
                            if lognorm==1
                                stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ lognrnd(muGronnDK,sigmaGronnDK);
                            else
                                trekkStue=randi(length(stuetidGronnDK(~isnan(stuetidGronnDK)))); 
                                stuetid=min(400,stuetidGronnDK(trekkStue));
                                stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ stuetid;
                            end
                        end
                    end
                end
            end


            %Gjennomfrer s alle grnne inneliggende som er planlagt til fleksible
            %slots
            if sum(gronnFlexStue(d,:,1))>0
                for f=1:1:length(gronnFlexStue(d,:,1)) %Itererer over alle stuer
                    if gronnFlexStue(d,f,1)>0
                        for y=1:1:gronnFlexStue(d,f,1) %itererer over alle grnne pasienter p en stue
                            if gronnFlexStue(d,f,y+1)==1 
                                %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                for b=length(gronnePreW1(1,:)):-1:1
                                    if b==length(gronnePreW1(1,:))
                                        if tid2BVS+stuetidBVS(d,f)>=gronnePreW1(2,b)
                                            break;
                                        end
                                    else
                                        if tid2BVS+stuetidBVS(d,f)>=gronnePreW1(2,b) && tid2BVS+stuetidBVS(d,f)<gronnePreW1(2,b+1)
                                            break;
                                        end
                                    end
                                end

                                if b==length(gronnePreW1(1,:))            
                                    gronnePreW1(1,end+1)=gronnePreW1(1,end)-1;
                                    gronnePreW1(2,end)=tid2BVS+stuetidBVS(d,f);
                                else
                                    b=b+1;
                                    gronnePreKopi=zeros(2,length(gronnePreW1(1,:))); %Lager en kopi
                                    for z=b:1:length(gronnePreW1(1,:))
                                        gronnePreKopi(1,z)=gronnePreW1(1,z);
                                        gronnePreKopi(2,z)=gronnePreW1(2,z);
                                    end
                                    for z=b:1:length(gronnePreW1(1,:))+1
                                        if z==b
                                            gronnePreW1(1,z)=gronnePreW1(1,z-1)-1;
                                            gronnePreW1(2,z)=tid2BVS+stuetidBVS(d,f);
                                        elseif z<=length(gronnePreW1(1,:))
                                            gronnePreW1(1,z)=gronnePreKopi(1,z-1)-1;
                                            gronnePreW1(2,z)=gronnePreKopi(2,z-1);
                                        else
                                            gronnePreW1(1,end+1)=gronnePreKopi(1,z-1)-1;
                                            gronnePreW1(2,end)=gronnePreKopi(2,z-1);
                                        end
                                    end
                                end

                                %Opererer pasienten og finner liggetid
                                if lognorm==1
                                    stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ lognrnd(muGronn,sigmaGronn);
                                else
                                    trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn)))); 
                                    stuetid=min(400,stuetidGronn(trekkStue));
                                    stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ stuetid;
                                end
                                if LOS_fordeling==1
                                    liggetid=1440*max(1,randi([LOS_Gr(1,2)-2,LOS_Gr(1,2)+2],1,1));
                                else
                                    liggetid=1440*max(1,round(random(pdAkutte)-gronneFor));
                                end
                                utW1(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                                utAkuttW1(1,end+1)=utW1(1,end);

                            elseif gronnFlexStue(d,f,y+1)==2
                                %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                for b=length(gronnePreW2(1,:)):-1:1
                                    if b==length(gronnePreW2(1,:))
                                        if tid2BVS+stuetidBVS(d,f)>=gronnePreW2(2,b)
                                            break;
                                        end
                                    else
                                        if tid2BVS+stuetidBVS(d,f)>=gronnePreW2(2,b) && tid2BVS+stuetidBVS(d,f)<gronnePreW2(2,b+1)
                                            break;
                                        end
                                    end
                                end

                                if b==length(gronnePreW2(1,:))            
                                    gronnePreW2(1,end+1)=gronnePreW2(1,end)-1;
                                    gronnePreW2(2,end)=tid2BVS+stuetidBVS(d,f);
                                else
                                    b=b+1;
                                    gronnePreKopi=zeros(2,length(gronnePreW2(1,:))); %Lager en kopi
                                    for z=b:1:length(gronnePreW2(1,:))
                                        gronnePreKopi(1,z)=gronnePreW2(1,z);
                                        gronnePreKopi(2,z)=gronnePreW2(2,z);
                                    end
                                    for z=b:1:length(gronnePreW2(1,:))+1
                                        if z==b
                                            gronnePreW2(1,z)=gronnePreW2(1,z-1)-1;
                                            gronnePreW2(2,z)=tid2BVS+stuetidBVS(d,f);
                                        elseif z<=length(gronnePreW2(1,:))
                                            gronnePreW2(1,z)=gronnePreKopi(1,z-1)-1;
                                            gronnePreW2(2,z)=gronnePreKopi(2,z-1);
                                        else
                                            gronnePreW2(1,end+1)=gronnePreKopi(1,z-1)-1;
                                            gronnePreW2(2,end)=gronnePreKopi(2,z-1);
                                        end
                                    end
                                end

                                %Opererer pasienten og finner liggetid
                                if lognorm==1
                                    stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ lognrnd(muGronn,sigmaGronn);
                                else
                                    trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn)))); 
                                    stuetid=min(400,stuetidGronn(trekkStue));
                                    stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ stuetid;
                                end
                                if LOS_fordeling==1
                                    liggetid=1440*max(1,randi([LOS_Gr(1,2)-2,LOS_Gr(1,2)+2],1,1));
                                else
                                    liggetid=1440*max(1,round(random(pdAkutte)-gronneFor));
                                end
                                utW2(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                                utAkuttW2(1,end+1)=utW2(1,end);

                            elseif gronnFlexStue(d,f,y+1)==3
                                %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                for b=length(gronnePreW3(1,:)):-1:1
                                    if b==length(gronnePreW3(1,:))
                                        if tid2BVS+stuetidBVS(d,f)>=gronnePreW3(2,b)
                                            break;
                                        end
                                    else
                                        if tid2BVS+stuetidBVS(d,f)>=gronnePreW3(2,b) && tid2BVS+stuetidBVS(d,f)<gronnePreW3(2,b+1)
                                            break;
                                        end
                                    end
                                end

                                if b==length(gronnePreW3(1,:))            
                                    gronnePreW3(1,end+1)=gronnePreW3(1,end)-1;
                                    gronnePreW3(2,end)=tid2BVS+stuetidBVS(d,f);
                                else
                                    b=b+1;
                                    gronnePreKopi=zeros(2,length(gronnePreW3(1,:))); %Lager en kopi
                                    for z=b:1:length(gronnePreW3(1,:))
                                        gronnePreKopi(1,z)=gronnePreW3(1,z);
                                        gronnePreKopi(2,z)=gronnePreW3(2,z);
                                    end
                                    for z=b:1:length(gronnePreW3(1,:))+1
                                        if z==b
                                            gronnePreW3(1,z)=gronnePreW3(1,z-1)-1;
                                            gronnePreW3(2,z)=tid2BVS+stuetidBVS(d,f);
                                        elseif z<=length(gronnePreW3(1,:))
                                            gronnePreW3(1,z)=gronnePreKopi(1,z-1)-1;
                                            gronnePreW3(2,z)=gronnePreKopi(2,z-1);
                                        else
                                            gronnePreW3(1,end+1)=gronnePreKopi(1,z-1)-1;
                                            gronnePreW3(2,end)=gronnePreKopi(2,z-1);
                                        end
                                    end
                                end

                                %Opererer pasienten og finner liggetid
                                if lognorm==1
                                    stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ lognrnd(muGronn,sigmaGronn);
                                else
                                    trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn)))); 
                                    stuetid=min(400,stuetidGronn(trekkStue));
                                    stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ stuetid;
                                end
                                if LOS_fordeling==1
                                    liggetid=1440*max(1,randi([LOS_Gr(1,2)-2,LOS_Gr(1,2)+2],1,1));
                                else
                                    liggetid=1440*max(1,round(random(pdAkutte)-gronneFor));
                                end
                                utW3(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                                utAkuttW3(1,end+1)=utW3(1,end);

                            elseif gronnFlexStue(d,f,y+1)==4
                                %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                for b=length(gronnePreW4(1,:)):-1:1
                                    if b==length(gronnePreW4(1,:))
                                        if tid2BVS+stuetidBVS(d,f)>=gronnePreW4(2,b)
                                            break;
                                        end
                                    else
                                        if tid2BVS+stuetidBVS(d,f)>=gronnePreW4(2,b) && tid2BVS+stuetidBVS(d,f)<gronnePreW4(2,b+1)
                                            break;
                                        end
                                    end
                                end

                                if b==length(gronnePreW4(1,:))            
                                    gronnePreW4(1,end+1)=gronnePreW4(1,end)-1;
                                    gronnePreW4(2,end)=tid2BVS+stuetidBVS(d,f);
                                else
                                    b=b+1;
                                    gronnePreKopi=zeros(2,length(gronnePreW4(1,:))); %Lager en kopi
                                    for z=b:1:length(gronnePreW4(1,:))
                                        gronnePreKopi(1,z)=gronnePreW4(1,z);
                                        gronnePreKopi(2,z)=gronnePreW4(2,z);
                                    end
                                    for z=b:1:length(gronnePreW4(1,:))+1
                                        if z==b
                                            gronnePreW4(1,z)=gronnePreW4(1,z-1)-1;
                                            gronnePreW4(2,z)=tid2BVS+stuetidBVS(d,f);
                                        elseif z<=length(gronnePreW4(1,:))
                                            gronnePreW4(1,z)=gronnePreKopi(1,z-1)-1;
                                            gronnePreW4(2,z)=gronnePreKopi(2,z-1);
                                        else
                                            gronnePreW4(1,end+1)=gronnePreKopi(1,z-1)-1;
                                            gronnePreW4(2,end)=gronnePreKopi(2,z-1);
                                        end
                                    end
                                end

                                %Opererer pasienten og finner liggetid
                                if lognorm==1
                                    stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ lognrnd(muGronn,sigmaGronn);
                                else
                                    trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn)))); 
                                    stuetid=min(400,stuetidGronn(trekkStue));
                                    stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ stuetid;
                                end
                                if LOS_fordeling==1
                                    liggetid=1440*max(1,randi([LOS_Gr(1,2)-2,LOS_Gr(1,2)+2],1,1));
                                else
                                    liggetid=1440*max(1,round(random(pdAkutte)-gronneFor));
                                end
                                utW4(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                                utAkuttW4(1,end+1)=utW4(1,end);

                            elseif gronnFlexStue(d,f,y+1)==5
                                %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                for b=length(gronnePreW5(1,:)):-1:1
                                    if b==length(gronnePreW5(1,:))
                                        if tid2BVS+stuetidBVS(d,f)>=gronnePreW5(2,b)
                                            break;
                                        end
                                    else
                                        if tid2BVS+stuetidBVS(d,f)>=gronnePreW5(2,b) && tid2BVS+stuetidBVS(d,f)<gronnePreW5(2,b+1)
                                            break;
                                        end
                                    end
                                end

                                if b==length(gronnePreW5(1,:))            
                                    gronnePreW5(1,end+1)=gronnePreW5(1,end)-1;
                                    gronnePreW5(2,end)=tid2BVS+stuetidBVS(d,f);
                                else
                                    b=b+1;
                                    gronnePreKopi=zeros(2,length(gronnePreW5(1,:))); %Lager en kopi
                                    for z=b:1:length(gronnePreW5(1,:))
                                        gronnePreKopi(1,z)=gronnePreW5(1,z);
                                        gronnePreKopi(2,z)=gronnePreW5(2,z);
                                    end
                                    for z=b:1:length(gronnePreW5(1,:))+1
                                        if z==b
                                            gronnePreW5(1,z)=gronnePreW5(1,z-1)-1;
                                            gronnePreW5(2,z)=tid2BVS+stuetidBVS(d,f);
                                        elseif z<=length(gronnePreW5(1,:))
                                            gronnePreW5(1,z)=gronnePreKopi(1,z-1)-1;
                                            gronnePreW5(2,z)=gronnePreKopi(2,z-1);
                                        else
                                            gronnePreW5(1,end+1)=gronnePreKopi(1,z-1)-1;
                                            gronnePreW5(2,end)=gronnePreKopi(2,z-1);
                                        end
                                    end
                                end

                                %Opererer pasienten og finner liggetid
                                if lognorm==1
                                    stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ lognrnd(muGronn,sigmaGronn);
                                else
                                    trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn)))); 
                                    stuetid=min(400,stuetidGronn(trekkStue));
                                    stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ stuetid;
                                end
                                if LOS_fordeling==1
                                    liggetid=1440*max(1,randi([LOS_Gr(1,2)-2,LOS_Gr(1,2)+2],1,1));
                                else
                                    liggetid=1440*max(1,round(random(pdAkutte)-gronneFor));
                                end
                                utW5(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                                utAkuttW5(1,end+1)=utW5(1,end);
                            end
                        end
                    end
                end
            end

            % Deretter alle strkne elektive som skal til fleksible slots
            if sum(elFlexStue(d,:,1))>0
                for f=1:1:length(elFlexStue(d,:,1)) %Itererer over alle stuer
                    if elFlexStue(d,f,1)>0
                        for y=1:1:elFlexStue(d,f,1)
                            if lognorm==1
                                stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ lognrnd(muEl(1,elFlexStue(d,f,y+1)),sigmaEl(1,elFlexStue(d,f,y+1)));
                            else
                                if elFlexStue(d,f,y+1)==1
                                    stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ stuetid1(randi(length(stuetid1(~isnan(stuetid1)))),1);
                                elseif elFlexStue(d,f,y+1)==2
                                    stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ stuetid2(randi(length(stuetid2(~isnan(stuetid2)))),1);
                                elseif elFlexStue(d,f,y+1)==3
                                    stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ stuetid3(randi(length(stuetid3(~isnan(stuetid3)))),1);
                                elseif elFlexStue(d,f,y+1)==4
                                    stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ stuetid4(randi(length(stuetid4(~isnan(stuetid4)))),1);
                                elseif elFlexStue(d,f,y+1)==5
                                    stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ stuetid5(randi(length(stuetid5(~isnan(stuetid5)))),1);
                                elseif elFlexStue(d,f,y+1)==6
                                    stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ stuetid6(randi(length(stuetid6(~isnan(stuetid6)))),1);
                                elseif elFlexStue(d,f,y+1)==7
                                    stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ stuetid7(randi(length(stuetid7(~isnan(stuetid7)))),1);
                                elseif elFlexStue(d,f,y+1)==8
                                    stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ stuetid8(randi(length(stuetid8(~isnan(stuetid8)))),1);
                                elseif elFlexStue(d,f,y+1)==9
                                    stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ stuetid9(randi(length(stuetid9(~isnan(stuetid9)))),1);
                                elseif elFlexStue(d,f,y+1)==10
                                    stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ stuetid10(randi(length(stuetid10(~isnan(stuetid10)))),1);
                                elseif elFlexStue(d,f,y+1)==11
                                    stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ stuetid11(randi(length(stuetid11(~isnan(stuetid11)))),1);
                                elseif elFlexStue(d,f,y+1)==12
                                    stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ stuetid12(randi(length(stuetid12(~isnan(stuetid12)))),1);
                                elseif elFlexStue(d,f,y+1)==13
                                    stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ stuetid13(randi(length(stuetid13(~isnan(stuetid13)))),1);
                                elseif elFlexStue(d,f,y+1)==14
                                    stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ stuetid14(randi(length(stuetid14(~isnan(stuetid14)))),1);
                                elseif elFlexStue(d,f,y+1)==15
                                    stuetidBVS(d,f)=stuetidBVS(d,f) + vask+ stuetid15(randi(length(stuetid15(~isnan(stuetid15)))),1);
                                end
                            end

                            funnetSeng=0;
                            k=1;
                            if rand<=sshDK(elFlexStue(d,f,1+y),1)
                                    k=0;
                            else
                                while funnetSeng==0 && k<=5
                                    if sengepost_EL(elFlexStue(d,f,1+y),k)==1
                                        funnetSeng=1;
                                    end
                                    if funnetSeng==0
                                        k=k+1;
                                    end
                                end
                                if k==6
                                    k=0;
                                end
                            end
                            if LOS_fordeling==1
                                liggetid=1440*max(1,randi([LOS_El(1,elFlexStue(d,f,y+1))-1,LOS_El(1,elFlexStue(d,f,y+1))+1],1,1)); %Finner liggetid
                            else
                                liggetid=1440*max(1,round(random(LOS_El(1,elFlexStue(d,f,y+1))))); %Finner liggetid
                            end 
                            
                            if k==0 % DK legges ikke inn
                                liggetid=0;
                            elseif k==1 % Vi registrerer alle til egen sengepost, kan i ettertid se p overbelegg. Merk: vi stryker ikke elektive pga sengemangel her, men lenger oppe..(to dager fr?)
                                for b=length(totalW1(1,:)):-1:1
                                    if b==length(totalW1(1,:))
                                        if leggesInn>=totalW1(2,b)
                                            break;
                                        end
                                    else
                                        if leggesInn>=totalW1(2,b) && leggesInn<totalW1(2,b+1)
                                            break;
                                        end
                                    end
                                end

                                if b==length(totalW1(1,:))            
                                    totalW1(1,end+1)=totalW1(1,end)+1;
                                    totalW1(2,end)=leggesInn;
                                else
                                    b=b+1;
                                    total=zeros(2,length(totalW1(1,:))); %Lager en kopi
                                    for z=b:1:length(totalW1(1,:))
                                        total(1,z)=totalW1(1,z);
                                        total(2,z)=totalW1(2,z);
                                    end
                                    for z=b:1:length(totalW1(1,:))+1
                                        if z==b
                                            totalW1(1,z)=totalW1(1,z-1)+1;
                                            totalW1(2,z)=leggesInn;
                                        elseif z<=length(totalW1(1,:))
                                            totalW1(1,z)=total(1,z-1)+1;
                                            totalW1(2,z)=total(2,z-1);
                                        else
                                            totalW1(1,end+1)=total(1,z-1)+1;
                                            totalW1(2,end)=total(2,z-1);
                                        end
                                    end
                                end
                                totalElW1(1,end+1)=totalElW1(1,end)+1;
                                totalElW1(2,end)=totalW1(2,end);
                                utW1(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                            elseif k==2
                                for b=length(totalW2(1,:)):-1:1
                                    if b==length(totalW2(1,:))
                                        if leggesInn>=totalW2(2,b)
                                            break;
                                        end
                                    else
                                        if leggesInn>=totalW2(2,b) && leggesInn<totalW2(2,b+1)
                                            break;
                                        end
                                    end
                                end

                                if b==length(totalW2(1,:))            
                                    totalW2(1,end+1)=totalW2(1,end)+1;
                                    totalW2(2,end)=leggesInn;
                                else
                                    b=b+1;
                                    total=zeros(2,length(totalW2(1,:))); %Lager en kopi
                                    for z=b:1:length(totalW2(1,:))
                                        total(1,z)=totalW2(1,z);
                                        total(2,z)=totalW2(2,z);
                                    end
                                    for z=b:1:length(totalW2(1,:))+1
                                        if z==b
                                            totalW2(1,z)=totalW2(1,z-1)+1;
                                            totalW2(2,z)=leggesInn;
                                        elseif z<=length(totalW2(1,:))
                                            totalW2(1,z)=total(1,z-1)+1;
                                            totalW2(2,z)=total(2,z-1);
                                        else
                                            totalW2(1,end+1)=total(1,z-1)+1;
                                            totalW2(2,end)=total(2,z-1);
                                        end
                                    end
                                end
                                totalElW2(1,end+1)=totalElW2(1,end)+1;
                                totalElW2(2,end)=totalW2(2,end);
                                utW2(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                            elseif k==3
                                for b=length(totalW3(1,:)):-1:1
                                    if b==length(totalW3(1,:))
                                        if leggesInn>=totalW3(2,b)
                                            break;
                                        end
                                    else
                                        if leggesInn>=totalW3(2,b) && leggesInn<totalW3(2,b+1)
                                            break;
                                        end
                                    end
                                end

                                if b==length(totalW3(1,:))            
                                    totalW3(1,end+1)=totalW3(1,end)+1;
                                    totalW3(2,end)=leggesInn;
                                else
                                    b=b+1;
                                    total=zeros(2,length(totalW3(1,:))); %Lager en kopi
                                    for z=b:1:length(totalW3(1,:))
                                        total(1,z)=totalW3(1,z);
                                        total(2,z)=totalW3(2,z);
                                    end
                                    for z=b:1:length(totalW3(1,:))+1
                                        if z==b
                                            totalW3(1,z)=totalW3(1,z-1)+1;
                                            totalW3(2,z)=leggesInn;
                                        elseif z<=length(totalW3(1,:))
                                            totalW3(1,z)=total(1,z-1)+1;
                                            totalW3(2,z)=total(2,z-1);
                                        else
                                            totalW3(1,end+1)=total(1,z-1)+1;
                                            totalW3(2,end)=total(2,z-1);
                                        end
                                    end
                                end
                                totalElW3(1,end+1)=totalElW3(1,end)+1;
                                totalElW3(2,end)=totalW3(2,end);
                                utW3(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                            elseif k==4
                                for b=length(totalW4(1,:)):-1:1
                                    if b==length(totalW4(1,:))
                                        if leggesInn>=totalW4(2,b)
                                            break;
                                        end
                                    else
                                        if leggesInn>=totalW4(2,b) && leggesInn<totalW4(2,b+1)
                                            break;
                                        end
                                    end
                                end

                                if b==length(totalW4(1,:))            
                                    totalW4(1,end+1)=totalW4(1,end)+1;
                                    totalW4(2,end)=leggesInn;
                                else
                                    b=b+1;
                                    total=zeros(2,length(totalW4(1,:))); %Lager en kopi
                                    for z=b:1:length(totalW4(1,:))
                                        total(1,z)=totalW4(1,z);
                                        total(2,z)=totalW4(2,z);
                                    end
                                    for z=b:1:length(totalW4(1,:))+1
                                        if z==b
                                            totalW4(1,z)=totalW4(1,z-1)+1;
                                            totalW4(2,z)=leggesInn;
                                        elseif z<=length(totalW4(1,:))
                                            totalW4(1,z)=total(1,z-1)+1;
                                            totalW4(2,z)=total(2,z-1);
                                        else
                                            totalW4(1,end+1)=total(1,z-1)+1;
                                            totalW4(2,end)=total(2,z-1);
                                        end
                                    end
                                end
                                totalElW4(1,end+1)=totalElW4(1,end)+1;
                                totalElW4(2,end)=totalW4(2,end);
                                utW4(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                            else
                                for b=length(totalW5(1,:)):-1:1
                                    if b==length(totalW5(1,:))
                                        if leggesInn>=totalW5(2,b)
                                            break;
                                        end
                                    else
                                        if leggesInn>=totalW5(2,b) && leggesInn<totalW5(2,b+1)
                                            break;
                                        end
                                    end
                                end

                                if b==length(totalW5(1,:))            
                                    totalW5(1,end+1)=totalW5(1,end)+1;
                                    totalW5(2,end)=leggesInn;
                                else
                                    b=b+1;
                                    total=zeros(2,length(totalW5(1,:))); %Lager en kopi
                                    for z=b:1:length(totalW5(1,:))
                                        total(1,z)=totalW5(1,z);
                                        total(2,z)=totalW5(2,z);
                                    end
                                    for z=b:1:length(totalW5(1,:))+1
                                        if z==b
                                            totalW5(1,z)=totalW5(1,z-1)+1;
                                            totalW5(2,z)=leggesInn;
                                        elseif z<=length(totalW5(1,:))
                                            totalW5(1,z)=total(1,z-1)+1;
                                            totalW5(2,z)=total(2,z-1);
                                        else
                                            totalW5(1,end+1)=total(1,z-1)+1;
                                            totalW5(2,end)=total(2,z-1);
                                        end
                                    end

                                    totalElW5(1,end+1)=totalElW5(1,end)+1;
                                    totalElW5(2,end)=totalW5(2,end);
                                    utW5(1,end+1)=tid2BVS+liggetid+randi(300)-randi(100)+240; %Noe dagsvariasjon p utskrivelse
                                end
                            end
                        end
                    end
                end
            end

            %Dersom ledig tid - legg inn gule

            tellerSeng=0;
            indeksW1=0;
            indeksW2=0;
            indeksW3=0;
            indeksW4=0;
            indeksW5=0;
            guleVenter=[];

            if gulePreW1(1,end)>0
                while tellerSeng<gulePreW1(1,end)
                    if gulePreW1(1,end-indeksW1)>gulePreW1(1,end-indeksW1-1) %vi ser en ankomst
                        tellerSeng=tellerSeng+1;
                    end
                    if tellerSeng==gulePreW1(1,end)
                        indeksW1=indeksW1;
                    else
                    indeksW1=indeksW1+1;
                    end
                end
                guleVenter(1,end+1)=gulePreW1(2,end-indeksW1);
                tellerSeng=0;
            end

            if gulePreW2(1,end)>0
                while tellerSeng<gulePreW2(1,end)
                    if gulePreW2(1,end-indeksW2)>gulePreW2(1,end-indeksW2-1) %vi ser en ankomst
                        tellerSeng=tellerSeng+1;
                    end
                    if tellerSeng==gulePreW2(1,end)
                        indeksW2=indeksW2;
                    else
                    indeksW2=indeksW2+1;
                    end
                end
                guleVenter(1,end+1)=gulePreW2(2,end-indeksW2);
                tellerSeng=0;
            end

            if gulePreW3(1,end)>0
                while tellerSeng<gulePreW3(1,end)
                    if gulePreW3(1,end-indeksW3)>gulePreW3(1,end-indeksW3-1) %vi ser en ankomst
                        tellerSeng=tellerSeng+1;
                    end
                    if tellerSeng==gulePreW3(1,end)
                        indeksW3=indeksW3;
                    else
                    indeksW3=indeksW3+1;
                    end
                end
                guleVenter(1,end+1)=gulePreW3(2,end-indeksW3);
                tellerSeng=0;
            end

            if gulePreW4(1,end)>0
                while tellerSeng<gulePreW4(1,end)
                    if gulePreW4(1,end-indeksW4)>gulePreW4(1,end-indeksW4-1) %vi ser en ankomst
                        tellerSeng=tellerSeng+1;
                    end
                    if tellerSeng==gulePreW4(1,end)
                        indeksW4=indeksW4;
                    else
                    indeksW4=indeksW4+1;
                    end
                end
                guleVenter(1,end+1)=gulePreW4(2,end-indeksW4);
                tellerSeng=0;
            end

            if gulePreW5(1,end)>0
                while tellerSeng<gulePreW5(1,end)
                    if gulePreW5(1,end-indeksW5)>gulePreW5(1,end-indeksW5-1) %vi ser en ankomst
                        tellerSeng=tellerSeng+1;
                    end
                    if tellerSeng==gulePreW5(1,end)
                        indeksW5=indeksW5;
                    else
                    indeksW5=indeksW5+1;
                    end
                end
                guleVenter(1,end+1)=gulePreW5(2,end-indeksW5);
                tellerSeng=0;
            end
            if length(guleVenter)>0 %Dersom gule venter
                guleVenter=sort(guleVenter);
        
                for teller=1:1:8
                    mestPlass(teller)=240*MSS(mod(d,7),teller)-stuetidBVS(d,teller);
                end
                mestPlass=sort(mestPlass);
                for stueIter=8:-1:1 %Maks en gul operasjon pr stue p BVS hver dag
                    if mestPlass(stueIter)==240*MSS(mod(d,7),1)-stuetidBVS(d,1)
                        teller=1;
                    elseif mestPlass(stueIter)==240*MSS(mod(d,7),2)-stuetidBVS(d,2)
                        teller=2;
                    elseif mestPlass(stueIter)==240*MSS(mod(d,7),3)-stuetidBVS(d,3)
                        teller=3;
                    elseif mestPlass(stueIter)==240*MSS(mod(d,7),4)-stuetidBVS(d,4)
                        teller=4;
                    elseif mestPlass(stueIter)==240*MSS(mod(d,7),5)-stuetidBVS(d,5)
                        teller=5;
                    elseif mestPlass(stueIter)==240*MSS(mod(d,7),6)-stuetidBVS(d,6)
                        teller=6;
                    elseif mestPlass(stueIter)==240*MSS(mod(d,7),7)-stuetidBVS(d,7)
                        teller=7;
                    else
                        teller=8;
                    end
                    plassForGul=randi(gulPlassBVS);
                    if plassForGul==1 %Dersom stuen er tilgjengelig for gul operasjon
                        while length(guleVenter)>0 && MSS(mod(d,7),teller)>0 && ((240*MSS(mod(d,7),teller)-stuetidBVS(d,teller)>=surgeryDurGul  && guleVenter(1,1)<=tid2BVS+stuetidBVS(d,teller)) ||(guleVenter(1,1)>tid2BVS+stuetidBVS(d,teller) && tid2BVS+480-guleVenter(1,1)>=surgeryDurGul)) %Dersom plass p elektiv slot og gul pasient har ankommet
                            ledigStuetidFlex(teller,d)=max(0,guleVenter(1,1)-(tid2BVS+stuetidBVS(d,teller)));
                            stuetidBVS(d,teller)=max(stuetidBVS(d,teller),mod(guleVenter(1,1),1440)-480);

                            guleBVS(d,teller)=guleBVS(d,teller)+1;
                            if guleVenter(1,1)==gulePreW1(2,end-indeksW1) %Vi finner pasienten det gjelder

                                %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                for b=length(gulePreW1(1,:)):-1:1
                                    if b==length(gulePreW1(1,:))
                                        if tid2BVS+stuetidBVS(d,teller)>=gulePreW1(2,b)
                                            break;
                                        end
                                    else
                                        if tid2BVS+stuetidBVS(d,teller)>=gulePreW1(2,b) && tid2BVS+stuetidBVS(d,teller)<gulePreW1(2,b+1)
                                            break;
                                        end
                                    end
                                end

                                if b==length(gulePreW1(1,:))            
                                    gulePreW1(1,end+1)=gulePreW1(1,end)-1;
                                    gulePreW1(2,end)=tid2BVS+stuetidBVS(d,teller);
                                else
                                    b=b+1;
                                    gulePreKopi=zeros(2,length(gulePreW1(1,:))); %Lager en kopi
                                    for z=b:1:length(gulePreW1(1,:))
                                        gulePreKopi(1,z)=gulePreW1(1,z);
                                        gulePreKopi(2,z)=gulePreW1(2,z);
                                    end
                                    for z=b:1:length(gulePreW1(1,:))+1
                                        if z==b
                                            gulePreW1(1,z)=gulePreW1(1,z-1)-1;
                                            gulePreW1(2,z)=tid2BVS+stuetidBVS(d,teller);
                                        elseif z<=length(gulePreW1(1,:))
                                            gulePreW1(1,z)=gulePreKopi(1,z-1)-1;
                                            gulePreW1(2,z)=gulePreKopi(2,z-1);
                                        else
                                            gulePreW1(1,end+1)=gulePreKopi(1,z-1)-1;
                                            gulePreW1(2,end)=gulePreKopi(2,z-1);
                                        end
                                    end
                                end

                                %Finner ventetid til operasjon, legger til den
                                %tiden det tar  trille ned pasienten
                                kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                ventetiderGule(1,end+1)=tid2BVS+stuetidBVS(d,teller)-guleVenter(1,1)+kjoreNed;
                                ventetiderGule(2,end)=tid2BVS+stuetidBVS(d,teller);

                                %Trekker operasjonstid og oppdaterer tid for ferdig
                                if lognorm==1                                     
                                    stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                else
                                    trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                    stuetid=min(400,stuetidGul(trekkStue));                                 
                                end
                                stuetidBVS(d,teller)=stuetidBVS(d,teller) + vask +stuetid;

                                %Trekker liggetid p sengepost
                                if LOS_fordeling==1
                                    liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                else
                                    liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                end
                                utW1(1,end+1)=tid2BVS+liggetid+randi(100); %Noe dagsvariasjon p utskrivelse
                                utAkuttW1(1,end+1)=utW1(1,end);

                                %Fjerner paseinten fra ventelisten
                                guleVenter(1)=[];

                                %Finner ny kandidat
                                tellerSeng=0;
                                indeksW1=0;
                                if gulePreW1(1,end)>0
                                    while tellerSeng<gulePreW1(1,end)
                                        if gulePreW1(1,end-indeksW1)>gulePreW1(1,end-indeksW1-1) %vi ser en ankomst
                                            tellerSeng=tellerSeng+1;
                                        end
                                        if tellerSeng==gulePreW1(1,end)
                                            indeksW1=indeksW1;
                                        else
                                        indeksW1=indeksW1+1;
                                        end
                                    end
                                    guleVenter(1,end+1)=gulePreW1(2,end-indeksW1);
                                    guleVenter=sort(guleVenter);
                                end

                            elseif guleVenter(1,1)==gulePreW2(2,end-indeksW2)
                                %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                for b=length(gulePreW2(1,:)):-1:1
                                    if b==length(gulePreW2(1,:))
                                        if tid2BVS+stuetidBVS(d,teller)>=gulePreW2(2,b)
                                            break;
                                        end
                                    else
                                        if tid2BVS+stuetidBVS(d,teller)>=gulePreW2(2,b) && tid2BVS+stuetidBVS(d,teller)<gulePreW2(2,b+1)
                                            break;
                                        end
                                    end
                                end

                                if b==length(gulePreW2(1,:))            
                                    gulePreW2(1,end+1)=gulePreW2(1,end)-1;
                                    gulePreW2(2,end)=tid2BVS+stuetidBVS(d,teller);
                                else
                                    b=b+1;
                                    gulePreKopi=zeros(2,length(gulePreW2(1,:))); %Lager en kopi
                                    for z=b:1:length(gulePreW2(1,:))
                                        gulePreKopi(1,z)=gulePreW2(1,z);
                                        gulePreKopi(2,z)=gulePreW2(2,z);
                                    end
                                    for z=b:1:length(gulePreW2(1,:))+1
                                        if z==b
                                            gulePreW2(1,z)=gulePreW2(1,z-1)-1;
                                            gulePreW2(2,z)=tid2BVS+stuetidBVS(d,teller);
                                        elseif z<=length(gulePreW2(1,:))
                                            gulePreW2(1,z)=gulePreKopi(1,z-1)-1;
                                            gulePreW2(2,z)=gulePreKopi(2,z-1);
                                        else
                                            gulePreW2(1,end+1)=gulePreKopi(1,z-1)-1;
                                            gulePreW2(2,end)=gulePreKopi(2,z-1);
                                        end
                                    end
                                end

                                %Finner ventetid til operasjon, legger til den
                                %tiden det tar  trille ned pasienten
                                kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                ventetiderGule(1,end+1)=tid2BVS+stuetidBVS(d,teller)-guleVenter(1,1)+kjoreNed;
                                ventetiderGule(2,end)=tid2BVS+stuetidBVS(d,teller);

                                %Trekker operasjonstid og oppdaterer tid for ferdig
                                if lognorm==1                                     
                                    stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                else
                                    trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                    stuetid=min(400,stuetidGul(trekkStue));                                 
                                end
                                stuetidBVS(d,teller)=stuetidBVS(d,teller) + vask +stuetid;

                                %Trekker liggetid p sengepost
                                if LOS_fordeling==1
                                    liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                else
                                    liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                end
                                utW2(1,end+1)=tid2BVS+liggetid+randi(100); %Noe dagsvariasjon p utskrivelse
                                utAkuttW2(1,end+1)=utW2(1,end);

                                %Fjerner paseinten fra ventelisten
                                guleVenter(1)=[];

                                %Finner ny kandidat
                                tellerSeng=0;
                                indeksW2=0;
                                if gulePreW2(1,end)>0
                                    while tellerSeng<gulePreW2(1,end)
                                        if gulePreW2(1,end-indeksW2)>gulePreW2(1,end-indeksW2-1) %vi ser en ankomst
                                            tellerSeng=tellerSeng+1;
                                        end
                                        if tellerSeng==gulePreW2(1,end)
                                            indeksW2=indeksW2;
                                        else
                                        indeksW2=indeksW2+1;
                                        end
                                    end
                                    guleVenter(1,end+1)=gulePreW2(2,end-indeksW2);
                                    guleVenter=sort(guleVenter);
                                end

                            elseif guleVenter(1,1)==gulePreW3(2,end-indeksW3)
                                %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                for b=length(gulePreW3(1,:)):-1:1
                                    if b==length(gulePreW3(1,:))
                                        if tid2BVS+stuetidBVS(d,teller)>=gulePreW3(2,b)
                                            break;
                                        end
                                    else
                                        if tid2BVS+stuetidBVS(d,teller)>=gulePreW3(2,b) && tid2BVS+stuetidBVS(d,teller)<gulePreW3(2,b+1)
                                            break;
                                        end
                                    end
                                end

                                if b==length(gulePreW3(1,:))            
                                    gulePreW3(1,end+1)=gulePreW3(1,end)-1;
                                    gulePreW3(2,end)=tid2BVS+stuetidBVS(d,teller);
                                else
                                    b=b+1;
                                    gulePreKopi=zeros(2,length(gulePreW3(1,:))); %Lager en kopi
                                    for z=b:1:length(gulePreW3(1,:))
                                        gulePreKopi(1,z)=gulePreW3(1,z);
                                        gulePreKopi(2,z)=gulePreW3(2,z);
                                    end
                                    for z=b:1:length(gulePreW3(1,:))+1
                                        if z==b
                                            gulePreW3(1,z)=gulePreW3(1,z-1)-1;
                                            gulePreW3(2,z)=tid2BVS+stuetidBVS(d,teller);
                                        elseif z<=length(gulePreW3(1,:))
                                            gulePreW3(1,z)=gulePreKopi(1,z-1)-1;
                                            gulePreW3(2,z)=gulePreKopi(2,z-1);
                                        else
                                            gulePreW3(1,end+1)=gulePreKopi(1,z-1)-1;
                                            gulePreW3(2,end)=gulePreKopi(2,z-1);
                                        end
                                    end
                                end


                                %Finner ventetid til operasjon, legger til den
                                %tiden det tar  trille ned pasienten
                                kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                ventetiderGule(1,end+1)=tid2BVS+stuetidBVS(d,teller)-guleVenter(1,1)+kjoreNed;
                                ventetiderGule(2,end)=tid2BVS+stuetidBVS(d,teller);

                                %Trekker operasjonstid og oppdaterer tid for ferdig
                                if lognorm==1                                     
                                    stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                else
                                    trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                    stuetid=min(400,stuetidGul(trekkStue));                                 
                                end
                                stuetidBVS(d,teller)=stuetidBVS(d,teller) + vask +stuetid;

                                %Trekker liggetid p sengepost
                                if LOS_fordeling==1
                                    liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                else
                                    liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                end
                                utW3(1,end+1)=tid2BVS+liggetid+randi(100); %Noe dagsvariasjon p utskrivelse
                                utAkuttW3(1,end+1)=utW3(1,end);

                                %Fjerner paseinten fra ventelisten
                                guleVenter(1)=[];

                                %Finner ny kandidat
                                tellerSeng=0;
                                indeksW3=0;
                                if gulePreW3(1,end)>0
                                    while tellerSeng<gulePreW3(1,end)
                                        if gulePreW3(1,end-indeksW3)>gulePreW3(1,end-indeksW3-1) %vi ser en ankomst
                                            tellerSeng=tellerSeng+1;
                                        end
                                        if tellerSeng==gulePreW3(1,end)
                                            indeksW3=indeksW3;
                                        else
                                        indeksW3=indeksW3+1;
                                        end
                                    end
                                    guleVenter(1,end+1)=gulePreW3(2,end-indeksW3);
                                    guleVenter=sort(guleVenter);
                                end

                            elseif guleVenter(1,1)==gulePreW4(2,end-indeksW4)
                                %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                for b=length(gulePreW4(1,:)):-1:1
                                    if b==length(gulePreW4(1,:))
                                        if tid2BVS+stuetidBVS(d,teller)>=gulePreW4(2,b)
                                            break;
                                        end
                                    else
                                        if tid2BVS+stuetidBVS(d,teller)>=gulePreW4(2,b) && tid2BVS+stuetidBVS(d,teller)<gulePreW4(2,b+1)
                                            break;
                                        end
                                    end
                                end

                                if b==length(gulePreW4(1,:))            
                                    gulePreW4(1,end+1)=gulePreW4(1,end)-1;
                                    gulePreW4(2,end)=tid2BVS+stuetidBVS(d,teller);
                                else
                                    b=b+1;
                                    gulePreKopi=zeros(2,length(gulePreW4(1,:))); %Lager en kopi
                                    for z=b:1:length(gulePreW4(1,:))
                                        gulePreKopi(1,b)=gulePreW4(1,b);
                                        gulePreKopi(2,b)=gulePreW4(2,b);
                                    end
                                    for z=b:1:length(gulePreW4(1,:))+1
                                        if z==b
                                            gulePreW4(1,z)=gulePreW4(1,z-1)-1;
                                            gulePreW4(2,z)=tid2BVS+stuetidBVS(d,teller);
                                        elseif z<=length(gulePreW4(1,:))
                                            gulePreW4(1,z)=gulePreKopi(1,z-1)-1;
                                            gulePreW4(2,z)=gulePreKopi(2,z-1);
                                        else
                                            gulePreW4(1,end+1)=gulePreKopi(1,z-1)-1;
                                            gulePreW4(2,end)=gulePreKopi(2,z-1);
                                        end
                                    end
                                end

                                %Finner ventetid til operasjon, legger til den
                                %tiden det tar  trille ned pasienten
                                kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                ventetiderGule(1,end+1)=tid2BVS+stuetidBVS(d,teller)-guleVenter(1,1)+kjoreNed;
                                ventetiderGule(2,end)=tid2BVS+stuetidBVS(d,teller);

                                %Trekker operasjonstid og oppdaterer tid for ferdig
                                if lognorm==1                                     
                                    stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                else
                                    trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                    stuetid=min(400,stuetidGul(trekkStue));                                 
                                end
                                stuetidBVS(d,teller)=stuetidBVS(d,teller) + vask +stuetid;

                                %Trekker liggetid p sengepost
                                if LOS_fordeling==1
                                    liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                else
                                    liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                end
                                utW4(1,end+1)=tid2BVS+liggetid+randi(100); %Noe dagsvariasjon p utskrivelse
                                utAkuttW4(1,end+1)=utW4(1,end);

                                %Fjerner paseinten fra ventelisten
                                guleVenter(1)=[];

                                %Finner ny kandidat
                                tellerSeng=0;
                                indeksW4=0;
                                if gulePreW4(1,end)>0
                                    while tellerSeng<gulePreW4(1,end)
                                        if gulePreW4(1,end-indeksW4)>gulePreW4(1,end-indeksW4-1) %vi ser en ankomst
                                            tellerSeng=tellerSeng+1;
                                        end
                                        if tellerSeng==gulePreW4(1,end)
                                            indeksW4=indeksW4;
                                        else
                                        indeksW4=indeksW4+1;
                                        end
                                    end
                                    guleVenter(1,end+1)=gulePreW4(2,end-indeksW4);
                                    guleVenter=sort(guleVenter);
                                end

                            elseif guleVenter(1,1)==gulePreW5(2,end-indeksW5)
                                %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                for b=length(gulePreW5(1,:)):-1:1
                                    if b==length(gulePreW5(1,:))
                                        if tid2BVS+stuetidBVS(d,teller)>=gulePreW5(2,b)
                                            break;
                                        end
                                    else
                                        if tid2BVS+stuetidBVS(d,teller)>=gulePreW5(2,b) && tid2BVS+stuetidBVS(d,teller)<gulePreW5(2,b+1)
                                            break;
                                        end
                                    end
                                end

                                if b==length(gulePreW5(1,:))            
                                    gulePreW5(1,end+1)=gulePreW5(1,end)-1;
                                    gulePreW5(2,end)=tid2BVS+stuetidBVS(d,teller);
                                else
                                    b=b+1;
                                    gulePreKopi=zeros(2,length(gulePreW5(1,:))); %Lager en kopi
                                    for z=b:1:length(gulePreW5(1,:))
                                        gulePreKopi(1,z)=gulePreW5(1,z);
                                        gulePreKopi(2,z)=gulePreW5(2,z);
                                    end
                                    for z=b:1:length(gulePreW5(1,:))+1
                                        if z==b
                                            gulePreW5(1,z)=gulePreW5(1,z-1)-1;
                                            gulePreW5(2,z)=tid2BVS+stuetidBVS(d,teller);
                                        elseif z<=length(gulePreW5(1,:))
                                            gulePreW5(1,z)=gulePreKopi(1,z-1)-1;
                                            gulePreW5(2,z)=gulePreKopi(2,z-1);
                                        else
                                            gulePreW5(1,end+1)=gulePreKopi(1,z-1)-1;
                                            gulePreW5(2,end)=gulePreKopi(2,z-1);
                                        end
                                    end
                                end

                                %Finner ventetid til operasjon, legger til den
                                %tiden det tar  trille ned pasienten
                                kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                ventetiderGule(1,end+1)=tid2BVS+stuetidBVS(d,teller)-guleVenter(1,1)+kjoreNed;
                                ventetiderGule(2,end)=tid2BVS+stuetidBVS(d,teller);

                                %Trekker operasjonstid og oppdaterer tid for ferdig
                                if lognorm==1                                     
                                    stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                else
                                    trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                    stuetid=min(400,stuetidGul(trekkStue));                                 
                                end
                                stuetidBVS(d,teller)=stuetidBVS(d,teller) + vask +stuetid;

                                %Trekker liggetid p sengepost
                                if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                        end
                                utW5(1,end+1)=tid2BVS+liggetid+randi(100); %Noe dagsvariasjon p utskrivelse
                                utAkuttW5(1,end+1)=utW5(1,end);


                                %Fjerner paseinten fra ventelisten
                                guleVenter(1)=[];

                                %Finner ny kandidat
                                tellerSeng=0;
                                indeksW5=0;
                                if gulePreW5(1,end)>0
                                    while tellerSeng<gulePreW5(1,end)
                                        if gulePreW5(1,end-indeksW5)>gulePreW5(1,end-indeksW5-1) %vi ser en ankomst
                                            tellerSeng=tellerSeng+1;
                                        end
                                        if tellerSeng==gulePreW5(1,end)
                                            indeksW5=indeksW5;
                                        else
                                        indeksW5=indeksW5+1;
                                        end
                                    end
                                    guleVenter(1,end+1)=gulePreW5(2,end-indeksW5);
                                    guleVenter=sort(guleVenter);
                                end
                            end
                        end
                    end 
                end
            end
        end

        while tid1AHL<=1320 %man-tor er lik
            if mod(d,7)==1 || mod(d,7)==2 || mod(d,7)==3 || mod(d,7)==4
                utW1=sort(utW1);
                utW2=sort(utW2);
                utW3=sort(utW3);
                utW4=sort(utW4);
                utW5=sort(utW5);
                utAkuttW1=sort(utAkuttW1);
                utAkuttW2=sort(utAkuttW2);
                utAkuttW3=sort(utAkuttW3);
                utAkuttW4=sort(utAkuttW4);
                utAkuttW5=sort(utAkuttW5);


                if OR1Klar==OR2Klar
                    OR2Klar=OR2Klar+1;
                end

                if isempty(ankRod)
                    ankRod(1,end+1)=10000000;
                end

                if isempty(ankGul)
                    ankGul(1,end+1)=10000000;
                end

                if isempty(ankGronn)
                    ankGronn(1,end+1)=10000000;
                end

                if isempty(ankGronnDK)
                    ankGronnDK(1,end+1)=10000000;
                end

                tidOppdatering=[ankRod(1,1),ankGul(1,1),ankGronn(1,1), ankGronnDK(1,1), OR1Klar, OR2Klar, utW1(1,1), utW2(1,1), utW3(1,1), utW4(1,1), utW5(1,1)];
                tidOppdatering=sort(tidOppdatering);

                tid2=tidOppdatering(1,1);
                if tid2>1440*(d-1)+1320
                    break;
                end
                tid1AHL=mod(tidOppdatering(1,1),1440);


                if tid2==ankRod(1,1) %Rd legges inn pre, velg sengepost, oppdater bde pre og sengepost
                    % Velger sengepost
                    ukedagSeng=mod(d,7);
                    if ukedagSeng==0
                        ukedagSeng=7;
                    end
                    sengepost=randi(akutteSeng(ukedagSeng),1,1);
                    if sengepost<=akutteOTS
                        rodePreW1(1,end+1)=rodePreW1(1,end)+1;
                        rodePreW1(2,end)=tid2;
                        for b=length(totalW1(1,:)):-1:1
                            if b==length(totalW1(1,:))
                                if tid2>=totalW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW1(2,b) && tid2<totalW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW1(1,:))            
                            totalW1(1,end+1)=totalW1(1,end)+1;
                            totalW1(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW1(1,:))); %Lager en kopi
                            for z=b:1:length(totalW1(1,:))
                                total(1,z)=totalW1(1,z);
                                total(2,z)=totalW1(2,z);
                            end
                            for z=b:1:length(totalW1(1,:))+1
                                if z==b
                                    totalW1(1,z)=totalW1(1,z-1)+1;
                                    totalW1(2,z)=tid2;
                                elseif z<=length(totalW1(1,:))
                                    totalW1(1,z)=total(1,z-1)+1;
                                    totalW1(2,z)=total(2,z-1);
                                else
                                    totalW1(1,end+1)=total(1,z-1)+1;
                                    totalW1(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW1(1,:)):-1:1
                            if b==length(totalAkuttW1(1,:))
                                if tid2>=totalAkuttW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW1(2,b) && tid2<totalAkuttW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW1(1,:))            
                            totalAkuttW1(1,end+1)=totalAkuttW1(1,end)+1;
                            totalAkuttW1(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW1(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW1(1,:))
                                totalAkutt(1,z)=totalAkuttW1(1,z);
                                totalAkutt(2,z)=totalAkuttW1(2,z);
                            end
                            for z=b:1:length(totalAkuttW1(1,:))+1
                                if z==b
                                    totalAkuttW1(1,z)=totalAkuttW1(1,z-1)+1;
                                    totalAkuttW1(2,z)=tid2;
                                elseif z<=length(totalAkuttW1(1,:))
                                    totalAkuttW1(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW1(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW1(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW1(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end
                    elseif sengepost<=akutteORS
                        rodePreW2(1,end+1)=rodePreW2(1,end)+1;
                        rodePreW2(2,end)=tid2;
                        for b=length(totalW2(1,:)):-1:1
                            if b==length(totalW2(1,:))
                                if tid2>=totalW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW2(2,b) && tid2<totalW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW2(1,:))            
                            totalW2(1,end+1)=totalW2(1,end)+1;
                            totalW2(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW2(1,:))); %Lager en kopi
                            for z=b:1:length(totalW2(1,:))
                                total(1,z)=totalW2(1,z);
                                total(2,z)=totalW2(2,z);
                            end
                            for z=b:1:length(totalW2(1,:))+1
                                if z==b
                                    totalW2(1,z)=totalW2(1,z-1)+1;
                                    totalW2(2,z)=tid2;
                                elseif z<=length(totalW2(1,:))
                                    totalW2(1,z)=total(1,z-1)+1;
                                    totalW2(2,z)=total(2,z-1);
                                else
                                    totalW2(1,end+1)=total(1,z-1)+1;
                                    totalW2(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW2(1,:)):-1:1
                            if b==length(totalAkuttW2(1,:))
                                if tid2>=totalAkuttW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW2(2,b) && tid2<totalAkuttW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW2(1,:))            
                            totalAkuttW2(1,end+1)=totalAkuttW2(1,end)+1;
                            totalAkuttW2(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW2(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW2(1,:))
                                totalAkutt(1,z)=totalAkuttW2(1,z);
                                totalAkutt(2,z)=totalAkuttW2(2,z);
                            end
                            for z=b:1:length(totalAkuttW2(1,:))+1
                                if z==b
                                    totalAkuttW2(1,z)=totalAkuttW2(1,z-1)+1;
                                    totalAkuttW2(2,z)=tid2;
                                elseif z<=length(totalAkuttW2(1,:))
                                    totalAkuttW2(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW2(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW2(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW2(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end
                    elseif sengepost<=akutteOES
                        rodePreW3(1,end+1)=rodePreW3(1,end)+1;
                        rodePreW3(2,end)=tid2;
                        for b=length(totalW3(1,:)):-1:1
                            if b==length(totalW3(1,:))
                                if tid2>=totalW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW3(2,b) && tid2<totalW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW3(1,:))            
                            totalW3(1,end+1)=totalW3(1,end)+1;
                            totalW3(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW3(1,:))); %Lager en kopi
                            for z=b:1:length(totalW3(1,:))
                                total(1,z)=totalW3(1,z);
                                total(2,z)=totalW3(2,z);
                            end
                            for z=b:1:length(totalW3(1,:))+1
                                if z==b
                                    totalW3(1,z)=totalW3(1,z-1)+1;
                                    totalW3(2,z)=tid2;
                                elseif z<=length(totalW3(1,:))
                                    totalW3(1,z)=total(1,z-1)+1;
                                    totalW3(2,z)=total(2,z-1);
                                else
                                    totalW3(1,end+1)=total(1,z-1)+1;
                                    totalW3(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW3(1,:)):-1:1
                            if b==length(totalAkuttW3(1,:))
                                if tid2>=totalAkuttW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW3(2,b) && tid2<totalAkuttW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW3(1,:))            
                            totalAkuttW3(1,end+1)=totalAkuttW3(1,end)+1;
                            totalAkuttW3(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW3(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW3(1,:))
                                totalAkutt(1,z)=totalAkuttW3(1,z);
                                totalAkutt(2,z)=totalAkuttW3(2,z);
                            end
                            for z=b:1:length(totalAkuttW3(1,:))+1
                                if z==b
                                    totalAkuttW3(1,z)=totalAkuttW3(1,z-1)+1;
                                    totalAkuttW3(2,z)=tid2;
                                elseif z<=length(totalAkuttW3(1,:))
                                    totalAkuttW3(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW3(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW3(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW3(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end
                    elseif sengepost<=akutteOFT
                        rodePreW4(1,end+1)=rodePreW4(1,end)+1;
                        rodePreW4(2,end)=tid2;
                        for b=length(totalW4(1,:)):-1:1
                            if b==length(totalW4(1,:))
                                if tid2>=totalW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW4(2,b) && tid2<totalW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW4(1,:))            
                            totalW4(1,end+1)=totalW4(1,end)+1;
                            totalW4(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW4)); %Lager en kopi
                            for z=b:1:length(totalW4)
                                total(1,z)=totalW4(1,z);
                                total(2,z)=totalW4(2,z);
                            end
                            for z=b:1:length(totalW4)+1
                                if z==b
                                    totalW4(1,z)=totalW4(1,z-1)+1;
                                    totalW4(2,z)=tid2;
                                elseif z<=length(totalW4)
                                    totalW4(1,z)=total(1,z-1)+1;
                                    totalW4(2,z)=total(2,z-1);
                                else
                                    totalW4(1,end+1)=total(1,z-1)+1;
                                    totalW4(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW4(1,:)):-1:1
                            if b==length(totalAkuttW4(1,:))
                                if tid2>=totalAkuttW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW4(2,b) && tid2<totalAkuttW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW4(1,:))            
                            totalAkuttW4(1,end+1)=totalAkuttW4(1,end)+1;
                            totalAkuttW4(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW4(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW4(1,:))
                                totalAkutt(1,z)=totalAkuttW4(1,z);
                                totalAkutt(2,z)=totalAkuttW4(2,z);
                            end
                            for z=b:1:length(totalAkuttW4(1,:))+1
                                if z==b
                                    totalAkuttW4(1,z)=totalAkuttW4(1,z-1)+1;
                                    totalAkuttW4(2,z)=tid2;
                                elseif z<=length(totalAkuttW4(1,:))
                                    totalAkuttW4(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW4(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW4(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW4(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end
                    else
                        rodePreW5(1,end+1)=rodePreW5(1,end)+1;
                        rodePreW5(2,end)=tid2;
                        for b=length(totalW5(1,:)):-1:1
                            if b==length(totalW5(1,:))
                                if tid2>=totalW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW5(2,b) && tid2<totalW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW5(1,:))            
                            totalW5(1,end+1)=totalW5(1,end)+1;
                            totalW5(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW5)); %Lager en kopi
                            for z=b:1:length(totalW5)
                                total(1,z)=totalW5(1,z);
                                total(2,z)=totalW5(2,z);
                            end
                            for z=b:1:length(totalW5)+1
                                if z==b
                                    totalW5(1,z)=totalW5(1,z-1)+1;
                                    totalW5(2,z)=tid2;
                                elseif z<=length(totalW5)
                                    totalW5(1,z)=total(1,z-1)+1;
                                    totalW5(2,z)=total(2,z-1);
                                else
                                    totalW5(1,end+1)=total(1,z-1)+1;
                                    totalW5(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW5(1,:)):-1:1
                            if b==length(totalAkuttW5(1,:))
                                if tid2>=totalAkuttW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW5(2,b) && tid2<totalAkuttW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW5(1,:))            
                            totalAkuttW5(1,end+1)=totalAkuttW5(1,end)+1;
                            totalAkuttW5(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW5(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW5(1,:))
                                totalAkutt(1,z)=totalAkuttW5(1,z);
                                totalAkutt(2,z)=totalAkuttW5(2,z);
                            end
                            for z=b:1:length(totalAkuttW5(1,:))+1
                                if z==b
                                    totalAkuttW5(1,z)=totalAkuttW5(1,z-1)+1;
                                    totalAkuttW5(2,z)=tid2;
                                elseif z<=length(totalAkuttW5(1,:))
                                    totalAkuttW5(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW5(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW5(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW5(2,end)=totalAkutt(2,z-1);
                                end
                            end


                        end
                    end

                    %Sletter ankomsten
                    ankRod(1)=[];
                elseif tid2==ankGul(1,1) %Gul legges inn pre, velg sengepost, oppdater bde pre og sengepost
                    % Velger sengepost
                     ukedagSeng=mod(d,7);
                    if ukedagSeng==0
                        ukedagSeng=7;
                    end
                    sengepost=randi(akutteSeng(ukedagSeng),1,1);
                    if sengepost<=akutteOTS
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gulePreW1(1,:)):-1:1
                            if b==length(gulePreW1(1,:))
                                if tid2>=gulePreW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=gulePreW1(2,b) && tid2<gulePreW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gulePreW1(1,:))            
                            gulePreW1(1,end+1)=gulePreW1(1,end)+1;
                            gulePreW1(2,end)=tid2;
                        else
                            b=b+1;
                            gulePreKopi=zeros(2,length(gulePreW1(1,:))); %Lager en kopi
                            for z=b:1:length(gulePreW1(1,:))
                                gulePreKopi(1,z)=gulePreW1(1,z);
                                gulePreKopi(2,z)=gulePreW1(2,z);
                            end
                            for z=b:1:length(gulePreW1(1,:))+1
                                if z==b
                                    gulePreW1(1,z)=gulePreW1(1,z-1)+1;
                                    gulePreW1(2,z)=tid2;
                                elseif z<=length(gulePreW1(1,:))
                                    gulePreW1(1,z)=gulePreKopi(1,z-1)+1;
                                    gulePreW1(2,z)=gulePreKopi(2,z-1);
                                else
                                    gulePreW1(1,end+1)=gulePreKopi(1,z-1)+1;
                                    gulePreW1(2,end)=gulePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW1(1,:)):-1:1
                            if b==length(totalW1(1,:))
                                if tid2>=totalW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW1(2,b) && tid2<totalW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW1(1,:))            
                            totalW1(1,end+1)=totalW1(1,end)+1;
                            totalW1(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW1(1,:))); %Lager en kopi
                            for z=b:1:length(totalW1(1,:))
                                total(1,z)=totalW1(1,z);
                                total(2,z)=totalW1(2,z);
                            end
                            for z=b:1:length(totalW1(1,:))+1
                                if z==b
                                    totalW1(1,z)=totalW1(1,z-1)+1;
                                    totalW1(2,z)=tid2;
                                elseif z<=length(totalW1(1,:))
                                    totalW1(1,z)=total(1,z-1)+1;
                                    totalW1(2,z)=total(2,z-1);
                                else
                                    totalW1(1,end+1)=total(1,z-1)+1;
                                    totalW1(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW1(1,:)):-1:1
                            if b==length(totalAkuttW1(1,:))
                                if tid2>=totalAkuttW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW1(2,b) && tid2<totalAkuttW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW1(1,:))            
                            totalAkuttW1(1,end+1)=totalAkuttW1(1,end)+1;
                            totalAkuttW1(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW1(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW1(1,:))
                                totalAkutt(1,z)=totalAkuttW1(1,z);
                                totalAkutt(2,z)=totalAkuttW1(2,z);
                            end
                            for z=b:1:length(totalAkuttW1(1,:))+1
                                if z==b
                                    totalAkuttW1(1,z)=totalAkuttW1(1,z-1)+1;
                                    totalAkuttW1(2,z)=tid2;
                                elseif z<=length(totalAkuttW1(1,:))
                                    totalAkuttW1(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW1(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW1(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW1(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end

                    elseif sengepost<=akutteORS
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gulePreW2(1,:)):-1:1
                            if b==length(gulePreW2(1,:))
                                if tid2>=gulePreW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=gulePreW2(2,b) && tid2<gulePreW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gulePreW2(1,:))            
                            gulePreW2(1,end+1)=gulePreW2(1,end)+1;
                            gulePreW2(2,end)=tid2;
                        else
                            b=b+1;
                            gulePreKopi=zeros(2,length(gulePreW2(1,:))); %Lager en kopi
                            for z=b:1:length(gulePreW2(1,:))
                                gulePreKopi(1,z)=gulePreW2(1,z);
                                gulePreKopi(2,z)=gulePreW2(2,z);
                            end
                            for z=b:1:length(gulePreW2(1,:))+1
                                if z==b
                                    gulePreW2(1,z)=gulePreW2(1,z-1)+1;
                                    gulePreW2(2,z)=tid2;
                                elseif z<=length(gulePreW2(1,:))
                                    gulePreW2(1,z)=gulePreKopi(1,z-1)+1;
                                    gulePreW2(2,z)=gulePreKopi(2,z-1);
                                else
                                    gulePreW2(1,end+1)=gulePreKopi(1,z-1)+1;
                                    gulePreW2(2,end)=gulePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW2(1,:)):-1:1
                            if b==length(totalW2(1,:))
                                if tid2>=totalW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW2(2,b) && tid2<totalW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW2(1,:))            
                            totalW2(1,end+1)=totalW2(1,end)+1;
                            totalW2(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW2(1,:))); %Lager en kopi
                            for z=b:1:length(totalW2(1,:))
                                total(1,z)=totalW2(1,z);
                                total(2,z)=totalW2(2,z);
                            end
                            for z=b:1:length(totalW2(1,:))+1
                                if z==b
                                    totalW2(1,z)=totalW2(1,z-1)+1;
                                    totalW2(2,z)=tid2;
                                elseif z<=length(totalW2(1,:))
                                    totalW2(1,z)=total(1,z-1)+1;
                                    totalW2(2,z)=total(2,z-1);
                                else
                                    totalW2(1,end+1)=total(1,z-1)+1;
                                    totalW2(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW2(1,:)):-1:1
                            if b==length(totalAkuttW2(1,:))
                                if tid2>=totalAkuttW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW2(2,b) && tid2<totalAkuttW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW2(1,:))            
                            totalAkuttW2(1,end+1)=totalAkuttW2(1,end)+1;
                            totalAkuttW2(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW2(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW2(1,:))
                                totalAkutt(1,z)=totalAkuttW2(1,z);
                                totalAkutt(2,z)=totalAkuttW2(2,z);
                            end
                            for z=b:1:length(totalAkuttW2(1,:))+1
                                if z==b
                                    totalAkuttW2(1,z)=totalAkuttW2(1,z-1)+1;
                                    totalAkuttW2(2,z)=tid2;
                                elseif z<=length(totalAkuttW2(1,:))
                                    totalAkuttW2(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW2(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW2(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW2(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end

                    elseif sengepost<=akutteOES
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gulePreW3(1,:)):-1:1
                            if b==length(gulePreW3(1,:))
                                if tid2>=gulePreW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=gulePreW3(2,b) && tid2<gulePreW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gulePreW3(1,:))            
                            gulePreW3(1,end+1)=gulePreW3(1,end)+1;
                            gulePreW3(2,end)=tid2;
                        else
                            b=b+1;
                            gulePreKopi=zeros(2,length(gulePreW3(1,:))); %Lager en kopi
                            for z=b:1:length(gulePreW3(1,:))
                                gulePreKopi(1,z)=gulePreW3(1,z);
                                gulePreKopi(2,z)=gulePreW3(2,z);
                            end
                            for z=b:1:length(gulePreW3(1,:))+1
                                if z==b
                                    gulePreW3(1,z)=gulePreW3(1,z-1)+1;
                                    gulePreW3(2,z)=tid2;
                                elseif z<=length(gulePreW3(1,:))
                                    gulePreW3(1,z)=gulePreKopi(1,z-1)+1;
                                    gulePreW3(2,z)=gulePreKopi(2,z-1);
                                else
                                    gulePreW3(1,end+1)=gulePreKopi(1,z-1)+1;
                                    gulePreW3(2,end)=gulePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW3(1,:)):-1:1
                            if b==length(totalW3(1,:))
                                if tid2>=totalW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW3(2,b) && tid2<totalW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW3(1,:))            
                            totalW3(1,end+1)=totalW3(1,end)+1;
                            totalW3(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW3(1,:))); %Lager en kopi
                            for z=b:1:length(totalW3(1,:))
                                total(1,z)=totalW3(1,z);
                                total(2,z)=totalW3(2,z);
                            end
                            for z=b:1:length(totalW3(1,:))+1
                                if z==b
                                    totalW3(1,z)=totalW3(1,z-1)+1;
                                    totalW3(2,z)=tid2;
                                elseif z<=length(totalW3(1,:))
                                    totalW3(1,z)=total(1,z-1)+1;
                                    totalW3(2,z)=total(2,z-1);
                                else
                                    totalW3(1,end+1)=total(1,z-1)+1;
                                    totalW3(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW3(1,:)):-1:1
                            if b==length(totalAkuttW3(1,:))
                                if tid2>=totalAkuttW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW3(2,b) && tid2<totalAkuttW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW3(1,:))            
                            totalAkuttW3(1,end+1)=totalAkuttW3(1,end)+1;
                            totalAkuttW3(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW3(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW3(1,:))
                                totalAkutt(1,z)=totalAkuttW3(1,z);
                                totalAkutt(2,z)=totalAkuttW3(2,z);
                            end
                            for z=b:1:length(totalAkuttW3(1,:))+1
                                if z==b
                                    totalAkuttW3(1,z)=totalAkuttW3(1,z-1)+1;
                                    totalAkuttW3(2,z)=tid2;
                                elseif z<=length(totalAkuttW3(1,:))
                                    totalAkuttW3(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW3(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW3(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW3(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end

                    elseif sengepost<=akutteOFT
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gulePreW4(1,:)):-1:1
                            if b==length(gulePreW4(1,:))
                                if tid2>=gulePreW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=gulePreW4(2,b) && tid2<gulePreW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gulePreW4(1,:))            
                            gulePreW4(1,end+1)=gulePreW4(1,end)+1;
                            gulePreW4(2,end)=tid2;
                        else
                            b=b+1;
                            gulePreKopi=zeros(2,length(gulePreW4(1,:))); %Lager en kopi
                            for z=b:1:length(gulePreW4(1,:))
                                gulePreKopi(1,z)=gulePreW4(1,z);
                                gulePreKopi(2,z)=gulePreW4(2,z);
                            end
                            for z=b:1:length(gulePreW4(1,:))+1
                                if z==b
                                    gulePreW4(1,z)=gulePreW4(1,z-1)+1;
                                    gulePreW4(2,z)=tid2;
                                elseif z<=length(gulePreW4(1,:))
                                    gulePreW4(1,z)=gulePreKopi(1,z-1)+1;
                                    gulePreW4(2,z)=gulePreKopi(2,z-1);
                                else
                                    gulePreW4(1,end+1)=gulePreKopi(1,z-1)+1;
                                    gulePreW4(2,end)=gulePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW4(1,:)):-1:1
                            if b==length(totalW4(1,:))
                                if tid2>=totalW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW4(2,b) && tid2<totalW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW4(1,:))            
                            totalW4(1,end+1)=totalW4(1,end)+1;
                            totalW4(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW4)); %Lager en kopi
                            for z=b:1:length(totalW4)
                                total(1,z)=totalW4(1,z);
                                total(2,z)=totalW4(2,z);
                            end
                            for z=b:1:length(totalW4)+1
                                if z==b
                                    totalW4(1,z)=totalW4(1,z-1)+1;
                                    totalW4(2,z)=tid2;
                                elseif z<=length(totalW4)
                                    totalW4(1,z)=total(1,z-1)+1;
                                    totalW4(2,z)=total(2,z-1);
                                else
                                    totalW4(1,end+1)=total(1,z-1)+1;
                                    totalW4(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW4(1,:)):-1:1
                            if b==length(totalAkuttW4(1,:))
                                if tid2>=totalAkuttW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW4(2,b) && tid2<totalAkuttW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW4(1,:))            
                            totalAkuttW4(1,end+1)=totalAkuttW4(1,end)+1;
                            totalAkuttW4(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW4(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW4(1,:))
                                totalAkutt(1,z)=totalAkuttW4(1,z);
                                totalAkutt(2,z)=totalAkuttW4(2,z);
                            end
                            for z=b:1:length(totalAkuttW4(1,:))+1
                                if z==b
                                    totalAkuttW4(1,z)=totalAkuttW4(1,z-1)+1;
                                    totalAkuttW4(2,z)=tid2;
                                elseif z<=length(totalAkuttW4(1,:))
                                    totalAkuttW4(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW4(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW4(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW4(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end

                    else
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gulePreW5(1,:)):-1:1
                            if b==length(gulePreW5(1,:))
                                if tid2>=gulePreW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=gulePreW5(2,b) && tid2<gulePreW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gulePreW5(1,:))            
                            gulePreW5(1,end+1)=gulePreW5(1,end)+1;
                            gulePreW5(2,end)=tid2;
                        else
                            b=b+1;
                            gulePreKopi=zeros(2,length(gulePreW5(1,:))); %Lager en kopi
                            for z=b:1:length(gulePreW5(1,:))
                                gulePreKopi(1,z)=gulePreW5(1,z);
                                gulePreKopi(2,z)=gulePreW5(2,z);
                            end
                            for z=b:1:length(gulePreW5(1,:))+1
                                if z==b
                                    gulePreW5(1,z)=gulePreW5(1,z-1)+1;
                                    gulePreW5(2,z)=tid2;
                                elseif z<=length(gulePreW5(1,:))
                                    gulePreW5(1,z)=gulePreKopi(1,z-1)+1;
                                    gulePreW5(2,z)=gulePreKopi(2,z-1);
                                else
                                    gulePreW5(1,end+1)=gulePreKopi(1,z-1)+1;
                                    gulePreW5(2,end)=gulePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW5(1,:)):-1:1
                            if b==length(totalW5(1,:))
                                if tid2>=totalW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW5(2,b) && tid2<totalW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW5(1,:))            
                            totalW5(1,end+1)=totalW5(1,end)+1;
                            totalW5(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW5)); %Lager en kopi
                            for z=b:1:length(totalW5)
                                total(1,z)=totalW5(1,z);
                                total(2,z)=totalW5(2,z);
                            end
                            for z=b:1:length(totalW5)+1
                                if z==b
                                    totalW5(1,z)=totalW5(1,z-1)+1;
                                    totalW5(2,z)=tid2;
                                elseif z<=length(totalW5)
                                    totalW5(1,z)=total(1,z-1)+1;
                                    totalW5(2,z)=total(2,z-1);
                                else
                                    totalW5(1,end+1)=total(1,z-1)+1;
                                    totalW5(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW5(1,:)):-1:1
                            if b==length(totalAkuttW5(1,:))
                                if tid2>=totalAkuttW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW5(2,b) && tid2<totalAkuttW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW5(1,:))            
                            totalAkuttW5(1,end+1)=totalAkuttW5(1,end)+1;
                            totalAkuttW5(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW5(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW5(1,:))
                                totalAkutt(1,z)=totalAkuttW5(1,z);
                                totalAkutt(2,z)=totalAkuttW5(2,z);
                            end
                            for z=b:1:length(totalAkuttW5(1,:))+1
                                if z==b
                                    totalAkuttW5(1,z)=totalAkuttW5(1,z-1)+1;
                                    totalAkuttW5(2,z)=tid2;
                                elseif z<=length(totalAkuttW5(1,:))
                                    totalAkuttW5(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW5(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW5(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW5(2,end)=totalAkutt(2,z-1);
                                end
                            end


                        end
                    end

                    %Sletter ankomsten
                    ankGul(1)=[];
                elseif tid2==ankGronn(1,1) %Grnn legges inn eller sendes hjem - leggges uansett p liste for skedulering til BVS (skeduleres neste dag), evt til AHL
                    % Velger sengepost
                     ukedagSeng=mod(d,7);
                    if ukedagSeng==0
                        ukedagSeng=7;
                    end
                    sengepost=randi(akutteSeng(ukedagSeng),1,1);
                    if sengepost<=akutteOTS
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gronnePreW1(1,:)):-1:1
                            if b==length(gronnePreW1(1,:))
                                if tid2>=gronnePreW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=gronnePreW1(2,b) && tid2<gronnePreW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gronnePreW1(1,:))            
                            gronnePreW1(1,end+1)=gronnePreW1(1,end)+1;
                            gronnePreW1(2,end)=tid2;
                        else
                            b=b+1;
                            gronnePreKopi=zeros(2,length(gronnePreW1(1,:))); %Lager en kopi
                            for z=b:1:length(gronnePreW1(1,:))
                                gronnePreKopi(1,z)=gronnePreW1(1,z);
                                gronnePreKopi(2,z)=gronnePreW1(2,z);
                            end
                            for z=b:1:length(gronnePreW1(1,:))+1
                                if z==b
                                    gronnePreW1(1,z)=gronnePreW1(1,z-1)+1;
                                    gronnePreW1(2,z)=tid2;
                                elseif z<=length(gronnePreW1(1,:))
                                    gronnePreW1(1,z)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW1(2,z)=gronnePreKopi(2,z-1);
                                else
                                    gronnePreW1(1,end+1)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW1(2,end)=gronnePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW1(1,:)):-1:1
                            if b==length(totalW1(1,:))
                                if tid2>=totalW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW1(2,b) && tid2<totalW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW1(1,:))            
                            totalW1(1,end+1)=totalW1(1,end)+1;
                            totalW1(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW1(1,:))); %Lager en kopi
                            for z=b:1:length(totalW1(1,:))
                                total(1,z)=totalW1(1,z);
                                total(2,z)=totalW1(2,z);
                            end
                            for z=b:1:length(totalW1(1,:))+1
                                if z==b
                                    totalW1(1,z)=totalW1(1,z-1)+1;
                                    totalW1(2,z)=tid2;
                                elseif z<=length(totalW1(1,:))
                                    totalW1(1,z)=total(1,z-1)+1;
                                    totalW1(2,z)=total(2,z-1);
                                else
                                    totalW1(1,end+1)=total(1,z-1)+1;
                                    totalW1(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW1(1,:)):-1:1
                            if b==length(totalAkuttW1(1,:))
                                if tid2>=totalAkuttW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW1(2,b) && tid2<totalAkuttW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW1(1,:))            
                            totalAkuttW1(1,end+1)=totalAkuttW1(1,end)+1;
                            totalAkuttW1(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW1(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW1(1,:))
                                totalAkutt(1,z)=totalAkuttW1(1,z);
                                totalAkutt(2,z)=totalAkuttW1(2,z);
                            end
                            for z=b:1:length(totalAkuttW1(1,:))+1
                                if z==b
                                    totalAkuttW1(1,z)=totalAkuttW1(1,z-1)+1;
                                    totalAkuttW1(2,z)=tid2;
                                elseif z<=length(totalAkuttW1(1,:))
                                    totalAkuttW1(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW1(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW1(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW1(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end
                        post=1;
                    elseif sengepost<=akutteORS
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gronnePreW2(1,:)):-1:1
                            if b==length(gronnePreW2(1,:))
                                if tid2>=gronnePreW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=gronnePreW2(2,b) && tid2<gronnePreW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gronnePreW2(1,:))            
                            gronnePreW2(1,end+1)=gronnePreW2(1,end)+1;
                            gronnePreW2(2,end)=tid2;
                        else
                            b=b+1;
                            gronnePreKopi=zeros(2,length(gronnePreW2(1,:))); %Lager en kopi
                            for z=b:1:length(gronnePreW2(1,:))
                                gronnePreKopi(1,z)=gronnePreW2(1,z);
                                gronnePreKopi(2,z)=gronnePreW2(2,z);
                            end
                            for z=b:1:length(gronnePreW2(1,:))+1
                                if z==b
                                    gronnePreW2(1,z)=gronnePreW2(1,z-1)+1;
                                    gronnePreW2(2,z)=tid2;
                                elseif z<=length(gronnePreW2(1,:))
                                    gronnePreW2(1,z)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW2(2,z)=gronnePreKopi(2,z-1);
                                else
                                    gronnePreW2(1,end+1)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW2(2,end)=gronnePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW2(1,:)):-1:1
                            if b==length(totalW2(1,:))
                                if tid2>=totalW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW2(2,b) && tid2<totalW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW2(1,:))            
                            totalW2(1,end+1)=totalW2(1,end)+1;
                            totalW2(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW2(1,:))); %Lager en kopi
                            for z=b:1:length(totalW2(1,:))
                                total(1,z)=totalW2(1,z);
                                total(2,z)=totalW2(2,z);
                            end
                            for z=b:1:length(totalW2(1,:))+1
                                if z==b
                                    totalW2(1,z)=totalW2(1,z-1)+1;
                                    totalW2(2,z)=tid2;
                                elseif z<=length(totalW2(1,:))
                                    totalW2(1,z)=total(1,z-1)+1;
                                    totalW2(2,z)=total(2,z-1);
                                else
                                    totalW2(1,end+1)=total(1,z-1)+1;
                                    totalW2(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW2(1,:)):-1:1
                            if b==length(totalAkuttW2(1,:))
                                if tid2>=totalAkuttW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW2(2,b) && tid2<totalAkuttW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW2(1,:))            
                            totalAkuttW2(1,end+1)=totalAkuttW2(1,end)+1;
                            totalAkuttW2(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW2(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW2(1,:))
                                totalAkutt(1,z)=totalAkuttW2(1,z);
                                totalAkutt(2,z)=totalAkuttW2(2,z);
                            end
                            for z=b:1:length(totalAkuttW2(1,:))+1
                                if z==b
                                    totalAkuttW2(1,z)=totalAkuttW2(1,z-1)+1;
                                    totalAkuttW2(2,z)=tid2;
                                elseif z<=length(totalAkuttW2(1,:))
                                    totalAkuttW2(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW2(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW2(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW2(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end
                        post=2;
                    elseif sengepost<=akutteOES
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gronnePreW3(1,:)):-1:1
                            if b==length(gronnePreW3(1,:))
                                if tid2>=gronnePreW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=gronnePreW3(2,b) && tid2<gronnePreW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gronnePreW3(1,:))            
                            gronnePreW3(1,end+1)=gronnePreW3(1,end)+1;
                            gronnePreW3(2,end)=tid2;
                        else
                            b=b+1;
                            gronnePreKopi=zeros(2,length(gronnePreW3(1,:))); %Lager en kopi
                            for z=b:1:length(gronnePreW3(1,:))
                                gronnePreKopi(1,z)=gronnePreW3(1,z);
                                gronnePreKopi(2,z)=gronnePreW3(2,z);
                            end
                            for z=b:1:length(gronnePreW3(1,:))+1
                                if z==b
                                    gronnePreW3(1,z)=gronnePreW3(1,z-1)+1;
                                    gronnePreW3(2,z)=tid2;
                                elseif z<=length(gronnePreW3(1,:))
                                    gronnePreW3(1,z)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW3(2,z)=gronnePreKopi(2,z-1);
                                else
                                    gronnePreW3(1,end+1)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW3(2,end)=gronnePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW3(1,:)):-1:1
                            if b==length(totalW3(1,:))
                                if tid2>=totalW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW3(2,b) && tid2<totalW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW3(1,:))            
                            totalW3(1,end+1)=totalW3(1,end)+1;
                            totalW3(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW3(1,:))); %Lager en kopi
                            for z=b:1:length(totalW3(1,:))
                                total(1,z)=totalW3(1,z);
                                total(2,z)=totalW3(2,z);
                            end
                            for z=b:1:length(totalW3(1,:))+1
                                if z==b
                                    totalW3(1,z)=totalW3(1,z-1)+1;
                                    totalW3(2,z)=tid2;
                                elseif z<=length(totalW3(1,:))
                                    totalW3(1,z)=total(1,z-1)+1;
                                    totalW3(2,z)=total(2,z-1);
                                else
                                    totalW3(1,end+1)=total(1,z-1)+1;
                                    totalW3(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW3(1,:)):-1:1
                            if b==length(totalAkuttW3(1,:))
                                if tid2>=totalAkuttW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW3(2,b) && tid2<totalAkuttW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW3(1,:))            
                            totalAkuttW3(1,end+1)=totalAkuttW3(1,end)+1;
                            totalAkuttW3(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW3(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW3(1,:))
                                totalAkutt(1,z)=totalAkuttW3(1,z);
                                totalAkutt(2,z)=totalAkuttW3(2,z);
                            end
                            for z=b:1:length(totalAkuttW3(1,:))+1
                                if z==b
                                    totalAkuttW3(1,z)=totalAkuttW3(1,z-1)+1;
                                    totalAkuttW3(2,z)=tid2;
                                elseif z<=length(totalAkuttW3(1,:))
                                    totalAkuttW3(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW3(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW3(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW3(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end
                        post=3;
                    elseif sengepost<=akutteOFT
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gronnePreW4(1,:)):-1:1
                            if b==length(gronnePreW4(1,:))
                                if tid2>=gronnePreW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=gronnePreW4(2,b) && tid2<gronnePreW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gronnePreW4(1,:))            
                            gronnePreW4(1,end+1)=gronnePreW4(1,end)+1;
                            gronnePreW4(2,end)=tid2;
                        else
                            b=b+1;
                            gronnePreKopi=zeros(2,length(gronnePreW4(1,:))); %Lager en kopi
                            for z=b:1:length(gronnePreW4(1,:))
                                gronnePreKopi(1,z)=gronnePreW4(1,z);
                                gronnePreKopi(2,z)=gronnePreW4(2,z);
                            end
                            for z=b:1:length(gronnePreW4(1,:))+1
                                if z==b
                                    gronnePreW4(1,z)=gronnePreW4(1,z-1)+1;
                                    gronnePreW4(2,z)=tid2;
                                elseif z<=length(gronnePreW4(1,:))
                                    gronnePreW4(1,z)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW4(2,z)=gronnePreKopi(2,z-1);
                                else
                                    gronnePreW4(1,end+1)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW4(2,end)=gronnePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW4(1,:)):-1:1
                            if b==length(totalW4(1,:))
                                if tid2>=totalW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW4(2,b) && tid2<totalW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW4(1,:))            
                            totalW4(1,end+1)=totalW4(1,end)+1;
                            totalW4(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW4)); %Lager en kopi
                            for z=b:1:length(totalW4)
                                total(1,z)=totalW4(1,z);
                                total(2,z)=totalW4(2,z);
                            end
                            for z=b:1:length(totalW4)+1
                                if z==b
                                    totalW4(1,z)=totalW4(1,z-1)+1;
                                    totalW4(2,z)=tid2;
                                elseif z<=length(totalW4)
                                    totalW4(1,z)=total(1,z-1)+1;
                                    totalW4(2,z)=total(2,z-1);
                                else
                                    totalW4(1,end+1)=total(1,z-1)+1;
                                    totalW4(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW4(1,:)):-1:1
                            if b==length(totalAkuttW4(1,:))
                                if tid2>=totalAkuttW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW4(2,b) && tid2<totalAkuttW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW4(1,:))            
                            totalAkuttW4(1,end+1)=totalAkuttW4(1,end)+1;
                            totalAkuttW4(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW4(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW4(1,:))
                                totalAkutt(1,z)=totalAkuttW4(1,z);
                                totalAkutt(2,z)=totalAkuttW4(2,z);
                            end
                            for z=b:1:length(totalAkuttW4(1,:))+1
                                if z==b
                                    totalAkuttW4(1,z)=totalAkuttW4(1,z-1)+1;
                                    totalAkuttW4(2,z)=tid2;
                                elseif z<=length(totalAkuttW4(1,:))
                                    totalAkuttW4(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW4(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW4(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW4(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end
                        post=4;
                    else
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gronnePreW5(1,:)):-1:1
                            if b==length(gronnePreW5(1,:))
                                if tid2>=gronnePreW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=gronnePreW5(2,b) && tid2<gronnePreW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gronnePreW5(1,:))            
                            gronnePreW5(1,end+1)=gronnePreW5(1,end)+1;
                            gronnePreW5(2,end)=tid2;
                        else
                            b=b+1;
                            gronnePreKopi=zeros(2,length(gronnePreW5(1,:))); %Lager en kopi
                            for z=b:1:length(gronnePreW5(1,:))
                                gronnePreKopi(1,z)=gronnePreW5(1,z);
                                gronnePreKopi(2,z)=gronnePreW5(2,z);
                            end
                            for z=b:1:length(gronnePreW5(1,:))+1
                                if z==b
                                    gronnePreW5(1,z)=gronnePreW5(1,z-1)+1;
                                    gronnePreW5(2,z)=tid2;
                                elseif z<=length(gronnePreW5(1,:))
                                    gronnePreW5(1,z)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW5(2,z)=gronnePreKopi(2,z-1);
                                else
                                    gronnePreW5(1,end+1)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW5(2,end)=gronnePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW5(1,:)):-1:1
                            if b==length(totalW5(1,:))
                                if tid2>=totalW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW5(2,b) && tid2<totalW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW5(1,:))            
                            totalW5(1,end+1)=totalW5(1,end)+1;
                            totalW5(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW5)); %Lager en kopi
                            for z=b:1:length(totalW5)
                                total(1,z)=totalW5(1,z);
                                total(2,z)=totalW5(2,z);
                            end
                            for z=b:1:length(totalW5)+1
                                if z==b
                                    totalW5(1,z)=totalW5(1,z-1)+1;
                                    totalW5(2,z)=tid2;
                                elseif z<=length(totalW5)
                                    totalW5(1,z)=total(1,z-1)+1;
                                    totalW5(2,z)=total(2,z-1);
                                else
                                    totalW5(1,end+1)=total(1,z-1)+1;
                                    totalW5(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW5(1,:)):-1:1
                            if b==length(totalAkuttW5(1,:))
                                if tid2>=totalAkuttW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW5(2,b) && tid2<totalAkuttW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW5(1,:))            
                            totalAkuttW5(1,end+1)=totalAkuttW5(1,end)+1;
                            totalAkuttW5(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW5(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW5(1,:))
                                totalAkutt(1,z)=totalAkuttW5(1,z);
                                totalAkutt(2,z)=totalAkuttW5(2,z);
                            end
                            for z=b:1:length(totalAkuttW5(1,:))+1
                                if z==b
                                    totalAkuttW5(1,z)=totalAkuttW5(1,z-1)+1;
                                    totalAkuttW5(2,z)=tid2;
                                elseif z<=length(totalAkuttW5(1,:))
                                    totalAkuttW5(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW5(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW5(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW5(2,end)=totalAkutt(2,z-1);
                                end
                            end


                        end
                        post=5;
                    end


                    %Pasientent legges p liste for  bli skedulert
                    gronnListeSkedulering(1,end+1)=ankGronn(1);
                    gronnListeSkeduleringSeng(1,end+1)=post;
                    %Sletter ankomsten
                    ankGronn(1)=[];

                elseif tid2==ankGronnDK(1,1) %Grnne DK-pasienter - pasienten sendes hjem, ikke sengepost
                    %Pasientent legges p liste for  bli skedulert
                    gronnDKListeSkedulering(1,end+1)=ankGronnDK(1);

                    % Legger pasienten i k (hjemme)
                    for b=length(gronneDKHjemme(1,:)):-1:1
                        if b==length(gronneDKHjemme(1,:))
                            if tid2>=gronneDKHjemme(2,b)
                                break;
                            end
                        else
                            if tid2>=gronneDKHjemme(2,b) && tid2<gronneDKHjemme(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(gronneDKHjemme(1,:))            
                        gronneDKHjemme(1,end+1)=gronneDKHjemme(1,end)+1;
                        gronneDKHjemme(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(gronneDKHjemme)); %Lager en kopi
                        for z=b:1:length(gronneDKHjemme)
                            total(1,z)=gronneDKHjemme(1,z);
                            total(2,z)=gronneDKHjemme(2,z);
                        end
                        for z=b:1:length(gronneDKHjemme)+1
                            if z==b
                                gronneDKHjemme(1,z)=gronneDKHjemme(1,z-1)+1;
                                gronneDKHjemme(2,z)=tid2;
                            elseif z<=length(gronneDKHjemme)
                                gronneDKHjemme(1,z)=total(1,z-1)+1;
                                gronneDKHjemme(2,z)=total(2,z-1);
                            else
                                gronneDKHjemme(1,end+1)=total(1,z-1)+1;
                                gronneDKHjemme(2,end)=total(2,z-1);
                            end
                        end
                    end
                    %Sletter ankomsten
                    ankGronnDK(1)=[];


                elseif tid2==OR1Klar %Se etter ledige pasienter, ta pasient ut fra pre, trekk tid for OP, trekk tid for sengepost

                    %Se om rd til stede p sengeposter
                    tellerSeng=0;
                    indeksW1=0;
                    indeksW2=0;
                    indeksW3=0;
                    indeksW4=0;
                    indeksW5=0;
                    rodeVenter=[];

                    if rodePreW1(1,end)>0
                        while tellerSeng<rodePreW1(1,end)
                            if rodePreW1(1,end-indeksW1)>rodePreW1(1,end-indeksW1-1) %vi ser en ankomst
                                tellerSeng=tellerSeng+1;
                            end
                            if tellerSeng==rodePreW1(1,end)
                                indeksW1=indeksW1;
                            else
                            indeksW1=indeksW1+1;
                            end
                        end
                        rodeVenter(1,end+1)=rodePreW1(2,end-indeksW1);
                        tellerSeng=0;
                    end

                    if rodePreW2(1,end)>0
                        while tellerSeng<rodePreW2(1,end)
                            if rodePreW2(1,end-indeksW2)>rodePreW2(1,end-indeksW2-1) %vi ser en ankomst
                                tellerSeng=tellerSeng+1;
                            end
                            if tellerSeng==rodePreW2(1,end)
                                indeksW2=indeksW2;
                            else
                            indeksW2=indeksW2+1;
                            end
                        end
                        rodeVenter(1,end+1)=rodePreW2(2,end-indeksW2);
                        tellerSeng=0;
                    end

                    if rodePreW3(1,end)>0
                        while tellerSeng<rodePreW3(1,end)
                            if rodePreW3(1,end-indeksW3)>rodePreW3(1,end-indeksW3-1) %vi ser en ankomst
                                tellerSeng=tellerSeng+1;
                            end
                            if tellerSeng==rodePreW3(1,end)
                                indeksW3=indeksW3;
                            else
                            indeksW3=indeksW3+1;
                            end
                        end
                        rodeVenter(1,end+1)=rodePreW3(2,end-indeksW3);
                        tellerSeng=0;
                    end

                    if rodePreW4(1,end)>0
                        while tellerSeng<rodePreW4(1,end)
                            if rodePreW4(1,end-indeksW4)>rodePreW4(1,end-indeksW4-1) %vi ser en ankomst
                                tellerSeng=tellerSeng+1;
                            end
                            if tellerSeng==rodePreW4(1,end)
                                indeksW4=indeksW4;
                            else
                            indeksW4=indeksW4+1;
                            end
                        end
                        rodeVenter(1,end+1)=rodePreW4(2,end-indeksW4);
                        tellerSeng=0;
                    end

                    if rodePreW5(1,end)>0
                        while tellerSeng<rodePreW5(1,end)
                            if rodePreW5(1,end-indeksW5)>rodePreW5(1,end-indeksW5-1) %vi ser en ankomst
                                tellerSeng=tellerSeng+1;
                            end
                            if tellerSeng==rodePreW5(1,end)
                                indeksW5=indeksW5;
                            else
                            indeksW5=indeksW5+1;
                            end
                        end
                        rodeVenter(1,end+1)=rodePreW5(2,end-indeksW5);
                        tellerSeng=0;
                    end

                    if length(rodeVenter)>0 %Det ligger rde og venter
                        rodAdgang=rand;


                        if rodAdgang<=rodNatt %Vi fr tilgang til operasjonsrommet
                            rodeVenter=sort(rodeVenter);
                            tellerAntallAHL1=tellerAntallAHL1+1;
                            if rodeVenter(1,1)==rodePreW1(2,end-indeksW1)

                                %Vi fjerner pasienten fra ventelisten 
                                rodePreW1(1,end+1)=rodePreW1(1,end)-1;
                                rodePreW1(2,end)=tid2;

                                %Finner ventetid til operasjon, legger til den
                                %tiden det tar  trille ned pasienten
                                kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                                ventetiderRode(2,end)=tid2;

                                %Trekker operasjonstid og oppdaterer tid for ferdig
                                if lognorm==1                                     
                                    stuetid=min(400,lognrnd(muRod,sigmaRod));                                 
                                else
                                    trekkStue=randi(length(stuetidRod(~isnan(stuetidRod))));                                     
                                    stuetid=min(400,stuetidRod(trekkStue));                                 
                                end
                                OR1Klar=tid2+kjoreNed+stuetid;

                                %Trekker liggetid p sengepost
                                if LOS_fordeling==1
                                    liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                                else
                                    liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                end
                                utW1(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100);
                                utAkuttW1(1,end+1)=utW1(1,end);

                            elseif rodeVenter(1,1)==rodePreW2(2,end-indeksW2)
                                %Vi fjerner pasienten fra ventelisten 
                                rodePreW2(1,end+1)=rodePreW2(1,end)-1;
                                rodePreW2(2,end)=tid2;

                                %Finner ventetid til operasjon, legger til den
                                %tiden det tar  trille ned pasienten
                                kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                                ventetiderRode(2,end)=tid2;

                                %Trekker operasjonstid og oppdaterer tid for ferdig
                                if lognorm==1                                     
                                    stuetid=min(400,lognrnd(muRod,sigmaRod));                                 
                                else
                                    trekkStue=randi(length(stuetidRod(~isnan(stuetidRod))));                                     
                                    stuetid=min(400,stuetidRod(trekkStue));                                 
                                end
                                OR1Klar=tid2+kjoreNed+stuetid;

                                %Trekker liggetid p sengepost
                                if LOS_fordeling==1
                                    liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                                else
                                    liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                end
                                utW2(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100);
                                utAkuttW2(1,end+1)=utW2(1,end);

                            elseif rodeVenter(1,1)==rodePreW3(2,end-indeksW3)
                                %Vi fjerner pasienten fra ventelisten 
                                rodePreW3(1,end+1)=rodePreW3(1,end)-1;
                                rodePreW3(2,end)=tid2;

                                %Finner ventetid til operasjon, legger til den
                                %tiden det tar  trille ned pasienten
                                kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                                ventetiderRode(2,end)=tid2;

                                %Trekker operasjonstid og oppdaterer tid for ferdig
                                if lognorm==1                                     
                                    stuetid=min(400,lognrnd(muRod,sigmaRod));                                 
                                else
                                    trekkStue=randi(length(stuetidRod(~isnan(stuetidRod))));                                     
                                    stuetid=min(400,stuetidRod(trekkStue));                                 
                                end
                                OR1Klar=tid2+kjoreNed+stuetid;

                                %Trekker liggetid p sengepost
                                if LOS_fordeling==1
                                    liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                                else
                                    liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                end
                                utW3(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); 
                                utAkuttW3(1,end+1)=utW3(1,end);

                            elseif rodeVenter(1,1)==rodePreW4(2,end-indeksW4)
                                %Vi fjerner pasienten fra ventelisten 
                                rodePreW4(1,end+1)=rodePreW4(1,end)-1;
                                rodePreW4(2,end)=tid2;

                                %Finner ventetid til operasjon, legger til den
                                %tiden det tar  trille ned pasienten
                                kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                                ventetiderRode(2,end)=tid2;

                                %Trekker operasjonstid og oppdaterer tid for ferdig
                                if lognorm==1                                     
                                    stuetid=min(400,lognrnd(muRod,sigmaRod));                                 
                                else
                                    trekkStue=randi(length(stuetidRod(~isnan(stuetidRod))));                                     
                                    stuetid=min(400,stuetidRod(trekkStue));                                 
                                end
                                OR1Klar=tid2+kjoreNed+stuetid;

                                %Trekker liggetid p sengepost
                                if LOS_fordeling==1
                                    liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                                else
                                    liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                end
                                utW4(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); 
                                utAkuttW4(1,end+1)=utW4(1,end);

                            elseif rodeVenter(1,1)==rodePreW5(2,end-indeksW5)
                                %Vi fjerner pasienten fra ventelisten 
                                rodePreW5(1,end+1)=rodePreW5(1,end)-1;
                                rodePreW5(2,end)=tid2;

                                %Finner ventetid til operasjon, legger til den
                                %tiden det tar  trille ned pasienten
                                kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                                ventetiderRode(2,end)=tid2;

                                %Trekker operasjonstid og oppdaterer tid for ferdig
                                if lognorm==1                                     
                                    stuetid=min(400,lognrnd(muRod,sigmaRod));                                 
                                else
                                    trekkStue=randi(length(stuetidRod(~isnan(stuetidRod))));                                     
                                    stuetid=min(400,stuetidRod(trekkStue));                                 
                                end
                                OR1Klar=tid2+kjoreNed+stuetid;

                                %Trekker liggetid p sengepost
                                if LOS_fordeling==1
                                    liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                                else
                                    liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                end
                                utW5(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100);
                                utAkuttW5(1,end+1)=utW5(1,end);
                            end
                        else % Vi fr ikke tilgang til operasjonsrommet
                            if lognorm==1
                                OR1Klar=tid2+lognrnd(muKir,stdKir); 
                            else
                                trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn)))); 
                                stuetid=min(400,stuetidGronn(trekkStue));
                                OR1Klar=tid2 + stuetid;
                            end

                        end
                    else %Ingen rde til stede, ser etter gule

                        tellerSeng=0;
                        indeksW1=0;
                        indeksW2=0;
                        indeksW3=0;
                        indeksW4=0;
                        indeksW5=0;
                        guleVenter=[];

                        if gulePreW1(1,end)>0
                            while tellerSeng<gulePreW1(1,end)
                                if gulePreW1(1,end-indeksW1)>gulePreW1(1,end-indeksW1-1) %vi ser en ankomst
                                    tellerSeng=tellerSeng+1;
                                end
                                if tellerSeng==gulePreW1(1,end)
                                    indeksW1=indeksW1;
                                else
                                indeksW1=indeksW1+1;
                                end
                            end
                            guleVenter(1,end+1)=gulePreW1(2,end-indeksW1);
                            tellerSeng=0;
                        end

                        if gulePreW2(1,end)>0
                            while tellerSeng<gulePreW2(1,end)
                                if gulePreW2(1,end-indeksW2)>gulePreW2(1,end-indeksW2-1) %vi ser en ankomst
                                    tellerSeng=tellerSeng+1;
                                end
                                if tellerSeng==gulePreW2(1,end)
                                    indeksW2=indeksW2;
                                else
                                indeksW2=indeksW2+1;
                                end
                            end
                            guleVenter(1,end+1)=gulePreW2(2,end-indeksW2);
                            tellerSeng=0;
                        end

                        if gulePreW3(1,end)>0
                            while tellerSeng<gulePreW3(1,end)
                                if gulePreW3(1,end-indeksW3)>gulePreW3(1,end-indeksW3-1) %vi ser en ankomst
                                    tellerSeng=tellerSeng+1;
                                end
                                if tellerSeng==gulePreW3(1,end)
                                    indeksW3=indeksW3;
                                else
                                indeksW3=indeksW3+1;
                                end
                            end
                            guleVenter(1,end+1)=gulePreW3(2,end-indeksW3);
                            tellerSeng=0;
                        end

                        if gulePreW4(1,end)>0
                            while tellerSeng<gulePreW4(1,end)
                                if gulePreW4(1,end-indeksW4)>gulePreW4(1,end-indeksW4-1) %vi ser en ankomst
                                    tellerSeng=tellerSeng+1;
                                end
                                if tellerSeng==gulePreW4(1,end)
                                    indeksW4=indeksW4;
                                else
                                indeksW4=indeksW4+1;
                                end
                            end
                            guleVenter(1,end+1)=gulePreW4(2,end-indeksW4);
                            tellerSeng=0;
                        end

                        if gulePreW5(1,end)>0
                            while tellerSeng<gulePreW5(1,end)
                                if gulePreW5(1,end-indeksW5)>gulePreW5(1,end-indeksW5-1) %vi ser en ankomst
                                    tellerSeng=tellerSeng+1;
                                end
                                if tellerSeng==gulePreW5(1,end)
                                    indeksW5=indeksW5;
                                else
                                indeksW5=indeksW5+1;
                                end
                            end
                            guleVenter(1,end+1)=gulePreW5(2,end-indeksW5);
                            tellerSeng=0;
                        end

                        guleVenter=sort(guleVenter);                    

                        if length(guleVenter)>0 %Gule til stede
                            rodAdgang=rand;
                            if rodAdgang<=rodNatt %Vi fr tilgang til operasjonsrommet

                                if guleVenter(1,1)==gulePreW1(2,end-indeksW1)

                                    %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                    for b=length(gulePreW1(1,:)):-1:1
                                        if b==length(gulePreW1(1,:))
                                            if tid2>=gulePreW1(2,b)
                                                break;
                                            end
                                        else
                                            if tid2>=gulePreW1(2,b) && tid2<gulePreW1(2,b+1)
                                                break;
                                            end
                                        end
                                    end

                                    if b==length(gulePreW1(1,:))            
                                        gulePreW1(1,end+1)=gulePreW1(1,end)-1;
                                        gulePreW1(2,end)=tid2;
                                    else
                                        b=b+1;
                                        gulePreKopi=zeros(2,length(gulePreW1(1,:))); %Lager en kopi
                                        for z=b:1:length(gulePreW1(1,:))
                                            gulePreKopi(1,z)=gulePreW1(1,z);
                                            gulePreKopi(2,z)=gulePreW1(2,z);
                                        end
                                        for z=b:1:length(gulePreW1(1,:))+1
                                            if z==b
                                                gulePreW1(1,z)=gulePreW1(1,z-1)-1;
                                                gulePreW1(2,z)=tid2;
                                            elseif z<=length(gulePreW1(1,:))
                                                gulePreW1(1,z)=gulePreKopi(1,z-1)-1;
                                                gulePreW1(2,z)=gulePreKopi(2,z-1);
                                            else
                                                gulePreW1(1,end+1)=gulePreKopi(1,z-1)-1;
                                                gulePreW1(2,end)=gulePreKopi(2,z-1);
                                            end
                                        end
                                    end

                                    %Finner ventetid til operasjon, legger til den
                                    %tiden det tar  trille ned pasienten
                                    kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                    ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                    ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                    ventetiderGule(2,end)=tid2;

                                    %Trekker operasjonstid og oppdaterer tid for ferdig
                                    if lognorm==1                                     
                                        stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                    else
                                        trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                        stuetid=min(400,stuetidGul(trekkStue));                                 
                                    end
                                    OR1Klar=tid2+kjoreNed+stuetid;

                                    %Trekker liggetid p sengepost
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                    else
                                        liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                    end
                                    utW1(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                    utAkuttW1(1,end+1)=utW1(1,end);

                                elseif guleVenter(1,1)==gulePreW2(2,end-indeksW2)
                                    %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                    for b=length(gulePreW2(1,:)):-1:1
                                        if b==length(gulePreW2(1,:))
                                            if tid2>=gulePreW2(2,b)
                                                break;
                                            end
                                        else
                                            if tid2>=gulePreW2(2,b) && tid2<gulePreW2(2,b+1)
                                                break;
                                            end
                                        end
                                    end

                                    if b==length(gulePreW2(1,:))            
                                        gulePreW2(1,end+1)=gulePreW2(1,end)-1;
                                        gulePreW2(2,end)=tid2;
                                    else
                                        b=b+1;
                                        gulePreKopi=zeros(2,length(gulePreW2(1,:))); %Lager en kopi
                                        for z=b:1:length(gulePreW2(1,:))
                                            gulePreKopi(1,z)=gulePreW2(1,z);
                                            gulePreKopi(2,z)=gulePreW2(2,z);
                                        end
                                        for z=b:1:length(gulePreW2(1,:))+1
                                            if z==b
                                                gulePreW2(1,z)=gulePreW2(1,z-1)-1;
                                                gulePreW2(2,z)=tid2;
                                            elseif z<=length(gulePreW2(1,:))
                                                gulePreW2(1,z)=gulePreKopi(1,z-1)-1;
                                                gulePreW2(2,z)=gulePreKopi(2,z-1);
                                            else
                                                gulePreW2(1,end+1)=gulePreKopi(1,z-1)-1;
                                                gulePreW2(2,end)=gulePreKopi(2,z-1);
                                            end
                                        end
                                    end
                                    %Finner ventetid til operasjon, legger til den
                                    %tiden det tar  trille ned pasienten
                                    kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                    ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                    ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                    ventetiderGule(2,end)=tid2;

                                    %Trekker operasjonstid og oppdaterer tid for ferdig
                                    if lognorm==1                                     
                                        stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                    else
                                        trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                        stuetid=min(400,stuetidGul(trekkStue));                                 
                                    end
                                    OR1Klar=tid2+kjoreNed+stuetid;

                                    %Trekker liggetid p sengepost
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                    else
                                        liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                    end
                                    utW2(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                    utAkuttW2(1,end+1)=utW2(1,end);

                                elseif guleVenter(1,1)==gulePreW3(2,end-indeksW3)
                                    %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                    for b=length(gulePreW3(1,:)):-1:1
                                        if b==length(gulePreW3(1,:))
                                            if tid2>=gulePreW3(2,b)
                                                break;
                                            end
                                        else
                                            if tid2>=gulePreW3(2,b) && tid2<gulePreW3(2,b+1)
                                                break;
                                            end
                                        end
                                    end

                                    if b==length(gulePreW3(1,:))            
                                        gulePreW3(1,end+1)=gulePreW3(1,end)-1;
                                        gulePreW3(2,end)=tid2;
                                    else
                                        b=b+1;
                                        gulePreKopi=zeros(2,length(gulePreW3(1,:))); %Lager en kopi
                                        for z=b:1:length(gulePreW3(1,:))
                                            gulePreKopi(1,z)=gulePreW3(1,z);
                                            gulePreKopi(2,z)=gulePreW3(2,z);
                                        end
                                        for z=b:1:length(gulePreW3(1,:))+1
                                            if z==b
                                                gulePreW3(1,z)=gulePreW3(1,z-1)-1;
                                                gulePreW3(2,z)=tid2;
                                            elseif z<=length(gulePreW3(1,:))
                                                gulePreW3(1,z)=gulePreKopi(1,z-1)-1;
                                                gulePreW3(2,z)=gulePreKopi(2,z-1);
                                            else
                                                gulePreW3(1,end+1)=gulePreKopi(1,z-1)-1;
                                                gulePreW3(2,end)=gulePreKopi(2,z-1);
                                            end
                                        end
                                    end

                                    %Finner ventetid til operasjon, legger til den
                                    %tiden det tar  trille ned pasienten
                                    kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                    ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                    ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                    ventetiderGule(2,end)=tid2;

                                    %Trekker operasjonstid og oppdaterer tid for ferdig
                                    if lognorm==1                                     
                                        stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                    else
                                        trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                        stuetid=min(400,stuetidGul(trekkStue));                                 
                                    end
                                    OR1Klar=tid2+kjoreNed+stuetid;

                                    %Trekker liggetid p sengepost
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                    else
                                        liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                    end
                                    utW3(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                    utAkuttW3(1,end+1)=utW3(1,end);

                                elseif guleVenter(1,1)==gulePreW4(2,end-indeksW4)
                                    %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                    for b=length(gulePreW4(1,:)):-1:1
                                        if b==length(gulePreW4(1,:))
                                            if tid2>=gulePreW4(2,b)
                                                break;
                                            end
                                        else
                                            if tid2>=gulePreW4(2,b) && tid2<gulePreW4(2,b+1)
                                                break;
                                            end
                                        end
                                    end

                                    if b==length(gulePreW4(1,:))            
                                        gulePreW4(1,end+1)=gulePreW4(1,end)-1;
                                        gulePreW4(2,end)=tid2;
                                    else
                                        b=b+1;
                                        gulePreKopi=zeros(2,length(gulePreW4(1,:))); %Lager en kopi
                                        for z=b:1:length(gulePreW4(1,:))
                                            gulePreKopi(1,z)=gulePreW4(1,z);
                                            gulePreKopi(2,z)=gulePreW4(2,z);
                                        end
                                        for z=b:1:length(gulePreW4(1,:))+1
                                            if z==b
                                                gulePreW4(1,z)=gulePreW4(1,z-1)-1;
                                                gulePreW4(2,z)=tid2;
                                            elseif z<=length(gulePreW4(1,:))
                                                gulePreW4(1,z)=gulePreKopi(1,z-1)-1;
                                                gulePreW4(2,z)=gulePreKopi(2,z-1);
                                            else
                                                gulePreW4(1,end+1)=gulePreKopi(1,z-1)-1;
                                                gulePreW4(2,end)=gulePreKopi(2,z-1);
                                            end
                                        end
                                    end

                                    %Finner ventetid til operasjon, legger til den
                                    %tiden det tar  trille ned pasienten
                                    kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                    ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                    ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                    ventetiderGule(2,end)=tid2;

                                    %Trekker operasjonstid og oppdaterer tid for ferdig
                                    if lognorm==1                                     
                                        stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                    else
                                        trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                        stuetid=min(400,stuetidGul(trekkStue));                                 
                                    end
                                    OR1Klar=tid2+kjoreNed+stuetid;

                                    %Trekker liggetid p sengepost
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                    else
                                        liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                    end
                                    utW4(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                    utAkuttW4(1,end+1)=utW4(1,end);

                                elseif guleVenter(1,1)==gulePreW5(2,end-indeksW5)
                                    %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                    for b=length(gulePreW5(1,:)):-1:1
                                        if b==length(gulePreW5(1,:))
                                            if tid2>=gulePreW5(2,b)
                                                break;
                                            end
                                        else
                                            if tid2>=gulePreW5(2,b) && tid2<gulePreW5(2,b+1)
                                                break;
                                            end
                                        end
                                    end

                                    if b==length(gulePreW5(1,:))            
                                        gulePreW5(1,end+1)=gulePreW5(1,end)-1;
                                        gulePreW5(2,end)=tid2;
                                    else
                                        b=b+1;
                                        gulePreKopi=zeros(2,length(gulePreW5(1,:))); %Lager en kopi
                                        for z=b:1:length(gulePreW5(1,:))
                                            gulePreKopi(1,z)=gulePreW5(1,z);
                                            gulePreKopi(2,z)=gulePreW5(2,z);
                                        end
                                        for z=b:1:length(gulePreW5(1,:))+1
                                            if z==b
                                                gulePreW5(1,z)=gulePreW5(1,z-1)-1;
                                                gulePreW5(2,z)=tid2;
                                            elseif z<=length(gulePreW5(1,:))
                                                gulePreW5(1,z)=gulePreKopi(1,z-1)-1;
                                                gulePreW5(2,z)=gulePreKopi(2,z-1);
                                            else
                                                gulePreW5(1,end+1)=gulePreKopi(1,z-1)-1;
                                                gulePreW5(2,end)=gulePreKopi(2,z-1);
                                            end
                                        end
                                    end

                                    %Finner ventetid til operasjon, legger til den
                                    %tiden det tar  trille ned pasienten
                                    kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                    ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                    ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                    ventetiderGule(2,end)=tid2;

                                    %Trekker operasjonstid og oppdaterer tid for ferdig
                                    if lognorm==1                                     
                                        stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                    else
                                        trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                        stuetid=min(400,stuetidGul(trekkStue));                                 
                                    end
                                    OR1Klar=tid2+kjoreNed+stuetid;

                                    %Trekker liggetid p sengepost
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                    else
                                        liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                    end
                                    utW5(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); 
                                    utAkuttW5(1,end+1)=utW5(1,end);

                                end
                             else
                                 if lognorm==1
                                    OR1Klar=tid2+lognrnd(muKir,stdKir); 
                                else
                                    trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn)))); 
                                    stuetid=min(400,stuetidGronn(trekkStue));
                                    OR1Klar=tid2 + stuetid;
                                end
                             end
                        else %Vi oppdaterer tiden for OR1, da ingen pasienter var til stede
                            oppdater=[ankRod(1,1)+1,ankGul(1,1)+1]; %Grnne opereres ikke med en gang de kommer inn, de skeduleres neste dag
                            OR1Klar=min(1321+1440*(d-1),min(oppdater));
                        end


                    end

                elseif tid2==OR2Klar %Se etter ledige pasienter, ta pasient ut fra pre, trekk tid for OP, trekk tid for sengepost
                    %Dersom rd til stede s opereres rd
                    tellerSeng=0;
                    indeksW1=0;
                    indeksW2=0;
                    indeksW3=0;
                    indeksW4=0;
                    indeksW5=0;
                    rodeVenter=[];

                    if rodePreW1(1,end)>0
                        while tellerSeng<rodePreW1(1,end)
                            if rodePreW1(1,end-indeksW1)>rodePreW1(1,end-indeksW1-1) %vi ser en ankomst
                                tellerSeng=tellerSeng+1;
                            end
                            if tellerSeng==rodePreW1(1,end)
                                indeksW1=indeksW1;
                            else
                            indeksW1=indeksW1+1;
                            end
                        end
                        rodeVenter(1,end+1)=rodePreW1(2,end-indeksW1);
                        tellerSeng=0;
                    end

                    if rodePreW2(1,end)>0
                        while tellerSeng<rodePreW2(1,end)
                            if rodePreW2(1,end-indeksW2)>rodePreW2(1,end-indeksW2-1) %vi ser en ankomst
                                tellerSeng=tellerSeng+1;
                            end
                            if tellerSeng==rodePreW2(1,end)
                                indeksW2=indeksW2;
                            else
                            indeksW2=indeksW2+1;
                            end
                        end
                        rodeVenter(1,end+1)=rodePreW2(2,end-indeksW2);
                        tellerSeng=0;
                    end

                    if rodePreW3(1,end)>0
                        while tellerSeng<rodePreW3(1,end)
                            if rodePreW3(1,end-indeksW3)>rodePreW3(1,end-indeksW3-1) %vi ser en ankomst
                                tellerSeng=tellerSeng+1;
                            end
                            if tellerSeng==rodePreW3(1,end)
                                indeksW3=indeksW3;
                            else
                            indeksW3=indeksW3+1;
                            end
                        end
                        rodeVenter(1,end+1)=rodePreW3(2,end-indeksW3);
                        tellerSeng=0;
                    end

                    if rodePreW4(1,end)>0
                        while tellerSeng<rodePreW4(1,end)
                            if rodePreW4(1,end-indeksW4)>rodePreW4(1,end-indeksW4-1) %vi ser en ankomst
                                tellerSeng=tellerSeng+1;
                            end
                            if tellerSeng==rodePreW4(1,end)
                                indeksW4=indeksW4;
                            else
                            indeksW4=indeksW4+1;
                            end
                        end
                        rodeVenter(1,end+1)=rodePreW4(2,end-indeksW4);
                        tellerSeng=0;
                    end

                    if rodePreW5(1,end)>0
                        while tellerSeng<rodePreW5(1,end)
                            if rodePreW5(1,end-indeksW5)>rodePreW5(1,end-indeksW5-1) %vi ser en ankomst
                                tellerSeng=tellerSeng+1;
                            end
                            if tellerSeng==rodePreW5(1,end)
                                indeksW5=indeksW5;
                            else
                            indeksW5=indeksW5+1;
                            end
                        end
                        rodeVenter(1,end+1)=rodePreW5(2,end-indeksW5);
                        tellerSeng=0;
                    end

                    if length(rodeVenter)~=0 %Det ligger rde og venter
                        rodeVenter=sort(rodeVenter);
                        if rodeVenter(1,1)==rodePreW1(2,end-indeksW1)

                            %Vi fjerner pasienten fra ventelisten 
                            rodePreW1(1,end+1)=rodePreW1(1,end)-1;
                            rodePreW1(2,end)=tid2;

                            %Finner ventetid til operasjon, legger til den
                            %tiden det tar  trille ned pasienten
                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                            ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                            ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                            ventetiderRode(2,end)=tid2;

                            %Trekker operasjonstid og oppdaterer tid for ferdig
                            if lognorm==1                                     
                                stuetid=min(400,lognrnd(muRod,sigmaRod));                                 
                            else
                                trekkStue=randi(length(stuetidRod(~isnan(stuetidRod))));                                     
                                stuetid=min(400,stuetidRod(trekkStue));                                 
                            end
                            OR2Klar=tid2+kjoreNed+stuetid;

                            %Trekker liggetid p sengepost
                            if LOS_fordeling==1
                                liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                            else
                                liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                            end
                            utW1(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100)-200;
                            utAkuttW1(1,end+1)=utW1(1,end);

                        elseif rodeVenter(1,1)==rodePreW2(2,end-indeksW2)
                            %Vi fjerner pasienten fra ventelisten 
                            rodePreW2(1,end+1)=rodePreW2(1,end)-1;
                            rodePreW2(2,end)=tid2;

                            %Finner ventetid til operasjon, legger til den
                            %tiden det tar  trille ned pasienten
                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                            ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                            ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                            ventetiderRode(2,end)=tid2;

                            %Trekker operasjonstid og oppdaterer tid for ferdig
                            if lognorm==1                                     
                                stuetid=min(400,lognrnd(muRod,sigmaRod));                                 
                            else
                                trekkStue=randi(length(stuetidRod(~isnan(stuetidRod))));                                     
                                stuetid=min(400,stuetidRod(trekkStue));                                 
                            end

                            OR2Klar=tid2+kjoreNed+stuetid;

                            %Trekker liggetid p sengepost
                            if LOS_fordeling==1
                                liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                            else
                                liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                            end
                            utW2(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100)-200;
                            utAkuttW2(1,end+1)=utW2(1,end);

                        elseif rodeVenter(1,1)==rodePreW3(2,end-indeksW3)
                            %Vi fjerner pasienten fra ventelisten 
                            rodePreW3(1,end+1)=rodePreW3(1,end)-1;
                            rodePreW3(2,end)=tid2;

                            %Finner ventetid til operasjon, legger til den
                            %tiden det tar  trille ned pasienten
                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                            ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                            ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                            ventetiderRode(2,end)=tid2;

                            %Trekker operasjonstid og oppdaterer tid for ferdig
                            if lognorm==1                                     
                                stuetid=min(400,lognrnd(muRod,sigmaRod));                                 
                            else
                                trekkStue=randi(length(stuetidRod(~isnan(stuetidRod))));                                     
                                stuetid=min(400,stuetidRod(trekkStue));                                 
                            end
                            OR2Klar=tid2+kjoreNed+stuetid;

                            %Trekker liggetid p sengepost
                            if LOS_fordeling==1
                                liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                            else
                                liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                            end
                            utW3(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100)-200; 
                            utAkuttW3(1,end+1)=utW3(1,end);

                        elseif rodeVenter(1,1)==rodePreW4(2,end-indeksW4)
                            %Vi fjerner pasienten fra ventelisten 
                            rodePreW4(1,end+1)=rodePreW4(1,end)-1;
                            rodePreW4(2,end)=tid2;

                            %Finner ventetid til operasjon, legger til den
                            %tiden det tar  trille ned pasienten
                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                            ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                            ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                            ventetiderRode(2,end)=tid2;

                            %Trekker operasjonstid og oppdaterer tid for ferdig
                            if lognorm==1                                     
                                stuetid=min(400,lognrnd(muRod,sigmaRod));                                 
                            else
                                trekkStue=randi(length(stuetidRod(~isnan(stuetidRod))));                                     
                                stuetid=min(400,stuetidRod(trekkStue));                                 
                            end
                            OR2Klar=tid2+kjoreNed+stuetid;

                            %Trekker liggetid p sengepost
                            if LOS_fordeling==1
                                liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                            else
                                liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                            end
                            utW4(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100)-200;
                            utAkuttW4(1,end+1)=utW4(1,end);

                        elseif rodeVenter(1,1)==rodePreW5(2,end-indeksW5)
                            %Vi fjerner pasienten fra ventelisten 
                            rodePreW5(1,end+1)=rodePreW5(1,end)-1;
                            rodePreW5(2,end)=tid2;

                            %Finner ventetid til operasjon, legger til den
                            %tiden det tar  trille ned pasienten
                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                            ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                            ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                            ventetiderRode(2,end)=tid2;

                            %Trekker operasjonstid og oppdaterer tid for ferdig
                            if lognorm==1                                     
                                stuetid=min(400,lognrnd(muRod,sigmaRod));                                 
                            else
                                trekkStue=randi(length(stuetidRod(~isnan(stuetidRod))));                                     
                                stuetid=min(400,stuetidRod(trekkStue));                                 
                            end
                            OR2Klar=tid2+kjoreNed+stuetid;

                            %Trekker liggetid p sengepost
                            if LOS_fordeling==1
                                liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                            else
                                liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                            end
                            utW5(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100)-200; 
                            utAkuttW5(1,end+1)=utW5(1,end);

                        end
                    else %Det ligger ingen rde, s vi ser etter gule og grnne
                        %Stenger dersom det er for sent
                        if tid1AHL<=1320-limitAHL

                            %Ser frst etter gule
                            tellerSeng=0;
                            indeksW1=0;
                            indeksW2=0;
                            indeksW3=0;
                            indeksW4=0;
                            indeksW5=0;
                            guleVenter=[];

                            if gulePreW1(1,end)>0
                                while tellerSeng<gulePreW1(1,end)
                                    if gulePreW1(1,end-indeksW1)>gulePreW1(1,end-indeksW1-1) %vi ser en ankomst
                                        tellerSeng=tellerSeng+1;
                                    end
                                    if tellerSeng==gulePreW1(1,end)
                                        indeksW1=indeksW1;
                                    else
                                    indeksW1=indeksW1+1;
                                    end
                                end
                                guleVenter(1,end+1)=gulePreW1(2,end-indeksW1);
                                tellerSeng=0;
                            end

                            if gulePreW2(1,end)>0
                                while tellerSeng<gulePreW2(1,end)
                                    if gulePreW2(1,end-indeksW2)>gulePreW2(1,end-indeksW2-1) %vi ser en ankomst
                                        tellerSeng=tellerSeng+1;
                                    end
                                    if tellerSeng==gulePreW2(1,end)
                                        indeksW2=indeksW2;
                                    else
                                    indeksW2=indeksW2+1;
                                    end
                                end
                                guleVenter(1,end+1)=gulePreW2(2,end-indeksW2);
                                tellerSeng=0;
                            end

                            if gulePreW3(1,end)>0
                                while tellerSeng<gulePreW3(1,end)
                                    if gulePreW3(1,end-indeksW3)>gulePreW3(1,end-indeksW3-1) %vi ser en ankomst
                                        tellerSeng=tellerSeng+1;
                                    end
                                    if tellerSeng==gulePreW3(1,end)
                                        indeksW3=indeksW3;
                                    else
                                    indeksW3=indeksW3+1;
                                    end
                                end
                                guleVenter(1,end+1)=gulePreW3(2,end-indeksW3);
                                tellerSeng=0;
                            end

                            if gulePreW4(1,end)>0
                                while tellerSeng<gulePreW4(1,end)
                                    if gulePreW4(1,end-indeksW4)>gulePreW4(1,end-indeksW4-1) %vi ser en ankomst
                                        tellerSeng=tellerSeng+1;
                                    end
                                    if tellerSeng==gulePreW4(1,end)
                                        indeksW4=indeksW4;
                                    else
                                    indeksW4=indeksW4+1;
                                    end
                                end
                                guleVenter(1,end+1)=gulePreW4(2,end-indeksW4);
                                tellerSeng=0;
                            end

                            if gulePreW5(1,end)>0
                                while tellerSeng<gulePreW5(1,end)
                                    if gulePreW5(1,end-indeksW5)>gulePreW5(1,end-indeksW5-1) %vi ser en ankomst
                                        tellerSeng=tellerSeng+1;
                                    end
                                    if tellerSeng==gulePreW5(1,end)
                                        indeksW5=indeksW5;
                                    else
                                    indeksW5=indeksW5+1;
                                    end
                                end
                                guleVenter(1,end+1)=gulePreW5(2,end-indeksW5);
                                tellerSeng=0;
                            end

                            %Ser s etter grnne
                            if length(gronnListeAHL)>0 || length(gronnDKListeAHL)>=1
                                grInne=0;
                                grDK=0;
                                if length(gronnListeAHL)>0
                                    grInne=1;
                                    gronnListeAHL=sort(gronnListeAHL);
                                end
                                if length(gronnDKListeAHL)>0
                                    grDK=1;
                                    gronnDKListeAHL=sort(gronnDKListeAHL);
                                end
                                guleVenter=sort(guleVenter);

                                %Vi m velge mellom grnn og gul, velger p
                                %bakgrunn av tidslimit
                                if  length(guleVenter)>0
                                    if grDK==1 && grInne==1
                                        tidsgrenseGronn=tid2-gronnListeAHL(1,1);
                                        tidsgrenseGronnDK=tid2-gronnDKListeAHL(1,1);
                                        limitGr=max(0,tidsgrenseGronn-limitGronn);
                                        limitGrDK=max(0,tidsgrenseGronnDK-limitGronn);
                                        limitGr=max(limitGr,limitGrDK);
                                    elseif grDK==1
                                        tidsgrenseGronnDK=tid2-gronnDKListeAHL(1,1);
                                        limitGr=max(0,tidsgrenseGronnDK-limitGronn);
                                    else
                                        tidsgrenseGronn=tid2-gronnListeAHL(1,1);
                                        limitGr=max(0,tidsgrenseGronn-limitGronn);

                                    end
                                        tidsgrenseGul=tid2-guleVenter(1,1);
                                        limitGu=max(0,tidsgrenseGul-limitGul);
                                        velgGronn=0;
                                        guleFordel=randi(gulForGronn);
                                else
                                    velgGronn=1;
                                end

                                if velgGronn==0 && ((limitGr==0 && limitGu==0) || (limitGu>limitGr)) %Velger gul
                                    if guleVenter(1,1)==gulePreW1(2,end-indeksW1)

                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gulePreW1(1,:)):-1:1
                                            if b==length(gulePreW1(1,:))
                                                if tid2>=gulePreW1(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gulePreW1(2,b) && tid2<gulePreW1(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gulePreW1(1,:))            
                                            gulePreW1(1,end+1)=gulePreW1(1,end)-1;
                                            gulePreW1(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gulePreKopi=zeros(2,length(gulePreW1(1,:))); %Lager en kopi
                                            for z=b:1:length(gulePreW1(1,:))
                                                gulePreKopi(1,z)=gulePreW1(1,z);
                                                gulePreKopi(2,z)=gulePreW1(2,z);
                                            end
                                            for z=b:1:length(gulePreW1(1,:))+1
                                                if z==b
                                                    gulePreW1(1,z)=gulePreW1(1,z-1)-1;
                                                    gulePreW1(2,z)=tid2;
                                                elseif z<=length(gulePreW1(1,:))
                                                    gulePreW1(1,z)=gulePreKopi(1,z-1)-1;
                                                    gulePreW1(2,z)=gulePreKopi(2,z-1);
                                                else
                                                    gulePreW1(1,end+1)=gulePreKopi(1,z-1)-1;
                                                    gulePreW1(2,end)=gulePreKopi(2,z-1);
                                                end
                                            end
                                        end

                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                        ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                        ventetiderGule(2,end)=tid2;

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1
                                            stuetid=min(400,lognrnd(muGul,sigmaGul));
                                        else
                                            trekkStue=randi(length(stuetidGul(~isnan(stuetidGul)))); 
                                            stuetid=min(400,stuetidGul(trekkStue));
                                        end
                                        OR2Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                        end
                                        utW1(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                        utAkuttW1(1,end+1)=utW1(1,end);

                                    elseif guleVenter(1,1)==gulePreW2(2,end-indeksW2)
                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gulePreW2(1,:)):-1:1
                                            if b==length(gulePreW2(1,:))
                                                if tid2>=gulePreW2(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gulePreW2(2,b) && tid2<gulePreW2(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gulePreW2(1,:))            
                                            gulePreW2(1,end+1)=gulePreW2(1,end)-1;
                                            gulePreW2(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gulePreKopi=zeros(2,length(gulePreW2(1,:))); %Lager en kopi
                                            for z=b:1:length(gulePreW2(1,:))
                                                gulePreKopi(1,z)=gulePreW2(1,z);
                                                gulePreKopi(2,z)=gulePreW2(2,z);
                                            end
                                            for z=b:1:length(gulePreW2(1,:))+1
                                                if z==b
                                                    gulePreW2(1,z)=gulePreW2(1,z-1)-1;
                                                    gulePreW2(2,z)=tid2;
                                                elseif z<=length(gulePreW2(1,:))
                                                    gulePreW2(1,z)=gulePreKopi(1,z-1)-1;
                                                    gulePreW2(2,z)=gulePreKopi(2,z-1);
                                                else
                                                    gulePreW2(1,end+1)=gulePreKopi(1,z-1)-1;
                                                    gulePreW2(2,end)=gulePreKopi(2,z-1);
                                                end
                                            end
                                        end
                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                        ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                        ventetiderGule(2,end)=tid2;

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1
                                            stuetid=min(400,lognrnd(muGul,sigmaGul));
                                        else
                                            trekkStue=randi(length(stuetidGul(~isnan(stuetidGul)))); 
                                            stuetid=min(400,stuetidGul(trekkStue));
                                        end
                                        OR2Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                        end
                                        utW2(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                        utAkuttW2(1,end+1)=utW2(1,end);

                                    elseif guleVenter(1,1)==gulePreW3(2,end-indeksW3)
                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gulePreW3(1,:)):-1:1
                                            if b==length(gulePreW3(1,:))
                                                if tid2>=gulePreW3(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gulePreW3(2,b) && tid2<gulePreW3(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gulePreW3(1,:))            
                                            gulePreW3(1,end+1)=gulePreW3(1,end)-1;
                                            gulePreW3(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gulePreKopi=zeros(2,length(gulePreW3(1,:))); %Lager en kopi
                                            for z=b:1:length(gulePreW3(1,:))
                                                gulePreKopi(1,z)=gulePreW3(1,z);
                                                gulePreKopi(2,z)=gulePreW3(2,z);
                                            end
                                            for z=b:1:length(gulePreW3(1,:))+1
                                                if z==b
                                                    gulePreW3(1,z)=gulePreW3(1,z-1)-1;
                                                    gulePreW3(2,z)=tid2;
                                                elseif z<=length(gulePreW3(1,:))
                                                    gulePreW3(1,z)=gulePreKopi(1,z-1)-1;
                                                    gulePreW3(2,z)=gulePreKopi(2,z-1);
                                                else
                                                    gulePreW3(1,end+1)=gulePreKopi(1,z-1)-1;
                                                    gulePreW3(2,end)=gulePreKopi(2,z-1);
                                                end
                                            end
                                        end

                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                        ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                        ventetiderGule(2,end)=tid2;

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1
                                            stuetid=min(400,lognrnd(muGul,sigmaGul));
                                        else
                                            trekkStue=randi(length(stuetidGul(~isnan(stuetidGul)))); 
                                            stuetid=min(400,stuetidGul(trekkStue));
                                        end
                                        OR2Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                        end
                                        utW3(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                        utAkuttW3(1,end+1)=utW3(1,end);

                                    elseif guleVenter(1,1)==gulePreW4(2,end-indeksW4)
                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gulePreW4(1,:)):-1:1
                                            if b==length(gulePreW4(1,:))
                                                if tid2>=gulePreW4(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gulePreW4(2,b) && tid2<gulePreW4(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gulePreW4(1,:))            
                                            gulePreW4(1,end+1)=gulePreW4(1,end)-1;
                                            gulePreW4(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gulePreKopi=zeros(2,length(gulePreW4(1,:))); %Lager en kopi
                                            for z=b:1:length(gulePreW4(1,:))
                                                gulePreKopi(1,z)=gulePreW4(1,z);
                                                gulePreKopi(2,z)=gulePreW4(2,z);
                                            end
                                            for z=b:1:length(gulePreW4(1,:))+1
                                                if z==b
                                                    gulePreW4(1,z)=gulePreW4(1,z-1)-1;
                                                    gulePreW4(2,z)=tid2;
                                                elseif z<=length(gulePreW4(1,:))
                                                    gulePreW4(1,z)=gulePreKopi(1,z-1)-1;
                                                    gulePreW4(2,z)=gulePreKopi(2,z-1);
                                                else
                                                    gulePreW4(1,end+1)=gulePreKopi(1,z-1)-1;
                                                    gulePreW4(2,end)=gulePreKopi(2,z-1);
                                                end
                                            end
                                        end

                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                        ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                        ventetiderGule(2,end)=tid2;

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1
                                            stuetid=min(400,lognrnd(muGul,sigmaGul));
                                        else
                                            trekkStue=randi(length(stuetidGul(~isnan(stuetidGul)))); 
                                            stuetid=min(400,stuetidGul(trekkStue));
                                        end
                                        OR2Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                        end
                                        utW4(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                        utAkuttW4(1,end+1)=utW4(1,end);

                                    elseif guleVenter(1,1)==gulePreW5(2,end-indeksW5)
                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gulePreW5(1,:)):-1:1
                                            if b==length(gulePreW5(1,:))
                                                if tid2>=gulePreW5(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gulePreW5(2,b) && tid2<gulePreW5(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gulePreW5(1,:))            
                                            gulePreW5(1,end+1)=gulePreW5(1,end)-1;
                                            gulePreW5(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gulePreKopi=zeros(2,length(gulePreW5(1,:))); %Lager en kopi
                                            for z=b:1:length(gulePreW5(1,:))
                                                gulePreKopi(1,z)=gulePreW5(1,z);
                                                gulePreKopi(2,z)=gulePreW5(2,z);
                                            end
                                            for z=b:1:length(gulePreW5(1,:))+1
                                                if z==b
                                                    gulePreW5(1,z)=gulePreW5(1,z-1)-1;
                                                    gulePreW5(2,z)=tid2;
                                                elseif z<=length(gulePreW5(1,:))
                                                    gulePreW5(1,z)=gulePreKopi(1,z-1)-1;
                                                    gulePreW5(2,z)=gulePreKopi(2,z-1);
                                                else
                                                    gulePreW5(1,end+1)=gulePreKopi(1,z-1)-1;
                                                    gulePreW5(2,end)=gulePreKopi(2,z-1);
                                                end
                                            end
                                        end

                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                        ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                        ventetiderGule(2,end)=tid2;

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1
                                            stuetid=min(400,lognrnd(muGul,sigmaGul));
                                        else
                                            trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));
                                            stuetid=min(400,stuetidGul(trekkStue));
                                        end
                                        OR2Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                        end
                                        utW5(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); 
                                        utAkuttW5(1,end+1)=utW5(1,end);

                                    end

                                elseif velgGronn==0 && guleFordel>1 %Vi velger gul selv om grnn er mer forsinket
                                    if guleVenter(1,1)==gulePreW1(2,end-indeksW1)

                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gulePreW1(1,:)):-1:1
                                            if b==length(gulePreW1(1,:))
                                                if tid2>=gulePreW1(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gulePreW1(2,b) && tid2<gulePreW1(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gulePreW1(1,:))            
                                            gulePreW1(1,end+1)=gulePreW1(1,end)-1;
                                            gulePreW1(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gulePreKopi=zeros(2,length(gulePreW1(1,:))); %Lager en kopi
                                            for z=b:1:length(gulePreW1(1,:))
                                                gulePreKopi(1,z)=gulePreW1(1,z);
                                                gulePreKopi(2,z)=gulePreW1(2,z);
                                            end
                                            for z=b:1:length(gulePreW1(1,:))+1
                                                if z==b
                                                    gulePreW1(1,z)=gulePreW1(1,z-1)-1;
                                                    gulePreW1(2,z)=tid2;
                                                elseif z<=length(gulePreW1(1,:))
                                                    gulePreW1(1,z)=gulePreKopi(1,z-1)-1;
                                                    gulePreW1(2,z)=gulePreKopi(2,z-1);
                                                else
                                                    gulePreW1(1,end+1)=gulePreKopi(1,z-1)-1;
                                                    gulePreW1(2,end)=gulePreKopi(2,z-1);
                                                end
                                            end
                                        end

                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                        ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                        ventetiderGule(2,end)=tid2;

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1
                                            stuetid=min(400,lognrnd(muGul,sigmaGul));
                                        else
                                            trekkStue=randi(length(stuetidGul(~isnan(stuetidGul)))); 
                                            stuetid=min(400,stuetidGul(trekkStue));
                                        end
                                        OR2Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                        end
                                        utW1(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                        utAkuttW1(1,end+1)=utW1(1,end);

                                    elseif guleVenter(1,1)==gulePreW2(2,end-indeksW2)
                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gulePreW2(1,:)):-1:1
                                            if b==length(gulePreW2(1,:))
                                                if tid2>=gulePreW2(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gulePreW2(2,b) && tid2<gulePreW2(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gulePreW2(1,:))            
                                            gulePreW2(1,end+1)=gulePreW2(1,end)-1;
                                            gulePreW2(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gulePreKopi=zeros(2,length(gulePreW2(1,:))); %Lager en kopi
                                            for z=b:1:length(gulePreW2(1,:))
                                                gulePreKopi(1,z)=gulePreW2(1,z);
                                                gulePreKopi(2,z)=gulePreW2(2,z);
                                            end
                                            for z=b:1:length(gulePreW2(1,:))+1
                                                if z==b
                                                    gulePreW2(1,z)=gulePreW2(1,z-1)-1;
                                                    gulePreW2(2,z)=tid2;
                                                elseif z<=length(gulePreW2(1,:))
                                                    gulePreW2(1,z)=gulePreKopi(1,z-1)-1;
                                                    gulePreW2(2,z)=gulePreKopi(2,z-1);
                                                else
                                                    gulePreW2(1,end+1)=gulePreKopi(1,z-1)-1;
                                                    gulePreW2(2,end)=gulePreKopi(2,z-1);
                                                end
                                            end
                                        end
                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                        ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                        ventetiderGule(2,end)=tid2;

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1
                                            stuetid=min(400,lognrnd(muGul,sigmaGul));
                                        else
                                            trekkStue=randi(length(stuetidGul(~isnan(stuetidGul)))); 
                                            stuetid=min(400,stuetidGul(trekkStue));
                                        end
                                        OR2Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                        end
                                        utW2(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                        utAkuttW2(1,end+1)=utW2(1,end);

                                    elseif guleVenter(1,1)==gulePreW3(2,end-indeksW3)
                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gulePreW3(1,:)):-1:1
                                            if b==length(gulePreW3(1,:))
                                                if tid2>=gulePreW3(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gulePreW3(2,b) && tid2<gulePreW3(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gulePreW3(1,:))            
                                            gulePreW3(1,end+1)=gulePreW3(1,end)-1;
                                            gulePreW3(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gulePreKopi=zeros(2,length(gulePreW3(1,:))); %Lager en kopi
                                            for z=b:1:length(gulePreW3(1,:))
                                                gulePreKopi(1,z)=gulePreW3(1,z);
                                                gulePreKopi(2,z)=gulePreW3(2,z);
                                            end
                                            for z=b:1:length(gulePreW3(1,:))+1
                                                if z==b
                                                    gulePreW3(1,z)=gulePreW3(1,z-1)-1;
                                                    gulePreW3(2,z)=tid2;
                                                elseif z<=length(gulePreW3(1,:))
                                                    gulePreW3(1,z)=gulePreKopi(1,z-1)-1;
                                                    gulePreW3(2,z)=gulePreKopi(2,z-1);
                                                else
                                                    gulePreW3(1,end+1)=gulePreKopi(1,z-1)-1;
                                                    gulePreW3(2,end)=gulePreKopi(2,z-1);
                                                end
                                            end
                                        end

                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                        ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                        ventetiderGule(2,end)=tid2;

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1
                                            stuetid=min(400,lognrnd(muGul,sigmaGul));
                                        else
                                            trekkStue=randi(length(stuetidGul(~isnan(stuetidGul)))); 
                                            stuetid=min(400,stuetidGul(trekkStue));
                                        end
                                        OR2Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                        end
                                        utW3(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                        utAkuttW3(1,end+1)=utW3(1,end);

                                    elseif guleVenter(1,1)==gulePreW4(2,end-indeksW4)
                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gulePreW4(1,:)):-1:1
                                            if b==length(gulePreW4(1,:))
                                                if tid2>=gulePreW4(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gulePreW4(2,b) && tid2<gulePreW4(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gulePreW4(1,:))            
                                            gulePreW4(1,end+1)=gulePreW4(1,end)-1;
                                            gulePreW4(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gulePreKopi=zeros(2,length(gulePreW4(1,:))); %Lager en kopi
                                            for z=b:1:length(gulePreW4(1,:))
                                                gulePreKopi(1,z)=gulePreW4(1,z);
                                                gulePreKopi(2,z)=gulePreW4(2,z);
                                            end
                                            for z=b:1:length(gulePreW4(1,:))+1
                                                if z==b
                                                    gulePreW4(1,z)=gulePreW4(1,z-1)-1;
                                                    gulePreW4(2,z)=tid2;
                                                elseif z<=length(gulePreW4(1,:))
                                                    gulePreW4(1,z)=gulePreKopi(1,z-1)-1;
                                                    gulePreW4(2,z)=gulePreKopi(2,z-1);
                                                else
                                                    gulePreW4(1,end+1)=gulePreKopi(1,z-1)-1;
                                                    gulePreW4(2,end)=gulePreKopi(2,z-1);
                                                end
                                            end
                                        end

                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                        ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                        ventetiderGule(2,end)=tid2;

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1
                                            stuetid=min(400,lognrnd(muGul,sigmaGul));
                                        else
                                            trekkStue=randi(length(stuetidGul(~isnan(stuetidGul)))); 
                                            stuetid=min(400,stuetidGul(trekkStue));
                                        end
                                        OR2Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                        end
                                        utW4(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                        utAkuttW4(1,end+1)=utW4(1,end);

                                    elseif guleVenter(1,1)==gulePreW5(2,end-indeksW5)
                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gulePreW5(1,:)):-1:1
                                            if b==length(gulePreW5(1,:))
                                                if tid2>=gulePreW5(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gulePreW5(2,b) && tid2<gulePreW5(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gulePreW5(1,:))            
                                            gulePreW5(1,end+1)=gulePreW5(1,end)-1;
                                            gulePreW5(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gulePreKopi=zeros(2,length(gulePreW5(1,:))); %Lager en kopi
                                            for z=b:1:length(gulePreW5(1,:))
                                                gulePreKopi(1,z)=gulePreW5(1,z);
                                                gulePreKopi(2,z)=gulePreW5(2,z);
                                            end
                                            for z=b:1:length(gulePreW5(1,:))+1
                                                if z==b
                                                    gulePreW5(1,z)=gulePreW5(1,z-1)-1;
                                                    gulePreW5(2,z)=tid2;
                                                elseif z<=length(gulePreW5(1,:))
                                                    gulePreW5(1,z)=gulePreKopi(1,z-1)-1;
                                                    gulePreW5(2,z)=gulePreKopi(2,z-1);
                                                else
                                                    gulePreW5(1,end+1)=gulePreKopi(1,z-1)-1;
                                                    gulePreW5(2,end)=gulePreKopi(2,z-1);
                                                end
                                            end
                                        end

                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                        ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                        ventetiderGule(2,end)=tid2;

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1
                                            stuetid=min(400,lognrnd(muGul,sigmaGul));
                                        else
                                            trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));
                                            stuetid=min(400,stuetidGul(trekkStue));
                                        end
                                        OR2Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                        end
                                        utW5(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); 
                                        utAkuttW5(1,end+1)=utW5(1,end);

                                    end

                                else %Velger grnn 
                                    % Vi m finne den grnne p en sengepost
                                    if grDK==0 || (grDK==1 && grInne==1 && gronnListeAHL(1,1)<gronnDKListeAHL(1,1)) % Vi tar fra listen med inneliggende
                                        funnet=0;
                                        while funnet==0
                                            for s=1:1:length(gronnePreW1(1,:))
                                                if gronnListeAHL(1,1)==gronnePreW1(2,s)
                                                    funnet=1;
                                                    break;
                                                end
                                            end
                                            if funnet==1
                                                break;
                                            end
                                            for s=1:1:length(gronnePreW2(1,:))
                                                if gronnListeAHL(1,1)==gronnePreW2(2,s)
                                                    funnet=2;
                                                    break;
                                                end
                                            end
                                            if funnet==2
                                                break;
                                            end
                                            for s=1:1:length(gronnePreW3(1,:))
                                                if gronnListeAHL(1,1)==gronnePreW3(2,s)
                                                    funnet=3;
                                                    break;
                                                end
                                            end
                                            if funnet==3
                                                break;
                                            end
                                            for s=1:1:length(gronnePreW4(1,:))
                                                if gronnListeAHL(1,1)==gronnePreW4(2,s)
                                                    funnet=4;
                                                    break;
                                                end
                                            end
                                            if funnet==4
                                                break;
                                            end
                                            for s=1:1:length(gronnePreW5(1,:))
                                                if gronnListeAHL(1,1)==gronnePreW5(2,s)
                                                    funnet=5;
                                                    break;
                                                end
                                            end
                                        end
                                        if funnet==1
                                            %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                            for b=length(gronnePreW1(1,:)):-1:1
                                                if b==length(gronnePreW1(1,:))
                                                    if tid2>=gronnePreW1(2,b)
                                                        break;
                                                    end
                                                else
                                                    if tid2>=gronnePreW1(2,b) && tid2<gronnePreW1(2,b+1)
                                                        break;
                                                    end
                                                end
                                            end

                                            if b==length(gronnePreW1(1,:))            
                                                gronnePreW1(1,end+1)=gronnePreW1(1,end)-1;
                                                gronnePreW1(2,end)=tid2;
                                            else
                                                b=b+1;
                                                gronnePreKopi=zeros(2,length(gronnePreW1(1,:))); %Lager en kopi
                                                for z=b:1:length(gronnePreW1(1,:))
                                                    gronnePreKopi(1,z)=gronnePreW1(1,z);
                                                    gronnePreKopi(2,z)=gronnePreW1(2,z);
                                                end
                                                for z=b:1:length(gronnePreW1(1,:))+1
                                                    if z==b
                                                        gronnePreW1(1,z)=gronnePreW1(1,z-1)-1;
                                                        gronnePreW1(2,z)=tid2;
                                                    elseif z<=length(gronnePreW1(1,:))
                                                        gronnePreW1(1,z)=gronnePreKopi(1,z-1)-1;
                                                        gronnePreW1(2,z)=gronnePreKopi(2,z-1);
                                                    else
                                                        gronnePreW1(1,end+1)=gronnePreKopi(1,z-1)-1;
                                                        gronnePreW1(2,end)=gronnePreKopi(2,z-1);
                                                    end
                                                end
                                            end


                                            %Finner ventetid til operasjon, legger til den
                                            %tiden det tar  trille ned pasienten
                                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                            ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                            if length(ventetiderGronne)>0
                                                for b=length(ventetiderGronne(1,:)):-1:1
                                                    if b==length(ventetiderGronne(1,:))
                                                        if d>=ventetiderGronne(2,b)
                                                            break;
                                                        end
                                                    else
                                                        if d>=ventetiderGronne(2,b) && d<ventetiderGronne(2,b+1)
                                                            break;
                                                        end
                                                    end
                                                end

                                                if b==length(ventetiderGronne(1,:))            
                                                    ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                    ventetiderGronne(2,end)=d;
                                                else
                                                    b=b+1;
                                                    ventetiderKopi=zeros(2,length(ventetiderGronne(1,:))); %Lager en kopi
                                                    for z=b:1:length(ventetiderGronne(1,:))
                                                        ventetiderKopi(1,z)=ventetiderGronne(1,z);
                                                        ventetiderKopi(2,z)=ventetiderGronne(2,z);
                                                    end
                                                    for z=b:1:length(ventetiderGronne(1,:))+1
                                                        if z==b
                                                            ventetiderGronne(1,z)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                            ventetiderGronne(2,z)=d;
                                                        elseif z<=length(ventetiderGronne(1,:))
                                                            ventetiderGronne(1,z)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                            ventetiderGronne(2,z)=ventetiderKopi(2,z-1);
                                                        else
                                                            ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                            ventetiderGronne(2,end)=ventetiderKopi(2,z-1);
                                                        end
                                                    end
                                                end
                                            else
                                                ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                ventetiderGronne(2,end)=d;
                                            end

                                            %Trekker operasjonstid og oppdaterer tid for ferdig
                                            if lognorm==1
                                                stuetid=min(400,lognrnd(muGronn,sigmaGronn));
                                            else
                                                trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn)))); 
                                                stuetid=min(400,stuetidGronn(trekkStue));
                                            end
                                            OR2Klar=tid2+kjoreNed+stuetid;

                                            %Trekker liggetid p sengepost, HER M VI
                                            %FINNE RETT PASIENT
                                            if LOS_fordeling==1
                                                liggetid=1440*max(1,randi([LOS_Gr(1,2)-2,LOS_Gr(1,2)+2],1,1));
                                            else
                                                liggetid=1440*max(1,round(random(pdAkutte)-gronneFor));
                                            end

                                            utW1(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                            utAkuttW1(1,end+1)=utW1(1,end);

                                            % Fjerner pasienten fra ventelisten p AHL
                                            gronnListeAHL(1)=[];

                                        elseif funnet==2
                                            %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                            for b=length(gronnePreW2(1,:)):-1:1
                                                if b==length(gronnePreW2(1,:))
                                                    if tid2>=gronnePreW2(2,b)
                                                        break;
                                                    end
                                                else
                                                    if tid2>=gronnePreW2(2,b) && tid2<gronnePreW2(2,b+1)
                                                        break;
                                                    end
                                                end
                                            end

                                            if b==length(gronnePreW2(1,:))            
                                                gronnePreW2(1,end+1)=gronnePreW2(1,end)-1;
                                                gronnePreW2(2,end)=tid2;
                                            else
                                                b=b+1;
                                                gronnePreKopi=zeros(2,length(gronnePreW2(1,:))); %Lager en kopi
                                                for z=b:1:length(gronnePreW2(1,:))
                                                    gronnePreKopi(1,z)=gronnePreW2(1,z);
                                                    gronnePreKopi(2,z)=gronnePreW2(2,z);
                                                end
                                                for z=b:1:length(gronnePreW2(1,:))+1
                                                    if z==b
                                                        gronnePreW2(1,z)=gronnePreW2(1,z-1)-1;
                                                        gronnePreW2(2,z)=tid2;
                                                    elseif z<=length(gronnePreW2(1,:))
                                                        gronnePreW2(1,z)=gronnePreKopi(1,z-1)-1;
                                                        gronnePreW2(2,z)=gronnePreKopi(2,z-1);
                                                    else
                                                        gronnePreW2(1,end+1)=gronnePreKopi(1,z-1)-1;
                                                        gronnePreW2(2,end)=gronnePreKopi(2,z-1);
                                                    end
                                                end
                                            end

                                            %Finner ventetid til operasjon, legger til den
                                            %tiden det tar  trille ned pasienten
                                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                            ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                            if length(ventetiderGronne)>0
                                                for b=length(ventetiderGronne(1,:)):-1:1
                                                    if b==length(ventetiderGronne(1,:))
                                                        if d>=ventetiderGronne(2,b)
                                                            break;
                                                        end
                                                    else
                                                        if d>=ventetiderGronne(2,b) && d<ventetiderGronne(2,b+1)
                                                            break;
                                                        end
                                                    end
                                                end

                                                if b==length(ventetiderGronne(1,:))            
                                                    ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                    ventetiderGronne(2,end)=d;
                                                else
                                                    b=b+1;
                                                    ventetiderKopi=zeros(2,length(ventetiderGronne(1,:))); %Lager en kopi
                                                    for z=b:1:length(ventetiderGronne(1,:))
                                                        ventetiderKopi(1,z)=ventetiderGronne(1,z);
                                                        ventetiderKopi(2,z)=ventetiderGronne(2,z);
                                                    end
                                                    for z=b:1:length(ventetiderGronne(1,:))+1
                                                        if z==b
                                                            ventetiderGronne(1,z)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                            ventetiderGronne(2,z)=d;
                                                        elseif z<=length(ventetiderGronne(1,:))
                                                            ventetiderGronne(1,z)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                            ventetiderGronne(2,z)=ventetiderKopi(2,z-1);
                                                        else
                                                            ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                            ventetiderGronne(2,end)=ventetiderKopi(2,z-1);
                                                        end
                                                    end
                                                end
                                            else
                                                ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                ventetiderGronne(2,end)=d;
                                            end

                                            %Trekker operasjonstid og oppdaterer tid for ferdig
                                            if lognorm==1
                                                stuetid=min(400,lognrnd(muGronn,sigmaGronn));
                                            else
                                                trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn)))); 
                                                stuetid=min(400,stuetidGronn(trekkStue));
                                            end
                                            OR2Klar=tid2+kjoreNed+stuetid;

                                            %Trekker liggetid p sengepost
                                            if LOS_fordeling==1
                                                liggetid=1440*max(1,randi([LOS_Gr(1,2)-2,LOS_Gr(1,2)+2],1,1));
                                            else
                                                liggetid=1440*max(1,round(random(pdAkutte)-gronneFor));
                                            end
                                            utW2(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                            utAkuttW2(1,end+1)=utW2(1,end);

                                            % Fjerner pasienten fra ventelisten p AHL
                                            gronnListeAHL(1)=[];
                                        elseif funnet==3
                                            %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                            for b=length(gronnePreW3(1,:)):-1:1
                                                if b==length(gronnePreW3(1,:))
                                                    if tid2>=gronnePreW3(2,b)
                                                        break;
                                                    end
                                                else
                                                    if tid2>=gronnePreW3(2,b) && tid2<gronnePreW3(2,b+1)
                                                        break;
                                                    end
                                                end
                                            end

                                            if b==length(gronnePreW3(1,:))            
                                                gronnePreW3(1,end+1)=gronnePreW3(1,end)-1;
                                                gronnePreW3(2,end)=tid2;
                                            else
                                                b=b+1;
                                                gronnePreKopi=zeros(2,length(gronnePreW3(1,:))); %Lager en kopi
                                                for z=b:1:length(gronnePreW3(1,:))
                                                    gronnePreKopi(1,z)=gronnePreW3(1,z);
                                                    gronnePreKopi(2,z)=gronnePreW3(2,z);
                                                end
                                                for z=b:1:length(gronnePreW3(1,:))+1
                                                    if z==b
                                                        gronnePreW3(1,z)=gronnePreW3(1,z-1)-1;
                                                        gronnePreW3(2,z)=tid2;
                                                    elseif z<=length(gronnePreW3(1,:))
                                                        gronnePreW3(1,z)=gronnePreKopi(1,z-1)-1;
                                                        gronnePreW3(2,z)=gronnePreKopi(2,z-1);
                                                    else
                                                        gronnePreW3(1,end+1)=gronnePreKopi(1,z-1)-1;
                                                        gronnePreW3(2,end)=gronnePreKopi(2,z-1);
                                                    end
                                                end
                                            end

                                            %Finner ventetid til operasjon, legger til den
                                            %tiden det tar  trille ned pasienten
                                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                            ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                            if length(ventetiderGronne)>0
                                                for b=length(ventetiderGronne(1,:)):-1:1
                                                    if b==length(ventetiderGronne(1,:))
                                                        if d>=ventetiderGronne(2,b)
                                                            break;
                                                        end
                                                    else
                                                        if d>=ventetiderGronne(2,b) && d<ventetiderGronne(2,b+1)
                                                            break;
                                                        end
                                                    end
                                                end

                                                if b==length(ventetiderGronne(1,:))            
                                                    ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                    ventetiderGronne(2,end)=d;
                                                else
                                                    b=b+1;
                                                    ventetiderKopi=zeros(2,length(ventetiderGronne(1,:))); %Lager en kopi
                                                    for z=b:1:length(ventetiderGronne(1,:))
                                                        ventetiderKopi(1,z)=ventetiderGronne(1,z);
                                                        ventetiderKopi(2,z)=ventetiderGronne(2,z);
                                                    end
                                                    for z=b:1:length(ventetiderGronne(1,:))+1
                                                        if z==b
                                                            ventetiderGronne(1,z)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                            ventetiderGronne(2,z)=d;
                                                        elseif z<=length(ventetiderGronne(1,:))
                                                            ventetiderGronne(1,z)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                            ventetiderGronne(2,z)=ventetiderKopi(2,z-1);
                                                        else
                                                            ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                            ventetiderGronne(2,end)=ventetiderKopi(2,z-1);
                                                        end
                                                    end
                                                end
                                            else
                                                ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                ventetiderGronne(2,end)=d;
                                            end

                                            %Trekker operasjonstid og oppdaterer tid for ferdig
                                            if lognorm==1
                                                stuetid=min(400,lognrnd(muGronn,sigmaGronn));
                                            else
                                                trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn)))); 
                                                stuetid=min(400,stuetidGronn(trekkStue));
                                            end
                                            OR2Klar=tid2+kjoreNed+stuetid;

                                            %Trekker liggetid p sengepost
                                            if LOS_fordeling==1
                                                liggetid=1440*max(1,randi([LOS_Gr(1,2)-2,LOS_Gr(1,2)+2],1,1));
                                            else
                                                liggetid=1440*max(1,round(random(pdAkutte)-gronneFor));
                                            end
                                            utW3(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                            utAkuttW3(1,end+1)=utW3(1,end);

                                            % Fjerner pasienten fra ventelisten p AHL
                                            gronnListeAHL(1)=[];
                                        elseif funnet==4
                                            %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                            for b=length(gronnePreW4(1,:)):-1:1
                                                if b==length(gronnePreW4(1,:))
                                                    if tid2>=gronnePreW4(2,b)
                                                        break;
                                                    end
                                                else
                                                    if tid2>=gronnePreW4(2,b) && tid2<gronnePreW4(2,b+1)
                                                        break;
                                                    end
                                                end
                                            end

                                            if b==length(gronnePreW4(1,:))            
                                                gronnePreW4(1,end+1)=gronnePreW4(1,end)-1;
                                                gronnePreW4(2,end)=tid2;
                                            else
                                                b=b+1;
                                                gronnePreKopi=zeros(2,length(gronnePreW4(1,:))); %Lager en kopi
                                                for z=b:1:length(gronnePreW4(1,:))
                                                    gronnePreKopi(1,z)=gronnePreW4(1,z);
                                                    gronnePreKopi(2,z)=gronnePreW4(2,z);
                                                end
                                                for z=b:1:length(gronnePreW4(1,:))+1
                                                    if z==b
                                                        gronnePreW4(1,z)=gronnePreW4(1,z-1)-1;
                                                        gronnePreW4(2,z)=tid2;
                                                    elseif z<=length(gronnePreW4(1,:))
                                                        gronnePreW4(1,z)=gronnePreKopi(1,z-1)-1;
                                                        gronnePreW4(2,z)=gronnePreKopi(2,z-1);
                                                    else
                                                        gronnePreW4(1,end+1)=gronnePreKopi(1,z-1)-1;
                                                        gronnePreW4(2,end)=gronnePreKopi(2,z-1);
                                                    end
                                                end
                                            end

                                            %Finner ventetid til operasjon, legger til den
                                            %tiden det tar  trille ned pasienten
                                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                            ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                            if length(ventetiderGronne)>0
                                                for b=length(ventetiderGronne(1,:)):-1:1
                                                    if b==length(ventetiderGronne(1,:))
                                                        if d>=ventetiderGronne(2,b)
                                                            break;
                                                        end
                                                    else
                                                        if d>=ventetiderGronne(2,b) && d<ventetiderGronne(2,b+1)
                                                            break;
                                                        end
                                                    end
                                                end

                                                if b==length(ventetiderGronne(1,:))            
                                                    ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                    ventetiderGronne(2,end)=d;
                                                else
                                                    b=b+1;
                                                    ventetiderKopi=zeros(2,length(ventetiderGronne(1,:))); %Lager en kopi
                                                    for z=b:1:length(ventetiderGronne(1,:))
                                                        ventetiderKopi(1,z)=ventetiderGronne(1,z);
                                                        ventetiderKopi(2,z)=ventetiderGronne(2,z);
                                                    end
                                                    for z=b:1:length(ventetiderGronne(1,:))+1
                                                        if z==b
                                                            ventetiderGronne(1,z)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                            ventetiderGronne(2,z)=d;
                                                        elseif z<=length(ventetiderGronne(1,:))
                                                            ventetiderGronne(1,z)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                            ventetiderGronne(2,z)=ventetiderKopi(2,z-1);
                                                        else
                                                            ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                            ventetiderGronne(2,end)=ventetiderKopi(2,z-1);
                                                        end
                                                    end
                                                end
                                            else
                                                ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                ventetiderGronne(2,end)=d;
                                            end

                                            %Trekker operasjonstid og oppdaterer tid for ferdig
                                            if lognorm==1                                     
                                                stuetid=min(400,lognrnd(muGronn,sigmaGronn));                                 
                                            else
                                                trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn))));                                     
                                                stuetid=min(400,stuetidGronn(trekkStue));                                 
                                            end
                                            OR2Klar=tid2+kjoreNed+stuetid;

                                            %Trekker liggetid p sengepost
                                            if LOS_fordeling==1
                                                liggetid=1440*max(1,randi([LOS_Gr(1,2)-2,LOS_Gr(1,2)+2],1,1));
                                            else
                                                liggetid=1440*max(1,round(random(pdAkutte)-gronneFor));
                                            end
                                            utW4(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                            utAkuttW4(1,end+1)=utW4(1,end);

                                            % Fjerner pasienten fra ventelisten p AHL
                                            gronnListeAHL(1)=[];
                                        elseif funnet==5
                                            %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                            for b=length(gronnePreW5(1,:)):-1:1
                                                if b==length(gronnePreW5(1,:))
                                                    if tid2>=gronnePreW5(2,b)
                                                        break;
                                                    end
                                                else
                                                    if tid2>=gronnePreW5(2,b) && tid2<gronnePreW5(2,b+1)
                                                        break;
                                                    end
                                                end
                                            end

                                            if b==length(gronnePreW5(1,:))            
                                                gronnePreW5(1,end+1)=gronnePreW5(1,end)-1;
                                                gronnePreW5(2,end)=tid2;
                                            else
                                                b=b+1;
                                                gronnePreKopi=zeros(2,length(gronnePreW5(1,:))); %Lager en kopi
                                                for z=b:1:length(gronnePreW5(1,:))
                                                    gronnePreKopi(1,z)=gronnePreW5(1,z);
                                                    gronnePreKopi(2,z)=gronnePreW5(2,z);
                                                end
                                                for z=b:1:length(gronnePreW5(1,:))+1
                                                    if z==b
                                                        gronnePreW5(1,z)=gronnePreW5(1,z-1)-1;
                                                        gronnePreW5(2,z)=tid2;
                                                    elseif z<=length(gronnePreW5(1,:))
                                                        gronnePreW5(1,z)=gronnePreKopi(1,z-1)-1;
                                                        gronnePreW5(2,z)=gronnePreKopi(2,z-1);
                                                    else
                                                        gronnePreW5(1,end+1)=gronnePreKopi(1,z-1)-1;
                                                        gronnePreW5(2,end)=gronnePreKopi(2,z-1);
                                                    end
                                                end
                                            end

                                            %Finner ventetid til operasjon, legger til den
                                            %tiden det tar  trille ned pasienten
                                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                            ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                            if length(ventetiderGronne)>0
                                                for b=length(ventetiderGronne(1,:)):-1:1
                                                    if b==length(ventetiderGronne(1,:))
                                                        if d>=ventetiderGronne(2,b)
                                                            break;
                                                        end
                                                    else
                                                        if d>=ventetiderGronne(2,b) && d<ventetiderGronne(2,b+1)
                                                            break;
                                                        end
                                                    end
                                                end

                                                if b==length(ventetiderGronne(1,:))            
                                                    ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                    ventetiderGronne(2,end)=d;
                                                else
                                                    b=b+1;
                                                    ventetiderKopi=zeros(2,length(ventetiderGronne(1,:))); %Lager en kopi
                                                    for z=b:1:length(ventetiderGronne(1,:))
                                                        ventetiderKopi(1,z)=ventetiderGronne(1,z);
                                                        ventetiderKopi(2,z)=ventetiderGronne(2,z);
                                                    end
                                                    for z=b:1:length(ventetiderGronne(1,:))+1
                                                        if z==b
                                                            ventetiderGronne(1,z)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                            ventetiderGronne(2,z)=d;
                                                        elseif z<=length(ventetiderGronne(1,:))
                                                            ventetiderGronne(1,z)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                            ventetiderGronne(2,z)=ventetiderKopi(2,z-1);
                                                        else
                                                            ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                            ventetiderGronne(2,end)=ventetiderKopi(2,z-1);
                                                        end
                                                    end
                                                end
                                            else
                                                ventetiderGronne(1,end+1)=ceil((tid2-gronnListeAHL(1,1)+kjoreNed)/1440);
                                                ventetiderGronne(2,end)=d;
                                            end
                                            %Trekker operasjonstid og oppdaterer tid for ferdig
                                            if lognorm==1                                     
                                                stuetid=min(400,lognrnd(muGronn,sigmaGronn));                                 
                                            else
                                                trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn))));                                     
                                                stuetid=min(400,stuetidGronn(trekkStue));                                 
                                            end
                                            OR2Klar=tid2+kjoreNed+stuetid;

                                            %Trekker liggetid p sengepost
                                            if LOS_fordeling==1
                                                liggetid=1440*max(1,randi([LOS_Gr(1,2)-2,LOS_Gr(1,2)+2],1,1));
                                            else
                                                liggetid=1440*max(1,round(random(pdAkutte)-gronneFor));
                                            end
                                            utW5(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); 
                                            utAkuttW5(1,end+1)=utW5(1,end);

                                            % Fjerner pasienten fra ventelisten p AHL
                                            gronnListeAHL(1)=[];

                                        end
                                    else %Vi opererer DK

                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                        if length(ventetiderGronne)>0
                                            for b=length(ventetiderGronne(1,:)):-1:1
                                                if b==length(ventetiderGronne(1,:))
                                                    if d>=ventetiderGronne(2,b)
                                                        break;
                                                    end
                                                else
                                                    if d>=ventetiderGronne(2,b) && d<ventetiderGronne(2,b+1)
                                                        break;
                                                    end
                                                end
                                            end

                                            if b==length(ventetiderGronne(1,:))            
                                                ventetiderGronne(1,end+1)=ceil((tid2-gronnDKListeAHL(1,1)+kjoreNed)/1440);
                                                ventetiderGronne(2,end)=d;
                                            else
                                                b=b+1;
                                                ventetiderKopi=zeros(2,length(ventetiderGronne(1,:))); %Lager en kopi
                                                for z=b:1:length(ventetiderGronne(1,:))
                                                    ventetiderKopi(1,z)=ventetiderGronne(1,z);
                                                    ventetiderKopi(2,z)=ventetiderGronne(2,z);
                                                end
                                                for z=b:1:length(ventetiderGronne(1,:))+1
                                                    if z==b
                                                        ventetiderGronne(1,z)=ceil((tid2-gronnDKListeAHL(1,1)+kjoreNed)/1440);
                                                        ventetiderGronne(2,z)=d;
                                                    elseif z<=length(ventetiderGronne(1,:))
                                                        ventetiderGronne(1,z)=ceil((tid2-gronnDKListeAHL(1,1)+kjoreNed)/1440);
                                                        ventetiderGronne(2,z)=ventetiderKopi(2,z-1);
                                                    else
                                                        ventetiderGronne(1,end+1)=ceil((tid2-gronnDKListeAHL(1,1)+kjoreNed)/1440);
                                                        ventetiderGronne(2,end)=ventetiderKopi(2,z-1);
                                                    end
                                                end
                                            end
                                        else
                                            ventetiderGronne(1,end+1)=ceil((tid2-gronnDKListeAHL(1,1)+kjoreNed)/1440);
                                            ventetiderGronne(2,end)=d;
                                        end
                                        % Fjerner pasienten fra ken(hjemme)
                                        for b=length(gronneDKHjemme(1,:)):-1:1
                                            if b==length(gronneDKHjemme(1,:))
                                                if tid2>=gronneDKHjemme(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gronneDKHjemme(2,b) && tid2<gronneDKHjemme(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gronneDKHjemme(1,:))            
                                            gronneDKHjemme(1,end+1)=gronneDKHjemme(1,end)-1;
                                            gronneDKHjemme(2,end)=tid2;
                                        else
                                            b=b+1;
                                            total=zeros(2,length(gronneDKHjemme)); %Lager en kopi
                                            for z=b:1:length(gronneDKHjemme)
                                                total(1,z)=gronneDKHjemme(1,z);
                                                total(2,z)=gronneDKHjemme(2,z);
                                            end
                                            for z=b:1:length(gronneDKHjemme)+1
                                                if z==b
                                                    gronneDKHjemme(1,z)=gronneDKHjemme(1,z-1)-1;
                                                    gronneDKHjemme(2,z)=tid2;
                                                elseif z<=length(gronneDKHjemme)
                                                    gronneDKHjemme(1,z)=total(1,z-1)-1;
                                                    gronneDKHjemme(2,z)=total(2,z-1);
                                                else
                                                    gronneDKHjemme(1,end+1)=total(1,z-1)-1;
                                                    gronneDKHjemme(2,end)=total(2,z-1);
                                                end
                                            end
                                        end

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1
                                            stuetid=min(400,lognrnd(muGronnDK,sigmaGronnDK));
                                        else
                                            trekkStue=randi(length(stuetidGronnDK(~isnan(stuetidGronnDK)))); 
                                            stuetid=min(400,stuetidGronnDK(trekkStue));
                                        end
                                        OR2Klar=tid2+kjoreNed+stuetid;
                                        gronnDKListeAHL(1)=[];
                                    end
                                end
                            else %Ingen grnne, vi opererer gul dersom gul er til stede

                                guleVenter=sort(guleVenter);
                                if length(guleVenter)>0
                                    if guleVenter(1,1)==gulePreW1(2,end-indeksW1)

                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gulePreW1(1,:)):-1:1
                                            if b==length(gulePreW1(1,:))
                                                if tid2>=gulePreW1(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gulePreW1(2,b) && tid2<gulePreW1(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gulePreW1(1,:))            
                                            gulePreW1(1,end+1)=gulePreW1(1,end)-1;
                                            gulePreW1(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gulePreKopi=zeros(2,length(gulePreW1(1,:))); %Lager en kopi
                                            for z=b:1:length(gulePreW1(1,:))
                                                gulePreKopi(1,z)=gulePreW1(1,z);
                                                gulePreKopi(2,z)=gulePreW1(2,z);
                                            end
                                            for z=b:1:length(gulePreW1(1,:))+1
                                                if z==b
                                                    gulePreW1(1,z)=gulePreW1(1,z-1)-1;
                                                    gulePreW1(2,z)=tid2;
                                                elseif z<=length(gulePreW1(1,:))
                                                    gulePreW1(1,z)=gulePreKopi(1,z-1)-1;
                                                    gulePreW1(2,z)=gulePreKopi(2,z-1);
                                                else
                                                    gulePreW1(1,end+1)=gulePreKopi(1,z-1)-1;
                                                    gulePreW1(2,end)=gulePreKopi(2,z-1);
                                                end
                                            end
                                        end

                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                        ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                        ventetiderGule(2,end)=tid2;

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1                                     
                                            stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                        else
                                            trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                            stuetid=min(400,stuetidGul(trekkStue));                                 
                                        end
                                        OR2Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                        end
                                        utW1(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                        utAkuttW1(1,end+1)=utW1(1,end);

                                    elseif guleVenter(1,1)==gulePreW2(2,end-indeksW2)
                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gulePreW2(1,:)):-1:1
                                            if b==length(gulePreW2(1,:))
                                                if tid2>=gulePreW2(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gulePreW2(2,b) && tid2<gulePreW2(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gulePreW2(1,:))            
                                            gulePreW2(1,end+1)=gulePreW2(1,end)-1;
                                            gulePreW2(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gulePreKopi=zeros(2,length(gulePreW2(1,:))); %Lager en kopi
                                            for z=b:1:length(gulePreW2(1,:))
                                                gulePreKopi(1,z)=gulePreW2(1,z);
                                                gulePreKopi(2,z)=gulePreW2(2,z);
                                            end
                                            for z=b:1:length(gulePreW2(1,:))+1
                                                if z==b
                                                    gulePreW2(1,z)=gulePreW2(1,z-1)-1;
                                                    gulePreW2(2,z)=tid2;
                                                elseif z<=length(gulePreW2(1,:))
                                                    gulePreW2(1,z)=gulePreKopi(1,z-1)-1;
                                                    gulePreW2(2,z)=gulePreKopi(2,z-1);
                                                else
                                                    gulePreW2(1,end+1)=gulePreKopi(1,z-1)-1;
                                                    gulePreW2(2,end)=gulePreKopi(2,z-1);
                                                end
                                            end
                                        end
                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                        ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                        ventetiderGule(2,end)=tid2;

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1                                     
                                            stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                        else
                                            trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                            stuetid=min(400,stuetidGul(trekkStue));                                 
                                        end
                                        OR2Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                        end
                                        utW2(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                        utAkuttW2(1,end+1)=utW2(1,end);

                                    elseif guleVenter(1,1)==gulePreW3(2,end-indeksW3)
                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gulePreW3(1,:)):-1:1
                                            if b==length(gulePreW3(1,:))
                                                if tid2>=gulePreW3(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gulePreW3(2,b) && tid2<gulePreW3(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gulePreW3(1,:))            
                                            gulePreW3(1,end+1)=gulePreW3(1,end)-1;
                                            gulePreW3(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gulePreKopi=zeros(2,length(gulePreW3(1,:))); %Lager en kopi
                                            for z=b:1:length(gulePreW3(1,:))
                                                gulePreKopi(1,z)=gulePreW3(1,z);
                                                gulePreKopi(2,z)=gulePreW3(2,z);
                                            end
                                            for z=b:1:length(gulePreW3(1,:))+1
                                                if z==b
                                                    gulePreW3(1,z)=gulePreW3(1,z-1)-1;
                                                    gulePreW3(2,z)=tid2;
                                                elseif z<=length(gulePreW3(1,:))
                                                    gulePreW3(1,z)=gulePreKopi(1,z-1)-1;
                                                    gulePreW3(2,z)=gulePreKopi(2,z-1);
                                                else
                                                    gulePreW3(1,end+1)=gulePreKopi(1,z-1)-1;
                                                    gulePreW3(2,end)=gulePreKopi(2,z-1);
                                                end
                                            end
                                        end

                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                        ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                        ventetiderGule(2,end)=tid2;

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1                                     
                                            stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                        else
                                            trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                            stuetid=min(400,stuetidGul(trekkStue));                                 
                                        end
                                        OR2Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                        end
                                        utW3(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                        utAkuttW3(1,end+1)=utW3(1,end);

                                    elseif guleVenter(1,1)==gulePreW4(2,end-indeksW4)
                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gulePreW4(1,:)):-1:1
                                            if b==length(gulePreW4(1,:))
                                                if tid2>=gulePreW4(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gulePreW4(2,b) && tid2<gulePreW4(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gulePreW4(1,:))            
                                            gulePreW4(1,end+1)=gulePreW4(1,end)-1;
                                            gulePreW4(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gulePreKopi=zeros(2,length(gulePreW4(1,:))); %Lager en kopi
                                            for z=b:1:length(gulePreW4(1,:))
                                                gulePreKopi(1,z)=gulePreW4(1,z);
                                                gulePreKopi(2,z)=gulePreW4(2,z);
                                            end
                                            for z=b:1:length(gulePreW4(1,:))+1
                                                if z==b
                                                    gulePreW4(1,z)=gulePreW4(1,z-1)-1;
                                                    gulePreW4(2,z)=tid2;
                                                elseif z<=length(gulePreW4(1,:))
                                                    gulePreW4(1,z)=gulePreKopi(1,z-1)-1;
                                                    gulePreW4(2,z)=gulePreKopi(2,z-1);
                                                else
                                                    gulePreW4(1,end+1)=gulePreKopi(1,z-1)-1;
                                                    gulePreW4(2,end)=gulePreKopi(2,z-1);
                                                end
                                            end
                                        end

                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                        ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                        ventetiderGule(2,end)=tid2;

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1                                     
                                            stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                        else
                                            trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                            stuetid=min(400,stuetidGul(trekkStue));                                 
                                        end
                                        OR2Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                        end
                                        utW4(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                        utAkuttW4(1,end+1)=utW4(1,end);

                                    elseif guleVenter(1,1)==gulePreW5(2,end-indeksW5)
                                        %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                        for b=length(gulePreW5(1,:)):-1:1
                                            if b==length(gulePreW5(1,:))
                                                if tid2>=gulePreW5(2,b)
                                                    break;
                                                end
                                            else
                                                if tid2>=gulePreW5(2,b) && tid2<gulePreW5(2,b+1)
                                                    break;
                                                end
                                            end
                                        end

                                        if b==length(gulePreW5(1,:))            
                                            gulePreW5(1,end+1)=gulePreW5(1,end)-1;
                                            gulePreW5(2,end)=tid2;
                                        else
                                            b=b+1;
                                            gulePreKopi=zeros(2,length(gulePreW5(1,:))); %Lager en kopi
                                            for z=b:1:length(gulePreW5(1,:))
                                                gulePreKopi(1,z)=gulePreW5(1,z);
                                                gulePreKopi(2,z)=gulePreW5(2,z);
                                            end
                                            for z=b:1:length(gulePreW5(1,:))+1
                                                if z==b
                                                    gulePreW5(1,z)=gulePreW5(1,z-1)-1;
                                                    gulePreW5(2,z)=tid2;
                                                elseif z<=length(gulePreW5(1,:))
                                                    gulePreW5(1,z)=gulePreKopi(1,z-1)-1;
                                                    gulePreW5(2,z)=gulePreKopi(2,z-1);
                                                else
                                                    gulePreW5(1,end+1)=gulePreKopi(1,z-1)-1;
                                                    gulePreW5(2,end)=gulePreKopi(2,z-1);
                                                end
                                            end
                                        end

                                        %Finner ventetid til operasjon, legger til den
                                        %tiden det tar  trille ned pasienten
                                        kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                        ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+kjoreNed-vask;
                                        ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                        ventetiderGule(2,end)=tid2;

                                        %Trekker operasjonstid og oppdaterer tid for ferdig
                                        if lognorm==1                                     
                                            stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                        else
                                            trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                            stuetid=min(400,stuetidGul(trekkStue));                                 
                                        end
                                        OR2Klar=tid2+kjoreNed+stuetid;

                                        %Trekker liggetid p sengepost
                                        if LOS_fordeling==1
                                            liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                        else
                                            liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                        end
                                        utW5(1,end+1)=OR2Klar-(mod(OR2Klar,1440)-12*60)+liggetid +randi(100);
                                        utAkuttW5(1,end+1)=utW5(1,end);
                                    end
                                else %Vi oppdateter tiden for at operasjonsstuen er klar da ingen pasienter var tilstede
                                    oppdater=[ankRod(1,1)+1,ankGul(1,1)+1]; %Grnne opereres ikke med en gang de kommer inn, de skeduleres neste dag
                                    ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+min(min(1321+1440*(d-1),min(oppdater))-OR2Klar,480);
                                    OR2Klar=min(1321+1440*(d-1),min(oppdater));
                                end
                            end
                        else
                            ledigStuetidAHL(2,d)=ledigStuetidAHL(2,d)+1321-tid1AHL;
                            OR2Klar=((d-1)*1440)+1321;
                        end
                    end
                elseif tid2==utW1(1,1) %Oppdaterer antall p sengepost
                    for b=length(totalW1(1,:)):-1:1
                        if b==length(totalW1(1,:))
                            if tid2>=totalW1(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW1(2,b) && tid2<totalW1(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW1(1,:))            
                        totalW1(1,end+1)=totalW1(1,end)-1;
                        totalW1(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW1)); %Lager en kopi
                        for z=b:1:length(totalW1)
                            total(1,z)=totalW1(1,z);
                            total(2,z)=totalW1(2,z);
                        end
                        for z=b:1:length(totalW1)+1
                            if z==b
                                totalW1(1,z)=totalW1(1,z-1)-1;
                                totalW1(2,z)=tid2;
                            elseif z<=length(totalW1)
                                totalW1(1,z)=total(1,z-1)-1;
                                totalW1(2,z)=total(2,z-1);
                            else
                                totalW1(1,end+1)=total(1,z-1)-1;
                                totalW1(2,end)=total(2,z-1);
                            end
                        end
                    end
                    if utAkuttW1(1,1)==utW1(1,1)
                        for b=length(totalAkuttW1(1,:)):-1:1
                            if b==length(totalAkuttW1(1,:))
                                if tid2>=totalAkuttW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW1(2,b) && tid2<totalAkuttW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW1(1,:))            
                            totalAkuttW1(1,end+1)=totalAkuttW1(1,end)-1;
                            totalAkuttW1(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalAkuttW1)); %Lager en kopi
                            for z=b:1:length(totalAkuttW1)
                                total(1,z)=totalAkuttW1(1,z);
                                total(2,z)=totalAkuttW1(2,z);
                            end
                            for z=b:1:length(totalAkuttW1)+1
                                if z==b
                                    totalAkuttW1(1,z)=totalAkuttW1(1,z-1)-1;
                                    totalAkuttW1(2,z)=tid2;
                                elseif z<=length(totalAkuttW1)
                                    totalAkuttW1(1,z)=total(1,z-1)-1;
                                    totalAkuttW1(2,z)=total(2,z-1);
                                else
                                    totalAkuttW1(1,end+1)=total(1,z-1)-1;
                                    totalAkuttW1(2,end)=total(2,z-1);
                                end
                            end
                        end
                        utAkuttW1(1)=[];
                    end
                    utW1(1)=[];
                elseif tid2==utW2(1,1) %Oppdaterer antall p sengepost
                    for b=length(totalW2(1,:)):-1:1
                        if b==length(totalW2(1,:))
                            if tid2>=totalW2(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW2(2,b) && tid2<totalW2(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW2(1,:))            
                        totalW2(1,end+1)=totalW2(1,end)-1;
                        totalW2(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW2)); %Lager en kopi
                        for z=b:1:length(totalW2)
                            total(1,z)=totalW2(1,z);
                            total(2,z)=totalW2(2,z);
                        end
                        for z=b:1:length(totalW2)+1
                            if z==b
                                totalW2(1,z)=totalW2(1,z-1)-1;
                                totalW2(2,z)=tid2;
                            elseif z<=length(totalW2)
                                totalW2(1,z)=total(1,z-1)-1;
                                totalW2(2,z)=total(2,z-1);
                            else
                                totalW2(1,end+1)=total(1,z-1)-1;
                                totalW2(2,end)=total(2,z-1);
                            end
                        end
                    end
                    if utAkuttW2(1,1)==utW2(1,1)
                        for b=length(totalAkuttW2(1,:)):-1:1
                            if b==length(totalAkuttW2(1,:))
                                if tid2>=totalAkuttW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW2(2,b) && tid2<totalAkuttW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW2(1,:))            
                            totalAkuttW2(1,end+1)=totalAkuttW2(1,end)-1;
                            totalAkuttW2(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalAkuttW2)); %Lager en kopi
                            for z=b:1:length(totalAkuttW2)
                                total(1,z)=totalAkuttW2(1,z);
                                total(2,z)=totalAkuttW2(2,z);
                            end
                            for z=b:1:length(totalAkuttW2)+1
                                if z==b
                                    totalAkuttW2(1,z)=totalAkuttW2(1,z-1)-1;
                                    totalAkuttW2(2,z)=tid2;
                                elseif z<=length(totalAkuttW2)
                                    totalAkuttW2(1,z)=total(1,z-1)-1;
                                    totalAkuttW2(2,z)=total(2,z-1);
                                else
                                    totalAkuttW2(1,end+1)=total(1,z-1)-1;
                                    totalAkuttW2(2,end)=total(2,z-1);
                                end
                            end
                        end
                        utAkuttW2(1)=[];
                    end
                    utW2(1)=[];
                elseif tid2==utW3(1,1) %Oppdaterer antall p sengepost
                    for b=length(totalW3(1,:)):-1:1
                        if b==length(totalW3(1,:))
                            if tid2>=totalW3(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW3(2,b) && tid2<totalW3(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW3(1,:))            
                        totalW3(1,end+1)=totalW3(1,end)-1;
                        totalW3(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW3)); %Lager en kopi
                        for z=b:1:length(totalW3)
                            total(1,z)=totalW3(1,z);
                            total(2,z)=totalW3(2,z);
                        end
                        for z=b:1:length(totalW3)+1
                            if z==b
                                totalW3(1,z)=totalW3(1,z-1)-1;
                                totalW3(2,z)=tid2;
                            elseif z<=length(totalW3)
                                totalW3(1,z)=total(1,z-1)-1;
                                totalW3(2,z)=total(2,z-1);
                            else
                                totalW3(1,end+1)=total(1,z-1)-1;
                                totalW3(2,end)=total(2,z-1);
                            end
                        end
                    end
                    if utAkuttW3(1,1)==utW3(1,1)
                        for b=length(totalAkuttW3(1,:)):-1:1
                            if b==length(totalAkuttW3(1,:))
                                if tid2>=totalAkuttW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW3(2,b) && tid2<totalAkuttW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW3(1,:))            
                            totalAkuttW3(1,end+1)=totalAkuttW3(1,end)-1;
                            totalAkuttW3(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalAkuttW3)); %Lager en kopi
                            for z=b:1:length(totalAkuttW3)
                                total(1,z)=totalAkuttW3(1,z);
                                total(2,z)=totalAkuttW3(2,z);
                            end
                            for z=b:1:length(totalAkuttW3)+1
                                if z==b
                                    totalAkuttW3(1,z)=totalAkuttW3(1,z-1)-1;
                                    totalAkuttW3(2,z)=tid2;
                                elseif z<=length(totalAkuttW3)
                                    totalAkuttW3(1,z)=total(1,z-1)-1;
                                    totalAkuttW3(2,z)=total(2,z-1);
                                else
                                    totalAkuttW3(1,end+1)=total(1,z-1)-1;
                                    totalAkuttW3(2,end)=total(2,z-1);
                                end
                            end
                        end
                        utAkuttW3(1)=[];
                    end
                    utW3(1)=[];
                elseif tid2==utW4(1,1) %Oppdaterer antall p sengepost

                    for b=length(totalW4(1,:)):-1:1
                        if b==length(totalW4(1,:))
                            if tid2>=totalW4(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW4(2,b) && tid2<totalW4(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW4(1,:))            
                        totalW4(1,end+1)=totalW4(1,end)-1;
                        totalW4(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW4)); %Lager en kopi
                        for z=b:1:length(totalW4)
                            total(1,z)=totalW4(1,z);
                            total(2,z)=totalW4(2,z);
                        end
                        for z=b:1:length(totalW4)+1
                            if z==b
                                totalW4(1,z)=totalW4(1,z-1)-1;
                                totalW4(2,z)=tid2;
                            elseif z<=length(totalW4)
                                totalW4(1,z)=total(1,z-1)-1;
                                totalW4(2,z)=total(2,z-1);
                            else
                                totalW4(1,end+1)=total(1,z-1)-1;
                                totalW4(2,end)=total(2,z-1);
                            end
                        end
                    end
                    if utAkuttW4(1,1)==utW4(1,1)
                        for b=length(totalAkuttW4(1,:)):-1:1
                            if b==length(totalAkuttW4(1,:))
                                if tid2>=totalAkuttW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW4(2,b) && tid2<totalAkuttW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW4(1,:))            
                            totalAkuttW4(1,end+1)=totalAkuttW4(1,end)-1;
                            totalAkuttW4(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalAkuttW4)); %Lager en kopi
                            for z=b:1:length(totalAkuttW4)
                                total(1,z)=totalAkuttW4(1,z);
                                total(2,z)=totalAkuttW4(2,z);
                            end
                            for z=b:1:length(totalAkuttW4)+1
                                if z==b
                                    totalAkuttW4(1,z)=totalAkuttW4(1,z-1)-1;
                                    totalAkuttW4(2,z)=tid2;
                                elseif z<=length(totalAkuttW4)
                                    totalAkuttW4(1,z)=total(1,z-1)-1;
                                    totalAkuttW4(2,z)=total(2,z-1);
                                else
                                    totalAkuttW4(1,end+1)=total(1,z-1)-1;
                                    totalAkuttW4(2,end)=total(2,z-1);
                                end
                            end
                        end
                        utAkuttW4(1)=[];
                    end
                    utW4(1)=[];
                elseif tid2==utW5(1,1) %Oppdaterer antall p sengepost
                    for b=length(totalW5(1,:)):-1:1
                        if b==length(totalW5(1,:))
                            if tid2>=totalW5(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW5(2,b) && tid2<totalW5(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW5(1,:))            
                        totalW5(1,end+1)=totalW5(1,end)-1;
                        totalW5(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW5)); %Lager en kopi
                        for z=b:1:length(totalW5)
                            total(1,z)=totalW5(1,z);
                            total(2,z)=totalW5(2,z);
                        end
                        for z=b:1:length(totalW5)+1
                            if z==b
                                totalW5(1,z)=totalW5(1,z-1)-1;
                                totalW5(2,z)=tid2;
                            elseif z<=length(totalW5)
                                totalW5(1,z)=total(1,z-1)-1;
                                totalW5(2,z)=total(2,z-1);
                            else
                                totalW5(1,end+1)=total(1,z-1)-1;
                                totalW5(2,end)=total(2,z-1);
                            end
                        end
                    end
                    if utAkuttW5(1,1)==utW5(1,1)
                        for b=length(totalAkuttW5(1,:)):-1:1
                            if b==length(totalAkuttW5(1,:))
                                if tid2>=totalAkuttW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW5(2,b) && tid2<totalAkuttW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW5(1,:))            
                            totalAkuttW5(1,end+1)=totalAkuttW5(1,end)-1;
                            totalAkuttW5(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalAkuttW5)); %Lager en kopi
                            for z=b:1:length(totalAkuttW5)
                                total(1,z)=totalAkuttW5(1,z);
                                total(2,z)=totalAkuttW5(2,z);
                            end
                            for z=b:1:length(totalAkuttW5)+1
                                if z==b
                                    totalAkuttW5(1,z)=totalAkutt51(1,z-1)-1;
                                    totalAkuttW5(2,z)=tid2;
                                elseif z<=length(totalAkuttW5)
                                    totalAkuttW5(1,z)=total(1,z-1)-1;
                                    totalAkuttW5(2,z)=total(2,z-1);
                                else
                                    totalAkuttW5(1,end+1)=total(1,z-1)-1;
                                    totalAkuttW5(2,end)=total(2,z-1);
                                end
                            end
                        end
                        utAkuttW5(1)=[];
                    end
                    utW5(1)=[];
                end



            else %Ikke likt i helg og fredag - behandler bare rde og gule, kun en stue tilgjengelig, ikke alltid sikkert man fr tilgang

                utW1=sort(utW1);
                utW2=sort(utW2);
                utW3=sort(utW3);
                utW4=sort(utW4);
                utW5=sort(utW5);
                utAkuttW1=sort(utAkuttW1);
                utAkuttW2=sort(utAkuttW2);
                utAkuttW3=sort(utAkuttW3);
                utAkuttW4=sort(utAkuttW4);
                utAkuttW5=sort(utAkuttW5);

                OR2Klar=1442+1440*(d-1); %Brukes ikke p natt fra fre-sn
                if OR1Klar==OR2Klar
                    OR2Klar=OR2Klar+1;
                end

                if isempty(ankRod)
                    ankRod(1,end+1)=10000000;
                end

                if isempty(ankGul)
                    ankGul(1,end+1)=10000000;
                end

                if isempty(ankGronn)
                    ankGronn(1,end+1)=10000000;
                end

                if isempty(ankGronnDK)
                    ankGronnDK(1,end+1)=10000000;
                end

                tidOppdatering=[ankRod(1,1),ankGul(1,1),ankGronn(1,1), ankGronnDK(1,1), OR1Klar, OR2Klar, utW1(1,1), utW2(1,1), utW3(1,1), utW4(1,1), utW5(1,1)];
                tidOppdatering=sort(tidOppdatering);

                tid2=tidOppdatering(1,1);
                if tid2>1440*(d-1)+1320
                    break;
                end
                tid1AHL=mod(tidOppdatering(1,1),1440);


                if tid2==ankRod(1,1) %Rd legges inn pre, velg sengepost, oppdater bde pre og sengepost
                    % Velger sengepost
                     ukedagSeng=mod(d,7);
                    if ukedagSeng==0
                        ukedagSeng=7;
                    end
                    sengepost=randi(akutteSeng(ukedagSeng),1,1);
                    if sengepost<=akutteOTS
                        rodePreW1(1,end+1)=rodePreW1(1,end)+1;
                        rodePreW1(2,end)=tid2;
                        for b=length(totalW1(1,:)):-1:1
                            if b==length(totalW1(1,:))
                                if tid2>=totalW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW1(2,b) && tid2<totalW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW1(1,:))            
                            totalW1(1,end+1)=totalW1(1,end)+1;
                            totalW1(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW1(1,:))); %Lager en kopi
                            for z=b:1:length(totalW1(1,:))
                                total(1,z)=totalW1(1,z);
                                total(2,z)=totalW1(2,z);
                            end
                            for z=b:1:length(totalW1(1,:))+1
                                if z==b
                                    totalW1(1,z)=totalW1(1,z-1)+1;
                                    totalW1(2,z)=tid2;
                                elseif z<=length(totalW1(1,:))
                                    totalW1(1,z)=total(1,z-1)+1;
                                    totalW1(2,z)=total(2,z-1);
                                else
                                    totalW1(1,end+1)=total(1,z-1)+1;
                                    totalW1(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW1(1,:)):-1:1
                            if b==length(totalAkuttW1(1,:))
                                if tid2>=totalAkuttW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW1(2,b) && tid2<totalAkuttW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW1(1,:))            
                            totalAkuttW1(1,end+1)=totalAkuttW1(1,end)+1;
                            totalAkuttW1(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW1(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW1(1,:))
                                totalAkutt(1,z)=totalAkuttW1(1,z);
                                totalAkutt(2,z)=totalAkuttW1(2,z);
                            end
                            for z=b:1:length(totalAkuttW1(1,:))+1
                                if z==b
                                    totalAkuttW1(1,z)=totalAkuttW1(1,z-1)+1;
                                    totalAkuttW1(2,z)=tid2;
                                elseif z<=length(totalAkuttW1(1,:))
                                    totalAkuttW1(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW1(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW1(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW1(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end
                    elseif sengepost<=akutteORS
                        rodePreW2(1,end+1)=rodePreW2(1,end)+1;
                        rodePreW2(2,end)=tid2;
                        for b=length(totalW2(1,:)):-1:1
                            if b==length(totalW2(1,:))
                                if tid2>=totalW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW2(2,b) && tid2<totalW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW2(1,:))            
                            totalW2(1,end+1)=totalW2(1,end)+1;
                            totalW2(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW2(1,:))); %Lager en kopi
                            for z=b:1:length(totalW2(1,:))
                                total(1,z)=totalW2(1,z);
                                total(2,z)=totalW2(2,z);
                            end
                            for z=b:1:length(totalW2(1,:))+1
                                if z==b
                                    totalW2(1,z)=totalW2(1,z-1)+1;
                                    totalW2(2,z)=tid2;
                                elseif z<=length(totalW2(1,:))
                                    totalW2(1,z)=total(1,z-1)+1;
                                    totalW2(2,z)=total(2,z-1);
                                else
                                    totalW2(1,end+1)=total(1,z-1)+1;
                                    totalW2(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW2(1,:)):-1:1
                            if b==length(totalAkuttW2(1,:))
                                if tid2>=totalAkuttW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW2(2,b) && tid2<totalAkuttW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW2(1,:))            
                            totalAkuttW2(1,end+1)=totalAkuttW2(1,end)+1;
                            totalAkuttW2(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW2(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW2(1,:))
                                totalAkutt(1,z)=totalAkuttW2(1,z);
                                totalAkutt(2,z)=totalAkuttW2(2,z);
                            end
                            for z=b:1:length(totalAkuttW2(1,:))+1
                                if z==b
                                    totalAkuttW2(1,z)=totalAkuttW2(1,z-1)+1;
                                    totalAkuttW2(2,z)=tid2;
                                elseif z<=length(totalAkuttW2(1,:))
                                    totalAkuttW2(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW2(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW2(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW2(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end
                    elseif sengepost<=akutteOES
                        rodePreW3(1,end+1)=rodePreW3(1,end)+1;
                        rodePreW3(2,end)=tid2;
                        for b=length(totalW3(1,:)):-1:1
                            if b==length(totalW3(1,:))
                                if tid2>=totalW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW3(2,b) && tid2<totalW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW3(1,:))            
                            totalW3(1,end+1)=totalW3(1,end)+1;
                            totalW3(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW3(1,:))); %Lager en kopi
                            for z=b:1:length(totalW3(1,:))
                                total(1,z)=totalW3(1,z);
                                total(2,z)=totalW3(2,z);
                            end
                            for z=b:1:length(totalW3(1,:))+1
                                if z==b
                                    totalW3(1,z)=totalW3(1,z-1)+1;
                                    totalW3(2,z)=tid2;
                                elseif z<=length(totalW3(1,:))
                                    totalW3(1,z)=total(1,z-1)+1;
                                    totalW3(2,z)=total(2,z-1);
                                else
                                    totalW3(1,end+1)=total(1,z-1)+1;
                                    totalW3(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW3(1,:)):-1:1
                            if b==length(totalAkuttW3(1,:))
                                if tid2>=totalAkuttW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW3(2,b) && tid2<totalAkuttW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW3(1,:))            
                            totalAkuttW3(1,end+1)=totalAkuttW3(1,end)+1;
                            totalAkuttW3(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW3(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW3(1,:))
                                totalAkutt(1,z)=totalAkuttW3(1,z);
                                totalAkutt(2,z)=totalAkuttW3(2,z);
                            end
                            for z=b:1:length(totalAkuttW3(1,:))+1
                                if z==b
                                    totalAkuttW3(1,z)=totalAkuttW3(1,z-1)+1;
                                    totalAkuttW3(2,z)=tid2;
                                elseif z<=length(totalAkuttW3(1,:))
                                    totalAkuttW3(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW3(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW3(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW3(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end
                    elseif sengepost<=akutteOFT
                        rodePreW4(1,end+1)=rodePreW4(1,end)+1;
                        rodePreW4(2,end)=tid2;
                        for b=length(totalW4(1,:)):-1:1
                            if b==length(totalW4(1,:))
                                if tid2>=totalW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW4(2,b) && tid2<totalW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW4(1,:))            
                            totalW4(1,end+1)=totalW4(1,end)+1;
                            totalW4(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW4)); %Lager en kopi
                            for z=b:1:length(totalW4)
                                total(1,z)=totalW4(1,z);
                                total(2,z)=totalW4(2,z);
                            end
                            for z=b:1:length(totalW4)+1
                                if z==b
                                    totalW4(1,z)=totalW4(1,z-1)+1;
                                    totalW4(2,z)=tid2;
                                elseif z<=length(totalW4)
                                    totalW4(1,z)=total(1,z-1)+1;
                                    totalW4(2,z)=total(2,z-1);
                                else
                                    totalW4(1,end+1)=total(1,z-1)+1;
                                    totalW4(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW4(1,:)):-1:1
                            if b==length(totalAkuttW4(1,:))
                                if tid2>=totalAkuttW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW4(2,b) && tid2<totalAkuttW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW4(1,:))            
                            totalAkuttW4(1,end+1)=totalAkuttW4(1,end)+1;
                            totalAkuttW4(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW4(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW4(1,:))
                                totalAkutt(1,z)=totalAkuttW4(1,z);
                                totalAkutt(2,z)=totalAkuttW4(2,z);
                            end
                            for z=b:1:length(totalAkuttW4(1,:))+1
                                if z==b
                                    totalAkuttW4(1,z)=totalAkuttW4(1,z-1)+1;
                                    totalAkuttW4(2,z)=tid2;
                                elseif z<=length(totalAkuttW4(1,:))
                                    totalAkuttW4(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW4(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW4(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW4(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end
                    else
                        rodePreW5(1,end+1)=rodePreW5(1,end)+1;
                        rodePreW5(2,end)=tid2;
                        for b=length(totalW5(1,:)):-1:1
                            if b==length(totalW5(1,:))
                                if tid2>=totalW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW5(2,b) && tid2<totalW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW5(1,:))            
                            totalW5(1,end+1)=totalW5(1,end)+1;
                            totalW5(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW5)); %Lager en kopi
                            for z=b:1:length(totalW5)
                                total(1,z)=totalW5(1,z);
                                total(2,z)=totalW5(2,z);
                            end
                            for z=b:1:length(totalW5)+1
                                if z==b
                                    totalW5(1,z)=totalW5(1,z-1)+1;
                                    totalW5(2,z)=tid2;
                                elseif z<=length(totalW5)
                                    totalW5(1,z)=total(1,z-1)+1;
                                    totalW5(2,z)=total(2,z-1);
                                else
                                    totalW5(1,end+1)=total(1,z-1)+1;
                                    totalW5(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW5(1,:)):-1:1
                            if b==length(totalAkuttW5(1,:))
                                if tid2>=totalAkuttW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW5(2,b) && tid2<totalAkuttW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW5(1,:))            
                            totalAkuttW5(1,end+1)=totalAkuttW5(1,end)+1;
                            totalAkuttW5(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW5(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW5(1,:))
                                totalAkutt(1,z)=totalAkuttW5(1,z);
                                totalAkutt(2,z)=totalAkuttW5(2,z);
                            end
                            for z=b:1:length(totalAkuttW5(1,:))+1
                                if z==b
                                    totalAkuttW5(1,z)=totalAkuttW5(1,z-1)+1;
                                    totalAkuttW5(2,z)=tid2;
                                elseif z<=length(totalAkuttW5(1,:))
                                    totalAkuttW5(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW5(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW5(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW5(2,end)=totalAkutt(2,z-1);
                                end
                            end


                        end
                    end

                    %Sletter ankomsten
                    ankRod(1)=[];
                elseif tid2==ankGul(1,1) %Gul legges inn pre, velg sengepost, oppdater bde pre og sengepost
                    % Velger sengepost
                     ukedagSeng=mod(d,7);
                    if ukedagSeng==0
                        ukedagSeng=7;
                    end
                    sengepost=randi(akutteSeng(ukedagSeng),1,1);
                    if sengepost<=akutteOTS
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gulePreW1(1,:)):-1:1
                            if b==length(gulePreW1(1,:))
                                if tid2>=gulePreW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=gulePreW1(2,b) && tid2<gulePreW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gulePreW1(1,:))            
                            gulePreW1(1,end+1)=gulePreW1(1,end)+1;
                            gulePreW1(2,end)=tid2;
                        else
                            b=b+1;
                            gulePreKopi=zeros(2,length(gulePreW1(1,:))); %Lager en kopi
                            for z=b:1:length(gulePreW1(1,:))
                                gulePreKopi(1,z)=gulePreW1(1,z);
                                gulePreKopi(2,z)=gulePreW1(2,z);
                            end
                            for z=b:1:length(gulePreW1(1,:))+1
                                if z==b
                                    gulePreW1(1,z)=gulePreW1(1,z-1)+1;
                                    gulePreW1(2,z)=tid2;
                                elseif z<=length(gulePreW1(1,:))
                                    gulePreW1(1,z)=gulePreKopi(1,z-1)+1;
                                    gulePreW1(2,z)=gulePreKopi(2,z-1);
                                else
                                    gulePreW1(1,end+1)=gulePreKopi(1,z-1)+1;
                                    gulePreW1(2,end)=gulePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW1(1,:)):-1:1
                            if b==length(totalW1(1,:))
                                if tid2>=totalW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW1(2,b) && tid2<totalW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW1(1,:))            
                            totalW1(1,end+1)=totalW1(1,end)+1;
                            totalW1(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW1(1,:))); %Lager en kopi
                            for z=b:1:length(totalW1(1,:))
                                total(1,z)=totalW1(1,z);
                                total(2,z)=totalW1(2,z);
                            end
                            for z=b:1:length(totalW1(1,:))+1
                                if z==b
                                    totalW1(1,z)=totalW1(1,z-1)+1;
                                    totalW1(2,z)=tid2;
                                elseif z<=length(totalW1(1,:))
                                    totalW1(1,z)=total(1,z-1)+1;
                                    totalW1(2,z)=total(2,z-1);
                                else
                                    totalW1(1,end+1)=total(1,z-1)+1;
                                    totalW1(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW1(1,:)):-1:1
                            if b==length(totalAkuttW1(1,:))
                                if tid2>=totalAkuttW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW1(2,b) && tid2<totalAkuttW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW1(1,:))            
                            totalAkuttW1(1,end+1)=totalAkuttW1(1,end)+1;
                            totalAkuttW1(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW1(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW1(1,:))
                                totalAkutt(1,z)=totalAkuttW1(1,z);
                                totalAkutt(2,z)=totalAkuttW1(2,z);
                            end
                            for z=b:1:length(totalAkuttW1(1,:))+1
                                if z==b
                                    totalAkuttW1(1,z)=totalAkuttW1(1,z-1)+1;
                                    totalAkuttW1(2,z)=tid2;
                                elseif z<=length(totalAkuttW1(1,:))
                                    totalAkuttW1(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW1(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW1(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW1(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end

                    elseif sengepost<=akutteORS
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gulePreW2(1,:)):-1:1
                            if b==length(gulePreW2(1,:))
                                if tid2>=gulePreW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=gulePreW2(2,b) && tid2<gulePreW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gulePreW2(1,:))            
                            gulePreW2(1,end+1)=gulePreW2(1,end)+1;
                            gulePreW2(2,end)=tid2;
                        else
                            b=b+1;
                            gulePreKopi=zeros(2,length(gulePreW2(1,:))); %Lager en kopi
                            for z=b:1:length(gulePreW2(1,:))
                                gulePreKopi(1,z)=gulePreW2(1,z);
                                gulePreKopi(2,z)=gulePreW2(2,z);
                            end
                            for z=b:1:length(gulePreW2(1,:))+1
                                if z==b
                                    gulePreW2(1,z)=gulePreW2(1,z-1)+1;
                                    gulePreW2(2,z)=tid2;
                                elseif z<=length(gulePreW2(1,:))
                                    gulePreW2(1,z)=gulePreKopi(1,z-1)+1;
                                    gulePreW2(2,z)=gulePreKopi(2,z-1);
                                else
                                    gulePreW2(1,end+1)=gulePreKopi(1,z-1)+1;
                                    gulePreW2(2,end)=gulePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW2(1,:)):-1:1
                            if b==length(totalW2(1,:))
                                if tid2>=totalW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW2(2,b) && tid2<totalW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW2(1,:))            
                            totalW2(1,end+1)=totalW2(1,end)+1;
                            totalW2(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW2(1,:))); %Lager en kopi
                            for z=b:1:length(totalW2(1,:))
                                total(1,z)=totalW2(1,z);
                                total(2,z)=totalW2(2,z);
                            end
                            for z=b:1:length(totalW2(1,:))+1
                                if z==b
                                    totalW2(1,z)=totalW2(1,z-1)+1;
                                    totalW2(2,z)=tid2;
                                elseif z<=length(totalW2(1,:))
                                    totalW2(1,z)=total(1,z-1)+1;
                                    totalW2(2,z)=total(2,z-1);
                                else
                                    totalW2(1,end+1)=total(1,z-1)+1;
                                    totalW2(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW2(1,:)):-1:1
                            if b==length(totalAkuttW2(1,:))
                                if tid2>=totalAkuttW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW2(2,b) && tid2<totalAkuttW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW2(1,:))            
                            totalAkuttW2(1,end+1)=totalAkuttW2(1,end)+1;
                            totalAkuttW2(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW2(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW2(1,:))
                                totalAkutt(1,z)=totalAkuttW2(1,z);
                                totalAkutt(2,z)=totalAkuttW2(2,z);
                            end
                            for z=b:1:length(totalAkuttW2(1,:))+1
                                if z==b
                                    totalAkuttW2(1,z)=totalAkuttW2(1,z-1)+1;
                                    totalAkuttW2(2,z)=tid2;
                                elseif z<=length(totalAkuttW2(1,:))
                                    totalAkuttW2(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW2(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW2(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW2(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end

                    elseif sengepost<=akutteOES
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gulePreW3(1,:)):-1:1
                            if b==length(gulePreW3(1,:))
                                if tid2>=gulePreW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=gulePreW3(2,b) && tid2<gulePreW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gulePreW3(1,:))            
                            gulePreW3(1,end+1)=gulePreW3(1,end)+1;
                            gulePreW3(2,end)=tid2;
                        else
                            b=b+1;
                            gulePreKopi=zeros(2,length(gulePreW3(1,:))); %Lager en kopi
                            for z=b:1:length(gulePreW3(1,:))
                                gulePreKopi(1,z)=gulePreW3(1,z);
                                gulePreKopi(2,z)=gulePreW3(2,z);
                            end
                            for z=b:1:length(gulePreW3(1,:))+1
                                if z==b
                                    gulePreW3(1,z)=gulePreW3(1,z-1)+1;
                                    gulePreW3(2,z)=tid2;
                                elseif z<=length(gulePreW3(1,:))
                                    gulePreW3(1,z)=gulePreKopi(1,z-1)+1;
                                    gulePreW3(2,z)=gulePreKopi(2,z-1);
                                else
                                    gulePreW3(1,end+1)=gulePreKopi(1,z-1)+1;
                                    gulePreW3(2,end)=gulePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW3(1,:)):-1:1
                            if b==length(totalW3(1,:))
                                if tid2>=totalW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW3(2,b) && tid2<totalW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW3(1,:))            
                            totalW3(1,end+1)=totalW3(1,end)+1;
                            totalW3(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW3(1,:))); %Lager en kopi
                            for z=b:1:length(totalW3(1,:))
                                total(1,z)=totalW3(1,z);
                                total(2,z)=totalW3(2,z);
                            end
                            for z=b:1:length(totalW3(1,:))+1
                                if z==b
                                    totalW3(1,z)=totalW3(1,z-1)+1;
                                    totalW3(2,z)=tid2;
                                elseif z<=length(totalW3(1,:))
                                    totalW3(1,z)=total(1,z-1)+1;
                                    totalW3(2,z)=total(2,z-1);
                                else
                                    totalW3(1,end+1)=total(1,z-1)+1;
                                    totalW3(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW3(1,:)):-1:1
                            if b==length(totalAkuttW3(1,:))
                                if tid2>=totalAkuttW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW3(2,b) && tid2<totalAkuttW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW3(1,:))            
                            totalAkuttW3(1,end+1)=totalAkuttW3(1,end)+1;
                            totalAkuttW3(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW3(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW3(1,:))
                                totalAkutt(1,z)=totalAkuttW3(1,z);
                                totalAkutt(2,z)=totalAkuttW3(2,z);
                            end
                            for z=b:1:length(totalAkuttW3(1,:))+1
                                if z==b
                                    totalAkuttW3(1,z)=totalAkuttW3(1,z-1)+1;
                                    totalAkuttW3(2,z)=tid2;
                                elseif z<=length(totalAkuttW3(1,:))
                                    totalAkuttW3(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW3(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW3(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW3(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end

                    elseif sengepost<=akutteOFT
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gulePreW4(1,:)):-1:1
                            if b==length(gulePreW4(1,:))
                                if tid2>=gulePreW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=gulePreW4(2,b) && tid2<gulePreW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gulePreW4(1,:))            
                            gulePreW4(1,end+1)=gulePreW4(1,end)+1;
                            gulePreW4(2,end)=tid2;
                        else
                            b=b+1;
                            gulePreKopi=zeros(2,length(gulePreW4(1,:))); %Lager en kopi
                            for z=b:1:length(gulePreW4(1,:))
                                gulePreKopi(1,z)=gulePreW4(1,z);
                                gulePreKopi(2,z)=gulePreW4(2,z);
                            end
                            for z=b:1:length(gulePreW4(1,:))+1
                                if z==b
                                    gulePreW4(1,z)=gulePreW4(1,z-1)+1;
                                    gulePreW4(2,z)=tid2;
                                elseif z<=length(gulePreW4(1,:))
                                    gulePreW4(1,z)=gulePreKopi(1,z-1)+1;
                                    gulePreW4(2,z)=gulePreKopi(2,z-1);
                                else
                                    gulePreW4(1,end+1)=gulePreKopi(1,z-1)+1;
                                    gulePreW4(2,end)=gulePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW4(1,:)):-1:1
                            if b==length(totalW4(1,:))
                                if tid2>=totalW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW4(2,b) && tid2<totalW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW4(1,:))            
                            totalW4(1,end+1)=totalW4(1,end)+1;
                            totalW4(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW4)); %Lager en kopi
                            for z=b:1:length(totalW4)
                                total(1,z)=totalW4(1,z);
                                total(2,z)=totalW4(2,z);
                            end
                            for z=b:1:length(totalW4)+1
                                if z==b
                                    totalW4(1,z)=totalW4(1,z-1)+1;
                                    totalW4(2,z)=tid2;
                                elseif z<=length(totalW4)
                                    totalW4(1,z)=total(1,z-1)+1;
                                    totalW4(2,z)=total(2,z-1);
                                else
                                    totalW4(1,end+1)=total(1,z-1)+1;
                                    totalW4(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW4(1,:)):-1:1
                            if b==length(totalAkuttW4(1,:))
                                if tid2>=totalAkuttW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW4(2,b) && tid2<totalAkuttW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW4(1,:))            
                            totalAkuttW4(1,end+1)=totalAkuttW4(1,end)+1;
                            totalAkuttW4(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW4(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW4(1,:))
                                totalAkutt(1,z)=totalAkuttW4(1,z);
                                totalAkutt(2,z)=totalAkuttW4(2,z);
                            end
                            for z=b:1:length(totalAkuttW4(1,:))+1
                                if z==b
                                    totalAkuttW4(1,z)=totalAkuttW4(1,z-1)+1;
                                    totalAkuttW4(2,z)=tid2;
                                elseif z<=length(totalAkuttW4(1,:))
                                    totalAkuttW4(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW4(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW4(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW4(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end

                    else
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gulePreW5(1,:)):-1:1
                            if b==length(gulePreW5(1,:))
                                if tid2>=gulePreW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=gulePreW5(2,b) && tid2<gulePreW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gulePreW5(1,:))            
                            gulePreW5(1,end+1)=gulePreW5(1,end)+1;
                            gulePreW5(2,end)=tid2;
                        else
                            b=b+1;
                            gulePreKopi=zeros(2,length(gulePreW5(1,:))); %Lager en kopi
                            for z=b:1:length(gulePreW5(1,:))
                                gulePreKopi(1,z)=gulePreW5(1,z);
                                gulePreKopi(2,z)=gulePreW5(2,z);
                            end
                            for z=b:1:length(gulePreW5(1,:))+1
                                if z==b
                                    gulePreW5(1,z)=gulePreW5(1,z-1)+1;
                                    gulePreW5(2,z)=tid2;
                                elseif z<=length(gulePreW5(1,:))
                                    gulePreW5(1,z)=gulePreKopi(1,z-1)+1;
                                    gulePreW5(2,z)=gulePreKopi(2,z-1);
                                else
                                    gulePreW5(1,end+1)=gulePreKopi(1,z-1)+1;
                                    gulePreW5(2,end)=gulePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW5(1,:)):-1:1
                            if b==length(totalW5(1,:))
                                if tid2>=totalW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW5(2,b) && tid2<totalW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW5(1,:))            
                            totalW5(1,end+1)=totalW5(1,end)+1;
                            totalW5(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW5)); %Lager en kopi
                            for z=b:1:length(totalW5)
                                total(1,z)=totalW5(1,z);
                                total(2,z)=totalW5(2,z);
                            end
                            for z=b:1:length(totalW5)+1
                                if z==b
                                    totalW5(1,z)=totalW5(1,z-1)+1;
                                    totalW5(2,z)=tid2;
                                elseif z<=length(totalW5)
                                    totalW5(1,z)=total(1,z-1)+1;
                                    totalW5(2,z)=total(2,z-1);
                                else
                                    totalW5(1,end+1)=total(1,z-1)+1;
                                    totalW5(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW5(1,:)):-1:1
                            if b==length(totalAkuttW5(1,:))
                                if tid2>=totalAkuttW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW5(2,b) && tid2<totalAkuttW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW5(1,:))            
                            totalAkuttW5(1,end+1)=totalAkuttW5(1,end)+1;
                            totalAkuttW5(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW5(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW5(1,:))
                                totalAkutt(1,z)=totalAkuttW5(1,z);
                                totalAkutt(2,z)=totalAkuttW5(2,z);
                            end
                            for z=b:1:length(totalAkuttW5(1,:))+1
                                if z==b
                                    totalAkuttW5(1,z)=totalAkuttW5(1,z-1)+1;
                                    totalAkuttW5(2,z)=tid2;
                                elseif z<=length(totalAkuttW5(1,:))
                                    totalAkuttW5(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW5(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW5(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW5(2,end)=totalAkutt(2,z-1);
                                end
                            end


                        end
                    end

                    %Sletter ankomsten
                    ankGul(1)=[];
                elseif tid2==ankGronn(1,1) %Grnn legges inn eller sendes hjem - leggges uansett p liste for skedulering til BVS (skeduleres neste dag), evt til AHL
                    % Velger sengepost
                    ukedagSeng=mod(d,7);
                    if ukedagSeng==0
                        ukedagSeng=7;
                    end
                    sengepost=randi(akutteSeng(ukedagSeng),1,1);
                    if sengepost<=akutteOTS
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gronnePreW1(1,:)):-1:1
                            if b==length(gronnePreW1(1,:))
                                if tid2>=gronnePreW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=gronnePreW1(2,b) && tid2<gronnePreW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gronnePreW1(1,:))            
                            gronnePreW1(1,end+1)=gronnePreW1(1,end)+1;
                            gronnePreW1(2,end)=tid2;
                        else
                            b=b+1;
                            gronnePreKopi=zeros(2,length(gronnePreW1(1,:))); %Lager en kopi
                            for z=b:1:length(gronnePreW1(1,:))
                                gronnePreKopi(1,z)=gronnePreW1(1,z);
                                gronnePreKopi(2,z)=gronnePreW1(2,z);
                            end
                            for z=b:1:length(gronnePreW1(1,:))+1
                                if z==b
                                    gronnePreW1(1,z)=gronnePreW1(1,z-1)+1;
                                    gronnePreW1(2,z)=tid2;
                                elseif z<=length(gronnePreW1(1,:))
                                    gronnePreW1(1,z)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW1(2,z)=gronnePreKopi(2,z-1);
                                else
                                    gronnePreW1(1,end+1)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW1(2,end)=gronnePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW1(1,:)):-1:1
                            if b==length(totalW1(1,:))
                                if tid2>=totalW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW1(2,b) && tid2<totalW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW1(1,:))            
                            totalW1(1,end+1)=totalW1(1,end)+1;
                            totalW1(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW1(1,:))); %Lager en kopi
                            for z=b:1:length(totalW1(1,:))
                                total(1,z)=totalW1(1,z);
                                total(2,z)=totalW1(2,z);
                            end
                            for z=b:1:length(totalW1(1,:))+1
                                if z==b
                                    totalW1(1,z)=totalW1(1,z-1)+1;
                                    totalW1(2,z)=tid2;
                                elseif z<=length(totalW1(1,:))
                                    totalW1(1,z)=total(1,z-1)+1;
                                    totalW1(2,z)=total(2,z-1);
                                else
                                    totalW1(1,end+1)=total(1,z-1)+1;
                                    totalW1(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW1(1,:)):-1:1
                            if b==length(totalAkuttW1(1,:))
                                if tid2>=totalAkuttW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW1(2,b) && tid2<totalAkuttW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW1(1,:))            
                            totalAkuttW1(1,end+1)=totalAkuttW1(1,end)+1;
                            totalAkuttW1(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW1(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW1(1,:))
                                totalAkutt(1,z)=totalAkuttW1(1,z);
                                totalAkutt(2,z)=totalAkuttW1(2,z);
                            end
                            for z=b:1:length(totalAkuttW1(1,:))+1
                                if z==b
                                    totalAkuttW1(1,z)=totalAkuttW1(1,z-1)+1;
                                    totalAkuttW1(2,z)=tid2;
                                elseif z<=length(totalAkuttW1(1,:))
                                    totalAkuttW1(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW1(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW1(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW1(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end
                        post=1;
                    elseif sengepost<=akutteORS
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gronnePreW2(1,:)):-1:1
                            if b==length(gronnePreW2(1,:))
                                if tid2>=gronnePreW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=gronnePreW2(2,b) && tid2<gronnePreW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gronnePreW2(1,:))            
                            gronnePreW2(1,end+1)=gronnePreW2(1,end)+1;
                            gronnePreW2(2,end)=tid2;
                        else
                            b=b+1;
                            gronnePreKopi=zeros(2,length(gronnePreW2(1,:))); %Lager en kopi
                            for z=b:1:length(gronnePreW2(1,:))
                                gronnePreKopi(1,z)=gronnePreW2(1,z);
                                gronnePreKopi(2,z)=gronnePreW2(2,z);
                            end
                            for z=b:1:length(gronnePreW2(1,:))+1
                                if z==b
                                    gronnePreW2(1,z)=gronnePreW2(1,z-1)+1;
                                    gronnePreW2(2,z)=tid2;
                                elseif z<=length(gronnePreW2(1,:))
                                    gronnePreW2(1,z)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW2(2,z)=gronnePreKopi(2,z-1);
                                else
                                    gronnePreW2(1,end+1)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW2(2,end)=gronnePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW2(1,:)):-1:1
                            if b==length(totalW2(1,:))
                                if tid2>=totalW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW2(2,b) && tid2<totalW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW2(1,:))            
                            totalW2(1,end+1)=totalW2(1,end)+1;
                            totalW2(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW2(1,:))); %Lager en kopi
                            for z=b:1:length(totalW2(1,:))
                                total(1,z)=totalW2(1,z);
                                total(2,z)=totalW2(2,z);
                            end
                            for z=b:1:length(totalW2(1,:))+1
                                if z==b
                                    totalW2(1,z)=totalW2(1,z-1)+1;
                                    totalW2(2,z)=tid2;
                                elseif z<=length(totalW2(1,:))
                                    totalW2(1,z)=total(1,z-1)+1;
                                    totalW2(2,z)=total(2,z-1);
                                else
                                    totalW2(1,end+1)=total(1,z-1)+1;
                                    totalW2(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW2(1,:)):-1:1
                            if b==length(totalAkuttW2(1,:))
                                if tid2>=totalAkuttW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW2(2,b) && tid2<totalAkuttW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW2(1,:))            
                            totalAkuttW2(1,end+1)=totalAkuttW2(1,end)+1;
                            totalAkuttW2(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW2(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW2(1,:))
                                totalAkutt(1,z)=totalAkuttW2(1,z);
                                totalAkutt(2,z)=totalAkuttW2(2,z);
                            end
                            for z=b:1:length(totalAkuttW2(1,:))+1
                                if z==b
                                    totalAkuttW2(1,z)=totalAkuttW2(1,z-1)+1;
                                    totalAkuttW2(2,z)=tid2;
                                elseif z<=length(totalAkuttW2(1,:))
                                    totalAkuttW2(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW2(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW2(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW2(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end
                        post=2;
                    elseif sengepost<=akutteOES
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gronnePreW3(1,:)):-1:1
                            if b==length(gronnePreW3(1,:))
                                if tid2>=gronnePreW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=gronnePreW3(2,b) && tid2<gronnePreW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gronnePreW3(1,:))            
                            gronnePreW3(1,end+1)=gronnePreW3(1,end)+1;
                            gronnePreW3(2,end)=tid2;
                        else
                            b=b+1;
                            gronnePreKopi=zeros(2,length(gronnePreW3(1,:))); %Lager en kopi
                            for z=b:1:length(gronnePreW3(1,:))
                                gronnePreKopi(1,z)=gronnePreW3(1,z);
                                gronnePreKopi(2,z)=gronnePreW3(2,z);
                            end
                            for z=b:1:length(gronnePreW3(1,:))+1
                                if z==b
                                    gronnePreW3(1,z)=gronnePreW3(1,z-1)+1;
                                    gronnePreW3(2,z)=tid2;
                                elseif z<=length(gronnePreW3(1,:))
                                    gronnePreW3(1,z)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW3(2,z)=gronnePreKopi(2,z-1);
                                else
                                    gronnePreW3(1,end+1)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW3(2,end)=gronnePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW3(1,:)):-1:1
                            if b==length(totalW3(1,:))
                                if tid2>=totalW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW3(2,b) && tid2<totalW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW3(1,:))            
                            totalW3(1,end+1)=totalW3(1,end)+1;
                            totalW3(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW3(1,:))); %Lager en kopi
                            for z=b:1:length(totalW3(1,:))
                                total(1,z)=totalW3(1,z);
                                total(2,z)=totalW3(2,z);
                            end
                            for z=b:1:length(totalW3(1,:))+1
                                if z==b
                                    totalW3(1,z)=totalW3(1,z-1)+1;
                                    totalW3(2,z)=tid2;
                                elseif z<=length(totalW3(1,:))
                                    totalW3(1,z)=total(1,z-1)+1;
                                    totalW3(2,z)=total(2,z-1);
                                else
                                    totalW3(1,end+1)=total(1,z-1)+1;
                                    totalW3(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW3(1,:)):-1:1
                            if b==length(totalAkuttW3(1,:))
                                if tid2>=totalAkuttW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW3(2,b) && tid2<totalAkuttW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW3(1,:))            
                            totalAkuttW3(1,end+1)=totalAkuttW3(1,end)+1;
                            totalAkuttW3(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW3(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW3(1,:))
                                totalAkutt(1,z)=totalAkuttW3(1,z);
                                totalAkutt(2,z)=totalAkuttW3(2,z);
                            end
                            for z=b:1:length(totalAkuttW3(1,:))+1
                                if z==b
                                    totalAkuttW3(1,z)=totalAkuttW3(1,z-1)+1;
                                    totalAkuttW3(2,z)=tid2;
                                elseif z<=length(totalAkuttW3(1,:))
                                    totalAkuttW3(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW3(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW3(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW3(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end
                        post=3;
                    elseif sengepost<=akutteOFT
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gronnePreW4(1,:)):-1:1
                            if b==length(gronnePreW4(1,:))
                                if tid2>=gronnePreW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=gronnePreW4(2,b) && tid2<gronnePreW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gronnePreW4(1,:))            
                            gronnePreW4(1,end+1)=gronnePreW4(1,end)+1;
                            gronnePreW4(2,end)=tid2;
                        else
                            b=b+1;
                            gronnePreKopi=zeros(2,length(gronnePreW4(1,:))); %Lager en kopi
                            for z=b:1:length(gronnePreW4(1,:))
                                gronnePreKopi(1,z)=gronnePreW4(1,z);
                                gronnePreKopi(2,z)=gronnePreW4(2,z);
                            end
                            for z=b:1:length(gronnePreW4(1,:))+1
                                if z==b
                                    gronnePreW4(1,z)=gronnePreW4(1,z-1)+1;
                                    gronnePreW4(2,z)=tid2;
                                elseif z<=length(gronnePreW4(1,:))
                                    gronnePreW4(1,z)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW4(2,z)=gronnePreKopi(2,z-1);
                                else
                                    gronnePreW4(1,end+1)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW4(2,end)=gronnePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW4(1,:)):-1:1
                            if b==length(totalW4(1,:))
                                if tid2>=totalW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW4(2,b) && tid2<totalW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW4(1,:))            
                            totalW4(1,end+1)=totalW4(1,end)+1;
                            totalW4(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW4)); %Lager en kopi
                            for z=b:1:length(totalW4)
                                total(1,z)=totalW4(1,z);
                                total(2,z)=totalW4(2,z);
                            end
                            for z=b:1:length(totalW4)+1
                                if z==b
                                    totalW4(1,z)=totalW4(1,z-1)+1;
                                    totalW4(2,z)=tid2;
                                elseif z<=length(totalW4)
                                    totalW4(1,z)=total(1,z-1)+1;
                                    totalW4(2,z)=total(2,z-1);
                                else
                                    totalW4(1,end+1)=total(1,z-1)+1;
                                    totalW4(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW4(1,:)):-1:1
                            if b==length(totalAkuttW4(1,:))
                                if tid2>=totalAkuttW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW4(2,b) && tid2<totalAkuttW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW4(1,:))            
                            totalAkuttW4(1,end+1)=totalAkuttW4(1,end)+1;
                            totalAkuttW4(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW4(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW4(1,:))
                                totalAkutt(1,z)=totalAkuttW4(1,z);
                                totalAkutt(2,z)=totalAkuttW4(2,z);
                            end
                            for z=b:1:length(totalAkuttW4(1,:))+1
                                if z==b
                                    totalAkuttW4(1,z)=totalAkuttW4(1,z-1)+1;
                                    totalAkuttW4(2,z)=tid2;
                                elseif z<=length(totalAkuttW4(1,:))
                                    totalAkuttW4(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW4(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW4(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW4(2,end)=totalAkutt(2,z-1);
                                end
                            end
                        end
                        post=4;
                    else
                        %Vi legger pasienten ventelisten, vi m passe p  legge
                        %til rett tidspunkt
                        for b=length(gronnePreW5(1,:)):-1:1
                            if b==length(gronnePreW5(1,:))
                                if tid2>=gronnePreW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=gronnePreW5(2,b) && tid2<gronnePreW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(gronnePreW5(1,:))            
                            gronnePreW5(1,end+1)=gronnePreW5(1,end)+1;
                            gronnePreW5(2,end)=tid2;
                        else
                            b=b+1;
                            gronnePreKopi=zeros(2,length(gronnePreW5(1,:))); %Lager en kopi
                            for z=b:1:length(gronnePreW5(1,:))
                                gronnePreKopi(1,z)=gronnePreW5(1,z);
                                gronnePreKopi(2,z)=gronnePreW5(2,z);
                            end
                            for z=b:1:length(gronnePreW5(1,:))+1
                                if z==b
                                    gronnePreW5(1,z)=gronnePreW5(1,z-1)+1;
                                    gronnePreW5(2,z)=tid2;
                                elseif z<=length(gronnePreW5(1,:))
                                    gronnePreW5(1,z)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW5(2,z)=gronnePreKopi(2,z-1);
                                else
                                    gronnePreW5(1,end+1)=gronnePreKopi(1,z-1)+1;
                                    gronnePreW5(2,end)=gronnePreKopi(2,z-1);
                                end
                            end
                        end
                        for b=length(totalW5(1,:)):-1:1
                            if b==length(totalW5(1,:))
                                if tid2>=totalW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalW5(2,b) && tid2<totalW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalW5(1,:))            
                            totalW5(1,end+1)=totalW5(1,end)+1;
                            totalW5(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalW5)); %Lager en kopi
                            for z=b:1:length(totalW5)
                                total(1,z)=totalW5(1,z);
                                total(2,z)=totalW5(2,z);
                            end
                            for z=b:1:length(totalW5)+1
                                if z==b
                                    totalW5(1,z)=totalW5(1,z-1)+1;
                                    totalW5(2,z)=tid2;
                                elseif z<=length(totalW5)
                                    totalW5(1,z)=total(1,z-1)+1;
                                    totalW5(2,z)=total(2,z-1);
                                else
                                    totalW5(1,end+1)=total(1,z-1)+1;
                                    totalW5(2,end)=total(2,z-1);
                                end
                            end
                        end
                        for b=length(totalAkuttW5(1,:)):-1:1
                            if b==length(totalAkuttW5(1,:))
                                if tid2>=totalAkuttW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW5(2,b) && tid2<totalAkuttW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW5(1,:))            
                            totalAkuttW5(1,end+1)=totalAkuttW5(1,end)+1;
                            totalAkuttW5(2,end)=tid2;
                        else
                            b=b+1;
                            totalAkutt=zeros(2,length(totalAkuttW5(1,:))); %Lager en kopi
                            for z=b:1:length(totalAkuttW5(1,:))
                                totalAkutt(1,z)=totalAkuttW5(1,z);
                                totalAkutt(2,z)=totalAkuttW5(2,z);
                            end
                            for z=b:1:length(totalAkuttW5(1,:))+1
                                if z==b
                                    totalAkuttW5(1,z)=totalAkuttW5(1,z-1)+1;
                                    totalAkuttW5(2,z)=tid2;
                                elseif z<=length(totalAkuttW5(1,:))
                                    totalAkuttW5(1,z)=totalAkutt(1,z-1)+1;
                                    totalAkuttW5(2,z)=totalAkutt(2,z-1);
                                else
                                    totalAkuttW5(1,end+1)=totalAkutt(1,z-1)+1;
                                    totalAkuttW5(2,end)=totalAkutt(2,z-1);
                                end
                            end


                        end
                        post=5;
                    end


                    %Pasientent legges p liste for  bli skedulert
                    gronnListeSkedulering(1,end+1)=ankGronn(1);
                    gronnListeSkeduleringSeng(1,end+1)=post;
                    %Sletter ankomsten
                    ankGronn(1)=[];

                elseif tid2==ankGronnDK(1,1) %Grnne DK-pasienter - pasienten sendes hjem, ikke sengepost
                    %Pasientent legges p liste for  bli skedulert
                    gronnDKListeSkedulering(1,end+1)=ankGronnDK(1);

                    % Legger pasienten i k (hjemme)
                    for b=length(gronneDKHjemme(1,:)):-1:1
                        if b==length(gronneDKHjemme(1,:))
                            if tid2>=gronneDKHjemme(2,b)
                                break;
                            end
                        else
                            if tid2>=gronneDKHjemme(2,b) && tid2<gronneDKHjemme(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(gronneDKHjemme(1,:))            
                        gronneDKHjemme(1,end+1)=gronneDKHjemme(1,end)+1;
                        gronneDKHjemme(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(gronneDKHjemme)); %Lager en kopi
                        for z=b:1:length(gronneDKHjemme)
                            total(1,z)=gronneDKHjemme(1,z);
                            total(2,z)=gronneDKHjemme(2,z);
                        end
                        for z=b:1:length(gronneDKHjemme)+1
                            if z==b
                                gronneDKHjemme(1,z)=gronneDKHjemme(1,z-1)+1;
                                gronneDKHjemme(2,z)=tid2;
                            elseif z<=length(gronneDKHjemme)
                                gronneDKHjemme(1,z)=total(1,z-1)+1;
                                gronneDKHjemme(2,z)=total(2,z-1);
                            else
                                gronneDKHjemme(1,end+1)=total(1,z-1)+1;
                                gronneDKHjemme(2,end)=total(2,z-1);
                            end
                        end
                    end
                    %Sletter ankomsten
                    ankGronnDK(1)=[];


                elseif tid2==OR1Klar %Se etter ledige pasienter, ta pasient ut fra pre, trekk tid for OP, trekk tid for sengepost

                    %Se om rd til stede p sengeposter
                    tellerSeng=0;
                    indeksW1=0;
                    indeksW2=0;
                    indeksW3=0;
                    indeksW4=0;
                    indeksW5=0;
                    rodeVenter=[];

                    if rodePreW1(1,end)>0
                        while tellerSeng<rodePreW1(1,end)
                            if rodePreW1(1,end-indeksW1)>rodePreW1(1,end-indeksW1-1) %vi ser en ankomst
                                tellerSeng=tellerSeng+1;
                            end
                            if tellerSeng==rodePreW1(1,end)
                                indeksW1=indeksW1;
                            else
                            indeksW1=indeksW1+1;
                            end
                        end
                        rodeVenter(1,end+1)=rodePreW1(2,end-indeksW1);
                        tellerSeng=0;
                    end

                    if rodePreW2(1,end)>0
                        while tellerSeng<rodePreW2(1,end)
                            if rodePreW2(1,end-indeksW2)>rodePreW2(1,end-indeksW2-1) %vi ser en ankomst
                                tellerSeng=tellerSeng+1;
                            end
                            if tellerSeng==rodePreW2(1,end)
                                indeksW2=indeksW2;
                            else
                            indeksW2=indeksW2+1;
                            end
                        end
                        rodeVenter(1,end+1)=rodePreW2(2,end-indeksW2);
                        tellerSeng=0;
                    end

                    if rodePreW3(1,end)>0
                        while tellerSeng<rodePreW3(1,end)
                            if rodePreW3(1,end-indeksW3)>rodePreW3(1,end-indeksW3-1) %vi ser en ankomst
                                tellerSeng=tellerSeng+1;
                            end
                            if tellerSeng==rodePreW3(1,end)
                                indeksW3=indeksW3;
                            else
                            indeksW3=indeksW3+1;
                            end
                        end
                        rodeVenter(1,end+1)=rodePreW3(2,end-indeksW3);
                        tellerSeng=0;
                    end

                    if rodePreW4(1,end)>0
                        while tellerSeng<rodePreW4(1,end)
                            if rodePreW4(1,end-indeksW4)>rodePreW4(1,end-indeksW4-1) %vi ser en ankomst
                                tellerSeng=tellerSeng+1;
                            end
                            if tellerSeng==rodePreW4(1,end)
                                indeksW4=indeksW4;
                            else
                            indeksW4=indeksW4+1;
                            end
                        end
                        rodeVenter(1,end+1)=rodePreW4(2,end-indeksW4);
                        tellerSeng=0;
                    end

                    if rodePreW5(1,end)>0
                        while tellerSeng<rodePreW5(1,end)
                            if rodePreW5(1,end-indeksW5)>rodePreW5(1,end-indeksW5-1) %vi ser en ankomst
                                tellerSeng=tellerSeng+1;
                            end
                            if tellerSeng==rodePreW5(1,end)
                                indeksW5=indeksW5;
                            else
                            indeksW5=indeksW5+1;
                            end
                        end
                        rodeVenter(1,end+1)=rodePreW5(2,end-indeksW5);
                        tellerSeng=0;
                    end

                    if length(rodeVenter)>0 %Det ligger rde og venter
                        rodAdgang=rand;


                        if rodAdgang<=rodNatt %Vi fr tilgang til operasjonsrommet
                        rodeVenter=sort(rodeVenter);
                        tellerAntallAHL1=tellerAntallAHL1+1;
                            if rodeVenter(1,1)==rodePreW1(2,end-indeksW1)

                                %Vi fjerner pasienten fra ventelisten 
                                rodePreW1(1,end+1)=rodePreW1(1,end)-1;
                                rodePreW1(2,end)=tid2;

                                %Finner ventetid til operasjon, legger til den
                                %tiden det tar  trille ned pasienten
                                kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                                ventetiderRode(2,end)=tid2;

                                %Trekker operasjonstid og oppdaterer tid for ferdig
                                if lognorm==1                                     
                                    stuetid=min(400,lognrnd(muRod,sigmaRod));                                 
                                else
                                    trekkStue=randi(length(stuetidRod(~isnan(stuetidRod))));                                     
                                    stuetid=min(400,stuetidRod(trekkStue));                                 
                                end
                                OR1Klar=tid2+kjoreNed+stuetid;

                                %Trekker liggetid p sengepost
                                if LOS_fordeling==1
                                    liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                                else
                                    liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                end
                                utW1(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); 
                                utAkuttW1(1,end+1)=utW1(1,end);

                            elseif rodeVenter(1,1)==rodePreW2(2,end-indeksW2)
                                %Vi fjerner pasienten fra ventelisten 
                                rodePreW2(1,end+1)=rodePreW2(1,end)-1;
                                rodePreW2(2,end)=tid2;

                                %Finner ventetid til operasjon, legger til den
                                %tiden det tar  trille ned pasienten
                                kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                                ventetiderRode(2,end)=tid2;

                                %Trekker operasjonstid og oppdaterer tid for ferdig
                                if lognorm==1                                     
                                    stuetid=min(400,lognrnd(muRod,sigmaRod));                                 
                                else
                                    trekkStue=randi(length(stuetidRod(~isnan(stuetidRod))));                                     
                                    stuetid=min(400,stuetidRod(trekkStue));                                 
                                end
                                OR1Klar=tid2+kjoreNed+stuetid;

                                %Trekker liggetid p sengepost
                                if LOS_fordeling==1
                                    liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                                else
                                    liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                end
                                utW2(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); 
                                utAkuttW2(1,end+1)=utW2(1,end);

                            elseif rodeVenter(1,1)==rodePreW3(2,end-indeksW3)
                                %Vi fjerner pasienten fra ventelisten 
                                rodePreW3(1,end+1)=rodePreW3(1,end)-1;
                                rodePreW3(2,end)=tid2;

                                %Finner ventetid til operasjon, legger til den
                                %tiden det tar  trille ned pasienten
                                kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                                ventetiderRode(2,end)=tid2;

                                %Trekker operasjonstid og oppdaterer tid for ferdig
                                if lognorm==1                                     
                                    stuetid=min(400,lognrnd(muRod,sigmaRod));                                 
                                else
                                    trekkStue=randi(length(stuetidRod(~isnan(stuetidRod))));                                     
                                    stuetid=min(400,stuetidRod(trekkStue));                                 
                                end
                                OR1Klar=tid2+kjoreNed+stuetid;

                                %Trekker liggetid p sengepost
                                if LOS_fordeling==1
                                    liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                                else
                                    liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                end
                                utW3(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); 
                                utAkuttW3(1,end+1)=utW3(1,end);

                            elseif rodeVenter(1,1)==rodePreW4(2,end-indeksW4)
                                %Vi fjerner pasienten fra ventelisten 
                                rodePreW4(1,end+1)=rodePreW4(1,end)-1;
                                rodePreW4(2,end)=tid2;

                                %Finner ventetid til operasjon, legger til den
                                %tiden det tar  trille ned pasienten
                                kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                                ventetiderRode(2,end)=tid2;

                                %Trekker operasjonstid og oppdaterer tid for ferdig
                                if lognorm==1                                     
                                    stuetid=min(400,lognrnd(muRod,sigmaRod));                                 
                                else
                                    trekkStue=randi(length(stuetidRod(~isnan(stuetidRod))));                                     
                                    stuetid=min(400,stuetidRod(trekkStue));                                 
                                end
                                OR1Klar=tid2+kjoreNed+stuetid;

                                %Trekker liggetid p sengepost
                                if LOS_fordeling==1
                                    liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                                else
                                    liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                end
                                utW4(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100);
                                utAkuttW4(1,end+1)=utW4(1,end);

                            elseif rodeVenter(1,1)==rodePreW5(2,end-indeksW5)
                                %Vi fjerner pasienten fra ventelisten 
                                rodePreW5(1,end+1)=rodePreW5(1,end)-1;
                                rodePreW5(2,end)=tid2;

                                %Finner ventetid til operasjon, legger til den
                                %tiden det tar  trille ned pasienten
                                kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                                ventetiderRode(2,end)=tid2;

                                %Trekker operasjonstid og oppdaterer tid for ferdig
                                if lognorm==1                                     
                                    stuetid=min(400,lognrnd(muRod,sigmaRod));                                 
                                else
                                    trekkStue=randi(length(stuetidRod(~isnan(stuetidRod))));                                     
                                    stuetid=min(400,stuetidRod(trekkStue));                                 
                                end
                                OR1Klar=tid2+kjoreNed+stuetid;

                                %Trekker liggetid p sengepost
                                if LOS_fordeling==1
                                    liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                                else
                                    liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                end
                                utW5(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100);
                                utAkuttW5(1,end+1)=utW5(1,end);
                            end
                        else % Vi fr ikke tilgang til operasjonsrommet
                            if lognorm==1
                                OR1Klar=tid2+lognrnd(muKir,stdKir); 
                            else
                                trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn)))); 
                                stuetid=min(400,stuetidGronn(trekkStue));
                                OR1Klar=tid2 + stuetid;
                            end
                        end
                    else %Ingen rde til stede, ser etter gule

                        tellerSeng=0;
                        indeksW1=0;
                        indeksW2=0;
                        indeksW3=0;
                        indeksW4=0;
                        indeksW5=0;
                        guleVenter=[];

                        if gulePreW1(1,end)>0
                            while tellerSeng<gulePreW1(1,end)
                                if gulePreW1(1,end-indeksW1)>gulePreW1(1,end-indeksW1-1) %vi ser en ankomst
                                    tellerSeng=tellerSeng+1;
                                end
                                if tellerSeng==gulePreW1(1,end)
                                    indeksW1=indeksW1;
                                else
                                indeksW1=indeksW1+1;
                                end
                            end
                            guleVenter(1,end+1)=gulePreW1(2,end-indeksW1);
                            tellerSeng=0;
                        end

                        if gulePreW2(1,end)>0
                            while tellerSeng<gulePreW2(1,end)
                                if gulePreW2(1,end-indeksW2)>gulePreW2(1,end-indeksW2-1) %vi ser en ankomst
                                    tellerSeng=tellerSeng+1;
                                end
                                if tellerSeng==gulePreW2(1,end)
                                    indeksW2=indeksW2;
                                else
                                indeksW2=indeksW2+1;
                                end
                            end
                            guleVenter(1,end+1)=gulePreW2(2,end-indeksW2);
                            tellerSeng=0;
                        end

                        if gulePreW3(1,end)>0
                            while tellerSeng<gulePreW3(1,end)
                                if gulePreW3(1,end-indeksW3)>gulePreW3(1,end-indeksW3-1) %vi ser en ankomst
                                    tellerSeng=tellerSeng+1;
                                end
                                if tellerSeng==gulePreW3(1,end)
                                    indeksW3=indeksW3;
                                else
                                indeksW3=indeksW3+1;
                                end
                            end
                            guleVenter(1,end+1)=gulePreW3(2,end-indeksW3);
                            tellerSeng=0;
                        end

                        if gulePreW4(1,end)>0
                            while tellerSeng<gulePreW4(1,end)
                                if gulePreW4(1,end-indeksW4)>gulePreW4(1,end-indeksW4-1) %vi ser en ankomst
                                    tellerSeng=tellerSeng+1;
                                end
                                if tellerSeng==gulePreW4(1,end)
                                    indeksW4=indeksW4;
                                else
                                indeksW4=indeksW4+1;
                                end
                            end
                            guleVenter(1,end+1)=gulePreW4(2,end-indeksW4);
                            tellerSeng=0;
                        end

                        if gulePreW5(1,end)>0
                            while tellerSeng<gulePreW5(1,end)
                                if gulePreW5(1,end-indeksW5)>gulePreW5(1,end-indeksW5-1) %vi ser en ankomst
                                    tellerSeng=tellerSeng+1;
                                end
                                if tellerSeng==gulePreW5(1,end)
                                    indeksW5=indeksW5;
                                else
                                indeksW5=indeksW5+1;
                                end
                            end
                            guleVenter(1,end+1)=gulePreW5(2,end-indeksW5);
                            tellerSeng=0;
                        end

                        guleVenter=sort(guleVenter);                    

                        if length(guleVenter)>0 %Gule til stede
                            rodAdgang=rand;
                            if rodAdgang<=rodNatt %Vi fr tilgang til operasjonsrommet

                                if guleVenter(1,1)==gulePreW1(2,end-indeksW1)

                                    %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                    for b=length(gulePreW1(1,:)):-1:1
                                        if b==length(gulePreW1(1,:))
                                            if tid2>=gulePreW1(2,b)
                                                break;
                                            end
                                        else
                                            if tid2>=gulePreW1(2,b) && tid2<gulePreW1(2,b+1)
                                                break;
                                            end
                                        end
                                    end

                                    if b==length(gulePreW1(1,:))            
                                        gulePreW1(1,end+1)=gulePreW1(1,end)-1;
                                        gulePreW1(2,end)=tid2;
                                    else
                                        b=b+1;
                                        gulePreKopi=zeros(2,length(gulePreW1(1,:))); %Lager en kopi
                                        for z=b:1:length(gulePreW1(1,:))
                                            gulePreKopi(1,z)=gulePreW1(1,z);
                                            gulePreKopi(2,z)=gulePreW1(2,z);
                                        end
                                        for z=b:1:length(gulePreW1(1,:))+1
                                            if z==b
                                                gulePreW1(1,z)=gulePreW1(1,z-1)-1;
                                                gulePreW1(2,z)=tid2;
                                            elseif z<=length(gulePreW1(1,:))
                                                gulePreW1(1,z)=gulePreKopi(1,z-1)-1;
                                                gulePreW1(2,z)=gulePreKopi(2,z-1);
                                            else
                                                gulePreW1(1,end+1)=gulePreKopi(1,z-1)-1;
                                                gulePreW1(2,end)=gulePreKopi(2,z-1);
                                            end
                                        end
                                    end

                                    %Finner ventetid til operasjon, legger til den
                                    %tiden det tar  trille ned pasienten
                                    kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                    ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                    ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                    ventetiderGule(2,end)=tid2;

                                    %Trekker operasjonstid og oppdaterer tid for ferdig
                                    if lognorm==1                                     
                                        stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                    else
                                        trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                        stuetid=min(400,stuetidGul(trekkStue));                                 
                                    end
                                    OR1Klar=tid2+kjoreNed+stuetid;

                                    %Trekker liggetid p sengepost
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                    else
                                        liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                    end
                                    utW1(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                    utAkuttW1(1,end+1)=utW1(1,end);

                                elseif guleVenter(1,1)==gulePreW2(2,end-indeksW2)
                                    %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                    for b=length(gulePreW2(1,:)):-1:1
                                        if b==length(gulePreW2(1,:))
                                            if tid2>=gulePreW2(2,b)
                                                break;
                                            end
                                        else
                                            if tid2>=gulePreW2(2,b) && tid2<gulePreW2(2,b+1)
                                                break;
                                            end
                                        end
                                    end

                                    if b==length(gulePreW2(1,:))            
                                        gulePreW2(1,end+1)=gulePreW2(1,end)-1;
                                        gulePreW2(2,end)=tid2;
                                    else
                                        b=b+1;
                                        gulePreKopi=zeros(2,length(gulePreW2(1,:))); %Lager en kopi
                                        for z=b:1:length(gulePreW2(1,:))
                                            gulePreKopi(1,z)=gulePreW2(1,z);
                                            gulePreKopi(2,z)=gulePreW2(2,z);
                                        end
                                        for z=b:1:length(gulePreW2(1,:))+1
                                            if z==b
                                                gulePreW2(1,z)=gulePreW2(1,z-1)-1;
                                                gulePreW2(2,z)=tid2;
                                            elseif z<=length(gulePreW2(1,:))
                                                gulePreW2(1,z)=gulePreKopi(1,z-1)-1;
                                                gulePreW2(2,z)=gulePreKopi(2,z-1);
                                            else
                                                gulePreW2(1,end+1)=gulePreKopi(1,z-1)-1;
                                                gulePreW2(2,end)=gulePreKopi(2,z-1);
                                            end
                                        end
                                    end
                                    %Finner ventetid til operasjon, legger til den
                                    %tiden det tar  trille ned pasienten
                                    kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                    ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                    ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                    ventetiderGule(2,end)=tid2;

                                    %Trekker operasjonstid og oppdaterer tid for ferdig
                                    if lognorm==1                                     
                                        stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                    else
                                        trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                        stuetid=min(400,stuetidGul(trekkStue));                                 
                                    end
                                    OR1Klar=tid2+kjoreNed+stuetid;

                                    %Trekker liggetid p sengepost
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                    else
                                        liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                    end
                                    utW2(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                    utAkuttW2(1,end+1)=utW2(1,end);

                                elseif guleVenter(1,1)==gulePreW3(2,end-indeksW3)
                                    %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                    for b=length(gulePreW3(1,:)):-1:1
                                        if b==length(gulePreW3(1,:))
                                            if tid2>=gulePreW3(2,b)
                                                break;
                                            end
                                        else
                                            if tid2>=gulePreW3(2,b) && tid2<gulePreW3(2,b+1)
                                                break;
                                            end
                                        end
                                    end

                                    if b==length(gulePreW3(1,:))            
                                        gulePreW3(1,end+1)=gulePreW3(1,end)-1;
                                        gulePreW3(2,end)=tid2;
                                    else
                                        b=b+1;
                                        gulePreKopi=zeros(2,length(gulePreW3(1,:))); %Lager en kopi
                                        for z=b:1:length(gulePreW3(1,:))
                                            gulePreKopi(1,z)=gulePreW3(1,z);
                                            gulePreKopi(2,z)=gulePreW3(2,z);
                                        end
                                        for z=b:1:length(gulePreW3(1,:))+1
                                            if z==b
                                                gulePreW3(1,z)=gulePreW3(1,z-1)-1;
                                                gulePreW3(2,z)=tid2;
                                            elseif z<=length(gulePreW3(1,:))
                                                gulePreW3(1,z)=gulePreKopi(1,z-1)-1;
                                                gulePreW3(2,z)=gulePreKopi(2,z-1);
                                            else
                                                gulePreW3(1,end+1)=gulePreKopi(1,z-1)-1;
                                                gulePreW3(2,end)=gulePreKopi(2,z-1);
                                            end
                                        end
                                    end

                                    %Finner ventetid til operasjon, legger til den
                                    %tiden det tar  trille ned pasienten
                                    kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                    ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                    ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                    ventetiderGule(2,end)=tid2;

                                    %Trekker operasjonstid og oppdaterer tid for ferdig
                                    if lognorm==1                                     
                                        stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                    else
                                        trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                        stuetid=min(400,stuetidGul(trekkStue));                                 
                                    end
                                    OR1Klar=tid2+kjoreNed+stuetid;

                                    %Trekker liggetid p sengepost
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                    else
                                        liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                    end
                                    utW3(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                    utAkuttW3(1,end+1)=utW3(1,end);

                                elseif guleVenter(1,1)==gulePreW4(2,end-indeksW4)
                                    %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                    for b=length(gulePreW4(1,:)):-1:1
                                        if b==length(gulePreW4(1,:))
                                            if tid2>=gulePreW4(2,b)
                                                break;
                                            end
                                        else
                                            if tid2>=gulePreW4(2,b) && tid2<gulePreW4(2,b+1)
                                                break;
                                            end
                                        end
                                    end

                                    if b==length(gulePreW4(1,:))            
                                        gulePreW4(1,end+1)=gulePreW4(1,end)-1;
                                        gulePreW4(2,end)=tid2;
                                    else
                                        b=b+1;
                                        gulePreKopi=zeros(2,length(gulePreW4(1,:))); %Lager en kopi
                                        for z=b:1:length(gulePreW4(1,:))
                                            gulePreKopi(1,z)=gulePreW4(1,z);
                                            gulePreKopi(2,z)=gulePreW4(2,z);
                                        end
                                        for z=b:1:length(gulePreW4(1,:))+1
                                            if z==b
                                                gulePreW4(1,z)=gulePreW4(1,z-1)-1;
                                                gulePreW4(2,z)=tid2;
                                            elseif z<=length(gulePreW4(1,:))
                                                gulePreW4(1,z)=gulePreKopi(1,z-1)-1;
                                                gulePreW4(2,z)=gulePreKopi(2,z-1);
                                            else
                                                gulePreW4(1,end+1)=gulePreKopi(1,z-1)-1;
                                                gulePreW4(2,end)=gulePreKopi(2,z-1);
                                            end
                                        end
                                    end

                                    %Finner ventetid til operasjon, legger til den
                                    %tiden det tar  trille ned pasienten
                                    kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                    ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                    ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                    ventetiderGule(2,end)=tid2;

                                    %Trekker operasjonstid og oppdaterer tid for ferdig
                                    if lognorm==1                                     
                                        stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                    else
                                        trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                        stuetid=min(400,stuetidGul(trekkStue));                                 
                                    end
                                    OR1Klar=tid2+kjoreNed+stuetid;

                                    %Trekker liggetid p sengepost
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                    else
                                        liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                    end
                                    utW4(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                                    utAkuttW4(1,end+1)=utW4(1,end);

                                elseif guleVenter(1,1)==gulePreW5(2,end-indeksW5)
                                    %Vi fjerner pasienten fra ventelisten, vi m passe p  fjerne rett pasient
                                    for b=length(gulePreW5(1,:)):-1:1
                                        if b==length(gulePreW5(1,:))
                                            if tid2>=gulePreW5(2,b)
                                                break;
                                            end
                                        else
                                            if tid2>=gulePreW5(2,b) && tid2<gulePreW5(2,b+1)
                                                break;
                                            end
                                        end
                                    end

                                    if b==length(gulePreW5(1,:))            
                                        gulePreW5(1,end+1)=gulePreW5(1,end)-1;
                                        gulePreW5(2,end)=tid2;
                                    else
                                        b=b+1;
                                        gulePreKopi=zeros(2,length(gulePreW5(1,:))); %Lager en kopi
                                        for z=b:1:length(gulePreW5(1,:))
                                            gulePreKopi(1,z)=gulePreW5(1,z);
                                            gulePreKopi(2,z)=gulePreW5(2,z);
                                        end
                                        for z=b:1:length(gulePreW5(1,:))+1
                                            if z==b
                                                gulePreW5(1,z)=gulePreW5(1,z-1)-1;
                                                gulePreW5(2,z)=tid2;
                                            elseif z<=length(gulePreW5(1,:))
                                                gulePreW5(1,z)=gulePreKopi(1,z-1)-1;
                                                gulePreW5(2,z)=gulePreKopi(2,z-1);
                                            else
                                                gulePreW5(1,end+1)=gulePreKopi(1,z-1)-1;
                                                gulePreW5(2,end)=gulePreKopi(2,z-1);
                                            end
                                        end
                                    end

                                    %Finner ventetid til operasjon, legger til den
                                    %tiden det tar  trille ned pasienten
                                    kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                                    ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                                    ventetiderGule(1,end+1)=tid2-guleVenter(1,1)+kjoreNed;
                                    ventetiderGule(2,end)=tid2;

                                    %Trekker operasjonstid og oppdaterer tid for ferdig
                                    if lognorm==1                                     
                                        stuetid=min(400,lognrnd(muGul,sigmaGul));                                 
                                    else
                                        trekkStue=randi(length(stuetidGul(~isnan(stuetidGul))));                                     
                                        stuetid=min(400,stuetidGul(trekkStue));                                 
                                    end
                                    OR1Klar=tid2+kjoreNed+stuetid;

                                    %Trekker liggetid p sengepost
                                    if LOS_fordeling==1
                                        liggetid=1440*max(1,randi([LOS_Gul-2,LOS_Gul+2],1,1));
                                    else
                                        liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                                    end
                                    utW5(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100);
                                    utAkuttW5(1,end+1)=utW5(1,end);

                                end
                             else
                                if lognorm==1
                                    OR1Klar=tid2+lognrnd(muKir,stdKir); 
                                else
                                    trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn)))); 
                                    stuetid=min(400,stuetidGronn(trekkStue));
                                    OR1Klar=tid2 + stuetid;
                                end
                             end
                        else %Vi oppdaterer tiden for OR1, da ingen pasienter var til stede
                            oppdater=[ankRod(1,1)+1,ankGul(1,1)+1]; %Grnne opereres ikke med en gang de kommer inn, de skeduleres neste dag
                            OR1Klar=min(1321+1440*(d-1),min(oppdater));
                        end


                    end


                elseif tid2==utW1(1,1) %Oppdaterer antall p sengepost
                    for b=length(totalW1(1,:)):-1:1
                        if b==length(totalW1(1,:))
                            if tid2>=totalW1(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW1(2,b) && tid2<totalW1(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW1(1,:))            
                        totalW1(1,end+1)=totalW1(1,end)-1;
                        totalW1(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW1)); %Lager en kopi
                        for z=b:1:length(totalW1)
                            total(1,z)=totalW1(1,z);
                            total(2,z)=totalW1(2,z);
                        end
                        for z=b:1:length(totalW1)+1
                            if z==b
                                totalW1(1,z)=totalW1(1,z-1)-1;
                                totalW1(2,z)=tid2;
                            elseif z<=length(totalW1)
                                totalW1(1,z)=total(1,z-1)-1;
                                totalW1(2,z)=total(2,z-1);
                            else
                                totalW1(1,end+1)=total(1,z-1)-1;
                                totalW1(2,end)=total(2,z-1);
                            end
                        end
                    end
                    if utAkuttW1(1,1)==utW1(1,1)
                        for b=length(totalAkuttW1(1,:)):-1:1
                            if b==length(totalAkuttW1(1,:))
                                if tid2>=totalAkuttW1(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW1(2,b) && tid2<totalAkuttW1(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW1(1,:))            
                            totalAkuttW1(1,end+1)=totalAkuttW1(1,end)-1;
                            totalAkuttW1(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalAkuttW1)); %Lager en kopi
                            for z=b:1:length(totalAkuttW1)
                                total(1,z)=totalAkuttW1(1,z);
                                total(2,z)=totalAkuttW1(2,z);
                            end
                            for z=b:1:length(totalAkuttW1)+1
                                if z==b
                                    totalAkuttW1(1,z)=totalAkuttW1(1,z-1)-1;
                                    totalAkuttW1(2,z)=tid2;
                                elseif z<=length(totalAkuttW1)
                                    totalAkuttW1(1,z)=total(1,z-1)-1;
                                    totalAkuttW1(2,z)=total(2,z-1);
                                else
                                    totalAkuttW1(1,end+1)=total(1,z-1)-1;
                                    totalAkuttW1(2,end)=total(2,z-1);
                                end
                            end
                        end
                        utAkuttW1(1)=[];
                    end
                    utW1(1)=[];
                elseif tid2==utW2(1,1) %Oppdaterer antall p sengepost
                    for b=length(totalW2(1,:)):-1:1
                        if b==length(totalW2(1,:))
                            if tid2>=totalW2(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW2(2,b) && tid2<totalW2(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW2(1,:))            
                        totalW2(1,end+1)=totalW2(1,end)-1;
                        totalW2(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW2)); %Lager en kopi
                        for z=b:1:length(totalW2)
                            total(1,z)=totalW2(1,z);
                            total(2,z)=totalW2(2,z);
                        end
                        for z=b:1:length(totalW2)+1
                            if z==b
                                totalW2(1,z)=totalW2(1,z-1)-1;
                                totalW2(2,z)=tid2;
                            elseif z<=length(totalW2)
                                totalW2(1,z)=total(1,z-1)-1;
                                totalW2(2,z)=total(2,z-1);
                            else
                                totalW2(1,end+1)=total(1,z-1)-1;
                                totalW2(2,end)=total(2,z-1);
                            end
                        end
                    end
                    if utAkuttW2(1,1)==utW2(1,1)
                        for b=length(totalAkuttW2(1,:)):-1:1
                            if b==length(totalAkuttW2(1,:))
                                if tid2>=totalAkuttW2(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW2(2,b) && tid2<totalAkuttW2(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW2(1,:))            
                            totalAkuttW2(1,end+1)=totalAkuttW2(1,end)-1;
                            totalAkuttW2(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalAkuttW2)); %Lager en kopi
                            for z=b:1:length(totalAkuttW2)
                                total(1,z)=totalAkuttW2(1,z);
                                total(2,z)=totalAkuttW2(2,z);
                            end
                            for z=b:1:length(totalAkuttW2)+1
                                if z==b
                                    totalAkuttW2(1,z)=totalAkuttW2(1,z-1)-1;
                                    totalAkuttW2(2,z)=tid2;
                                elseif z<=length(totalAkuttW2)
                                    totalAkuttW2(1,z)=total(1,z-1)-1;
                                    totalAkuttW2(2,z)=total(2,z-1);
                                else
                                    totalAkuttW2(1,end+1)=total(1,z-1)-1;
                                    totalAkuttW2(2,end)=total(2,z-1);
                                end
                            end
                        end
                        utAkuttW2(1)=[];
                    end
                    utW2(1)=[];
                elseif tid2==utW3(1,1) %Oppdaterer antall p sengepost
                    for b=length(totalW3(1,:)):-1:1
                        if b==length(totalW3(1,:))
                            if tid2>=totalW3(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW3(2,b) && tid2<totalW3(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW3(1,:))            
                        totalW3(1,end+1)=totalW3(1,end)-1;
                        totalW3(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW3)); %Lager en kopi
                        for z=b:1:length(totalW3)
                            total(1,z)=totalW3(1,z);
                            total(2,z)=totalW3(2,z);
                        end
                        for z=b:1:length(totalW3)+1
                            if z==b
                                totalW3(1,z)=totalW3(1,z-1)-1;
                                totalW3(2,z)=tid2;
                            elseif z<=length(totalW3)
                                totalW3(1,z)=total(1,z-1)-1;
                                totalW3(2,z)=total(2,z-1);
                            else
                                totalW3(1,end+1)=total(1,z-1)-1;
                                totalW3(2,end)=total(2,z-1);
                            end
                        end
                    end
                    if utAkuttW3(1,1)==utW3(1,1)
                        for b=length(totalAkuttW3(1,:)):-1:1
                            if b==length(totalAkuttW3(1,:))
                                if tid2>=totalAkuttW3(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW3(2,b) && tid2<totalAkuttW3(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW3(1,:))            
                            totalAkuttW3(1,end+1)=totalAkuttW3(1,end)-1;
                            totalAkuttW3(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalAkuttW3)); %Lager en kopi
                            for z=b:1:length(totalAkuttW3)
                                total(1,z)=totalAkuttW3(1,z);
                                total(2,z)=totalAkuttW3(2,z);
                            end
                            for z=b:1:length(totalAkuttW3)+1
                                if z==b
                                    totalAkuttW3(1,z)=totalAkuttW3(1,z-1)-1;
                                    totalAkuttW3(2,z)=tid2;
                                elseif z<=length(totalAkuttW3)
                                    totalAkuttW3(1,z)=total(1,z-1)-1;
                                    totalAkuttW3(2,z)=total(2,z-1);
                                else
                                    totalAkuttW3(1,end+1)=total(1,z-1)-1;
                                    totalAkuttW3(2,end)=total(2,z-1);
                                end
                            end
                        end
                        utAkuttW3(1)=[];
                    end
                    utW3(1)=[];
                elseif tid2==utW4(1,1) %Oppdaterer antall p sengepost

                    for b=length(totalW4(1,:)):-1:1
                        if b==length(totalW4(1,:))
                            if tid2>=totalW4(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW4(2,b) && tid2<totalW4(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW4(1,:))            
                        totalW4(1,end+1)=totalW4(1,end)-1;
                        totalW4(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW4)); %Lager en kopi
                        for z=b:1:length(totalW4)
                            total(1,z)=totalW4(1,z);
                            total(2,z)=totalW4(2,z);
                        end
                        for z=b:1:length(totalW4)+1
                            if z==b
                                totalW4(1,z)=totalW4(1,z-1)-1;
                                totalW4(2,z)=tid2;
                            elseif z<=length(totalW4)
                                totalW4(1,z)=total(1,z-1)-1;
                                totalW4(2,z)=total(2,z-1);
                            else
                                totalW4(1,end+1)=total(1,z-1)-1;
                                totalW4(2,end)=total(2,z-1);
                            end
                        end
                    end
                    if utAkuttW4(1,1)==utW4(1,1)
                        for b=length(totalAkuttW4(1,:)):-1:1
                            if b==length(totalAkuttW4(1,:))
                                if tid2>=totalAkuttW4(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW4(2,b) && tid2<totalAkuttW4(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW4(1,:))            
                            totalAkuttW4(1,end+1)=totalAkuttW4(1,end)-1;
                            totalAkuttW4(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalAkuttW4)); %Lager en kopi
                            for z=b:1:length(totalAkuttW4)
                                total(1,z)=totalAkuttW4(1,z);
                                total(2,z)=totalAkuttW4(2,z);
                            end
                            for z=b:1:length(totalAkuttW4)+1
                                if z==b
                                    totalAkuttW4(1,z)=totalAkuttW4(1,z-1)-1;
                                    totalAkuttW4(2,z)=tid2;
                                elseif z<=length(totalAkuttW4)
                                    totalAkuttW4(1,z)=total(1,z-1)-1;
                                    totalAkuttW4(2,z)=total(2,z-1);
                                else
                                    totalAkuttW4(1,end+1)=total(1,z-1)-1;
                                    totalAkuttW4(2,end)=total(2,z-1);
                                end
                            end
                        end
                        utAkuttW4(1)=[];
                    end
                    utW4(1)=[];
                elseif tid2==utW5(1,1) %Oppdaterer antall p sengepost
                    for b=length(totalW5(1,:)):-1:1
                        if b==length(totalW5(1,:))
                            if tid2>=totalW5(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW5(2,b) && tid2<totalW5(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW5(1,:))            
                        totalW5(1,end+1)=totalW5(1,end)-1;
                        totalW5(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW5)); %Lager en kopi
                        for z=b:1:length(totalW5)
                            total(1,z)=totalW5(1,z);
                            total(2,z)=totalW5(2,z);
                        end
                        for z=b:1:length(totalW5)+1
                            if z==b
                                totalW5(1,z)=totalW5(1,z-1)-1;
                                totalW5(2,z)=tid2;
                            elseif z<=length(totalW5)
                                totalW5(1,z)=total(1,z-1)-1;
                                totalW5(2,z)=total(2,z-1);
                            else
                                totalW5(1,end+1)=total(1,z-1)-1;
                                totalW5(2,end)=total(2,z-1);
                            end
                        end
                    end
                    if utAkuttW5(1,1)==utW5(1,1)
                        for b=length(totalAkuttW5(1,:)):-1:1
                            if b==length(totalAkuttW5(1,:))
                                if tid2>=totalAkuttW5(2,b)
                                    break;
                                end
                            else
                                if tid2>=totalAkuttW5(2,b) && tid2<totalAkuttW5(2,b+1)
                                    break;
                                end
                            end
                        end

                        if b==length(totalAkuttW5(1,:))            
                            totalAkuttW5(1,end+1)=totalAkuttW5(1,end)-1;
                            totalAkuttW5(2,end)=tid2;
                        else
                            b=b+1;
                            total=zeros(2,length(totalAkuttW5)); %Lager en kopi
                            for z=b:1:length(totalAkuttW5)
                                total(1,z)=totalAkuttW5(1,z);
                                total(2,z)=totalAkuttW5(2,z);
                            end
                            for z=b:1:length(totalAkuttW5)+1
                                if z==b
                                    totalAkuttW5(1,z)=totalAkutt51(1,z-1)-1;
                                    totalAkuttW5(2,z)=tid2;
                                elseif z<=length(totalAkuttW5)
                                    totalAkuttW5(1,z)=total(1,z-1)-1;
                                    totalAkuttW5(2,z)=total(2,z-1);
                                else
                                    totalAkuttW5(1,end+1)=total(1,z-1)-1;
                                    totalAkuttW5(2,end)=total(2,z-1);
                                end
                            end
                        end
                        utAkuttW5(1)=[];
                    end
                    utW5(1)=[];


                else
                   tid1AHL=1441; 
                end
            end
        end

        while tid1AHL<1440 %Alle dager er like - nattdrift
            utW1=sort(utW1);
            utW2=sort(utW2);
            utW3=sort(utW3);
            utW4=sort(utW4);
            utW5=sort(utW5);
            utAkuttW1=sort(utAkuttW1);
            utAkuttW2=sort(utAkuttW2);
            utAkuttW3=sort(utAkuttW3);
            utAkuttW4=sort(utAkuttW4);
            utAkuttW5=sort(utAkuttW5);

            OR2Klar=1441+(d-1)*1440;
            if OR1Klar==OR2Klar
                OR2Klar=OR2Klar+1;
            end

            if isempty(ankRod)
                ankRod(1,end+1)=10000000;
            end

            if isempty(ankGul)
                ankGul(1,end+1)=10000000;
            end

            if isempty(ankGronn)
                ankGronn(1,end+1)=10000000;
            end

            if isempty(ankGronnDK)
                ankGronnDK(1,end+1)=10000000;
            end

            tidOppdatering=[ankRod(1,1),ankGul(1,1),ankGronn(1,1), ankGronnDK(1,1), OR1Klar, OR2Klar, utW1(1,1), utW2(1,1), utW3(1,1), utW4(1,1), utW5(1,1)];
            tidOppdatering=sort(tidOppdatering);

            tid2=tidOppdatering(1,1);
            if tid2>1440*(d-1)+1440
                break;
            end
            tid1AHL=mod(tidOppdatering(1,1),1440);
            if tid1AHL==1 && mod(tid2,1440)==1
                    break;
            end

            if tid2==ankRod(1,1) %Rd legges inn pre, velg sengepost, oppdater bde pre og sengepost
                % Velger sengepost
                ukedagSeng=mod(d,7);
                if ukedagSeng==0
                    ukedagSeng=7;
                end
                sengepost=randi(akutteSeng(ukedagSeng),1,1);
                if sengepost<=akutteOTS
                    rodePreW1(1,end+1)=rodePreW1(1,end)+1;
                    rodePreW1(2,end)=tid2;
                    for b=length(totalW1(1,:)):-1:1
                        if b==length(totalW1(1,:))
                            if tid2>=totalW1(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW1(2,b) && tid2<totalW1(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW1(1,:))            
                        totalW1(1,end+1)=totalW1(1,end)+1;
                        totalW1(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW1(1,:))); %Lager en kopi
                        for z=b:1:length(totalW1(1,:))
                            total(1,z)=totalW1(1,z);
                            total(2,z)=totalW1(2,z);
                        end
                        for z=b:1:length(totalW1(1,:))+1
                            if z==b
                                totalW1(1,z)=totalW1(1,z-1)+1;
                                totalW1(2,z)=tid2;
                            elseif z<=length(totalW1(1,:))
                                totalW1(1,z)=total(1,z-1)+1;
                                totalW1(2,z)=total(2,z-1);
                            else
                                totalW1(1,end+1)=total(1,z-1)+1;
                                totalW1(2,end)=total(2,z-1);
                            end
                        end
                    end
                    for b=length(totalAkuttW1(1,:)):-1:1
                        if b==length(totalAkuttW1(1,:))
                            if tid2>=totalAkuttW1(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW1(2,b) && tid2<totalAkuttW1(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW1(1,:))            
                        totalAkuttW1(1,end+1)=totalAkuttW1(1,end)+1;
                        totalAkuttW1(2,end)=tid2;
                    else
                        b=b+1;
                        totalAkutt=zeros(2,length(totalAkuttW1(1,:))); %Lager en kopi
                        for z=b:1:length(totalAkuttW1(1,:))
                            totalAkutt(1,z)=totalAkuttW1(1,z);
                            totalAkutt(2,z)=totalAkuttW1(2,z);
                        end
                        for z=b:1:length(totalAkuttW1(1,:))+1
                            if z==b
                                totalAkuttW1(1,z)=totalAkuttW1(1,z-1)+1;
                                totalAkuttW1(2,z)=tid2;
                            elseif z<=length(totalAkuttW1(1,:))
                                totalAkuttW1(1,z)=totalAkutt(1,z-1)+1;
                                totalAkuttW1(2,z)=totalAkutt(2,z-1);
                            else
                                totalAkuttW1(1,end+1)=totalAkutt(1,z-1)+1;
                                totalAkuttW1(2,end)=totalAkutt(2,z-1);
                            end
                        end
                    end
                elseif sengepost<=akutteORS
                    rodePreW2(1,end+1)=rodePreW2(1,end)+1;
                    rodePreW2(2,end)=tid2;
                    for b=length(totalW2(1,:)):-1:1
                        if b==length(totalW2(1,:))
                            if tid2>=totalW2(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW2(2,b) && tid2<totalW2(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW2(1,:))            
                        totalW2(1,end+1)=totalW2(1,end)+1;
                        totalW2(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW2(1,:))); %Lager en kopi
                        for z=b:1:length(totalW2(1,:))
                            total(1,z)=totalW2(1,z);
                            total(2,z)=totalW2(2,z);
                        end
                        for z=b:1:length(totalW2(1,:))+1
                            if z==b
                                totalW2(1,z)=totalW2(1,z-1)+1;
                                totalW2(2,z)=tid2;
                            elseif z<=length(totalW2(1,:))
                                totalW2(1,z)=total(1,z-1)+1;
                                totalW2(2,z)=total(2,z-1);
                            else
                                totalW2(1,end+1)=total(1,z-1)+1;
                                totalW2(2,end)=total(2,z-1);
                            end
                        end
                    end
                    for b=length(totalAkuttW2(1,:)):-1:1
                        if b==length(totalAkuttW2(1,:))
                            if tid2>=totalAkuttW2(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW2(2,b) && tid2<totalAkuttW2(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW2(1,:))            
                        totalAkuttW2(1,end+1)=totalAkuttW2(1,end)+1;
                        totalAkuttW2(2,end)=tid2;
                    else
                        b=b+1;
                        totalAkutt=zeros(2,length(totalAkuttW2(1,:))); %Lager en kopi
                        for z=b:1:length(totalAkuttW2(1,:))
                            totalAkutt(1,z)=totalAkuttW2(1,z);
                            totalAkutt(2,z)=totalAkuttW2(2,z);
                        end
                        for z=b:1:length(totalAkuttW2(1,:))+1
                            if z==b
                                totalAkuttW2(1,z)=totalAkuttW2(1,z-1)+1;
                                totalAkuttW2(2,z)=tid2;
                            elseif z<=length(totalAkuttW2(1,:))
                                totalAkuttW2(1,z)=totalAkutt(1,z-1)+1;
                                totalAkuttW2(2,z)=totalAkutt(2,z-1);
                            else
                                totalAkuttW2(1,end+1)=totalAkutt(1,z-1)+1;
                                totalAkuttW2(2,end)=totalAkutt(2,z-1);
                            end
                        end
                    end
                elseif sengepost<=akutteOES
                    rodePreW3(1,end+1)=rodePreW3(1,end)+1;
                    rodePreW3(2,end)=tid2;
                    for b=length(totalW3(1,:)):-1:1
                        if b==length(totalW3(1,:))
                            if tid2>=totalW3(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW3(2,b) && tid2<totalW3(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW3(1,:))            
                        totalW3(1,end+1)=totalW3(1,end)+1;
                        totalW3(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW3(1,:))); %Lager en kopi
                        for z=b:1:length(totalW3(1,:))
                            total(1,z)=totalW3(1,z);
                            total(2,z)=totalW3(2,z);
                        end
                        for z=b:1:length(totalW3(1,:))+1
                            if z==b
                                totalW3(1,z)=totalW3(1,z-1)+1;
                                totalW3(2,z)=tid2;
                            elseif z<=length(totalW3(1,:))
                                totalW3(1,z)=total(1,z-1)+1;
                                totalW3(2,z)=total(2,z-1);
                            else
                                totalW3(1,end+1)=total(1,z-1)+1;
                                totalW3(2,end)=total(2,z-1);
                            end
                        end
                    end
                    for b=length(totalAkuttW3(1,:)):-1:1
                        if b==length(totalAkuttW3(1,:))
                            if tid2>=totalAkuttW3(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW3(2,b) && tid2<totalAkuttW3(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW3(1,:))            
                        totalAkuttW3(1,end+1)=totalAkuttW3(1,end)+1;
                        totalAkuttW3(2,end)=tid2;
                    else
                        b=b+1;
                        totalAkutt=zeros(2,length(totalAkuttW3(1,:))); %Lager en kopi
                        for z=b:1:length(totalAkuttW3(1,:))
                            totalAkutt(1,z)=totalAkuttW3(1,z);
                            totalAkutt(2,z)=totalAkuttW3(2,z);
                        end
                        for z=b:1:length(totalAkuttW3(1,:))+1
                            if z==b
                                totalAkuttW3(1,z)=totalAkuttW3(1,z-1)+1;
                                totalAkuttW3(2,z)=tid2;
                            elseif z<=length(totalAkuttW3(1,:))
                                totalAkuttW3(1,z)=totalAkutt(1,z-1)+1;
                                totalAkuttW3(2,z)=totalAkutt(2,z-1);
                            else
                                totalAkuttW3(1,end+1)=totalAkutt(1,z-1)+1;
                                totalAkuttW3(2,end)=totalAkutt(2,z-1);
                            end
                        end
                    end
                elseif sengepost<=akutteOFT
                    rodePreW4(1,end+1)=rodePreW4(1,end)+1;
                    rodePreW4(2,end)=tid2;
                    for b=length(totalW4(1,:)):-1:1
                        if b==length(totalW4(1,:))
                            if tid2>=totalW4(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW4(2,b) && tid2<totalW4(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW4(1,:))            
                        totalW4(1,end+1)=totalW4(1,end)+1;
                        totalW4(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW4)); %Lager en kopi
                        for z=b:1:length(totalW4)
                            total(1,z)=totalW4(1,z);
                            total(2,z)=totalW4(2,z);
                        end
                        for z=b:1:length(totalW4)+1
                            if z==b
                                totalW4(1,z)=totalW4(1,z-1)+1;
                                totalW4(2,z)=tid2;
                            elseif z<=length(totalW4)
                                totalW4(1,z)=total(1,z-1)+1;
                                totalW4(2,z)=total(2,z-1);
                            else
                                totalW4(1,end+1)=total(1,z-1)+1;
                                totalW4(2,end)=total(2,z-1);
                            end
                        end
                    end
                    for b=length(totalAkuttW4(1,:)):-1:1
                        if b==length(totalAkuttW4(1,:))
                            if tid2>=totalAkuttW4(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW4(2,b) && tid2<totalAkuttW4(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW4(1,:))            
                        totalAkuttW4(1,end+1)=totalAkuttW4(1,end)+1;
                        totalAkuttW4(2,end)=tid2;
                    else
                        b=b+1;
                        totalAkutt=zeros(2,length(totalAkuttW4(1,:))); %Lager en kopi
                        for z=b:1:length(totalAkuttW4(1,:))
                            totalAkutt(1,z)=totalAkuttW4(1,z);
                            totalAkutt(2,z)=totalAkuttW4(2,z);
                        end
                        for z=b:1:length(totalAkuttW4(1,:))+1
                            if z==b
                                totalAkuttW4(1,z)=totalAkuttW4(1,z-1)+1;
                                totalAkuttW4(2,z)=tid2;
                            elseif z<=length(totalAkuttW4(1,:))
                                totalAkuttW4(1,z)=totalAkutt(1,z-1)+1;
                                totalAkuttW4(2,z)=totalAkutt(2,z-1);
                            else
                                totalAkuttW4(1,end+1)=totalAkutt(1,z-1)+1;
                                totalAkuttW4(2,end)=totalAkutt(2,z-1);
                            end
                        end
                    end
                else
                    rodePreW5(1,end+1)=rodePreW5(1,end)+1;
                    rodePreW5(2,end)=tid2;
                    for b=length(totalW5(1,:)):-1:1
                        if b==length(totalW5(1,:))
                            if tid2>=totalW5(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW5(2,b) && tid2<totalW5(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW5(1,:))            
                        totalW5(1,end+1)=totalW5(1,end)+1;
                        totalW5(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW5)); %Lager en kopi
                        for z=b:1:length(totalW5)
                            total(1,z)=totalW5(1,z);
                            total(2,z)=totalW5(2,z);
                        end
                        for z=b:1:length(totalW5)+1
                            if z==b
                                totalW5(1,z)=totalW5(1,z-1)+1;
                                totalW5(2,z)=tid2;
                            elseif z<=length(totalW5)
                                totalW5(1,z)=total(1,z-1)+1;
                                totalW5(2,z)=total(2,z-1);
                            else
                                totalW5(1,end+1)=total(1,z-1)+1;
                                totalW5(2,end)=total(2,z-1);
                            end
                        end
                    end
                    for b=length(totalAkuttW5(1,:)):-1:1
                        if b==length(totalAkuttW5(1,:))
                            if tid2>=totalAkuttW5(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW5(2,b) && tid2<totalAkuttW5(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW5(1,:))            
                        totalAkuttW5(1,end+1)=totalAkuttW5(1,end)+1;
                        totalAkuttW5(2,end)=tid2;
                    else
                        b=b+1;
                        totalAkutt=zeros(2,length(totalAkuttW5(1,:))); %Lager en kopi
                        for z=b:1:length(totalAkuttW5(1,:))
                            totalAkutt(1,z)=totalAkuttW5(1,z);
                            totalAkutt(2,z)=totalAkuttW5(2,z);
                        end
                        for z=b:1:length(totalAkuttW5(1,:))+1
                            if z==b
                                totalAkuttW5(1,z)=totalAkuttW5(1,z-1)+1;
                                totalAkuttW5(2,z)=tid2;
                            elseif z<=length(totalAkuttW5(1,:))
                                totalAkuttW5(1,z)=totalAkutt(1,z-1)+1;
                                totalAkuttW5(2,z)=totalAkutt(2,z-1);
                            else
                                totalAkuttW5(1,end+1)=totalAkutt(1,z-1)+1;
                                totalAkuttW5(2,end)=totalAkutt(2,z-1);
                            end
                        end


                    end
                end

                %Sletter ankomsten
                ankRod(1)=[];
            elseif tid2==ankGul(1,1) %Gul legges inn pre, velg sengepost, oppdater bde pre og sengepost
                % Velger sengepost
                 ukedagSeng=mod(d,7);
                if ukedagSeng==0
                    ukedagSeng=7;
                end
                sengepost=randi(akutteSeng(ukedagSeng),1,1);
                if sengepost<=akutteOTS
                    %Vi legger pasienten ventelisten, vi m passe p  legge
                    %til rett tidspunkt
                    for b=length(gulePreW1(1,:)):-1:1
                        if b==length(gulePreW1(1,:))
                            if tid2>=gulePreW1(2,b)
                                break;
                            end
                        else
                            if tid2>=gulePreW1(2,b) && tid2<gulePreW1(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(gulePreW1(1,:))            
                        gulePreW1(1,end+1)=gulePreW1(1,end)+1;
                        gulePreW1(2,end)=tid2;
                    else
                        b=b+1;
                        gulePreKopi=zeros(2,length(gulePreW1(1,:))); %Lager en kopi
                        for z=b:1:length(gulePreW1(1,:))
                            gulePreKopi(1,z)=gulePreW1(1,z);
                            gulePreKopi(2,z)=gulePreW1(2,z);
                        end
                        for z=b:1:length(gulePreW1(1,:))+1
                            if z==b
                                gulePreW1(1,z)=gulePreW1(1,z-1)+1;
                                gulePreW1(2,z)=tid2;
                            elseif z<=length(gulePreW1(1,:))
                                gulePreW1(1,z)=gulePreKopi(1,z-1)+1;
                                gulePreW1(2,z)=gulePreKopi(2,z-1);
                            else
                                gulePreW1(1,end+1)=gulePreKopi(1,z-1)+1;
                                gulePreW1(2,end)=gulePreKopi(2,z-1);
                            end
                        end
                    end
                    for b=length(totalW1(1,:)):-1:1
                        if b==length(totalW1(1,:))
                            if tid2>=totalW1(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW1(2,b) && tid2<totalW1(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW1(1,:))            
                        totalW1(1,end+1)=totalW1(1,end)+1;
                        totalW1(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW1(1,:))); %Lager en kopi
                        for z=b:1:length(totalW1(1,:))
                            total(1,z)=totalW1(1,z);
                            total(2,z)=totalW1(2,z);
                        end
                        for z=b:1:length(totalW1(1,:))+1
                            if z==b
                                totalW1(1,z)=totalW1(1,z-1)+1;
                                totalW1(2,z)=tid2;
                            elseif z<=length(totalW1(1,:))
                                totalW1(1,z)=total(1,z-1)+1;
                                totalW1(2,z)=total(2,z-1);
                            else
                                totalW1(1,end+1)=total(1,z-1)+1;
                                totalW1(2,end)=total(2,z-1);
                            end
                        end
                    end
                    for b=length(totalAkuttW1(1,:)):-1:1
                        if b==length(totalAkuttW1(1,:))
                            if tid2>=totalAkuttW1(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW1(2,b) && tid2<totalAkuttW1(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW1(1,:))            
                        totalAkuttW1(1,end+1)=totalAkuttW1(1,end)+1;
                        totalAkuttW1(2,end)=tid2;
                    else
                        b=b+1;
                        totalAkutt=zeros(2,length(totalAkuttW1(1,:))); %Lager en kopi
                        for z=b:1:length(totalAkuttW1(1,:))
                            totalAkutt(1,z)=totalAkuttW1(1,z);
                            totalAkutt(2,z)=totalAkuttW1(2,z);
                        end
                        for z=b:1:length(totalAkuttW1(1,:))+1
                            if z==b
                                totalAkuttW1(1,z)=totalAkuttW1(1,z-1)+1;
                                totalAkuttW1(2,z)=tid2;
                            elseif z<=length(totalAkuttW1(1,:))
                                totalAkuttW1(1,z)=totalAkutt(1,z-1)+1;
                                totalAkuttW1(2,z)=totalAkutt(2,z-1);
                            else
                                totalAkuttW1(1,end+1)=totalAkutt(1,z-1)+1;
                                totalAkuttW1(2,end)=totalAkutt(2,z-1);
                            end
                        end
                    end

                elseif sengepost<=akutteORS
                    %Vi legger pasienten ventelisten, vi m passe p  legge
                    %til rett tidspunkt
                    for b=length(gulePreW2(1,:)):-1:1
                        if b==length(gulePreW2(1,:))
                            if tid2>=gulePreW2(2,b)
                                break;
                            end
                        else
                            if tid2>=gulePreW2(2,b) && tid2<gulePreW2(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(gulePreW2(1,:))            
                        gulePreW2(1,end+1)=gulePreW2(1,end)+1;
                        gulePreW2(2,end)=tid2;
                    else
                        b=b+1;
                        gulePreKopi=zeros(2,length(gulePreW2(1,:))); %Lager en kopi
                        for z=b:1:length(gulePreW2(1,:))
                            gulePreKopi(1,z)=gulePreW2(1,z);
                            gulePreKopi(2,z)=gulePreW2(2,z);
                        end
                        for z=b:1:length(gulePreW2(1,:))+1
                            if z==b
                                gulePreW2(1,z)=gulePreW2(1,z-1)+1;
                                gulePreW2(2,z)=tid2;
                            elseif z<=length(gulePreW2(1,:))
                                gulePreW2(1,z)=gulePreKopi(1,z-1)+1;
                                gulePreW2(2,z)=gulePreKopi(2,z-1);
                            else
                                gulePreW2(1,end+1)=gulePreKopi(1,z-1)+1;
                                gulePreW2(2,end)=gulePreKopi(2,z-1);
                            end
                        end
                    end
                    for b=length(totalW2(1,:)):-1:1
                        if b==length(totalW2(1,:))
                            if tid2>=totalW2(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW2(2,b) && tid2<totalW2(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW2(1,:))            
                        totalW2(1,end+1)=totalW2(1,end)+1;
                        totalW2(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW2(1,:))); %Lager en kopi
                        for z=b:1:length(totalW2(1,:))
                            total(1,z)=totalW2(1,z);
                            total(2,z)=totalW2(2,z);
                        end
                        for z=b:1:length(totalW2(1,:))+1
                            if z==b
                                totalW2(1,z)=totalW2(1,z-1)+1;
                                totalW2(2,z)=tid2;
                            elseif z<=length(totalW2(1,:))
                                totalW2(1,z)=total(1,z-1)+1;
                                totalW2(2,z)=total(2,z-1);
                            else
                                totalW2(1,end+1)=total(1,z-1)+1;
                                totalW2(2,end)=total(2,z-1);
                            end
                        end
                    end
                    for b=length(totalAkuttW2(1,:)):-1:1
                        if b==length(totalAkuttW2(1,:))
                            if tid2>=totalAkuttW2(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW2(2,b) && tid2<totalAkuttW2(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW2(1,:))            
                        totalAkuttW2(1,end+1)=totalAkuttW2(1,end)+1;
                        totalAkuttW2(2,end)=tid2;
                    else
                        b=b+1;
                        totalAkutt=zeros(2,length(totalAkuttW2(1,:))); %Lager en kopi
                        for z=b:1:length(totalAkuttW2(1,:))
                            totalAkutt(1,z)=totalAkuttW2(1,z);
                            totalAkutt(2,z)=totalAkuttW2(2,z);
                        end
                        for z=b:1:length(totalAkuttW2(1,:))+1
                            if z==b
                                totalAkuttW2(1,z)=totalAkuttW2(1,z-1)+1;
                                totalAkuttW2(2,z)=tid2;
                            elseif z<=length(totalAkuttW2(1,:))
                                totalAkuttW2(1,z)=totalAkutt(1,z-1)+1;
                                totalAkuttW2(2,z)=totalAkutt(2,z-1);
                            else
                                totalAkuttW2(1,end+1)=totalAkutt(1,z-1)+1;
                                totalAkuttW2(2,end)=totalAkutt(2,z-1);
                            end
                        end
                    end

                elseif sengepost<=akutteOES
                    %Vi legger pasienten ventelisten, vi m passe p  legge
                    %til rett tidspunkt
                    for b=length(gulePreW3(1,:)):-1:1
                        if b==length(gulePreW3(1,:))
                            if tid2>=gulePreW3(2,b)
                                break;
                            end
                        else
                            if tid2>=gulePreW3(2,b) && tid2<gulePreW3(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(gulePreW3(1,:))            
                        gulePreW3(1,end+1)=gulePreW3(1,end)+1;
                        gulePreW3(2,end)=tid2;
                    else
                        b=b+1;
                        gulePreKopi=zeros(2,length(gulePreW3(1,:))); %Lager en kopi
                        for z=b:1:length(gulePreW3(1,:))
                            gulePreKopi(1,z)=gulePreW3(1,z);
                            gulePreKopi(2,z)=gulePreW3(2,z);
                        end
                        for z=b:1:length(gulePreW3(1,:))+1
                            if z==b
                                gulePreW3(1,z)=gulePreW3(1,z-1)+1;
                                gulePreW3(2,z)=tid2;
                            elseif z<=length(gulePreW3(1,:))
                                gulePreW3(1,z)=gulePreKopi(1,z-1)+1;
                                gulePreW3(2,z)=gulePreKopi(2,z-1);
                            else
                                gulePreW3(1,end+1)=gulePreKopi(1,z-1)+1;
                                gulePreW3(2,end)=gulePreKopi(2,z-1);
                            end
                        end
                    end
                    for b=length(totalW3(1,:)):-1:1
                        if b==length(totalW3(1,:))
                            if tid2>=totalW3(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW3(2,b) && tid2<totalW3(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW3(1,:))            
                        totalW3(1,end+1)=totalW3(1,end)+1;
                        totalW3(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW3(1,:))); %Lager en kopi
                        for z=b:1:length(totalW3(1,:))
                            total(1,z)=totalW3(1,z);
                            total(2,z)=totalW3(2,z);
                        end
                        for z=b:1:length(totalW3(1,:))+1
                            if z==b
                                totalW3(1,z)=totalW3(1,z-1)+1;
                                totalW3(2,z)=tid2;
                            elseif z<=length(totalW3(1,:))
                                totalW3(1,z)=total(1,z-1)+1;
                                totalW3(2,z)=total(2,z-1);
                            else
                                totalW3(1,end+1)=total(1,z-1)+1;
                                totalW3(2,end)=total(2,z-1);
                            end
                        end
                    end
                    for b=length(totalAkuttW3(1,:)):-1:1
                        if b==length(totalAkuttW3(1,:))
                            if tid2>=totalAkuttW3(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW3(2,b) && tid2<totalAkuttW3(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW3(1,:))            
                        totalAkuttW3(1,end+1)=totalAkuttW3(1,end)+1;
                        totalAkuttW3(2,end)=tid2;
                    else
                        b=b+1;
                        totalAkutt=zeros(2,length(totalAkuttW3(1,:))); %Lager en kopi
                        for z=b:1:length(totalAkuttW3(1,:))
                            totalAkutt(1,z)=totalAkuttW3(1,z);
                            totalAkutt(2,z)=totalAkuttW3(2,z);
                        end
                        for z=b:1:length(totalAkuttW3(1,:))+1
                            if z==b
                                totalAkuttW3(1,z)=totalAkuttW3(1,z-1)+1;
                                totalAkuttW3(2,z)=tid2;
                            elseif z<=length(totalAkuttW3(1,:))
                                totalAkuttW3(1,z)=totalAkutt(1,z-1)+1;
                                totalAkuttW3(2,z)=totalAkutt(2,z-1);
                            else
                                totalAkuttW3(1,end+1)=totalAkutt(1,z-1)+1;
                                totalAkuttW3(2,end)=totalAkutt(2,z-1);
                            end
                        end
                    end

                elseif sengepost<=akutteOFT
                    %Vi legger pasienten ventelisten, vi m passe p  legge
                    %til rett tidspunkt
                    for b=length(gulePreW4(1,:)):-1:1
                        if b==length(gulePreW4(1,:))
                            if tid2>=gulePreW4(2,b)
                                break;
                            end
                        else
                            if tid2>=gulePreW4(2,b) && tid2<gulePreW4(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(gulePreW4(1,:))            
                        gulePreW4(1,end+1)=gulePreW4(1,end)+1;
                        gulePreW4(2,end)=tid2;
                    else
                        b=b+1;
                        gulePreKopi=zeros(2,length(gulePreW4(1,:))); %Lager en kopi
                        for z=b:1:length(gulePreW4(1,:))
                            gulePreKopi(1,z)=gulePreW4(1,z);
                            gulePreKopi(2,z)=gulePreW4(2,z);
                        end
                        for z=b:1:length(gulePreW4(1,:))+1
                            if z==b
                                gulePreW4(1,z)=gulePreW4(1,z-1)+1;
                                gulePreW4(2,z)=tid2;
                            elseif z<=length(gulePreW4(1,:))
                                gulePreW4(1,z)=gulePreKopi(1,z-1)+1;
                                gulePreW4(2,z)=gulePreKopi(2,z-1);
                            else
                                gulePreW4(1,end+1)=gulePreKopi(1,z-1)+1;
                                gulePreW4(2,end)=gulePreKopi(2,z-1);
                            end
                        end
                    end
                    for b=length(totalW4(1,:)):-1:1
                        if b==length(totalW4(1,:))
                            if tid2>=totalW4(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW4(2,b) && tid2<totalW4(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW4(1,:))            
                        totalW4(1,end+1)=totalW4(1,end)+1;
                        totalW4(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW4)); %Lager en kopi
                        for z=b:1:length(totalW4)
                            total(1,z)=totalW4(1,z);
                            total(2,z)=totalW4(2,z);
                        end
                        for z=b:1:length(totalW4)+1
                            if z==b
                                totalW4(1,z)=totalW4(1,z-1)+1;
                                totalW4(2,z)=tid2;
                            elseif z<=length(totalW4)
                                totalW4(1,z)=total(1,z-1)+1;
                                totalW4(2,z)=total(2,z-1);
                            else
                                totalW4(1,end+1)=total(1,z-1)+1;
                                totalW4(2,end)=total(2,z-1);
                            end
                        end
                    end
                    for b=length(totalAkuttW4(1,:)):-1:1
                        if b==length(totalAkuttW4(1,:))
                            if tid2>=totalAkuttW4(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW4(2,b) && tid2<totalAkuttW4(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW4(1,:))            
                        totalAkuttW4(1,end+1)=totalAkuttW4(1,end)+1;
                        totalAkuttW4(2,end)=tid2;
                    else
                        b=b+1;
                        totalAkutt=zeros(2,length(totalAkuttW4(1,:))); %Lager en kopi
                        for z=b:1:length(totalAkuttW4(1,:))
                            totalAkutt(1,z)=totalAkuttW4(1,z);
                            totalAkutt(2,z)=totalAkuttW4(2,z);
                        end
                        for z=b:1:length(totalAkuttW4(1,:))+1
                            if z==b
                                totalAkuttW4(1,z)=totalAkuttW4(1,z-1)+1;
                                totalAkuttW4(2,z)=tid2;
                            elseif z<=length(totalAkuttW4(1,:))
                                totalAkuttW4(1,z)=totalAkutt(1,z-1)+1;
                                totalAkuttW4(2,z)=totalAkutt(2,z-1);
                            else
                                totalAkuttW4(1,end+1)=totalAkutt(1,z-1)+1;
                                totalAkuttW4(2,end)=totalAkutt(2,z-1);
                            end
                        end
                    end

                else
                    %Vi legger pasienten ventelisten, vi m passe p  legge
                    %til rett tidspunkt
                    for b=length(gulePreW5(1,:)):-1:1
                        if b==length(gulePreW5(1,:))
                            if tid2>=gulePreW5(2,b)
                                break;
                            end
                        else
                            if tid2>=gulePreW5(2,b) && tid2<gulePreW5(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(gulePreW5(1,:))            
                        gulePreW5(1,end+1)=gulePreW5(1,end)+1;
                        gulePreW5(2,end)=tid2;
                    else
                        b=b+1;
                        gulePreKopi=zeros(2,length(gulePreW5(1,:))); %Lager en kopi
                        for z=b:1:length(gulePreW5(1,:))
                            gulePreKopi(1,z)=gulePreW5(1,z);
                            gulePreKopi(2,z)=gulePreW5(2,z);
                        end
                        for z=b:1:length(gulePreW5(1,:))+1
                            if z==b
                                gulePreW5(1,z)=gulePreW5(1,z-1)+1;
                                gulePreW5(2,z)=tid2;
                            elseif z<=length(gulePreW5(1,:))
                                gulePreW5(1,z)=gulePreKopi(1,z-1)+1;
                                gulePreW5(2,z)=gulePreKopi(2,z-1);
                            else
                                gulePreW5(1,end+1)=gulePreKopi(1,z-1)+1;
                                gulePreW5(2,end)=gulePreKopi(2,z-1);
                            end
                        end
                    end
                    for b=length(totalW5(1,:)):-1:1
                        if b==length(totalW5(1,:))
                            if tid2>=totalW5(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW5(2,b) && tid2<totalW5(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW5(1,:))            
                        totalW5(1,end+1)=totalW5(1,end)+1;
                        totalW5(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW5)); %Lager en kopi
                        for z=b:1:length(totalW5)
                            total(1,z)=totalW5(1,z);
                            total(2,z)=totalW5(2,z);
                        end
                        for z=b:1:length(totalW5)+1
                            if z==b
                                totalW5(1,z)=totalW5(1,z-1)+1;
                                totalW5(2,z)=tid2;
                            elseif z<=length(totalW5)
                                totalW5(1,z)=total(1,z-1)+1;
                                totalW5(2,z)=total(2,z-1);
                            else
                                totalW5(1,end+1)=total(1,z-1)+1;
                                totalW5(2,end)=total(2,z-1);
                            end
                        end
                    end
                    for b=length(totalAkuttW5(1,:)):-1:1
                        if b==length(totalAkuttW5(1,:))
                            if tid2>=totalAkuttW5(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW5(2,b) && tid2<totalAkuttW5(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW5(1,:))            
                        totalAkuttW5(1,end+1)=totalAkuttW5(1,end)+1;
                        totalAkuttW5(2,end)=tid2;
                    else
                        b=b+1;
                        totalAkutt=zeros(2,length(totalAkuttW5(1,:))); %Lager en kopi
                        for z=b:1:length(totalAkuttW5(1,:))
                            totalAkutt(1,z)=totalAkuttW5(1,z);
                            totalAkutt(2,z)=totalAkuttW5(2,z);
                        end
                        for z=b:1:length(totalAkuttW5(1,:))+1
                            if z==b
                                totalAkuttW5(1,z)=totalAkuttW5(1,z-1)+1;
                                totalAkuttW5(2,z)=tid2;
                            elseif z<=length(totalAkuttW5(1,:))
                                totalAkuttW5(1,z)=totalAkutt(1,z-1)+1;
                                totalAkuttW5(2,z)=totalAkutt(2,z-1);
                            else
                                totalAkuttW5(1,end+1)=totalAkutt(1,z-1)+1;
                                totalAkuttW5(2,end)=totalAkutt(2,z-1);
                            end
                        end


                    end
                end

                %Sletter ankomsten
                ankGul(1)=[];
            elseif tid2==ankGronn(1,1) %Grnn legges inn eller sendes hjem - leggges uansett p liste for skedulering til BVS (skeduleres neste dag), evt til AHL
                % Velger sengepost
                 ukedagSeng=mod(d,7);
                if ukedagSeng==0
                    ukedagSeng=7;
                end
                sengepost=randi(akutteSeng(ukedagSeng),1,1);
                if sengepost<=akutteOTS
                    %Vi legger pasienten ventelisten, vi m passe p  legge
                    %til rett tidspunkt
                    for b=length(gronnePreW1(1,:)):-1:1
                        if b==length(gronnePreW1(1,:))
                            if tid2>=gronnePreW1(2,b)
                                break;
                            end
                        else
                            if tid2>=gronnePreW1(2,b) && tid2<gronnePreW1(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(gronnePreW1(1,:))            
                        gronnePreW1(1,end+1)=gronnePreW1(1,end)+1;
                        gronnePreW1(2,end)=tid2;
                    else
                        b=b+1;
                        gronnePreKopi=zeros(2,length(gronnePreW1(1,:))); %Lager en kopi
                        for z=b:1:length(gronnePreW1(1,:))
                            gronnePreKopi(1,z)=gronnePreW1(1,z);
                            gronnePreKopi(2,z)=gronnePreW1(2,z);
                        end
                        for z=b:1:length(gronnePreW1(1,:))+1
                            if z==b
                                gronnePreW1(1,z)=gronnePreW1(1,z-1)+1;
                                gronnePreW1(2,z)=tid2;
                            elseif z<=length(gronnePreW1(1,:))
                                gronnePreW1(1,z)=gronnePreKopi(1,z-1)+1;
                                gronnePreW1(2,z)=gronnePreKopi(2,z-1);
                            else
                                gronnePreW1(1,end+1)=gronnePreKopi(1,z-1)+1;
                                gronnePreW1(2,end)=gronnePreKopi(2,z-1);
                            end
                        end
                    end
                    for b=length(totalW1(1,:)):-1:1
                        if b==length(totalW1(1,:))
                            if tid2>=totalW1(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW1(2,b) && tid2<totalW1(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW1(1,:))            
                        totalW1(1,end+1)=totalW1(1,end)+1;
                        totalW1(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW1(1,:))); %Lager en kopi
                        for z=b:1:length(totalW1(1,:))
                            total(1,z)=totalW1(1,z);
                            total(2,z)=totalW1(2,z);
                        end
                        for z=b:1:length(totalW1(1,:))+1
                            if z==b
                                totalW1(1,z)=totalW1(1,z-1)+1;
                                totalW1(2,z)=tid2;
                            elseif z<=length(totalW1(1,:))
                                totalW1(1,z)=total(1,z-1)+1;
                                totalW1(2,z)=total(2,z-1);
                            else
                                totalW1(1,end+1)=total(1,z-1)+1;
                                totalW1(2,end)=total(2,z-1);
                            end
                        end
                    end
                    for b=length(totalAkuttW1(1,:)):-1:1
                        if b==length(totalAkuttW1(1,:))
                            if tid2>=totalAkuttW1(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW1(2,b) && tid2<totalAkuttW1(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW1(1,:))            
                        totalAkuttW1(1,end+1)=totalAkuttW1(1,end)+1;
                        totalAkuttW1(2,end)=tid2;
                    else
                        b=b+1;
                        totalAkutt=zeros(2,length(totalAkuttW1(1,:))); %Lager en kopi
                        for z=b:1:length(totalAkuttW1(1,:))
                            totalAkutt(1,z)=totalAkuttW1(1,z);
                            totalAkutt(2,z)=totalAkuttW1(2,z);
                        end
                        for z=b:1:length(totalAkuttW1(1,:))+1
                            if z==b
                                totalAkuttW1(1,z)=totalAkuttW1(1,z-1)+1;
                                totalAkuttW1(2,z)=tid2;
                            elseif z<=length(totalAkuttW1(1,:))
                                totalAkuttW1(1,z)=totalAkutt(1,z-1)+1;
                                totalAkuttW1(2,z)=totalAkutt(2,z-1);
                            else
                                totalAkuttW1(1,end+1)=totalAkutt(1,z-1)+1;
                                totalAkuttW1(2,end)=totalAkutt(2,z-1);
                            end
                        end
                    end
                    post=1;
                elseif sengepost<=akutteORS
                    %Vi legger pasienten ventelisten, vi m passe p  legge
                    %til rett tidspunkt
                    for b=length(gronnePreW2(1,:)):-1:1
                        if b==length(gronnePreW2(1,:))
                            if tid2>=gronnePreW2(2,b)
                                break;
                            end
                        else
                            if tid2>=gronnePreW2(2,b) && tid2<gronnePreW2(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(gronnePreW2(1,:))            
                        gronnePreW2(1,end+1)=gronnePreW2(1,end)+1;
                        gronnePreW2(2,end)=tid2;
                    else
                        b=b+1;
                        gronnePreKopi=zeros(2,length(gronnePreW2(1,:))); %Lager en kopi
                        for z=b:1:length(gronnePreW2(1,:))
                            gronnePreKopi(1,z)=gronnePreW2(1,z);
                            gronnePreKopi(2,z)=gronnePreW2(2,z);
                        end
                        for z=b:1:length(gronnePreW2(1,:))+1
                            if z==b
                                gronnePreW2(1,z)=gronnePreW2(1,z-1)+1;
                                gronnePreW2(2,z)=tid2;
                            elseif z<=length(gronnePreW2(1,:))
                                gronnePreW2(1,z)=gronnePreKopi(1,z-1)+1;
                                gronnePreW2(2,z)=gronnePreKopi(2,z-1);
                            else
                                gronnePreW2(1,end+1)=gronnePreKopi(1,z-1)+1;
                                gronnePreW2(2,end)=gronnePreKopi(2,z-1);
                            end
                        end
                    end
                    for b=length(totalW2(1,:)):-1:1
                        if b==length(totalW2(1,:))
                            if tid2>=totalW2(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW2(2,b) && tid2<totalW2(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW2(1,:))            
                        totalW2(1,end+1)=totalW2(1,end)+1;
                        totalW2(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW2(1,:))); %Lager en kopi
                        for z=b:1:length(totalW2(1,:))
                            total(1,z)=totalW2(1,z);
                            total(2,z)=totalW2(2,z);
                        end
                        for z=b:1:length(totalW2(1,:))+1
                            if z==b
                                totalW2(1,z)=totalW2(1,z-1)+1;
                                totalW2(2,z)=tid2;
                            elseif z<=length(totalW2(1,:))
                                totalW2(1,z)=total(1,z-1)+1;
                                totalW2(2,z)=total(2,z-1);
                            else
                                totalW2(1,end+1)=total(1,z-1)+1;
                                totalW2(2,end)=total(2,z-1);
                            end
                        end
                    end
                    for b=length(totalAkuttW2(1,:)):-1:1
                        if b==length(totalAkuttW2(1,:))
                            if tid2>=totalAkuttW2(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW2(2,b) && tid2<totalAkuttW2(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW2(1,:))            
                        totalAkuttW2(1,end+1)=totalAkuttW2(1,end)+1;
                        totalAkuttW2(2,end)=tid2;
                    else
                        b=b+1;
                        totalAkutt=zeros(2,length(totalAkuttW2(1,:))); %Lager en kopi
                        for z=b:1:length(totalAkuttW2(1,:))
                            totalAkutt(1,z)=totalAkuttW2(1,z);
                            totalAkutt(2,z)=totalAkuttW2(2,z);
                        end
                        for z=b:1:length(totalAkuttW2(1,:))+1
                            if z==b
                                totalAkuttW2(1,z)=totalAkuttW2(1,z-1)+1;
                                totalAkuttW2(2,z)=tid2;
                            elseif z<=length(totalAkuttW2(1,:))
                                totalAkuttW2(1,z)=totalAkutt(1,z-1)+1;
                                totalAkuttW2(2,z)=totalAkutt(2,z-1);
                            else
                                totalAkuttW2(1,end+1)=totalAkutt(1,z-1)+1;
                                totalAkuttW2(2,end)=totalAkutt(2,z-1);
                            end
                        end
                    end
                    post=2;
                elseif sengepost<=akutteOES
                    %Vi legger pasienten ventelisten, vi m passe p  legge
                    %til rett tidspunkt
                    for b=length(gronnePreW3(1,:)):-1:1
                        if b==length(gronnePreW3(1,:))
                            if tid2>=gronnePreW3(2,b)
                                break;
                            end
                        else
                            if tid2>=gronnePreW3(2,b) && tid2<gronnePreW3(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(gronnePreW3(1,:))            
                        gronnePreW3(1,end+1)=gronnePreW3(1,end)+1;
                        gronnePreW3(2,end)=tid2;
                    else
                        b=b+1;
                        gronnePreKopi=zeros(2,length(gronnePreW3(1,:))); %Lager en kopi
                        for z=b:1:length(gronnePreW3(1,:))
                            gronnePreKopi(1,z)=gronnePreW3(1,z);
                            gronnePreKopi(2,z)=gronnePreW3(2,z);
                        end
                        for z=b:1:length(gronnePreW3(1,:))+1
                            if z==b
                                gronnePreW3(1,z)=gronnePreW3(1,z-1)+1;
                                gronnePreW3(2,z)=tid2;
                            elseif z<=length(gronnePreW3(1,:))
                                gronnePreW3(1,z)=gronnePreKopi(1,z-1)+1;
                                gronnePreW3(2,z)=gronnePreKopi(2,z-1);
                            else
                                gronnePreW3(1,end+1)=gronnePreKopi(1,z-1)+1;
                                gronnePreW3(2,end)=gronnePreKopi(2,z-1);
                            end
                        end
                    end
                    for b=length(totalW3(1,:)):-1:1
                        if b==length(totalW3(1,:))
                            if tid2>=totalW3(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW3(2,b) && tid2<totalW3(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW3(1,:))            
                        totalW3(1,end+1)=totalW3(1,end)+1;
                        totalW3(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW3(1,:))); %Lager en kopi
                        for z=b:1:length(totalW3(1,:))
                            total(1,z)=totalW3(1,z);
                            total(2,z)=totalW3(2,z);
                        end
                        for z=b:1:length(totalW3(1,:))+1
                            if z==b
                                totalW3(1,z)=totalW3(1,z-1)+1;
                                totalW3(2,z)=tid2;
                            elseif z<=length(totalW3(1,:))
                                totalW3(1,z)=total(1,z-1)+1;
                                totalW3(2,z)=total(2,z-1);
                            else
                                totalW3(1,end+1)=total(1,z-1)+1;
                                totalW3(2,end)=total(2,z-1);
                            end
                        end
                    end
                    for b=length(totalAkuttW3(1,:)):-1:1
                        if b==length(totalAkuttW3(1,:))
                            if tid2>=totalAkuttW3(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW3(2,b) && tid2<totalAkuttW3(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW3(1,:))            
                        totalAkuttW3(1,end+1)=totalAkuttW3(1,end)+1;
                        totalAkuttW3(2,end)=tid2;
                    else
                        b=b+1;
                        totalAkutt=zeros(2,length(totalAkuttW3(1,:))); %Lager en kopi
                        for z=b:1:length(totalAkuttW3(1,:))
                            totalAkutt(1,z)=totalAkuttW3(1,z);
                            totalAkutt(2,z)=totalAkuttW3(2,z);
                        end
                        for z=b:1:length(totalAkuttW3(1,:))+1
                            if z==b
                                totalAkuttW3(1,z)=totalAkuttW3(1,z-1)+1;
                                totalAkuttW3(2,z)=tid2;
                            elseif z<=length(totalAkuttW3(1,:))
                                totalAkuttW3(1,z)=totalAkutt(1,z-1)+1;
                                totalAkuttW3(2,z)=totalAkutt(2,z-1);
                            else
                                totalAkuttW3(1,end+1)=totalAkutt(1,z-1)+1;
                                totalAkuttW3(2,end)=totalAkutt(2,z-1);
                            end
                        end
                    end
                    post=3;
                elseif sengepost<=akutteOFT
                    %Vi legger pasienten ventelisten, vi m passe p  legge
                    %til rett tidspunkt
                    for b=length(gronnePreW4(1,:)):-1:1
                        if b==length(gronnePreW4(1,:))
                            if tid2>=gronnePreW4(2,b)
                                break;
                            end
                        else
                            if tid2>=gronnePreW4(2,b) && tid2<gronnePreW4(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(gronnePreW4(1,:))            
                        gronnePreW4(1,end+1)=gronnePreW4(1,end)+1;
                        gronnePreW4(2,end)=tid2;
                    else
                        b=b+1;
                        gronnePreKopi=zeros(2,length(gronnePreW4(1,:))); %Lager en kopi
                        for z=b:1:length(gronnePreW4(1,:))
                            gronnePreKopi(1,z)=gronnePreW4(1,z);
                            gronnePreKopi(2,z)=gronnePreW4(2,z);
                        end
                        for z=b:1:length(gronnePreW4(1,:))+1
                            if z==b
                                gronnePreW4(1,z)=gronnePreW4(1,z-1)+1;
                                gronnePreW4(2,z)=tid2;
                            elseif z<=length(gronnePreW4(1,:))
                                gronnePreW4(1,z)=gronnePreKopi(1,z-1)+1;
                                gronnePreW4(2,z)=gronnePreKopi(2,z-1);
                            else
                                gronnePreW4(1,end+1)=gronnePreKopi(1,z-1)+1;
                                gronnePreW4(2,end)=gronnePreKopi(2,z-1);
                            end
                        end
                    end
                    for b=length(totalW4(1,:)):-1:1
                        if b==length(totalW4(1,:))
                            if tid2>=totalW4(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW4(2,b) && tid2<totalW4(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW4(1,:))            
                        totalW4(1,end+1)=totalW4(1,end)+1;
                        totalW4(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW4)); %Lager en kopi
                        for z=b:1:length(totalW4)
                            total(1,z)=totalW4(1,z);
                            total(2,z)=totalW4(2,z);
                        end
                        for z=b:1:length(totalW4)+1
                            if z==b
                                totalW4(1,z)=totalW4(1,z-1)+1;
                                totalW4(2,z)=tid2;
                            elseif z<=length(totalW4)
                                totalW4(1,z)=total(1,z-1)+1;
                                totalW4(2,z)=total(2,z-1);
                            else
                                totalW4(1,end+1)=total(1,z-1)+1;
                                totalW4(2,end)=total(2,z-1);
                            end
                        end
                    end
                    for b=length(totalAkuttW4(1,:)):-1:1
                        if b==length(totalAkuttW4(1,:))
                            if tid2>=totalAkuttW4(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW4(2,b) && tid2<totalAkuttW4(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW4(1,:))            
                        totalAkuttW4(1,end+1)=totalAkuttW4(1,end)+1;
                        totalAkuttW4(2,end)=tid2;
                    else
                        b=b+1;
                        totalAkutt=zeros(2,length(totalAkuttW4(1,:))); %Lager en kopi
                        for z=b:1:length(totalAkuttW4(1,:))
                            totalAkutt(1,z)=totalAkuttW4(1,z);
                            totalAkutt(2,z)=totalAkuttW4(2,z);
                        end
                        for z=b:1:length(totalAkuttW4(1,:))+1
                            if z==b
                                totalAkuttW4(1,z)=totalAkuttW4(1,z-1)+1;
                                totalAkuttW4(2,z)=tid2;
                            elseif z<=length(totalAkuttW4(1,:))
                                totalAkuttW4(1,z)=totalAkutt(1,z-1)+1;
                                totalAkuttW4(2,z)=totalAkutt(2,z-1);
                            else
                                totalAkuttW4(1,end+1)=totalAkutt(1,z-1)+1;
                                totalAkuttW4(2,end)=totalAkutt(2,z-1);
                            end
                        end
                    end
                    post=4;
                else
                    %Vi legger pasienten ventelisten, vi m passe p  legge
                    %til rett tidspunkt
                    for b=length(gronnePreW5(1,:)):-1:1
                        if b==length(gronnePreW5(1,:))
                            if tid2>=gronnePreW5(2,b)
                                break;
                            end
                        else
                            if tid2>=gronnePreW5(2,b) && tid2<gronnePreW5(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(gronnePreW5(1,:))            
                        gronnePreW5(1,end+1)=gronnePreW5(1,end)+1;
                        gronnePreW5(2,end)=tid2;
                    else
                        b=b+1;
                        gronnePreKopi=zeros(2,length(gronnePreW5(1,:))); %Lager en kopi
                        for z=b:1:length(gronnePreW5(1,:))
                            gronnePreKopi(1,z)=gronnePreW5(1,z);
                            gronnePreKopi(2,z)=gronnePreW5(2,z);
                        end
                        for z=b:1:length(gronnePreW5(1,:))+1
                            if z==b
                                gronnePreW5(1,z)=gronnePreW5(1,z-1)+1;
                                gronnePreW5(2,z)=tid2;
                            elseif z<=length(gronnePreW5(1,:))
                                gronnePreW5(1,z)=gronnePreKopi(1,z-1)+1;
                                gronnePreW5(2,z)=gronnePreKopi(2,z-1);
                            else
                                gronnePreW5(1,end+1)=gronnePreKopi(1,z-1)+1;
                                gronnePreW5(2,end)=gronnePreKopi(2,z-1);
                            end
                        end
                    end
                    for b=length(totalW5(1,:)):-1:1
                        if b==length(totalW5(1,:))
                            if tid2>=totalW5(2,b)
                                break;
                            end
                        else
                            if tid2>=totalW5(2,b) && tid2<totalW5(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalW5(1,:))            
                        totalW5(1,end+1)=totalW5(1,end)+1;
                        totalW5(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalW5)); %Lager en kopi
                        for z=b:1:length(totalW5)
                            total(1,z)=totalW5(1,z);
                            total(2,z)=totalW5(2,z);
                        end
                        for z=b:1:length(totalW5)+1
                            if z==b
                                totalW5(1,z)=totalW5(1,z-1)+1;
                                totalW5(2,z)=tid2;
                            elseif z<=length(totalW5)
                                totalW5(1,z)=total(1,z-1)+1;
                                totalW5(2,z)=total(2,z-1);
                            else
                                totalW5(1,end+1)=total(1,z-1)+1;
                                totalW5(2,end)=total(2,z-1);
                            end
                        end
                    end
                    for b=length(totalAkuttW5(1,:)):-1:1
                        if b==length(totalAkuttW5(1,:))
                            if tid2>=totalAkuttW5(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW5(2,b) && tid2<totalAkuttW5(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW5(1,:))            
                        totalAkuttW5(1,end+1)=totalAkuttW5(1,end)+1;
                        totalAkuttW5(2,end)=tid2;
                    else
                        b=b+1;
                        totalAkutt=zeros(2,length(totalAkuttW5(1,:))); %Lager en kopi
                        for z=b:1:length(totalAkuttW5(1,:))
                            totalAkutt(1,z)=totalAkuttW5(1,z);
                            totalAkutt(2,z)=totalAkuttW5(2,z);
                        end
                        for z=b:1:length(totalAkuttW5(1,:))+1
                            if z==b
                                totalAkuttW5(1,z)=totalAkuttW5(1,z-1)+1;
                                totalAkuttW5(2,z)=tid2;
                            elseif z<=length(totalAkuttW5(1,:))
                                totalAkuttW5(1,z)=totalAkutt(1,z-1)+1;
                                totalAkuttW5(2,z)=totalAkutt(2,z-1);
                            else
                                totalAkuttW5(1,end+1)=totalAkutt(1,z-1)+1;
                                totalAkuttW5(2,end)=totalAkutt(2,z-1);
                            end
                        end


                    end
                    post=5;
                end


                %Pasientent legges p liste for  bli skedulert
                gronnListeSkedulering(1,end+1)=ankGronn(1);
                gronnListeSkeduleringSeng(1,end+1)=post;
                %Sletter ankomsten
                ankGronn(1)=[];

            elseif tid2==ankGronnDK(1,1) %Grnne DK-pasienter - pasienten sendes hjem, ikke sengepost
                %Pasientent legges p liste for  bli skedulert
                gronnDKListeSkedulering(1,end+1)=ankGronnDK(1);

                % Legger pasienten i k (hjemme)
                for b=length(gronneDKHjemme(1,:)):-1:1
                    if b==length(gronneDKHjemme(1,:))
                        if tid2>=gronneDKHjemme(2,b)
                            break;
                        end
                    else
                        if tid2>=gronneDKHjemme(2,b) && tid2<gronneDKHjemme(2,b+1)
                            break;
                        end
                    end
                end

                if b==length(gronneDKHjemme(1,:))            
                    gronneDKHjemme(1,end+1)=gronneDKHjemme(1,end)+1;
                    gronneDKHjemme(2,end)=tid2;
                else
                    b=b+1;
                    total=zeros(2,length(gronneDKHjemme)); %Lager en kopi
                    for z=b:1:length(gronneDKHjemme)
                        total(1,z)=gronneDKHjemme(1,z);
                        total(2,z)=gronneDKHjemme(2,z);
                    end
                    for z=b:1:length(gronneDKHjemme)+1
                        if z==b
                            gronneDKHjemme(1,z)=gronneDKHjemme(1,z-1)+1;
                            gronneDKHjemme(2,z)=tid2;
                        elseif z<=length(gronneDKHjemme)
                            gronneDKHjemme(1,z)=total(1,z-1)+1;
                            gronneDKHjemme(2,z)=total(2,z-1);
                        else
                            gronneDKHjemme(1,end+1)=total(1,z-1)+1;
                            gronneDKHjemme(2,end)=total(2,z-1);
                        end
                    end
                end
                %Sletter ankomsten
                ankGronnDK(1)=[];

            elseif tid2==OR1Klar %Se etter ledige pasienter, ta pasient ut fra pre, trekk tid for OP, trekk tid for sengepost

                %Se om rd til stede p sengeposter
                tellerSeng=0;
                indeksW1=0;
                indeksW2=0;
                indeksW3=0;
                indeksW4=0;
                indeksW5=0;
                rodeVenter=[];

                if rodePreW1(1,end)>0
                    while tellerSeng<rodePreW1(1,end)
                        if rodePreW1(1,end-indeksW1)>rodePreW1(1,end-indeksW1-1) %vi ser en ankomst
                            tellerSeng=tellerSeng+1;
                        end
                        if tellerSeng==rodePreW1(1,end)
                            indeksW1=indeksW1;
                        else
                        indeksW1=indeksW1+1;
                        end
                    end
                    rodeVenter(1,end+1)=rodePreW1(2,end-indeksW1);
                    tellerSeng=0;
                end

                if rodePreW2(1,end)>0
                    while tellerSeng<rodePreW2(1,end)
                        if rodePreW2(1,end-indeksW2)>rodePreW2(1,end-indeksW2-1) %vi ser en ankomst
                            tellerSeng=tellerSeng+1;
                        end
                        if tellerSeng==rodePreW2(1,end)
                            indeksW2=indeksW2;
                        else
                        indeksW2=indeksW2+1;
                        end
                    end
                    rodeVenter(1,end+1)=rodePreW2(2,end-indeksW2);
                    tellerSeng=0;
                end

                if rodePreW3(1,end)>0
                    while tellerSeng<rodePreW3(1,end)
                        if rodePreW3(1,end-indeksW3)>rodePreW3(1,end-indeksW3-1) %vi ser en ankomst
                            tellerSeng=tellerSeng+1;
                        end
                        if tellerSeng==rodePreW3(1,end)
                            indeksW3=indeksW3;
                        else
                        indeksW3=indeksW3+1;
                        end
                    end
                    rodeVenter(1,end+1)=rodePreW3(2,end-indeksW3);
                    tellerSeng=0;
                end

                if rodePreW4(1,end)>0
                    while tellerSeng<rodePreW4(1,end)
                        if rodePreW4(1,end-indeksW4)>rodePreW4(1,end-indeksW4-1) %vi ser en ankomst
                            tellerSeng=tellerSeng+1;
                        end
                        if tellerSeng==rodePreW4(1,end)
                            indeksW4=indeksW4;
                        else
                        indeksW4=indeksW4+1;
                        end
                    end
                    rodeVenter(1,end+1)=rodePreW4(2,end-indeksW4);
                    tellerSeng=0;
                end

                if rodePreW5(1,end)>0
                    while tellerSeng<rodePreW5(1,end)
                        if rodePreW5(1,end-indeksW5)>rodePreW5(1,end-indeksW5-1) %vi ser en ankomst
                            tellerSeng=tellerSeng+1;
                        end
                        if tellerSeng==rodePreW5(1,end)
                            indeksW5=indeksW5;
                        else
                        indeksW5=indeksW5+1;
                        end
                    end
                    rodeVenter(1,end+1)=rodePreW5(2,end-indeksW5);
                    tellerSeng=0;
                end

                if length(rodeVenter)~=0 %Det ligger rde og venter
                    rodAdgang=rand;
                    if rodAdgang<=rodNatt %Vi fr tilgang til operasjonsrommet
                        rodeVenter=sort(rodeVenter);
                        tellerAntallAHL1=tellerAntallAHL1+1;
                        if rodeVenter(1,1)==rodePreW1(2,end-indeksW1)

                            %Vi fjerner pasienten fra ventelisten 
                            rodePreW1(1,end+1)=rodePreW1(1,end)-1;
                            rodePreW1(2,end)=tid2;

                            %Finner ventetid til operasjon, legger til den
                            %tiden det tar  trille ned pasienten
                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                            ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                            ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                            ventetiderRode(2,end)=tid2;

                            %Trekker operasjonstid og oppdaterer tid for ferdig
                            if lognorm==1                                     
                                stuetid=min(400,lognrnd(muRod,sigmaRod));                                 
                            else
                                trekkStue=randi(length(stuetidRod(~isnan(stuetidRod))));                                     
                                stuetid=min(400,stuetidRod(trekkStue));                                 
                            end
                            OR1Klar=tid2+kjoreNed+stuetid;

                            %Trekker liggetid p sengepost
                            if LOS_fordeling==1
                                liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                            else
                                liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                            end
                            utW1(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                            utAkuttW1(1,end+1)=utW1(1,end);

                        elseif rodeVenter(1,1)==rodePreW2(2,end-indeksW2)
                            %Vi fjerner pasienten fra ventelisten 
                            rodePreW2(1,end+1)=rodePreW2(1,end)-1;
                            rodePreW2(2,end)=tid2;

                            %Finner ventetid til operasjon, legger til den
                            %tiden det tar  trille ned pasienten
                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                            ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                            ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                            ventetiderRode(2,end)=tid2;

                            %Trekker operasjonstid og oppdaterer tid for ferdig
                            if lognorm==1                                     
                                stuetid=min(400,lognrnd(muRod,sigmaRod));                                 
                            else
                                trekkStue=randi(length(stuetidRod(~isnan(stuetidRod))));                                     
                                stuetid=min(400,stuetidRod(trekkStue));                                 
                            end
                            OR1Klar=tid2+kjoreNed+stuetid;

                            %Trekker liggetid p sengepost
                            if LOS_fordeling==1
                                liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                            else
                                liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                            end
                            utW2(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                            utAkuttW2(1,end+1)=utW2(1,end);

                        elseif rodeVenter(1,1)==rodePreW3(2,end-indeksW3)
                            %Vi fjerner pasienten fra ventelisten 
                            rodePreW3(1,end+1)=rodePreW3(1,end)-1;
                            rodePreW3(2,end)=tid2;

                            %Finner ventetid til operasjon, legger til den
                            %tiden det tar  trille ned pasienten
                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                            ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                            ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                            ventetiderRode(2,end)=tid2;

                            %Trekker operasjonstid og oppdaterer tid for ferdig
                            if lognorm==1                                     
                                stuetid=min(400,lognrnd(muRod,sigmaRod));                                 
                            else
                                trekkStue=randi(length(stuetidRod(~isnan(stuetidRod))));                                     
                                stuetid=min(400,stuetidRod(trekkStue));                                 
                            end
                            OR1Klar=tid2+kjoreNed+stuetid;

                            %Trekker liggetid p sengepost
                            if LOS_fordeling==1
                                liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                            else
                                liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                            end
                            utW3(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                            utAkuttW3(1,end+1)=utW3(1,end);

                        elseif rodeVenter(1,1)==rodePreW4(2,end-indeksW4)
                            %Vi fjerner pasienten fra ventelisten 
                            rodePreW4(1,end+1)=rodePreW4(1,end)-1;
                            rodePreW4(2,end)=tid2;

                            %Finner ventetid til operasjon, legger til den
                            %tiden det tar  trille ned pasienten
                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                            ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                            ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                            ventetiderRode(2,end)=tid2;

                            %Trekker operasjonstid og oppdaterer tid for ferdig
                            if lognorm==1                                     
                                stuetid=min(400,lognrnd(muRod,sigmaRod));                                 
                            else
                                trekkStue=randi(length(stuetidRod(~isnan(stuetidRod))));                                     
                                stuetid=min(400,stuetidRod(trekkStue));                                 
                            end
                            OR1Klar=tid2+kjoreNed+stuetid;

                            %Trekker liggetid p sengepost
                            if LOS_fordeling==1
                                liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                            else
                                liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                            end
                            utW4(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natten
                            utAkuttW4(1,end+1)=utW4(1,end);

                        elseif rodeVenter(1,1)==rodePreW5(2,end-indeksW5)
                            %Vi fjerner pasienten fra ventelisten 
                            rodePreW5(1,end+1)=rodePreW5(1,end)-1;
                            rodePreW5(2,end)=tid2;

                            %Finner ventetid til operasjon, legger til den
                            %tiden det tar  trille ned pasienten
                            kjoreNed=max(vask,normrnd(ventetidPasientFraPost,stdVentetid));
                            
                            ledigStuetidAHL(1,d)=ledigStuetidAHL(1,d)+kjoreNed-vask;
                            ventetiderRode(1,end+1)=tid2-rodeVenter(1,1)+kjoreNed;
                            ventetiderRode(2,end)=tid2;

                            %Trekker operasjonstid og oppdaterer tid for ferdig
                            if lognorm==1                                     
                                stuetid=min(400,lognrnd(muRod,sigmaRod));                                 
                            else
                                trekkStue=randi(length(stuetidRod(~isnan(stuetidRod))));                                     
                                stuetid=min(400,stuetidRod(trekkStue));                                 
                            end
                            OR1Klar=tid2+kjoreNed+stuetid;

                            %Trekker liggetid p sengepost
                            if LOS_fordeling==1
                                liggetid=1440*randi([LOS_Rod-2,LOS_Rod+2],1,1);
                            else
                                liggetid=1440*max(1,round(random(pdAkutte)-guleOgRodeFor));
                            end
                            utW5(1,end+1)=OR1Klar-(mod(OR1Klar,1440)-12*60)+liggetid +randi(100); %Legger til 480 slik at man ikke blir skrevet ut p natt
                            utAkuttW5(1,end+1)=utW5(1,end);

                        end
                    else % Vi fr ikke tilgang til operasjonsrommet
                        if lognorm==1
                            OR1Klar=tid2+lognrnd(muKir,stdKir); 
                        else
                            trekkStue=randi(length(stuetidGronn(~isnan(stuetidGronn)))); 
                            stuetid=min(400,stuetidGronn(trekkStue));
                            OR1Klar=tid2 + stuetid;
                        end
                    end
                else %Ingen rde til stede
                    OR1Klar=min(1441+1440*(d-1),ankRod(1,1)+1);

                end
            elseif tid2==utW1(1,1) %Oppdaterer antall p sengepost
                for b=length(totalW1(1,:)):-1:1
                    if b==length(totalW1(1,:))
                        if tid2>=totalW1(2,b)
                            break;
                        end
                    else
                        if tid2>=totalW1(2,b) && tid2<totalW1(2,b+1)
                            break;
                        end
                    end
                end

                if b==length(totalW1(1,:))            
                    totalW1(1,end+1)=totalW1(1,end)-1;
                    totalW1(2,end)=tid2;
                else
                    b=b+1;
                    total=zeros(2,length(totalW1)); %Lager en kopi
                    for z=b:1:length(totalW1)
                        total(1,z)=totalW1(1,z);
                        total(2,z)=totalW1(2,z);
                    end
                    for z=b:1:length(totalW1)+1
                        if z==b
                            totalW1(1,z)=totalW1(1,z-1)-1;
                            totalW1(2,z)=tid2;
                        elseif z<=length(totalW1)
                            totalW1(1,z)=total(1,z-1)-1;
                            totalW1(2,z)=total(2,z-1);
                        else
                            totalW1(1,end+1)=total(1,z-1)-1;
                            totalW1(2,end)=total(2,z-1);
                        end
                    end
                end
                if utAkuttW1(1,1)==utW1(1,1)
                    for b=length(totalAkuttW1(1,:)):-1:1
                        if b==length(totalAkuttW1(1,:))
                            if tid2>=totalAkuttW1(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW1(2,b) && tid2<totalAkuttW1(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW1(1,:))            
                        totalAkuttW1(1,end+1)=totalAkuttW1(1,end)-1;
                        totalAkuttW1(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalAkuttW1)); %Lager en kopi
                        for z=b:1:length(totalAkuttW1)
                            total(1,z)=totalAkuttW1(1,z);
                            total(2,z)=totalAkuttW1(2,z);
                        end
                        for z=b:1:length(totalAkuttW1)+1
                            if z==b
                                totalAkuttW1(1,z)=totalAkuttW1(1,z-1)-1;
                                totalAkuttW1(2,z)=tid2;
                            elseif z<=length(totalAkuttW1)
                                totalAkuttW1(1,z)=total(1,z-1)-1;
                                totalAkuttW1(2,z)=total(2,z-1);
                            else
                                totalAkuttW1(1,end+1)=total(1,z-1)-1;
                                totalAkuttW1(2,end)=total(2,z-1);
                            end
                        end
                    end
                    utAkuttW1(1)=[];
                end
                utW1(1)=[];
            elseif tid2==utW2(1,1) %Oppdaterer antall p sengepost
                for b=length(totalW2(1,:)):-1:1
                    if b==length(totalW2(1,:))
                        if tid2>=totalW2(2,b)
                            break;
                        end
                    else
                        if tid2>=totalW2(2,b) && tid2<totalW2(2,b+1)
                            break;
                        end
                    end
                end

                if b==length(totalW2(1,:))            
                    totalW2(1,end+1)=totalW2(1,end)-1;
                    totalW2(2,end)=tid2;
                else
                    b=b+1;
                    total=zeros(2,length(totalW2)); %Lager en kopi
                    for z=b:1:length(totalW2)
                        total(1,z)=totalW2(1,z);
                        total(2,z)=totalW2(2,z);
                    end
                    for z=b:1:length(totalW2)+1
                        if z==b
                            totalW2(1,z)=totalW2(1,z-1)-1;
                            totalW2(2,z)=tid2;
                        elseif z<=length(totalW2)
                            totalW2(1,z)=total(1,z-1)-1;
                            totalW2(2,z)=total(2,z-1);
                        else
                            totalW2(1,end+1)=total(1,z-1)-1;
                            totalW2(2,end)=total(2,z-1);
                        end
                    end
                end
                if utAkuttW2(1,1)==utW2(1,1)
                    for b=length(totalAkuttW2(1,:)):-1:1
                        if b==length(totalAkuttW2(1,:))
                            if tid2>=totalAkuttW2(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW2(2,b) && tid2<totalAkuttW2(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW2(1,:))            
                        totalAkuttW2(1,end+1)=totalAkuttW2(1,end)-1;
                        totalAkuttW2(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalAkuttW2)); %Lager en kopi
                        for z=b:1:length(totalAkuttW2)
                            total(1,z)=totalAkuttW2(1,z);
                            total(2,z)=totalAkuttW2(2,z);
                        end
                        for z=b:1:length(totalAkuttW2)+1
                            if z==b
                                totalAkuttW2(1,z)=totalAkuttW2(1,z-1)-1;
                                totalAkuttW2(2,z)=tid2;
                            elseif z<=length(totalAkuttW2)
                                totalAkuttW2(1,z)=total(1,z-1)-1;
                                totalAkuttW2(2,z)=total(2,z-1);
                            else
                                totalAkuttW2(1,end+1)=total(1,z-1)-1;
                                totalAkuttW2(2,end)=total(2,z-1);
                            end
                        end
                    end
                    utAkuttW2(1)=[];
                end
                utW2(1)=[];
            elseif tid2==utW3(1,1) %Oppdaterer antall p sengepost
                for b=length(totalW3(1,:)):-1:1
                    if b==length(totalW3(1,:))
                        if tid2>=totalW3(2,b)
                            break;
                        end
                    else
                        if tid2>=totalW3(2,b) && tid2<totalW3(2,b+1)
                            break;
                        end
                    end
                end

                if b==length(totalW3(1,:))            
                    totalW3(1,end+1)=totalW3(1,end)-1;
                    totalW3(2,end)=tid2;
                else
                    b=b+1;
                    total=zeros(2,length(totalW3)); %Lager en kopi
                    for z=b:1:length(totalW3)
                        total(1,z)=totalW3(1,z);
                        total(2,z)=totalW3(2,z);
                    end
                    for z=b:1:length(totalW3)+1
                        if z==b
                            totalW3(1,z)=totalW3(1,z-1)-1;
                            totalW3(2,z)=tid2;
                        elseif z<=length(totalW3)
                            totalW3(1,z)=total(1,z-1)-1;
                            totalW3(2,z)=total(2,z-1);
                        else
                            totalW3(1,end+1)=total(1,z-1)-1;
                            totalW3(2,end)=total(2,z-1);
                        end
                    end
                end
                if utAkuttW3(1,1)==utW3(1,1)
                    for b=length(totalAkuttW3(1,:)):-1:1
                        if b==length(totalAkuttW3(1,:))
                            if tid2>=totalAkuttW3(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW3(2,b) && tid2<totalAkuttW3(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW3(1,:))            
                        totalAkuttW3(1,end+1)=totalAkuttW3(1,end)-1;
                        totalAkuttW3(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalAkuttW3)); %Lager en kopi
                        for z=b:1:length(totalAkuttW3)
                            total(1,z)=totalAkuttW3(1,z);
                            total(2,z)=totalAkuttW3(2,z);
                        end
                        for z=b:1:length(totalAkuttW3)+1
                            if z==b
                                totalAkuttW3(1,z)=totalAkuttW3(1,z-1)-1;
                                totalAkuttW3(2,z)=tid2;
                            elseif z<=length(totalAkuttW3)
                                totalAkuttW3(1,z)=total(1,z-1)-1;
                                totalAkuttW3(2,z)=total(2,z-1);
                            else
                                totalAkuttW3(1,end+1)=total(1,z-1)-1;
                                totalAkuttW3(2,end)=total(2,z-1);
                            end
                        end
                    end
                    utAkuttW3(1)=[];
                end
                utW3(1)=[];
            elseif tid2==utW4(1,1) %Oppdaterer antall p sengepost

                for b=length(totalW4(1,:)):-1:1
                    if b==length(totalW4(1,:))
                        if tid2>=totalW4(2,b)
                            break;
                        end
                    else
                        if tid2>=totalW4(2,b) && tid2<totalW4(2,b+1)
                            break;
                        end
                    end
                end

                if b==length(totalW4(1,:))            
                    totalW4(1,end+1)=totalW4(1,end)-1;
                    totalW4(2,end)=tid2;
                else
                    b=b+1;
                    total=zeros(2,length(totalW4)); %Lager en kopi
                    for z=b:1:length(totalW4)
                        total(1,z)=totalW4(1,z);
                        total(2,z)=totalW4(2,z);
                    end
                    for z=b:1:length(totalW4)+1
                        if z==b
                            totalW4(1,z)=totalW4(1,z-1)-1;
                            totalW4(2,z)=tid2;
                        elseif z<=length(totalW4)
                            totalW4(1,z)=total(1,z-1)-1;
                            totalW4(2,z)=total(2,z-1);
                        else
                            totalW4(1,end+1)=total(1,z-1)-1;
                            totalW4(2,end)=total(2,z-1);
                        end
                    end
                end
                if utAkuttW4(1,1)==utW4(1,1)
                    for b=length(totalAkuttW4(1,:)):-1:1
                        if b==length(totalAkuttW4(1,:))
                            if tid2>=totalAkuttW4(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW4(2,b) && tid2<totalAkuttW4(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW4(1,:))            
                        totalAkuttW4(1,end+1)=totalAkuttW4(1,end)-1;
                        totalAkuttW4(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalAkuttW4)); %Lager en kopi
                        for z=b:1:length(totalAkuttW4)
                            total(1,z)=totalAkuttW4(1,z);
                            total(2,z)=totalAkuttW4(2,z);
                        end
                        for z=b:1:length(totalAkuttW4)+1
                            if z==b
                                totalAkuttW4(1,z)=totalAkuttW4(1,z-1)-1;
                                totalAkuttW4(2,z)=tid2;
                            elseif z<=length(totalAkuttW4)
                                totalAkuttW4(1,z)=total(1,z-1)-1;
                                totalAkuttW4(2,z)=total(2,z-1);
                            else
                                totalAkuttW4(1,end+1)=total(1,z-1)-1;
                                totalAkuttW4(2,end)=total(2,z-1);
                            end
                        end
                    end
                    utAkuttW4(1)=[];
                end
                utW4(1)=[];
            elseif tid2==utW5(1,1) %Oppdaterer antall p sengepost
                for b=length(totalW5(1,:)):-1:1
                    if b==length(totalW5(1,:))
                        if tid2>=totalW5(2,b)
                            break;
                        end
                    else
                        if tid2>=totalW5(2,b) && tid2<totalW5(2,b+1)
                            break;
                        end
                    end
                end

                if b==length(totalW5(1,:))            
                    totalW5(1,end+1)=totalW5(1,end)-1;
                    totalW5(2,end)=tid2;
                else
                    b=b+1;
                    total=zeros(2,length(totalW5)); %Lager en kopi
                    for z=b:1:length(totalW5)
                        total(1,z)=totalW5(1,z);
                        total(2,z)=totalW5(2,z);
                    end
                    for z=b:1:length(totalW5)+1
                        if z==b
                            totalW5(1,z)=totalW5(1,z-1)-1;
                            totalW5(2,z)=tid2;
                        elseif z<=length(totalW5)
                            totalW5(1,z)=total(1,z-1)-1;
                            totalW5(2,z)=total(2,z-1);
                        else
                            totalW5(1,end+1)=total(1,z-1)-1;
                            totalW5(2,end)=total(2,z-1);
                        end
                    end
                end
                if utAkuttW5(1,1)==utW5(1,1)
                    for b=length(totalAkuttW5(1,:)):-1:1
                        if b==length(totalAkuttW5(1,:))
                            if tid2>=totalAkuttW5(2,b)
                                break;
                            end
                        else
                            if tid2>=totalAkuttW5(2,b) && tid2<totalAkuttW5(2,b+1)
                                break;
                            end
                        end
                    end

                    if b==length(totalAkuttW5(1,:))            
                        totalAkuttW5(1,end+1)=totalAkuttW5(1,end)-1;
                        totalAkuttW5(2,end)=tid2;
                    else
                        b=b+1;
                        total=zeros(2,length(totalAkuttW5)); %Lager en kopi
                        for z=b:1:length(totalAkuttW5)
                            total(1,z)=totalAkuttW5(1,z);
                            total(2,z)=totalAkuttW5(2,z);
                        end
                        for z=b:1:length(totalAkuttW5)+1
                            if z==b
                                totalAkuttW5(1,z)=totalAkutt51(1,z-1)-1;
                                totalAkuttW5(2,z)=tid2;
                            elseif z<=length(totalAkuttW5)
                                totalAkuttW5(1,z)=total(1,z-1)-1;
                                totalAkuttW5(2,z)=total(2,z-1);
                            else
                                totalAkuttW5(1,end+1)=total(1,z-1)-1;
                                totalAkuttW5(2,end)=total(2,z-1);
                            end
                        end
                    end
                    utAkuttW5(1)=[];
                end
                utW5(1)=[];

            else % Ingenting skjer
                tid1AHL=1441;
            end

        end

        d=d+1;
    end


    %% UTSKRIFT
  
       prosentStueWarmUp=zeros(10,DAGER-warmUp);
       for j=1:1:10         %10 stuer (8+2)
           if j==9 || j==10
               for i=warmUp+1:1:DAGER
                   ukedag=mod(i-warmUp,7);
                   if ukedag>0 && ukedag<6 
                       if ukedag==5 %Stue 2 (AHL) er ikke pen til 22 p fredag
                           prosentStueWarmUp(9,i-warmUp)=(1-(ledigStuetidAHL(1,i-warmUp)/(480)))*100;
                           prosentStueWarmUp(10,i-warmUp)=(1-(ledigStuetidAHL(2,i-warmUp)/(480)))*100;

                       else 
                           prosentStueWarmUp(9,i-warmUp)=(1-(ledigStuetidAHL(1,i-warmUp)/(480)))*100;
                           prosentStueWarmUp(10,i-warmUp)=(1-(ledigStuetidAHL(2,i-warmUp)/(1320-480)))*100;

                       end
                   end
               end
           else
               for i=warmUp+1:1:DAGER
                   ukedag=mod(i-warmUp,7);
                   if ukedag==1 || ukedag==2 || ukedag==3 || ukedag==4 || ukedag==5
                       if MSS(ukedag,j)>0
                           prosentStueWarmUp(j,i-warmUp)=min(1,stuetidBVS(i,j)/(MSS(ukedag,j)*240))*100;
                           overtidBVSWarmUp(i-warmUp,j,kj)=stuetidBVS(i,j)-MSS(ukedag,j)*240;
                       end
                   end
               end
           end
       end


       
       snittStengetid=zeros(8,1);
       
       for s=1:1:10
           teller1=0;
           teller2=0;
           teller3=0;
           for i=warmUp+1:1:DAGER
               if prosentStueWarmUp(s,i-warmUp)>0
                   teller1=teller1+1; %Teller dager stuen er i bruk
                   if s<9 && overtidBVSWarmUp(i-warmUp,s,kj)>0 
                       teller3=teller3+1; %Teller dager med overtid
                   end
               end
           end
           if s<9
               snittStengetid(s)=sum(stuetidBVS(warmUp:end,s))/teller1;
               sshOvertidBVS(kj,s)=(teller3/teller1)*100;
               utnyttelseStuer(kj,s)=sum(prosentStueWarmUp(s,:))/teller1;
           else
               utnyttelseStuer(kj,s)=sum(prosentStueWarmUp(s,:))/teller1;
           end
       end
       
       if printStueUtnyttelse==1 && kj==1
          
           snittUtnyttelseVec=zeros(10,DAGER-warmUp);
           snittStengetidVec=zeros(8,DAGER-warmUp);
           for s=1:1:10
               for i=warmUp+1:1:DAGER
                   snittUtnyttelseVec(s,i-warmUp)=utnyttelseStuer(kj,s);
                   if s<=8
                       snittStengetidVec(s,i-warmUp)=snittStengetid(s);
                   end
               end
           
               if s<=8
                   figure;
                   subplot(2,1,1);
                   plot(prosentStueWarmUp(s,:));hold on;
                   plot(snittUtnyttelseVec(s,:),'--r');hold off;
                   title(['Utilization OR ' num2str(s)])
                   ylabel('Percentage')
                   xlabel('Days')
                   axis([1 DAGER-warmUp 0 100])

                   subplot(2,1,2); 
                   bar(stuetidBVS(warmUp:end,s));hold on;
                   plot(snittStengetidVec(s,:),'--r');
                   plot(grenseOR(s,warmUp:end));hold off;
                   title(['Overtime OR ' num2str(s)])
                   ylabel('Time [min]')
                   xlabel('Days')
                   axis([1 DAGER-warmUp 0 1500])
               else
                   figure;
                   plot(prosentStueWarmUp(s,:));hold on;
                   plot(snittUtnyttelseVec(s,:),'--r');hold off;
                   title(['Utilization OR ' num2str(s)])
                   ylabel('Percentage')
                   xlabel('Days')
                   axis([1 DAGER-warmUp 0 100])
               end
           end
       end
       
       beleggSengepost1=zeros(1,DAGER-warmUp);
       beleggSengepost2=zeros(1,DAGER-warmUp);
       beleggSengepost3=zeros(1,DAGER-warmUp);
       beleggSengepost4=zeros(1,DAGER-warmUp);
       beleggSengepost5=zeros(1,DAGER-warmUp);
       beleggSengepostA1=zeros(1,DAGER-warmUp);
       beleggSengepostA2=zeros(1,DAGER-warmUp);
       beleggSengepostA3=zeros(1,DAGER-warmUp);
       beleggSengepostA4=zeros(1,DAGER-warmUp);
       beleggSengepostA5=zeros(1,DAGER-warmUp);
       beleggTotalt=zeros(1,DAGER-warmUp);
       totalKapasitetSengepost=zeros(1,DAGER-warmUp);
       
       for d=warmUp+1:1:DAGER
           for i=2:1:length(totalW1(1,:))
               if totalW1(2,i)>(d-1)*1440+sengepostTid*60
                   i=i-1;
                   break;
               end
           end

           for j=2:1:length(totalW2(1,:))
               if totalW2(2,j)>(d-1)*1440+sengepostTid*60
                   j=j-1;
                   break;
               end
           end

           for k=2:1:length(totalW3(1,:))
               if totalW3(2,k)>(d-1)*1440+sengepostTid*60
                   k=k-1;
                   break;
               end
           end

           for l=2:1:length(totalW4(1,:))
               if totalW4(2,l)>(d-1)*1440+sengepostTid*60
                   l=l-1;
                   break;
               end
           end

           for m=2:1:length(totalW5(1,:))
               if totalW5(2,m)>(d-1)*1440+sengepostTid*60
                   m=m-1;
                   break;
               end

           end

           for n=2:1:length(totalAkuttW1(1,:))
               if totalAkuttW1(2,n)>(d-1)*1440+sengepostTid*60
                   n=n-1;
                   break;
               end
           end

           for o=2:1:length(totalAkuttW2(1,:))
               if totalAkuttW2(2,o)>(d-1)*1440+sengepostTid*60
                   o=o-1;
                   break;
               end
           end

           for p=2:1:length(totalAkuttW3(1,:))
               if totalAkuttW3(2,p)>(d-1)*1440+sengepostTid*60
                   p=p-1;
                   break;
               end
           end

           for q=2:1:length(totalAkuttW4(1,:))
               if totalAkuttW4(2,q)>(d-1)*1440+sengepostTid*60
                   q=q-1;
                   break;
               end
           end

           for r=2:1:length(totalAkuttW5(1,:))
               if totalAkuttW5(2,r)>(d-1)*1440+sengepostTid*60
                   r=r-1;
                   break;
               end

           end
           
           beleggSengepost1(1,d-warmUp)=totalW1(1,i);
           beleggSengepost2(1,d-warmUp)=totalW2(1,j);
           beleggSengepost3(1,d-warmUp)=totalW3(1,k);
           beleggSengepost4(1,d-warmUp)=totalW4(1,l);
           beleggSengepost5(1,d-warmUp)=totalW5(1,m);
           beleggSengepostA1(1,d-warmUp)=totalAkuttW1(1,n);
           beleggSengepostA2(1,d-warmUp)=totalAkuttW2(1,o);
           beleggSengepostA3(1,d-warmUp)=totalAkuttW3(1,p);
           beleggSengepostA4(1,d-warmUp)=totalAkuttW4(1,q);
           beleggSengepostA5(1,d-warmUp)=totalAkuttW5(1,r);
           beleggTotalt(1,d-warmUp)=totalW1(1,i)+totalW2(1,j)+totalW3(1,k)+totalW4(1,l)+totalW5(1,m);
           totalKapasitetSengepost(1,d-warmUp)=sum(kapasitetSengepost(1,:));
       end
       
    
    %% Total antall pasienter p sengepost et gitt klokkeslett
   if kj==1   
       
       if printTotalSengebelastning==1 

           figure;
           plot(beleggSengepost1);hold on;
           plot(beleggSengepost2);
           plot(beleggSengepost3);
           plot(beleggSengepost4);
           plot(beleggSengepost5); 
           plot(beleggTotalt);
           plot(totalKapasitetSengepost,'--r');hold off;
           title(['Total number of inpatients resting at the wards at hour ' num2str(sengepostTid)]);
           xlabel('Days');
           ylabel('Number of patients');
           legend('OTS', 'ORS','OES','OFT','OHS','Total');
           axis([1 DAGER-warmUp 0 max(beleggTotalt)+2]);

           kapasitetW1=zeros(2,length(totalW1(1,:)));
           kapasitetW2=zeros(2,length(totalW2(1,:)));
           kapasitetW3=zeros(2,length(totalW3(1,:)));
           kapasitetW4=zeros(2,length(totalW4(1,:)));
           kapasitetW5=zeros(2,length(totalW5(1,:)));

           for i=1:1:length(totalW1(1,:))
               kapasitetW1(1,i)=kapasitetSengepost(1,1);
               kapasitetW1(2,i)=totalW1(2,i);
           end
           for i=1:1:length(totalW2(1,:))
               kapasitetW2(1,i)=kapasitetSengepost(1,2);
               kapasitetW2(2,i)=totalW2(2,i);
           end
           for i=1:1:length(totalW3(1,:))
               kapasitetW3(1,i)=kapasitetSengepost(1,3);
               kapasitetW3(2,i)=totalW3(2,i);
           end
           for i=1:1:length(totalW4(1,:))
               kapasitetW4(1,i)=kapasitetSengepost(1,4);
               kapasitetW4(2,i)=totalW4(2,i);
           end
           for i=1:1:length(totalW5(1,:))
               kapasitetW5(1,i)=kapasitetSengepost(1,5);
               kapasitetW5(2,i)=totalW5(2,i);
           end

           for r1=1:1:length(totalW1)
               if totalW1(2,r1)>warmUp*1440
                   break;
               end
           end
           for r2=1:1:length(totalW2)
               if totalW2(2,r2)>warmUp*1440
                   break;
               end
           end
           for r3=1:1:length(totalW3)
               if totalW3(2,r3)>warmUp*1440
                   break;
               end
           end
           for r4=1:1:length(totalW4)
               if totalW4(2,r4)>warmUp*1440
                   break;
               end
           end
           for r5=1:1:length(totalW5)
               if totalW5(2,r5)>warmUp*1440
                   break;
               end
           end

           figure;
           plot(totalW1(2,r1:end)-1440*warmUp,totalW1(1,r1:end));hold on;
           plot(kapasitetW1(2,r1:end)-1440*warmUp,kapasitetW1(1,r1:end),'--r');hold off;
           title('Total amount of patients resting at ward 1 (OTS)');
           xlabel('Time [min]');
           ylabel('Number of patients');
           axis([1 (DAGER-warmUp)*1440 0 max(max(totalW1(1,r1:end)),max(kapasitetW1(1,r1:end)))+2]);

           figure;
           plot(totalW2(2,r2:end)-1440*warmUp,totalW2(1,r2:end));hold on;
           plot(kapasitetW2(2,r2:end)-1440*warmUp,kapasitetW2(1,r2:end),'--r');hold off;
           title('Total amount of patients resting at ward 2 (ORS)');
           xlabel('Time [min]');
           ylabel('Number of patients');
           axis([1 (DAGER-warmUp)*1440 0 max(max(totalW2(1,r2:end)),max(kapasitetW2(1,r2:end)))+2]);

           figure;
           plot(totalW3(2,r3:end)-1440*warmUp,totalW3(1,r3:end));hold on;
           plot(kapasitetW3(2,r3:end)-1440*warmUp,kapasitetW3(1,r3:end),'--r');hold off;
           title('Total amount of patients resting at ward 3 (OES)');
           xlabel('Time [min]');
           ylabel('Number of patients');
           axis([1 (DAGER-warmUp)*1440 0 max(max(totalW3(1,r3:end)),max(kapasitetW3(1,r3:end)))+2]);

           figure;
           plot(totalW4(2,r4:end)-1440*warmUp,totalW4(1,r4:end));hold on;
           plot(kapasitetW4(2,r4:end)-1440*warmUp,kapasitetW4(1,r4:end),'--r');hold off;
           title('Total amount of patients resting at ward 4 (OFT)');
           xlabel('Time [min]');
           ylabel('Number of patients');
           axis([1 (DAGER-warmUp)*1440 0 max(max(totalW4(1,r4:end)),max(kapasitetW4(1,r4:end)))+2]);

           figure;
           plot(totalW5(2,r5:end)-1440*warmUp,totalW5(1,r5:end));hold on;
           plot(kapasitetW5(2,r5:end)-1440*warmUp,kapasitetW5(1,r5:end),'--r');hold off;
           title('Total amount of patients resting at ward 5 (OHS)');
           xlabel('Time [min]');
           ylabel('Number of patients');
           axis([1 (DAGER-warmUp)*1440 0 max(max(totalW5(1,r5:end)),max(kapasitetW5(1,r5:end)))+2]);



           % Finner snittbelastning for sengepost en gitt dag
%            dognSnittW1=zeros(7,24);
%            dognSnittW2=zeros(7,24);
%            dognSnittW3=zeros(7,24);
%            dognSnittW4=zeros(7,24);
%            dognSnittW5=zeros(7,24);
% 
%            for i=r2:1:length(totalW2(1,:))
%                tidSeng=ceil(mod(totalW2(2,i),1440)/60);
%                if tidSeng==0
%                    tidSeng=24;
%                end
%                dagSeng=ceil(mod(totalW2(2,i)/1440,7));
%                if dagSeng==0
%                    dagSeng=7;
%                end
%                dognSnittW2(dagSeng,tidSeng)=dognSnittW2(dagSeng,tidSeng)+totalW2(1,i);
%            end
% 
%            for i=r3:1:length(totalW3(1,:))
%                tidSeng=ceil(mod(totalW3(2,i),1440)/60);
%                if tidSeng==0
%                    tidSeng=24;
%                end
%                dagSeng=ceil(mod(totalW3(2,i)/1440,7));
%                if dagSeng==0
%                    dagSeng=7;
%                end
%                dognSnittW3(dagSeng,tidSeng)=dognSnittW3(dagSeng,tidSeng)+totalW3(1,i);
%            end
% 
%            for i=r4:1:length(totalW4(1,:))
%                tidSeng=ceil(mod(totalW4(2,i),1440)/60);
%                if tidSeng==0
%                    tidSeng=24;
%                end
%                dagSeng=ceil(mod(totalW4(2,i)/1440,7));
%                if dagSeng==0
%                    dagSeng=7;
%                end
%                dognSnittW4(dagSeng,tidSeng)=dognSnittW4(dagSeng,tidSeng)+totalW4(1,i);
%            end
% 
%            for i=r5:1:length(totalW5(1,:))
%                tidSeng=ceil(mod(totalW5(2,i),1440)/60);
%                if tidSeng==0
%                    tidSeng=24;
%                end
%                dagSeng=ceil(mod(totalW5(2,i)/1440,7));
%                if dagSeng==0
%                    dagSeng=7;
%                end
%                dognSnittW5(dagSeng,tidSeng)=dognSnittW5(dagSeng,tidSeng)+totalW5(1,i);
%            end
% 
%            for i=r1:1:length(totalW1(1,:))
%                tidSeng=ceil(mod(totalW1(2,i),1440)/60);
%                if tidSeng==0
%                    tidSeng=24;
%                end
%                dagSeng=ceil(mod(totalW1(2,i)/1440,7));
%                if dagSeng==0
%                    dagSeng=7;
%                end
%                dognSnittW1(dagSeng,tidSeng)=dognSnittW1(dagSeng,tidSeng)+totalW1(1,i);
%            end
% 
%            dognSnittW1=7*dognSnittW1/DAGER-warmUp;
%            dognSnittW2=7*dognSnittW2/DAGER-warmUp;
%            dognSnittW3=7*dognSnittW3/DAGER-warmUp;
%            dognSnittW4=7*dognSnittW4/DAGER-warmUp;
%            dognSnittW5=7*dognSnittW5/DAGER-warmUp;
% 
%            
%            figure;
%            plot(dognSnittW1(velgDag,:));
%            xlabel('Hour of day');
%            ylabel('Number of patients');
%            title(['Average number of patients resting at OTS on day ' num2str(velgDag)]);
%            axis([1 24 0 max(dognSnittW1(velgDag,:))+2]);
% 
%            figure;
%            plot(dognSnittW2(velgDag,:));
%            xlabel('Hour of day');
%            ylabel('Number of patients');
%            title(['Average number of patients resting at ORS on day ' num2str(velgDag)]);
%            axis([1 24 0 max(dognSnittW2(velgDag,:))+2]);
% 
%            figure;
%            plot(dognSnittW3(velgDag,:));
%            xlabel('Hour of day');
%            ylabel('Number of patients');
%            title(['Average number of patients resting at OES on day ' num2str(velgDag)]);
%            axis([1 24 0 max(dognSnittW3(velgDag,:))+2]);
% 
%            figure;
%            plot(dognSnittW4(velgDag,:));
%            xlabel('Hour of day');
%            ylabel('Number of patients');
%            title(['Average number of patients resting at OFT on day ' num2str(velgDag)]);
%            axis([1 24 0 max(dognSnittW4(velgDag,:))+2]);
% 
%            figure;
%            plot(dognSnittW5(velgDag,:));
%            xlabel('Hour of day');
%            ylabel('Number of patients');
%            title(['Average number of patients resting at OHS on day ' num2str(velgDag)]);
%            axis([1 24 0 max(dognSnittW5(velgDag,:))+2]);
           
       end


       %% Ventetider
       if printVentetider==1
           grenseVentetidRode=zeros(2,length(ventetiderRode(1,:)));
           grenseVentetidGule=zeros(2,length(ventetiderGule));
           grenseVentetidGronne=zeros(2,length(ventetiderGronne));

           for i=1:1:length(ventetiderRode(1,:))
               grenseVentetidRode(1,i)=limitRod; %360 min er anbefalt lengste ventetid for rde
               grenseVentetidRode(2,i)=ventetiderRode(2,i);
           end

           for i=1:1:length(ventetiderGule)
               grenseVentetidGule(1,i)=limitGul; %1440 min er anbefalt lengste ventetid for gule
               grenseVentetidGule(2,i)=ventetiderGule(2,i);
           end

           for i=1:1:length(ventetiderGronne(1,:))
               grenseVentetidGronne(1,i)=limitGronn; %5 dgn er anbefalt lengste ventetid for grnne
               grenseVentetidGronne(2,i)=ventetiderGronne(2,i);
           end

           for r1=1:1:length(ventetiderRode)
               if ventetiderRode(2,r1)>1440*warmUp
                   break;
               end
           end

           for r2=1:1:length(ventetiderGule)
               if ventetiderGule(2,r2)>1440*warmUp
                   break;
               end
           end

           for r3=1:1:length(ventetiderGronne)
               if ventetiderGronne(2,r3)>warmUp
                   break;
               end
           end
           figure;
           scatter(ventetiderRode(2,r1:end)-1440*warmUp,ventetiderRode(1,r1:end));hold on;
           plot(grenseVentetidRode(2,r1:end)-1440*warmUp,grenseVentetidRode(1,r1:end),'--r');hold off;
           xlabel('Time [min]');
           ylabel('Waiting time [min]');
           title('The waiting time to receive surgery for red patients');
           axis([0 (DAGER-warmUp)*1440 0 max(ventetiderRode(1,r1:end))+20])

           figure;
           scatter(ventetiderGule(2,r2:end)-1440*warmUp,ventetiderGule(1,r2:end));hold on;
           plot(grenseVentetidGule(2,r2:end)-1440*warmUp,grenseVentetidGule(1,r2:end),'--r');hold off;
           xlabel('Time [min]');
           ylabel('Waiting time [min]');
           title('The waiting time to receive surgery for yellow patients');
           axis([0 (DAGER-warmUp)*1440 0 max(ventetiderGule(1,r2:end))+20])

           figure;
           scatter(ventetiderGronne(2,r3:end)-warmUp,ventetiderGronne(1,r3:end));hold on;
           plot(grenseVentetidGronne(2,r3:end)-warmUp,grenseVentetidGronne(1,r3:end),'--r');hold off;
           xlabel('Day');
           ylabel('Waiting time [days]');
           title('The waiting time to receive surgery for green patients');
           axis([0 DAGER-warmUp 0 max(ventetiderGronne(1,r3:end))+2])

           % Finner ken av pasienter et gitt klokkelsett (1-24)
            for cc=1:1:length(tidKo)
               koRodeKlokke=zeros(1,DAGER-warmUp);
               koGuleKlokke=zeros(1,DAGER-warmUp);
               koGronneKlokke=zeros(1,DAGER-warmUp);

               for d=warmUp:1:DAGER
                   for i=2:1:length(rodePreW1(1,:))
                       if rodePreW1(2,i)>(d-1)*1440+tidKo(1,cc)*60
                           i=i-1;
                           break;
                       end
                   end

                   for j=2:1:length(rodePreW2(1,:))
                       if rodePreW2(2,j)>(d-1)*1440+tidKo(1,cc)*60
                           j=j-1;
                           break;
                       end
                   end

                   for k=2:1:length(rodePreW3(1,:))
                       if rodePreW3(2,k)>(d-1)*1440+tidKo(1,cc)*60
                           k=k-1;
                           break;
                       end
                   end

                   for l=2:1:length(rodePreW4(1,:))
                       if rodePreW4(2,l)>(d-1)*1440+tidKo(1,cc)*60
                           l=l-1;
                           break;
                       end
                   end

                   for m=2:1:length(rodePreW5(1,:))
                       if rodePreW5(2,m)>(d-1)*1440+tidKo(1,cc)*60
                           m=m-1;
                           break;
                       end
                   end
                   koRodeKlokke(1,d-warmUp+1)=rodePreW1(1,i)+rodePreW2(1,j)+rodePreW3(1,k)+rodePreW4(1,l)+rodePreW5(1,m);

                   for i=2:1:length(gulePreW1(1,:))
                       if gulePreW1(2,i)>(d-1)*1440+tidKo(1,cc)*60
                           i=i-1;
                           break;
                       end
                   end

                   for j=2:1:length(gulePreW2(1,:))
                       if gulePreW2(2,j)>(d-1)*1440+tidKo(1,cc)*60
                           j=j-1;
                           break;
                       end
                   end

                   for k=2:1:length(gulePreW3(1,:))
                       if gulePreW3(2,k)>(d-1)*1440+tidKo(1,cc)*60
                           k=k-1;
                           break;
                       end
                   end

                   for l=2:1:length(gulePreW4(1,:))
                       if gulePreW4(2,l)>(d-1)*1440+tidKo(1,cc)*60
                           l=l-1;
                           break;
                       end
                   end

                   for m=2:1:length(gulePreW5(1,:))
                       if gulePreW5(2,m)>(d-1)*1440+tidKo(1,cc)*60
                           m=m-1;
                           break;
                       end
                   end
                   koGuleKlokke(1,d-warmUp+1)=gulePreW1(1,i)+gulePreW2(1,j)+gulePreW3(1,k)+gulePreW4(1,l)+gulePreW5(1,m);

                   for i=2:1:length(gronnePreW1(1,:))
                       if gronnePreW1(2,i)>(d-1)*1440+tidKo(1,cc)*60
                           i=i-1;
                           break;
                       end
                   end

                   for j=2:1:length(gronnePreW2(1,:))
                       if gronnePreW2(2,j)>(d-1)*1440+tidKo(1,cc)*60
                           j=j-1;
                           break;
                       end
                   end

                   for k=2:1:length(gronnePreW3(1,:))
                       if gronnePreW3(2,k)>(d-1)*1440+tidKo(1,cc)*60
                           k=k-1;
                           break;
                       end
                   end

                   for l=2:1:length(gronnePreW4(1,:))
                       if gronnePreW4(2,l)>(d-1)*1440+tidKo(1,cc)*60
                           l=l-1;
                           break;
                       end
                   end

                   for m=2:1:length(gronnePreW5(1,:))
                       if gronnePreW5(2,m)>(d-1)*1440+tidKo(1,cc)*60
                           m=m-1;
                           break;
                       end
                   end

                   for n=2:1:length(gronneDKHjemme(1,:))
                       if gronneDKHjemme(2,n)>(d-1)*1440+tidKo(1,cc)*60
                           n=n-1;
                           break;
                       end
                   end
                   koGronneKlokke(1,d-warmUp+1)=gronnePreW1(1,i)+gronnePreW2(1,j)+gronnePreW3(1,k)+gronnePreW4(1,l)+gronnePreW5(1,m)+gronneDKHjemme(1,n);
               end

               figure;
               plot(koRodeKlokke,'r');hold on;
               plot(koGuleKlokke);
               plot(koGronneKlokke,'g');hold off;
               title(['Number of emergency patients waiting for surgery at hour ' num2str(tidKo(1,cc)), ' (Simulated)']);
               xlabel('Day');
               ylabel('Number of patients');
               axis([0 DAGER-warmUp 0 max(max(koGuleKlokke), max(koGronneKlokke))+3]) 


                koRodeMan=zeros(1,Uker-UkerWarmUp);
                koGuleMan=zeros(1,Uker-UkerWarmUp);
                koGronneMan=zeros(1,Uker-UkerWarmUp);

                koRodeTir=zeros(1,Uker-UkerWarmUp);
                koGuleTir=zeros(1,Uker-UkerWarmUp);
                koGronneTir=zeros(1,Uker-UkerWarmUp);

                koRodeOns=zeros(1,Uker-UkerWarmUp);
                koGuleOns=zeros(1,Uker-UkerWarmUp);
                koGronneOns=zeros(1,Uker-UkerWarmUp);

                koRodeTor=zeros(1,Uker-UkerWarmUp);
                koGuleTor=zeros(1,Uker-UkerWarmUp);
                koGronneTor=zeros(1,Uker-UkerWarmUp);

                koRodeFre=zeros(1,Uker-UkerWarmUp);
                koGuleFre=zeros(1,Uker-UkerWarmUp);
                koGronneFre=zeros(1,Uker-UkerWarmUp);

                koRodeLor=zeros(1,Uker-UkerWarmUp);
                koGuleLor=zeros(1,Uker-UkerWarmUp);
                koGronneLor=zeros(1,Uker-UkerWarmUp);

                koRodeSon=zeros(1,Uker-UkerWarmUp);
                koGuleSon=zeros(1,Uker-UkerWarmUp);
                koGronneSon=zeros(1,Uker-UkerWarmUp);

                ukeTeller=1;
                for b=1:1:length(koRodeKlokke)
                    if mod(b,7)==1
                        koRodeMan(1,ukeTeller)=koRodeKlokke(1,b);
                        koGuleMan(1,ukeTeller)=koGuleKlokke(1,b);
                        koGronneMan(1,ukeTeller)=koGronneKlokke(1,b);
                    elseif mod(b,7)==2
                        koRodeTir(1,ukeTeller)=koRodeKlokke(1,b);
                        koGuleTir(1,ukeTeller)=koGuleKlokke(1,b);
                        koGronneTir(1,ukeTeller)=koGronneKlokke(1,b);
                    elseif mod(b,7)==3
                        koGronneOns(1,ukeTeller)=koRodeKlokke(1,b);
                        koGuleOns(1,ukeTeller)=koGuleKlokke(1,b);
                        koGronneOns(1,ukeTeller)=koGronneKlokke(1,b);
                    elseif mod(b,7)==4
                        koRodeTor(1,ukeTeller)=koRodeKlokke(1,b);
                        koGuleTor(1,ukeTeller)=koGuleKlokke(1,b);
                        koGronneTor(1,ukeTeller)=koGronneKlokke(1,b);
                    elseif mod(b,7)==5
                        koRodeFre(1,ukeTeller)=koRodeKlokke(1,b);
                        koGuleFre(1,ukeTeller)=koGuleKlokke(1,b);
                        koGronneFre(1,ukeTeller)=koGronneKlokke(1,b);
                    elseif mod(b,7)==6
                        koRodeLor(1,ukeTeller)=koRodeKlokke(1,b);
                        koGuleLor(1,ukeTeller)=koGuleKlokke(1,b);
                        koGronneLor(1,ukeTeller)=koGronneKlokke(1,b);
                    elseif mod(b,7)==0
                        koRodeSon(1,ukeTeller)=koRodeKlokke(1,b);
                        koGuleSon(1,ukeTeller)=koGuleKlokke(1,b);
                        koGronneSon(1,ukeTeller)=koGronneKlokke(1,b);
                        ukeTeller=ukeTeller+1;
                    end
                end

                snittKo(1,1)=mean(koRodeMan);
                snittKo(1,2)=mean(koGuleMan);
                snittKo(1,3)=mean(koGronneMan);
                snittKo(2,1)=mean(koRodeTir);
                snittKo(2,2)=mean(koGuleTir);
                snittKo(2,3)=mean(koGronneTir);
                snittKo(3,1)=mean(koRodeOns);
                snittKo(3,2)=mean(koGuleOns);
                snittKo(3,3)=mean(koGronneOns);
                snittKo(4,1)=mean(koRodeTor);
                snittKo(4,2)=mean(koGuleTor);
                snittKo(4,3)=mean(koGronneTor);
                snittKo(5,1)=mean(koRodeFre);
                snittKo(5,2)=mean(koGuleFre);
                snittKo(5,3)=mean(koGronneFre);
                snittKo(6,1)=mean(koRodeLor);
                snittKo(6,2)=mean(koGuleLor);
                snittKo(6,3)=mean(koGronneLor);
                snittKo(7,1)=mean(koRodeSon);
                snittKo(7,2)=mean(koGuleSon);
                snittKo(7,3)=mean(koGronneSon);

                names = {'Mon'; 'Tue'; 'Wed'; 'Thur'; 'Fri'; 'Sat'; 'Sun'};


                figure;
               bar(snittKo);
               legend('Red', 'Yellow', 'Green');
               title(['Mean number of  emergencies waiting for surgery at hour  ' num2str(tidKo(1,cc)), ' (Simulated)']);
               set(gca,'xtick',[1:7],'xticklabel',names)
               xlabel('Day of week');
               ylabel('Number of patients');
            end
            
            koRodeUke=zeros(1,24*7);
            koGuleUke=zeros(1,24*7);
            koGronneUke=zeros(1,24*7);

            tellerRW1=1;
            tellerRW2=1;
            tellerRW3=1;
            tellerRW4=1;
            tellerRW5=1;

            tellerGuW1=1;
            tellerGuW2=1;
            tellerGuW3=1;
            tellerGuW4=1;
            tellerGuW5=1;

            tellerGrW1=1;
            tellerGrW2=1;
            tellerGrW3=1;
            tellerGrW4=1;
            tellerGrW5=1;
            
            tellerDKHjemme=1;


            while rodePreW1(2,tellerRW1)<=warmUp*1440 
                tellerRW1=tellerRW1+1;
            end
            while rodePreW2(2,tellerRW2)<=warmUp*1440
                tellerRW2=tellerRW2+1;
            end
            while rodePreW3(2,tellerRW3)<=warmUp*1440
                tellerRW3=tellerRW3+1;
            end
            while rodePreW4(2,tellerRW4)<=warmUp*1440
                tellerRW4=tellerRW4+1;
            end
            while tellerRW5 <= length(rodePreW5) && rodePreW5(2,tellerRW5)<=warmUp*1440
                tellerRW5=tellerRW5+1;
            end

            while gulePreW1(2,tellerGuW1)<=warmUp*1440
                tellerGuW1=tellerGuW1+1;
            end
            while gulePreW2(2,tellerGuW2)<=warmUp*1440
                tellerGuW2=tellerGuW2+1;
            end
            while gulePreW3(2,tellerGuW3)<=warmUp*1440
                tellerGuW3=tellerGuW3+1;
            end
            while gulePreW4(2,tellerGuW4)<=warmUp*1440
                tellerGuW4=tellerGuW4+1;
            end
            while tellerGuW5 <= length(gulePreW5) && gulePreW5(2,tellerGuW5)<=warmUp*1440
                tellerGuW5=tellerGuW5+1;
            end

            while gronnePreW1(2,tellerGrW1)<=warmUp*1440
                tellerGrW1=tellerGrW1+1;
            end
            while gronnePreW2(2,tellerGrW2)<=warmUp*1440
                tellerGrW2=tellerGrW2+1;
            end
            while gronnePreW3(2,tellerGrW3)<=warmUp*1440
                tellerGrW3=tellerGrW3+1;
            end
            while gronnePreW4(2,tellerGrW4)<=warmUp*1440
                tellerGrW4=tellerGrW4+1;
            end
            while tellerGrW5<= length(gronnePreW5) && gronnePreW5(2,tellerGrW5)<=warmUp*1440
                tellerGrW5=tellerGrW5+1;
            end
            
            while gronneDKHjemme(2,tellerDKHjemme)<=warmUp*1440
                tellerDKHjemme=tellerDKHjemme+1;
            end


            time=ceil(mod(rodePreW1(2,tellerRW1)/60,24*7));

            for kk=tellerRW1:1:length(rodePreW1(1,:))-1 %Teller indekser
                nesteTid=ceil(mod(rodePreW1(2,kk+1)/60,24*7));
                if nesteTid>time || nesteTid<time
                    if nesteTid>time
                        antallTimer=nesteTid-time;
                        if antallTimer>1
                            for oo=0:1:antallTimer-1
                                koRodeUke(1,time+oo)=koRodeUke(1,time+oo)+rodePreW1(1,kk);
                            end
                        else
                            koRodeUke(1,time)=koRodeUke(1,time)+rodePreW1(1,kk);
                        end
                    else
                        timerTilNeste=168-time;
                        if timerTilNeste>=1
                            for oo=0:1:timerTilNeste
                                koRodeUke(1,time+oo)=koRodeUke(1,time+oo)+rodePreW1(1,kk);
                            end
                        else
                            koRodeUke(1,time)=koRodeUke(1,time)+rodePreW1(1,kk);
                        end
                        if nesteTid>1    
                            for oo=1:1:nesteTid-1
                                koRodeUke(1,oo)=koRodeUke(1,oo)+rodePreW1(1,kk);
                            end
                        end
                    end
                    time=ceil(mod(rodePreW1(2,kk+1)/60,24*7));
                end
            end

            time=ceil(mod(rodePreW2(2,tellerRW2)/60,24*7));

            for kk=tellerRW2:1:length(rodePreW2(1,:))-1 %Teller indekser
                nesteTid=ceil(mod(rodePreW2(2,kk+1)/60,24*7));
                if nesteTid>time || nesteTid<time
                    if nesteTid>time
                        antallTimer=nesteTid-time;
                        if antallTimer>1
                            for oo=0:1:antallTimer-1
                                koRodeUke(1,time+oo)=koRodeUke(1,time+oo)+rodePreW2(1,kk);
                            end
                        else
                            koRodeUke(1,time)=koRodeUke(1,time)+rodePreW2(1,kk);
                        end
                    else
                        timerTilNeste=168-time;
                        if timerTilNeste>=1
                            for oo=0:1:timerTilNeste
                                koRodeUke(1,time+oo)=koRodeUke(1,time+oo)+rodePreW2(1,kk);
                            end
                        else
                            koRodeUke(1,time)=koRodeUke(1,time)+rodePreW2(1,kk);
                        end
                        if nesteTid>1    
                            for oo=1:1:nesteTid-1
                                koRodeUke(1,oo)=koRodeUke(1,oo)+rodePreW2(1,kk);
                            end
                        end
                    end
                    time=ceil(mod(rodePreW2(2,kk+1)/60,24*7));
                end
            end

            time=ceil(mod(rodePreW3(2,tellerRW3)/60,24*7));

            for kk=tellerRW3:1:length(rodePreW3(1,:))-1 %Teller indekser
                nesteTid=ceil(mod(rodePreW3(2,kk+1)/60,24*7));
                if nesteTid>time || nesteTid<time
                    if nesteTid>time
                        antallTimer=nesteTid-time;
                        if antallTimer>1
                            for oo=0:1:antallTimer-1
                                koRodeUke(1,time+oo)=koRodeUke(1,time+oo)+rodePreW3(1,kk);
                            end
                        else
                            koRodeUke(1,time)=koRodeUke(1,time)+rodePreW3(1,kk);
                        end
                    else
                        timerTilNeste=168-time;
                        if timerTilNeste>=1
                            for oo=0:1:timerTilNeste
                                koRodeUke(1,time+oo)=koRodeUke(1,time+oo)+rodePreW3(1,kk);
                            end
                        else
                            koRodeUke(1,time)=koRodeUke(1,time)+rodePreW3(1,kk);
                        end
                        if nesteTid>1    
                            for oo=1:1:nesteTid-1
                                koRodeUke(1,oo)=koRodeUke(1,oo)+rodePreW3(1,kk);
                            end
                        end
                    end
                    time=ceil(mod(rodePreW3(2,kk+1)/60,24*7));
                end
            end

            time=ceil(mod(rodePreW4(2,tellerRW4)/60,24*7));

            for kk=tellerRW4:1:length(rodePreW4(1,:))-1 %Teller indekser
                nesteTid=ceil(mod(rodePreW4(2,kk+1)/60,24*7));
                if nesteTid>time || nesteTid<time
                    if nesteTid>time
                        antallTimer=nesteTid-time;
                        if antallTimer>1
                            for oo=0:1:antallTimer-1
                                koRodeUke(1,time+oo)=koRodeUke(1,time+oo)+rodePreW4(1,kk);
                            end
                        else
                            koRodeUke(1,time)=koRodeUke(1,time)+rodePreW4(1,kk);
                        end
                    else
                        timerTilNeste=168-time;
                        if timerTilNeste>=1
                            for oo=0:1:timerTilNeste
                                koRodeUke(1,time+oo)=koRodeUke(1,time+oo)+rodePreW4(1,kk);
                            end
                        else
                            koRodeUke(1,time)=koRodeUke(1,time)+rodePreW4(1,kk);
                        end
                        if nesteTid>1    
                            for oo=1:1:nesteTid-1
                                koRodeUke(1,oo)=koRodeUke(1,oo)+rodePreW4(1,kk);
                            end
                        end
                    end
                    time=ceil(mod(rodePreW4(2,kk+1)/60,24*7));
                end
            end

            time=ceil(mod(rodePreW5(2,tellerRW5)/60,24*7));

            for kk=tellerRW5:1:length(rodePreW5(1,:))-1 %Teller indekser
                nesteTid=ceil(mod(rodePreW5(2,kk+1)/60,24*7));
                if nesteTid>time || nesteTid<time
                    if nesteTid>time
                        antallTimer=nesteTid-time;
                        if antallTimer>1
                            for oo=0:1:antallTimer-1
                                koRodeUke(1,time+oo)=koRodeUke(1,time+oo)+rodePreW5(1,kk);
                            end
                        else
                            koRodeUke(1,time)=koRodeUke(1,time)+rodePreW5(1,kk);
                        end
                    else
                        timerTilNeste=168-time;
                        if timerTilNeste>=1
                            for oo=0:1:timerTilNeste
                                koRodeUke(1,time+oo)=koRodeUke(1,time+oo)+rodePreW5(1,kk);
                            end
                        else
                            koRodeUke(1,time)=koRodeUke(1,time)+rodePreW5(1,kk);
                        end
                        if nesteTid>1    
                            for oo=1:1:nesteTid-1
                                koRodeUke(1,oo)=koRodeUke(1,oo)+rodePreW5(1,kk);
                            end
                        end
                    end
                    time=ceil(mod(rodePreW5(2,kk+1)/60,24*7));
                end
            end

            time=ceil(mod(gulePreW1(2,tellerGuW1)/60,24*7));

            for kk=tellerGuW1:1:length(gulePreW1(1,:))-1 %Teller indekser
                nesteTid=ceil(mod(gulePreW1(2,kk+1)/60,24*7));
                if nesteTid>time || nesteTid<time
                    if nesteTid>time
                        antallTimer=nesteTid-time;
                        if antallTimer>1
                            for oo=0:1:antallTimer-1
                                koGuleUke(1,time+oo)=koGuleUke(1,time+oo)+gulePreW1(1,kk);
                            end
                        else
                            koGuleUke(1,time)=koGuleUke(1,time)+gulePreW1(1,kk);
                        end
                    else
                        timerTilNeste=168-time;
                        if timerTilNeste>=1
                            for oo=0:1:timerTilNeste
                                koGuleUke(1,time+oo)=koGuleUke(1,time+oo)+gulePreW1(1,kk);
                            end
                        else
                            koGuleUke(1,time)=koGuleUke(1,time)+gulePreW1(1,kk);
                        end
                        if nesteTid>1    
                            for oo=1:1:nesteTid-1
                                koGuleUke(1,oo)=koGuleUke(1,oo)+gulePreW1(1,kk);
                            end
                        end
                    end
                    time=ceil(mod(gulePreW1(2,kk+1)/60,24*7));
                end
            end

            time=ceil(mod(gulePreW2(2,tellerGuW2)/60,24*7));

            for kk=tellerGuW2:1:length(gulePreW2(1,:))-1 %Teller indekser
                nesteTid=ceil(mod(gulePreW2(2,kk+1)/60,24*7));
                if nesteTid>time || nesteTid<time
                    if nesteTid>time
                        antallTimer=nesteTid-time;
                        if antallTimer>1
                            for oo=0:1:antallTimer-1
                                koGuleUke(1,time+oo)=koGuleUke(1,time+oo)+gulePreW2(1,kk);
                            end
                        else
                            koGuleUke(1,time)=koGuleUke(1,time)+gulePreW2(1,kk);
                        end
                    else
                        timerTilNeste=168-time;
                        if timerTilNeste>=1
                            for oo=0:1:timerTilNeste
                                koGuleUke(1,time+oo)=koGuleUke(1,time+oo)+gulePreW2(1,kk);
                            end
                        else
                            koGuleUke(1,time)=koGuleUke(1,time)+gulePreW2(1,kk);
                        end
                        if nesteTid>1    
                            for oo=1:1:nesteTid-1
                                koGuleUke(1,oo)=koGuleUke(1,oo)+gulePreW2(1,kk);
                            end
                        end
                    end
                    time=ceil(mod(gulePreW2(2,kk+1)/60,24*7));
                end
            end

            time=ceil(mod(gulePreW3(2,tellerGuW3)/60,24*7));

            for kk=tellerGuW3:1:length(gulePreW3(1,:))-1 %Teller indekser
                nesteTid=ceil(mod(gulePreW3(2,kk+1)/60,24*7));
                if nesteTid>time || nesteTid<time
                    if nesteTid>time
                        antallTimer=nesteTid-time;
                        if antallTimer>1
                            for oo=0:1:antallTimer-1
                                koGuleUke(1,time+oo)=koGuleUke(1,time+oo)+gulePreW3(1,kk);
                            end
                        else
                            koGuleUke(1,time)=koGuleUke(1,time)+gulePreW3(1,kk);
                        end
                    else
                        timerTilNeste=168-time;
                        if timerTilNeste>=1
                            for oo=0:1:timerTilNeste
                                koGuleUke(1,time+oo)=koGuleUke(1,time+oo)+gulePreW3(1,kk);
                            end
                        else
                            koGuleUke(1,time)=koGuleUke(1,time)+gulePreW3(1,kk);
                        end
                        if nesteTid>1    
                            for oo=1:1:nesteTid-1
                                koGuleUke(1,oo)=koGuleUke(1,oo)+gulePreW3(1,kk);
                            end
                        end
                    end
                    time=ceil(mod(gulePreW3(2,kk+1)/60,24*7));
                end
            end

            time=ceil(mod(gulePreW4(2,tellerGuW4)/60,24*7));

            for kk=tellerGuW4:1:length(gulePreW4(1,:))-1 %Teller indekser
                nesteTid=ceil(mod(gulePreW4(2,kk+1)/60,24*7));
                if nesteTid>time || nesteTid<time
                    if nesteTid>time
                        antallTimer=nesteTid-time;
                        if antallTimer>1
                            for oo=0:1:antallTimer-1
                                koGuleUke(1,time+oo)=koGuleUke(1,time+oo)+gulePreW4(1,kk);
                            end
                        else
                            koGuleUke(1,time)=koGuleUke(1,time)+gulePreW4(1,kk);
                        end
                    else
                        timerTilNeste=168-time;
                        if timerTilNeste>=1
                            for oo=0:1:timerTilNeste
                                koGuleUke(1,time+oo)=koGuleUke(1,time+oo)+gulePreW4(1,kk);
                            end
                        else
                            koGuleUke(1,time)=koGuleUke(1,time)+gulePreW4(1,kk);
                        end
                        if nesteTid>1    
                            for oo=1:1:nesteTid-1
                                koGuleUke(1,oo)=koGuleUke(1,oo)+gulePreW4(1,kk);
                            end
                        end
                    end
                    time=ceil(mod(gulePreW4(2,kk+1)/60,24*7));
                end
            end

            time=ceil(mod(gulePreW5(2,tellerGuW5)/60,24*7));

            for kk=tellerGuW5:1:length(gulePreW5(1,:))-1 %Teller indekser
                nesteTid=ceil(mod(gulePreW5(2,kk+1)/60,24*7));
                if nesteTid>time || nesteTid<time
                    if nesteTid>time
                        antallTimer=nesteTid-time;
                        if antallTimer>1
                            for oo=0:1:antallTimer-1
                                koGuleUke(1,time+oo)=koGuleUke(1,time+oo)+gulePreW5(1,kk);
                            end
                        else
                            koGuleUke(1,time)=koGuleUke(1,time)+gulePreW5(1,kk);
                        end
                    else
                        timerTilNeste=168-time;
                        if timerTilNeste>=1
                            for oo=0:1:timerTilNeste
                                koGuleUke(1,time+oo)=koGuleUke(1,time+oo)+gulePreW5(1,kk);
                            end
                        else
                            koGuleUke(1,time)=koGuleUke(1,time)+gulePreW5(1,kk);
                        end
                        if nesteTid>1    
                            for oo=1:1:nesteTid-1
                                koGuleUke(1,oo)=koGuleUke(1,oo)+gulePreW5(1,kk);
                            end
                        end
                    end
                    time=ceil(mod(gulePreW5(2,kk+1)/60,24*7));
                end
            end


            time=ceil(mod(gronnePreW1(2,tellerGrW1)/60,24*7));

            for kk=tellerGrW1:1:length(gronnePreW1(1,:))-1 %Teller indekser
                nesteTid=ceil(mod(gronnePreW1(2,kk+1)/60,24*7));
                if nesteTid>time || nesteTid<time  
                    if nesteTid>time
                        antallTimer=nesteTid-time;
                        if antallTimer>1
                            for oo=0:1:antallTimer-1
                                koGronneUke(1,time+oo)=koGronneUke(1,time+oo)+gronnePreW1(1,kk);
                            end
                        else
                            koGronneUke(1,time)=koGronneUke(1,time)+gronnePreW1(1,kk);
                        end
                    else
                        timerTilNeste=168-time;
                        if timerTilNeste>=1
                            for oo=0:1:timerTilNeste
                                koGronneUke(1,time+oo)=koGronneUke(1,time+oo)+gronnePreW1(1,kk);
                            end
                        else
                            koGronneUke(1,time)=koGronneUke(1,time)+gronnePreW1(1,kk);
                        end
                        if nesteTid>1    
                            for oo=1:1:nesteTid-1
                                koGronneUke(1,oo)=koGronneUke(1,oo)+gronnePreW1(1,kk);
                            end
                        end
                    end
                    time=ceil(mod(gronnePreW1(2,kk+1)/60,24*7));
                end
            end

            time=ceil(mod(gronnePreW2(2,tellerGrW2)/60,24*7));

            for kk=tellerGrW2:1:length(gronnePreW2(1,:))-1 %Teller indekser
                nesteTid=ceil(mod(gronnePreW2(2,kk+1)/60,24*7));
                if nesteTid>time || nesteTid<time
                    if nesteTid>time
                        antallTimer=nesteTid-time;
                        if antallTimer>1
                            for oo=0:1:antallTimer-1
                                koGronneUke(1,time+oo)=koGronneUke(1,time+oo)+gronnePreW2(1,kk);
                            end
                        else
                            koGronneUke(1,time)=koGronneUke(1,time)+gronnePreW2(1,kk);
                        end
                    else
                        timerTilNeste=168-time;
                        if timerTilNeste>=1
                            for oo=0:1:timerTilNeste
                                koGronneUke(1,time+oo)=koGronneUke(1,time+oo)+gronnePreW2(1,kk);
                            end
                        else
                            koGronneUke(1,time)=koGronneUke(1,time)+gronnePreW2(1,kk);
                        end
                        if nesteTid>1    
                            for oo=1:1:nesteTid-1
                                koGronneUke(1,oo)=koGronneUke(1,oo)+gronnePreW2(1,kk);
                            end
                        end
                    end
                    time=ceil(mod(gronnePreW2(2,kk+1)/60,24*7));
                end
            end

            time=ceil(mod(gronnePreW3(2,tellerGrW3)/60,24*7));

            for kk=tellerGrW3:1:length(gronnePreW3(1,:))-1 %Teller indekser
                nesteTid=ceil(mod(gronnePreW3(2,kk+1)/60,24*7));
                if nesteTid>time || nesteTid<time
                    if nesteTid>time
                        antallTimer=nesteTid-time;
                        if antallTimer>1
                            for oo=0:1:antallTimer-1
                                koGronneUke(1,time+oo)=koGronneUke(1,time+oo)+gronnePreW3(1,kk);
                            end
                        else
                            koGronneUke(1,time)=koGronneUke(1,time)+gronnePreW3(1,kk);
                        end
                    else
                        timerTilNeste=168-time;
                        if timerTilNeste>=1
                            for oo=0:1:timerTilNeste
                                koGronneUke(1,time+oo)=koGronneUke(1,time+oo)+gronnePreW3(1,kk);
                            end
                        else
                            koGronneUke(1,time)=koGronneUke(1,time)+gronnePreW3(1,kk);
                        end
                        if nesteTid>1    
                            for oo=1:1:nesteTid-1
                                koGronneUke(1,oo)=koGronneUke(1,oo)+gronnePreW3(1,kk);
                            end
                        end
                    end
                    time=ceil(mod(gronnePreW3(2,kk+1)/60,24*7));
                end
            end

            time=ceil(mod(gronnePreW4(2,tellerGrW4)/60,24*7));

            for kk=tellerGrW4:1:length(gronnePreW4(1,:))-1 %Teller indekser
                nesteTid=ceil(mod(gronnePreW4(2,kk+1)/60,24*7));
                if nesteTid>time || nesteTid<time
                    if nesteTid>time
                        antallTimer=nesteTid-time;
                        if antallTimer>1
                            for oo=0:1:antallTimer-1
                                koGronneUke(1,time+oo)=koGronneUke(1,time+oo)+gronnePreW4(1,kk);
                            end
                        else
                            koGronneUke(1,time)=koGronneUke(1,time)+gronnePreW4(1,kk);
                        end
                    else
                        timerTilNeste=168-time;
                        if timerTilNeste>=1
                            for oo=0:1:timerTilNeste
                                koGronneUke(1,time+oo)=koGronneUke(1,time+oo)+gronnePreW4(1,kk);
                            end
                        else
                            koGronneUke(1,time)=koGronneUke(1,time)+gronnePreW4(1,kk);
                        end
                        if nesteTid>1    
                            for oo=1:1:nesteTid-1
                                koGronneUke(1,oo)=koGronneUke(1,oo)+gronnePreW4(1,kk);
                            end
                        end
                    end
                    time=ceil(mod(gronnePreW4(2,kk+1)/60,24*7));
                end
            end

            time=ceil(mod(gronnePreW5(2,tellerGrW5)/60,24*7));

            for kk=tellerGrW5:1:length(gronnePreW5(1,:))-1 %Teller indekser
                nesteTid=ceil(mod(gronnePreW5(2,kk+1)/60,24*7));
                if nesteTid>time || nesteTid<time
                    if nesteTid>time
                        antallTimer=nesteTid-time;
                        if antallTimer>1
                            for oo=0:1:antallTimer-1
                                koGronneUke(1,time+oo)=koGronneUke(1,time+oo)+gronnePreW5(1,kk);
                            end
                        else
                            koGronneUke(1,time)=koGronneUke(1,time)+gronnePreW5(1,kk);
                        end
                    else
                        timerTilNeste=168-time;
                        if timerTilNeste>=1
                            for oo=0:1:timerTilNeste
                                koGronneUke(1,time+oo)=koGronneUke(1,time+oo)+gronnePreW5(1,kk);
                            end
                        else
                            koGronneUke(1,time)=koGronneUke(1,time)+gronnePreW5(1,kk);
                        end
                        if nesteTid>1    
                            for oo=1:1:nesteTid-1
                                koGronneUke(1,oo)=koGronneUke(1,oo)+gronnePreW5(1,kk);
                            end
                        end
                    end
                    time=ceil(mod(gronnePreW5(2,kk+1)/60,24*7));
                end
            end
            
            time=ceil(mod(gronneDKHjemme(2,tellerDKHjemme)/60,24*7));

            for kk=tellerDKHjemme:1:length(gronneDKHjemme(1,:))-1 %Teller indekser
                nesteTid=ceil(mod(gronneDKHjemme(2,kk+1)/60,24*7));
                if nesteTid>time || nesteTid<time
                    if nesteTid>time
                        antallTimer=nesteTid-time;
                        if antallTimer>1
                            for oo=0:1:antallTimer-1
                                koGronneUke(1,time+oo)=koGronneUke(1,time+oo)+gronneDKHjemme(1,kk);
                            end
                        else
                            koGronneUke(1,time)=koGronneUke(1,time)+gronneDKHjemme(1,kk);
                        end
                    else
                        timerTilNeste=168-time;
                        if timerTilNeste>=1
                            for oo=0:1:timerTilNeste
                                koGronneUke(1,time+oo)=koGronneUke(1,time+oo)+gronneDKHjemme(1,kk);
                            end
                        else
                            koGronneUke(1,time)=koGronneUke(1,time)+gronneDKHjemme(1,kk);
                        end
                        if nesteTid>1    
                            for oo=1:1:nesteTid-1
                                koGronneUke(1,oo)=koGronneUke(1,oo)+gronneDKHjemme(1,kk);
                            end
                        end
                    end
                    time=ceil(mod(gronneDKHjemme(2,kk+1)/60,24*7));
                end
            end



            
            figure;
            plot(koRodeUke/(Uker-UkerWarmUp),'r');hold on;
            plot(koGuleUke/(Uker-UkerWarmUp));
            plot(koGronneUke/(Uker-UkerWarmUp),'g');hold off;
            title('Average queue of emergencies through the week');
            xlabel('Time [hour]');
            ylabel('Number of patients');
            axis([1 168 0 max(max(koGronneUke/(Uker-UkerWarmUp)),max(koGuleUke/(Uker-UkerWarmUp)))+0.1]);

       end
        gronneOperertHverDagFlex=zeros(5,8);
        gronneOperertHverDagEl=zeros(5,8);
        guleBVSHverDag=zeros(5,8);

        for dag=warmUp+1:1:DAGER
            for j=1:1:8
                if mod(dag,7)<=5 && mod(dag,7)>0 %Ser kun p hverdager
                    gronneOperertHverDagFlex(mod(dag,7),j)=gronneOperertHverDagFlex(mod(dag,7),j) + gronnFlexStue(dag,j,1)+gronnDKFlexStue(dag,j);
                    gronneOperertHverDagEl(mod(dag,7),j)=gronneOperertHverDagEl(mod(dag,7),j) + gronneDKElektivStue(dag,j)+gronneElektivStue(dag,j,1);
                    guleBVSHverDag(mod(dag,7),j)=guleBVSHverDag(mod(dag,7),j) + guleBVS(dag,j);
                end
            end
        end

        names1 = {'Mon'; 'Tue'; 'Wed'; 'Thur'; 'Fri';};
        figure;
        bar(gronneOperertHverDagFlex/(Uker-UkerWarmUp));hold on;
        bar(gronneOperertHverDagEl/(Uker-UkerWarmUp));hold off;
        set(gca,'xtick',[1:5],'xticklabel',names1)
        legend('OR-1','OR-2','OR-3','OR-4','OR-5','OR-6','OR-7','OR-8'); 
        title('Mean number of green patients to receive surgery at BVS every day');
        ylabel('Amount of patients');
        xlabel('Day of week');

        figure;
        bar(guleBVSHverDag/(Uker-UkerWarmUp));
        set(gca,'xtick',[1:5],'xticklabel',names1)
        title('Mean number of yellow patients to receive surgery every day');
        legend('OR-1','OR-2','OR-3','OR-4','OR-5','OR-6','OR-7','OR-8'); 
        ylabel('Amount of patients');
        xlabel('Day of week');
        
        totalW1Uke=zeros(1,24*7);
        totalW2Uke=zeros(1,24*7);
        totalW3Uke=zeros(1,24*7);
        totalW4Uke=zeros(1,24*7);
        totalW5Uke=zeros(1,24*7);

        tellerW1=1;
        tellerW2=1;
        tellerW3=1;
        tellerW4=1;
        tellerW5=1;



        while totalW1(2,tellerW1)<=warmUp*1440 
            tellerW1=tellerW1+1;
        end
        while totalW2(2,tellerW2)<=warmUp*1440 
            tellerW2=tellerW2+1;
        end
        while totalW3(2,tellerW3)<=warmUp*1440 
            tellerW3=tellerW3+1;
        end
        while totalW4(2,tellerW4)<=warmUp*1440 
            tellerW4=tellerW4+1;
        end
        while totalW5(2,tellerW5)<=warmUp*1440 
            tellerW5=tellerW5+1;
        end


        time=ceil(mod(totalW1(2,tellerW1)/60,24*7));

        for kk=tellerW1:1:length(totalW1(1,:))-1 %Teller indekser
            nesteTid=ceil(mod(totalW1(2,kk+1)/60,24*7));
            if nesteTid>time || nesteTid<time
                if nesteTid>time
                    antallTimer=nesteTid-time;
                    if antallTimer>1
                        for oo=0:1:antallTimer-1
                            totalW1Uke(1,time+oo)=totalW1Uke(1,time+oo)+totalW1(1,kk);
                        end
                    else
                        totalW1Uke(1,time)=totalW1Uke(1,time)+totalW1(1,kk);
                    end
                else
                    timerTilNeste=168-time;
                    if timerTilNeste>=1
                        for oo=0:1:timerTilNeste
                            totalW1Uke(1,time+oo)=totalW1Uke(1,time+oo)+totalW1(1,kk);
                        end
                    else
                        totalW1Uke(1,time)=totalW1Uke(1,time)+totalW1(1,kk);
                    end
                    if nesteTid>1    
                        for oo=1:1:nesteTid-1
                            totalW1Uke(1,oo)=totalW1Uke(1,oo)+totalW1(1,kk);
                        end
                    end
                end
                time=ceil(mod(totalW1(2,kk+1)/60,24*7));
            end
        end

        time=ceil(mod(totalW2(2,tellerW2)/60,24*7));

        for kk=tellerW2:1:length(totalW2(1,:))-1 %Teller indekser
            nesteTid=ceil(mod(totalW2(2,kk+1)/60,24*7));
            if nesteTid>time || nesteTid<time-1
                if nesteTid>time
                    antallTimer=nesteTid-time;
                    if antallTimer>1
                        for oo=0:1:antallTimer-1
                            totalW2Uke(1,time+oo)=totalW2Uke(1,time+oo)+totalW2(1,kk);
                        end
                    else
                        totalW2Uke(1,time)=totalW2Uke(1,time)+totalW2(1,kk);
                    end
                else
                    timerTilNeste=168-time;
                    if timerTilNeste>=1
                        for oo=0:1:timerTilNeste
                            totalW2Uke(1,time+oo)=totalW2Uke(1,time+oo)+totalW2(1,kk);
                        end
                    else
                        totalW2Uke(1,time)=totalW2Uke(1,time)+totalW2(1,kk);
                    end
                    if nesteTid>1    
                        for oo=1:1:nesteTid-1
                            totalW2Uke(1,oo)=totalW2Uke(1,oo)+totalW2(1,kk);
                        end
                    end
                end
                time=ceil(mod(totalW2(2,kk+1)/60,24*7));
            end
        end

        time=ceil(mod(totalW3(2,tellerW3)/60,24*7));

        for kk=tellerW3:1:length(totalW3(1,:))-1 %Teller indekser
            nesteTid=ceil(mod(totalW3(2,kk+1)/60,24*7));
            if nesteTid>time || nesteTid<time
                if nesteTid>time
                    antallTimer=nesteTid-time;
                    if antallTimer>1
                        for oo=0:1:antallTimer-1
                            totalW3Uke(1,time+oo)=totalW3Uke(1,time+oo)+totalW3(1,kk);
                        end
                    else
                        totalW3Uke(1,time)=totalW3Uke(1,time)+totalW3(1,kk);
                    end
                else
                    timerTilNeste=168-time;
                    if timerTilNeste>=1
                        for oo=0:1:timerTilNeste
                            totalW3Uke(1,time+oo)=totalW3Uke(1,time+oo)+totalW3(1,kk);
                        end
                    else
                        totalW3Uke(1,time)=totalW3Uke(1,time)+totalW3(1,kk);
                    end
                    if nesteTid>1    
                        for oo=1:1:nesteTid-1
                            totalW3Uke(1,oo)=totalW3Uke(1,oo)+totalW3(1,kk);
                        end
                    end
                end
                time=ceil(mod(totalW3(2,kk+1)/60,24*7));
            end
        end

        time=ceil(mod(totalW4(2,tellerW4)/60,24*7));

        for kk=tellerW4:1:length(totalW4(1,:))-1 %Teller indekser
            nesteTid=ceil(mod(totalW4(2,kk+1)/60,24*7));
            if nesteTid>time || nesteTid<time
                if nesteTid>time
                    antallTimer=nesteTid-time;
                    if antallTimer>1
                        for oo=0:1:antallTimer-1
                            totalW4Uke(1,time+oo)=totalW4Uke(1,time+oo)+totalW4(1,kk);
                        end
                    else
                        totalW4Uke(1,time)=totalW4Uke(1,time)+totalW4(1,kk);
                    end
                else
                    timerTilNeste=168-time;
                    if timerTilNeste>=1
                        for oo=0:1:timerTilNeste
                            totalW4Uke(1,time+oo)=totalW4Uke(1,time+oo)+totalW4(1,kk);
                        end
                    else
                        totalW4Uke(1,time)=totalW4Uke(1,time)+totalW4(1,kk);
                    end
                    if nesteTid>1    
                        for oo=1:1:nesteTid-1
                            totalW4Uke(1,oo)=totalW4Uke(1,oo)+totalW4(1,kk);
                        end
                    end
                end
                time=ceil(mod(totalW4(2,kk+1)/60,24*7));
            end
        end

        time=ceil(mod(totalW5(2,tellerW5)/60,24*7));

        for kk=tellerW5:1:length(totalW5(1,:))-1 %Teller indekser
            nesteTid=ceil(mod(totalW5(2,kk+1)/60,24*7));
            if nesteTid>time || nesteTid<time
                if nesteTid>=time
                    antallTimer=nesteTid-time;
                    if antallTimer>1
                        for oo=0:1:antallTimer-1
                            totalW5Uke(1,time+oo)=totalW5Uke(1,time+oo)+totalW5(1,kk);
                        end
                    else
                        totalW5Uke(1,time)=totalW5Uke(1,time)+totalW5(1,kk);
                    end
                else
                    timerTilNeste=168-time;
                    if timerTilNeste>=1
                        for oo=0:1:timerTilNeste
                            totalW5Uke(1,time+oo)=totalW5Uke(1,time+oo)+totalW5(1,kk);
                        end
                    else
                        totalW5Uke(1,time)=totalW5Uke(1,time)+totalW5(1,kk);
                    end
                    if nesteTid>1    
                        for oo=1:1:nesteTid-1
                            totalW5Uke(1,oo)=totalW5Uke(1,oo)+totalW5(1,kk);
                        end
                    end
                end
                time=ceil(mod(totalW5(2,kk+1)/60,24*7));
            end
        end


        totalUke=totalW1Uke+totalW2Uke+totalW3Uke+totalW4Uke+totalW5Uke;

        figure;
        plot(totalW1Uke/(Uker-UkerWarmUp));hold on;
        plot(totalW2Uke/(Uker-UkerWarmUp));
        plot(totalW3Uke/(Uker-UkerWarmUp));
        plot(totalW4Uke/(Uker-UkerWarmUp));
        plot(totalW5Uke/(Uker-UkerWarmUp));
        plot(totalUke/(Uker-UkerWarmUp));hold off;
        legend('OTS','ORS','OES','OFT','OHS', 'Total');
        title('Average number of patients resting at the wards through the week');
        xlabel('Time [hour]');
        ylabel('Number of patients');
        axis([1 168 0 max(totalUke)/(Uker-UkerWarmUp)+0.1]);

   end

  %% Tar vare p data for oppsummering

  
  antallStryk(kj)=sum(listeStrykEl(1,warmUp:DAGER));
 
  ankomsterAkutte(kj,1)=tellerRod;
  ankomsterAkutte(kj,2)=tellerGul;
  ankomsterAkutte(kj,3)=tellerGronn;
  ankomsterAkutte(kj,4)=tellerGronnDK;

  i=0;
  j=0;
  k=0;
  ventetiderRodeUt=[];
  ventetiderGuleUt=[];
  ventetiderGronneUt=[];

  while ventetiderRode(2,end-i)>warmUp*1440
      ventetiderRodeUt(1,end+1)=ventetiderRode(1,end-i);
      if ventetiderRode(1,end-i)<=limitRod
          maaloppnaaelse(kj,1)=maaloppnaaelse(kj,1)+1;
      end
      i=i+1;
  end

  while ventetiderGule(2,end-j)>warmUp*1440
      ventetiderGuleUt(1,end+1)=ventetiderGule(1,end-j);
      if ventetiderGule(1,end-j)<=limitGul
          maaloppnaaelse(kj,2)=maaloppnaaelse(kj,2)+1;
      end
      j=j+1;
  end

  while k<length(ventetiderGronne) && ventetiderGronne(2,end-k)>warmUp
      ventetiderGronneUt(1,end+1)=ventetiderGronne(1,end-k);
      if ventetiderGronne(1,end-k)<=limitGronn
          maaloppnaaelse(kj,3)=maaloppnaaelse(kj,3)+1;
      end
      k=k+1;
  end

  snittVentetid(kj,1)=mean(ventetiderRodeUt);
  snittVentetid(kj,2)=mean(ventetiderGuleUt);
  snittVentetid(kj,3)=mean(ventetiderGronneUt);

  stdAvvikVentetid(kj,1)=std(ventetiderRodeUt);
  stdAvvikVentetid(kj,2)=std(ventetiderGuleUt);
  stdAvvikVentetid(kj,3)=std(ventetiderGronneUt);

  maaloppnaaelse(kj,1)=(maaloppnaaelse(kj,1)/tellerRod)*100;
  maaloppnaaelse(kj,2)=(maaloppnaaelse(kj,2)/tellerGul)*100;
  maaloppnaaelse(kj,3)=min(1,(maaloppnaaelse(kj,3)/(tellerGronn+tellerGronnDK)))*100;

  for i=1:1:length(ventetiderRodeUt)
      if ventetiderRodeUt(1,i)/60>length(fordelingVentetidRode)-1
          fordelingVentetidRode(kj,end)=fordelingVentetidRode(kj,end)+1;
      else
          fordelingVentetidRode(kj,ceil(ventetiderRodeUt(1,i)/60))=fordelingVentetidRode(kj,ceil(ventetiderRodeUt(1,i)/60))+1;
      end
  end

  for i=1:1:length(ventetiderGuleUt)
      if ventetiderGuleUt(1,i)/60>length(fordelingVentetidGule)-1
          fordelingVentetidGule(kj,end)=fordelingVentetidGule(kj,end)+1;
      else
          fordelingVentetidGule(kj,ceil(ventetiderGuleUt(1,i)/60))=fordelingVentetidGule(kj,ceil(ventetiderGuleUt(1,i)/60))+1;
      end
  end

  for i=1:1:length(ventetiderGronneUt)
      if ventetiderGronneUt(i)>0
          if ventetiderGronneUt(1,i)>length(fordelingVentetidGronne(1,:))-1
              fordelingVentetidGronne(kj,end)=fordelingVentetidGronne(kj,end)+1;
          else
              fordelingVentetidGronne(kj,ceil(ventetiderGronneUt(1,i)))=fordelingVentetidGronne(kj,ceil(ventetiderGronneUt(1,i)))+1;
          end
      end
  end 

  %% Finner antall grnne pasienter operert p fleksible slots hver uke til
  % scenarier
  if printScenarier==1
      for x=warmUp+1:1:DAGER
          akutteSengepostHverUke(kj,ceil((x-warmUp)/7),1)=akutteSengepostHverUke(kj,ceil((x-warmUp)/7),1)+beleggSengepostA1(x-warmUp);
          akutteSengepostHverUke(kj,ceil((x-warmUp)/7),2)=akutteSengepostHverUke(kj,ceil((x-warmUp)/7),2)+beleggSengepostA2(x-warmUp);
          akutteSengepostHverUke(kj,ceil((x-warmUp)/7),3)=akutteSengepostHverUke(kj,ceil((x-warmUp)/7),3)+beleggSengepostA3(x-warmUp);
          akutteSengepostHverUke(kj,ceil((x-warmUp)/7),4)=akutteSengepostHverUke(kj,ceil((x-warmUp)/7),4)+beleggSengepostA4(x-warmUp);
          akutteSengepostHverUke(kj,ceil((x-warmUp)/7),5)=akutteSengepostHverUke(kj,ceil((x-warmUp)/7),5)+beleggSengepostA5(x-warmUp);
          for y=2:1:8
              gronnTilFlexHverUke(kj,ceil((x-warmUp)/7))=gronnTilFlexHverUke(kj,ceil((x-warmUp)/7))+gronnDKFlexStue(x,y)+gronnFlexStue(x,y,1);
              gronnTilElSlotHverUke(kj,ceil((x-warmUp)/7))=gronnTilElSlotHverUke(kj,ceil((x-warmUp)/7))+gronneDKElektivStue(x,y)+gronneElektivStue(x,y,1);
          end
      end
      akuttePrUke=gronnePrUke+gulPrUke+rodPrUke;  
      if kj==1
          
           figure;
           plot(gronnTilFlexHverUke(kj,:));hold on;
           plot(gronnTilElSlotHverUke(kj,:),'r');hold off;
           title(['Number of surgeries performed to green patients in flexible and elective slots (OR-2-OR-8) every week, run ' num2str(kj)])
           ylabel('Amount')
           xlabel('Week')
           legend('Flexible slots', 'Elective slots');
           axis([1 Uker-UkerWarmUp 0 max(max(gronnTilElSlotHverUke(kj,:)),max(gronnTilFlexHverUke(kj,:)))+2])
           
          figure;
          subplot(2,1,1);
           plot(akuttePrUke(kj,UkerWarmUp:end));
           title(['Weekly arrival of emergency patients, run ' num2str(kj)])
           ylabel('Amount')
           xlabel('Week')
           axis([1 Uker-UkerWarmUp min(akuttePrUke(kj,:))-2 max(akuttePrUke(kj,:))+2])

           subplot(2,1,2);
           plot(gronnTilFlexHverUke(kj,:));hold on;
           plot(gronnTilElSlotHverUke(kj,:),'r');hold off;
           title(['Number of surgeries performed to green patients in flexible and elective slots (OR-2-OR-8) every week, run ' num2str(kj)])
           ylabel('Amount')
           xlabel('Week')
           legend('Flexible slots', 'Elective slots');
           axis([1 Uker-UkerWarmUp 0 max(max(gronnTilElSlotHverUke(kj,:)),max(gronnTilFlexHverUke(kj,:)))+2])
           
           figure;
           subplot(2,1,1);
           plot(koGronneKlokke,'g');
           title(['Number of green patients waiting for surgery at hour ' num2str(tidKo(1,cc-1))]);
           xlabel('Days');
           ylabel('Number of patients');
           axis([0 DAGER-warmUp 0  max(koGronneKlokke)+2]) 

           subplot(2,1,2);
           plot(gronnTilFlexHverUke(kj,:));hold on;
           plot(gronnTilElSlotHverUke(kj,:),'r');hold off;
           title(['Number of surgeries performed to green patients in flexible and elective slots (OR-2-OR-8) every week, run ' num2str(kj)])
           ylabel('Amount')
           xlabel('Week')
           legend('Flexible slots', 'Elective slots');
           axis([1 Uker-UkerWarmUp 0 max(max(gronnTilElSlotHverUke(kj,:)),max(gronnTilFlexHverUke(kj,:)))+2])
      end


       akutteSengepostHverDag(kj,:,1)=beleggSengepostA1;
       akutteSengepostHverDag(kj,:,2)=beleggSengepostA2;
       akutteSengepostHverDag(kj,:,3)=beleggSengepostA3;
       akutteSengepostHverDag(kj,:,4)=beleggSengepostA4;
       akutteSengepostHverDag(kj,:,5)=beleggSengepostA5;
       
       if kj==1
           figure;
           plot(akutteSengepostHverDag(kj,:,1));hold on;
           plot(akutteSengepostHverDag(kj,:,2));
           plot(akutteSengepostHverDag(kj,:,3));
           plot(akutteSengepostHverDag(kj,:,4));
           plot(akutteSengepostHverDag(kj,:,5));hold off;
           title(['Total number of emergency inpatients resting at the wards each day at hour ' num2str(sengepostTid)]);
           xlabel('Day');
           ylabel('Number of patients');
           legend('OTS', 'ORS','OES','OFT','OHS');
           axis([1 DAGER-warmUp 0 max(akutteSengepostHverDag(kj,:,1))]);
       end

  end
  %% Genererer scenarier
   for x=1:1:antallScen
       dagStart=ukeScen(x)*7+1;
       dagSlutt=dagStart+6;
       
       tellerScen=(kj-1)*antallScen+x;
       tellerGronnInnePrDag=zeros(1,7);
       for y=dagStart:1:dagSlutt
           tellerGronnInnePrDag(y)=sum(gronnFlexStue(y,:,1))-gronnFlexStue(y,1,1)+sum(gronneElektivStue(y,:,1))-gronneElektivStue(y,1,1);
           excessDemand(1,tellerScen)=excessDemand(1,tellerScen)+tellerGronnInnePrDag(y);
           excessDemand(2,tellerScen)=excessDemand(2,tellerScen)+sum(gronnDKFlexStue(y,:))-gronnDKFlexStue(y,1)+sum(gronneDKElektivStue(y,:));
           for s=1:1:5
               if y==dagSlutt-6
                   sengepostManScen(s,tellerScen)=sengepostManScen(s,tellerScen)+akutteSengepostHverDag(kj,y-(UkerWarmUp*7),s);
               elseif y==dagSlutt-5
                   sengepostTirScen(s,tellerScen)=sengepostTirScen(s,tellerScen)+akutteSengepostHverDag(kj,y-(UkerWarmUp*7),s);
               elseif y==dagSlutt-4
                   sengepostOnsScen(s,tellerScen)=sengepostOnsScen(s,tellerScen)+akutteSengepostHverDag(kj,y-(UkerWarmUp*7),s);
               elseif y==dagSlutt-3
                   sengepostTorScen(s,tellerScen)=sengepostTorScen(s,tellerScen)+akutteSengepostHverDag(kj,y-(UkerWarmUp*7),s);
               elseif y==dagSlutt-2
                   sengepostFreScen(s,tellerScen)=sengepostFreScen(s,tellerScen)+akutteSengepostHverDag(kj,y-(UkerWarmUp*7),s);
               elseif y==dagSlutt-1
                   sengepostLorScen(s,tellerScen)=sengepostLorScen(s,tellerScen)+akutteSengepostHverDag(kj,y-(UkerWarmUp*7),s);
               else
                   sengepostSonScen(s,tellerScen)=sengepostSonScen(s,tellerScen)+akutteSengepostHverDag(kj,y-(UkerWarmUp*7),s);
               end
           end
       end
       %Vi m fjerne postoperative liggedgn, da dissse legges p i
       %optimeringen, vi sier at de ligger i to dgn etter operasjon (samme som i opt)
       for dd=1:1:5 %iterer over alle dager det er aktuelt  fjerne grnne
           for p=1:1:tellerGronnInnePrDag(dd)
               if dd==1
                   funnet=0;
                   while funnet==0
                       velgSeng=randi(akutteSeng);
                       if velgSeng<akutteOTS && akutteSengepostHverDag(kj,dagStart+dd-1-(UkerWarmUp*7),1)>0 && akutteSengepostHverDag(kj,dagStart+dd-(UkerWarmUp*7),1)>0
                           sengepostManScen(1,tellerScen)=sengepostManScen(1,tellerScen)-1;
                           sengepostTirScen(1,tellerScen)=sengepostTirScen(1,tellerScen)-1;
                           funnet=1;
                       elseif velgSeng<akutteORS && akutteSengepostHverDag(kj,dagStart+dd-1-(UkerWarmUp*7),2)>0 && akutteSengepostHverDag(kj,dagStart+dd-(UkerWarmUp*7),2)>0
                           sengepostManScen(2,tellerScen)=sengepostManScen(2,tellerScen)-1;
                           sengepostTirScen(2,tellerScen)=sengepostTirScen(2,tellerScen)-1;
                           funnet=1;
                       elseif velgSeng<akutteOES && akutteSengepostHverDag(kj,dagStart+dd-1-(UkerWarmUp*7),3)>0 && akutteSengepostHverDag(kj,dagStart+dd-(UkerWarmUp*7),3)>0
                           sengepostManScen(3,tellerScen)=sengepostManScen(3,tellerScen)-1;
                           sengepostTirScen(3,tellerScen)=sengepostTirScen(3,tellerScen)-1;
                           funnet=1;
                       elseif velgSeng<akutteOFT && akutteSengepostHverDag(kj,dagStart+dd-1-(UkerWarmUp*7),4)>0 && akutteSengepostHverDag(kj,dagStart+dd-(UkerWarmUp*7),4)>0
                           sengepostManScen(4,tellerScen)=sengepostManScen(4,tellerScen)-1;
                           sengepostTirScen(4,tellerScen)=sengepostTirScen(4,tellerScen)-1;
                           funnet=1;
                       elseif velgSeng<akutteOHS && akutteSengepostHverDag(kj,dagStart+dd-1-(UkerWarmUp*7),5)>0 && akutteSengepostHverDag(kj,dagStart+dd-(UkerWarmUp*7),5)>0
                           sengepostManScen(5,tellerScen)=sengepostManScen(5,tellerScen)-1;
                           sengepostTirScen(5,tellerScen)=sengepostTirScen(5,tellerScen)-1;
                           funnet=1;
                       end
                   end
               elseif dd==2
                   funnet=0;
                   while funnet==0
                       velgSeng=randi(akutteSeng);
                       if velgSeng<akutteOTS && akutteSengepostHverDag(kj,dagStart+dd-1-(UkerWarmUp*7),1)>0 && akutteSengepostHverDag(kj,dagStart+dd-(UkerWarmUp*7),1)>0
                           sengepostTirScen(1,tellerScen)=sengepostTirScen(1,tellerScen)-1;
                           sengepostOnsScen(1,tellerScen)=sengepostOnsScen(1,tellerScen)-1;
                           funnet=1;
                       elseif velgSeng<akutteORS && akutteSengepostHverDag(kj,dagStart+dd-1-(UkerWarmUp*7),2)>0 && akutteSengepostHverDag(kj,dagStart+dd-(UkerWarmUp*7),2)>0
                           sengepostTirScen(2,tellerScen)=sengepostTirScen(2,tellerScen)-1;
                           sengepostOnsScen(2,tellerScen)=sengepostOnsScen(2,tellerScen)-1;
                           funnet=1;
                       elseif velgSeng<akutteOES && akutteSengepostHverDag(kj,dagStart+dd-1-(UkerWarmUp*7),3)>0 && akutteSengepostHverDag(kj,dagStart+dd-(UkerWarmUp*7),3)>0
                           sengepostTirScen(3,tellerScen)=sengepostTirScen(3,tellerScen)-1;
                           sengepostOnsScen(3,tellerScen)=sengepostOnsScen(3,tellerScen)-1;
                           funnet=1;
                       elseif velgSeng<akutteOFT && akutteSengepostHverDag(kj,dagStart+dd-1-(UkerWarmUp*7),4)>0 && akutteSengepostHverDag(kj,dagStart+dd-(UkerWarmUp*7),4)>0
                           sengepostTirScen(4,tellerScen)=sengepostTirScen(4,tellerScen)-1;
                           sengepostOnsScen(4,tellerScen)=sengepostOnsScen(4,tellerScen)-1;
                           funnet=1;
                       elseif velgSeng<akutteOHS && akutteSengepostHverDag(kj,dagStart+dd-1-(UkerWarmUp*7),5)>0 && akutteSengepostHverDag(kj,dagStart+dd-(UkerWarmUp*7),5)>0
                           sengepostTirScen(5,tellerScen)=sengepostTirScen(5,tellerScen)-1;
                           sengepostOnsScen(5,tellerScen)=sengepostOnsScen(5,tellerScen)-1;
                           funnet=1;
                       end
                   end
               elseif dd==3
                   funnet=0;
                   while funnet==0
                       velgSeng=randi(akutteSeng);
                       if velgSeng<akutteOTS && akutteSengepostHverDag(kj,dagStart+dd-1-(UkerWarmUp*7),1)>0 && akutteSengepostHverDag(kj,dagStart+dd-(UkerWarmUp*7),1)>0
                           sengepostOnsScen(1,tellerScen)=sengepostOnsScen(1,tellerScen)-1;
                           sengepostTorScen(1,tellerScen)=sengepostTorScen(1,tellerScen)-1;
                           funnet=1;
                       elseif velgSeng<akutteORS && akutteSengepostHverDag(kj,dagStart+dd-1-(UkerWarmUp*7),2)>0 && akutteSengepostHverDag(kj,dagStart+dd-(UkerWarmUp*7),2)>0
                           sengepostOnsScen(2,tellerScen)=sengepostOnsScen(2,tellerScen)-1;
                           sengepostTorScen(2,tellerScen)=sengepostTorScen(2,tellerScen)-1;
                           funnet=1;
                       elseif velgSeng<akutteOES && akutteSengepostHverDag(kj,dagStart+dd-1-(UkerWarmUp*7),3)>0 && akutteSengepostHverDag(kj,dagStart+dd-(UkerWarmUp*7),3)>0
                           sengepostOnsScen(3,tellerScen)=sengepostOnsScen(3,tellerScen)-1;
                           sengepostTorScen(3,tellerScen)=sengepostTorScen(3,tellerScen)-1;
                           funnet=1;
                       elseif velgSeng<akutteOFT && akutteSengepostHverDag(kj,dagStart+dd-1-(UkerWarmUp*7),4)>0 && akutteSengepostHverDag(kj,dagStart+dd-(UkerWarmUp*7),4)>0
                           sengepostOnsScen(4,tellerScen)=sengepostOnsScen(4,tellerScen)-1;
                           sengepostTorScen(4,tellerScen)=sengepostTorScen(4,tellerScen)-1;
                           funnet=1;
                       elseif velgSeng<akutteOHS && akutteSengepostHverDag(kj,dagStart+dd-1-(UkerWarmUp*7),5)>0 && akutteSengepostHverDag(kj,dagStart+dd-(UkerWarmUp*7),5)>0
                           sengepostOnsScen(5,tellerScen)=sengepostOnsScen(5,tellerScen)-1;
                           sengepostTorScen(5,tellerScen)=sengepostTorScen(5,tellerScen)-1;
                           funnet=1;
                       end
                   end
               elseif dd==4
                   funnet=0;
                   while funnet==0
                       velgSeng=randi(akutteSeng);
                       if velgSeng<akutteOTS && akutteSengepostHverDag(kj,dagStart+dd-1-(UkerWarmUp*7),1)>0 && akutteSengepostHverDag(kj,dagStart+dd-(UkerWarmUp*7),1)>0
                           sengepostTorScen(1,tellerScen)=sengepostTorScen(1,tellerScen)-1;
                           sengepostFreScen(1,tellerScen)=sengepostFreScen(1,tellerScen)-1;
                           funnet=1;
                       elseif velgSeng<akutteORS && akutteSengepostHverDag(kj,dagStart+dd-1-(UkerWarmUp*7),2)>0 && akutteSengepostHverDag(kj,dagStart+dd-(UkerWarmUp*7),2)>0
                           sengepostTorScen(2,tellerScen)=sengepostTorScen(2,tellerScen)-1;
                           sengepostFreScen(2,tellerScen)=sengepostFreScen(2,tellerScen)-1;
                           funnet=1;
                       elseif velgSeng<akutteOES && akutteSengepostHverDag(kj,dagStart+dd-1-(UkerWarmUp*7),3)>0 && akutteSengepostHverDag(kj,dagStart+dd-(UkerWarmUp*7),3)>0
                           sengepostTorScen(3,tellerScen)=sengepostTorScen(3,tellerScen)-1;
                           sengepostFreScen(3,tellerScen)=sengepostFreScen(3,tellerScen)-1;
                           funnet=1;
                       elseif velgSeng<akutteOFT && akutteSengepostHverDag(kj,dagStart+dd-1-(UkerWarmUp*7),4)>0 && akutteSengepostHverDag(kj,dagStart+dd-(UkerWarmUp*7),4)>0
                           sengepostTorScen(4,tellerScen)=sengepostTorScen(4,tellerScen)-1;
                           sengepostFreScen(4,tellerScen)=sengepostFreScen(4,tellerScen)-1;
                           funnet=1;
                       elseif velgSeng<akutteOHS && akutteSengepostHverDag(kj,dagStart+dd-1-(UkerWarmUp*7),5)>0 && akutteSengepostHverDag(kj,dagStart+dd-(UkerWarmUp*7),5)>0
                           sengepostTorScen(5,tellerScen)=sengepostTorScen(5,tellerScen)-1;
                           sengepostFreScen(5,tellerScen)=sengepostFreScen(5,tellerScen)-1;
                           funnet=1;
                       end
                   end
               elseif dd==5
                   funnet=0;
                   while funnet==0
                       velgSeng=randi(akutteSeng);
                       if velgSeng<akutteOTS && akutteSengepostHverDag(kj,dagStart+dd-1-(UkerWarmUp*7),1)>0 && akutteSengepostHverDag(kj,dagStart+dd-(UkerWarmUp*7),1)>0
                           sengepostFreScen(1,tellerScen)=sengepostFreScen(1,tellerScen)-1;
                           sengepostLorScen(1,tellerScen)=sengepostLorScen(1,tellerScen)-1;
                           funnet=1;
                       elseif velgSeng<akutteORS && akutteSengepostHverDag(kj,dagStart+dd-1-(UkerWarmUp*7),2)>0 && akutteSengepostHverDag(kj,dagStart+dd-(UkerWarmUp*7),2)>0
                           sengepostFreScen(2,tellerScen)=sengepostFreScen(2,tellerScen)-1;
                           sengepostLorScen(2,tellerScen)=sengepostLorScen(2,tellerScen)-1;
                           funnet=1;
                       elseif velgSeng<akutteOES && akutteSengepostHverDag(kj,dagStart+dd-1-(UkerWarmUp*7),3)>0 && akutteSengepostHverDag(kj,dagStart+dd-(UkerWarmUp*7),3)>0
                           sengepostFreScen(3,tellerScen)=sengepostFreScen(3,tellerScen)-1;
                           sengepostLorScen(3,tellerScen)=sengepostLorScen(3,tellerScen)-1;
                           funnet=1;
                       elseif velgSeng<akutteOFT && akutteSengepostHverDag(kj,dagStart+dd-1-(UkerWarmUp*7),4)>0 && akutteSengepostHverDag(kj,dagStart+dd-(UkerWarmUp*7),4)>0
                           sengepostFreScen(4,tellerScen)=sengepostFreScen(4,tellerScen)-1;
                           sengepostLorScen(4,tellerScen)=sengepostLorScen(4,tellerScen)-1;
                           funnet=1;
                       elseif velgSeng<akutteOHS && akutteSengepostHverDag(kj,dagStart+dd-1-(UkerWarmUp*7),5)>0 && akutteSengepostHverDag(kj,dagStart+dd-(UkerWarmUp*7),5)>0
                           sengepostFreScen(5,tellerScen)=sengepostFreScen(5,tellerScen)-1;
                           sengepostLorScen(5,tellerScen)=sengepostLorScen(5,tellerScen)-1;
                           funnet=1;
                       end
                   end
               end
           end
       end
   end
      
end


T_oppsummering=table(antallStryk, ankomsterAkutte, snittVentetid, stdAvvikVentetid, maaloppnaaelse, utnyttelseStuer, sshOvertidBVS);


utskriftKjoring=1;
for i=1:1:utskriftKjoring
    kumulativVentetidGronne=[];
    kumulativVentetidGule=[];
    kumulativVentetidRode=[];
    
    for o=1:1:length(fordelingVentetidGronne(i,:))
        for p=1:1:fordelingVentetidGronne(i,o)
            kumulativVentetidGronne(1,end+1)=o;
        end
    end
    
    for o=1:1:length(fordelingVentetidGule)
        for p=1:1:fordelingVentetidGule(i,o)
            kumulativVentetidGule(1,end+1)=o;
        end
    end
    
    for o=1:1:length(fordelingVentetidRode)
        for p=1:1:fordelingVentetidRode(i,o)
            kumulativVentetidRode(1,end+1)=o;
        end
    end
    figure;
    cdfplot(ventetiderGronneUt);
    title(['Cumulative distribution of waiting time for green patients, run ' num2str(utskriftKjoring)]);
    xlabel('Waiting time [days]');
    ylabel('Cumulative amount');
    
    figure;
    cdfplot(ventetiderGuleUt/60);
    title(['Cumulative distribution of waiting time for yellow patients, run ' num2str(utskriftKjoring)]);
    xlabel('Waiting time [hours]');
    ylabel('Cumulative amount');
    
    figure;
    cdfplot(ventetiderRodeUt/60);
    title(['Cumulative distribution of waiting time for red patients, run ' num2str(utskriftKjoring)]);
    xlabel('Waiting time [hours]');
    ylabel('Cumulative amount');
    
end